#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 13
#define STATE_COUNT 1109
#define LARGE_STATE_COUNT 8
#define SYMBOL_COUNT 141
#define ALIAS_COUNT 0
#define TOKEN_COUNT 73
#define EXTERNAL_TOKEN_COUNT 7
#define FIELD_COUNT 32
#define MAX_ALIAS_SEQUENCE_LENGTH 8
#define PRODUCTION_ID_COUNT 60

enum {
  sym_keyword = 1,
  sym_num_literal = 2,
  sym_ident = 3,
  anon_sym_PIPE = 4,
  anon_sym_default = 5,
  anon_sym_doc = 6,
  anon_sym_COLON = 7,
  anon_sym_let = 8,
  anon_sym_rec = 9,
  anon_sym_EQ = 10,
  anon_sym_in = 11,
  anon_sym_fun = 12,
  anon_sym_EQ_GT = 13,
  anon_sym_switch = 14,
  anon_sym_LBRACE = 15,
  anon_sym_COMMA = 16,
  anon_sym_RBRACE = 17,
  anon_sym_if = 18,
  anon_sym_then = 19,
  anon_sym_else = 20,
  anon_sym_forall = 21,
  anon_sym_DOT = 22,
  anon_sym_import = 23,
  anon_sym_Array = 24,
  anon_sym_Dyn = 25,
  anon_sym_SEMI = 26,
  anon_sym_LPAREN = 27,
  anon_sym_RPAREN = 28,
  anon_sym_null = 29,
  anon_sym_BQUOTE = 30,
  anon_sym_LBRACK = 31,
  anon_sym_RBRACK = 32,
  anon_sym_DOT_DOT = 33,
  anon_sym_AT = 34,
  anon_sym_QMARK = 35,
  anon_sym_true = 36,
  anon_sym_false = 37,
  anon_sym_PERCENT = 38,
  sym_double_quote = 39,
  sym_str_literal = 40,
  sym_mult_str_literal = 41,
  sym_str_esc_char = 42,
  anon_sym__ = 43,
  anon_sym_PLUS_PLUS = 44,
  anon_sym_STAR = 45,
  anon_sym_SLASH = 46,
  anon_sym_PLUS = 47,
  anon_sym_DASH = 48,
  anon_sym_BANG = 49,
  anon_sym_AMP = 50,
  anon_sym_PIPE_GT = 51,
  anon_sym_LT = 52,
  anon_sym_LT_EQ = 53,
  anon_sym_GT = 54,
  anon_sym_GT_EQ = 55,
  anon_sym_EQ_EQ = 56,
  anon_sym_BANG_EQ = 57,
  anon_sym_AMP_AMP = 58,
  anon_sym_PIPE_PIPE = 59,
  anon_sym_DASH_GT = 60,
  anon_sym_Num = 61,
  anon_sym_Bool = 62,
  anon_sym_Str = 63,
  anon_sym_LBRACK_PIPE = 64,
  anon_sym_PIPE_RBRACK = 65,
  sym_multstr_start = 66,
  sym_multstr_end = 67,
  sym__str_start = 68,
  sym__str_end = 69,
  sym_interpolation_start = 70,
  sym_interpolation_end = 71,
  sym_comment = 72,
  sym_term = 73,
  sym_annot_atom = 74,
  sym_annot = 75,
  sym_types = 76,
  sym_uni_term = 77,
  sym_let_expr = 78,
  sym_fun_expr = 79,
  sym_switch_expr = 80,
  sym_ite_expr = 81,
  sym_annotated_infix_expr = 82,
  sym_forall = 83,
  sym_applicative = 84,
  sym_type_array = 85,
  sym_record_operand = 86,
  sym_record_operation_chain = 87,
  sym_row_tail = 88,
  sym_uni_record = 89,
  sym_atom = 90,
  sym_record_field = 91,
  sym_record_last_field = 92,
  sym_field_path = 93,
  sym_field_path_elem = 94,
  sym_last_match = 95,
  sym_pattern = 96,
  sym_destruct = 97,
  sym_match = 98,
  sym_default_annot = 99,
  sym_bool = 100,
  sym_str_chunks = 101,
  sym_str_chunks_single = 102,
  sym_str_chunks_multi = 103,
  sym_chunk_expr = 104,
  sym_static_string = 105,
  sym_enum_tag = 106,
  sym_chunk_literal_single = 107,
  sym_chunk_literal_multi = 108,
  sym_percent = 109,
  sym_builtin = 110,
  sym_switch_case = 111,
  sym_infix_b_op_2 = 112,
  sym_infix_b_op_3 = 113,
  sym_infix_b_op_4 = 114,
  sym_infix_u_op_5 = 115,
  sym_infix_b_op_6 = 116,
  sym_infix_b_op_7 = 117,
  sym_infix_b_op_8 = 118,
  sym_infix_lazy_b_op_9 = 119,
  sym_infix_lazy_b_op_10 = 120,
  sym_infix_b_op = 121,
  sym_infix_u_op_or_lazy_b_op = 122,
  sym_infix_op = 123,
  sym_curried_op = 124,
  sym_infix_expr = 125,
  sym_type_builtin = 126,
  sym_type_atom = 127,
  aux_sym_annot_repeat1 = 128,
  aux_sym_fun_expr_repeat1 = 129,
  aux_sym_switch_expr_repeat1 = 130,
  aux_sym_forall_repeat1 = 131,
  aux_sym_uni_record_repeat1 = 132,
  aux_sym_atom_repeat1 = 133,
  aux_sym_field_path_repeat1 = 134,
  aux_sym_destruct_repeat1 = 135,
  aux_sym_str_chunks_single_repeat1 = 136,
  aux_sym_str_chunks_multi_repeat1 = 137,
  aux_sym_static_string_repeat1 = 138,
  aux_sym_static_string_repeat2 = 139,
  aux_sym_type_atom_repeat1 = 140,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_keyword] = "keyword",
  [sym_num_literal] = "num_literal",
  [sym_ident] = "ident",
  [anon_sym_PIPE] = "|",
  [anon_sym_default] = "default",
  [anon_sym_doc] = "doc",
  [anon_sym_COLON] = ":",
  [anon_sym_let] = "let",
  [anon_sym_rec] = "rec",
  [anon_sym_EQ] = "=",
  [anon_sym_in] = "in",
  [anon_sym_fun] = "fun",
  [anon_sym_EQ_GT] = "=>",
  [anon_sym_switch] = "switch",
  [anon_sym_LBRACE] = "{",
  [anon_sym_COMMA] = ",",
  [anon_sym_RBRACE] = "}",
  [anon_sym_if] = "if",
  [anon_sym_then] = "then",
  [anon_sym_else] = "else",
  [anon_sym_forall] = "forall",
  [anon_sym_DOT] = ".",
  [anon_sym_import] = "import",
  [anon_sym_Array] = "Array",
  [anon_sym_Dyn] = "Dyn",
  [anon_sym_SEMI] = ";",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_null] = "null",
  [anon_sym_BQUOTE] = "`",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_DOT_DOT] = "..",
  [anon_sym_AT] = "@",
  [anon_sym_QMARK] = "\?",
  [anon_sym_true] = "true",
  [anon_sym_false] = "false",
  [anon_sym_PERCENT] = "%",
  [sym_double_quote] = "double_quote",
  [sym_str_literal] = "str_literal",
  [sym_mult_str_literal] = "mult_str_literal",
  [sym_str_esc_char] = "str_esc_char",
  [anon_sym__] = "_",
  [anon_sym_PLUS_PLUS] = "++",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_BANG] = "!",
  [anon_sym_AMP] = "&",
  [anon_sym_PIPE_GT] = "|>",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_Num] = "Num",
  [anon_sym_Bool] = "Bool",
  [anon_sym_Str] = "Str",
  [anon_sym_LBRACK_PIPE] = "[|",
  [anon_sym_PIPE_RBRACK] = "|]",
  [sym_multstr_start] = "multstr_start",
  [sym_multstr_end] = "multstr_end",
  [sym__str_start] = "_str_start",
  [sym__str_end] = "_str_end",
  [sym_interpolation_start] = "interpolation_start",
  [sym_interpolation_end] = "interpolation_end",
  [sym_comment] = "comment",
  [sym_term] = "term",
  [sym_annot_atom] = "annot_atom",
  [sym_annot] = "annot",
  [sym_types] = "types",
  [sym_uni_term] = "uni_term",
  [sym_let_expr] = "let_expr",
  [sym_fun_expr] = "fun_expr",
  [sym_switch_expr] = "switch_expr",
  [sym_ite_expr] = "ite_expr",
  [sym_annotated_infix_expr] = "annotated_infix_expr",
  [sym_forall] = "forall",
  [sym_applicative] = "applicative",
  [sym_type_array] = "type_array",
  [sym_record_operand] = "record_operand",
  [sym_record_operation_chain] = "record_operation_chain",
  [sym_row_tail] = "row_tail",
  [sym_uni_record] = "uni_record",
  [sym_atom] = "atom",
  [sym_record_field] = "record_field",
  [sym_record_last_field] = "record_last_field",
  [sym_field_path] = "field_path",
  [sym_field_path_elem] = "field_path_elem",
  [sym_last_match] = "last_match",
  [sym_pattern] = "pattern",
  [sym_destruct] = "destruct",
  [sym_match] = "match",
  [sym_default_annot] = "default_annot",
  [sym_bool] = "bool",
  [sym_str_chunks] = "str_chunks",
  [sym_str_chunks_single] = "str_chunks_single",
  [sym_str_chunks_multi] = "str_chunks_multi",
  [sym_chunk_expr] = "chunk_expr",
  [sym_static_string] = "static_string",
  [sym_enum_tag] = "enum_tag",
  [sym_chunk_literal_single] = "chunk_literal_single",
  [sym_chunk_literal_multi] = "chunk_literal_multi",
  [sym_percent] = "percent",
  [sym_builtin] = "builtin",
  [sym_switch_case] = "switch_case",
  [sym_infix_b_op_2] = "infix_b_op_2",
  [sym_infix_b_op_3] = "infix_b_op_3",
  [sym_infix_b_op_4] = "infix_b_op_4",
  [sym_infix_u_op_5] = "infix_u_op_5",
  [sym_infix_b_op_6] = "infix_b_op_6",
  [sym_infix_b_op_7] = "infix_b_op_7",
  [sym_infix_b_op_8] = "infix_b_op_8",
  [sym_infix_lazy_b_op_9] = "infix_lazy_b_op_9",
  [sym_infix_lazy_b_op_10] = "infix_lazy_b_op_10",
  [sym_infix_b_op] = "infix_b_op",
  [sym_infix_u_op_or_lazy_b_op] = "infix_u_op_or_lazy_b_op",
  [sym_infix_op] = "infix_op",
  [sym_curried_op] = "curried_op",
  [sym_infix_expr] = "infix_expr",
  [sym_type_builtin] = "type_builtin",
  [sym_type_atom] = "type_atom",
  [aux_sym_annot_repeat1] = "annot_repeat1",
  [aux_sym_fun_expr_repeat1] = "fun_expr_repeat1",
  [aux_sym_switch_expr_repeat1] = "switch_expr_repeat1",
  [aux_sym_forall_repeat1] = "forall_repeat1",
  [aux_sym_uni_record_repeat1] = "uni_record_repeat1",
  [aux_sym_atom_repeat1] = "atom_repeat1",
  [aux_sym_field_path_repeat1] = "field_path_repeat1",
  [aux_sym_destruct_repeat1] = "destruct_repeat1",
  [aux_sym_str_chunks_single_repeat1] = "str_chunks_single_repeat1",
  [aux_sym_str_chunks_multi_repeat1] = "str_chunks_multi_repeat1",
  [aux_sym_static_string_repeat1] = "static_string_repeat1",
  [aux_sym_static_string_repeat2] = "static_string_repeat2",
  [aux_sym_type_atom_repeat1] = "type_atom_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_keyword] = sym_keyword,
  [sym_num_literal] = sym_num_literal,
  [sym_ident] = sym_ident,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_default] = anon_sym_default,
  [anon_sym_doc] = anon_sym_doc,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_rec] = anon_sym_rec,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_fun] = anon_sym_fun,
  [anon_sym_EQ_GT] = anon_sym_EQ_GT,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_then] = anon_sym_then,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_forall] = anon_sym_forall,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_Array] = anon_sym_Array,
  [anon_sym_Dyn] = anon_sym_Dyn,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_null] = anon_sym_null,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_DOT_DOT] = anon_sym_DOT_DOT,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_true] = anon_sym_true,
  [anon_sym_false] = anon_sym_false,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [sym_double_quote] = sym_double_quote,
  [sym_str_literal] = sym_str_literal,
  [sym_mult_str_literal] = sym_mult_str_literal,
  [sym_str_esc_char] = sym_str_esc_char,
  [anon_sym__] = anon_sym__,
  [anon_sym_PLUS_PLUS] = anon_sym_PLUS_PLUS,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_PIPE_GT] = anon_sym_PIPE_GT,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_Num] = anon_sym_Num,
  [anon_sym_Bool] = anon_sym_Bool,
  [anon_sym_Str] = anon_sym_Str,
  [anon_sym_LBRACK_PIPE] = anon_sym_LBRACK_PIPE,
  [anon_sym_PIPE_RBRACK] = anon_sym_PIPE_RBRACK,
  [sym_multstr_start] = sym_multstr_start,
  [sym_multstr_end] = sym_multstr_end,
  [sym__str_start] = sym__str_start,
  [sym__str_end] = sym__str_end,
  [sym_interpolation_start] = sym_interpolation_start,
  [sym_interpolation_end] = sym_interpolation_end,
  [sym_comment] = sym_comment,
  [sym_term] = sym_term,
  [sym_annot_atom] = sym_annot_atom,
  [sym_annot] = sym_annot,
  [sym_types] = sym_types,
  [sym_uni_term] = sym_uni_term,
  [sym_let_expr] = sym_let_expr,
  [sym_fun_expr] = sym_fun_expr,
  [sym_switch_expr] = sym_switch_expr,
  [sym_ite_expr] = sym_ite_expr,
  [sym_annotated_infix_expr] = sym_annotated_infix_expr,
  [sym_forall] = sym_forall,
  [sym_applicative] = sym_applicative,
  [sym_type_array] = sym_type_array,
  [sym_record_operand] = sym_record_operand,
  [sym_record_operation_chain] = sym_record_operation_chain,
  [sym_row_tail] = sym_row_tail,
  [sym_uni_record] = sym_uni_record,
  [sym_atom] = sym_atom,
  [sym_record_field] = sym_record_field,
  [sym_record_last_field] = sym_record_last_field,
  [sym_field_path] = sym_field_path,
  [sym_field_path_elem] = sym_field_path_elem,
  [sym_last_match] = sym_last_match,
  [sym_pattern] = sym_pattern,
  [sym_destruct] = sym_destruct,
  [sym_match] = sym_match,
  [sym_default_annot] = sym_default_annot,
  [sym_bool] = sym_bool,
  [sym_str_chunks] = sym_str_chunks,
  [sym_str_chunks_single] = sym_str_chunks_single,
  [sym_str_chunks_multi] = sym_str_chunks_multi,
  [sym_chunk_expr] = sym_chunk_expr,
  [sym_static_string] = sym_static_string,
  [sym_enum_tag] = sym_enum_tag,
  [sym_chunk_literal_single] = sym_chunk_literal_single,
  [sym_chunk_literal_multi] = sym_chunk_literal_multi,
  [sym_percent] = sym_percent,
  [sym_builtin] = sym_builtin,
  [sym_switch_case] = sym_switch_case,
  [sym_infix_b_op_2] = sym_infix_b_op_2,
  [sym_infix_b_op_3] = sym_infix_b_op_3,
  [sym_infix_b_op_4] = sym_infix_b_op_4,
  [sym_infix_u_op_5] = sym_infix_u_op_5,
  [sym_infix_b_op_6] = sym_infix_b_op_6,
  [sym_infix_b_op_7] = sym_infix_b_op_7,
  [sym_infix_b_op_8] = sym_infix_b_op_8,
  [sym_infix_lazy_b_op_9] = sym_infix_lazy_b_op_9,
  [sym_infix_lazy_b_op_10] = sym_infix_lazy_b_op_10,
  [sym_infix_b_op] = sym_infix_b_op,
  [sym_infix_u_op_or_lazy_b_op] = sym_infix_u_op_or_lazy_b_op,
  [sym_infix_op] = sym_infix_op,
  [sym_curried_op] = sym_curried_op,
  [sym_infix_expr] = sym_infix_expr,
  [sym_type_builtin] = sym_type_builtin,
  [sym_type_atom] = sym_type_atom,
  [aux_sym_annot_repeat1] = aux_sym_annot_repeat1,
  [aux_sym_fun_expr_repeat1] = aux_sym_fun_expr_repeat1,
  [aux_sym_switch_expr_repeat1] = aux_sym_switch_expr_repeat1,
  [aux_sym_forall_repeat1] = aux_sym_forall_repeat1,
  [aux_sym_uni_record_repeat1] = aux_sym_uni_record_repeat1,
  [aux_sym_atom_repeat1] = aux_sym_atom_repeat1,
  [aux_sym_field_path_repeat1] = aux_sym_field_path_repeat1,
  [aux_sym_destruct_repeat1] = aux_sym_destruct_repeat1,
  [aux_sym_str_chunks_single_repeat1] = aux_sym_str_chunks_single_repeat1,
  [aux_sym_str_chunks_multi_repeat1] = aux_sym_str_chunks_multi_repeat1,
  [aux_sym_static_string_repeat1] = aux_sym_static_string_repeat1,
  [aux_sym_static_string_repeat2] = aux_sym_static_string_repeat2,
  [aux_sym_type_atom_repeat1] = aux_sym_type_atom_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_keyword] = {
    .visible = true,
    .named = true,
  },
  [sym_num_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_ident] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_default] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_doc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_rec] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fun] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_then] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_forall] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_Array] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_Dyn] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_null] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_true] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_false] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [sym_double_quote] = {
    .visible = true,
    .named = true,
  },
  [sym_str_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_mult_str_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_str_esc_char] = {
    .visible = true,
    .named = true,
  },
  [anon_sym__] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_Num] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_Bool] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_Str] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [sym_multstr_start] = {
    .visible = true,
    .named = true,
  },
  [sym_multstr_end] = {
    .visible = true,
    .named = true,
  },
  [sym__str_start] = {
    .visible = false,
    .named = true,
  },
  [sym__str_end] = {
    .visible = false,
    .named = true,
  },
  [sym_interpolation_start] = {
    .visible = true,
    .named = true,
  },
  [sym_interpolation_end] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_term] = {
    .visible = true,
    .named = true,
  },
  [sym_annot_atom] = {
    .visible = true,
    .named = true,
  },
  [sym_annot] = {
    .visible = true,
    .named = true,
  },
  [sym_types] = {
    .visible = true,
    .named = true,
  },
  [sym_uni_term] = {
    .visible = true,
    .named = true,
  },
  [sym_let_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_fun_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_ite_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_annotated_infix_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_forall] = {
    .visible = true,
    .named = true,
  },
  [sym_applicative] = {
    .visible = true,
    .named = true,
  },
  [sym_type_array] = {
    .visible = true,
    .named = true,
  },
  [sym_record_operand] = {
    .visible = true,
    .named = true,
  },
  [sym_record_operation_chain] = {
    .visible = true,
    .named = true,
  },
  [sym_row_tail] = {
    .visible = true,
    .named = true,
  },
  [sym_uni_record] = {
    .visible = true,
    .named = true,
  },
  [sym_atom] = {
    .visible = true,
    .named = true,
  },
  [sym_record_field] = {
    .visible = true,
    .named = true,
  },
  [sym_record_last_field] = {
    .visible = true,
    .named = true,
  },
  [sym_field_path] = {
    .visible = true,
    .named = true,
  },
  [sym_field_path_elem] = {
    .visible = true,
    .named = true,
  },
  [sym_last_match] = {
    .visible = true,
    .named = true,
  },
  [sym_pattern] = {
    .visible = true,
    .named = true,
  },
  [sym_destruct] = {
    .visible = true,
    .named = true,
  },
  [sym_match] = {
    .visible = true,
    .named = true,
  },
  [sym_default_annot] = {
    .visible = true,
    .named = true,
  },
  [sym_bool] = {
    .visible = true,
    .named = true,
  },
  [sym_str_chunks] = {
    .visible = true,
    .named = true,
  },
  [sym_str_chunks_single] = {
    .visible = true,
    .named = true,
  },
  [sym_str_chunks_multi] = {
    .visible = true,
    .named = true,
  },
  [sym_chunk_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_static_string] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_tag] = {
    .visible = true,
    .named = true,
  },
  [sym_chunk_literal_single] = {
    .visible = true,
    .named = true,
  },
  [sym_chunk_literal_multi] = {
    .visible = true,
    .named = true,
  },
  [sym_percent] = {
    .visible = true,
    .named = true,
  },
  [sym_builtin] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_case] = {
    .visible = true,
    .named = true,
  },
  [sym_infix_b_op_2] = {
    .visible = true,
    .named = true,
  },
  [sym_infix_b_op_3] = {
    .visible = true,
    .named = true,
  },
  [sym_infix_b_op_4] = {
    .visible = true,
    .named = true,
  },
  [sym_infix_u_op_5] = {
    .visible = true,
    .named = true,
  },
  [sym_infix_b_op_6] = {
    .visible = true,
    .named = true,
  },
  [sym_infix_b_op_7] = {
    .visible = true,
    .named = true,
  },
  [sym_infix_b_op_8] = {
    .visible = true,
    .named = true,
  },
  [sym_infix_lazy_b_op_9] = {
    .visible = true,
    .named = true,
  },
  [sym_infix_lazy_b_op_10] = {
    .visible = true,
    .named = true,
  },
  [sym_infix_b_op] = {
    .visible = true,
    .named = true,
  },
  [sym_infix_u_op_or_lazy_b_op] = {
    .visible = true,
    .named = true,
  },
  [sym_infix_op] = {
    .visible = true,
    .named = true,
  },
  [sym_curried_op] = {
    .visible = true,
    .named = true,
  },
  [sym_infix_expr] = {
    .visible = true,
    .named = true,
  },
  [sym_type_builtin] = {
    .visible = true,
    .named = true,
  },
  [sym_type_atom] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_annot_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_fun_expr_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_expr_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_forall_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_uni_record_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_atom_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_path_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_destruct_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_str_chunks_single_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_str_chunks_multi_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_static_string_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_static_string_repeat2] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_atom_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum {
  field_ann = 1,
  field_anns = 2,
  field_cases = 3,
  field_chunks = 4,
  field_cond = 5,
  field_default = 6,
  field_doc = 7,
  field_end = 8,
  field_exp = 9,
  field_fields = 10,
  field_id = 11,
  field_ids = 12,
  field_last = 13,
  field_left = 14,
  field_matches = 15,
  field_meta = 16,
  field_op = 17,
  field_pat = 18,
  field_path = 19,
  field_pats = 20,
  field_right = 21,
  field_rows = 22,
  field_s = 23,
  field_start = 24,
  field_t = 25,
  field_t1 = 26,
  field_t2 = 27,
  field_t_id = 28,
  field_tail = 29,
  field_terms = 30,
  field_ty = 31,
  field_types = 32,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_ann] = "ann",
  [field_anns] = "anns",
  [field_cases] = "cases",
  [field_chunks] = "chunks",
  [field_cond] = "cond",
  [field_default] = "default",
  [field_doc] = "doc",
  [field_end] = "end",
  [field_exp] = "exp",
  [field_fields] = "fields",
  [field_id] = "id",
  [field_ids] = "ids",
  [field_last] = "last",
  [field_left] = "left",
  [field_matches] = "matches",
  [field_meta] = "meta",
  [field_op] = "op",
  [field_pat] = "pat",
  [field_path] = "path",
  [field_pats] = "pats",
  [field_right] = "right",
  [field_rows] = "rows",
  [field_s] = "s",
  [field_start] = "start",
  [field_t] = "t",
  [field_t1] = "t1",
  [field_t2] = "t2",
  [field_t_id] = "t_id",
  [field_tail] = "tail",
  [field_terms] = "terms",
  [field_ty] = "ty",
  [field_types] = "types",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 2},
  [2] = {.index = 2, .length = 1},
  [3] = {.index = 3, .length = 1},
  [4] = {.index = 4, .length = 1},
  [5] = {.index = 5, .length = 1},
  [6] = {.index = 6, .length = 2},
  [7] = {.index = 8, .length = 2},
  [8] = {.index = 10, .length = 2},
  [9] = {.index = 12, .length = 1},
  [10] = {.index = 13, .length = 3},
  [11] = {.index = 16, .length = 1},
  [12] = {.index = 17, .length = 1},
  [13] = {.index = 18, .length = 2},
  [14] = {.index = 20, .length = 1},
  [15] = {.index = 21, .length = 1},
  [16] = {.index = 22, .length = 1},
  [17] = {.index = 23, .length = 2},
  [18] = {.index = 25, .length = 2},
  [19] = {.index = 27, .length = 1},
  [20] = {.index = 28, .length = 3},
  [21] = {.index = 31, .length = 3},
  [22] = {.index = 34, .length = 3},
  [23] = {.index = 37, .length = 2},
  [24] = {.index = 39, .length = 2},
  [25] = {.index = 41, .length = 1},
  [26] = {.index = 42, .length = 2},
  [27] = {.index = 44, .length = 1},
  [28] = {.index = 45, .length = 2},
  [29] = {.index = 47, .length = 3},
  [30] = {.index = 50, .length = 2},
  [31] = {.index = 52, .length = 2},
  [32] = {.index = 54, .length = 2},
  [33] = {.index = 56, .length = 2},
  [34] = {.index = 58, .length = 1},
  [35] = {.index = 59, .length = 2},
  [36] = {.index = 61, .length = 1},
  [37] = {.index = 62, .length = 3},
  [38] = {.index = 65, .length = 2},
  [39] = {.index = 67, .length = 2},
  [40] = {.index = 69, .length = 1},
  [41] = {.index = 70, .length = 1},
  [42] = {.index = 71, .length = 3},
  [43] = {.index = 74, .length = 4},
  [44] = {.index = 78, .length = 3},
  [45] = {.index = 81, .length = 3},
  [46] = {.index = 84, .length = 3},
  [47] = {.index = 87, .length = 3},
  [48] = {.index = 90, .length = 3},
  [49] = {.index = 93, .length = 3},
  [50] = {.index = 96, .length = 2},
  [51] = {.index = 98, .length = 3},
  [52] = {.index = 101, .length = 4},
  [53] = {.index = 105, .length = 3},
  [54] = {.index = 108, .length = 4},
  [55] = {.index = 112, .length = 3},
  [56] = {.index = 115, .length = 4},
  [57] = {.index = 119, .length = 4},
  [58] = {.index = 123, .length = 4},
  [59] = {.index = 127, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_end, 1},
    {field_start, 0},
  [2] =
    {field_id, 0},
  [3] =
    {field_pat, 0},
  [4] =
    {field_path, 0},
  [5] =
    {field_s, 1},
  [6] =
    {field_op, 0},
    {field_t, 1},
  [8] =
    {field_t1, 0},
    {field_t2, 1},
  [10] =
    {field_meta, 1},
    {field_t, 0},
  [12] =
    {field_anns, 0},
  [13] =
    {field_chunks, 1},
    {field_end, 2},
    {field_start, 0},
  [16] =
    {field_chunks, 1},
  [17] =
    {field_last, 1},
  [18] =
    {field_ann, 1},
    {field_path, 0},
  [20] =
    {field_fields, 1},
  [21] =
    {field_terms, 1},
  [22] =
    {field_rows, 1},
  [23] =
    {field_id, 2},
    {field_t, 0},
  [25] =
    {field_t, 0},
    {field_t_id, 2},
  [27] =
    {field_ty, 1},
  [28] =
    {field_op, 1},
    {field_t1, 0},
    {field_t2, 2},
  [31] =
    {field_end, 2},
    {field_start, 0},
    {field_t, 1},
  [34] =
    {field_id, 0},
    {field_id, 1},
    {field_pat, 2},
  [37] =
    {field_anns, 1},
    {field_id, 0},
  [39] =
    {field_default, 1},
    {field_id, 0},
  [41] =
    {field_matches, 1},
  [42] =
    {field_pats, 1},
    {field_t, 3},
  [44] =
    {field_exp, 3},
  [45] =
    {field_tail, 1},
    {field_tail, 2},
  [47] =
    {field_path, 0},
    {field_t, 1},
    {field_t, 2},
  [50] =
    {field_fields, 1},
    {field_last, 2},
  [52] =
    {field_ids, 1},
    {field_ty, 3},
  [54] =
    {field_terms, 1},
    {field_terms, 2},
  [56] =
    {field_rows, 1},
    {field_rows, 2},
  [58] =
    {field_doc, 2},
  [59] =
    {field_left, 0},
    {field_right, 2},
  [61] =
    {field_t, 1},
  [62] =
    {field_anns, 1},
    {field_default, 2},
    {field_id, 0},
  [65] =
    {field_last, 2},
    {field_matches, 1},
  [67] =
    {field_cases, 2},
    {field_exp, 4},
  [69] =
    {field_t, 2},
  [70] =
    {field_types, 3},
  [71] =
    {field_last, 1},
    {field_tail, 2},
    {field_tail, 3},
  [74] =
    {field_ann, 1},
    {field_path, 0},
    {field_t, 2},
    {field_t, 3},
  [78] =
    {field_fields, 1},
    {field_tail, 2},
    {field_tail, 3},
  [81] =
    {field_terms, 1},
    {field_terms, 2},
    {field_terms, 3},
  [84] =
    {field_rows, 1},
    {field_tail, 2},
    {field_tail, 3},
  [87] =
    {field_anns, 1},
    {field_left, 0},
    {field_right, 3},
  [90] =
    {field_default, 1},
    {field_left, 0},
    {field_right, 3},
  [93] =
    {field_pat, 1},
    {field_t1, 3},
    {field_t2, 5},
  [96] =
    {field_id, 1},
    {field_t, 3},
  [98] =
    {field_cases, 2},
    {field_cases, 3},
    {field_exp, 5},
  [101] =
    {field_fields, 1},
    {field_last, 2},
    {field_tail, 3},
    {field_tail, 4},
  [105] =
    {field_cond, 1},
    {field_t1, 3},
    {field_t2, 5},
  [108] =
    {field_rows, 1},
    {field_rows, 2},
    {field_tail, 3},
    {field_tail, 4},
  [112] =
    {field_pat, 2},
    {field_t1, 4},
    {field_t2, 6},
  [115] =
    {field_anns, 1},
    {field_default, 2},
    {field_left, 0},
    {field_right, 4},
  [119] =
    {field_meta, 2},
    {field_pat, 1},
    {field_t1, 4},
    {field_t2, 6},
  [123] =
    {field_cases, 2},
    {field_cases, 3},
    {field_cases, 4},
    {field_exp, 6},
  [127] =
    {field_meta, 3},
    {field_pat, 2},
    {field_t1, 5},
    {field_t2, 7},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(51);
      if (lookahead == '!') ADVANCE(145);
      if (lookahead == '"') ADVANCE(132);
      if (lookahead == '%') ADVANCE(131);
      if (lookahead == '&') ADVANCE(146);
      if (lookahead == '(') ADVANCE(123);
      if (lookahead == ')') ADVANCE(124);
      if (lookahead == '*') ADVANCE(141);
      if (lookahead == '+') ADVANCE(143);
      if (lookahead == ',') ADVANCE(116);
      if (lookahead == '-') ADVANCE(144);
      if (lookahead == '.') ADVANCE(119);
      if (lookahead == '/') ADVANCE(142);
      if (lookahead == ':') ADVANCE(109);
      if (lookahead == ';') ADVANCE(122);
      if (lookahead == '<') ADVANCE(148);
      if (lookahead == '=') ADVANCE(112);
      if (lookahead == '>') ADVANCE(150);
      if (lookahead == '?') ADVANCE(130);
      if (lookahead == '@') ADVANCE(129);
      if (lookahead == 'A') ADVANCE(89);
      if (lookahead == 'B') ADVANCE(82);
      if (lookahead == 'D') ADVANCE(101);
      if (lookahead == 'N') ADVANCE(96);
      if (lookahead == 'S') ADVANCE(94);
      if (lookahead == '[') ADVANCE(126);
      if (lookahead == '\\') ADVANCE(46);
      if (lookahead == ']') ADVANCE(127);
      if (lookahead == '_') ADVANCE(139);
      if (lookahead == '`') ADVANCE(125);
      if (lookahead == 'd') ADVANCE(63);
      if (lookahead == 'e') ADVANCE(74);
      if (lookahead == 'f') ADVANCE(56);
      if (lookahead == 'i') ADVANCE(103);
      if (lookahead == 'l') ADVANCE(65);
      if (lookahead == 'm') ADVANCE(68);
      if (lookahead == 'n') ADVANCE(97);
      if (lookahead == 'r') ADVANCE(67);
      if (lookahead == 's') ADVANCE(100);
      if (lookahead == 't') ADVANCE(72);
      if (lookahead == '{') ADVANCE(115);
      if (lookahead == '|') ADVANCE(106);
      if (lookahead == '}') ADVANCE(117);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(54);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 1:
      if (lookahead == '"') ADVANCE(132);
      if (lookahead == '%') ADVANCE(131);
      if (lookahead == '\\') ADVANCE(135);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(136);
      if (lookahead != 0) ADVANCE(137);
      END_STATE();
    case 2:
      if (lookahead == '%') ADVANCE(131);
      if (lookahead == '\\') ADVANCE(46);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(133);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(134);
      END_STATE();
    case 3:
      if (lookahead == ')') ADVANCE(124);
      if (lookahead == ',') ADVANCE(116);
      if (lookahead == '.') ADVANCE(5);
      if (lookahead == ':') ADVANCE(109);
      if (lookahead == ';') ADVANCE(122);
      if (lookahead == '=') ADVANCE(113);
      if (lookahead == '@') ADVANCE(129);
      if (lookahead == '_') ADVANCE(139);
      if (lookahead == '{') ADVANCE(115);
      if (lookahead == '|') ADVANCE(105);
      if (lookahead == '}') ADVANCE(117);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(3)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 4:
      if (lookahead == ',') ADVANCE(116);
      if (lookahead == '.') ADVANCE(118);
      if (lookahead == ';') ADVANCE(122);
      if (lookahead == '=') ADVANCE(7);
      if (lookahead == '_') ADVANCE(45);
      if (lookahead == '{') ADVANCE(115);
      if (lookahead == '|') ADVANCE(9);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(4)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 5:
      if (lookahead == '.') ADVANCE(128);
      END_STATE();
    case 6:
      if (lookahead == '=') ADVANCE(153);
      END_STATE();
    case 7:
      if (lookahead == '>') ADVANCE(114);
      END_STATE();
    case 8:
      if (lookahead == 'D') ADVANCE(101);
      if (lookahead == '_') ADVANCE(45);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(8)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 9:
      if (lookahead == ']') ADVANCE(161);
      END_STATE();
    case 10:
      if (lookahead == '_') ADVANCE(45);
      if (lookahead == 'r') ADVANCE(67);
      if (lookahead == '{') ADVANCE(115);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(10)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 11:
      if (lookahead == 'a') ADVANCE(26);
      if (lookahead == 'o') ADVANCE(35);
      if (lookahead == 'u') ADVANCE(30);
      END_STATE();
    case 12:
      if (lookahead == 'a') ADVANCE(29);
      END_STATE();
    case 13:
      if (lookahead == 'a') ADVANCE(40);
      END_STATE();
    case 14:
      if (lookahead == 'c') ADVANCE(52);
      END_STATE();
    case 15:
      if (lookahead == 'c') ADVANCE(23);
      END_STATE();
    case 16:
      if (lookahead == 'e') ADVANCE(21);
      if (lookahead == 'o') ADVANCE(14);
      END_STATE();
    case 17:
      if (lookahead == 'e') ADVANCE(30);
      END_STATE();
    case 18:
      if (lookahead == 'e') ADVANCE(52);
      END_STATE();
    case 19:
      if (lookahead == 'e') ADVANCE(37);
      END_STATE();
    case 20:
      if (lookahead == 'e') ADVANCE(34);
      END_STATE();
    case 21:
      if (lookahead == 'f') ADVANCE(13);
      END_STATE();
    case 22:
      if (lookahead == 'g') ADVANCE(18);
      END_STATE();
    case 23:
      if (lookahead == 'h') ADVANCE(52);
      END_STATE();
    case 24:
      if (lookahead == 'h') ADVANCE(17);
      if (lookahead == 'r') ADVANCE(41);
      END_STATE();
    case 25:
      if (lookahead == 'i') ADVANCE(38);
      END_STATE();
    case 26:
      if (lookahead == 'l') ADVANCE(36);
      END_STATE();
    case 27:
      if (lookahead == 'l') ADVANCE(52);
      END_STATE();
    case 28:
      if (lookahead == 'l') ADVANCE(37);
      END_STATE();
    case 29:
      if (lookahead == 'l') ADVANCE(27);
      END_STATE();
    case 30:
      if (lookahead == 'n') ADVANCE(52);
      END_STATE();
    case 31:
      if (lookahead == 'o') ADVANCE(33);
      END_STATE();
    case 32:
      if (lookahead == 'p') ADVANCE(31);
      END_STATE();
    case 33:
      if (lookahead == 'r') ADVANCE(37);
      END_STATE();
    case 34:
      if (lookahead == 'r') ADVANCE(22);
      END_STATE();
    case 35:
      if (lookahead == 'r') ADVANCE(12);
      END_STATE();
    case 36:
      if (lookahead == 's') ADVANCE(18);
      END_STATE();
    case 37:
      if (lookahead == 't') ADVANCE(52);
      END_STATE();
    case 38:
      if (lookahead == 't') ADVANCE(15);
      END_STATE();
    case 39:
      if (lookahead == 'u') ADVANCE(29);
      END_STATE();
    case 40:
      if (lookahead == 'u') ADVANCE(28);
      END_STATE();
    case 41:
      if (lookahead == 'u') ADVANCE(18);
      END_STATE();
    case 42:
      if (lookahead == 'w') ADVANCE(25);
      END_STATE();
    case 43:
      if (lookahead == 'f' ||
          lookahead == 'n') ADVANCE(52);
      if (lookahead == 'm') ADVANCE(32);
      END_STATE();
    case 44:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(55);
      END_STATE();
    case 45:
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 46:
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(138);
      END_STATE();
    case 47:
      if (eof) ADVANCE(51);
      if (lookahead == '!') ADVANCE(145);
      if (lookahead == '%') ADVANCE(131);
      if (lookahead == '&') ADVANCE(146);
      if (lookahead == '(') ADVANCE(123);
      if (lookahead == ')') ADVANCE(124);
      if (lookahead == '*') ADVANCE(141);
      if (lookahead == '+') ADVANCE(143);
      if (lookahead == ',') ADVANCE(116);
      if (lookahead == '-') ADVANCE(144);
      if (lookahead == '.') ADVANCE(44);
      if (lookahead == '/') ADVANCE(142);
      if (lookahead == ':') ADVANCE(109);
      if (lookahead == ';') ADVANCE(122);
      if (lookahead == '<') ADVANCE(148);
      if (lookahead == '=') ADVANCE(111);
      if (lookahead == '>') ADVANCE(150);
      if (lookahead == '?') ADVANCE(130);
      if (lookahead == '@') ADVANCE(129);
      if (lookahead == 'A') ADVANCE(89);
      if (lookahead == 'B') ADVANCE(82);
      if (lookahead == 'D') ADVANCE(101);
      if (lookahead == 'N') ADVANCE(96);
      if (lookahead == 'S') ADVANCE(94);
      if (lookahead == '[') ADVANCE(126);
      if (lookahead == ']') ADVANCE(127);
      if (lookahead == '_') ADVANCE(45);
      if (lookahead == '`') ADVANCE(125);
      if (lookahead == 'd') ADVANCE(63);
      if (lookahead == 'e') ADVANCE(74);
      if (lookahead == 'f') ADVANCE(56);
      if (lookahead == 'i') ADVANCE(103);
      if (lookahead == 'l') ADVANCE(65);
      if (lookahead == 'm') ADVANCE(68);
      if (lookahead == 'n') ADVANCE(97);
      if (lookahead == 's') ADVANCE(100);
      if (lookahead == 't') ADVANCE(72);
      if (lookahead == '{') ADVANCE(115);
      if (lookahead == '|') ADVANCE(107);
      if (lookahead == '}') ADVANCE(117);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(47)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(54);
      if (('C' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 48:
      if (eof) ADVANCE(51);
      if (lookahead == '!') ADVANCE(6);
      if (lookahead == '%') ADVANCE(131);
      if (lookahead == '&') ADVANCE(146);
      if (lookahead == '(') ADVANCE(123);
      if (lookahead == ')') ADVANCE(124);
      if (lookahead == '*') ADVANCE(141);
      if (lookahead == '+') ADVANCE(143);
      if (lookahead == ',') ADVANCE(116);
      if (lookahead == '-') ADVANCE(144);
      if (lookahead == '.') ADVANCE(119);
      if (lookahead == '/') ADVANCE(142);
      if (lookahead == ':') ADVANCE(109);
      if (lookahead == ';') ADVANCE(122);
      if (lookahead == '<') ADVANCE(148);
      if (lookahead == '=') ADVANCE(111);
      if (lookahead == '>') ADVANCE(150);
      if (lookahead == '?') ADVANCE(130);
      if (lookahead == '@') ADVANCE(129);
      if (lookahead == 'B') ADVANCE(82);
      if (lookahead == 'D') ADVANCE(101);
      if (lookahead == 'N') ADVANCE(96);
      if (lookahead == 'S') ADVANCE(94);
      if (lookahead == '[') ADVANCE(126);
      if (lookahead == ']') ADVANCE(127);
      if (lookahead == '_') ADVANCE(45);
      if (lookahead == '`') ADVANCE(125);
      if (lookahead == 'd') ADVANCE(63);
      if (lookahead == 'e') ADVANCE(74);
      if (lookahead == 'f') ADVANCE(56);
      if (lookahead == 'i') ADVANCE(103);
      if (lookahead == 'l') ADVANCE(65);
      if (lookahead == 'm') ADVANCE(68);
      if (lookahead == 'n') ADVANCE(97);
      if (lookahead == 's') ADVANCE(100);
      if (lookahead == 't') ADVANCE(72);
      if (lookahead == '{') ADVANCE(115);
      if (lookahead == '|') ADVANCE(107);
      if (lookahead == '}') ADVANCE(117);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(48)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(54);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 49:
      if (eof) ADVANCE(51);
      if (lookahead == '!') ADVANCE(6);
      if (lookahead == '%') ADVANCE(131);
      if (lookahead == '&') ADVANCE(146);
      if (lookahead == ')') ADVANCE(124);
      if (lookahead == '*') ADVANCE(141);
      if (lookahead == '+') ADVANCE(143);
      if (lookahead == ',') ADVANCE(116);
      if (lookahead == '-') ADVANCE(144);
      if (lookahead == '.') ADVANCE(118);
      if (lookahead == '/') ADVANCE(142);
      if (lookahead == ':') ADVANCE(109);
      if (lookahead == ';') ADVANCE(122);
      if (lookahead == '<') ADVANCE(148);
      if (lookahead == '=') ADVANCE(111);
      if (lookahead == '>') ADVANCE(150);
      if (lookahead == '?') ADVANCE(130);
      if (lookahead == '@') ADVANCE(129);
      if (lookahead == ']') ADVANCE(127);
      if (lookahead == 'd') ADVANCE(16);
      if (lookahead == 'e') ADVANCE(26);
      if (lookahead == 'f') ADVANCE(11);
      if (lookahead == 'i') ADVANCE(43);
      if (lookahead == 'l') ADVANCE(19);
      if (lookahead == 'm') ADVANCE(20);
      if (lookahead == 'n') ADVANCE(39);
      if (lookahead == 's') ADVANCE(42);
      if (lookahead == 't') ADVANCE(24);
      if (lookahead == '|') ADVANCE(107);
      if (lookahead == '}') ADVANCE(117);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(49)
      END_STATE();
    case 50:
      if (eof) ADVANCE(51);
      if (lookahead == ')') ADVANCE(124);
      if (lookahead == ',') ADVANCE(116);
      if (lookahead == ':') ADVANCE(109);
      if (lookahead == ';') ADVANCE(122);
      if (lookahead == '=') ADVANCE(113);
      if (lookahead == '?') ADVANCE(130);
      if (lookahead == ']') ADVANCE(127);
      if (lookahead == 'd') ADVANCE(16);
      if (lookahead == 'e') ADVANCE(26);
      if (lookahead == 'f') ADVANCE(11);
      if (lookahead == 'i') ADVANCE(43);
      if (lookahead == 'l') ADVANCE(19);
      if (lookahead == 'm') ADVANCE(20);
      if (lookahead == 'n') ADVANCE(39);
      if (lookahead == 's') ADVANCE(42);
      if (lookahead == 't') ADVANCE(24);
      if (lookahead == '|') ADVANCE(108);
      if (lookahead == '}') ADVANCE(117);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(50)
      END_STATE();
    case 51:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(sym_keyword);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(sym_keyword);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 54:
      ACCEPT_TOKEN(sym_num_literal);
      if (lookahead == '.') ADVANCE(44);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(54);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(sym_num_literal);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(55);
      END_STATE();
    case 56:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'a') ADVANCE(74);
      if (lookahead == 'o') ADVANCE(91);
      if (lookahead == 'u') ADVANCE(80);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 57:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'a') ADVANCE(102);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 58:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'a') ADVANCE(78);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'a') ADVANCE(98);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'c') ADVANCE(53);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'c') ADVANCE(110);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 62:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'c') ADVANCE(71);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 63:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'e') ADVANCE(69);
      if (lookahead == 'o') ADVANCE(60);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 64:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'e') ADVANCE(53);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 65:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'e') ADVANCE(93);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 66:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'e') ADVANCE(80);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 67:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'e') ADVANCE(61);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 68:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'e') ADVANCE(88);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 69:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'f') ADVANCE(59);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 70:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'g') ADVANCE(64);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 71:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'h') ADVANCE(53);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 72:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'h') ADVANCE(66);
      if (lookahead == 'r') ADVANCE(99);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 73:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'i') ADVANCE(95);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'l') ADVANCE(92);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'l') ADVANCE(53);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 76:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'l') ADVANCE(158);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'l') ADVANCE(93);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'l') ADVANCE(75);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'm') ADVANCE(157);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'n') ADVANCE(53);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'n') ADVANCE(121);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'o') ADVANCE(83);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'o') ADVANCE(76);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'o') ADVANCE(90);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'p') ADVANCE(84);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'r') ADVANCE(57);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'r') ADVANCE(159);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'r') ADVANCE(70);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'r') ADVANCE(86);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'r') ADVANCE(93);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'r') ADVANCE(58);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 's') ADVANCE(64);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 't') ADVANCE(53);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 't') ADVANCE(87);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 't') ADVANCE(62);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'u') ADVANCE(79);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'u') ADVANCE(78);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'u') ADVANCE(77);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'u') ADVANCE(64);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'w') ADVANCE(73);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'y') ADVANCE(81);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'y') ADVANCE(120);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == 'f' ||
          lookahead == 'n') ADVANCE(53);
      if (lookahead == 'm') ADVANCE(85);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(sym_ident);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '>') ADVANCE(147);
      if (lookahead == ']') ADVANCE(161);
      if (lookahead == '|') ADVANCE(155);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '>') ADVANCE(147);
      if (lookahead == '|') ADVANCE(155);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == ']') ADVANCE(161);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_rec);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(152);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(152);
      if (lookahead == '>') ADVANCE(114);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '>') ADVANCE(114);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_EQ_GT);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(55);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_Array);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_Dyn);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      if (lookahead == '|') ADVANCE(160);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(sym_double_quote);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(sym_str_literal);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(133);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '%' &&
          lookahead != '\\') ADVANCE(134);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(sym_str_literal);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '%' &&
          lookahead != '\\') ADVANCE(134);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(sym_mult_str_literal);
      if (lookahead == '\n') ADVANCE(137);
      if (lookahead == '"' ||
          lookahead == '%') ADVANCE(138);
      if (lookahead != 0) ADVANCE(137);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(sym_mult_str_literal);
      if (lookahead == '\\') ADVANCE(135);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(136);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '%') ADVANCE(137);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(sym_mult_str_literal);
      if (lookahead != 0 &&
          lookahead != '"' &&
          lookahead != '%') ADVANCE(137);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(sym_str_esc_char);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym__);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_PLUS_PLUS);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '+') ADVANCE(140);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '>') ADVANCE(156);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(153);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(154);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_PIPE_GT);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '=') ADVANCE(149);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(151);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_Num);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_Bool);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_Str);
      if (lookahead == '\'' ||
          lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(104);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_LBRACK_PIPE);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_PIPE_RBRACK);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'd') ADVANCE(1);
      if (lookahead == 'e') ADVANCE(2);
      if (lookahead == 'f') ADVANCE(3);
      if (lookahead == 'i') ADVANCE(4);
      if (lookahead == 'l') ADVANCE(5);
      if (lookahead == 'n') ADVANCE(6);
      if (lookahead == 's') ADVANCE(7);
      if (lookahead == 't') ADVANCE(8);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 'e') ADVANCE(9);
      if (lookahead == 'o') ADVANCE(10);
      END_STATE();
    case 2:
      if (lookahead == 'l') ADVANCE(11);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(12);
      if (lookahead == 'o') ADVANCE(13);
      if (lookahead == 'u') ADVANCE(14);
      END_STATE();
    case 4:
      if (lookahead == 'f') ADVANCE(15);
      if (lookahead == 'm') ADVANCE(16);
      if (lookahead == 'n') ADVANCE(17);
      END_STATE();
    case 5:
      if (lookahead == 'e') ADVANCE(18);
      END_STATE();
    case 6:
      if (lookahead == 'u') ADVANCE(19);
      END_STATE();
    case 7:
      if (lookahead == 'w') ADVANCE(20);
      END_STATE();
    case 8:
      if (lookahead == 'h') ADVANCE(21);
      if (lookahead == 'r') ADVANCE(22);
      END_STATE();
    case 9:
      if (lookahead == 'f') ADVANCE(23);
      END_STATE();
    case 10:
      if (lookahead == 'c') ADVANCE(24);
      END_STATE();
    case 11:
      if (lookahead == 's') ADVANCE(25);
      END_STATE();
    case 12:
      if (lookahead == 'l') ADVANCE(26);
      END_STATE();
    case 13:
      if (lookahead == 'r') ADVANCE(27);
      END_STATE();
    case 14:
      if (lookahead == 'n') ADVANCE(28);
      END_STATE();
    case 15:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 16:
      if (lookahead == 'p') ADVANCE(29);
      END_STATE();
    case 17:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 18:
      if (lookahead == 't') ADVANCE(30);
      END_STATE();
    case 19:
      if (lookahead == 'l') ADVANCE(31);
      END_STATE();
    case 20:
      if (lookahead == 'i') ADVANCE(32);
      END_STATE();
    case 21:
      if (lookahead == 'e') ADVANCE(33);
      END_STATE();
    case 22:
      if (lookahead == 'u') ADVANCE(34);
      END_STATE();
    case 23:
      if (lookahead == 'a') ADVANCE(35);
      END_STATE();
    case 24:
      ACCEPT_TOKEN(anon_sym_doc);
      END_STATE();
    case 25:
      if (lookahead == 'e') ADVANCE(36);
      END_STATE();
    case 26:
      if (lookahead == 's') ADVANCE(37);
      END_STATE();
    case 27:
      if (lookahead == 'a') ADVANCE(38);
      END_STATE();
    case 28:
      ACCEPT_TOKEN(anon_sym_fun);
      END_STATE();
    case 29:
      if (lookahead == 'o') ADVANCE(39);
      END_STATE();
    case 30:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 31:
      if (lookahead == 'l') ADVANCE(40);
      END_STATE();
    case 32:
      if (lookahead == 't') ADVANCE(41);
      END_STATE();
    case 33:
      if (lookahead == 'n') ADVANCE(42);
      END_STATE();
    case 34:
      if (lookahead == 'e') ADVANCE(43);
      END_STATE();
    case 35:
      if (lookahead == 'u') ADVANCE(44);
      END_STATE();
    case 36:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 37:
      if (lookahead == 'e') ADVANCE(45);
      END_STATE();
    case 38:
      if (lookahead == 'l') ADVANCE(46);
      END_STATE();
    case 39:
      if (lookahead == 'r') ADVANCE(47);
      END_STATE();
    case 40:
      ACCEPT_TOKEN(anon_sym_null);
      END_STATE();
    case 41:
      if (lookahead == 'c') ADVANCE(48);
      END_STATE();
    case 42:
      ACCEPT_TOKEN(anon_sym_then);
      END_STATE();
    case 43:
      ACCEPT_TOKEN(anon_sym_true);
      END_STATE();
    case 44:
      if (lookahead == 'l') ADVANCE(49);
      END_STATE();
    case 45:
      ACCEPT_TOKEN(anon_sym_false);
      END_STATE();
    case 46:
      if (lookahead == 'l') ADVANCE(50);
      END_STATE();
    case 47:
      if (lookahead == 't') ADVANCE(51);
      END_STATE();
    case 48:
      if (lookahead == 'h') ADVANCE(52);
      END_STATE();
    case 49:
      if (lookahead == 't') ADVANCE(53);
      END_STATE();
    case 50:
      ACCEPT_TOKEN(anon_sym_forall);
      END_STATE();
    case 51:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 52:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 53:
      ACCEPT_TOKEN(anon_sym_default);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 47, .external_lex_state = 2},
  [2] = {.lex_state = 47, .external_lex_state = 2},
  [3] = {.lex_state = 47, .external_lex_state = 2},
  [4] = {.lex_state = 47, .external_lex_state = 2},
  [5] = {.lex_state = 47, .external_lex_state = 2},
  [6] = {.lex_state = 47, .external_lex_state = 2},
  [7] = {.lex_state = 47, .external_lex_state = 2},
  [8] = {.lex_state = 48, .external_lex_state = 2},
  [9] = {.lex_state = 47, .external_lex_state = 2},
  [10] = {.lex_state = 47, .external_lex_state = 2},
  [11] = {.lex_state = 47, .external_lex_state = 2},
  [12] = {.lex_state = 47, .external_lex_state = 2},
  [13] = {.lex_state = 47, .external_lex_state = 2},
  [14] = {.lex_state = 47, .external_lex_state = 2},
  [15] = {.lex_state = 47, .external_lex_state = 2},
  [16] = {.lex_state = 47, .external_lex_state = 2},
  [17] = {.lex_state = 47, .external_lex_state = 2},
  [18] = {.lex_state = 47, .external_lex_state = 2},
  [19] = {.lex_state = 47, .external_lex_state = 2},
  [20] = {.lex_state = 47, .external_lex_state = 2},
  [21] = {.lex_state = 47, .external_lex_state = 2},
  [22] = {.lex_state = 47, .external_lex_state = 2},
  [23] = {.lex_state = 47, .external_lex_state = 2},
  [24] = {.lex_state = 47, .external_lex_state = 2},
  [25] = {.lex_state = 47, .external_lex_state = 2},
  [26] = {.lex_state = 47, .external_lex_state = 2},
  [27] = {.lex_state = 47, .external_lex_state = 2},
  [28] = {.lex_state = 47, .external_lex_state = 2},
  [29] = {.lex_state = 47, .external_lex_state = 2},
  [30] = {.lex_state = 47, .external_lex_state = 2},
  [31] = {.lex_state = 47, .external_lex_state = 2},
  [32] = {.lex_state = 47, .external_lex_state = 2},
  [33] = {.lex_state = 47, .external_lex_state = 2},
  [34] = {.lex_state = 47, .external_lex_state = 2},
  [35] = {.lex_state = 47, .external_lex_state = 2},
  [36] = {.lex_state = 47, .external_lex_state = 2},
  [37] = {.lex_state = 47, .external_lex_state = 2},
  [38] = {.lex_state = 47, .external_lex_state = 2},
  [39] = {.lex_state = 47, .external_lex_state = 2},
  [40] = {.lex_state = 47, .external_lex_state = 2},
  [41] = {.lex_state = 47, .external_lex_state = 2},
  [42] = {.lex_state = 47, .external_lex_state = 2},
  [43] = {.lex_state = 47, .external_lex_state = 2},
  [44] = {.lex_state = 47, .external_lex_state = 2},
  [45] = {.lex_state = 47, .external_lex_state = 2},
  [46] = {.lex_state = 47, .external_lex_state = 2},
  [47] = {.lex_state = 47, .external_lex_state = 2},
  [48] = {.lex_state = 47, .external_lex_state = 2},
  [49] = {.lex_state = 47, .external_lex_state = 2},
  [50] = {.lex_state = 47, .external_lex_state = 2},
  [51] = {.lex_state = 47, .external_lex_state = 2},
  [52] = {.lex_state = 47, .external_lex_state = 2},
  [53] = {.lex_state = 47, .external_lex_state = 2},
  [54] = {.lex_state = 47, .external_lex_state = 2},
  [55] = {.lex_state = 47, .external_lex_state = 2},
  [56] = {.lex_state = 47, .external_lex_state = 2},
  [57] = {.lex_state = 47, .external_lex_state = 2},
  [58] = {.lex_state = 47, .external_lex_state = 2},
  [59] = {.lex_state = 47, .external_lex_state = 2},
  [60] = {.lex_state = 47, .external_lex_state = 2},
  [61] = {.lex_state = 47, .external_lex_state = 2},
  [62] = {.lex_state = 47, .external_lex_state = 2},
  [63] = {.lex_state = 47, .external_lex_state = 2},
  [64] = {.lex_state = 47, .external_lex_state = 2},
  [65] = {.lex_state = 47, .external_lex_state = 2},
  [66] = {.lex_state = 47, .external_lex_state = 2},
  [67] = {.lex_state = 47, .external_lex_state = 2},
  [68] = {.lex_state = 47, .external_lex_state = 2},
  [69] = {.lex_state = 47, .external_lex_state = 2},
  [70] = {.lex_state = 47, .external_lex_state = 2},
  [71] = {.lex_state = 47, .external_lex_state = 2},
  [72] = {.lex_state = 47, .external_lex_state = 2},
  [73] = {.lex_state = 47, .external_lex_state = 2},
  [74] = {.lex_state = 47, .external_lex_state = 2},
  [75] = {.lex_state = 47, .external_lex_state = 2},
  [76] = {.lex_state = 47, .external_lex_state = 2},
  [77] = {.lex_state = 47, .external_lex_state = 2},
  [78] = {.lex_state = 47, .external_lex_state = 2},
  [79] = {.lex_state = 47, .external_lex_state = 2},
  [80] = {.lex_state = 47, .external_lex_state = 2},
  [81] = {.lex_state = 47, .external_lex_state = 2},
  [82] = {.lex_state = 47, .external_lex_state = 2},
  [83] = {.lex_state = 47, .external_lex_state = 2},
  [84] = {.lex_state = 47, .external_lex_state = 2},
  [85] = {.lex_state = 47, .external_lex_state = 2},
  [86] = {.lex_state = 47, .external_lex_state = 2},
  [87] = {.lex_state = 47, .external_lex_state = 2},
  [88] = {.lex_state = 47, .external_lex_state = 2},
  [89] = {.lex_state = 47, .external_lex_state = 2},
  [90] = {.lex_state = 47, .external_lex_state = 2},
  [91] = {.lex_state = 47, .external_lex_state = 2},
  [92] = {.lex_state = 47, .external_lex_state = 2},
  [93] = {.lex_state = 47, .external_lex_state = 2},
  [94] = {.lex_state = 47, .external_lex_state = 2},
  [95] = {.lex_state = 47, .external_lex_state = 2},
  [96] = {.lex_state = 47, .external_lex_state = 2},
  [97] = {.lex_state = 47, .external_lex_state = 2},
  [98] = {.lex_state = 47, .external_lex_state = 2},
  [99] = {.lex_state = 47, .external_lex_state = 2},
  [100] = {.lex_state = 47, .external_lex_state = 2},
  [101] = {.lex_state = 47, .external_lex_state = 2},
  [102] = {.lex_state = 47, .external_lex_state = 2},
  [103] = {.lex_state = 47, .external_lex_state = 2},
  [104] = {.lex_state = 47, .external_lex_state = 2},
  [105] = {.lex_state = 47, .external_lex_state = 2},
  [106] = {.lex_state = 47, .external_lex_state = 2},
  [107] = {.lex_state = 47, .external_lex_state = 2},
  [108] = {.lex_state = 47, .external_lex_state = 2},
  [109] = {.lex_state = 47, .external_lex_state = 2},
  [110] = {.lex_state = 47, .external_lex_state = 2},
  [111] = {.lex_state = 47, .external_lex_state = 2},
  [112] = {.lex_state = 47, .external_lex_state = 2},
  [113] = {.lex_state = 47, .external_lex_state = 2},
  [114] = {.lex_state = 47, .external_lex_state = 2},
  [115] = {.lex_state = 47, .external_lex_state = 2},
  [116] = {.lex_state = 47, .external_lex_state = 2},
  [117] = {.lex_state = 47, .external_lex_state = 2},
  [118] = {.lex_state = 47, .external_lex_state = 2},
  [119] = {.lex_state = 47, .external_lex_state = 2},
  [120] = {.lex_state = 47, .external_lex_state = 2},
  [121] = {.lex_state = 47, .external_lex_state = 2},
  [122] = {.lex_state = 47, .external_lex_state = 2},
  [123] = {.lex_state = 47, .external_lex_state = 2},
  [124] = {.lex_state = 47, .external_lex_state = 2},
  [125] = {.lex_state = 47, .external_lex_state = 2},
  [126] = {.lex_state = 47, .external_lex_state = 2},
  [127] = {.lex_state = 47, .external_lex_state = 2},
  [128] = {.lex_state = 47, .external_lex_state = 2},
  [129] = {.lex_state = 47, .external_lex_state = 2},
  [130] = {.lex_state = 47, .external_lex_state = 2},
  [131] = {.lex_state = 48, .external_lex_state = 2},
  [132] = {.lex_state = 48, .external_lex_state = 2},
  [133] = {.lex_state = 48, .external_lex_state = 3},
  [134] = {.lex_state = 48, .external_lex_state = 2},
  [135] = {.lex_state = 48, .external_lex_state = 2},
  [136] = {.lex_state = 48, .external_lex_state = 2},
  [137] = {.lex_state = 48, .external_lex_state = 2},
  [138] = {.lex_state = 48, .external_lex_state = 2},
  [139] = {.lex_state = 48, .external_lex_state = 2},
  [140] = {.lex_state = 48, .external_lex_state = 2},
  [141] = {.lex_state = 48, .external_lex_state = 2},
  [142] = {.lex_state = 48, .external_lex_state = 2},
  [143] = {.lex_state = 48, .external_lex_state = 2},
  [144] = {.lex_state = 48, .external_lex_state = 2},
  [145] = {.lex_state = 48, .external_lex_state = 2},
  [146] = {.lex_state = 48, .external_lex_state = 2},
  [147] = {.lex_state = 48, .external_lex_state = 2},
  [148] = {.lex_state = 48, .external_lex_state = 2},
  [149] = {.lex_state = 48, .external_lex_state = 2},
  [150] = {.lex_state = 48, .external_lex_state = 2},
  [151] = {.lex_state = 48, .external_lex_state = 2},
  [152] = {.lex_state = 48, .external_lex_state = 2},
  [153] = {.lex_state = 48, .external_lex_state = 2},
  [154] = {.lex_state = 48, .external_lex_state = 2},
  [155] = {.lex_state = 48, .external_lex_state = 2},
  [156] = {.lex_state = 48, .external_lex_state = 2},
  [157] = {.lex_state = 48, .external_lex_state = 2},
  [158] = {.lex_state = 48, .external_lex_state = 2},
  [159] = {.lex_state = 48, .external_lex_state = 2},
  [160] = {.lex_state = 48, .external_lex_state = 2},
  [161] = {.lex_state = 48, .external_lex_state = 2},
  [162] = {.lex_state = 48, .external_lex_state = 2},
  [163] = {.lex_state = 48, .external_lex_state = 2},
  [164] = {.lex_state = 48, .external_lex_state = 2},
  [165] = {.lex_state = 48, .external_lex_state = 2},
  [166] = {.lex_state = 48, .external_lex_state = 2},
  [167] = {.lex_state = 48, .external_lex_state = 2},
  [168] = {.lex_state = 48, .external_lex_state = 2},
  [169] = {.lex_state = 48, .external_lex_state = 2},
  [170] = {.lex_state = 48, .external_lex_state = 2},
  [171] = {.lex_state = 48, .external_lex_state = 2},
  [172] = {.lex_state = 48, .external_lex_state = 2},
  [173] = {.lex_state = 48, .external_lex_state = 2},
  [174] = {.lex_state = 48, .external_lex_state = 2},
  [175] = {.lex_state = 48, .external_lex_state = 2},
  [176] = {.lex_state = 48, .external_lex_state = 2},
  [177] = {.lex_state = 47, .external_lex_state = 2},
  [178] = {.lex_state = 47, .external_lex_state = 2},
  [179] = {.lex_state = 47, .external_lex_state = 2},
  [180] = {.lex_state = 47, .external_lex_state = 2},
  [181] = {.lex_state = 47, .external_lex_state = 2},
  [182] = {.lex_state = 47, .external_lex_state = 2},
  [183] = {.lex_state = 47, .external_lex_state = 2},
  [184] = {.lex_state = 47, .external_lex_state = 2},
  [185] = {.lex_state = 47, .external_lex_state = 2},
  [186] = {.lex_state = 47, .external_lex_state = 2},
  [187] = {.lex_state = 47, .external_lex_state = 2},
  [188] = {.lex_state = 47, .external_lex_state = 2},
  [189] = {.lex_state = 47, .external_lex_state = 2},
  [190] = {.lex_state = 47, .external_lex_state = 2},
  [191] = {.lex_state = 47, .external_lex_state = 2},
  [192] = {.lex_state = 47, .external_lex_state = 2},
  [193] = {.lex_state = 47, .external_lex_state = 2},
  [194] = {.lex_state = 47, .external_lex_state = 2},
  [195] = {.lex_state = 47, .external_lex_state = 2},
  [196] = {.lex_state = 47, .external_lex_state = 2},
  [197] = {.lex_state = 47, .external_lex_state = 2},
  [198] = {.lex_state = 47, .external_lex_state = 2},
  [199] = {.lex_state = 47, .external_lex_state = 2},
  [200] = {.lex_state = 47, .external_lex_state = 2},
  [201] = {.lex_state = 48, .external_lex_state = 3},
  [202] = {.lex_state = 48, .external_lex_state = 2},
  [203] = {.lex_state = 48, .external_lex_state = 2},
  [204] = {.lex_state = 48, .external_lex_state = 2},
  [205] = {.lex_state = 48, .external_lex_state = 2},
  [206] = {.lex_state = 48, .external_lex_state = 2},
  [207] = {.lex_state = 48, .external_lex_state = 2},
  [208] = {.lex_state = 48, .external_lex_state = 2},
  [209] = {.lex_state = 48, .external_lex_state = 2},
  [210] = {.lex_state = 48, .external_lex_state = 2},
  [211] = {.lex_state = 48, .external_lex_state = 2},
  [212] = {.lex_state = 48, .external_lex_state = 2},
  [213] = {.lex_state = 48, .external_lex_state = 2},
  [214] = {.lex_state = 48, .external_lex_state = 2},
  [215] = {.lex_state = 48, .external_lex_state = 2},
  [216] = {.lex_state = 48, .external_lex_state = 2},
  [217] = {.lex_state = 48, .external_lex_state = 2},
  [218] = {.lex_state = 48, .external_lex_state = 2},
  [219] = {.lex_state = 48, .external_lex_state = 2},
  [220] = {.lex_state = 48, .external_lex_state = 2},
  [221] = {.lex_state = 48, .external_lex_state = 2},
  [222] = {.lex_state = 48, .external_lex_state = 2},
  [223] = {.lex_state = 48, .external_lex_state = 2},
  [224] = {.lex_state = 48, .external_lex_state = 2},
  [225] = {.lex_state = 48, .external_lex_state = 2},
  [226] = {.lex_state = 48, .external_lex_state = 2},
  [227] = {.lex_state = 48, .external_lex_state = 2},
  [228] = {.lex_state = 48, .external_lex_state = 2},
  [229] = {.lex_state = 48, .external_lex_state = 2},
  [230] = {.lex_state = 48, .external_lex_state = 2},
  [231] = {.lex_state = 48, .external_lex_state = 2},
  [232] = {.lex_state = 48, .external_lex_state = 2},
  [233] = {.lex_state = 48, .external_lex_state = 2},
  [234] = {.lex_state = 48, .external_lex_state = 2},
  [235] = {.lex_state = 48, .external_lex_state = 2},
  [236] = {.lex_state = 48, .external_lex_state = 2},
  [237] = {.lex_state = 48, .external_lex_state = 2},
  [238] = {.lex_state = 48, .external_lex_state = 2},
  [239] = {.lex_state = 48, .external_lex_state = 2},
  [240] = {.lex_state = 48, .external_lex_state = 3},
  [241] = {.lex_state = 48, .external_lex_state = 2},
  [242] = {.lex_state = 48, .external_lex_state = 2},
  [243] = {.lex_state = 48, .external_lex_state = 2},
  [244] = {.lex_state = 48, .external_lex_state = 2},
  [245] = {.lex_state = 48, .external_lex_state = 2},
  [246] = {.lex_state = 48, .external_lex_state = 2},
  [247] = {.lex_state = 48, .external_lex_state = 2},
  [248] = {.lex_state = 48, .external_lex_state = 2},
  [249] = {.lex_state = 48, .external_lex_state = 2},
  [250] = {.lex_state = 48, .external_lex_state = 2},
  [251] = {.lex_state = 48, .external_lex_state = 2},
  [252] = {.lex_state = 48, .external_lex_state = 2},
  [253] = {.lex_state = 48, .external_lex_state = 2},
  [254] = {.lex_state = 48, .external_lex_state = 3},
  [255] = {.lex_state = 48, .external_lex_state = 2},
  [256] = {.lex_state = 48, .external_lex_state = 2},
  [257] = {.lex_state = 48, .external_lex_state = 3},
  [258] = {.lex_state = 48, .external_lex_state = 3},
  [259] = {.lex_state = 48, .external_lex_state = 2},
  [260] = {.lex_state = 48, .external_lex_state = 2},
  [261] = {.lex_state = 48, .external_lex_state = 2},
  [262] = {.lex_state = 48, .external_lex_state = 2},
  [263] = {.lex_state = 48, .external_lex_state = 2},
  [264] = {.lex_state = 48, .external_lex_state = 3},
  [265] = {.lex_state = 48, .external_lex_state = 2},
  [266] = {.lex_state = 48, .external_lex_state = 2},
  [267] = {.lex_state = 48, .external_lex_state = 2},
  [268] = {.lex_state = 48, .external_lex_state = 2},
  [269] = {.lex_state = 48, .external_lex_state = 3},
  [270] = {.lex_state = 48, .external_lex_state = 3},
  [271] = {.lex_state = 48, .external_lex_state = 2},
  [272] = {.lex_state = 48, .external_lex_state = 2},
  [273] = {.lex_state = 48, .external_lex_state = 2},
  [274] = {.lex_state = 48, .external_lex_state = 2},
  [275] = {.lex_state = 48, .external_lex_state = 2},
  [276] = {.lex_state = 48, .external_lex_state = 2},
  [277] = {.lex_state = 48, .external_lex_state = 2},
  [278] = {.lex_state = 48, .external_lex_state = 2},
  [279] = {.lex_state = 48, .external_lex_state = 2},
  [280] = {.lex_state = 48, .external_lex_state = 2},
  [281] = {.lex_state = 48, .external_lex_state = 2},
  [282] = {.lex_state = 48, .external_lex_state = 2},
  [283] = {.lex_state = 48, .external_lex_state = 2},
  [284] = {.lex_state = 48, .external_lex_state = 2},
  [285] = {.lex_state = 48, .external_lex_state = 2},
  [286] = {.lex_state = 48, .external_lex_state = 2},
  [287] = {.lex_state = 48, .external_lex_state = 3},
  [288] = {.lex_state = 48, .external_lex_state = 3},
  [289] = {.lex_state = 48, .external_lex_state = 3},
  [290] = {.lex_state = 48, .external_lex_state = 3},
  [291] = {.lex_state = 48, .external_lex_state = 3},
  [292] = {.lex_state = 48, .external_lex_state = 2},
  [293] = {.lex_state = 48, .external_lex_state = 2},
  [294] = {.lex_state = 48, .external_lex_state = 2},
  [295] = {.lex_state = 48, .external_lex_state = 3},
  [296] = {.lex_state = 48, .external_lex_state = 3},
  [297] = {.lex_state = 48, .external_lex_state = 2},
  [298] = {.lex_state = 48, .external_lex_state = 3},
  [299] = {.lex_state = 48, .external_lex_state = 3},
  [300] = {.lex_state = 48, .external_lex_state = 3},
  [301] = {.lex_state = 48, .external_lex_state = 2},
  [302] = {.lex_state = 48, .external_lex_state = 3},
  [303] = {.lex_state = 48, .external_lex_state = 3},
  [304] = {.lex_state = 48, .external_lex_state = 2},
  [305] = {.lex_state = 48, .external_lex_state = 3},
  [306] = {.lex_state = 48, .external_lex_state = 2},
  [307] = {.lex_state = 48, .external_lex_state = 2},
  [308] = {.lex_state = 48, .external_lex_state = 3},
  [309] = {.lex_state = 48, .external_lex_state = 2},
  [310] = {.lex_state = 48, .external_lex_state = 2},
  [311] = {.lex_state = 48, .external_lex_state = 3},
  [312] = {.lex_state = 48, .external_lex_state = 3},
  [313] = {.lex_state = 48, .external_lex_state = 3},
  [314] = {.lex_state = 48, .external_lex_state = 3},
  [315] = {.lex_state = 48, .external_lex_state = 2},
  [316] = {.lex_state = 48, .external_lex_state = 2},
  [317] = {.lex_state = 48, .external_lex_state = 3},
  [318] = {.lex_state = 48, .external_lex_state = 3},
  [319] = {.lex_state = 48, .external_lex_state = 2},
  [320] = {.lex_state = 48, .external_lex_state = 2},
  [321] = {.lex_state = 48, .external_lex_state = 2},
  [322] = {.lex_state = 48, .external_lex_state = 3},
  [323] = {.lex_state = 48, .external_lex_state = 3},
  [324] = {.lex_state = 48, .external_lex_state = 3},
  [325] = {.lex_state = 48, .external_lex_state = 2},
  [326] = {.lex_state = 48, .external_lex_state = 2},
  [327] = {.lex_state = 48, .external_lex_state = 2},
  [328] = {.lex_state = 48, .external_lex_state = 2},
  [329] = {.lex_state = 48, .external_lex_state = 3},
  [330] = {.lex_state = 48, .external_lex_state = 2},
  [331] = {.lex_state = 48, .external_lex_state = 2},
  [332] = {.lex_state = 48, .external_lex_state = 2},
  [333] = {.lex_state = 48, .external_lex_state = 2},
  [334] = {.lex_state = 48, .external_lex_state = 2},
  [335] = {.lex_state = 48, .external_lex_state = 2},
  [336] = {.lex_state = 48, .external_lex_state = 2},
  [337] = {.lex_state = 48, .external_lex_state = 3},
  [338] = {.lex_state = 48, .external_lex_state = 2},
  [339] = {.lex_state = 48, .external_lex_state = 2},
  [340] = {.lex_state = 48, .external_lex_state = 3},
  [341] = {.lex_state = 48, .external_lex_state = 2},
  [342] = {.lex_state = 48, .external_lex_state = 3},
  [343] = {.lex_state = 48, .external_lex_state = 3},
  [344] = {.lex_state = 48, .external_lex_state = 2},
  [345] = {.lex_state = 48, .external_lex_state = 3},
  [346] = {.lex_state = 48, .external_lex_state = 3},
  [347] = {.lex_state = 48, .external_lex_state = 3},
  [348] = {.lex_state = 48, .external_lex_state = 2},
  [349] = {.lex_state = 48, .external_lex_state = 2},
  [350] = {.lex_state = 48, .external_lex_state = 2},
  [351] = {.lex_state = 48, .external_lex_state = 2},
  [352] = {.lex_state = 48, .external_lex_state = 2},
  [353] = {.lex_state = 48, .external_lex_state = 2},
  [354] = {.lex_state = 48, .external_lex_state = 2},
  [355] = {.lex_state = 48, .external_lex_state = 2},
  [356] = {.lex_state = 48, .external_lex_state = 2},
  [357] = {.lex_state = 48, .external_lex_state = 2},
  [358] = {.lex_state = 48, .external_lex_state = 2},
  [359] = {.lex_state = 48, .external_lex_state = 2},
  [360] = {.lex_state = 48, .external_lex_state = 2},
  [361] = {.lex_state = 48, .external_lex_state = 2},
  [362] = {.lex_state = 48, .external_lex_state = 2},
  [363] = {.lex_state = 48, .external_lex_state = 2},
  [364] = {.lex_state = 48, .external_lex_state = 2},
  [365] = {.lex_state = 48, .external_lex_state = 2},
  [366] = {.lex_state = 48, .external_lex_state = 2},
  [367] = {.lex_state = 48, .external_lex_state = 2},
  [368] = {.lex_state = 48, .external_lex_state = 2},
  [369] = {.lex_state = 48, .external_lex_state = 2},
  [370] = {.lex_state = 48, .external_lex_state = 2},
  [371] = {.lex_state = 48, .external_lex_state = 2},
  [372] = {.lex_state = 48, .external_lex_state = 2},
  [373] = {.lex_state = 48, .external_lex_state = 2},
  [374] = {.lex_state = 48, .external_lex_state = 2},
  [375] = {.lex_state = 48, .external_lex_state = 2},
  [376] = {.lex_state = 48, .external_lex_state = 2},
  [377] = {.lex_state = 48, .external_lex_state = 2},
  [378] = {.lex_state = 48, .external_lex_state = 2},
  [379] = {.lex_state = 48, .external_lex_state = 2},
  [380] = {.lex_state = 48, .external_lex_state = 2},
  [381] = {.lex_state = 48, .external_lex_state = 2},
  [382] = {.lex_state = 48, .external_lex_state = 2},
  [383] = {.lex_state = 48, .external_lex_state = 2},
  [384] = {.lex_state = 48, .external_lex_state = 2},
  [385] = {.lex_state = 48, .external_lex_state = 2},
  [386] = {.lex_state = 48, .external_lex_state = 2},
  [387] = {.lex_state = 48, .external_lex_state = 2},
  [388] = {.lex_state = 48, .external_lex_state = 2},
  [389] = {.lex_state = 48, .external_lex_state = 2},
  [390] = {.lex_state = 48, .external_lex_state = 2},
  [391] = {.lex_state = 48, .external_lex_state = 2},
  [392] = {.lex_state = 48, .external_lex_state = 2},
  [393] = {.lex_state = 48, .external_lex_state = 2},
  [394] = {.lex_state = 48, .external_lex_state = 2},
  [395] = {.lex_state = 48, .external_lex_state = 2},
  [396] = {.lex_state = 47, .external_lex_state = 2},
  [397] = {.lex_state = 48, .external_lex_state = 2},
  [398] = {.lex_state = 47, .external_lex_state = 2},
  [399] = {.lex_state = 48, .external_lex_state = 2},
  [400] = {.lex_state = 48, .external_lex_state = 3},
  [401] = {.lex_state = 48, .external_lex_state = 3},
  [402] = {.lex_state = 48, .external_lex_state = 2},
  [403] = {.lex_state = 48, .external_lex_state = 2},
  [404] = {.lex_state = 48, .external_lex_state = 2},
  [405] = {.lex_state = 48, .external_lex_state = 2},
  [406] = {.lex_state = 47, .external_lex_state = 4},
  [407] = {.lex_state = 48, .external_lex_state = 2},
  [408] = {.lex_state = 48, .external_lex_state = 2},
  [409] = {.lex_state = 47, .external_lex_state = 2},
  [410] = {.lex_state = 47, .external_lex_state = 2},
  [411] = {.lex_state = 47, .external_lex_state = 2},
  [412] = {.lex_state = 47, .external_lex_state = 2},
  [413] = {.lex_state = 47, .external_lex_state = 2},
  [414] = {.lex_state = 47, .external_lex_state = 2},
  [415] = {.lex_state = 47, .external_lex_state = 2},
  [416] = {.lex_state = 47, .external_lex_state = 2},
  [417] = {.lex_state = 47, .external_lex_state = 2},
  [418] = {.lex_state = 47, .external_lex_state = 2},
  [419] = {.lex_state = 47, .external_lex_state = 2},
  [420] = {.lex_state = 47, .external_lex_state = 2},
  [421] = {.lex_state = 47, .external_lex_state = 2},
  [422] = {.lex_state = 47, .external_lex_state = 2},
  [423] = {.lex_state = 47, .external_lex_state = 2},
  [424] = {.lex_state = 47, .external_lex_state = 2},
  [425] = {.lex_state = 47, .external_lex_state = 2},
  [426] = {.lex_state = 47, .external_lex_state = 2},
  [427] = {.lex_state = 47, .external_lex_state = 2},
  [428] = {.lex_state = 47, .external_lex_state = 2},
  [429] = {.lex_state = 47, .external_lex_state = 2},
  [430] = {.lex_state = 47, .external_lex_state = 2},
  [431] = {.lex_state = 47, .external_lex_state = 2},
  [432] = {.lex_state = 47, .external_lex_state = 2},
  [433] = {.lex_state = 47, .external_lex_state = 2},
  [434] = {.lex_state = 47, .external_lex_state = 2},
  [435] = {.lex_state = 47, .external_lex_state = 2},
  [436] = {.lex_state = 47, .external_lex_state = 2},
  [437] = {.lex_state = 47, .external_lex_state = 2},
  [438] = {.lex_state = 47, .external_lex_state = 2},
  [439] = {.lex_state = 47, .external_lex_state = 2},
  [440] = {.lex_state = 47, .external_lex_state = 2},
  [441] = {.lex_state = 47, .external_lex_state = 2},
  [442] = {.lex_state = 47, .external_lex_state = 2},
  [443] = {.lex_state = 47, .external_lex_state = 2},
  [444] = {.lex_state = 47, .external_lex_state = 2},
  [445] = {.lex_state = 47, .external_lex_state = 2},
  [446] = {.lex_state = 47, .external_lex_state = 2},
  [447] = {.lex_state = 47, .external_lex_state = 2},
  [448] = {.lex_state = 47, .external_lex_state = 2},
  [449] = {.lex_state = 47, .external_lex_state = 2},
  [450] = {.lex_state = 47, .external_lex_state = 2},
  [451] = {.lex_state = 47, .external_lex_state = 2},
  [452] = {.lex_state = 47, .external_lex_state = 2},
  [453] = {.lex_state = 47, .external_lex_state = 2},
  [454] = {.lex_state = 47, .external_lex_state = 2},
  [455] = {.lex_state = 47, .external_lex_state = 2},
  [456] = {.lex_state = 47, .external_lex_state = 2},
  [457] = {.lex_state = 47, .external_lex_state = 2},
  [458] = {.lex_state = 47, .external_lex_state = 2},
  [459] = {.lex_state = 47, .external_lex_state = 2},
  [460] = {.lex_state = 47, .external_lex_state = 2},
  [461] = {.lex_state = 47, .external_lex_state = 2},
  [462] = {.lex_state = 47, .external_lex_state = 2},
  [463] = {.lex_state = 47, .external_lex_state = 2},
  [464] = {.lex_state = 47, .external_lex_state = 2},
  [465] = {.lex_state = 47, .external_lex_state = 2},
  [466] = {.lex_state = 47, .external_lex_state = 2},
  [467] = {.lex_state = 47, .external_lex_state = 2},
  [468] = {.lex_state = 47, .external_lex_state = 2},
  [469] = {.lex_state = 47, .external_lex_state = 2},
  [470] = {.lex_state = 47, .external_lex_state = 2},
  [471] = {.lex_state = 47, .external_lex_state = 2},
  [472] = {.lex_state = 47, .external_lex_state = 2},
  [473] = {.lex_state = 47, .external_lex_state = 2},
  [474] = {.lex_state = 47, .external_lex_state = 2},
  [475] = {.lex_state = 47, .external_lex_state = 4},
  [476] = {.lex_state = 47, .external_lex_state = 4},
  [477] = {.lex_state = 47, .external_lex_state = 4},
  [478] = {.lex_state = 47, .external_lex_state = 4},
  [479] = {.lex_state = 47, .external_lex_state = 4},
  [480] = {.lex_state = 47, .external_lex_state = 4},
  [481] = {.lex_state = 47, .external_lex_state = 4},
  [482] = {.lex_state = 47, .external_lex_state = 4},
  [483] = {.lex_state = 47, .external_lex_state = 4},
  [484] = {.lex_state = 47, .external_lex_state = 4},
  [485] = {.lex_state = 47, .external_lex_state = 4},
  [486] = {.lex_state = 47, .external_lex_state = 4},
  [487] = {.lex_state = 49, .external_lex_state = 4},
  [488] = {.lex_state = 49, .external_lex_state = 4},
  [489] = {.lex_state = 47, .external_lex_state = 5},
  [490] = {.lex_state = 49, .external_lex_state = 4},
  [491] = {.lex_state = 47, .external_lex_state = 4},
  [492] = {.lex_state = 49, .external_lex_state = 4},
  [493] = {.lex_state = 49, .external_lex_state = 4},
  [494] = {.lex_state = 49, .external_lex_state = 4},
  [495] = {.lex_state = 49, .external_lex_state = 4},
  [496] = {.lex_state = 49, .external_lex_state = 4},
  [497] = {.lex_state = 49, .external_lex_state = 4},
  [498] = {.lex_state = 49, .external_lex_state = 4},
  [499] = {.lex_state = 49, .external_lex_state = 4},
  [500] = {.lex_state = 49, .external_lex_state = 4},
  [501] = {.lex_state = 47, .external_lex_state = 4},
  [502] = {.lex_state = 47, .external_lex_state = 5},
  [503] = {.lex_state = 47, .external_lex_state = 5},
  [504] = {.lex_state = 47, .external_lex_state = 5},
  [505] = {.lex_state = 49, .external_lex_state = 4},
  [506] = {.lex_state = 49, .external_lex_state = 4},
  [507] = {.lex_state = 47, .external_lex_state = 5},
  [508] = {.lex_state = 49, .external_lex_state = 4},
  [509] = {.lex_state = 49, .external_lex_state = 4},
  [510] = {.lex_state = 49, .external_lex_state = 4},
  [511] = {.lex_state = 49, .external_lex_state = 4},
  [512] = {.lex_state = 49, .external_lex_state = 4},
  [513] = {.lex_state = 49, .external_lex_state = 4},
  [514] = {.lex_state = 49, .external_lex_state = 4},
  [515] = {.lex_state = 49, .external_lex_state = 4},
  [516] = {.lex_state = 49, .external_lex_state = 4},
  [517] = {.lex_state = 49, .external_lex_state = 4},
  [518] = {.lex_state = 49, .external_lex_state = 4},
  [519] = {.lex_state = 49, .external_lex_state = 4},
  [520] = {.lex_state = 49, .external_lex_state = 4},
  [521] = {.lex_state = 49, .external_lex_state = 4},
  [522] = {.lex_state = 49, .external_lex_state = 4},
  [523] = {.lex_state = 47, .external_lex_state = 4},
  [524] = {.lex_state = 47, .external_lex_state = 4},
  [525] = {.lex_state = 47, .external_lex_state = 4},
  [526] = {.lex_state = 49, .external_lex_state = 4},
  [527] = {.lex_state = 47, .external_lex_state = 4},
  [528] = {.lex_state = 49, .external_lex_state = 4},
  [529] = {.lex_state = 49, .external_lex_state = 4},
  [530] = {.lex_state = 49, .external_lex_state = 4},
  [531] = {.lex_state = 47, .external_lex_state = 5},
  [532] = {.lex_state = 47, .external_lex_state = 4},
  [533] = {.lex_state = 49, .external_lex_state = 4},
  [534] = {.lex_state = 47, .external_lex_state = 4},
  [535] = {.lex_state = 47, .external_lex_state = 4},
  [536] = {.lex_state = 47, .external_lex_state = 5},
  [537] = {.lex_state = 47, .external_lex_state = 5},
  [538] = {.lex_state = 47, .external_lex_state = 4},
  [539] = {.lex_state = 47, .external_lex_state = 4},
  [540] = {.lex_state = 47, .external_lex_state = 4},
  [541] = {.lex_state = 49, .external_lex_state = 4},
  [542] = {.lex_state = 47, .external_lex_state = 5},
  [543] = {.lex_state = 47, .external_lex_state = 5},
  [544] = {.lex_state = 47, .external_lex_state = 4},
  [545] = {.lex_state = 49, .external_lex_state = 4},
  [546] = {.lex_state = 47, .external_lex_state = 5},
  [547] = {.lex_state = 47, .external_lex_state = 5},
  [548] = {.lex_state = 49, .external_lex_state = 4},
  [549] = {.lex_state = 47, .external_lex_state = 5},
  [550] = {.lex_state = 49, .external_lex_state = 4},
  [551] = {.lex_state = 49, .external_lex_state = 4},
  [552] = {.lex_state = 48, .external_lex_state = 2},
  [553] = {.lex_state = 48, .external_lex_state = 2},
  [554] = {.lex_state = 48, .external_lex_state = 2},
  [555] = {.lex_state = 48, .external_lex_state = 2},
  [556] = {.lex_state = 48, .external_lex_state = 2},
  [557] = {.lex_state = 48, .external_lex_state = 2},
  [558] = {.lex_state = 47, .external_lex_state = 2},
  [559] = {.lex_state = 47, .external_lex_state = 2},
  [560] = {.lex_state = 47, .external_lex_state = 2},
  [561] = {.lex_state = 47, .external_lex_state = 2},
  [562] = {.lex_state = 47, .external_lex_state = 2},
  [563] = {.lex_state = 47, .external_lex_state = 2},
  [564] = {.lex_state = 47, .external_lex_state = 2},
  [565] = {.lex_state = 47, .external_lex_state = 2},
  [566] = {.lex_state = 47, .external_lex_state = 2},
  [567] = {.lex_state = 3, .external_lex_state = 2},
  [568] = {.lex_state = 3, .external_lex_state = 2},
  [569] = {.lex_state = 3, .external_lex_state = 2},
  [570] = {.lex_state = 50, .external_lex_state = 4},
  [571] = {.lex_state = 3, .external_lex_state = 2},
  [572] = {.lex_state = 50, .external_lex_state = 4},
  [573] = {.lex_state = 3, .external_lex_state = 2},
  [574] = {.lex_state = 3, .external_lex_state = 2},
  [575] = {.lex_state = 3, .external_lex_state = 2},
  [576] = {.lex_state = 3, .external_lex_state = 2},
  [577] = {.lex_state = 3, .external_lex_state = 2},
  [578] = {.lex_state = 3, .external_lex_state = 2},
  [579] = {.lex_state = 3, .external_lex_state = 2},
  [580] = {.lex_state = 3, .external_lex_state = 2},
  [581] = {.lex_state = 49, .external_lex_state = 4},
  [582] = {.lex_state = 3, .external_lex_state = 2},
  [583] = {.lex_state = 49, .external_lex_state = 4},
  [584] = {.lex_state = 49, .external_lex_state = 4},
  [585] = {.lex_state = 49, .external_lex_state = 4},
  [586] = {.lex_state = 49, .external_lex_state = 4},
  [587] = {.lex_state = 47, .external_lex_state = 4},
  [588] = {.lex_state = 47, .external_lex_state = 4},
  [589] = {.lex_state = 49, .external_lex_state = 4},
  [590] = {.lex_state = 1, .external_lex_state = 6},
  [591] = {.lex_state = 1, .external_lex_state = 6},
  [592] = {.lex_state = 1, .external_lex_state = 6},
  [593] = {.lex_state = 49, .external_lex_state = 4},
  [594] = {.lex_state = 49, .external_lex_state = 4},
  [595] = {.lex_state = 1, .external_lex_state = 6},
  [596] = {.lex_state = 49, .external_lex_state = 4},
  [597] = {.lex_state = 1, .external_lex_state = 6},
  [598] = {.lex_state = 49, .external_lex_state = 4},
  [599] = {.lex_state = 1, .external_lex_state = 6},
  [600] = {.lex_state = 1, .external_lex_state = 6},
  [601] = {.lex_state = 49, .external_lex_state = 4},
  [602] = {.lex_state = 49, .external_lex_state = 4},
  [603] = {.lex_state = 49, .external_lex_state = 4},
  [604] = {.lex_state = 49, .external_lex_state = 4},
  [605] = {.lex_state = 1, .external_lex_state = 6},
  [606] = {.lex_state = 49, .external_lex_state = 4},
  [607] = {.lex_state = 1, .external_lex_state = 6},
  [608] = {.lex_state = 1, .external_lex_state = 6},
  [609] = {.lex_state = 47, .external_lex_state = 4},
  [610] = {.lex_state = 1, .external_lex_state = 6},
  [611] = {.lex_state = 49, .external_lex_state = 4},
  [612] = {.lex_state = 49, .external_lex_state = 4},
  [613] = {.lex_state = 1, .external_lex_state = 6},
  [614] = {.lex_state = 1, .external_lex_state = 6},
  [615] = {.lex_state = 49, .external_lex_state = 4},
  [616] = {.lex_state = 1, .external_lex_state = 6},
  [617] = {.lex_state = 1, .external_lex_state = 6},
  [618] = {.lex_state = 47, .external_lex_state = 4},
  [619] = {.lex_state = 2, .external_lex_state = 7},
  [620] = {.lex_state = 2, .external_lex_state = 7},
  [621] = {.lex_state = 2, .external_lex_state = 7},
  [622] = {.lex_state = 2, .external_lex_state = 7},
  [623] = {.lex_state = 2, .external_lex_state = 7},
  [624] = {.lex_state = 2, .external_lex_state = 7},
  [625] = {.lex_state = 2, .external_lex_state = 7},
  [626] = {.lex_state = 2, .external_lex_state = 7},
  [627] = {.lex_state = 2, .external_lex_state = 7},
  [628] = {.lex_state = 2, .external_lex_state = 7},
  [629] = {.lex_state = 2, .external_lex_state = 7},
  [630] = {.lex_state = 2, .external_lex_state = 7},
  [631] = {.lex_state = 2, .external_lex_state = 7},
  [632] = {.lex_state = 2, .external_lex_state = 7},
  [633] = {.lex_state = 2, .external_lex_state = 7},
  [634] = {.lex_state = 3, .external_lex_state = 4},
  [635] = {.lex_state = 1, .external_lex_state = 8},
  [636] = {.lex_state = 1, .external_lex_state = 8},
  [637] = {.lex_state = 1, .external_lex_state = 8},
  [638] = {.lex_state = 3, .external_lex_state = 4},
  [639] = {.lex_state = 49, .external_lex_state = 4},
  [640] = {.lex_state = 1, .external_lex_state = 8},
  [641] = {.lex_state = 1, .external_lex_state = 8},
  [642] = {.lex_state = 1, .external_lex_state = 8},
  [643] = {.lex_state = 1, .external_lex_state = 8},
  [644] = {.lex_state = 3, .external_lex_state = 4},
  [645] = {.lex_state = 3, .external_lex_state = 4},
  [646] = {.lex_state = 1, .external_lex_state = 8},
  [647] = {.lex_state = 1, .external_lex_state = 8},
  [648] = {.lex_state = 3, .external_lex_state = 4},
  [649] = {.lex_state = 1, .external_lex_state = 8},
  [650] = {.lex_state = 3, .external_lex_state = 4},
  [651] = {.lex_state = 1, .external_lex_state = 8},
  [652] = {.lex_state = 1, .external_lex_state = 8},
  [653] = {.lex_state = 1, .external_lex_state = 8},
  [654] = {.lex_state = 1, .external_lex_state = 8},
  [655] = {.lex_state = 49, .external_lex_state = 4},
  [656] = {.lex_state = 3, .external_lex_state = 4},
  [657] = {.lex_state = 1, .external_lex_state = 8},
  [658] = {.lex_state = 1, .external_lex_state = 8},
  [659] = {.lex_state = 1, .external_lex_state = 8},
  [660] = {.lex_state = 49, .external_lex_state = 4},
  [661] = {.lex_state = 2, .external_lex_state = 9},
  [662] = {.lex_state = 3, .external_lex_state = 2},
  [663] = {.lex_state = 49, .external_lex_state = 4},
  [664] = {.lex_state = 49, .external_lex_state = 4},
  [665] = {.lex_state = 2, .external_lex_state = 9},
  [666] = {.lex_state = 4, .external_lex_state = 2},
  [667] = {.lex_state = 2, .external_lex_state = 9},
  [668] = {.lex_state = 2, .external_lex_state = 9},
  [669] = {.lex_state = 2, .external_lex_state = 9},
  [670] = {.lex_state = 49, .external_lex_state = 4},
  [671] = {.lex_state = 4, .external_lex_state = 2},
  [672] = {.lex_state = 2, .external_lex_state = 9},
  [673] = {.lex_state = 2, .external_lex_state = 9},
  [674] = {.lex_state = 49, .external_lex_state = 4},
  [675] = {.lex_state = 4, .external_lex_state = 2},
  [676] = {.lex_state = 49, .external_lex_state = 4},
  [677] = {.lex_state = 2, .external_lex_state = 9},
  [678] = {.lex_state = 4, .external_lex_state = 2},
  [679] = {.lex_state = 2, .external_lex_state = 9},
  [680] = {.lex_state = 2, .external_lex_state = 9},
  [681] = {.lex_state = 2, .external_lex_state = 9},
  [682] = {.lex_state = 49, .external_lex_state = 4},
  [683] = {.lex_state = 2, .external_lex_state = 9},
  [684] = {.lex_state = 2, .external_lex_state = 9},
  [685] = {.lex_state = 2, .external_lex_state = 9},
  [686] = {.lex_state = 4, .external_lex_state = 2},
  [687] = {.lex_state = 49, .external_lex_state = 4},
  [688] = {.lex_state = 2, .external_lex_state = 9},
  [689] = {.lex_state = 2, .external_lex_state = 9},
  [690] = {.lex_state = 2, .external_lex_state = 9},
  [691] = {.lex_state = 4, .external_lex_state = 2},
  [692] = {.lex_state = 3, .external_lex_state = 2},
  [693] = {.lex_state = 3, .external_lex_state = 2},
  [694] = {.lex_state = 4, .external_lex_state = 4},
  [695] = {.lex_state = 1, .external_lex_state = 6},
  [696] = {.lex_state = 1, .external_lex_state = 6},
  [697] = {.lex_state = 4, .external_lex_state = 4},
  [698] = {.lex_state = 4, .external_lex_state = 4},
  [699] = {.lex_state = 3, .external_lex_state = 2},
  [700] = {.lex_state = 3, .external_lex_state = 2},
  [701] = {.lex_state = 47, .external_lex_state = 4},
  [702] = {.lex_state = 47, .external_lex_state = 4},
  [703] = {.lex_state = 47, .external_lex_state = 4},
  [704] = {.lex_state = 4, .external_lex_state = 4},
  [705] = {.lex_state = 47, .external_lex_state = 4},
  [706] = {.lex_state = 47, .external_lex_state = 4},
  [707] = {.lex_state = 47, .external_lex_state = 4},
  [708] = {.lex_state = 47, .external_lex_state = 4},
  [709] = {.lex_state = 3, .external_lex_state = 2},
  [710] = {.lex_state = 4, .external_lex_state = 4},
  [711] = {.lex_state = 3, .external_lex_state = 2},
  [712] = {.lex_state = 47, .external_lex_state = 4},
  [713] = {.lex_state = 47, .external_lex_state = 4},
  [714] = {.lex_state = 3, .external_lex_state = 2},
  [715] = {.lex_state = 4, .external_lex_state = 4},
  [716] = {.lex_state = 3, .external_lex_state = 4},
  [717] = {.lex_state = 47, .external_lex_state = 4},
  [718] = {.lex_state = 4, .external_lex_state = 4},
  [719] = {.lex_state = 47, .external_lex_state = 4},
  [720] = {.lex_state = 3, .external_lex_state = 4},
  [721] = {.lex_state = 1, .external_lex_state = 6},
  [722] = {.lex_state = 47, .external_lex_state = 4},
  [723] = {.lex_state = 3, .external_lex_state = 2},
  [724] = {.lex_state = 0, .external_lex_state = 4},
  [725] = {.lex_state = 49, .external_lex_state = 4},
  [726] = {.lex_state = 2, .external_lex_state = 7},
  [727] = {.lex_state = 10, .external_lex_state = 4},
  [728] = {.lex_state = 47, .external_lex_state = 4},
  [729] = {.lex_state = 3, .external_lex_state = 4},
  [730] = {.lex_state = 3, .external_lex_state = 4},
  [731] = {.lex_state = 49, .external_lex_state = 4},
  [732] = {.lex_state = 3, .external_lex_state = 2},
  [733] = {.lex_state = 49, .external_lex_state = 4},
  [734] = {.lex_state = 47, .external_lex_state = 4},
  [735] = {.lex_state = 3, .external_lex_state = 2},
  [736] = {.lex_state = 10, .external_lex_state = 4},
  [737] = {.lex_state = 0, .external_lex_state = 4},
  [738] = {.lex_state = 3, .external_lex_state = 2},
  [739] = {.lex_state = 3, .external_lex_state = 4},
  [740] = {.lex_state = 3, .external_lex_state = 4},
  [741] = {.lex_state = 3, .external_lex_state = 2},
  [742] = {.lex_state = 3, .external_lex_state = 2},
  [743] = {.lex_state = 3, .external_lex_state = 2},
  [744] = {.lex_state = 3, .external_lex_state = 2},
  [745] = {.lex_state = 0, .external_lex_state = 4},
  [746] = {.lex_state = 3, .external_lex_state = 2},
  [747] = {.lex_state = 3, .external_lex_state = 2},
  [748] = {.lex_state = 3, .external_lex_state = 2},
  [749] = {.lex_state = 2, .external_lex_state = 7},
  [750] = {.lex_state = 3, .external_lex_state = 2},
  [751] = {.lex_state = 0, .external_lex_state = 4},
  [752] = {.lex_state = 3, .external_lex_state = 2},
  [753] = {.lex_state = 3, .external_lex_state = 2},
  [754] = {.lex_state = 3, .external_lex_state = 2},
  [755] = {.lex_state = 3, .external_lex_state = 2},
  [756] = {.lex_state = 47, .external_lex_state = 5},
  [757] = {.lex_state = 3, .external_lex_state = 4},
  [758] = {.lex_state = 3, .external_lex_state = 2},
  [759] = {.lex_state = 3, .external_lex_state = 4},
  [760] = {.lex_state = 3, .external_lex_state = 2},
  [761] = {.lex_state = 3, .external_lex_state = 2},
  [762] = {.lex_state = 3, .external_lex_state = 2},
  [763] = {.lex_state = 47, .external_lex_state = 4},
  [764] = {.lex_state = 3, .external_lex_state = 2},
  [765] = {.lex_state = 10, .external_lex_state = 4},
  [766] = {.lex_state = 3, .external_lex_state = 2},
  [767] = {.lex_state = 3, .external_lex_state = 2},
  [768] = {.lex_state = 10, .external_lex_state = 4},
  [769] = {.lex_state = 47, .external_lex_state = 5},
  [770] = {.lex_state = 0, .external_lex_state = 4},
  [771] = {.lex_state = 49, .external_lex_state = 4},
  [772] = {.lex_state = 10, .external_lex_state = 4},
  [773] = {.lex_state = 3, .external_lex_state = 4},
  [774] = {.lex_state = 1, .external_lex_state = 8},
  [775] = {.lex_state = 3, .external_lex_state = 2},
  [776] = {.lex_state = 3, .external_lex_state = 2},
  [777] = {.lex_state = 3, .external_lex_state = 2},
  [778] = {.lex_state = 0, .external_lex_state = 4},
  [779] = {.lex_state = 10, .external_lex_state = 4},
  [780] = {.lex_state = 49, .external_lex_state = 4},
  [781] = {.lex_state = 1, .external_lex_state = 8},
  [782] = {.lex_state = 49, .external_lex_state = 4},
  [783] = {.lex_state = 2, .external_lex_state = 7},
  [784] = {.lex_state = 4, .external_lex_state = 4},
  [785] = {.lex_state = 4, .external_lex_state = 4},
  [786] = {.lex_state = 3, .external_lex_state = 4},
  [787] = {.lex_state = 3, .external_lex_state = 4},
  [788] = {.lex_state = 0, .external_lex_state = 4},
  [789] = {.lex_state = 3, .external_lex_state = 4},
  [790] = {.lex_state = 3, .external_lex_state = 4},
  [791] = {.lex_state = 3, .external_lex_state = 4},
  [792] = {.lex_state = 0, .external_lex_state = 4},
  [793] = {.lex_state = 3, .external_lex_state = 4},
  [794] = {.lex_state = 4, .external_lex_state = 4},
  [795] = {.lex_state = 47, .external_lex_state = 4},
  [796] = {.lex_state = 4, .external_lex_state = 4},
  [797] = {.lex_state = 3, .external_lex_state = 4},
  [798] = {.lex_state = 0, .external_lex_state = 4},
  [799] = {.lex_state = 0, .external_lex_state = 4},
  [800] = {.lex_state = 4, .external_lex_state = 4},
  [801] = {.lex_state = 4, .external_lex_state = 4},
  [802] = {.lex_state = 3, .external_lex_state = 4},
  [803] = {.lex_state = 3, .external_lex_state = 4},
  [804] = {.lex_state = 0, .external_lex_state = 4},
  [805] = {.lex_state = 0, .external_lex_state = 4},
  [806] = {.lex_state = 0, .external_lex_state = 4},
  [807] = {.lex_state = 4, .external_lex_state = 4},
  [808] = {.lex_state = 4, .external_lex_state = 4},
  [809] = {.lex_state = 3, .external_lex_state = 4},
  [810] = {.lex_state = 4, .external_lex_state = 4},
  [811] = {.lex_state = 2, .external_lex_state = 9},
  [812] = {.lex_state = 4, .external_lex_state = 4},
  [813] = {.lex_state = 0, .external_lex_state = 4},
  [814] = {.lex_state = 0, .external_lex_state = 4},
  [815] = {.lex_state = 4, .external_lex_state = 4},
  [816] = {.lex_state = 4, .external_lex_state = 4},
  [817] = {.lex_state = 4, .external_lex_state = 4},
  [818] = {.lex_state = 2, .external_lex_state = 9},
  [819] = {.lex_state = 4, .external_lex_state = 4},
  [820] = {.lex_state = 0, .external_lex_state = 4},
  [821] = {.lex_state = 0, .external_lex_state = 4},
  [822] = {.lex_state = 0, .external_lex_state = 4},
  [823] = {.lex_state = 8, .external_lex_state = 4},
  [824] = {.lex_state = 3, .external_lex_state = 4},
  [825] = {.lex_state = 4, .external_lex_state = 4},
  [826] = {.lex_state = 0, .external_lex_state = 2},
  [827] = {.lex_state = 0, .external_lex_state = 4},
  [828] = {.lex_state = 8, .external_lex_state = 4},
  [829] = {.lex_state = 0, .external_lex_state = 4},
  [830] = {.lex_state = 4, .external_lex_state = 4},
  [831] = {.lex_state = 0, .external_lex_state = 4},
  [832] = {.lex_state = 0, .external_lex_state = 4},
  [833] = {.lex_state = 0, .external_lex_state = 4},
  [834] = {.lex_state = 0, .external_lex_state = 4},
  [835] = {.lex_state = 4, .external_lex_state = 4},
  [836] = {.lex_state = 0, .external_lex_state = 2},
  [837] = {.lex_state = 0, .external_lex_state = 4},
  [838] = {.lex_state = 4, .external_lex_state = 4},
  [839] = {.lex_state = 0, .external_lex_state = 4},
  [840] = {.lex_state = 0, .external_lex_state = 4},
  [841] = {.lex_state = 0, .external_lex_state = 4},
  [842] = {.lex_state = 8, .external_lex_state = 4},
  [843] = {.lex_state = 8, .external_lex_state = 4},
  [844] = {.lex_state = 8, .external_lex_state = 4},
  [845] = {.lex_state = 0, .external_lex_state = 4},
  [846] = {.lex_state = 8, .external_lex_state = 4},
  [847] = {.lex_state = 47, .external_lex_state = 5},
  [848] = {.lex_state = 47, .external_lex_state = 5},
  [849] = {.lex_state = 47, .external_lex_state = 5},
  [850] = {.lex_state = 0, .external_lex_state = 4},
  [851] = {.lex_state = 8, .external_lex_state = 4},
  [852] = {.lex_state = 0, .external_lex_state = 4},
  [853] = {.lex_state = 8, .external_lex_state = 4},
  [854] = {.lex_state = 8, .external_lex_state = 4},
  [855] = {.lex_state = 0, .external_lex_state = 4},
  [856] = {.lex_state = 0, .external_lex_state = 4},
  [857] = {.lex_state = 8, .external_lex_state = 4},
  [858] = {.lex_state = 0, .external_lex_state = 2},
  [859] = {.lex_state = 8, .external_lex_state = 4},
  [860] = {.lex_state = 0, .external_lex_state = 4},
  [861] = {.lex_state = 4, .external_lex_state = 4},
  [862] = {.lex_state = 47, .external_lex_state = 5},
  [863] = {.lex_state = 0, .external_lex_state = 4},
  [864] = {.lex_state = 0, .external_lex_state = 2},
  [865] = {.lex_state = 0, .external_lex_state = 2},
  [866] = {.lex_state = 8, .external_lex_state = 4},
  [867] = {.lex_state = 0, .external_lex_state = 4},
  [868] = {.lex_state = 47, .external_lex_state = 5},
  [869] = {.lex_state = 8, .external_lex_state = 4},
  [870] = {.lex_state = 0, .external_lex_state = 4},
  [871] = {.lex_state = 0, .external_lex_state = 2},
  [872] = {.lex_state = 8, .external_lex_state = 4},
  [873] = {.lex_state = 47, .external_lex_state = 5},
  [874] = {.lex_state = 0, .external_lex_state = 4},
  [875] = {.lex_state = 4, .external_lex_state = 4},
  [876] = {.lex_state = 0, .external_lex_state = 4},
  [877] = {.lex_state = 0, .external_lex_state = 4},
  [878] = {.lex_state = 47, .external_lex_state = 4},
  [879] = {.lex_state = 0, .external_lex_state = 4},
  [880] = {.lex_state = 0, .external_lex_state = 4},
  [881] = {.lex_state = 8, .external_lex_state = 4},
  [882] = {.lex_state = 0, .external_lex_state = 2},
  [883] = {.lex_state = 4, .external_lex_state = 4},
  [884] = {.lex_state = 47, .external_lex_state = 4},
  [885] = {.lex_state = 8, .external_lex_state = 4},
  [886] = {.lex_state = 0, .external_lex_state = 4},
  [887] = {.lex_state = 8, .external_lex_state = 4},
  [888] = {.lex_state = 0, .external_lex_state = 4},
  [889] = {.lex_state = 0, .external_lex_state = 2},
  [890] = {.lex_state = 47, .external_lex_state = 5},
  [891] = {.lex_state = 0, .external_lex_state = 4},
  [892] = {.lex_state = 8, .external_lex_state = 4},
  [893] = {.lex_state = 47, .external_lex_state = 4},
  [894] = {.lex_state = 0, .external_lex_state = 4},
  [895] = {.lex_state = 8, .external_lex_state = 4},
  [896] = {.lex_state = 8, .external_lex_state = 4},
  [897] = {.lex_state = 8, .external_lex_state = 4},
  [898] = {.lex_state = 8, .external_lex_state = 4},
  [899] = {.lex_state = 0, .external_lex_state = 4},
  [900] = {.lex_state = 4, .external_lex_state = 4},
  [901] = {.lex_state = 8, .external_lex_state = 4},
  [902] = {.lex_state = 0, .external_lex_state = 4},
  [903] = {.lex_state = 8, .external_lex_state = 4},
  [904] = {.lex_state = 0, .external_lex_state = 4},
  [905] = {.lex_state = 3, .external_lex_state = 4},
  [906] = {.lex_state = 0, .external_lex_state = 4},
  [907] = {.lex_state = 0, .external_lex_state = 4},
  [908] = {.lex_state = 3, .external_lex_state = 4},
  [909] = {.lex_state = 0, .external_lex_state = 4},
  [910] = {.lex_state = 0, .external_lex_state = 4},
  [911] = {.lex_state = 0, .external_lex_state = 4},
  [912] = {.lex_state = 0, .external_lex_state = 4},
  [913] = {.lex_state = 3, .external_lex_state = 4},
  [914] = {.lex_state = 0, .external_lex_state = 4},
  [915] = {.lex_state = 0, .external_lex_state = 4},
  [916] = {.lex_state = 0, .external_lex_state = 4},
  [917] = {.lex_state = 3, .external_lex_state = 4},
  [918] = {.lex_state = 0, .external_lex_state = 4},
  [919] = {.lex_state = 3, .external_lex_state = 4},
  [920] = {.lex_state = 0, .external_lex_state = 4},
  [921] = {.lex_state = 3, .external_lex_state = 4},
  [922] = {.lex_state = 0, .external_lex_state = 4},
  [923] = {.lex_state = 3, .external_lex_state = 4},
  [924] = {.lex_state = 0, .external_lex_state = 4},
  [925] = {.lex_state = 0, .external_lex_state = 4},
  [926] = {.lex_state = 0, .external_lex_state = 4},
  [927] = {.lex_state = 0, .external_lex_state = 4},
  [928] = {.lex_state = 0, .external_lex_state = 4},
  [929] = {.lex_state = 0, .external_lex_state = 4},
  [930] = {.lex_state = 0, .external_lex_state = 4},
  [931] = {.lex_state = 0, .external_lex_state = 4},
  [932] = {.lex_state = 0, .external_lex_state = 4},
  [933] = {.lex_state = 0, .external_lex_state = 4},
  [934] = {.lex_state = 3, .external_lex_state = 4},
  [935] = {.lex_state = 0, .external_lex_state = 5},
  [936] = {.lex_state = 4, .external_lex_state = 4},
  [937] = {.lex_state = 0, .external_lex_state = 5},
  [938] = {.lex_state = 0, .external_lex_state = 5},
  [939] = {.lex_state = 49, .external_lex_state = 4},
  [940] = {.lex_state = 0, .external_lex_state = 4},
  [941] = {.lex_state = 0, .external_lex_state = 4},
  [942] = {.lex_state = 0, .external_lex_state = 4},
  [943] = {.lex_state = 0, .external_lex_state = 4},
  [944] = {.lex_state = 0, .external_lex_state = 4},
  [945] = {.lex_state = 0, .external_lex_state = 4},
  [946] = {.lex_state = 4, .external_lex_state = 4},
  [947] = {.lex_state = 49, .external_lex_state = 4},
  [948] = {.lex_state = 0, .external_lex_state = 4},
  [949] = {.lex_state = 0, .external_lex_state = 4},
  [950] = {.lex_state = 0, .external_lex_state = 4},
  [951] = {.lex_state = 0, .external_lex_state = 4},
  [952] = {.lex_state = 49, .external_lex_state = 4},
  [953] = {.lex_state = 0, .external_lex_state = 4},
  [954] = {.lex_state = 4, .external_lex_state = 4},
  [955] = {.lex_state = 49, .external_lex_state = 4},
  [956] = {.lex_state = 49, .external_lex_state = 4},
  [957] = {.lex_state = 0, .external_lex_state = 5},
  [958] = {.lex_state = 0, .external_lex_state = 4},
  [959] = {.lex_state = 4, .external_lex_state = 4},
  [960] = {.lex_state = 49, .external_lex_state = 4},
  [961] = {.lex_state = 49, .external_lex_state = 4},
  [962] = {.lex_state = 4, .external_lex_state = 4},
  [963] = {.lex_state = 0, .external_lex_state = 4},
  [964] = {.lex_state = 0, .external_lex_state = 5},
  [965] = {.lex_state = 0, .external_lex_state = 4},
  [966] = {.lex_state = 0, .external_lex_state = 5},
  [967] = {.lex_state = 47, .external_lex_state = 4},
  [968] = {.lex_state = 49, .external_lex_state = 4},
  [969] = {.lex_state = 49, .external_lex_state = 4},
  [970] = {.lex_state = 0, .external_lex_state = 4},
  [971] = {.lex_state = 4, .external_lex_state = 4},
  [972] = {.lex_state = 0, .external_lex_state = 4},
  [973] = {.lex_state = 49, .external_lex_state = 4},
  [974] = {.lex_state = 0, .external_lex_state = 4},
  [975] = {.lex_state = 49, .external_lex_state = 4},
  [976] = {.lex_state = 4, .external_lex_state = 4},
  [977] = {.lex_state = 3, .external_lex_state = 4},
  [978] = {.lex_state = 0, .external_lex_state = 5},
  [979] = {.lex_state = 49, .external_lex_state = 4},
  [980] = {.lex_state = 0, .external_lex_state = 4},
  [981] = {.lex_state = 49, .external_lex_state = 4},
  [982] = {.lex_state = 4, .external_lex_state = 4},
  [983] = {.lex_state = 0, .external_lex_state = 4},
  [984] = {.lex_state = 0, .external_lex_state = 4},
  [985] = {.lex_state = 49, .external_lex_state = 4},
  [986] = {.lex_state = 0, .external_lex_state = 5},
  [987] = {.lex_state = 0, .external_lex_state = 5},
  [988] = {.lex_state = 49, .external_lex_state = 4},
  [989] = {.lex_state = 0, .external_lex_state = 5},
  [990] = {.lex_state = 0, .external_lex_state = 4},
  [991] = {.lex_state = 0, .external_lex_state = 5},
  [992] = {.lex_state = 0, .external_lex_state = 4},
  [993] = {.lex_state = 0, .external_lex_state = 4},
  [994] = {.lex_state = 0, .external_lex_state = 5},
  [995] = {.lex_state = 0, .external_lex_state = 4},
  [996] = {.lex_state = 3, .external_lex_state = 4},
  [997] = {.lex_state = 0, .external_lex_state = 5},
  [998] = {.lex_state = 0, .external_lex_state = 4},
  [999] = {.lex_state = 0, .external_lex_state = 4},
  [1000] = {.lex_state = 4, .external_lex_state = 4},
  [1001] = {.lex_state = 0, .external_lex_state = 4},
  [1002] = {.lex_state = 0, .external_lex_state = 4},
  [1003] = {.lex_state = 0, .external_lex_state = 4},
  [1004] = {.lex_state = 4, .external_lex_state = 4},
  [1005] = {.lex_state = 49, .external_lex_state = 4},
  [1006] = {.lex_state = 0, .external_lex_state = 4},
  [1007] = {.lex_state = 0, .external_lex_state = 4},
  [1008] = {.lex_state = 0, .external_lex_state = 4},
  [1009] = {.lex_state = 0, .external_lex_state = 4},
  [1010] = {.lex_state = 0, .external_lex_state = 4},
  [1011] = {.lex_state = 0, .external_lex_state = 4},
  [1012] = {.lex_state = 0, .external_lex_state = 4},
  [1013] = {.lex_state = 49, .external_lex_state = 4},
  [1014] = {.lex_state = 3, .external_lex_state = 4},
  [1015] = {.lex_state = 0, .external_lex_state = 4},
  [1016] = {.lex_state = 47, .external_lex_state = 4},
  [1017] = {.lex_state = 0, .external_lex_state = 5},
  [1018] = {.lex_state = 49, .external_lex_state = 4},
  [1019] = {.lex_state = 0, .external_lex_state = 4},
  [1020] = {.lex_state = 0, .external_lex_state = 4},
  [1021] = {.lex_state = 4, .external_lex_state = 4},
  [1022] = {.lex_state = 4, .external_lex_state = 4},
  [1023] = {.lex_state = 49, .external_lex_state = 4},
  [1024] = {.lex_state = 49, .external_lex_state = 4},
  [1025] = {.lex_state = 4, .external_lex_state = 4},
  [1026] = {.lex_state = 0, .external_lex_state = 4},
  [1027] = {.lex_state = 0, .external_lex_state = 4},
  [1028] = {.lex_state = 4, .external_lex_state = 4},
  [1029] = {.lex_state = 0, .external_lex_state = 4},
  [1030] = {.lex_state = 0, .external_lex_state = 4},
  [1031] = {.lex_state = 0, .external_lex_state = 4},
  [1032] = {.lex_state = 3, .external_lex_state = 4},
  [1033] = {.lex_state = 49, .external_lex_state = 4},
  [1034] = {.lex_state = 0, .external_lex_state = 4},
  [1035] = {.lex_state = 49, .external_lex_state = 4},
  [1036] = {.lex_state = 4, .external_lex_state = 4},
  [1037] = {.lex_state = 4, .external_lex_state = 4},
  [1038] = {.lex_state = 49, .external_lex_state = 4},
  [1039] = {.lex_state = 0, .external_lex_state = 4},
  [1040] = {.lex_state = 47, .external_lex_state = 4},
  [1041] = {.lex_state = 0, .external_lex_state = 4},
  [1042] = {.lex_state = 0, .external_lex_state = 4},
  [1043] = {.lex_state = 0, .external_lex_state = 4},
  [1044] = {.lex_state = 0, .external_lex_state = 4},
  [1045] = {.lex_state = 49, .external_lex_state = 4},
  [1046] = {.lex_state = 0, .external_lex_state = 5},
  [1047] = {.lex_state = 0, .external_lex_state = 4},
  [1048] = {.lex_state = 0, .external_lex_state = 4},
  [1049] = {.lex_state = 0, .external_lex_state = 4},
  [1050] = {.lex_state = 3, .external_lex_state = 4},
  [1051] = {.lex_state = 0, .external_lex_state = 4},
  [1052] = {.lex_state = 0, .external_lex_state = 4},
  [1053] = {.lex_state = 0, .external_lex_state = 4},
  [1054] = {.lex_state = 0, .external_lex_state = 4},
  [1055] = {.lex_state = 49, .external_lex_state = 4},
  [1056] = {.lex_state = 4, .external_lex_state = 4},
  [1057] = {.lex_state = 0, .external_lex_state = 4},
  [1058] = {.lex_state = 0, .external_lex_state = 4},
  [1059] = {.lex_state = 0, .external_lex_state = 4},
  [1060] = {.lex_state = 0, .external_lex_state = 4},
  [1061] = {.lex_state = 49, .external_lex_state = 4},
  [1062] = {.lex_state = 0, .external_lex_state = 4},
  [1063] = {.lex_state = 0, .external_lex_state = 4},
  [1064] = {.lex_state = 0, .external_lex_state = 4},
  [1065] = {.lex_state = 0, .external_lex_state = 4},
  [1066] = {.lex_state = 49, .external_lex_state = 4},
  [1067] = {.lex_state = 0, .external_lex_state = 4},
  [1068] = {.lex_state = 47, .external_lex_state = 4},
  [1069] = {.lex_state = 47, .external_lex_state = 4},
  [1070] = {.lex_state = 0, .external_lex_state = 4},
  [1071] = {.lex_state = 0, .external_lex_state = 4},
  [1072] = {.lex_state = 49, .external_lex_state = 4},
  [1073] = {.lex_state = 0, .external_lex_state = 4},
  [1074] = {.lex_state = 47, .external_lex_state = 4},
  [1075] = {.lex_state = 47, .external_lex_state = 4},
  [1076] = {.lex_state = 0, .external_lex_state = 4},
  [1077] = {.lex_state = 0, .external_lex_state = 4},
  [1078] = {.lex_state = 49, .external_lex_state = 4},
  [1079] = {.lex_state = 0, .external_lex_state = 4},
  [1080] = {.lex_state = 47, .external_lex_state = 4},
  [1081] = {.lex_state = 47, .external_lex_state = 4},
  [1082] = {.lex_state = 49, .external_lex_state = 4},
  [1083] = {.lex_state = 0, .external_lex_state = 4},
  [1084] = {.lex_state = 49, .external_lex_state = 4},
  [1085] = {.lex_state = 0, .external_lex_state = 4},
  [1086] = {.lex_state = 0, .external_lex_state = 4},
  [1087] = {.lex_state = 47, .external_lex_state = 4},
  [1088] = {.lex_state = 4, .external_lex_state = 4},
  [1089] = {.lex_state = 0, .external_lex_state = 4},
  [1090] = {.lex_state = 49, .external_lex_state = 4},
  [1091] = {.lex_state = 49, .external_lex_state = 4},
  [1092] = {.lex_state = 47, .external_lex_state = 4},
  [1093] = {.lex_state = 47, .external_lex_state = 4},
  [1094] = {.lex_state = 4, .external_lex_state = 4},
  [1095] = {.lex_state = 49, .external_lex_state = 4},
  [1096] = {.lex_state = 0, .external_lex_state = 4},
  [1097] = {.lex_state = 0, .external_lex_state = 4},
  [1098] = {.lex_state = 0, .external_lex_state = 4},
  [1099] = {.lex_state = 0, .external_lex_state = 4},
  [1100] = {.lex_state = 0, .external_lex_state = 4},
  [1101] = {.lex_state = 49, .external_lex_state = 4},
  [1102] = {.lex_state = 4, .external_lex_state = 4},
  [1103] = {.lex_state = 0, .external_lex_state = 4},
  [1104] = {.lex_state = 3, .external_lex_state = 4},
  [1105] = {.lex_state = 0, .external_lex_state = 4},
  [1106] = {.lex_state = 0, .external_lex_state = 4},
  [1107] = {.lex_state = 0, .external_lex_state = 4},
  [1108] = {.lex_state = 49, .external_lex_state = 4},
};

enum {
  ts_external_token_multstr_start = 0,
  ts_external_token_multstr_end = 1,
  ts_external_token__str_start = 2,
  ts_external_token__str_end = 3,
  ts_external_token_interpolation_start = 4,
  ts_external_token_interpolation_end = 5,
  ts_external_token_comment = 6,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token_multstr_start] = sym_multstr_start,
  [ts_external_token_multstr_end] = sym_multstr_end,
  [ts_external_token__str_start] = sym__str_start,
  [ts_external_token__str_end] = sym__str_end,
  [ts_external_token_interpolation_start] = sym_interpolation_start,
  [ts_external_token_interpolation_end] = sym_interpolation_end,
  [ts_external_token_comment] = sym_comment,
};

static const bool ts_external_scanner_states[10][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token_multstr_start] = true,
    [ts_external_token_multstr_end] = true,
    [ts_external_token__str_start] = true,
    [ts_external_token__str_end] = true,
    [ts_external_token_interpolation_start] = true,
    [ts_external_token_interpolation_end] = true,
    [ts_external_token_comment] = true,
  },
  [2] = {
    [ts_external_token_multstr_start] = true,
    [ts_external_token__str_start] = true,
    [ts_external_token_comment] = true,
  },
  [3] = {
    [ts_external_token_multstr_start] = true,
    [ts_external_token__str_start] = true,
    [ts_external_token_interpolation_end] = true,
    [ts_external_token_comment] = true,
  },
  [4] = {
    [ts_external_token_comment] = true,
  },
  [5] = {
    [ts_external_token_interpolation_end] = true,
    [ts_external_token_comment] = true,
  },
  [6] = {
    [ts_external_token_multstr_end] = true,
    [ts_external_token_interpolation_start] = true,
    [ts_external_token_comment] = true,
  },
  [7] = {
    [ts_external_token__str_end] = true,
    [ts_external_token_interpolation_start] = true,
    [ts_external_token_comment] = true,
  },
  [8] = {
    [ts_external_token_multstr_end] = true,
    [ts_external_token_comment] = true,
  },
  [9] = {
    [ts_external_token__str_end] = true,
    [ts_external_token_comment] = true,
  },
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_keyword] = ACTIONS(1),
    [sym_num_literal] = ACTIONS(1),
    [sym_ident] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_default] = ACTIONS(1),
    [anon_sym_doc] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_rec] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_fun] = ACTIONS(1),
    [anon_sym_EQ_GT] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_then] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_forall] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_Array] = ACTIONS(1),
    [anon_sym_Dyn] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_null] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_true] = ACTIONS(1),
    [anon_sym_false] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [sym_double_quote] = ACTIONS(1),
    [sym_str_esc_char] = ACTIONS(1),
    [anon_sym__] = ACTIONS(1),
    [anon_sym_PLUS_PLUS] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_PIPE_GT] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_Num] = ACTIONS(1),
    [anon_sym_Bool] = ACTIONS(1),
    [anon_sym_Str] = ACTIONS(1),
    [anon_sym_LBRACK_PIPE] = ACTIONS(1),
    [anon_sym_PIPE_RBRACK] = ACTIONS(1),
    [sym_multstr_start] = ACTIONS(1),
    [sym_multstr_end] = ACTIONS(1),
    [sym__str_start] = ACTIONS(1),
    [sym__str_end] = ACTIONS(1),
    [sym_interpolation_start] = ACTIONS(1),
    [sym_interpolation_end] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
  },
  [1] = {
    [sym_term] = STATE(1103),
    [sym_uni_term] = STATE(589),
    [sym_let_expr] = STATE(596),
    [sym_fun_expr] = STATE(596),
    [sym_switch_expr] = STATE(596),
    [sym_ite_expr] = STATE(596),
    [sym_annotated_infix_expr] = STATE(596),
    [sym_forall] = STATE(596),
    [sym_applicative] = STATE(132),
    [sym_type_array] = STATE(397),
    [sym_record_operand] = STATE(363),
    [sym_record_operation_chain] = STATE(348),
    [sym_uni_record] = STATE(301),
    [sym_atom] = STATE(348),
    [sym_bool] = STATE(301),
    [sym_str_chunks] = STATE(301),
    [sym_str_chunks_single] = STATE(315),
    [sym_str_chunks_multi] = STATE(315),
    [sym_builtin] = STATE(301),
    [sym_infix_u_op_5] = STATE(462),
    [sym_infix_expr] = STATE(491),
    [sym_type_builtin] = STATE(227),
    [sym_type_atom] = STATE(301),
    [sym_num_literal] = ACTIONS(5),
    [sym_ident] = ACTIONS(7),
    [anon_sym_let] = ACTIONS(9),
    [anon_sym_fun] = ACTIONS(11),
    [anon_sym_switch] = ACTIONS(13),
    [anon_sym_LBRACE] = ACTIONS(15),
    [anon_sym_if] = ACTIONS(17),
    [anon_sym_forall] = ACTIONS(19),
    [anon_sym_import] = ACTIONS(21),
    [anon_sym_Array] = ACTIONS(23),
    [anon_sym_Dyn] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_null] = ACTIONS(7),
    [anon_sym_BQUOTE] = ACTIONS(29),
    [anon_sym_LBRACK] = ACTIONS(31),
    [anon_sym_true] = ACTIONS(33),
    [anon_sym_false] = ACTIONS(33),
    [anon_sym_PERCENT] = ACTIONS(35),
    [anon_sym_DASH] = ACTIONS(37),
    [anon_sym_BANG] = ACTIONS(39),
    [anon_sym_Num] = ACTIONS(25),
    [anon_sym_Bool] = ACTIONS(25),
    [anon_sym_Str] = ACTIONS(25),
    [anon_sym_LBRACK_PIPE] = ACTIONS(41),
    [sym_multstr_start] = ACTIONS(43),
    [sym__str_start] = ACTIONS(45),
    [sym_comment] = ACTIONS(3),
  },
  [2] = {
    [sym_uni_term] = STATE(940),
    [sym_let_expr] = STATE(596),
    [sym_fun_expr] = STATE(596),
    [sym_switch_expr] = STATE(596),
    [sym_ite_expr] = STATE(596),
    [sym_annotated_infix_expr] = STATE(596),
    [sym_forall] = STATE(596),
    [sym_applicative] = STATE(8),
    [sym_type_array] = STATE(175),
    [sym_record_operand] = STATE(156),
    [sym_record_operation_chain] = STATE(136),
    [sym_uni_record] = STATE(161),
    [sym_atom] = STATE(136),
    [sym_bool] = STATE(161),
    [sym_str_chunks] = STATE(161),
    [sym_str_chunks_single] = STATE(150),
    [sym_str_chunks_multi] = STATE(150),
    [sym_builtin] = STATE(161),
    [sym_infix_b_op_2] = STATE(1060),
    [sym_infix_b_op_3] = STATE(1060),
    [sym_infix_b_op_4] = STATE(1060),
    [sym_infix_u_op_5] = STATE(398),
    [sym_infix_b_op_6] = STATE(1060),
    [sym_infix_b_op_7] = STATE(1060),
    [sym_infix_b_op_8] = STATE(1060),
    [sym_infix_lazy_b_op_9] = STATE(1059),
    [sym_infix_lazy_b_op_10] = STATE(1059),
    [sym_infix_b_op] = STATE(1058),
    [sym_infix_u_op_or_lazy_b_op] = STATE(1058),
    [sym_infix_op] = STATE(1057),
    [sym_curried_op] = STATE(940),
    [sym_infix_expr] = STATE(406),
    [sym_type_builtin] = STATE(153),
    [sym_type_atom] = STATE(161),
    [sym_num_literal] = ACTIONS(47),
    [sym_ident] = ACTIONS(49),
    [anon_sym_let] = ACTIONS(51),
    [anon_sym_fun] = ACTIONS(53),
    [anon_sym_switch] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_forall] = ACTIONS(61),
    [anon_sym_import] = ACTIONS(63),
    [anon_sym_Array] = ACTIONS(65),
    [anon_sym_Dyn] = ACTIONS(67),
    [anon_sym_LPAREN] = ACTIONS(69),
    [anon_sym_null] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(71),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_AT] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(85),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(91),
    [anon_sym_LT] = ACTIONS(93),
    [anon_sym_LT_EQ] = ACTIONS(95),
    [anon_sym_GT] = ACTIONS(93),
    [anon_sym_GT_EQ] = ACTIONS(95),
    [anon_sym_EQ_EQ] = ACTIONS(97),
    [anon_sym_BANG_EQ] = ACTIONS(97),
    [anon_sym_AMP_AMP] = ACTIONS(99),
    [anon_sym_PIPE_PIPE] = ACTIONS(101),
    [anon_sym_Num] = ACTIONS(67),
    [anon_sym_Bool] = ACTIONS(67),
    [anon_sym_Str] = ACTIONS(67),
    [anon_sym_LBRACK_PIPE] = ACTIONS(103),
    [sym_multstr_start] = ACTIONS(105),
    [sym__str_start] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [3] = {
    [sym_uni_term] = STATE(1007),
    [sym_let_expr] = STATE(596),
    [sym_fun_expr] = STATE(596),
    [sym_switch_expr] = STATE(596),
    [sym_ite_expr] = STATE(596),
    [sym_annotated_infix_expr] = STATE(596),
    [sym_forall] = STATE(596),
    [sym_applicative] = STATE(8),
    [sym_type_array] = STATE(175),
    [sym_record_operand] = STATE(156),
    [sym_record_operation_chain] = STATE(136),
    [sym_uni_record] = STATE(161),
    [sym_atom] = STATE(136),
    [sym_bool] = STATE(161),
    [sym_str_chunks] = STATE(161),
    [sym_str_chunks_single] = STATE(150),
    [sym_str_chunks_multi] = STATE(150),
    [sym_builtin] = STATE(161),
    [sym_infix_b_op_2] = STATE(1060),
    [sym_infix_b_op_3] = STATE(1060),
    [sym_infix_b_op_4] = STATE(1060),
    [sym_infix_u_op_5] = STATE(398),
    [sym_infix_b_op_6] = STATE(1060),
    [sym_infix_b_op_7] = STATE(1060),
    [sym_infix_b_op_8] = STATE(1060),
    [sym_infix_lazy_b_op_9] = STATE(1059),
    [sym_infix_lazy_b_op_10] = STATE(1059),
    [sym_infix_b_op] = STATE(1058),
    [sym_infix_u_op_or_lazy_b_op] = STATE(1058),
    [sym_infix_op] = STATE(1057),
    [sym_curried_op] = STATE(1007),
    [sym_infix_expr] = STATE(406),
    [sym_type_builtin] = STATE(153),
    [sym_type_atom] = STATE(161),
    [sym_num_literal] = ACTIONS(47),
    [sym_ident] = ACTIONS(49),
    [anon_sym_let] = ACTIONS(51),
    [anon_sym_fun] = ACTIONS(53),
    [anon_sym_switch] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_forall] = ACTIONS(61),
    [anon_sym_import] = ACTIONS(63),
    [anon_sym_Array] = ACTIONS(65),
    [anon_sym_Dyn] = ACTIONS(67),
    [anon_sym_LPAREN] = ACTIONS(69),
    [anon_sym_null] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(71),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_AT] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(85),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(91),
    [anon_sym_LT] = ACTIONS(93),
    [anon_sym_LT_EQ] = ACTIONS(95),
    [anon_sym_GT] = ACTIONS(93),
    [anon_sym_GT_EQ] = ACTIONS(95),
    [anon_sym_EQ_EQ] = ACTIONS(97),
    [anon_sym_BANG_EQ] = ACTIONS(97),
    [anon_sym_AMP_AMP] = ACTIONS(99),
    [anon_sym_PIPE_PIPE] = ACTIONS(101),
    [anon_sym_Num] = ACTIONS(67),
    [anon_sym_Bool] = ACTIONS(67),
    [anon_sym_Str] = ACTIONS(67),
    [anon_sym_LBRACK_PIPE] = ACTIONS(103),
    [sym_multstr_start] = ACTIONS(105),
    [sym__str_start] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [4] = {
    [sym_uni_term] = STATE(1012),
    [sym_let_expr] = STATE(596),
    [sym_fun_expr] = STATE(596),
    [sym_switch_expr] = STATE(596),
    [sym_ite_expr] = STATE(596),
    [sym_annotated_infix_expr] = STATE(596),
    [sym_forall] = STATE(596),
    [sym_applicative] = STATE(8),
    [sym_type_array] = STATE(175),
    [sym_record_operand] = STATE(156),
    [sym_record_operation_chain] = STATE(136),
    [sym_uni_record] = STATE(161),
    [sym_atom] = STATE(136),
    [sym_bool] = STATE(161),
    [sym_str_chunks] = STATE(161),
    [sym_str_chunks_single] = STATE(150),
    [sym_str_chunks_multi] = STATE(150),
    [sym_builtin] = STATE(161),
    [sym_infix_b_op_2] = STATE(1060),
    [sym_infix_b_op_3] = STATE(1060),
    [sym_infix_b_op_4] = STATE(1060),
    [sym_infix_u_op_5] = STATE(398),
    [sym_infix_b_op_6] = STATE(1060),
    [sym_infix_b_op_7] = STATE(1060),
    [sym_infix_b_op_8] = STATE(1060),
    [sym_infix_lazy_b_op_9] = STATE(1059),
    [sym_infix_lazy_b_op_10] = STATE(1059),
    [sym_infix_b_op] = STATE(1058),
    [sym_infix_u_op_or_lazy_b_op] = STATE(1058),
    [sym_infix_op] = STATE(1057),
    [sym_curried_op] = STATE(1012),
    [sym_infix_expr] = STATE(406),
    [sym_type_builtin] = STATE(153),
    [sym_type_atom] = STATE(161),
    [sym_num_literal] = ACTIONS(47),
    [sym_ident] = ACTIONS(49),
    [anon_sym_let] = ACTIONS(51),
    [anon_sym_fun] = ACTIONS(53),
    [anon_sym_switch] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_forall] = ACTIONS(61),
    [anon_sym_import] = ACTIONS(63),
    [anon_sym_Array] = ACTIONS(65),
    [anon_sym_Dyn] = ACTIONS(67),
    [anon_sym_LPAREN] = ACTIONS(69),
    [anon_sym_null] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(71),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_AT] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(85),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(91),
    [anon_sym_LT] = ACTIONS(93),
    [anon_sym_LT_EQ] = ACTIONS(95),
    [anon_sym_GT] = ACTIONS(93),
    [anon_sym_GT_EQ] = ACTIONS(95),
    [anon_sym_EQ_EQ] = ACTIONS(97),
    [anon_sym_BANG_EQ] = ACTIONS(97),
    [anon_sym_AMP_AMP] = ACTIONS(99),
    [anon_sym_PIPE_PIPE] = ACTIONS(101),
    [anon_sym_Num] = ACTIONS(67),
    [anon_sym_Bool] = ACTIONS(67),
    [anon_sym_Str] = ACTIONS(67),
    [anon_sym_LBRACK_PIPE] = ACTIONS(103),
    [sym_multstr_start] = ACTIONS(105),
    [sym__str_start] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [5] = {
    [sym_uni_term] = STATE(1100),
    [sym_let_expr] = STATE(596),
    [sym_fun_expr] = STATE(596),
    [sym_switch_expr] = STATE(596),
    [sym_ite_expr] = STATE(596),
    [sym_annotated_infix_expr] = STATE(596),
    [sym_forall] = STATE(596),
    [sym_applicative] = STATE(8),
    [sym_type_array] = STATE(175),
    [sym_record_operand] = STATE(156),
    [sym_record_operation_chain] = STATE(136),
    [sym_uni_record] = STATE(161),
    [sym_atom] = STATE(136),
    [sym_bool] = STATE(161),
    [sym_str_chunks] = STATE(161),
    [sym_str_chunks_single] = STATE(150),
    [sym_str_chunks_multi] = STATE(150),
    [sym_builtin] = STATE(161),
    [sym_infix_b_op_2] = STATE(1060),
    [sym_infix_b_op_3] = STATE(1060),
    [sym_infix_b_op_4] = STATE(1060),
    [sym_infix_u_op_5] = STATE(398),
    [sym_infix_b_op_6] = STATE(1060),
    [sym_infix_b_op_7] = STATE(1060),
    [sym_infix_b_op_8] = STATE(1060),
    [sym_infix_lazy_b_op_9] = STATE(1059),
    [sym_infix_lazy_b_op_10] = STATE(1059),
    [sym_infix_b_op] = STATE(1058),
    [sym_infix_u_op_or_lazy_b_op] = STATE(1058),
    [sym_infix_op] = STATE(1057),
    [sym_curried_op] = STATE(1100),
    [sym_infix_expr] = STATE(406),
    [sym_type_builtin] = STATE(153),
    [sym_type_atom] = STATE(161),
    [sym_num_literal] = ACTIONS(47),
    [sym_ident] = ACTIONS(49),
    [anon_sym_let] = ACTIONS(51),
    [anon_sym_fun] = ACTIONS(53),
    [anon_sym_switch] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_forall] = ACTIONS(61),
    [anon_sym_import] = ACTIONS(63),
    [anon_sym_Array] = ACTIONS(65),
    [anon_sym_Dyn] = ACTIONS(67),
    [anon_sym_LPAREN] = ACTIONS(69),
    [anon_sym_null] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(71),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_AT] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(85),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(91),
    [anon_sym_LT] = ACTIONS(93),
    [anon_sym_LT_EQ] = ACTIONS(95),
    [anon_sym_GT] = ACTIONS(93),
    [anon_sym_GT_EQ] = ACTIONS(95),
    [anon_sym_EQ_EQ] = ACTIONS(97),
    [anon_sym_BANG_EQ] = ACTIONS(97),
    [anon_sym_AMP_AMP] = ACTIONS(99),
    [anon_sym_PIPE_PIPE] = ACTIONS(101),
    [anon_sym_Num] = ACTIONS(67),
    [anon_sym_Bool] = ACTIONS(67),
    [anon_sym_Str] = ACTIONS(67),
    [anon_sym_LBRACK_PIPE] = ACTIONS(103),
    [sym_multstr_start] = ACTIONS(105),
    [sym__str_start] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [6] = {
    [sym_uni_term] = STATE(980),
    [sym_let_expr] = STATE(596),
    [sym_fun_expr] = STATE(596),
    [sym_switch_expr] = STATE(596),
    [sym_ite_expr] = STATE(596),
    [sym_annotated_infix_expr] = STATE(596),
    [sym_forall] = STATE(596),
    [sym_applicative] = STATE(8),
    [sym_type_array] = STATE(175),
    [sym_record_operand] = STATE(156),
    [sym_record_operation_chain] = STATE(136),
    [sym_uni_record] = STATE(161),
    [sym_atom] = STATE(136),
    [sym_bool] = STATE(161),
    [sym_str_chunks] = STATE(161),
    [sym_str_chunks_single] = STATE(150),
    [sym_str_chunks_multi] = STATE(150),
    [sym_builtin] = STATE(161),
    [sym_infix_b_op_2] = STATE(1060),
    [sym_infix_b_op_3] = STATE(1060),
    [sym_infix_b_op_4] = STATE(1060),
    [sym_infix_u_op_5] = STATE(398),
    [sym_infix_b_op_6] = STATE(1060),
    [sym_infix_b_op_7] = STATE(1060),
    [sym_infix_b_op_8] = STATE(1060),
    [sym_infix_lazy_b_op_9] = STATE(1059),
    [sym_infix_lazy_b_op_10] = STATE(1059),
    [sym_infix_b_op] = STATE(1058),
    [sym_infix_u_op_or_lazy_b_op] = STATE(1058),
    [sym_infix_op] = STATE(1057),
    [sym_curried_op] = STATE(980),
    [sym_infix_expr] = STATE(406),
    [sym_type_builtin] = STATE(153),
    [sym_type_atom] = STATE(161),
    [sym_num_literal] = ACTIONS(47),
    [sym_ident] = ACTIONS(49),
    [anon_sym_let] = ACTIONS(51),
    [anon_sym_fun] = ACTIONS(53),
    [anon_sym_switch] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_forall] = ACTIONS(61),
    [anon_sym_import] = ACTIONS(63),
    [anon_sym_Array] = ACTIONS(65),
    [anon_sym_Dyn] = ACTIONS(67),
    [anon_sym_LPAREN] = ACTIONS(69),
    [anon_sym_null] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(71),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_AT] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(85),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(91),
    [anon_sym_LT] = ACTIONS(93),
    [anon_sym_LT_EQ] = ACTIONS(95),
    [anon_sym_GT] = ACTIONS(93),
    [anon_sym_GT_EQ] = ACTIONS(95),
    [anon_sym_EQ_EQ] = ACTIONS(97),
    [anon_sym_BANG_EQ] = ACTIONS(97),
    [anon_sym_AMP_AMP] = ACTIONS(99),
    [anon_sym_PIPE_PIPE] = ACTIONS(101),
    [anon_sym_Num] = ACTIONS(67),
    [anon_sym_Bool] = ACTIONS(67),
    [anon_sym_Str] = ACTIONS(67),
    [anon_sym_LBRACK_PIPE] = ACTIONS(103),
    [sym_multstr_start] = ACTIONS(105),
    [sym__str_start] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
  [7] = {
    [sym_uni_term] = STATE(1062),
    [sym_let_expr] = STATE(596),
    [sym_fun_expr] = STATE(596),
    [sym_switch_expr] = STATE(596),
    [sym_ite_expr] = STATE(596),
    [sym_annotated_infix_expr] = STATE(596),
    [sym_forall] = STATE(596),
    [sym_applicative] = STATE(8),
    [sym_type_array] = STATE(175),
    [sym_record_operand] = STATE(156),
    [sym_record_operation_chain] = STATE(136),
    [sym_uni_record] = STATE(161),
    [sym_atom] = STATE(136),
    [sym_bool] = STATE(161),
    [sym_str_chunks] = STATE(161),
    [sym_str_chunks_single] = STATE(150),
    [sym_str_chunks_multi] = STATE(150),
    [sym_builtin] = STATE(161),
    [sym_infix_b_op_2] = STATE(1060),
    [sym_infix_b_op_3] = STATE(1060),
    [sym_infix_b_op_4] = STATE(1060),
    [sym_infix_u_op_5] = STATE(398),
    [sym_infix_b_op_6] = STATE(1060),
    [sym_infix_b_op_7] = STATE(1060),
    [sym_infix_b_op_8] = STATE(1060),
    [sym_infix_lazy_b_op_9] = STATE(1059),
    [sym_infix_lazy_b_op_10] = STATE(1059),
    [sym_infix_b_op] = STATE(1058),
    [sym_infix_u_op_or_lazy_b_op] = STATE(1058),
    [sym_infix_op] = STATE(1057),
    [sym_curried_op] = STATE(1062),
    [sym_infix_expr] = STATE(406),
    [sym_type_builtin] = STATE(153),
    [sym_type_atom] = STATE(161),
    [sym_num_literal] = ACTIONS(47),
    [sym_ident] = ACTIONS(49),
    [anon_sym_let] = ACTIONS(51),
    [anon_sym_fun] = ACTIONS(53),
    [anon_sym_switch] = ACTIONS(55),
    [anon_sym_LBRACE] = ACTIONS(57),
    [anon_sym_if] = ACTIONS(59),
    [anon_sym_forall] = ACTIONS(61),
    [anon_sym_import] = ACTIONS(63),
    [anon_sym_Array] = ACTIONS(65),
    [anon_sym_Dyn] = ACTIONS(67),
    [anon_sym_LPAREN] = ACTIONS(69),
    [anon_sym_null] = ACTIONS(49),
    [anon_sym_BQUOTE] = ACTIONS(71),
    [anon_sym_LBRACK] = ACTIONS(73),
    [anon_sym_AT] = ACTIONS(75),
    [anon_sym_true] = ACTIONS(77),
    [anon_sym_false] = ACTIONS(77),
    [anon_sym_PERCENT] = ACTIONS(79),
    [anon_sym_PLUS_PLUS] = ACTIONS(75),
    [anon_sym_STAR] = ACTIONS(81),
    [anon_sym_SLASH] = ACTIONS(81),
    [anon_sym_PLUS] = ACTIONS(83),
    [anon_sym_DASH] = ACTIONS(85),
    [anon_sym_BANG] = ACTIONS(87),
    [anon_sym_AMP] = ACTIONS(89),
    [anon_sym_PIPE_GT] = ACTIONS(91),
    [anon_sym_LT] = ACTIONS(93),
    [anon_sym_LT_EQ] = ACTIONS(95),
    [anon_sym_GT] = ACTIONS(93),
    [anon_sym_GT_EQ] = ACTIONS(95),
    [anon_sym_EQ_EQ] = ACTIONS(97),
    [anon_sym_BANG_EQ] = ACTIONS(97),
    [anon_sym_AMP_AMP] = ACTIONS(99),
    [anon_sym_PIPE_PIPE] = ACTIONS(101),
    [anon_sym_Num] = ACTIONS(67),
    [anon_sym_Bool] = ACTIONS(67),
    [anon_sym_Str] = ACTIONS(67),
    [anon_sym_LBRACK_PIPE] = ACTIONS(103),
    [sym_multstr_start] = ACTIONS(105),
    [sym__str_start] = ACTIONS(107),
    [sym_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    STATE(144), 1,
      sym_record_operand,
    STATE(153), 1,
      sym_type_builtin,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    ACTIONS(109), 7,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(111), 20,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [94] = 36,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(51), 1,
      anon_sym_let,
    ACTIONS(53), 1,
      anon_sym_fun,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_if,
    ACTIONS(61), 1,
      anon_sym_forall,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(113), 1,
      anon_sym_COMMA,
    ACTIONS(115), 1,
      anon_sym_RBRACK,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(406), 1,
      sym_infix_expr,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(589), 1,
      sym_uni_term,
    STATE(880), 1,
      sym_term,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [219] = 36,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(51), 1,
      anon_sym_let,
    ACTIONS(53), 1,
      anon_sym_fun,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_if,
    ACTIONS(61), 1,
      anon_sym_forall,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    ACTIONS(121), 1,
      anon_sym_COMMA,
    ACTIONS(123), 1,
      anon_sym_RBRACK,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(406), 1,
      sym_infix_expr,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(589), 1,
      sym_uni_term,
    STATE(827), 1,
      sym_term,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [344] = 36,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(51), 1,
      anon_sym_let,
    ACTIONS(53), 1,
      anon_sym_fun,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_if,
    ACTIONS(61), 1,
      anon_sym_forall,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    ACTIONS(125), 1,
      anon_sym_COMMA,
    ACTIONS(127), 1,
      anon_sym_RBRACK,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(406), 1,
      sym_infix_expr,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(589), 1,
      sym_uni_term,
    STATE(831), 1,
      sym_term,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [469] = 36,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(51), 1,
      anon_sym_let,
    ACTIONS(53), 1,
      anon_sym_fun,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_if,
    ACTIONS(61), 1,
      anon_sym_forall,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    ACTIONS(129), 1,
      anon_sym_COMMA,
    ACTIONS(131), 1,
      anon_sym_RBRACK,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(406), 1,
      sym_infix_expr,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(589), 1,
      sym_uni_term,
    STATE(840), 1,
      sym_term,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [594] = 36,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(51), 1,
      anon_sym_let,
    ACTIONS(53), 1,
      anon_sym_fun,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_if,
    ACTIONS(61), 1,
      anon_sym_forall,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    ACTIONS(133), 1,
      anon_sym_COMMA,
    ACTIONS(135), 1,
      anon_sym_RBRACK,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(406), 1,
      sym_infix_expr,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(589), 1,
      sym_uni_term,
    STATE(876), 1,
      sym_term,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [719] = 36,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(51), 1,
      anon_sym_let,
    ACTIONS(53), 1,
      anon_sym_fun,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_if,
    ACTIONS(61), 1,
      anon_sym_forall,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    ACTIONS(137), 1,
      anon_sym_COMMA,
    ACTIONS(139), 1,
      anon_sym_RBRACK,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(406), 1,
      sym_infix_expr,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(589), 1,
      sym_uni_term,
    STATE(845), 1,
      sym_term,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [844] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(51), 1,
      anon_sym_let,
    ACTIONS(53), 1,
      anon_sym_fun,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_if,
    ACTIONS(61), 1,
      anon_sym_forall,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    ACTIONS(141), 1,
      anon_sym_RBRACK,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(406), 1,
      sym_infix_expr,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(589), 1,
      sym_uni_term,
    STATE(904), 1,
      sym_term,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [966] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(51), 1,
      anon_sym_let,
    ACTIONS(53), 1,
      anon_sym_fun,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_if,
    ACTIONS(61), 1,
      anon_sym_forall,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    ACTIONS(143), 1,
      anon_sym_RBRACK,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(406), 1,
      sym_infix_expr,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(589), 1,
      sym_uni_term,
    STATE(904), 1,
      sym_term,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [1088] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(51), 1,
      anon_sym_let,
    ACTIONS(53), 1,
      anon_sym_fun,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_if,
    ACTIONS(61), 1,
      anon_sym_forall,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    ACTIONS(145), 1,
      anon_sym_RBRACK,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(406), 1,
      sym_infix_expr,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(589), 1,
      sym_uni_term,
    STATE(904), 1,
      sym_term,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [1210] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(51), 1,
      anon_sym_let,
    ACTIONS(53), 1,
      anon_sym_fun,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_if,
    ACTIONS(61), 1,
      anon_sym_forall,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    ACTIONS(147), 1,
      anon_sym_RBRACK,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(406), 1,
      sym_infix_expr,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(589), 1,
      sym_uni_term,
    STATE(904), 1,
      sym_term,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [1332] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(51), 1,
      anon_sym_let,
    ACTIONS(53), 1,
      anon_sym_fun,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_if,
    ACTIONS(61), 1,
      anon_sym_forall,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    ACTIONS(149), 1,
      anon_sym_RBRACK,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(406), 1,
      sym_infix_expr,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(589), 1,
      sym_uni_term,
    STATE(904), 1,
      sym_term,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [1454] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(51), 1,
      anon_sym_let,
    ACTIONS(53), 1,
      anon_sym_fun,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_if,
    ACTIONS(61), 1,
      anon_sym_forall,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    ACTIONS(151), 1,
      anon_sym_RBRACK,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(406), 1,
      sym_infix_expr,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(589), 1,
      sym_uni_term,
    STATE(904), 1,
      sym_term,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [1576] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(51), 1,
      anon_sym_let,
    ACTIONS(53), 1,
      anon_sym_fun,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_if,
    ACTIONS(61), 1,
      anon_sym_forall,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    ACTIONS(153), 1,
      anon_sym_RBRACK,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(406), 1,
      sym_infix_expr,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(589), 1,
      sym_uni_term,
    STATE(904), 1,
      sym_term,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [1698] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(51), 1,
      anon_sym_let,
    ACTIONS(53), 1,
      anon_sym_fun,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_if,
    ACTIONS(61), 1,
      anon_sym_forall,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    ACTIONS(155), 1,
      anon_sym_RBRACK,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(406), 1,
      sym_infix_expr,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(589), 1,
      sym_uni_term,
    STATE(904), 1,
      sym_term,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [1820] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(51), 1,
      anon_sym_let,
    ACTIONS(53), 1,
      anon_sym_fun,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_if,
    ACTIONS(61), 1,
      anon_sym_forall,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    ACTIONS(157), 1,
      anon_sym_RBRACK,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(406), 1,
      sym_infix_expr,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(589), 1,
      sym_uni_term,
    STATE(904), 1,
      sym_term,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [1942] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(51), 1,
      anon_sym_let,
    ACTIONS(53), 1,
      anon_sym_fun,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_if,
    ACTIONS(61), 1,
      anon_sym_forall,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    ACTIONS(159), 1,
      anon_sym_RBRACK,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(406), 1,
      sym_infix_expr,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(589), 1,
      sym_uni_term,
    STATE(904), 1,
      sym_term,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [2064] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(51), 1,
      anon_sym_let,
    ACTIONS(53), 1,
      anon_sym_fun,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_if,
    ACTIONS(61), 1,
      anon_sym_forall,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    ACTIONS(161), 1,
      anon_sym_RBRACK,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(406), 1,
      sym_infix_expr,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(589), 1,
      sym_uni_term,
    STATE(904), 1,
      sym_term,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [2186] = 35,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(51), 1,
      anon_sym_let,
    ACTIONS(53), 1,
      anon_sym_fun,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_if,
    ACTIONS(61), 1,
      anon_sym_forall,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    ACTIONS(163), 1,
      anon_sym_RBRACK,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(406), 1,
      sym_infix_expr,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(589), 1,
      sym_uni_term,
    STATE(904), 1,
      sym_term,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [2308] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(165), 1,
      sym_num_literal,
    ACTIONS(169), 1,
      anon_sym_let,
    ACTIONS(171), 1,
      anon_sym_fun,
    ACTIONS(173), 1,
      anon_sym_switch,
    ACTIONS(175), 1,
      anon_sym_LBRACE,
    ACTIONS(177), 1,
      anon_sym_if,
    ACTIONS(179), 1,
      anon_sym_forall,
    ACTIONS(181), 1,
      anon_sym_import,
    ACTIONS(183), 1,
      anon_sym_Array,
    ACTIONS(187), 1,
      anon_sym_LPAREN,
    ACTIONS(189), 1,
      anon_sym_BQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACK,
    ACTIONS(195), 1,
      anon_sym_PERCENT,
    ACTIONS(197), 1,
      anon_sym_DASH,
    ACTIONS(199), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(201), 1,
      sym_multstr_start,
    ACTIONS(203), 1,
      sym__str_start,
    STATE(131), 1,
      sym_applicative,
    STATE(281), 1,
      sym_record_operand,
    STATE(286), 1,
      sym_type_builtin,
    STATE(403), 1,
      sym_type_array,
    STATE(467), 1,
      sym_infix_u_op_5,
    STATE(488), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(604), 1,
      sym_term,
    ACTIONS(167), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(193), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(282), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(393), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(185), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(272), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [2427] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(165), 1,
      sym_num_literal,
    ACTIONS(169), 1,
      anon_sym_let,
    ACTIONS(171), 1,
      anon_sym_fun,
    ACTIONS(173), 1,
      anon_sym_switch,
    ACTIONS(175), 1,
      anon_sym_LBRACE,
    ACTIONS(177), 1,
      anon_sym_if,
    ACTIONS(179), 1,
      anon_sym_forall,
    ACTIONS(181), 1,
      anon_sym_import,
    ACTIONS(183), 1,
      anon_sym_Array,
    ACTIONS(187), 1,
      anon_sym_LPAREN,
    ACTIONS(189), 1,
      anon_sym_BQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACK,
    ACTIONS(195), 1,
      anon_sym_PERCENT,
    ACTIONS(197), 1,
      anon_sym_DASH,
    ACTIONS(199), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(201), 1,
      sym_multstr_start,
    ACTIONS(203), 1,
      sym__str_start,
    STATE(131), 1,
      sym_applicative,
    STATE(281), 1,
      sym_record_operand,
    STATE(286), 1,
      sym_type_builtin,
    STATE(403), 1,
      sym_type_array,
    STATE(467), 1,
      sym_infix_u_op_5,
    STATE(488), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(603), 1,
      sym_term,
    ACTIONS(167), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(193), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(282), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(393), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(185), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(272), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [2546] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(205), 1,
      sym_num_literal,
    ACTIONS(209), 1,
      anon_sym_let,
    ACTIONS(211), 1,
      anon_sym_fun,
    ACTIONS(213), 1,
      anon_sym_switch,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    ACTIONS(217), 1,
      anon_sym_if,
    ACTIONS(219), 1,
      anon_sym_forall,
    ACTIONS(221), 1,
      anon_sym_import,
    ACTIONS(223), 1,
      anon_sym_Array,
    ACTIONS(227), 1,
      anon_sym_LPAREN,
    ACTIONS(229), 1,
      anon_sym_BQUOTE,
    ACTIONS(231), 1,
      anon_sym_LBRACK,
    ACTIONS(235), 1,
      anon_sym_PERCENT,
    ACTIONS(237), 1,
      anon_sym_DASH,
    ACTIONS(239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(241), 1,
      sym_multstr_start,
    ACTIONS(243), 1,
      sym__str_start,
    STATE(135), 1,
      sym_applicative,
    STATE(216), 1,
      sym_type_builtin,
    STATE(220), 1,
      sym_record_operand,
    STATE(407), 1,
      sym_type_array,
    STATE(436), 1,
      sym_infix_u_op_5,
    STATE(487), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(593), 1,
      sym_term,
    ACTIONS(207), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(219), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(382), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(225), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(226), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [2665] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(205), 1,
      sym_num_literal,
    ACTIONS(209), 1,
      anon_sym_let,
    ACTIONS(211), 1,
      anon_sym_fun,
    ACTIONS(213), 1,
      anon_sym_switch,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    ACTIONS(217), 1,
      anon_sym_if,
    ACTIONS(219), 1,
      anon_sym_forall,
    ACTIONS(221), 1,
      anon_sym_import,
    ACTIONS(223), 1,
      anon_sym_Array,
    ACTIONS(227), 1,
      anon_sym_LPAREN,
    ACTIONS(229), 1,
      anon_sym_BQUOTE,
    ACTIONS(231), 1,
      anon_sym_LBRACK,
    ACTIONS(235), 1,
      anon_sym_PERCENT,
    ACTIONS(237), 1,
      anon_sym_DASH,
    ACTIONS(239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(241), 1,
      sym_multstr_start,
    ACTIONS(243), 1,
      sym__str_start,
    STATE(135), 1,
      sym_applicative,
    STATE(216), 1,
      sym_type_builtin,
    STATE(220), 1,
      sym_record_operand,
    STATE(407), 1,
      sym_type_array,
    STATE(436), 1,
      sym_infix_u_op_5,
    STATE(487), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(603), 1,
      sym_term,
    ACTIONS(207), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(219), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(382), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(225), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(226), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [2784] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(205), 1,
      sym_num_literal,
    ACTIONS(209), 1,
      anon_sym_let,
    ACTIONS(211), 1,
      anon_sym_fun,
    ACTIONS(213), 1,
      anon_sym_switch,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    ACTIONS(217), 1,
      anon_sym_if,
    ACTIONS(219), 1,
      anon_sym_forall,
    ACTIONS(221), 1,
      anon_sym_import,
    ACTIONS(223), 1,
      anon_sym_Array,
    ACTIONS(227), 1,
      anon_sym_LPAREN,
    ACTIONS(229), 1,
      anon_sym_BQUOTE,
    ACTIONS(231), 1,
      anon_sym_LBRACK,
    ACTIONS(235), 1,
      anon_sym_PERCENT,
    ACTIONS(237), 1,
      anon_sym_DASH,
    ACTIONS(239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(241), 1,
      sym_multstr_start,
    ACTIONS(243), 1,
      sym__str_start,
    STATE(135), 1,
      sym_applicative,
    STATE(216), 1,
      sym_type_builtin,
    STATE(220), 1,
      sym_record_operand,
    STATE(407), 1,
      sym_type_array,
    STATE(436), 1,
      sym_infix_u_op_5,
    STATE(487), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(601), 1,
      sym_term,
    ACTIONS(207), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(219), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(382), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(225), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(226), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [2903] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(245), 1,
      sym_num_literal,
    ACTIONS(249), 1,
      anon_sym_let,
    ACTIONS(251), 1,
      anon_sym_fun,
    ACTIONS(253), 1,
      anon_sym_switch,
    ACTIONS(255), 1,
      anon_sym_LBRACE,
    ACTIONS(257), 1,
      anon_sym_if,
    ACTIONS(259), 1,
      anon_sym_forall,
    ACTIONS(261), 1,
      anon_sym_import,
    ACTIONS(263), 1,
      anon_sym_Array,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_BQUOTE,
    ACTIONS(271), 1,
      anon_sym_LBRACK,
    ACTIONS(275), 1,
      anon_sym_PERCENT,
    ACTIONS(277), 1,
      anon_sym_DASH,
    ACTIONS(279), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(281), 1,
      sym_multstr_start,
    ACTIONS(283), 1,
      sym__str_start,
    STATE(134), 1,
      sym_applicative,
    STATE(271), 1,
      sym_type_builtin,
    STATE(277), 1,
      sym_record_operand,
    STATE(404), 1,
      sym_type_array,
    STATE(463), 1,
      sym_infix_u_op_5,
    STATE(490), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(1035), 1,
      sym_term,
    ACTIONS(247), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(218), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(276), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(265), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(285), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [3022] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(245), 1,
      sym_num_literal,
    ACTIONS(249), 1,
      anon_sym_let,
    ACTIONS(251), 1,
      anon_sym_fun,
    ACTIONS(253), 1,
      anon_sym_switch,
    ACTIONS(255), 1,
      anon_sym_LBRACE,
    ACTIONS(257), 1,
      anon_sym_if,
    ACTIONS(259), 1,
      anon_sym_forall,
    ACTIONS(261), 1,
      anon_sym_import,
    ACTIONS(263), 1,
      anon_sym_Array,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_BQUOTE,
    ACTIONS(271), 1,
      anon_sym_LBRACK,
    ACTIONS(275), 1,
      anon_sym_PERCENT,
    ACTIONS(277), 1,
      anon_sym_DASH,
    ACTIONS(279), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(281), 1,
      sym_multstr_start,
    ACTIONS(283), 1,
      sym__str_start,
    STATE(134), 1,
      sym_applicative,
    STATE(271), 1,
      sym_type_builtin,
    STATE(277), 1,
      sym_record_operand,
    STATE(404), 1,
      sym_type_array,
    STATE(463), 1,
      sym_infix_u_op_5,
    STATE(490), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(604), 1,
      sym_term,
    ACTIONS(247), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(218), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(276), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(265), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(285), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [3141] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(245), 1,
      sym_num_literal,
    ACTIONS(249), 1,
      anon_sym_let,
    ACTIONS(251), 1,
      anon_sym_fun,
    ACTIONS(253), 1,
      anon_sym_switch,
    ACTIONS(255), 1,
      anon_sym_LBRACE,
    ACTIONS(257), 1,
      anon_sym_if,
    ACTIONS(259), 1,
      anon_sym_forall,
    ACTIONS(261), 1,
      anon_sym_import,
    ACTIONS(263), 1,
      anon_sym_Array,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_BQUOTE,
    ACTIONS(271), 1,
      anon_sym_LBRACK,
    ACTIONS(275), 1,
      anon_sym_PERCENT,
    ACTIONS(277), 1,
      anon_sym_DASH,
    ACTIONS(279), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(281), 1,
      sym_multstr_start,
    ACTIONS(283), 1,
      sym__str_start,
    STATE(134), 1,
      sym_applicative,
    STATE(271), 1,
      sym_type_builtin,
    STATE(277), 1,
      sym_record_operand,
    STATE(404), 1,
      sym_type_array,
    STATE(463), 1,
      sym_infix_u_op_5,
    STATE(490), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(612), 1,
      sym_term,
    ACTIONS(247), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(218), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(276), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(265), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(285), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [3260] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(245), 1,
      sym_num_literal,
    ACTIONS(249), 1,
      anon_sym_let,
    ACTIONS(251), 1,
      anon_sym_fun,
    ACTIONS(253), 1,
      anon_sym_switch,
    ACTIONS(255), 1,
      anon_sym_LBRACE,
    ACTIONS(257), 1,
      anon_sym_if,
    ACTIONS(259), 1,
      anon_sym_forall,
    ACTIONS(261), 1,
      anon_sym_import,
    ACTIONS(263), 1,
      anon_sym_Array,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_BQUOTE,
    ACTIONS(271), 1,
      anon_sym_LBRACK,
    ACTIONS(275), 1,
      anon_sym_PERCENT,
    ACTIONS(277), 1,
      anon_sym_DASH,
    ACTIONS(279), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(281), 1,
      sym_multstr_start,
    ACTIONS(283), 1,
      sym__str_start,
    STATE(134), 1,
      sym_applicative,
    STATE(271), 1,
      sym_type_builtin,
    STATE(277), 1,
      sym_record_operand,
    STATE(404), 1,
      sym_type_array,
    STATE(463), 1,
      sym_infix_u_op_5,
    STATE(490), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(606), 1,
      sym_term,
    ACTIONS(247), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(218), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(276), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(265), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(285), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [3379] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(285), 1,
      sym_num_literal,
    ACTIONS(289), 1,
      anon_sym_let,
    ACTIONS(291), 1,
      anon_sym_fun,
    ACTIONS(293), 1,
      anon_sym_switch,
    ACTIONS(295), 1,
      anon_sym_LBRACE,
    ACTIONS(297), 1,
      anon_sym_if,
    ACTIONS(299), 1,
      anon_sym_forall,
    ACTIONS(301), 1,
      anon_sym_import,
    ACTIONS(303), 1,
      anon_sym_Array,
    ACTIONS(307), 1,
      anon_sym_LPAREN,
    ACTIONS(309), 1,
      anon_sym_BQUOTE,
    ACTIONS(311), 1,
      anon_sym_LBRACK,
    ACTIONS(315), 1,
      anon_sym_PERCENT,
    ACTIONS(317), 1,
      anon_sym_DASH,
    ACTIONS(319), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(321), 1,
      sym_multstr_start,
    ACTIONS(323), 1,
      sym__str_start,
    STATE(133), 1,
      sym_applicative,
    STATE(340), 1,
      sym_type_builtin,
    STATE(343), 1,
      sym_record_operand,
    STATE(400), 1,
      sym_type_array,
    STATE(466), 1,
      sym_infix_u_op_5,
    STATE(489), 1,
      sym_infix_expr,
    STATE(938), 1,
      sym_uni_term,
    STATE(1046), 1,
      sym_term,
    ACTIONS(287), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(313), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(201), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(342), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(305), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(347), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(937), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [3498] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(245), 1,
      sym_num_literal,
    ACTIONS(249), 1,
      anon_sym_let,
    ACTIONS(251), 1,
      anon_sym_fun,
    ACTIONS(253), 1,
      anon_sym_switch,
    ACTIONS(255), 1,
      anon_sym_LBRACE,
    ACTIONS(257), 1,
      anon_sym_if,
    ACTIONS(259), 1,
      anon_sym_forall,
    ACTIONS(261), 1,
      anon_sym_import,
    ACTIONS(263), 1,
      anon_sym_Array,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_BQUOTE,
    ACTIONS(271), 1,
      anon_sym_LBRACK,
    ACTIONS(275), 1,
      anon_sym_PERCENT,
    ACTIONS(277), 1,
      anon_sym_DASH,
    ACTIONS(279), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(281), 1,
      sym_multstr_start,
    ACTIONS(283), 1,
      sym__str_start,
    STATE(134), 1,
      sym_applicative,
    STATE(271), 1,
      sym_type_builtin,
    STATE(277), 1,
      sym_record_operand,
    STATE(404), 1,
      sym_type_array,
    STATE(463), 1,
      sym_infix_u_op_5,
    STATE(490), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(611), 1,
      sym_term,
    ACTIONS(247), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(218), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(276), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(265), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(285), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [3617] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(245), 1,
      sym_num_literal,
    ACTIONS(249), 1,
      anon_sym_let,
    ACTIONS(251), 1,
      anon_sym_fun,
    ACTIONS(253), 1,
      anon_sym_switch,
    ACTIONS(255), 1,
      anon_sym_LBRACE,
    ACTIONS(257), 1,
      anon_sym_if,
    ACTIONS(259), 1,
      anon_sym_forall,
    ACTIONS(261), 1,
      anon_sym_import,
    ACTIONS(263), 1,
      anon_sym_Array,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_BQUOTE,
    ACTIONS(271), 1,
      anon_sym_LBRACK,
    ACTIONS(275), 1,
      anon_sym_PERCENT,
    ACTIONS(277), 1,
      anon_sym_DASH,
    ACTIONS(279), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(281), 1,
      sym_multstr_start,
    ACTIONS(283), 1,
      sym__str_start,
    STATE(134), 1,
      sym_applicative,
    STATE(271), 1,
      sym_type_builtin,
    STATE(277), 1,
      sym_record_operand,
    STATE(404), 1,
      sym_type_array,
    STATE(463), 1,
      sym_infix_u_op_5,
    STATE(490), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(598), 1,
      sym_term,
    ACTIONS(247), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(218), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(276), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(265), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(285), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [3736] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(245), 1,
      sym_num_literal,
    ACTIONS(249), 1,
      anon_sym_let,
    ACTIONS(251), 1,
      anon_sym_fun,
    ACTIONS(253), 1,
      anon_sym_switch,
    ACTIONS(255), 1,
      anon_sym_LBRACE,
    ACTIONS(257), 1,
      anon_sym_if,
    ACTIONS(259), 1,
      anon_sym_forall,
    ACTIONS(261), 1,
      anon_sym_import,
    ACTIONS(263), 1,
      anon_sym_Array,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_BQUOTE,
    ACTIONS(271), 1,
      anon_sym_LBRACK,
    ACTIONS(275), 1,
      anon_sym_PERCENT,
    ACTIONS(277), 1,
      anon_sym_DASH,
    ACTIONS(279), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(281), 1,
      sym_multstr_start,
    ACTIONS(283), 1,
      sym__str_start,
    STATE(134), 1,
      sym_applicative,
    STATE(271), 1,
      sym_type_builtin,
    STATE(277), 1,
      sym_record_operand,
    STATE(404), 1,
      sym_type_array,
    STATE(463), 1,
      sym_infix_u_op_5,
    STATE(490), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(615), 1,
      sym_term,
    ACTIONS(247), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(218), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(276), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(265), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(285), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [3855] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(245), 1,
      sym_num_literal,
    ACTIONS(249), 1,
      anon_sym_let,
    ACTIONS(251), 1,
      anon_sym_fun,
    ACTIONS(253), 1,
      anon_sym_switch,
    ACTIONS(255), 1,
      anon_sym_LBRACE,
    ACTIONS(257), 1,
      anon_sym_if,
    ACTIONS(259), 1,
      anon_sym_forall,
    ACTIONS(261), 1,
      anon_sym_import,
    ACTIONS(263), 1,
      anon_sym_Array,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_BQUOTE,
    ACTIONS(271), 1,
      anon_sym_LBRACK,
    ACTIONS(275), 1,
      anon_sym_PERCENT,
    ACTIONS(277), 1,
      anon_sym_DASH,
    ACTIONS(279), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(281), 1,
      sym_multstr_start,
    ACTIONS(283), 1,
      sym__str_start,
    STATE(134), 1,
      sym_applicative,
    STATE(271), 1,
      sym_type_builtin,
    STATE(277), 1,
      sym_record_operand,
    STATE(404), 1,
      sym_type_array,
    STATE(463), 1,
      sym_infix_u_op_5,
    STATE(490), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(594), 1,
      sym_term,
    ACTIONS(247), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(218), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(276), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(265), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(285), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [3974] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(245), 1,
      sym_num_literal,
    ACTIONS(249), 1,
      anon_sym_let,
    ACTIONS(251), 1,
      anon_sym_fun,
    ACTIONS(253), 1,
      anon_sym_switch,
    ACTIONS(255), 1,
      anon_sym_LBRACE,
    ACTIONS(257), 1,
      anon_sym_if,
    ACTIONS(259), 1,
      anon_sym_forall,
    ACTIONS(261), 1,
      anon_sym_import,
    ACTIONS(263), 1,
      anon_sym_Array,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_BQUOTE,
    ACTIONS(271), 1,
      anon_sym_LBRACK,
    ACTIONS(275), 1,
      anon_sym_PERCENT,
    ACTIONS(277), 1,
      anon_sym_DASH,
    ACTIONS(279), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(281), 1,
      sym_multstr_start,
    ACTIONS(283), 1,
      sym__str_start,
    STATE(134), 1,
      sym_applicative,
    STATE(271), 1,
      sym_type_builtin,
    STATE(277), 1,
      sym_record_operand,
    STATE(404), 1,
      sym_type_array,
    STATE(463), 1,
      sym_infix_u_op_5,
    STATE(490), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(593), 1,
      sym_term,
    ACTIONS(247), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(218), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(276), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(265), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(285), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [4093] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(245), 1,
      sym_num_literal,
    ACTIONS(249), 1,
      anon_sym_let,
    ACTIONS(251), 1,
      anon_sym_fun,
    ACTIONS(253), 1,
      anon_sym_switch,
    ACTIONS(255), 1,
      anon_sym_LBRACE,
    ACTIONS(257), 1,
      anon_sym_if,
    ACTIONS(259), 1,
      anon_sym_forall,
    ACTIONS(261), 1,
      anon_sym_import,
    ACTIONS(263), 1,
      anon_sym_Array,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_BQUOTE,
    ACTIONS(271), 1,
      anon_sym_LBRACK,
    ACTIONS(275), 1,
      anon_sym_PERCENT,
    ACTIONS(277), 1,
      anon_sym_DASH,
    ACTIONS(279), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(281), 1,
      sym_multstr_start,
    ACTIONS(283), 1,
      sym__str_start,
    STATE(134), 1,
      sym_applicative,
    STATE(271), 1,
      sym_type_builtin,
    STATE(277), 1,
      sym_record_operand,
    STATE(404), 1,
      sym_type_array,
    STATE(463), 1,
      sym_infix_u_op_5,
    STATE(490), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(603), 1,
      sym_term,
    ACTIONS(247), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(218), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(276), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(265), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(285), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [4212] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(245), 1,
      sym_num_literal,
    ACTIONS(249), 1,
      anon_sym_let,
    ACTIONS(251), 1,
      anon_sym_fun,
    ACTIONS(253), 1,
      anon_sym_switch,
    ACTIONS(255), 1,
      anon_sym_LBRACE,
    ACTIONS(257), 1,
      anon_sym_if,
    ACTIONS(259), 1,
      anon_sym_forall,
    ACTIONS(261), 1,
      anon_sym_import,
    ACTIONS(263), 1,
      anon_sym_Array,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_BQUOTE,
    ACTIONS(271), 1,
      anon_sym_LBRACK,
    ACTIONS(275), 1,
      anon_sym_PERCENT,
    ACTIONS(277), 1,
      anon_sym_DASH,
    ACTIONS(279), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(281), 1,
      sym_multstr_start,
    ACTIONS(283), 1,
      sym__str_start,
    STATE(134), 1,
      sym_applicative,
    STATE(271), 1,
      sym_type_builtin,
    STATE(277), 1,
      sym_record_operand,
    STATE(404), 1,
      sym_type_array,
    STATE(463), 1,
      sym_infix_u_op_5,
    STATE(490), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(601), 1,
      sym_term,
    ACTIONS(247), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(218), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(276), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(265), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(285), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [4331] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(205), 1,
      sym_num_literal,
    ACTIONS(209), 1,
      anon_sym_let,
    ACTIONS(211), 1,
      anon_sym_fun,
    ACTIONS(213), 1,
      anon_sym_switch,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    ACTIONS(217), 1,
      anon_sym_if,
    ACTIONS(219), 1,
      anon_sym_forall,
    ACTIONS(221), 1,
      anon_sym_import,
    ACTIONS(223), 1,
      anon_sym_Array,
    ACTIONS(227), 1,
      anon_sym_LPAREN,
    ACTIONS(229), 1,
      anon_sym_BQUOTE,
    ACTIONS(231), 1,
      anon_sym_LBRACK,
    ACTIONS(235), 1,
      anon_sym_PERCENT,
    ACTIONS(237), 1,
      anon_sym_DASH,
    ACTIONS(239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(241), 1,
      sym_multstr_start,
    ACTIONS(243), 1,
      sym__str_start,
    STATE(135), 1,
      sym_applicative,
    STATE(216), 1,
      sym_type_builtin,
    STATE(220), 1,
      sym_record_operand,
    STATE(407), 1,
      sym_type_array,
    STATE(436), 1,
      sym_infix_u_op_5,
    STATE(487), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(988), 1,
      sym_term,
    ACTIONS(207), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(219), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(382), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(225), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(226), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [4450] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(285), 1,
      sym_num_literal,
    ACTIONS(289), 1,
      anon_sym_let,
    ACTIONS(291), 1,
      anon_sym_fun,
    ACTIONS(293), 1,
      anon_sym_switch,
    ACTIONS(295), 1,
      anon_sym_LBRACE,
    ACTIONS(297), 1,
      anon_sym_if,
    ACTIONS(299), 1,
      anon_sym_forall,
    ACTIONS(301), 1,
      anon_sym_import,
    ACTIONS(303), 1,
      anon_sym_Array,
    ACTIONS(307), 1,
      anon_sym_LPAREN,
    ACTIONS(309), 1,
      anon_sym_BQUOTE,
    ACTIONS(311), 1,
      anon_sym_LBRACK,
    ACTIONS(315), 1,
      anon_sym_PERCENT,
    ACTIONS(317), 1,
      anon_sym_DASH,
    ACTIONS(319), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(321), 1,
      sym_multstr_start,
    ACTIONS(323), 1,
      sym__str_start,
    STATE(133), 1,
      sym_applicative,
    STATE(340), 1,
      sym_type_builtin,
    STATE(343), 1,
      sym_record_operand,
    STATE(400), 1,
      sym_type_array,
    STATE(466), 1,
      sym_infix_u_op_5,
    STATE(489), 1,
      sym_infix_expr,
    STATE(938), 1,
      sym_uni_term,
    STATE(997), 1,
      sym_term,
    ACTIONS(287), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(313), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(201), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(342), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(305), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(347), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(937), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [4569] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(285), 1,
      sym_num_literal,
    ACTIONS(289), 1,
      anon_sym_let,
    ACTIONS(291), 1,
      anon_sym_fun,
    ACTIONS(293), 1,
      anon_sym_switch,
    ACTIONS(295), 1,
      anon_sym_LBRACE,
    ACTIONS(297), 1,
      anon_sym_if,
    ACTIONS(299), 1,
      anon_sym_forall,
    ACTIONS(301), 1,
      anon_sym_import,
    ACTIONS(303), 1,
      anon_sym_Array,
    ACTIONS(307), 1,
      anon_sym_LPAREN,
    ACTIONS(309), 1,
      anon_sym_BQUOTE,
    ACTIONS(311), 1,
      anon_sym_LBRACK,
    ACTIONS(315), 1,
      anon_sym_PERCENT,
    ACTIONS(317), 1,
      anon_sym_DASH,
    ACTIONS(319), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(321), 1,
      sym_multstr_start,
    ACTIONS(323), 1,
      sym__str_start,
    STATE(133), 1,
      sym_applicative,
    STATE(340), 1,
      sym_type_builtin,
    STATE(343), 1,
      sym_record_operand,
    STATE(400), 1,
      sym_type_array,
    STATE(466), 1,
      sym_infix_u_op_5,
    STATE(489), 1,
      sym_infix_expr,
    STATE(935), 1,
      sym_term,
    STATE(938), 1,
      sym_uni_term,
    ACTIONS(287), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(313), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(201), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(342), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(305), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(347), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(937), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [4688] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(285), 1,
      sym_num_literal,
    ACTIONS(289), 1,
      anon_sym_let,
    ACTIONS(291), 1,
      anon_sym_fun,
    ACTIONS(293), 1,
      anon_sym_switch,
    ACTIONS(295), 1,
      anon_sym_LBRACE,
    ACTIONS(297), 1,
      anon_sym_if,
    ACTIONS(299), 1,
      anon_sym_forall,
    ACTIONS(301), 1,
      anon_sym_import,
    ACTIONS(303), 1,
      anon_sym_Array,
    ACTIONS(307), 1,
      anon_sym_LPAREN,
    ACTIONS(309), 1,
      anon_sym_BQUOTE,
    ACTIONS(311), 1,
      anon_sym_LBRACK,
    ACTIONS(315), 1,
      anon_sym_PERCENT,
    ACTIONS(317), 1,
      anon_sym_DASH,
    ACTIONS(319), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(321), 1,
      sym_multstr_start,
    ACTIONS(323), 1,
      sym__str_start,
    STATE(133), 1,
      sym_applicative,
    STATE(340), 1,
      sym_type_builtin,
    STATE(343), 1,
      sym_record_operand,
    STATE(400), 1,
      sym_type_array,
    STATE(466), 1,
      sym_infix_u_op_5,
    STATE(489), 1,
      sym_infix_expr,
    STATE(938), 1,
      sym_uni_term,
    STATE(994), 1,
      sym_term,
    ACTIONS(287), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(313), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(201), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(342), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(305), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(347), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(937), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [4807] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(285), 1,
      sym_num_literal,
    ACTIONS(289), 1,
      anon_sym_let,
    ACTIONS(291), 1,
      anon_sym_fun,
    ACTIONS(293), 1,
      anon_sym_switch,
    ACTIONS(295), 1,
      anon_sym_LBRACE,
    ACTIONS(297), 1,
      anon_sym_if,
    ACTIONS(299), 1,
      anon_sym_forall,
    ACTIONS(301), 1,
      anon_sym_import,
    ACTIONS(303), 1,
      anon_sym_Array,
    ACTIONS(307), 1,
      anon_sym_LPAREN,
    ACTIONS(309), 1,
      anon_sym_BQUOTE,
    ACTIONS(311), 1,
      anon_sym_LBRACK,
    ACTIONS(315), 1,
      anon_sym_PERCENT,
    ACTIONS(317), 1,
      anon_sym_DASH,
    ACTIONS(319), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(321), 1,
      sym_multstr_start,
    ACTIONS(323), 1,
      sym__str_start,
    STATE(133), 1,
      sym_applicative,
    STATE(340), 1,
      sym_type_builtin,
    STATE(343), 1,
      sym_record_operand,
    STATE(400), 1,
      sym_type_array,
    STATE(466), 1,
      sym_infix_u_op_5,
    STATE(489), 1,
      sym_infix_expr,
    STATE(938), 1,
      sym_uni_term,
    STATE(991), 1,
      sym_term,
    ACTIONS(287), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(313), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(201), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(342), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(305), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(347), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(937), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [4926] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(285), 1,
      sym_num_literal,
    ACTIONS(289), 1,
      anon_sym_let,
    ACTIONS(291), 1,
      anon_sym_fun,
    ACTIONS(293), 1,
      anon_sym_switch,
    ACTIONS(295), 1,
      anon_sym_LBRACE,
    ACTIONS(297), 1,
      anon_sym_if,
    ACTIONS(299), 1,
      anon_sym_forall,
    ACTIONS(301), 1,
      anon_sym_import,
    ACTIONS(303), 1,
      anon_sym_Array,
    ACTIONS(307), 1,
      anon_sym_LPAREN,
    ACTIONS(309), 1,
      anon_sym_BQUOTE,
    ACTIONS(311), 1,
      anon_sym_LBRACK,
    ACTIONS(315), 1,
      anon_sym_PERCENT,
    ACTIONS(317), 1,
      anon_sym_DASH,
    ACTIONS(319), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(321), 1,
      sym_multstr_start,
    ACTIONS(323), 1,
      sym__str_start,
    STATE(133), 1,
      sym_applicative,
    STATE(340), 1,
      sym_type_builtin,
    STATE(343), 1,
      sym_record_operand,
    STATE(400), 1,
      sym_type_array,
    STATE(466), 1,
      sym_infix_u_op_5,
    STATE(489), 1,
      sym_infix_expr,
    STATE(938), 1,
      sym_uni_term,
    STATE(989), 1,
      sym_term,
    ACTIONS(287), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(313), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(201), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(342), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(305), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(347), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(937), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [5045] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(285), 1,
      sym_num_literal,
    ACTIONS(289), 1,
      anon_sym_let,
    ACTIONS(291), 1,
      anon_sym_fun,
    ACTIONS(293), 1,
      anon_sym_switch,
    ACTIONS(295), 1,
      anon_sym_LBRACE,
    ACTIONS(297), 1,
      anon_sym_if,
    ACTIONS(299), 1,
      anon_sym_forall,
    ACTIONS(301), 1,
      anon_sym_import,
    ACTIONS(303), 1,
      anon_sym_Array,
    ACTIONS(307), 1,
      anon_sym_LPAREN,
    ACTIONS(309), 1,
      anon_sym_BQUOTE,
    ACTIONS(311), 1,
      anon_sym_LBRACK,
    ACTIONS(315), 1,
      anon_sym_PERCENT,
    ACTIONS(317), 1,
      anon_sym_DASH,
    ACTIONS(319), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(321), 1,
      sym_multstr_start,
    ACTIONS(323), 1,
      sym__str_start,
    STATE(133), 1,
      sym_applicative,
    STATE(340), 1,
      sym_type_builtin,
    STATE(343), 1,
      sym_record_operand,
    STATE(400), 1,
      sym_type_array,
    STATE(466), 1,
      sym_infix_u_op_5,
    STATE(489), 1,
      sym_infix_expr,
    STATE(938), 1,
      sym_uni_term,
    STATE(987), 1,
      sym_term,
    ACTIONS(287), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(313), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(201), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(342), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(305), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(347), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(937), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [5164] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(285), 1,
      sym_num_literal,
    ACTIONS(289), 1,
      anon_sym_let,
    ACTIONS(291), 1,
      anon_sym_fun,
    ACTIONS(293), 1,
      anon_sym_switch,
    ACTIONS(295), 1,
      anon_sym_LBRACE,
    ACTIONS(297), 1,
      anon_sym_if,
    ACTIONS(299), 1,
      anon_sym_forall,
    ACTIONS(301), 1,
      anon_sym_import,
    ACTIONS(303), 1,
      anon_sym_Array,
    ACTIONS(307), 1,
      anon_sym_LPAREN,
    ACTIONS(309), 1,
      anon_sym_BQUOTE,
    ACTIONS(311), 1,
      anon_sym_LBRACK,
    ACTIONS(315), 1,
      anon_sym_PERCENT,
    ACTIONS(317), 1,
      anon_sym_DASH,
    ACTIONS(319), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(321), 1,
      sym_multstr_start,
    ACTIONS(323), 1,
      sym__str_start,
    STATE(133), 1,
      sym_applicative,
    STATE(340), 1,
      sym_type_builtin,
    STATE(343), 1,
      sym_record_operand,
    STATE(400), 1,
      sym_type_array,
    STATE(466), 1,
      sym_infix_u_op_5,
    STATE(489), 1,
      sym_infix_expr,
    STATE(938), 1,
      sym_uni_term,
    STATE(986), 1,
      sym_term,
    ACTIONS(287), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(313), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(201), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(342), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(305), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(347), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(937), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [5283] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(165), 1,
      sym_num_literal,
    ACTIONS(169), 1,
      anon_sym_let,
    ACTIONS(171), 1,
      anon_sym_fun,
    ACTIONS(173), 1,
      anon_sym_switch,
    ACTIONS(175), 1,
      anon_sym_LBRACE,
    ACTIONS(177), 1,
      anon_sym_if,
    ACTIONS(179), 1,
      anon_sym_forall,
    ACTIONS(181), 1,
      anon_sym_import,
    ACTIONS(183), 1,
      anon_sym_Array,
    ACTIONS(187), 1,
      anon_sym_LPAREN,
    ACTIONS(189), 1,
      anon_sym_BQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACK,
    ACTIONS(195), 1,
      anon_sym_PERCENT,
    ACTIONS(197), 1,
      anon_sym_DASH,
    ACTIONS(199), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(201), 1,
      sym_multstr_start,
    ACTIONS(203), 1,
      sym__str_start,
    STATE(131), 1,
      sym_applicative,
    STATE(281), 1,
      sym_record_operand,
    STATE(286), 1,
      sym_type_builtin,
    STATE(403), 1,
      sym_type_array,
    STATE(467), 1,
      sym_infix_u_op_5,
    STATE(488), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(1072), 1,
      sym_term,
    ACTIONS(167), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(193), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(282), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(393), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(185), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(272), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [5402] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(285), 1,
      sym_num_literal,
    ACTIONS(289), 1,
      anon_sym_let,
    ACTIONS(291), 1,
      anon_sym_fun,
    ACTIONS(293), 1,
      anon_sym_switch,
    ACTIONS(295), 1,
      anon_sym_LBRACE,
    ACTIONS(297), 1,
      anon_sym_if,
    ACTIONS(299), 1,
      anon_sym_forall,
    ACTIONS(301), 1,
      anon_sym_import,
    ACTIONS(303), 1,
      anon_sym_Array,
    ACTIONS(307), 1,
      anon_sym_LPAREN,
    ACTIONS(309), 1,
      anon_sym_BQUOTE,
    ACTIONS(311), 1,
      anon_sym_LBRACK,
    ACTIONS(315), 1,
      anon_sym_PERCENT,
    ACTIONS(317), 1,
      anon_sym_DASH,
    ACTIONS(319), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(321), 1,
      sym_multstr_start,
    ACTIONS(323), 1,
      sym__str_start,
    STATE(133), 1,
      sym_applicative,
    STATE(340), 1,
      sym_type_builtin,
    STATE(343), 1,
      sym_record_operand,
    STATE(400), 1,
      sym_type_array,
    STATE(466), 1,
      sym_infix_u_op_5,
    STATE(489), 1,
      sym_infix_expr,
    STATE(938), 1,
      sym_uni_term,
    STATE(978), 1,
      sym_term,
    ACTIONS(287), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(313), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(201), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(342), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(305), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(347), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(937), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [5521] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(165), 1,
      sym_num_literal,
    ACTIONS(169), 1,
      anon_sym_let,
    ACTIONS(171), 1,
      anon_sym_fun,
    ACTIONS(173), 1,
      anon_sym_switch,
    ACTIONS(175), 1,
      anon_sym_LBRACE,
    ACTIONS(177), 1,
      anon_sym_if,
    ACTIONS(179), 1,
      anon_sym_forall,
    ACTIONS(181), 1,
      anon_sym_import,
    ACTIONS(183), 1,
      anon_sym_Array,
    ACTIONS(187), 1,
      anon_sym_LPAREN,
    ACTIONS(189), 1,
      anon_sym_BQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACK,
    ACTIONS(195), 1,
      anon_sym_PERCENT,
    ACTIONS(197), 1,
      anon_sym_DASH,
    ACTIONS(199), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(201), 1,
      sym_multstr_start,
    ACTIONS(203), 1,
      sym__str_start,
    STATE(131), 1,
      sym_applicative,
    STATE(281), 1,
      sym_record_operand,
    STATE(286), 1,
      sym_type_builtin,
    STATE(403), 1,
      sym_type_array,
    STATE(467), 1,
      sym_infix_u_op_5,
    STATE(488), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(1066), 1,
      sym_term,
    ACTIONS(167), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(193), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(282), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(393), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(185), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(272), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [5640] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(285), 1,
      sym_num_literal,
    ACTIONS(289), 1,
      anon_sym_let,
    ACTIONS(291), 1,
      anon_sym_fun,
    ACTIONS(293), 1,
      anon_sym_switch,
    ACTIONS(295), 1,
      anon_sym_LBRACE,
    ACTIONS(297), 1,
      anon_sym_if,
    ACTIONS(299), 1,
      anon_sym_forall,
    ACTIONS(301), 1,
      anon_sym_import,
    ACTIONS(303), 1,
      anon_sym_Array,
    ACTIONS(307), 1,
      anon_sym_LPAREN,
    ACTIONS(309), 1,
      anon_sym_BQUOTE,
    ACTIONS(311), 1,
      anon_sym_LBRACK,
    ACTIONS(315), 1,
      anon_sym_PERCENT,
    ACTIONS(317), 1,
      anon_sym_DASH,
    ACTIONS(319), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(321), 1,
      sym_multstr_start,
    ACTIONS(323), 1,
      sym__str_start,
    STATE(133), 1,
      sym_applicative,
    STATE(340), 1,
      sym_type_builtin,
    STATE(343), 1,
      sym_record_operand,
    STATE(400), 1,
      sym_type_array,
    STATE(466), 1,
      sym_infix_u_op_5,
    STATE(489), 1,
      sym_infix_expr,
    STATE(938), 1,
      sym_uni_term,
    STATE(966), 1,
      sym_term,
    ACTIONS(287), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(313), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(201), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(342), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(305), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(347), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(937), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [5759] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(285), 1,
      sym_num_literal,
    ACTIONS(289), 1,
      anon_sym_let,
    ACTIONS(291), 1,
      anon_sym_fun,
    ACTIONS(293), 1,
      anon_sym_switch,
    ACTIONS(295), 1,
      anon_sym_LBRACE,
    ACTIONS(297), 1,
      anon_sym_if,
    ACTIONS(299), 1,
      anon_sym_forall,
    ACTIONS(301), 1,
      anon_sym_import,
    ACTIONS(303), 1,
      anon_sym_Array,
    ACTIONS(307), 1,
      anon_sym_LPAREN,
    ACTIONS(309), 1,
      anon_sym_BQUOTE,
    ACTIONS(311), 1,
      anon_sym_LBRACK,
    ACTIONS(315), 1,
      anon_sym_PERCENT,
    ACTIONS(317), 1,
      anon_sym_DASH,
    ACTIONS(319), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(321), 1,
      sym_multstr_start,
    ACTIONS(323), 1,
      sym__str_start,
    STATE(133), 1,
      sym_applicative,
    STATE(340), 1,
      sym_type_builtin,
    STATE(343), 1,
      sym_record_operand,
    STATE(400), 1,
      sym_type_array,
    STATE(466), 1,
      sym_infix_u_op_5,
    STATE(489), 1,
      sym_infix_expr,
    STATE(938), 1,
      sym_uni_term,
    STATE(964), 1,
      sym_term,
    ACTIONS(287), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(313), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(201), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(342), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(305), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(347), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(937), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [5878] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(51), 1,
      anon_sym_let,
    ACTIONS(53), 1,
      anon_sym_fun,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_if,
    ACTIONS(61), 1,
      anon_sym_forall,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(406), 1,
      sym_infix_expr,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(589), 1,
      sym_uni_term,
    STATE(894), 1,
      sym_term,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [5997] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(51), 1,
      anon_sym_let,
    ACTIONS(53), 1,
      anon_sym_fun,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_if,
    ACTIONS(61), 1,
      anon_sym_forall,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(406), 1,
      sym_infix_expr,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(589), 1,
      sym_uni_term,
    STATE(604), 1,
      sym_term,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [6116] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(51), 1,
      anon_sym_let,
    ACTIONS(53), 1,
      anon_sym_fun,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_if,
    ACTIONS(61), 1,
      anon_sym_forall,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(406), 1,
      sym_infix_expr,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(589), 1,
      sym_uni_term,
    STATE(612), 1,
      sym_term,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [6235] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(51), 1,
      anon_sym_let,
    ACTIONS(53), 1,
      anon_sym_fun,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_if,
    ACTIONS(61), 1,
      anon_sym_forall,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(406), 1,
      sym_infix_expr,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(589), 1,
      sym_uni_term,
    STATE(606), 1,
      sym_term,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [6354] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(51), 1,
      anon_sym_let,
    ACTIONS(53), 1,
      anon_sym_fun,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_if,
    ACTIONS(61), 1,
      anon_sym_forall,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(406), 1,
      sym_infix_expr,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(589), 1,
      sym_uni_term,
    STATE(611), 1,
      sym_term,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [6473] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(51), 1,
      anon_sym_let,
    ACTIONS(53), 1,
      anon_sym_fun,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_if,
    ACTIONS(61), 1,
      anon_sym_forall,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(406), 1,
      sym_infix_expr,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(589), 1,
      sym_uni_term,
    STATE(598), 1,
      sym_term,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [6592] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(51), 1,
      anon_sym_let,
    ACTIONS(53), 1,
      anon_sym_fun,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_if,
    ACTIONS(61), 1,
      anon_sym_forall,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(406), 1,
      sym_infix_expr,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(589), 1,
      sym_uni_term,
    STATE(615), 1,
      sym_term,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [6711] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(51), 1,
      anon_sym_let,
    ACTIONS(53), 1,
      anon_sym_fun,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_if,
    ACTIONS(61), 1,
      anon_sym_forall,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(406), 1,
      sym_infix_expr,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(589), 1,
      sym_uni_term,
    STATE(594), 1,
      sym_term,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [6830] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(51), 1,
      anon_sym_let,
    ACTIONS(53), 1,
      anon_sym_fun,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_if,
    ACTIONS(61), 1,
      anon_sym_forall,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(406), 1,
      sym_infix_expr,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(589), 1,
      sym_uni_term,
    STATE(593), 1,
      sym_term,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [6949] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(51), 1,
      anon_sym_let,
    ACTIONS(53), 1,
      anon_sym_fun,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_if,
    ACTIONS(61), 1,
      anon_sym_forall,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(406), 1,
      sym_infix_expr,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(589), 1,
      sym_uni_term,
    STATE(603), 1,
      sym_term,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [7068] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(51), 1,
      anon_sym_let,
    ACTIONS(53), 1,
      anon_sym_fun,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_if,
    ACTIONS(61), 1,
      anon_sym_forall,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(406), 1,
      sym_infix_expr,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(589), 1,
      sym_uni_term,
    STATE(601), 1,
      sym_term,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [7187] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(245), 1,
      sym_num_literal,
    ACTIONS(249), 1,
      anon_sym_let,
    ACTIONS(251), 1,
      anon_sym_fun,
    ACTIONS(253), 1,
      anon_sym_switch,
    ACTIONS(255), 1,
      anon_sym_LBRACE,
    ACTIONS(257), 1,
      anon_sym_if,
    ACTIONS(259), 1,
      anon_sym_forall,
    ACTIONS(261), 1,
      anon_sym_import,
    ACTIONS(263), 1,
      anon_sym_Array,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_BQUOTE,
    ACTIONS(271), 1,
      anon_sym_LBRACK,
    ACTIONS(275), 1,
      anon_sym_PERCENT,
    ACTIONS(277), 1,
      anon_sym_DASH,
    ACTIONS(279), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(281), 1,
      sym_multstr_start,
    ACTIONS(283), 1,
      sym__str_start,
    STATE(134), 1,
      sym_applicative,
    STATE(271), 1,
      sym_type_builtin,
    STATE(277), 1,
      sym_record_operand,
    STATE(404), 1,
      sym_type_array,
    STATE(463), 1,
      sym_infix_u_op_5,
    STATE(490), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(1033), 1,
      sym_term,
    ACTIONS(247), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(218), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(276), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(265), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(285), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [7306] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(165), 1,
      sym_num_literal,
    ACTIONS(169), 1,
      anon_sym_let,
    ACTIONS(171), 1,
      anon_sym_fun,
    ACTIONS(173), 1,
      anon_sym_switch,
    ACTIONS(175), 1,
      anon_sym_LBRACE,
    ACTIONS(177), 1,
      anon_sym_if,
    ACTIONS(179), 1,
      anon_sym_forall,
    ACTIONS(181), 1,
      anon_sym_import,
    ACTIONS(183), 1,
      anon_sym_Array,
    ACTIONS(187), 1,
      anon_sym_LPAREN,
    ACTIONS(189), 1,
      anon_sym_BQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACK,
    ACTIONS(195), 1,
      anon_sym_PERCENT,
    ACTIONS(197), 1,
      anon_sym_DASH,
    ACTIONS(199), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(201), 1,
      sym_multstr_start,
    ACTIONS(203), 1,
      sym__str_start,
    STATE(131), 1,
      sym_applicative,
    STATE(281), 1,
      sym_record_operand,
    STATE(286), 1,
      sym_type_builtin,
    STATE(403), 1,
      sym_type_array,
    STATE(467), 1,
      sym_infix_u_op_5,
    STATE(488), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(612), 1,
      sym_term,
    ACTIONS(167), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(193), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(282), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(393), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(185), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(272), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [7425] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(165), 1,
      sym_num_literal,
    ACTIONS(169), 1,
      anon_sym_let,
    ACTIONS(171), 1,
      anon_sym_fun,
    ACTIONS(173), 1,
      anon_sym_switch,
    ACTIONS(175), 1,
      anon_sym_LBRACE,
    ACTIONS(177), 1,
      anon_sym_if,
    ACTIONS(179), 1,
      anon_sym_forall,
    ACTIONS(181), 1,
      anon_sym_import,
    ACTIONS(183), 1,
      anon_sym_Array,
    ACTIONS(187), 1,
      anon_sym_LPAREN,
    ACTIONS(189), 1,
      anon_sym_BQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACK,
    ACTIONS(195), 1,
      anon_sym_PERCENT,
    ACTIONS(197), 1,
      anon_sym_DASH,
    ACTIONS(199), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(201), 1,
      sym_multstr_start,
    ACTIONS(203), 1,
      sym__str_start,
    STATE(131), 1,
      sym_applicative,
    STATE(281), 1,
      sym_record_operand,
    STATE(286), 1,
      sym_type_builtin,
    STATE(403), 1,
      sym_type_array,
    STATE(467), 1,
      sym_infix_u_op_5,
    STATE(488), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(606), 1,
      sym_term,
    ACTIONS(167), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(193), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(282), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(393), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(185), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(272), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [7544] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(165), 1,
      sym_num_literal,
    ACTIONS(169), 1,
      anon_sym_let,
    ACTIONS(171), 1,
      anon_sym_fun,
    ACTIONS(173), 1,
      anon_sym_switch,
    ACTIONS(175), 1,
      anon_sym_LBRACE,
    ACTIONS(177), 1,
      anon_sym_if,
    ACTIONS(179), 1,
      anon_sym_forall,
    ACTIONS(181), 1,
      anon_sym_import,
    ACTIONS(183), 1,
      anon_sym_Array,
    ACTIONS(187), 1,
      anon_sym_LPAREN,
    ACTIONS(189), 1,
      anon_sym_BQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACK,
    ACTIONS(195), 1,
      anon_sym_PERCENT,
    ACTIONS(197), 1,
      anon_sym_DASH,
    ACTIONS(199), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(201), 1,
      sym_multstr_start,
    ACTIONS(203), 1,
      sym__str_start,
    STATE(131), 1,
      sym_applicative,
    STATE(281), 1,
      sym_record_operand,
    STATE(286), 1,
      sym_type_builtin,
    STATE(403), 1,
      sym_type_array,
    STATE(467), 1,
      sym_infix_u_op_5,
    STATE(488), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(611), 1,
      sym_term,
    ACTIONS(167), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(193), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(282), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(393), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(185), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(272), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [7663] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(245), 1,
      sym_num_literal,
    ACTIONS(249), 1,
      anon_sym_let,
    ACTIONS(251), 1,
      anon_sym_fun,
    ACTIONS(253), 1,
      anon_sym_switch,
    ACTIONS(255), 1,
      anon_sym_LBRACE,
    ACTIONS(257), 1,
      anon_sym_if,
    ACTIONS(259), 1,
      anon_sym_forall,
    ACTIONS(261), 1,
      anon_sym_import,
    ACTIONS(263), 1,
      anon_sym_Array,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_BQUOTE,
    ACTIONS(271), 1,
      anon_sym_LBRACK,
    ACTIONS(275), 1,
      anon_sym_PERCENT,
    ACTIONS(277), 1,
      anon_sym_DASH,
    ACTIONS(279), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(281), 1,
      sym_multstr_start,
    ACTIONS(283), 1,
      sym__str_start,
    STATE(134), 1,
      sym_applicative,
    STATE(271), 1,
      sym_type_builtin,
    STATE(277), 1,
      sym_record_operand,
    STATE(404), 1,
      sym_type_array,
    STATE(463), 1,
      sym_infix_u_op_5,
    STATE(490), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(960), 1,
      sym_term,
    ACTIONS(247), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(218), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(276), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(265), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(285), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [7782] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(165), 1,
      sym_num_literal,
    ACTIONS(169), 1,
      anon_sym_let,
    ACTIONS(171), 1,
      anon_sym_fun,
    ACTIONS(173), 1,
      anon_sym_switch,
    ACTIONS(175), 1,
      anon_sym_LBRACE,
    ACTIONS(177), 1,
      anon_sym_if,
    ACTIONS(179), 1,
      anon_sym_forall,
    ACTIONS(181), 1,
      anon_sym_import,
    ACTIONS(183), 1,
      anon_sym_Array,
    ACTIONS(187), 1,
      anon_sym_LPAREN,
    ACTIONS(189), 1,
      anon_sym_BQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACK,
    ACTIONS(195), 1,
      anon_sym_PERCENT,
    ACTIONS(197), 1,
      anon_sym_DASH,
    ACTIONS(199), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(201), 1,
      sym_multstr_start,
    ACTIONS(203), 1,
      sym__str_start,
    STATE(131), 1,
      sym_applicative,
    STATE(281), 1,
      sym_record_operand,
    STATE(286), 1,
      sym_type_builtin,
    STATE(403), 1,
      sym_type_array,
    STATE(467), 1,
      sym_infix_u_op_5,
    STATE(488), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(598), 1,
      sym_term,
    ACTIONS(167), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(193), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(282), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(393), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(185), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(272), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [7901] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(245), 1,
      sym_num_literal,
    ACTIONS(249), 1,
      anon_sym_let,
    ACTIONS(251), 1,
      anon_sym_fun,
    ACTIONS(253), 1,
      anon_sym_switch,
    ACTIONS(255), 1,
      anon_sym_LBRACE,
    ACTIONS(257), 1,
      anon_sym_if,
    ACTIONS(259), 1,
      anon_sym_forall,
    ACTIONS(261), 1,
      anon_sym_import,
    ACTIONS(263), 1,
      anon_sym_Array,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_BQUOTE,
    ACTIONS(271), 1,
      anon_sym_LBRACK,
    ACTIONS(275), 1,
      anon_sym_PERCENT,
    ACTIONS(277), 1,
      anon_sym_DASH,
    ACTIONS(279), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(281), 1,
      sym_multstr_start,
    ACTIONS(283), 1,
      sym__str_start,
    STATE(134), 1,
      sym_applicative,
    STATE(271), 1,
      sym_type_builtin,
    STATE(277), 1,
      sym_record_operand,
    STATE(404), 1,
      sym_type_array,
    STATE(463), 1,
      sym_infix_u_op_5,
    STATE(490), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(956), 1,
      sym_term,
    ACTIONS(247), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(218), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(276), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(265), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(285), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [8020] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(245), 1,
      sym_num_literal,
    ACTIONS(249), 1,
      anon_sym_let,
    ACTIONS(251), 1,
      anon_sym_fun,
    ACTIONS(253), 1,
      anon_sym_switch,
    ACTIONS(255), 1,
      anon_sym_LBRACE,
    ACTIONS(257), 1,
      anon_sym_if,
    ACTIONS(259), 1,
      anon_sym_forall,
    ACTIONS(261), 1,
      anon_sym_import,
    ACTIONS(263), 1,
      anon_sym_Array,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_BQUOTE,
    ACTIONS(271), 1,
      anon_sym_LBRACK,
    ACTIONS(275), 1,
      anon_sym_PERCENT,
    ACTIONS(277), 1,
      anon_sym_DASH,
    ACTIONS(279), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(281), 1,
      sym_multstr_start,
    ACTIONS(283), 1,
      sym__str_start,
    STATE(134), 1,
      sym_applicative,
    STATE(271), 1,
      sym_type_builtin,
    STATE(277), 1,
      sym_record_operand,
    STATE(404), 1,
      sym_type_array,
    STATE(463), 1,
      sym_infix_u_op_5,
    STATE(490), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(955), 1,
      sym_term,
    ACTIONS(247), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(218), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(276), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(265), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(285), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [8139] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(165), 1,
      sym_num_literal,
    ACTIONS(169), 1,
      anon_sym_let,
    ACTIONS(171), 1,
      anon_sym_fun,
    ACTIONS(173), 1,
      anon_sym_switch,
    ACTIONS(175), 1,
      anon_sym_LBRACE,
    ACTIONS(177), 1,
      anon_sym_if,
    ACTIONS(179), 1,
      anon_sym_forall,
    ACTIONS(181), 1,
      anon_sym_import,
    ACTIONS(183), 1,
      anon_sym_Array,
    ACTIONS(187), 1,
      anon_sym_LPAREN,
    ACTIONS(189), 1,
      anon_sym_BQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACK,
    ACTIONS(195), 1,
      anon_sym_PERCENT,
    ACTIONS(197), 1,
      anon_sym_DASH,
    ACTIONS(199), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(201), 1,
      sym_multstr_start,
    ACTIONS(203), 1,
      sym__str_start,
    STATE(131), 1,
      sym_applicative,
    STATE(281), 1,
      sym_record_operand,
    STATE(286), 1,
      sym_type_builtin,
    STATE(403), 1,
      sym_type_array,
    STATE(467), 1,
      sym_infix_u_op_5,
    STATE(488), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(615), 1,
      sym_term,
    ACTIONS(167), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(193), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(282), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(393), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(185), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(272), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [8258] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(165), 1,
      sym_num_literal,
    ACTIONS(169), 1,
      anon_sym_let,
    ACTIONS(171), 1,
      anon_sym_fun,
    ACTIONS(173), 1,
      anon_sym_switch,
    ACTIONS(175), 1,
      anon_sym_LBRACE,
    ACTIONS(177), 1,
      anon_sym_if,
    ACTIONS(179), 1,
      anon_sym_forall,
    ACTIONS(181), 1,
      anon_sym_import,
    ACTIONS(183), 1,
      anon_sym_Array,
    ACTIONS(187), 1,
      anon_sym_LPAREN,
    ACTIONS(189), 1,
      anon_sym_BQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACK,
    ACTIONS(195), 1,
      anon_sym_PERCENT,
    ACTIONS(197), 1,
      anon_sym_DASH,
    ACTIONS(199), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(201), 1,
      sym_multstr_start,
    ACTIONS(203), 1,
      sym__str_start,
    STATE(131), 1,
      sym_applicative,
    STATE(281), 1,
      sym_record_operand,
    STATE(286), 1,
      sym_type_builtin,
    STATE(403), 1,
      sym_type_array,
    STATE(467), 1,
      sym_infix_u_op_5,
    STATE(488), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(594), 1,
      sym_term,
    ACTIONS(167), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(193), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(282), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(393), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(185), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(272), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [8377] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(205), 1,
      sym_num_literal,
    ACTIONS(209), 1,
      anon_sym_let,
    ACTIONS(211), 1,
      anon_sym_fun,
    ACTIONS(213), 1,
      anon_sym_switch,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    ACTIONS(217), 1,
      anon_sym_if,
    ACTIONS(219), 1,
      anon_sym_forall,
    ACTIONS(221), 1,
      anon_sym_import,
    ACTIONS(223), 1,
      anon_sym_Array,
    ACTIONS(227), 1,
      anon_sym_LPAREN,
    ACTIONS(229), 1,
      anon_sym_BQUOTE,
    ACTIONS(231), 1,
      anon_sym_LBRACK,
    ACTIONS(235), 1,
      anon_sym_PERCENT,
    ACTIONS(237), 1,
      anon_sym_DASH,
    ACTIONS(239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(241), 1,
      sym_multstr_start,
    ACTIONS(243), 1,
      sym__str_start,
    STATE(135), 1,
      sym_applicative,
    STATE(216), 1,
      sym_type_builtin,
    STATE(220), 1,
      sym_record_operand,
    STATE(407), 1,
      sym_type_array,
    STATE(436), 1,
      sym_infix_u_op_5,
    STATE(487), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(952), 1,
      sym_term,
    ACTIONS(207), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(219), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(382), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(225), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(226), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [8496] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(165), 1,
      sym_num_literal,
    ACTIONS(169), 1,
      anon_sym_let,
    ACTIONS(171), 1,
      anon_sym_fun,
    ACTIONS(173), 1,
      anon_sym_switch,
    ACTIONS(175), 1,
      anon_sym_LBRACE,
    ACTIONS(177), 1,
      anon_sym_if,
    ACTIONS(179), 1,
      anon_sym_forall,
    ACTIONS(181), 1,
      anon_sym_import,
    ACTIONS(183), 1,
      anon_sym_Array,
    ACTIONS(187), 1,
      anon_sym_LPAREN,
    ACTIONS(189), 1,
      anon_sym_BQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACK,
    ACTIONS(195), 1,
      anon_sym_PERCENT,
    ACTIONS(197), 1,
      anon_sym_DASH,
    ACTIONS(199), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(201), 1,
      sym_multstr_start,
    ACTIONS(203), 1,
      sym__str_start,
    STATE(131), 1,
      sym_applicative,
    STATE(281), 1,
      sym_record_operand,
    STATE(286), 1,
      sym_type_builtin,
    STATE(403), 1,
      sym_type_array,
    STATE(467), 1,
      sym_infix_u_op_5,
    STATE(488), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(1090), 1,
      sym_term,
    ACTIONS(167), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(193), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(282), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(393), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(185), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(272), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [8615] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(165), 1,
      sym_num_literal,
    ACTIONS(169), 1,
      anon_sym_let,
    ACTIONS(171), 1,
      anon_sym_fun,
    ACTIONS(173), 1,
      anon_sym_switch,
    ACTIONS(175), 1,
      anon_sym_LBRACE,
    ACTIONS(177), 1,
      anon_sym_if,
    ACTIONS(179), 1,
      anon_sym_forall,
    ACTIONS(181), 1,
      anon_sym_import,
    ACTIONS(183), 1,
      anon_sym_Array,
    ACTIONS(187), 1,
      anon_sym_LPAREN,
    ACTIONS(189), 1,
      anon_sym_BQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACK,
    ACTIONS(195), 1,
      anon_sym_PERCENT,
    ACTIONS(197), 1,
      anon_sym_DASH,
    ACTIONS(199), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(201), 1,
      sym_multstr_start,
    ACTIONS(203), 1,
      sym__str_start,
    STATE(131), 1,
      sym_applicative,
    STATE(281), 1,
      sym_record_operand,
    STATE(286), 1,
      sym_type_builtin,
    STATE(403), 1,
      sym_type_array,
    STATE(467), 1,
      sym_infix_u_op_5,
    STATE(488), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(593), 1,
      sym_term,
    ACTIONS(167), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(193), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(282), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(393), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(185), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(272), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [8734] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(245), 1,
      sym_num_literal,
    ACTIONS(249), 1,
      anon_sym_let,
    ACTIONS(251), 1,
      anon_sym_fun,
    ACTIONS(253), 1,
      anon_sym_switch,
    ACTIONS(255), 1,
      anon_sym_LBRACE,
    ACTIONS(257), 1,
      anon_sym_if,
    ACTIONS(259), 1,
      anon_sym_forall,
    ACTIONS(261), 1,
      anon_sym_import,
    ACTIONS(263), 1,
      anon_sym_Array,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_BQUOTE,
    ACTIONS(271), 1,
      anon_sym_LBRACK,
    ACTIONS(275), 1,
      anon_sym_PERCENT,
    ACTIONS(277), 1,
      anon_sym_DASH,
    ACTIONS(279), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(281), 1,
      sym_multstr_start,
    ACTIONS(283), 1,
      sym__str_start,
    STATE(134), 1,
      sym_applicative,
    STATE(271), 1,
      sym_type_builtin,
    STATE(277), 1,
      sym_record_operand,
    STATE(404), 1,
      sym_type_array,
    STATE(463), 1,
      sym_infix_u_op_5,
    STATE(490), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(1024), 1,
      sym_term,
    ACTIONS(247), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(218), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(276), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(265), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(285), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [8853] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(245), 1,
      sym_num_literal,
    ACTIONS(249), 1,
      anon_sym_let,
    ACTIONS(251), 1,
      anon_sym_fun,
    ACTIONS(253), 1,
      anon_sym_switch,
    ACTIONS(255), 1,
      anon_sym_LBRACE,
    ACTIONS(257), 1,
      anon_sym_if,
    ACTIONS(259), 1,
      anon_sym_forall,
    ACTIONS(261), 1,
      anon_sym_import,
    ACTIONS(263), 1,
      anon_sym_Array,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_BQUOTE,
    ACTIONS(271), 1,
      anon_sym_LBRACK,
    ACTIONS(275), 1,
      anon_sym_PERCENT,
    ACTIONS(277), 1,
      anon_sym_DASH,
    ACTIONS(279), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(281), 1,
      sym_multstr_start,
    ACTIONS(283), 1,
      sym__str_start,
    STATE(134), 1,
      sym_applicative,
    STATE(271), 1,
      sym_type_builtin,
    STATE(277), 1,
      sym_record_operand,
    STATE(404), 1,
      sym_type_array,
    STATE(463), 1,
      sym_infix_u_op_5,
    STATE(490), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(947), 1,
      sym_term,
    ACTIONS(247), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(218), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(276), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(265), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(285), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [8972] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(205), 1,
      sym_num_literal,
    ACTIONS(209), 1,
      anon_sym_let,
    ACTIONS(211), 1,
      anon_sym_fun,
    ACTIONS(213), 1,
      anon_sym_switch,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    ACTIONS(217), 1,
      anon_sym_if,
    ACTIONS(219), 1,
      anon_sym_forall,
    ACTIONS(221), 1,
      anon_sym_import,
    ACTIONS(223), 1,
      anon_sym_Array,
    ACTIONS(227), 1,
      anon_sym_LPAREN,
    ACTIONS(229), 1,
      anon_sym_BQUOTE,
    ACTIONS(231), 1,
      anon_sym_LBRACK,
    ACTIONS(235), 1,
      anon_sym_PERCENT,
    ACTIONS(237), 1,
      anon_sym_DASH,
    ACTIONS(239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(241), 1,
      sym_multstr_start,
    ACTIONS(243), 1,
      sym__str_start,
    STATE(135), 1,
      sym_applicative,
    STATE(216), 1,
      sym_type_builtin,
    STATE(220), 1,
      sym_record_operand,
    STATE(407), 1,
      sym_type_array,
    STATE(436), 1,
      sym_infix_u_op_5,
    STATE(487), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(594), 1,
      sym_term,
    ACTIONS(207), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(219), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(382), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(225), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(226), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [9091] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(205), 1,
      sym_num_literal,
    ACTIONS(209), 1,
      anon_sym_let,
    ACTIONS(211), 1,
      anon_sym_fun,
    ACTIONS(213), 1,
      anon_sym_switch,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    ACTIONS(217), 1,
      anon_sym_if,
    ACTIONS(219), 1,
      anon_sym_forall,
    ACTIONS(221), 1,
      anon_sym_import,
    ACTIONS(223), 1,
      anon_sym_Array,
    ACTIONS(227), 1,
      anon_sym_LPAREN,
    ACTIONS(229), 1,
      anon_sym_BQUOTE,
    ACTIONS(231), 1,
      anon_sym_LBRACK,
    ACTIONS(235), 1,
      anon_sym_PERCENT,
    ACTIONS(237), 1,
      anon_sym_DASH,
    ACTIONS(239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(241), 1,
      sym_multstr_start,
    ACTIONS(243), 1,
      sym__str_start,
    STATE(135), 1,
      sym_applicative,
    STATE(216), 1,
      sym_type_builtin,
    STATE(220), 1,
      sym_record_operand,
    STATE(407), 1,
      sym_type_array,
    STATE(436), 1,
      sym_infix_u_op_5,
    STATE(487), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(615), 1,
      sym_term,
    ACTIONS(207), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(219), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(382), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(225), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(226), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [9210] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(165), 1,
      sym_num_literal,
    ACTIONS(169), 1,
      anon_sym_let,
    ACTIONS(171), 1,
      anon_sym_fun,
    ACTIONS(173), 1,
      anon_sym_switch,
    ACTIONS(175), 1,
      anon_sym_LBRACE,
    ACTIONS(177), 1,
      anon_sym_if,
    ACTIONS(179), 1,
      anon_sym_forall,
    ACTIONS(181), 1,
      anon_sym_import,
    ACTIONS(183), 1,
      anon_sym_Array,
    ACTIONS(187), 1,
      anon_sym_LPAREN,
    ACTIONS(189), 1,
      anon_sym_BQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACK,
    ACTIONS(195), 1,
      anon_sym_PERCENT,
    ACTIONS(197), 1,
      anon_sym_DASH,
    ACTIONS(199), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(201), 1,
      sym_multstr_start,
    ACTIONS(203), 1,
      sym__str_start,
    STATE(131), 1,
      sym_applicative,
    STATE(281), 1,
      sym_record_operand,
    STATE(286), 1,
      sym_type_builtin,
    STATE(403), 1,
      sym_type_array,
    STATE(467), 1,
      sym_infix_u_op_5,
    STATE(488), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(601), 1,
      sym_term,
    ACTIONS(167), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(193), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(282), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(393), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(185), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(272), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [9329] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(165), 1,
      sym_num_literal,
    ACTIONS(169), 1,
      anon_sym_let,
    ACTIONS(171), 1,
      anon_sym_fun,
    ACTIONS(173), 1,
      anon_sym_switch,
    ACTIONS(175), 1,
      anon_sym_LBRACE,
    ACTIONS(177), 1,
      anon_sym_if,
    ACTIONS(179), 1,
      anon_sym_forall,
    ACTIONS(181), 1,
      anon_sym_import,
    ACTIONS(183), 1,
      anon_sym_Array,
    ACTIONS(187), 1,
      anon_sym_LPAREN,
    ACTIONS(189), 1,
      anon_sym_BQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACK,
    ACTIONS(195), 1,
      anon_sym_PERCENT,
    ACTIONS(197), 1,
      anon_sym_DASH,
    ACTIONS(199), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(201), 1,
      sym_multstr_start,
    ACTIONS(203), 1,
      sym__str_start,
    STATE(131), 1,
      sym_applicative,
    STATE(281), 1,
      sym_record_operand,
    STATE(286), 1,
      sym_type_builtin,
    STATE(403), 1,
      sym_type_array,
    STATE(467), 1,
      sym_infix_u_op_5,
    STATE(488), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(1091), 1,
      sym_term,
    ACTIONS(167), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(193), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(282), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(393), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(185), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(272), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [9448] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_num_literal,
    ACTIONS(9), 1,
      anon_sym_let,
    ACTIONS(11), 1,
      anon_sym_fun,
    ACTIONS(13), 1,
      anon_sym_switch,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      anon_sym_if,
    ACTIONS(19), 1,
      anon_sym_forall,
    ACTIONS(21), 1,
      anon_sym_import,
    ACTIONS(23), 1,
      anon_sym_Array,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BQUOTE,
    ACTIONS(31), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_PERCENT,
    ACTIONS(37), 1,
      anon_sym_DASH,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(41), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(43), 1,
      sym_multstr_start,
    ACTIONS(45), 1,
      sym__str_start,
    STATE(132), 1,
      sym_applicative,
    STATE(227), 1,
      sym_type_builtin,
    STATE(363), 1,
      sym_record_operand,
    STATE(397), 1,
      sym_type_array,
    STATE(462), 1,
      sym_infix_u_op_5,
    STATE(491), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(604), 1,
      sym_term,
    ACTIONS(7), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(33), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(315), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(348), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(25), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(301), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [9567] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_num_literal,
    ACTIONS(9), 1,
      anon_sym_let,
    ACTIONS(11), 1,
      anon_sym_fun,
    ACTIONS(13), 1,
      anon_sym_switch,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      anon_sym_if,
    ACTIONS(19), 1,
      anon_sym_forall,
    ACTIONS(21), 1,
      anon_sym_import,
    ACTIONS(23), 1,
      anon_sym_Array,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BQUOTE,
    ACTIONS(31), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_PERCENT,
    ACTIONS(37), 1,
      anon_sym_DASH,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(41), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(43), 1,
      sym_multstr_start,
    ACTIONS(45), 1,
      sym__str_start,
    STATE(132), 1,
      sym_applicative,
    STATE(227), 1,
      sym_type_builtin,
    STATE(363), 1,
      sym_record_operand,
    STATE(397), 1,
      sym_type_array,
    STATE(462), 1,
      sym_infix_u_op_5,
    STATE(491), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(612), 1,
      sym_term,
    ACTIONS(7), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(33), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(315), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(348), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(25), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(301), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [9686] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_num_literal,
    ACTIONS(9), 1,
      anon_sym_let,
    ACTIONS(11), 1,
      anon_sym_fun,
    ACTIONS(13), 1,
      anon_sym_switch,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      anon_sym_if,
    ACTIONS(19), 1,
      anon_sym_forall,
    ACTIONS(21), 1,
      anon_sym_import,
    ACTIONS(23), 1,
      anon_sym_Array,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BQUOTE,
    ACTIONS(31), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_PERCENT,
    ACTIONS(37), 1,
      anon_sym_DASH,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(41), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(43), 1,
      sym_multstr_start,
    ACTIONS(45), 1,
      sym__str_start,
    STATE(132), 1,
      sym_applicative,
    STATE(227), 1,
      sym_type_builtin,
    STATE(363), 1,
      sym_record_operand,
    STATE(397), 1,
      sym_type_array,
    STATE(462), 1,
      sym_infix_u_op_5,
    STATE(491), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(606), 1,
      sym_term,
    ACTIONS(7), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(33), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(315), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(348), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(25), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(301), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [9805] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(205), 1,
      sym_num_literal,
    ACTIONS(209), 1,
      anon_sym_let,
    ACTIONS(211), 1,
      anon_sym_fun,
    ACTIONS(213), 1,
      anon_sym_switch,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    ACTIONS(217), 1,
      anon_sym_if,
    ACTIONS(219), 1,
      anon_sym_forall,
    ACTIONS(221), 1,
      anon_sym_import,
    ACTIONS(223), 1,
      anon_sym_Array,
    ACTIONS(227), 1,
      anon_sym_LPAREN,
    ACTIONS(229), 1,
      anon_sym_BQUOTE,
    ACTIONS(231), 1,
      anon_sym_LBRACK,
    ACTIONS(235), 1,
      anon_sym_PERCENT,
    ACTIONS(237), 1,
      anon_sym_DASH,
    ACTIONS(239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(241), 1,
      sym_multstr_start,
    ACTIONS(243), 1,
      sym__str_start,
    STATE(135), 1,
      sym_applicative,
    STATE(216), 1,
      sym_type_builtin,
    STATE(220), 1,
      sym_record_operand,
    STATE(407), 1,
      sym_type_array,
    STATE(436), 1,
      sym_infix_u_op_5,
    STATE(487), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(598), 1,
      sym_term,
    ACTIONS(207), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(219), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(382), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(225), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(226), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [9924] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(165), 1,
      sym_num_literal,
    ACTIONS(169), 1,
      anon_sym_let,
    ACTIONS(171), 1,
      anon_sym_fun,
    ACTIONS(173), 1,
      anon_sym_switch,
    ACTIONS(175), 1,
      anon_sym_LBRACE,
    ACTIONS(177), 1,
      anon_sym_if,
    ACTIONS(179), 1,
      anon_sym_forall,
    ACTIONS(181), 1,
      anon_sym_import,
    ACTIONS(183), 1,
      anon_sym_Array,
    ACTIONS(187), 1,
      anon_sym_LPAREN,
    ACTIONS(189), 1,
      anon_sym_BQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACK,
    ACTIONS(195), 1,
      anon_sym_PERCENT,
    ACTIONS(197), 1,
      anon_sym_DASH,
    ACTIONS(199), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(201), 1,
      sym_multstr_start,
    ACTIONS(203), 1,
      sym__str_start,
    STATE(131), 1,
      sym_applicative,
    STATE(281), 1,
      sym_record_operand,
    STATE(286), 1,
      sym_type_builtin,
    STATE(403), 1,
      sym_type_array,
    STATE(467), 1,
      sym_infix_u_op_5,
    STATE(488), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(1078), 1,
      sym_term,
    ACTIONS(167), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(193), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(282), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(393), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(185), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(272), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [10043] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_num_literal,
    ACTIONS(9), 1,
      anon_sym_let,
    ACTIONS(11), 1,
      anon_sym_fun,
    ACTIONS(13), 1,
      anon_sym_switch,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      anon_sym_if,
    ACTIONS(19), 1,
      anon_sym_forall,
    ACTIONS(21), 1,
      anon_sym_import,
    ACTIONS(23), 1,
      anon_sym_Array,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BQUOTE,
    ACTIONS(31), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_PERCENT,
    ACTIONS(37), 1,
      anon_sym_DASH,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(41), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(43), 1,
      sym_multstr_start,
    ACTIONS(45), 1,
      sym__str_start,
    STATE(132), 1,
      sym_applicative,
    STATE(227), 1,
      sym_type_builtin,
    STATE(363), 1,
      sym_record_operand,
    STATE(397), 1,
      sym_type_array,
    STATE(462), 1,
      sym_infix_u_op_5,
    STATE(491), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(611), 1,
      sym_term,
    ACTIONS(7), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(33), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(315), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(348), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(25), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(301), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [10162] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(51), 1,
      anon_sym_let,
    ACTIONS(53), 1,
      anon_sym_fun,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_if,
    ACTIONS(61), 1,
      anon_sym_forall,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(406), 1,
      sym_infix_expr,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(589), 1,
      sym_uni_term,
    STATE(904), 1,
      sym_term,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [10281] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_num_literal,
    ACTIONS(9), 1,
      anon_sym_let,
    ACTIONS(11), 1,
      anon_sym_fun,
    ACTIONS(13), 1,
      anon_sym_switch,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      anon_sym_if,
    ACTIONS(19), 1,
      anon_sym_forall,
    ACTIONS(21), 1,
      anon_sym_import,
    ACTIONS(23), 1,
      anon_sym_Array,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BQUOTE,
    ACTIONS(31), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_PERCENT,
    ACTIONS(37), 1,
      anon_sym_DASH,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(41), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(43), 1,
      sym_multstr_start,
    ACTIONS(45), 1,
      sym__str_start,
    STATE(132), 1,
      sym_applicative,
    STATE(227), 1,
      sym_type_builtin,
    STATE(363), 1,
      sym_record_operand,
    STATE(397), 1,
      sym_type_array,
    STATE(462), 1,
      sym_infix_u_op_5,
    STATE(491), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(598), 1,
      sym_term,
    ACTIONS(7), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(33), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(315), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(348), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(25), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(301), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [10400] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_num_literal,
    ACTIONS(9), 1,
      anon_sym_let,
    ACTIONS(11), 1,
      anon_sym_fun,
    ACTIONS(13), 1,
      anon_sym_switch,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      anon_sym_if,
    ACTIONS(19), 1,
      anon_sym_forall,
    ACTIONS(21), 1,
      anon_sym_import,
    ACTIONS(23), 1,
      anon_sym_Array,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BQUOTE,
    ACTIONS(31), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_PERCENT,
    ACTIONS(37), 1,
      anon_sym_DASH,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(41), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(43), 1,
      sym_multstr_start,
    ACTIONS(45), 1,
      sym__str_start,
    STATE(132), 1,
      sym_applicative,
    STATE(227), 1,
      sym_type_builtin,
    STATE(363), 1,
      sym_record_operand,
    STATE(397), 1,
      sym_type_array,
    STATE(462), 1,
      sym_infix_u_op_5,
    STATE(491), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(615), 1,
      sym_term,
    ACTIONS(7), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(33), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(315), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(348), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(25), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(301), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [10519] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(51), 1,
      anon_sym_let,
    ACTIONS(53), 1,
      anon_sym_fun,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_if,
    ACTIONS(61), 1,
      anon_sym_forall,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(406), 1,
      sym_infix_expr,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(589), 1,
      sym_uni_term,
    STATE(930), 1,
      sym_term,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [10638] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_num_literal,
    ACTIONS(9), 1,
      anon_sym_let,
    ACTIONS(11), 1,
      anon_sym_fun,
    ACTIONS(13), 1,
      anon_sym_switch,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      anon_sym_if,
    ACTIONS(19), 1,
      anon_sym_forall,
    ACTIONS(21), 1,
      anon_sym_import,
    ACTIONS(23), 1,
      anon_sym_Array,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BQUOTE,
    ACTIONS(31), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_PERCENT,
    ACTIONS(37), 1,
      anon_sym_DASH,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(41), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(43), 1,
      sym_multstr_start,
    ACTIONS(45), 1,
      sym__str_start,
    STATE(132), 1,
      sym_applicative,
    STATE(227), 1,
      sym_type_builtin,
    STATE(363), 1,
      sym_record_operand,
    STATE(397), 1,
      sym_type_array,
    STATE(462), 1,
      sym_infix_u_op_5,
    STATE(491), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(594), 1,
      sym_term,
    ACTIONS(7), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(33), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(315), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(348), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(25), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(301), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [10757] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(205), 1,
      sym_num_literal,
    ACTIONS(209), 1,
      anon_sym_let,
    ACTIONS(211), 1,
      anon_sym_fun,
    ACTIONS(213), 1,
      anon_sym_switch,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    ACTIONS(217), 1,
      anon_sym_if,
    ACTIONS(219), 1,
      anon_sym_forall,
    ACTIONS(221), 1,
      anon_sym_import,
    ACTIONS(223), 1,
      anon_sym_Array,
    ACTIONS(227), 1,
      anon_sym_LPAREN,
    ACTIONS(229), 1,
      anon_sym_BQUOTE,
    ACTIONS(231), 1,
      anon_sym_LBRACK,
    ACTIONS(235), 1,
      anon_sym_PERCENT,
    ACTIONS(237), 1,
      anon_sym_DASH,
    ACTIONS(239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(241), 1,
      sym_multstr_start,
    ACTIONS(243), 1,
      sym__str_start,
    STATE(135), 1,
      sym_applicative,
    STATE(216), 1,
      sym_type_builtin,
    STATE(220), 1,
      sym_record_operand,
    STATE(407), 1,
      sym_type_array,
    STATE(436), 1,
      sym_infix_u_op_5,
    STATE(487), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(611), 1,
      sym_term,
    ACTIONS(207), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(219), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(382), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(225), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(226), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [10876] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(245), 1,
      sym_num_literal,
    ACTIONS(249), 1,
      anon_sym_let,
    ACTIONS(251), 1,
      anon_sym_fun,
    ACTIONS(253), 1,
      anon_sym_switch,
    ACTIONS(255), 1,
      anon_sym_LBRACE,
    ACTIONS(257), 1,
      anon_sym_if,
    ACTIONS(259), 1,
      anon_sym_forall,
    ACTIONS(261), 1,
      anon_sym_import,
    ACTIONS(263), 1,
      anon_sym_Array,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_BQUOTE,
    ACTIONS(271), 1,
      anon_sym_LBRACK,
    ACTIONS(275), 1,
      anon_sym_PERCENT,
    ACTIONS(277), 1,
      anon_sym_DASH,
    ACTIONS(279), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(281), 1,
      sym_multstr_start,
    ACTIONS(283), 1,
      sym__str_start,
    STATE(134), 1,
      sym_applicative,
    STATE(271), 1,
      sym_type_builtin,
    STATE(277), 1,
      sym_record_operand,
    STATE(404), 1,
      sym_type_array,
    STATE(463), 1,
      sym_infix_u_op_5,
    STATE(490), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(961), 1,
      sym_term,
    ACTIONS(247), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(218), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(276), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(265), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(285), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [10995] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(285), 1,
      sym_num_literal,
    ACTIONS(289), 1,
      anon_sym_let,
    ACTIONS(291), 1,
      anon_sym_fun,
    ACTIONS(293), 1,
      anon_sym_switch,
    ACTIONS(295), 1,
      anon_sym_LBRACE,
    ACTIONS(297), 1,
      anon_sym_if,
    ACTIONS(299), 1,
      anon_sym_forall,
    ACTIONS(301), 1,
      anon_sym_import,
    ACTIONS(303), 1,
      anon_sym_Array,
    ACTIONS(307), 1,
      anon_sym_LPAREN,
    ACTIONS(309), 1,
      anon_sym_BQUOTE,
    ACTIONS(311), 1,
      anon_sym_LBRACK,
    ACTIONS(315), 1,
      anon_sym_PERCENT,
    ACTIONS(317), 1,
      anon_sym_DASH,
    ACTIONS(319), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(321), 1,
      sym_multstr_start,
    ACTIONS(323), 1,
      sym__str_start,
    STATE(133), 1,
      sym_applicative,
    STATE(340), 1,
      sym_type_builtin,
    STATE(343), 1,
      sym_record_operand,
    STATE(400), 1,
      sym_type_array,
    STATE(466), 1,
      sym_infix_u_op_5,
    STATE(489), 1,
      sym_infix_expr,
    STATE(938), 1,
      sym_uni_term,
    STATE(1017), 1,
      sym_term,
    ACTIONS(287), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(313), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(201), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(342), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(305), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(347), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(937), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [11114] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(245), 1,
      sym_num_literal,
    ACTIONS(249), 1,
      anon_sym_let,
    ACTIONS(251), 1,
      anon_sym_fun,
    ACTIONS(253), 1,
      anon_sym_switch,
    ACTIONS(255), 1,
      anon_sym_LBRACE,
    ACTIONS(257), 1,
      anon_sym_if,
    ACTIONS(259), 1,
      anon_sym_forall,
    ACTIONS(261), 1,
      anon_sym_import,
    ACTIONS(263), 1,
      anon_sym_Array,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_BQUOTE,
    ACTIONS(271), 1,
      anon_sym_LBRACK,
    ACTIONS(275), 1,
      anon_sym_PERCENT,
    ACTIONS(277), 1,
      anon_sym_DASH,
    ACTIONS(279), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(281), 1,
      sym_multstr_start,
    ACTIONS(283), 1,
      sym__str_start,
    STATE(134), 1,
      sym_applicative,
    STATE(271), 1,
      sym_type_builtin,
    STATE(277), 1,
      sym_record_operand,
    STATE(404), 1,
      sym_type_array,
    STATE(463), 1,
      sym_infix_u_op_5,
    STATE(490), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(1023), 1,
      sym_term,
    ACTIONS(247), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(218), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(276), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(265), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(285), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [11233] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(205), 1,
      sym_num_literal,
    ACTIONS(209), 1,
      anon_sym_let,
    ACTIONS(211), 1,
      anon_sym_fun,
    ACTIONS(213), 1,
      anon_sym_switch,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    ACTIONS(217), 1,
      anon_sym_if,
    ACTIONS(219), 1,
      anon_sym_forall,
    ACTIONS(221), 1,
      anon_sym_import,
    ACTIONS(223), 1,
      anon_sym_Array,
    ACTIONS(227), 1,
      anon_sym_LPAREN,
    ACTIONS(229), 1,
      anon_sym_BQUOTE,
    ACTIONS(231), 1,
      anon_sym_LBRACK,
    ACTIONS(235), 1,
      anon_sym_PERCENT,
    ACTIONS(237), 1,
      anon_sym_DASH,
    ACTIONS(239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(241), 1,
      sym_multstr_start,
    ACTIONS(243), 1,
      sym__str_start,
    STATE(135), 1,
      sym_applicative,
    STATE(216), 1,
      sym_type_builtin,
    STATE(220), 1,
      sym_record_operand,
    STATE(407), 1,
      sym_type_array,
    STATE(436), 1,
      sym_infix_u_op_5,
    STATE(487), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(1055), 1,
      sym_term,
    ACTIONS(207), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(219), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(382), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(225), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(226), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [11352] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(205), 1,
      sym_num_literal,
    ACTIONS(209), 1,
      anon_sym_let,
    ACTIONS(211), 1,
      anon_sym_fun,
    ACTIONS(213), 1,
      anon_sym_switch,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    ACTIONS(217), 1,
      anon_sym_if,
    ACTIONS(219), 1,
      anon_sym_forall,
    ACTIONS(221), 1,
      anon_sym_import,
    ACTIONS(223), 1,
      anon_sym_Array,
    ACTIONS(227), 1,
      anon_sym_LPAREN,
    ACTIONS(229), 1,
      anon_sym_BQUOTE,
    ACTIONS(231), 1,
      anon_sym_LBRACK,
    ACTIONS(235), 1,
      anon_sym_PERCENT,
    ACTIONS(237), 1,
      anon_sym_DASH,
    ACTIONS(239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(241), 1,
      sym_multstr_start,
    ACTIONS(243), 1,
      sym__str_start,
    STATE(135), 1,
      sym_applicative,
    STATE(216), 1,
      sym_type_builtin,
    STATE(220), 1,
      sym_record_operand,
    STATE(407), 1,
      sym_type_array,
    STATE(436), 1,
      sym_infix_u_op_5,
    STATE(487), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(606), 1,
      sym_term,
    ACTIONS(207), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(219), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(382), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(225), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(226), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [11471] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(245), 1,
      sym_num_literal,
    ACTIONS(249), 1,
      anon_sym_let,
    ACTIONS(251), 1,
      anon_sym_fun,
    ACTIONS(253), 1,
      anon_sym_switch,
    ACTIONS(255), 1,
      anon_sym_LBRACE,
    ACTIONS(257), 1,
      anon_sym_if,
    ACTIONS(259), 1,
      anon_sym_forall,
    ACTIONS(261), 1,
      anon_sym_import,
    ACTIONS(263), 1,
      anon_sym_Array,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_BQUOTE,
    ACTIONS(271), 1,
      anon_sym_LBRACK,
    ACTIONS(275), 1,
      anon_sym_PERCENT,
    ACTIONS(277), 1,
      anon_sym_DASH,
    ACTIONS(279), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(281), 1,
      sym_multstr_start,
    ACTIONS(283), 1,
      sym__str_start,
    STATE(134), 1,
      sym_applicative,
    STATE(271), 1,
      sym_type_builtin,
    STATE(277), 1,
      sym_record_operand,
    STATE(404), 1,
      sym_type_array,
    STATE(463), 1,
      sym_infix_u_op_5,
    STATE(490), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(1061), 1,
      sym_term,
    ACTIONS(247), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(218), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(276), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(265), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(285), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [11590] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(245), 1,
      sym_num_literal,
    ACTIONS(249), 1,
      anon_sym_let,
    ACTIONS(251), 1,
      anon_sym_fun,
    ACTIONS(253), 1,
      anon_sym_switch,
    ACTIONS(255), 1,
      anon_sym_LBRACE,
    ACTIONS(257), 1,
      anon_sym_if,
    ACTIONS(259), 1,
      anon_sym_forall,
    ACTIONS(261), 1,
      anon_sym_import,
    ACTIONS(263), 1,
      anon_sym_Array,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_BQUOTE,
    ACTIONS(271), 1,
      anon_sym_LBRACK,
    ACTIONS(275), 1,
      anon_sym_PERCENT,
    ACTIONS(277), 1,
      anon_sym_DASH,
    ACTIONS(279), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(281), 1,
      sym_multstr_start,
    ACTIONS(283), 1,
      sym__str_start,
    STATE(134), 1,
      sym_applicative,
    STATE(271), 1,
      sym_type_builtin,
    STATE(277), 1,
      sym_record_operand,
    STATE(404), 1,
      sym_type_array,
    STATE(463), 1,
      sym_infix_u_op_5,
    STATE(490), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(968), 1,
      sym_term,
    ACTIONS(247), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(218), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(276), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(265), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(285), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [11709] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(245), 1,
      sym_num_literal,
    ACTIONS(249), 1,
      anon_sym_let,
    ACTIONS(251), 1,
      anon_sym_fun,
    ACTIONS(253), 1,
      anon_sym_switch,
    ACTIONS(255), 1,
      anon_sym_LBRACE,
    ACTIONS(257), 1,
      anon_sym_if,
    ACTIONS(259), 1,
      anon_sym_forall,
    ACTIONS(261), 1,
      anon_sym_import,
    ACTIONS(263), 1,
      anon_sym_Array,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_BQUOTE,
    ACTIONS(271), 1,
      anon_sym_LBRACK,
    ACTIONS(275), 1,
      anon_sym_PERCENT,
    ACTIONS(277), 1,
      anon_sym_DASH,
    ACTIONS(279), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(281), 1,
      sym_multstr_start,
    ACTIONS(283), 1,
      sym__str_start,
    STATE(134), 1,
      sym_applicative,
    STATE(271), 1,
      sym_type_builtin,
    STATE(277), 1,
      sym_record_operand,
    STATE(404), 1,
      sym_type_array,
    STATE(463), 1,
      sym_infix_u_op_5,
    STATE(490), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(1082), 1,
      sym_term,
    ACTIONS(247), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(218), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(276), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(265), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(285), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [11828] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(245), 1,
      sym_num_literal,
    ACTIONS(249), 1,
      anon_sym_let,
    ACTIONS(251), 1,
      anon_sym_fun,
    ACTIONS(253), 1,
      anon_sym_switch,
    ACTIONS(255), 1,
      anon_sym_LBRACE,
    ACTIONS(257), 1,
      anon_sym_if,
    ACTIONS(259), 1,
      anon_sym_forall,
    ACTIONS(261), 1,
      anon_sym_import,
    ACTIONS(263), 1,
      anon_sym_Array,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_BQUOTE,
    ACTIONS(271), 1,
      anon_sym_LBRACK,
    ACTIONS(275), 1,
      anon_sym_PERCENT,
    ACTIONS(277), 1,
      anon_sym_DASH,
    ACTIONS(279), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(281), 1,
      sym_multstr_start,
    ACTIONS(283), 1,
      sym__str_start,
    STATE(134), 1,
      sym_applicative,
    STATE(271), 1,
      sym_type_builtin,
    STATE(277), 1,
      sym_record_operand,
    STATE(404), 1,
      sym_type_array,
    STATE(463), 1,
      sym_infix_u_op_5,
    STATE(490), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(1095), 1,
      sym_term,
    ACTIONS(247), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(218), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(276), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(265), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(285), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [11947] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(51), 1,
      anon_sym_let,
    ACTIONS(53), 1,
      anon_sym_fun,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_if,
    ACTIONS(61), 1,
      anon_sym_forall,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(406), 1,
      sym_infix_expr,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(589), 1,
      sym_uni_term,
    STATE(860), 1,
      sym_term,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [12066] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(205), 1,
      sym_num_literal,
    ACTIONS(209), 1,
      anon_sym_let,
    ACTIONS(211), 1,
      anon_sym_fun,
    ACTIONS(213), 1,
      anon_sym_switch,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    ACTIONS(217), 1,
      anon_sym_if,
    ACTIONS(219), 1,
      anon_sym_forall,
    ACTIONS(221), 1,
      anon_sym_import,
    ACTIONS(223), 1,
      anon_sym_Array,
    ACTIONS(227), 1,
      anon_sym_LPAREN,
    ACTIONS(229), 1,
      anon_sym_BQUOTE,
    ACTIONS(231), 1,
      anon_sym_LBRACK,
    ACTIONS(235), 1,
      anon_sym_PERCENT,
    ACTIONS(237), 1,
      anon_sym_DASH,
    ACTIONS(239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(241), 1,
      sym_multstr_start,
    ACTIONS(243), 1,
      sym__str_start,
    STATE(135), 1,
      sym_applicative,
    STATE(216), 1,
      sym_type_builtin,
    STATE(220), 1,
      sym_record_operand,
    STATE(407), 1,
      sym_type_array,
    STATE(436), 1,
      sym_infix_u_op_5,
    STATE(487), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(612), 1,
      sym_term,
    ACTIONS(207), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(219), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(382), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(225), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(226), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [12185] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(245), 1,
      sym_num_literal,
    ACTIONS(249), 1,
      anon_sym_let,
    ACTIONS(251), 1,
      anon_sym_fun,
    ACTIONS(253), 1,
      anon_sym_switch,
    ACTIONS(255), 1,
      anon_sym_LBRACE,
    ACTIONS(257), 1,
      anon_sym_if,
    ACTIONS(259), 1,
      anon_sym_forall,
    ACTIONS(261), 1,
      anon_sym_import,
    ACTIONS(263), 1,
      anon_sym_Array,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_BQUOTE,
    ACTIONS(271), 1,
      anon_sym_LBRACK,
    ACTIONS(275), 1,
      anon_sym_PERCENT,
    ACTIONS(277), 1,
      anon_sym_DASH,
    ACTIONS(279), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(281), 1,
      sym_multstr_start,
    ACTIONS(283), 1,
      sym__str_start,
    STATE(134), 1,
      sym_applicative,
    STATE(271), 1,
      sym_type_builtin,
    STATE(277), 1,
      sym_record_operand,
    STATE(404), 1,
      sym_type_array,
    STATE(463), 1,
      sym_infix_u_op_5,
    STATE(490), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(1013), 1,
      sym_term,
    ACTIONS(247), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(218), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(276), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(265), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(285), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [12304] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(51), 1,
      anon_sym_let,
    ACTIONS(53), 1,
      anon_sym_fun,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_if,
    ACTIONS(61), 1,
      anon_sym_forall,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(406), 1,
      sym_infix_expr,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(589), 1,
      sym_uni_term,
    STATE(912), 1,
      sym_term,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [12423] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(205), 1,
      sym_num_literal,
    ACTIONS(209), 1,
      anon_sym_let,
    ACTIONS(211), 1,
      anon_sym_fun,
    ACTIONS(213), 1,
      anon_sym_switch,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    ACTIONS(217), 1,
      anon_sym_if,
    ACTIONS(219), 1,
      anon_sym_forall,
    ACTIONS(221), 1,
      anon_sym_import,
    ACTIONS(223), 1,
      anon_sym_Array,
    ACTIONS(227), 1,
      anon_sym_LPAREN,
    ACTIONS(229), 1,
      anon_sym_BQUOTE,
    ACTIONS(231), 1,
      anon_sym_LBRACK,
    ACTIONS(235), 1,
      anon_sym_PERCENT,
    ACTIONS(237), 1,
      anon_sym_DASH,
    ACTIONS(239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(241), 1,
      sym_multstr_start,
    ACTIONS(243), 1,
      sym__str_start,
    STATE(135), 1,
      sym_applicative,
    STATE(216), 1,
      sym_type_builtin,
    STATE(220), 1,
      sym_record_operand,
    STATE(407), 1,
      sym_type_array,
    STATE(436), 1,
      sym_infix_u_op_5,
    STATE(487), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(1018), 1,
      sym_term,
    ACTIONS(207), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(219), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(382), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(225), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(226), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [12542] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_num_literal,
    ACTIONS(9), 1,
      anon_sym_let,
    ACTIONS(11), 1,
      anon_sym_fun,
    ACTIONS(13), 1,
      anon_sym_switch,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      anon_sym_if,
    ACTIONS(19), 1,
      anon_sym_forall,
    ACTIONS(21), 1,
      anon_sym_import,
    ACTIONS(23), 1,
      anon_sym_Array,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BQUOTE,
    ACTIONS(31), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_PERCENT,
    ACTIONS(37), 1,
      anon_sym_DASH,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(41), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(43), 1,
      sym_multstr_start,
    ACTIONS(45), 1,
      sym__str_start,
    STATE(132), 1,
      sym_applicative,
    STATE(227), 1,
      sym_type_builtin,
    STATE(363), 1,
      sym_record_operand,
    STATE(397), 1,
      sym_type_array,
    STATE(462), 1,
      sym_infix_u_op_5,
    STATE(491), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(593), 1,
      sym_term,
    ACTIONS(7), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(33), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(315), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(348), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(25), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(301), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [12661] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(245), 1,
      sym_num_literal,
    ACTIONS(249), 1,
      anon_sym_let,
    ACTIONS(251), 1,
      anon_sym_fun,
    ACTIONS(253), 1,
      anon_sym_switch,
    ACTIONS(255), 1,
      anon_sym_LBRACE,
    ACTIONS(257), 1,
      anon_sym_if,
    ACTIONS(259), 1,
      anon_sym_forall,
    ACTIONS(261), 1,
      anon_sym_import,
    ACTIONS(263), 1,
      anon_sym_Array,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_BQUOTE,
    ACTIONS(271), 1,
      anon_sym_LBRACK,
    ACTIONS(275), 1,
      anon_sym_PERCENT,
    ACTIONS(277), 1,
      anon_sym_DASH,
    ACTIONS(279), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(281), 1,
      sym_multstr_start,
    ACTIONS(283), 1,
      sym__str_start,
    STATE(134), 1,
      sym_applicative,
    STATE(271), 1,
      sym_type_builtin,
    STATE(277), 1,
      sym_record_operand,
    STATE(404), 1,
      sym_type_array,
    STATE(463), 1,
      sym_infix_u_op_5,
    STATE(490), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(973), 1,
      sym_term,
    ACTIONS(247), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(218), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(276), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(265), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(285), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [12780] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(245), 1,
      sym_num_literal,
    ACTIONS(249), 1,
      anon_sym_let,
    ACTIONS(251), 1,
      anon_sym_fun,
    ACTIONS(253), 1,
      anon_sym_switch,
    ACTIONS(255), 1,
      anon_sym_LBRACE,
    ACTIONS(257), 1,
      anon_sym_if,
    ACTIONS(259), 1,
      anon_sym_forall,
    ACTIONS(261), 1,
      anon_sym_import,
    ACTIONS(263), 1,
      anon_sym_Array,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_BQUOTE,
    ACTIONS(271), 1,
      anon_sym_LBRACK,
    ACTIONS(275), 1,
      anon_sym_PERCENT,
    ACTIONS(277), 1,
      anon_sym_DASH,
    ACTIONS(279), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(281), 1,
      sym_multstr_start,
    ACTIONS(283), 1,
      sym__str_start,
    STATE(134), 1,
      sym_applicative,
    STATE(271), 1,
      sym_type_builtin,
    STATE(277), 1,
      sym_record_operand,
    STATE(404), 1,
      sym_type_array,
    STATE(463), 1,
      sym_infix_u_op_5,
    STATE(490), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(975), 1,
      sym_term,
    ACTIONS(247), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(218), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(276), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(265), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(285), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [12899] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(245), 1,
      sym_num_literal,
    ACTIONS(249), 1,
      anon_sym_let,
    ACTIONS(251), 1,
      anon_sym_fun,
    ACTIONS(253), 1,
      anon_sym_switch,
    ACTIONS(255), 1,
      anon_sym_LBRACE,
    ACTIONS(257), 1,
      anon_sym_if,
    ACTIONS(259), 1,
      anon_sym_forall,
    ACTIONS(261), 1,
      anon_sym_import,
    ACTIONS(263), 1,
      anon_sym_Array,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_BQUOTE,
    ACTIONS(271), 1,
      anon_sym_LBRACK,
    ACTIONS(275), 1,
      anon_sym_PERCENT,
    ACTIONS(277), 1,
      anon_sym_DASH,
    ACTIONS(279), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(281), 1,
      sym_multstr_start,
    ACTIONS(283), 1,
      sym__str_start,
    STATE(134), 1,
      sym_applicative,
    STATE(271), 1,
      sym_type_builtin,
    STATE(277), 1,
      sym_record_operand,
    STATE(404), 1,
      sym_type_array,
    STATE(463), 1,
      sym_infix_u_op_5,
    STATE(490), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(969), 1,
      sym_term,
    ACTIONS(247), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(218), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(276), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(265), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(285), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [13018] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(245), 1,
      sym_num_literal,
    ACTIONS(249), 1,
      anon_sym_let,
    ACTIONS(251), 1,
      anon_sym_fun,
    ACTIONS(253), 1,
      anon_sym_switch,
    ACTIONS(255), 1,
      anon_sym_LBRACE,
    ACTIONS(257), 1,
      anon_sym_if,
    ACTIONS(259), 1,
      anon_sym_forall,
    ACTIONS(261), 1,
      anon_sym_import,
    ACTIONS(263), 1,
      anon_sym_Array,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_BQUOTE,
    ACTIONS(271), 1,
      anon_sym_LBRACK,
    ACTIONS(275), 1,
      anon_sym_PERCENT,
    ACTIONS(277), 1,
      anon_sym_DASH,
    ACTIONS(279), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(281), 1,
      sym_multstr_start,
    ACTIONS(283), 1,
      sym__str_start,
    STATE(134), 1,
      sym_applicative,
    STATE(271), 1,
      sym_type_builtin,
    STATE(277), 1,
      sym_record_operand,
    STATE(404), 1,
      sym_type_array,
    STATE(463), 1,
      sym_infix_u_op_5,
    STATE(490), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(981), 1,
      sym_term,
    ACTIONS(247), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(218), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(276), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(265), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(285), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [13137] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(245), 1,
      sym_num_literal,
    ACTIONS(249), 1,
      anon_sym_let,
    ACTIONS(251), 1,
      anon_sym_fun,
    ACTIONS(253), 1,
      anon_sym_switch,
    ACTIONS(255), 1,
      anon_sym_LBRACE,
    ACTIONS(257), 1,
      anon_sym_if,
    ACTIONS(259), 1,
      anon_sym_forall,
    ACTIONS(261), 1,
      anon_sym_import,
    ACTIONS(263), 1,
      anon_sym_Array,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_BQUOTE,
    ACTIONS(271), 1,
      anon_sym_LBRACK,
    ACTIONS(275), 1,
      anon_sym_PERCENT,
    ACTIONS(277), 1,
      anon_sym_DASH,
    ACTIONS(279), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(281), 1,
      sym_multstr_start,
    ACTIONS(283), 1,
      sym__str_start,
    STATE(134), 1,
      sym_applicative,
    STATE(271), 1,
      sym_type_builtin,
    STATE(277), 1,
      sym_record_operand,
    STATE(404), 1,
      sym_type_array,
    STATE(463), 1,
      sym_infix_u_op_5,
    STATE(490), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(1005), 1,
      sym_term,
    ACTIONS(247), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(218), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(276), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(265), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(285), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [13256] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(205), 1,
      sym_num_literal,
    ACTIONS(209), 1,
      anon_sym_let,
    ACTIONS(211), 1,
      anon_sym_fun,
    ACTIONS(213), 1,
      anon_sym_switch,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    ACTIONS(217), 1,
      anon_sym_if,
    ACTIONS(219), 1,
      anon_sym_forall,
    ACTIONS(221), 1,
      anon_sym_import,
    ACTIONS(223), 1,
      anon_sym_Array,
    ACTIONS(227), 1,
      anon_sym_LPAREN,
    ACTIONS(229), 1,
      anon_sym_BQUOTE,
    ACTIONS(231), 1,
      anon_sym_LBRACK,
    ACTIONS(235), 1,
      anon_sym_PERCENT,
    ACTIONS(237), 1,
      anon_sym_DASH,
    ACTIONS(239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(241), 1,
      sym_multstr_start,
    ACTIONS(243), 1,
      sym__str_start,
    STATE(135), 1,
      sym_applicative,
    STATE(216), 1,
      sym_type_builtin,
    STATE(220), 1,
      sym_record_operand,
    STATE(407), 1,
      sym_type_array,
    STATE(436), 1,
      sym_infix_u_op_5,
    STATE(487), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(979), 1,
      sym_term,
    ACTIONS(207), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(219), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(382), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(225), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(226), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [13375] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_num_literal,
    ACTIONS(9), 1,
      anon_sym_let,
    ACTIONS(11), 1,
      anon_sym_fun,
    ACTIONS(13), 1,
      anon_sym_switch,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      anon_sym_if,
    ACTIONS(19), 1,
      anon_sym_forall,
    ACTIONS(21), 1,
      anon_sym_import,
    ACTIONS(23), 1,
      anon_sym_Array,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BQUOTE,
    ACTIONS(31), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_PERCENT,
    ACTIONS(37), 1,
      anon_sym_DASH,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(41), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(43), 1,
      sym_multstr_start,
    ACTIONS(45), 1,
      sym__str_start,
    STATE(132), 1,
      sym_applicative,
    STATE(227), 1,
      sym_type_builtin,
    STATE(363), 1,
      sym_record_operand,
    STATE(397), 1,
      sym_type_array,
    STATE(462), 1,
      sym_infix_u_op_5,
    STATE(491), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(601), 1,
      sym_term,
    ACTIONS(7), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(33), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(315), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(348), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(25), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(301), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [13494] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(245), 1,
      sym_num_literal,
    ACTIONS(249), 1,
      anon_sym_let,
    ACTIONS(251), 1,
      anon_sym_fun,
    ACTIONS(253), 1,
      anon_sym_switch,
    ACTIONS(255), 1,
      anon_sym_LBRACE,
    ACTIONS(257), 1,
      anon_sym_if,
    ACTIONS(259), 1,
      anon_sym_forall,
    ACTIONS(261), 1,
      anon_sym_import,
    ACTIONS(263), 1,
      anon_sym_Array,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_BQUOTE,
    ACTIONS(271), 1,
      anon_sym_LBRACK,
    ACTIONS(275), 1,
      anon_sym_PERCENT,
    ACTIONS(277), 1,
      anon_sym_DASH,
    ACTIONS(279), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(281), 1,
      sym_multstr_start,
    ACTIONS(283), 1,
      sym__str_start,
    STATE(134), 1,
      sym_applicative,
    STATE(271), 1,
      sym_type_builtin,
    STATE(277), 1,
      sym_record_operand,
    STATE(404), 1,
      sym_type_array,
    STATE(463), 1,
      sym_infix_u_op_5,
    STATE(490), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(1108), 1,
      sym_term,
    ACTIONS(247), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(218), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(276), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(265), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(285), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [13613] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(245), 1,
      sym_num_literal,
    ACTIONS(249), 1,
      anon_sym_let,
    ACTIONS(251), 1,
      anon_sym_fun,
    ACTIONS(253), 1,
      anon_sym_switch,
    ACTIONS(255), 1,
      anon_sym_LBRACE,
    ACTIONS(257), 1,
      anon_sym_if,
    ACTIONS(259), 1,
      anon_sym_forall,
    ACTIONS(261), 1,
      anon_sym_import,
    ACTIONS(263), 1,
      anon_sym_Array,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_BQUOTE,
    ACTIONS(271), 1,
      anon_sym_LBRACK,
    ACTIONS(275), 1,
      anon_sym_PERCENT,
    ACTIONS(277), 1,
      anon_sym_DASH,
    ACTIONS(279), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(281), 1,
      sym_multstr_start,
    ACTIONS(283), 1,
      sym__str_start,
    STATE(134), 1,
      sym_applicative,
    STATE(271), 1,
      sym_type_builtin,
    STATE(277), 1,
      sym_record_operand,
    STATE(404), 1,
      sym_type_array,
    STATE(463), 1,
      sym_infix_u_op_5,
    STATE(490), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(1101), 1,
      sym_term,
    ACTIONS(247), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(218), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(276), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(265), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(285), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [13732] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_num_literal,
    ACTIONS(9), 1,
      anon_sym_let,
    ACTIONS(11), 1,
      anon_sym_fun,
    ACTIONS(13), 1,
      anon_sym_switch,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(17), 1,
      anon_sym_if,
    ACTIONS(19), 1,
      anon_sym_forall,
    ACTIONS(21), 1,
      anon_sym_import,
    ACTIONS(23), 1,
      anon_sym_Array,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BQUOTE,
    ACTIONS(31), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_PERCENT,
    ACTIONS(37), 1,
      anon_sym_DASH,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(41), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(43), 1,
      sym_multstr_start,
    ACTIONS(45), 1,
      sym__str_start,
    STATE(132), 1,
      sym_applicative,
    STATE(227), 1,
      sym_type_builtin,
    STATE(363), 1,
      sym_record_operand,
    STATE(397), 1,
      sym_type_array,
    STATE(462), 1,
      sym_infix_u_op_5,
    STATE(491), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(603), 1,
      sym_term,
    ACTIONS(7), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(33), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(315), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(348), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(25), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(301), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [13851] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(51), 1,
      anon_sym_let,
    ACTIONS(53), 1,
      anon_sym_fun,
    ACTIONS(55), 1,
      anon_sym_switch,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_if,
    ACTIONS(61), 1,
      anon_sym_forall,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(406), 1,
      sym_infix_expr,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(589), 1,
      sym_uni_term,
    STATE(893), 1,
      sym_term,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [13970] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(245), 1,
      sym_num_literal,
    ACTIONS(249), 1,
      anon_sym_let,
    ACTIONS(251), 1,
      anon_sym_fun,
    ACTIONS(253), 1,
      anon_sym_switch,
    ACTIONS(255), 1,
      anon_sym_LBRACE,
    ACTIONS(257), 1,
      anon_sym_if,
    ACTIONS(259), 1,
      anon_sym_forall,
    ACTIONS(261), 1,
      anon_sym_import,
    ACTIONS(263), 1,
      anon_sym_Array,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_BQUOTE,
    ACTIONS(271), 1,
      anon_sym_LBRACK,
    ACTIONS(275), 1,
      anon_sym_PERCENT,
    ACTIONS(277), 1,
      anon_sym_DASH,
    ACTIONS(279), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(281), 1,
      sym_multstr_start,
    ACTIONS(283), 1,
      sym__str_start,
    STATE(134), 1,
      sym_applicative,
    STATE(271), 1,
      sym_type_builtin,
    STATE(277), 1,
      sym_record_operand,
    STATE(404), 1,
      sym_type_array,
    STATE(463), 1,
      sym_infix_u_op_5,
    STATE(490), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(985), 1,
      sym_term,
    ACTIONS(247), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(218), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(276), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(265), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(285), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [14089] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(205), 1,
      sym_num_literal,
    ACTIONS(209), 1,
      anon_sym_let,
    ACTIONS(211), 1,
      anon_sym_fun,
    ACTIONS(213), 1,
      anon_sym_switch,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    ACTIONS(217), 1,
      anon_sym_if,
    ACTIONS(219), 1,
      anon_sym_forall,
    ACTIONS(221), 1,
      anon_sym_import,
    ACTIONS(223), 1,
      anon_sym_Array,
    ACTIONS(227), 1,
      anon_sym_LPAREN,
    ACTIONS(229), 1,
      anon_sym_BQUOTE,
    ACTIONS(231), 1,
      anon_sym_LBRACK,
    ACTIONS(235), 1,
      anon_sym_PERCENT,
    ACTIONS(237), 1,
      anon_sym_DASH,
    ACTIONS(239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(241), 1,
      sym_multstr_start,
    ACTIONS(243), 1,
      sym__str_start,
    STATE(135), 1,
      sym_applicative,
    STATE(216), 1,
      sym_type_builtin,
    STATE(220), 1,
      sym_record_operand,
    STATE(407), 1,
      sym_type_array,
    STATE(436), 1,
      sym_infix_u_op_5,
    STATE(487), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(604), 1,
      sym_term,
    ACTIONS(207), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(219), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(382), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(225), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(226), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [14208] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(165), 1,
      sym_num_literal,
    ACTIONS(169), 1,
      anon_sym_let,
    ACTIONS(171), 1,
      anon_sym_fun,
    ACTIONS(173), 1,
      anon_sym_switch,
    ACTIONS(175), 1,
      anon_sym_LBRACE,
    ACTIONS(177), 1,
      anon_sym_if,
    ACTIONS(179), 1,
      anon_sym_forall,
    ACTIONS(181), 1,
      anon_sym_import,
    ACTIONS(183), 1,
      anon_sym_Array,
    ACTIONS(187), 1,
      anon_sym_LPAREN,
    ACTIONS(189), 1,
      anon_sym_BQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACK,
    ACTIONS(195), 1,
      anon_sym_PERCENT,
    ACTIONS(197), 1,
      anon_sym_DASH,
    ACTIONS(199), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(201), 1,
      sym_multstr_start,
    ACTIONS(203), 1,
      sym__str_start,
    STATE(131), 1,
      sym_applicative,
    STATE(281), 1,
      sym_record_operand,
    STATE(286), 1,
      sym_type_builtin,
    STATE(403), 1,
      sym_type_array,
    STATE(467), 1,
      sym_infix_u_op_5,
    STATE(488), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(1084), 1,
      sym_term,
    ACTIONS(167), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(193), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(282), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(393), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(185), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(272), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [14327] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(245), 1,
      sym_num_literal,
    ACTIONS(249), 1,
      anon_sym_let,
    ACTIONS(251), 1,
      anon_sym_fun,
    ACTIONS(253), 1,
      anon_sym_switch,
    ACTIONS(255), 1,
      anon_sym_LBRACE,
    ACTIONS(257), 1,
      anon_sym_if,
    ACTIONS(259), 1,
      anon_sym_forall,
    ACTIONS(261), 1,
      anon_sym_import,
    ACTIONS(263), 1,
      anon_sym_Array,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_BQUOTE,
    ACTIONS(271), 1,
      anon_sym_LBRACK,
    ACTIONS(275), 1,
      anon_sym_PERCENT,
    ACTIONS(277), 1,
      anon_sym_DASH,
    ACTIONS(279), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(281), 1,
      sym_multstr_start,
    ACTIONS(283), 1,
      sym__str_start,
    STATE(134), 1,
      sym_applicative,
    STATE(271), 1,
      sym_type_builtin,
    STATE(277), 1,
      sym_record_operand,
    STATE(404), 1,
      sym_type_array,
    STATE(463), 1,
      sym_infix_u_op_5,
    STATE(490), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(939), 1,
      sym_term,
    ACTIONS(247), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(218), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(276), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(265), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(285), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [14446] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(245), 1,
      sym_num_literal,
    ACTIONS(249), 1,
      anon_sym_let,
    ACTIONS(251), 1,
      anon_sym_fun,
    ACTIONS(253), 1,
      anon_sym_switch,
    ACTIONS(255), 1,
      anon_sym_LBRACE,
    ACTIONS(257), 1,
      anon_sym_if,
    ACTIONS(259), 1,
      anon_sym_forall,
    ACTIONS(261), 1,
      anon_sym_import,
    ACTIONS(263), 1,
      anon_sym_Array,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_BQUOTE,
    ACTIONS(271), 1,
      anon_sym_LBRACK,
    ACTIONS(275), 1,
      anon_sym_PERCENT,
    ACTIONS(277), 1,
      anon_sym_DASH,
    ACTIONS(279), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(281), 1,
      sym_multstr_start,
    ACTIONS(283), 1,
      sym__str_start,
    STATE(134), 1,
      sym_applicative,
    STATE(271), 1,
      sym_type_builtin,
    STATE(277), 1,
      sym_record_operand,
    STATE(404), 1,
      sym_type_array,
    STATE(463), 1,
      sym_infix_u_op_5,
    STATE(490), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(1045), 1,
      sym_term,
    ACTIONS(247), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(218), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(276), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(265), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(285), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [14565] = 34,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(205), 1,
      sym_num_literal,
    ACTIONS(209), 1,
      anon_sym_let,
    ACTIONS(211), 1,
      anon_sym_fun,
    ACTIONS(213), 1,
      anon_sym_switch,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    ACTIONS(217), 1,
      anon_sym_if,
    ACTIONS(219), 1,
      anon_sym_forall,
    ACTIONS(221), 1,
      anon_sym_import,
    ACTIONS(223), 1,
      anon_sym_Array,
    ACTIONS(227), 1,
      anon_sym_LPAREN,
    ACTIONS(229), 1,
      anon_sym_BQUOTE,
    ACTIONS(231), 1,
      anon_sym_LBRACK,
    ACTIONS(235), 1,
      anon_sym_PERCENT,
    ACTIONS(237), 1,
      anon_sym_DASH,
    ACTIONS(239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(241), 1,
      sym_multstr_start,
    ACTIONS(243), 1,
      sym__str_start,
    STATE(135), 1,
      sym_applicative,
    STATE(216), 1,
      sym_type_builtin,
    STATE(220), 1,
      sym_record_operand,
    STATE(407), 1,
      sym_type_array,
    STATE(436), 1,
      sym_infix_u_op_5,
    STATE(487), 1,
      sym_infix_expr,
    STATE(589), 1,
      sym_uni_term,
    STATE(1038), 1,
      sym_term,
    ACTIONS(207), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(219), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(382), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(225), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(226), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    STATE(596), 6,
      sym_let_expr,
      sym_fun_expr,
      sym_switch_expr,
      sym_ite_expr,
      sym_annotated_infix_expr,
      sym_forall,
  [14684] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(165), 1,
      sym_num_literal,
    ACTIONS(175), 1,
      anon_sym_LBRACE,
    ACTIONS(187), 1,
      anon_sym_LPAREN,
    ACTIONS(189), 1,
      anon_sym_BQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACK,
    ACTIONS(199), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(201), 1,
      sym_multstr_start,
    ACTIONS(203), 1,
      sym__str_start,
    STATE(286), 1,
      sym_type_builtin,
    STATE(307), 1,
      sym_record_operand,
    ACTIONS(167), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(193), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(282), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(393), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(185), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(272), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    ACTIONS(109), 7,
      anon_sym_PIPE,
      anon_sym_then,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(111), 14,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [14772] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_num_literal,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BQUOTE,
    ACTIONS(31), 1,
      anon_sym_LBRACK,
    ACTIONS(41), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(43), 1,
      sym_multstr_start,
    ACTIONS(45), 1,
      sym__str_start,
    STATE(227), 1,
      sym_type_builtin,
    STATE(261), 1,
      sym_record_operand,
    ACTIONS(7), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(33), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(315), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(348), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(25), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(301), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    ACTIONS(109), 6,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(111), 15,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [14860] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_num_literal,
    ACTIONS(295), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LPAREN,
    ACTIONS(309), 1,
      anon_sym_BQUOTE,
    ACTIONS(311), 1,
      anon_sym_LBRACK,
    ACTIONS(319), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(321), 1,
      sym_multstr_start,
    ACTIONS(323), 1,
      sym__str_start,
    STATE(322), 1,
      sym_record_operand,
    STATE(340), 1,
      sym_type_builtin,
    ACTIONS(287), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(313), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(201), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(342), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(305), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(347), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    ACTIONS(109), 6,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(111), 15,
      sym_interpolation_end,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [14948] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(245), 1,
      sym_num_literal,
    ACTIONS(255), 1,
      anon_sym_LBRACE,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_BQUOTE,
    ACTIONS(271), 1,
      anon_sym_LBRACK,
    ACTIONS(279), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(281), 1,
      sym_multstr_start,
    ACTIONS(283), 1,
      sym__str_start,
    STATE(259), 1,
      sym_record_operand,
    STATE(271), 1,
      sym_type_builtin,
    ACTIONS(247), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(218), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(276), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(265), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(285), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    ACTIONS(109), 7,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(111), 14,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [15036] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(205), 1,
      sym_num_literal,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    ACTIONS(227), 1,
      anon_sym_LPAREN,
    ACTIONS(229), 1,
      anon_sym_BQUOTE,
    ACTIONS(231), 1,
      anon_sym_LBRACK,
    ACTIONS(239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(241), 1,
      sym_multstr_start,
    ACTIONS(243), 1,
      sym__str_start,
    STATE(203), 1,
      sym_record_operand,
    STATE(216), 1,
      sym_type_builtin,
    ACTIONS(207), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(219), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(382), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(225), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(226), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
    ACTIONS(109), 7,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(111), 14,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [15124] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(325), 27,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BQUOTE,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [15176] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(331), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(329), 27,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BQUOTE,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [15228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(333), 27,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BQUOTE,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [15280] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(337), 27,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BQUOTE,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [15332] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(343), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(341), 27,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BQUOTE,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [15384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(345), 27,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BQUOTE,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [15436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(351), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(349), 27,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BQUOTE,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [15488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(355), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(353), 27,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BQUOTE,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [15540] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_DOT,
    ACTIONS(359), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(357), 27,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BQUOTE,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [15594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(365), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(363), 27,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BQUOTE,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [15646] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(369), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(367), 27,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BQUOTE,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [15698] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(371), 27,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BQUOTE,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [15750] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_DOT,
    ACTIONS(377), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(375), 27,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BQUOTE,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [15804] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(381), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(379), 27,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BQUOTE,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [15856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(385), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(383), 27,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BQUOTE,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [15908] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(389), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(387), 27,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BQUOTE,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [15960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(393), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(391), 27,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BQUOTE,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [16012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(395), 27,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BQUOTE,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [16064] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(401), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(399), 27,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BQUOTE,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [16116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(405), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(403), 27,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BQUOTE,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [16168] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(361), 1,
      anon_sym_DOT,
    ACTIONS(409), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(407), 27,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BQUOTE,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [16222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(413), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(411), 27,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BQUOTE,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [16274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(417), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(415), 27,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BQUOTE,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [16326] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(421), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(419), 27,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BQUOTE,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [16378] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(425), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(423), 27,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BQUOTE,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [16430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(427), 27,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BQUOTE,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [16482] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(431), 27,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BQUOTE,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [16534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(437), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(435), 27,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BQUOTE,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [16586] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(439), 27,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BQUOTE,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [16638] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(445), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(443), 27,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BQUOTE,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [16690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(449), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(447), 27,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BQUOTE,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [16742] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(451), 27,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BQUOTE,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [16794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(457), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(455), 27,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BQUOTE,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [16846] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(461), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(459), 27,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BQUOTE,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [16898] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(463), 27,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BQUOTE,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [16950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(469), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(467), 27,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BQUOTE,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [17002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(473), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(471), 27,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BQUOTE,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [17054] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(477), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(475), 27,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BQUOTE,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [17106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(481), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(479), 27,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BQUOTE,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [17158] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(409), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(407), 27,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BQUOTE,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [17209] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(485), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(483), 27,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BQUOTE,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [17260] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(285), 1,
      sym_num_literal,
    ACTIONS(295), 1,
      anon_sym_LBRACE,
    ACTIONS(299), 1,
      anon_sym_forall,
    ACTIONS(301), 1,
      anon_sym_import,
    ACTIONS(303), 1,
      anon_sym_Array,
    ACTIONS(307), 1,
      anon_sym_LPAREN,
    ACTIONS(309), 1,
      anon_sym_BQUOTE,
    ACTIONS(311), 1,
      anon_sym_LBRACK,
    ACTIONS(315), 1,
      anon_sym_PERCENT,
    ACTIONS(317), 1,
      anon_sym_DASH,
    ACTIONS(319), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(321), 1,
      sym_multstr_start,
    ACTIONS(323), 1,
      sym__str_start,
    ACTIONS(487), 1,
      anon_sym_default,
    ACTIONS(489), 1,
      anon_sym_doc,
    STATE(133), 1,
      sym_applicative,
    STATE(340), 1,
      sym_type_builtin,
    STATE(343), 1,
      sym_record_operand,
    STATE(400), 1,
      sym_type_array,
    STATE(466), 1,
      sym_infix_u_op_5,
    STATE(503), 1,
      sym_infix_expr,
    STATE(848), 1,
      sym_types,
    STATE(849), 1,
      sym_forall,
    ACTIONS(287), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(313), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(201), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(342), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(305), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(347), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [17365] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(245), 1,
      sym_num_literal,
    ACTIONS(255), 1,
      anon_sym_LBRACE,
    ACTIONS(259), 1,
      anon_sym_forall,
    ACTIONS(261), 1,
      anon_sym_import,
    ACTIONS(263), 1,
      anon_sym_Array,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_BQUOTE,
    ACTIONS(271), 1,
      anon_sym_LBRACK,
    ACTIONS(275), 1,
      anon_sym_PERCENT,
    ACTIONS(277), 1,
      anon_sym_DASH,
    ACTIONS(279), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(281), 1,
      sym_multstr_start,
    ACTIONS(283), 1,
      sym__str_start,
    ACTIONS(491), 1,
      anon_sym_default,
    ACTIONS(493), 1,
      anon_sym_doc,
    STATE(134), 1,
      sym_applicative,
    STATE(271), 1,
      sym_type_builtin,
    STATE(277), 1,
      sym_record_operand,
    STATE(404), 1,
      sym_type_array,
    STATE(463), 1,
      sym_infix_u_op_5,
    STATE(528), 1,
      sym_infix_expr,
    STATE(583), 1,
      sym_forall,
    STATE(585), 1,
      sym_types,
    ACTIONS(247), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(218), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(276), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(265), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(285), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [17470] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_num_literal,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(19), 1,
      anon_sym_forall,
    ACTIONS(21), 1,
      anon_sym_import,
    ACTIONS(23), 1,
      anon_sym_Array,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BQUOTE,
    ACTIONS(31), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_PERCENT,
    ACTIONS(37), 1,
      anon_sym_DASH,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(41), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(43), 1,
      sym_multstr_start,
    ACTIONS(45), 1,
      sym__str_start,
    ACTIONS(491), 1,
      anon_sym_default,
    ACTIONS(493), 1,
      anon_sym_doc,
    STATE(132), 1,
      sym_applicative,
    STATE(227), 1,
      sym_type_builtin,
    STATE(363), 1,
      sym_record_operand,
    STATE(397), 1,
      sym_type_array,
    STATE(462), 1,
      sym_infix_u_op_5,
    STATE(523), 1,
      sym_infix_expr,
    STATE(583), 1,
      sym_forall,
    STATE(585), 1,
      sym_types,
    ACTIONS(7), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(33), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(315), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(348), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(25), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(301), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [17575] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(205), 1,
      sym_num_literal,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    ACTIONS(219), 1,
      anon_sym_forall,
    ACTIONS(221), 1,
      anon_sym_import,
    ACTIONS(223), 1,
      anon_sym_Array,
    ACTIONS(227), 1,
      anon_sym_LPAREN,
    ACTIONS(229), 1,
      anon_sym_BQUOTE,
    ACTIONS(231), 1,
      anon_sym_LBRACK,
    ACTIONS(235), 1,
      anon_sym_PERCENT,
    ACTIONS(237), 1,
      anon_sym_DASH,
    ACTIONS(239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(241), 1,
      sym_multstr_start,
    ACTIONS(243), 1,
      sym__str_start,
    ACTIONS(491), 1,
      anon_sym_default,
    ACTIONS(493), 1,
      anon_sym_doc,
    STATE(135), 1,
      sym_applicative,
    STATE(216), 1,
      sym_type_builtin,
    STATE(220), 1,
      sym_record_operand,
    STATE(407), 1,
      sym_type_array,
    STATE(436), 1,
      sym_infix_u_op_5,
    STATE(496), 1,
      sym_infix_expr,
    STATE(583), 1,
      sym_forall,
    STATE(585), 1,
      sym_types,
    ACTIONS(207), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(219), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(382), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(225), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(226), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [17680] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(165), 1,
      sym_num_literal,
    ACTIONS(175), 1,
      anon_sym_LBRACE,
    ACTIONS(179), 1,
      anon_sym_forall,
    ACTIONS(181), 1,
      anon_sym_import,
    ACTIONS(183), 1,
      anon_sym_Array,
    ACTIONS(187), 1,
      anon_sym_LPAREN,
    ACTIONS(189), 1,
      anon_sym_BQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACK,
    ACTIONS(195), 1,
      anon_sym_PERCENT,
    ACTIONS(197), 1,
      anon_sym_DASH,
    ACTIONS(199), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(201), 1,
      sym_multstr_start,
    ACTIONS(203), 1,
      sym__str_start,
    ACTIONS(491), 1,
      anon_sym_default,
    ACTIONS(493), 1,
      anon_sym_doc,
    STATE(131), 1,
      sym_applicative,
    STATE(281), 1,
      sym_record_operand,
    STATE(286), 1,
      sym_type_builtin,
    STATE(403), 1,
      sym_type_array,
    STATE(467), 1,
      sym_infix_u_op_5,
    STATE(510), 1,
      sym_infix_expr,
    STATE(583), 1,
      sym_forall,
    STATE(585), 1,
      sym_types,
    ACTIONS(167), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(193), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(282), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(393), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(185), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(272), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [17785] = 31,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(61), 1,
      anon_sym_forall,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    ACTIONS(491), 1,
      anon_sym_default,
    ACTIONS(493), 1,
      anon_sym_doc,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(475), 1,
      sym_infix_expr,
    STATE(583), 1,
      sym_forall,
    STATE(585), 1,
      sym_types,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [17890] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(285), 1,
      sym_num_literal,
    ACTIONS(295), 1,
      anon_sym_LBRACE,
    ACTIONS(299), 1,
      anon_sym_forall,
    ACTIONS(301), 1,
      anon_sym_import,
    ACTIONS(303), 1,
      anon_sym_Array,
    ACTIONS(307), 1,
      anon_sym_LPAREN,
    ACTIONS(309), 1,
      anon_sym_BQUOTE,
    ACTIONS(311), 1,
      anon_sym_LBRACK,
    ACTIONS(315), 1,
      anon_sym_PERCENT,
    ACTIONS(317), 1,
      anon_sym_DASH,
    ACTIONS(319), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(321), 1,
      sym_multstr_start,
    ACTIONS(323), 1,
      sym__str_start,
    STATE(133), 1,
      sym_applicative,
    STATE(340), 1,
      sym_type_builtin,
    STATE(343), 1,
      sym_record_operand,
    STATE(400), 1,
      sym_type_array,
    STATE(466), 1,
      sym_infix_u_op_5,
    STATE(503), 1,
      sym_infix_expr,
    STATE(848), 1,
      sym_types,
    STATE(849), 1,
      sym_forall,
    ACTIONS(287), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(313), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(201), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(342), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(305), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(347), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [17989] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(205), 1,
      sym_num_literal,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    ACTIONS(219), 1,
      anon_sym_forall,
    ACTIONS(221), 1,
      anon_sym_import,
    ACTIONS(223), 1,
      anon_sym_Array,
    ACTIONS(227), 1,
      anon_sym_LPAREN,
    ACTIONS(229), 1,
      anon_sym_BQUOTE,
    ACTIONS(231), 1,
      anon_sym_LBRACK,
    ACTIONS(235), 1,
      anon_sym_PERCENT,
    ACTIONS(237), 1,
      anon_sym_DASH,
    ACTIONS(239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(241), 1,
      sym_multstr_start,
    ACTIONS(243), 1,
      sym__str_start,
    STATE(135), 1,
      sym_applicative,
    STATE(216), 1,
      sym_type_builtin,
    STATE(220), 1,
      sym_record_operand,
    STATE(407), 1,
      sym_type_array,
    STATE(436), 1,
      sym_infix_u_op_5,
    STATE(496), 1,
      sym_infix_expr,
    STATE(583), 1,
      sym_forall,
    STATE(585), 1,
      sym_types,
    ACTIONS(207), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(219), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(382), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(225), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(226), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [18088] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(61), 1,
      anon_sym_forall,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(475), 1,
      sym_infix_expr,
    STATE(583), 1,
      sym_forall,
    STATE(984), 1,
      sym_types,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [18187] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(165), 1,
      sym_num_literal,
    ACTIONS(175), 1,
      anon_sym_LBRACE,
    ACTIONS(179), 1,
      anon_sym_forall,
    ACTIONS(181), 1,
      anon_sym_import,
    ACTIONS(183), 1,
      anon_sym_Array,
    ACTIONS(187), 1,
      anon_sym_LPAREN,
    ACTIONS(189), 1,
      anon_sym_BQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACK,
    ACTIONS(195), 1,
      anon_sym_PERCENT,
    ACTIONS(197), 1,
      anon_sym_DASH,
    ACTIONS(199), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(201), 1,
      sym_multstr_start,
    ACTIONS(203), 1,
      sym__str_start,
    STATE(131), 1,
      sym_applicative,
    STATE(281), 1,
      sym_record_operand,
    STATE(286), 1,
      sym_type_builtin,
    STATE(403), 1,
      sym_type_array,
    STATE(467), 1,
      sym_infix_u_op_5,
    STATE(510), 1,
      sym_infix_expr,
    STATE(583), 1,
      sym_forall,
    STATE(584), 1,
      sym_types,
    ACTIONS(167), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(193), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(282), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(393), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(185), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(272), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [18286] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_num_literal,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(19), 1,
      anon_sym_forall,
    ACTIONS(21), 1,
      anon_sym_import,
    ACTIONS(23), 1,
      anon_sym_Array,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BQUOTE,
    ACTIONS(31), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_PERCENT,
    ACTIONS(37), 1,
      anon_sym_DASH,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(41), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(43), 1,
      sym_multstr_start,
    ACTIONS(45), 1,
      sym__str_start,
    STATE(132), 1,
      sym_applicative,
    STATE(227), 1,
      sym_type_builtin,
    STATE(363), 1,
      sym_record_operand,
    STATE(397), 1,
      sym_type_array,
    STATE(462), 1,
      sym_infix_u_op_5,
    STATE(523), 1,
      sym_infix_expr,
    STATE(583), 1,
      sym_forall,
    STATE(584), 1,
      sym_types,
    ACTIONS(7), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(33), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(315), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(348), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(25), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(301), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [18385] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(61), 1,
      anon_sym_forall,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(475), 1,
      sym_infix_expr,
    STATE(583), 1,
      sym_forall,
    STATE(1048), 1,
      sym_types,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [18484] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(245), 1,
      sym_num_literal,
    ACTIONS(255), 1,
      anon_sym_LBRACE,
    ACTIONS(259), 1,
      anon_sym_forall,
    ACTIONS(261), 1,
      anon_sym_import,
    ACTIONS(263), 1,
      anon_sym_Array,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_BQUOTE,
    ACTIONS(271), 1,
      anon_sym_LBRACK,
    ACTIONS(275), 1,
      anon_sym_PERCENT,
    ACTIONS(277), 1,
      anon_sym_DASH,
    ACTIONS(279), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(281), 1,
      sym_multstr_start,
    ACTIONS(283), 1,
      sym__str_start,
    STATE(134), 1,
      sym_applicative,
    STATE(271), 1,
      sym_type_builtin,
    STATE(277), 1,
      sym_record_operand,
    STATE(404), 1,
      sym_type_array,
    STATE(463), 1,
      sym_infix_u_op_5,
    STATE(528), 1,
      sym_infix_expr,
    STATE(583), 1,
      sym_forall,
    STATE(584), 1,
      sym_types,
    ACTIONS(247), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(218), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(276), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(265), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(285), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [18583] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(205), 1,
      sym_num_literal,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    ACTIONS(219), 1,
      anon_sym_forall,
    ACTIONS(221), 1,
      anon_sym_import,
    ACTIONS(223), 1,
      anon_sym_Array,
    ACTIONS(227), 1,
      anon_sym_LPAREN,
    ACTIONS(229), 1,
      anon_sym_BQUOTE,
    ACTIONS(231), 1,
      anon_sym_LBRACK,
    ACTIONS(235), 1,
      anon_sym_PERCENT,
    ACTIONS(237), 1,
      anon_sym_DASH,
    ACTIONS(239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(241), 1,
      sym_multstr_start,
    ACTIONS(243), 1,
      sym__str_start,
    STATE(135), 1,
      sym_applicative,
    STATE(216), 1,
      sym_type_builtin,
    STATE(220), 1,
      sym_record_operand,
    STATE(407), 1,
      sym_type_array,
    STATE(436), 1,
      sym_infix_u_op_5,
    STATE(496), 1,
      sym_infix_expr,
    STATE(583), 1,
      sym_forall,
    STATE(584), 1,
      sym_types,
    ACTIONS(207), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(219), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(382), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(225), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(226), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [18682] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(285), 1,
      sym_num_literal,
    ACTIONS(295), 1,
      anon_sym_LBRACE,
    ACTIONS(299), 1,
      anon_sym_forall,
    ACTIONS(301), 1,
      anon_sym_import,
    ACTIONS(303), 1,
      anon_sym_Array,
    ACTIONS(307), 1,
      anon_sym_LPAREN,
    ACTIONS(309), 1,
      anon_sym_BQUOTE,
    ACTIONS(311), 1,
      anon_sym_LBRACK,
    ACTIONS(315), 1,
      anon_sym_PERCENT,
    ACTIONS(317), 1,
      anon_sym_DASH,
    ACTIONS(319), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(321), 1,
      sym_multstr_start,
    ACTIONS(323), 1,
      sym__str_start,
    STATE(133), 1,
      sym_applicative,
    STATE(340), 1,
      sym_type_builtin,
    STATE(343), 1,
      sym_record_operand,
    STATE(400), 1,
      sym_type_array,
    STATE(466), 1,
      sym_infix_u_op_5,
    STATE(503), 1,
      sym_infix_expr,
    STATE(849), 1,
      sym_forall,
    STATE(868), 1,
      sym_types,
    ACTIONS(287), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(313), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(201), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(342), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(305), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(347), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [18781] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(165), 1,
      sym_num_literal,
    ACTIONS(175), 1,
      anon_sym_LBRACE,
    ACTIONS(179), 1,
      anon_sym_forall,
    ACTIONS(181), 1,
      anon_sym_import,
    ACTIONS(183), 1,
      anon_sym_Array,
    ACTIONS(187), 1,
      anon_sym_LPAREN,
    ACTIONS(189), 1,
      anon_sym_BQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACK,
    ACTIONS(195), 1,
      anon_sym_PERCENT,
    ACTIONS(197), 1,
      anon_sym_DASH,
    ACTIONS(199), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(201), 1,
      sym_multstr_start,
    ACTIONS(203), 1,
      sym__str_start,
    STATE(131), 1,
      sym_applicative,
    STATE(281), 1,
      sym_record_operand,
    STATE(286), 1,
      sym_type_builtin,
    STATE(403), 1,
      sym_type_array,
    STATE(467), 1,
      sym_infix_u_op_5,
    STATE(510), 1,
      sym_infix_expr,
    STATE(583), 1,
      sym_forall,
    STATE(585), 1,
      sym_types,
    ACTIONS(167), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(193), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(282), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(393), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(185), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(272), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [18880] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(61), 1,
      anon_sym_forall,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(475), 1,
      sym_infix_expr,
    STATE(583), 1,
      sym_forall,
    STATE(585), 1,
      sym_types,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [18979] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(61), 1,
      anon_sym_forall,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(475), 1,
      sym_infix_expr,
    STATE(583), 1,
      sym_forall,
    STATE(584), 1,
      sym_types,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [19078] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(61), 1,
      anon_sym_forall,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(475), 1,
      sym_infix_expr,
    STATE(583), 1,
      sym_forall,
    STATE(1096), 1,
      sym_types,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [19177] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(61), 1,
      anon_sym_forall,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(475), 1,
      sym_infix_expr,
    STATE(583), 1,
      sym_forall,
    STATE(999), 1,
      sym_types,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [19276] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(245), 1,
      sym_num_literal,
    ACTIONS(255), 1,
      anon_sym_LBRACE,
    ACTIONS(259), 1,
      anon_sym_forall,
    ACTIONS(261), 1,
      anon_sym_import,
    ACTIONS(263), 1,
      anon_sym_Array,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_BQUOTE,
    ACTIONS(271), 1,
      anon_sym_LBRACK,
    ACTIONS(275), 1,
      anon_sym_PERCENT,
    ACTIONS(277), 1,
      anon_sym_DASH,
    ACTIONS(279), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(281), 1,
      sym_multstr_start,
    ACTIONS(283), 1,
      sym__str_start,
    STATE(134), 1,
      sym_applicative,
    STATE(271), 1,
      sym_type_builtin,
    STATE(277), 1,
      sym_record_operand,
    STATE(404), 1,
      sym_type_array,
    STATE(463), 1,
      sym_infix_u_op_5,
    STATE(528), 1,
      sym_infix_expr,
    STATE(583), 1,
      sym_forall,
    STATE(585), 1,
      sym_types,
    ACTIONS(247), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(218), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(276), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(265), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(285), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [19375] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(61), 1,
      anon_sym_forall,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(475), 1,
      sym_infix_expr,
    STATE(583), 1,
      sym_forall,
    STATE(949), 1,
      sym_types,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [19474] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_num_literal,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(19), 1,
      anon_sym_forall,
    ACTIONS(21), 1,
      anon_sym_import,
    ACTIONS(23), 1,
      anon_sym_Array,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BQUOTE,
    ACTIONS(31), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_PERCENT,
    ACTIONS(37), 1,
      anon_sym_DASH,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(41), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(43), 1,
      sym_multstr_start,
    ACTIONS(45), 1,
      sym__str_start,
    STATE(132), 1,
      sym_applicative,
    STATE(227), 1,
      sym_type_builtin,
    STATE(363), 1,
      sym_record_operand,
    STATE(397), 1,
      sym_type_array,
    STATE(462), 1,
      sym_infix_u_op_5,
    STATE(523), 1,
      sym_infix_expr,
    STATE(583), 1,
      sym_forall,
    STATE(585), 1,
      sym_types,
    ACTIONS(7), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(33), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(315), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(348), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(25), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(301), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [19573] = 29,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(61), 1,
      anon_sym_forall,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(475), 1,
      sym_infix_expr,
    STATE(583), 1,
      sym_forall,
    STATE(1044), 1,
      sym_types,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [19672] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(385), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(383), 22,
      sym_multstr_start,
      sym__str_start,
      sym_interpolation_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [19718] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_then,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(371), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [19764] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(495), 1,
      anon_sym_DOT,
    ACTIONS(359), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(357), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [19812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(369), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(367), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [19858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(371), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [19904] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(355), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(353), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [19950] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(495), 1,
      anon_sym_DOT,
    ACTIONS(377), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(375), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [19998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(345), 22,
      sym_multstr_start,
      sym__str_start,
      ts_builtin_sym_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [20044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(457), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(455), 22,
      sym_multstr_start,
      sym__str_start,
      ts_builtin_sym_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [20090] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_then,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(345), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [20136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(389), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(387), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [20182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(351), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(349), 22,
      sym_multstr_start,
      sym__str_start,
      ts_builtin_sym_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [20228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(365), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(363), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [20274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(337), 22,
      sym_multstr_start,
      sym__str_start,
      ts_builtin_sym_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [20320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(381), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(379), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [20366] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(395), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [20412] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(331), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(329), 22,
      sym_multstr_start,
      sym__str_start,
      ts_builtin_sym_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [20458] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(385), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(383), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [20504] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(325), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [20550] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(495), 1,
      anon_sym_DOT,
    ACTIONS(409), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(407), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [20598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(463), 22,
      sym_multstr_start,
      sym__str_start,
      ts_builtin_sym_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [20644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(351), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_then,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(349), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [20690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(417), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(415), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [20736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(469), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(467), 22,
      sym_multstr_start,
      sym__str_start,
      ts_builtin_sym_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [20782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(421), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(419), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [20828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(427), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [20874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(395), 22,
      sym_multstr_start,
      sym__str_start,
      ts_builtin_sym_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [20920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(393), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(391), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [20966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(405), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(403), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [21012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(381), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(379), 22,
      sym_multstr_start,
      sym__str_start,
      ts_builtin_sym_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [21058] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(413), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(411), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [21104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(461), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(459), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [21150] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(477), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(475), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [21196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(481), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(479), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [21242] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(473), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(471), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [21288] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(365), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(363), 22,
      sym_multstr_start,
      sym__str_start,
      ts_builtin_sym_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [21334] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(469), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(467), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [21380] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(463), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [21426] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(331), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(329), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [21472] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(337), 22,
      sym_multstr_start,
      sym__str_start,
      sym_interpolation_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [21518] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(457), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(455), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [21564] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(451), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [21610] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(449), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(447), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [21656] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(445), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(443), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [21702] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(473), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(471), 22,
      sym_multstr_start,
      sym__str_start,
      ts_builtin_sym_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [21748] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(481), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(479), 22,
      sym_multstr_start,
      sym__str_start,
      ts_builtin_sym_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [21794] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(439), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [21840] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(477), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(475), 22,
      sym_multstr_start,
      sym__str_start,
      ts_builtin_sym_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [21886] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(437), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(435), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [21932] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(431), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [21978] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(461), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(459), 22,
      sym_multstr_start,
      sym__str_start,
      ts_builtin_sym_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [22024] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(425), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(423), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [22070] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(413), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(411), 22,
      sym_multstr_start,
      sym__str_start,
      ts_builtin_sym_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [22116] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(343), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(341), 22,
      sym_multstr_start,
      sym__str_start,
      sym_interpolation_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [22162] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(401), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(399), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [22208] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(333), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [22254] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(345), 22,
      sym_multstr_start,
      sym__str_start,
      sym_interpolation_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [22300] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(351), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(349), 22,
      sym_multstr_start,
      sym__str_start,
      sym_interpolation_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [22346] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(497), 1,
      anon_sym_DOT,
    ACTIONS(359), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(357), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [22394] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(369), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(367), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [22440] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_DOT,
    ACTIONS(359), 15,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(357), 22,
      sym_multstr_start,
      sym__str_start,
      ts_builtin_sym_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [22488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(371), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [22534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(405), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(403), 22,
      sym_multstr_start,
      sym__str_start,
      ts_builtin_sym_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [22580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(355), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(353), 22,
      sym_multstr_start,
      sym__str_start,
      sym_interpolation_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [22626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(393), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(391), 22,
      sym_multstr_start,
      sym__str_start,
      ts_builtin_sym_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [22672] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(497), 1,
      anon_sym_DOT,
    ACTIONS(377), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(375), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [22720] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(343), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(341), 22,
      sym_multstr_start,
      sym__str_start,
      ts_builtin_sym_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [22766] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(389), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(387), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [22812] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(365), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(363), 22,
      sym_multstr_start,
      sym__str_start,
      sym_interpolation_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [22858] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(381), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(379), 22,
      sym_multstr_start,
      sym__str_start,
      sym_interpolation_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [22904] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(395), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [22950] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_then,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(427), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [22996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(451), 22,
      sym_multstr_start,
      sym__str_start,
      ts_builtin_sym_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [23042] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(421), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_then,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(419), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [23088] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(417), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_then,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(415), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [23134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(325), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [23180] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(497), 1,
      anon_sym_DOT,
    ACTIONS(409), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(407), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [23228] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(421), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(419), 22,
      sym_multstr_start,
      sym__str_start,
      ts_builtin_sym_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [23274] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(369), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(367), 22,
      sym_multstr_start,
      sym__str_start,
      ts_builtin_sym_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [23320] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(425), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(423), 22,
      sym_multstr_start,
      sym__str_start,
      ts_builtin_sym_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [23366] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      anon_sym_DOT,
    ACTIONS(409), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_then,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(407), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [23414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_then,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(325), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [23460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(417), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(415), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [23506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(421), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(419), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [23552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(427), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [23598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_then,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(395), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [23644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(393), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(391), 22,
      sym_multstr_start,
      sym__str_start,
      sym_interpolation_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [23690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(405), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(403), 22,
      sym_multstr_start,
      sym__str_start,
      sym_interpolation_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [23736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(413), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(411), 22,
      sym_multstr_start,
      sym__str_start,
      sym_interpolation_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [23782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(461), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(459), 22,
      sym_multstr_start,
      sym__str_start,
      sym_interpolation_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [23828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(477), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(475), 22,
      sym_multstr_start,
      sym__str_start,
      sym_interpolation_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [23874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(389), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_then,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(387), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [23920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(431), 22,
      sym_multstr_start,
      sym__str_start,
      ts_builtin_sym_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [23966] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      anon_sym_DOT,
    ACTIONS(377), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_then,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(375), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [24014] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(481), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(479), 22,
      sym_multstr_start,
      sym__str_start,
      sym_interpolation_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [24060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(473), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(471), 22,
      sym_multstr_start,
      sym__str_start,
      sym_interpolation_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [24106] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(389), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(387), 22,
      sym_multstr_start,
      sym__str_start,
      ts_builtin_sym_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [24152] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(469), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(467), 22,
      sym_multstr_start,
      sym__str_start,
      sym_interpolation_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [24198] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(463), 22,
      sym_multstr_start,
      sym__str_start,
      sym_interpolation_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [24244] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(331), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(329), 22,
      sym_multstr_start,
      sym__str_start,
      sym_interpolation_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [24290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(427), 22,
      sym_multstr_start,
      sym__str_start,
      ts_builtin_sym_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [24336] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(457), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(455), 22,
      sym_multstr_start,
      sym__str_start,
      sym_interpolation_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [24382] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(451), 22,
      sym_multstr_start,
      sym__str_start,
      sym_interpolation_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [24428] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(401), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(399), 22,
      sym_multstr_start,
      sym__str_start,
      ts_builtin_sym_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [24474] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(449), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(447), 22,
      sym_multstr_start,
      sym__str_start,
      sym_interpolation_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [24520] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(369), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_then,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(367), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [24566] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(501), 1,
      anon_sym_DOT,
    ACTIONS(359), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_then,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(357), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [24614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(445), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(443), 22,
      sym_multstr_start,
      sym__str_start,
      sym_interpolation_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [24660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(351), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(349), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [24706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(345), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [24752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(439), 22,
      sym_multstr_start,
      sym__str_start,
      sym_interpolation_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [24798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(437), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(435), 22,
      sym_multstr_start,
      sym__str_start,
      sym_interpolation_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [24844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(431), 22,
      sym_multstr_start,
      sym__str_start,
      sym_interpolation_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [24890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(425), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(423), 22,
      sym_multstr_start,
      sym__str_start,
      sym_interpolation_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [24936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(385), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(383), 22,
      sym_multstr_start,
      sym__str_start,
      ts_builtin_sym_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [24982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(333), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [25028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(401), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(399), 22,
      sym_multstr_start,
      sym__str_start,
      sym_interpolation_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [25074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(333), 22,
      sym_multstr_start,
      sym__str_start,
      sym_interpolation_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [25120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(401), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(399), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [25166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(343), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(341), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [25212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(425), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(423), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [25258] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(503), 1,
      anon_sym_DOT,
    ACTIONS(359), 15,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(357), 22,
      sym_multstr_start,
      sym__str_start,
      sym_interpolation_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [25306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(369), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(367), 22,
      sym_multstr_start,
      sym__str_start,
      sym_interpolation_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [25352] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(371), 22,
      sym_multstr_start,
      sym__str_start,
      sym_interpolation_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [25398] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(431), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [25444] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_then,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(333), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [25490] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(401), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_then,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(399), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [25536] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(437), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(435), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [25582] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(503), 1,
      anon_sym_DOT,
    ACTIONS(377), 15,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(375), 22,
      sym_multstr_start,
      sym__str_start,
      sym_interpolation_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [25630] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(425), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_then,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(423), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [25676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(433), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_then,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(431), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [25722] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(437), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_then,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(435), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [25768] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_then,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(439), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [25814] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(445), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_then,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(443), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [25860] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(449), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_then,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(447), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [25906] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(355), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_then,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(353), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [25952] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(389), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(387), 22,
      sym_multstr_start,
      sym__str_start,
      sym_interpolation_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [25998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(439), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [26044] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(445), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(443), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [26090] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(397), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(395), 22,
      sym_multstr_start,
      sym__str_start,
      sym_interpolation_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [26136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(449), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(447), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [26182] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(325), 22,
      sym_multstr_start,
      sym__str_start,
      sym_interpolation_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [26228] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(503), 1,
      anon_sym_DOT,
    ACTIONS(409), 15,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(407), 22,
      sym_multstr_start,
      sym__str_start,
      sym_interpolation_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [26276] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(335), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(333), 22,
      sym_multstr_start,
      sym__str_start,
      ts_builtin_sym_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [26322] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(417), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(415), 22,
      sym_multstr_start,
      sym__str_start,
      sym_interpolation_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [26368] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(421), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(419), 22,
      sym_multstr_start,
      sym__str_start,
      sym_interpolation_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [26414] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(429), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(427), 22,
      sym_multstr_start,
      sym__str_start,
      sym_interpolation_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [26460] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(327), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(325), 22,
      sym_multstr_start,
      sym__str_start,
      ts_builtin_sym_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [26506] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(451), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [26552] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(457), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(455), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [26598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(337), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [26644] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(373), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(371), 22,
      sym_multstr_start,
      sym__str_start,
      ts_builtin_sym_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [26690] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(437), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(435), 22,
      sym_multstr_start,
      sym__str_start,
      ts_builtin_sym_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [26736] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(453), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_then,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(451), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [26782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(457), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_then,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(455), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [26828] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(331), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(329), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [26874] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(463), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [26920] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(331), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_then,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(329), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [26966] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(465), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_then,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(463), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [27012] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(469), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_then,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(467), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [27058] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(355), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(353), 22,
      sym_multstr_start,
      sym__str_start,
      ts_builtin_sym_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [27104] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(469), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(467), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [27150] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_DOT,
    ACTIONS(409), 15,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(407), 22,
      sym_multstr_start,
      sym__str_start,
      ts_builtin_sym_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [27198] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(499), 1,
      anon_sym_DOT,
    ACTIONS(377), 15,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(375), 22,
      sym_multstr_start,
      sym__str_start,
      ts_builtin_sym_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [27246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(473), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_then,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(471), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [27292] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(481), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_then,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(479), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [27338] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(477), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_then,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(475), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [27384] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(417), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(415), 22,
      sym_multstr_start,
      sym__str_start,
      ts_builtin_sym_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [27430] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(461), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_then,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(459), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [27476] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(413), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_then,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(411), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [27522] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(365), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_then,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(363), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [27568] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(473), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(471), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [27614] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(481), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(479), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [27660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_then,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(337), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [27706] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(477), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(475), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [27752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(405), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_then,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(403), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [27798] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(461), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(459), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [27844] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(393), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_then,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(391), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [27890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(413), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(411), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [27936] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(405), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(403), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [27982] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(393), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(391), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [28028] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(385), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(383), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [28074] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(381), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(379), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [28120] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(365), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(363), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [28166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(355), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(353), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [28212] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(351), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(349), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [28258] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(347), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(345), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [28304] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(343), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_then,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(341), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [28350] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(381), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_then,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(379), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [28396] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(449), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(447), 22,
      sym_multstr_start,
      sym__str_start,
      ts_builtin_sym_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [28442] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(445), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(443), 22,
      sym_multstr_start,
      sym__str_start,
      ts_builtin_sym_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [28488] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(343), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(341), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [28534] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(385), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_then,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(383), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [28580] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(441), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(439), 22,
      sym_multstr_start,
      sym__str_start,
      ts_builtin_sym_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [28626] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 17,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_DOT,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(337), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [28672] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    ACTIONS(505), 1,
      anon_sym_RPAREN,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(476), 1,
      sym_infix_expr,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [28765] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(409), 15,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(407), 22,
      sym_multstr_start,
      sym__str_start,
      ts_builtin_sym_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [28810] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    ACTIONS(507), 1,
      anon_sym_RPAREN,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(477), 1,
      sym_infix_expr,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [28903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(485), 15,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(483), 22,
      sym_multstr_start,
      sym__str_start,
      ts_builtin_sym_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [28948] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(409), 15,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(407), 22,
      sym_multstr_start,
      sym__str_start,
      sym_interpolation_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [28993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(485), 15,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(483), 22,
      sym_multstr_start,
      sym__str_start,
      sym_interpolation_end,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [29038] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(485), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_then,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(483), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [29083] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(409), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_then,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(407), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [29128] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(409), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(407), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [29173] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(485), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_in,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(483), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [29218] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(509), 1,
      anon_sym_PIPE,
    ACTIONS(511), 1,
      anon_sym_COLON,
    ACTIONS(513), 1,
      anon_sym_EQ,
    ACTIONS(523), 1,
      anon_sym_AMP,
    ACTIONS(525), 1,
      anon_sym_PIPE_GT,
    ACTIONS(533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(535), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(537), 1,
      anon_sym_DASH_GT,
    STATE(411), 1,
      sym_infix_b_op_4,
    STATE(412), 1,
      sym_infix_b_op_6,
    STATE(413), 1,
      sym_infix_b_op_7,
    STATE(414), 1,
      sym_infix_b_op_8,
    STATE(415), 1,
      sym_infix_lazy_b_op_9,
    STATE(416), 1,
      sym_infix_lazy_b_op_10,
    STATE(422), 1,
      sym_infix_b_op_2,
    STATE(472), 1,
      sym_infix_b_op_3,
    STATE(602), 1,
      sym_annot,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(527), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(529), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(531), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    STATE(588), 2,
      sym_annot_atom,
      aux_sym_annot_repeat1,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(515), 5,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [29309] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(409), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(407), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [29354] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(485), 16,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    ACTIONS(483), 21,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
      anon_sym_LBRACK_PIPE,
  [29399] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(205), 1,
      sym_num_literal,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    ACTIONS(221), 1,
      anon_sym_import,
    ACTIONS(223), 1,
      anon_sym_Array,
    ACTIONS(227), 1,
      anon_sym_LPAREN,
    ACTIONS(229), 1,
      anon_sym_BQUOTE,
    ACTIONS(231), 1,
      anon_sym_LBRACK,
    ACTIONS(235), 1,
      anon_sym_PERCENT,
    ACTIONS(237), 1,
      anon_sym_DASH,
    ACTIONS(239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(241), 1,
      sym_multstr_start,
    ACTIONS(243), 1,
      sym__str_start,
    STATE(135), 1,
      sym_applicative,
    STATE(216), 1,
      sym_type_builtin,
    STATE(220), 1,
      sym_record_operand,
    STATE(407), 1,
      sym_type_array,
    STATE(436), 1,
      sym_infix_u_op_5,
    STATE(514), 1,
      sym_infix_expr,
    ACTIONS(207), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(219), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(382), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(225), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(226), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [29489] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_num_literal,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(21), 1,
      anon_sym_import,
    ACTIONS(23), 1,
      anon_sym_Array,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BQUOTE,
    ACTIONS(31), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_PERCENT,
    ACTIONS(37), 1,
      anon_sym_DASH,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(41), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(43), 1,
      sym_multstr_start,
    ACTIONS(45), 1,
      sym__str_start,
    STATE(132), 1,
      sym_applicative,
    STATE(227), 1,
      sym_type_builtin,
    STATE(363), 1,
      sym_record_operand,
    STATE(397), 1,
      sym_type_array,
    STATE(462), 1,
      sym_infix_u_op_5,
    STATE(524), 1,
      sym_infix_expr,
    ACTIONS(7), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(33), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(315), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(348), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(25), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(301), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [29579] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(481), 1,
      sym_infix_expr,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [29669] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(482), 1,
      sym_infix_expr,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [29759] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(483), 1,
      sym_infix_expr,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [29849] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(484), 1,
      sym_infix_expr,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [29939] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(485), 1,
      sym_infix_expr,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [30029] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(486), 1,
      sym_infix_expr,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [30119] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(205), 1,
      sym_num_literal,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    ACTIONS(221), 1,
      anon_sym_import,
    ACTIONS(223), 1,
      anon_sym_Array,
    ACTIONS(227), 1,
      anon_sym_LPAREN,
    ACTIONS(229), 1,
      anon_sym_BQUOTE,
    ACTIONS(231), 1,
      anon_sym_LBRACK,
    ACTIONS(235), 1,
      anon_sym_PERCENT,
    ACTIONS(237), 1,
      anon_sym_DASH,
    ACTIONS(239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(241), 1,
      sym_multstr_start,
    ACTIONS(243), 1,
      sym__str_start,
    STATE(135), 1,
      sym_applicative,
    STATE(216), 1,
      sym_type_builtin,
    STATE(220), 1,
      sym_record_operand,
    STATE(407), 1,
      sym_type_array,
    STATE(436), 1,
      sym_infix_u_op_5,
    STATE(512), 1,
      sym_infix_expr,
    ACTIONS(207), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(219), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(382), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(225), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(226), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [30209] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(205), 1,
      sym_num_literal,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    ACTIONS(221), 1,
      anon_sym_import,
    ACTIONS(223), 1,
      anon_sym_Array,
    ACTIONS(227), 1,
      anon_sym_LPAREN,
    ACTIONS(229), 1,
      anon_sym_BQUOTE,
    ACTIONS(231), 1,
      anon_sym_LBRACK,
    ACTIONS(235), 1,
      anon_sym_PERCENT,
    ACTIONS(237), 1,
      anon_sym_DASH,
    ACTIONS(239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(241), 1,
      sym_multstr_start,
    ACTIONS(243), 1,
      sym__str_start,
    STATE(135), 1,
      sym_applicative,
    STATE(216), 1,
      sym_type_builtin,
    STATE(220), 1,
      sym_record_operand,
    STATE(407), 1,
      sym_type_array,
    STATE(436), 1,
      sym_infix_u_op_5,
    STATE(515), 1,
      sym_infix_expr,
    ACTIONS(207), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(219), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(382), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(225), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(226), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [30299] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(480), 1,
      sym_infix_expr,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [30389] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(165), 1,
      sym_num_literal,
    ACTIONS(175), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_import,
    ACTIONS(183), 1,
      anon_sym_Array,
    ACTIONS(187), 1,
      anon_sym_LPAREN,
    ACTIONS(189), 1,
      anon_sym_BQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACK,
    ACTIONS(195), 1,
      anon_sym_PERCENT,
    ACTIONS(197), 1,
      anon_sym_DASH,
    ACTIONS(199), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(201), 1,
      sym_multstr_start,
    ACTIONS(203), 1,
      sym__str_start,
    STATE(131), 1,
      sym_applicative,
    STATE(281), 1,
      sym_record_operand,
    STATE(286), 1,
      sym_type_builtin,
    STATE(403), 1,
      sym_type_array,
    STATE(467), 1,
      sym_infix_u_op_5,
    STATE(499), 1,
      sym_infix_expr,
    ACTIONS(167), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(193), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(282), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(393), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(185), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(272), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [30479] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(165), 1,
      sym_num_literal,
    ACTIONS(175), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_import,
    ACTIONS(183), 1,
      anon_sym_Array,
    ACTIONS(187), 1,
      anon_sym_LPAREN,
    ACTIONS(189), 1,
      anon_sym_BQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACK,
    ACTIONS(195), 1,
      anon_sym_PERCENT,
    ACTIONS(197), 1,
      anon_sym_DASH,
    ACTIONS(199), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(201), 1,
      sym_multstr_start,
    ACTIONS(203), 1,
      sym__str_start,
    STATE(131), 1,
      sym_applicative,
    STATE(281), 1,
      sym_record_operand,
    STATE(286), 1,
      sym_type_builtin,
    STATE(403), 1,
      sym_type_array,
    STATE(467), 1,
      sym_infix_u_op_5,
    STATE(497), 1,
      sym_infix_expr,
    ACTIONS(167), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(193), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(282), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(393), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(185), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(272), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [30569] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(478), 1,
      sym_infix_expr,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [30659] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(477), 1,
      sym_infix_expr,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [30749] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(165), 1,
      sym_num_literal,
    ACTIONS(175), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_import,
    ACTIONS(183), 1,
      anon_sym_Array,
    ACTIONS(187), 1,
      anon_sym_LPAREN,
    ACTIONS(189), 1,
      anon_sym_BQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACK,
    ACTIONS(195), 1,
      anon_sym_PERCENT,
    ACTIONS(197), 1,
      anon_sym_DASH,
    ACTIONS(199), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(201), 1,
      sym_multstr_start,
    ACTIONS(203), 1,
      sym__str_start,
    STATE(131), 1,
      sym_applicative,
    STATE(281), 1,
      sym_record_operand,
    STATE(286), 1,
      sym_type_builtin,
    STATE(403), 1,
      sym_type_array,
    STATE(467), 1,
      sym_infix_u_op_5,
    STATE(498), 1,
      sym_infix_expr,
    ACTIONS(167), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(193), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(282), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(393), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(185), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(272), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [30839] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(285), 1,
      sym_num_literal,
    ACTIONS(295), 1,
      anon_sym_LBRACE,
    ACTIONS(301), 1,
      anon_sym_import,
    ACTIONS(303), 1,
      anon_sym_Array,
    ACTIONS(307), 1,
      anon_sym_LPAREN,
    ACTIONS(309), 1,
      anon_sym_BQUOTE,
    ACTIONS(311), 1,
      anon_sym_LBRACK,
    ACTIONS(315), 1,
      anon_sym_PERCENT,
    ACTIONS(317), 1,
      anon_sym_DASH,
    ACTIONS(319), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(321), 1,
      sym_multstr_start,
    ACTIONS(323), 1,
      sym__str_start,
    STATE(133), 1,
      sym_applicative,
    STATE(340), 1,
      sym_type_builtin,
    STATE(343), 1,
      sym_record_operand,
    STATE(400), 1,
      sym_type_array,
    STATE(466), 1,
      sym_infix_u_op_5,
    STATE(549), 1,
      sym_infix_expr,
    ACTIONS(287), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(313), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(201), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(342), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(305), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(347), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [30929] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(476), 1,
      sym_infix_expr,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [31019] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(205), 1,
      sym_num_literal,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    ACTIONS(221), 1,
      anon_sym_import,
    ACTIONS(223), 1,
      anon_sym_Array,
    ACTIONS(227), 1,
      anon_sym_LPAREN,
    ACTIONS(229), 1,
      anon_sym_BQUOTE,
    ACTIONS(231), 1,
      anon_sym_LBRACK,
    ACTIONS(235), 1,
      anon_sym_PERCENT,
    ACTIONS(237), 1,
      anon_sym_DASH,
    ACTIONS(239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(241), 1,
      sym_multstr_start,
    ACTIONS(243), 1,
      sym__str_start,
    STATE(135), 1,
      sym_applicative,
    STATE(216), 1,
      sym_type_builtin,
    STATE(220), 1,
      sym_record_operand,
    STATE(407), 1,
      sym_type_array,
    STATE(436), 1,
      sym_infix_u_op_5,
    STATE(511), 1,
      sym_infix_expr,
    ACTIONS(207), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(219), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(382), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(225), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(226), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [31109] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(205), 1,
      sym_num_literal,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    ACTIONS(221), 1,
      anon_sym_import,
    ACTIONS(223), 1,
      anon_sym_Array,
    ACTIONS(227), 1,
      anon_sym_LPAREN,
    ACTIONS(229), 1,
      anon_sym_BQUOTE,
    ACTIONS(231), 1,
      anon_sym_LBRACK,
    ACTIONS(235), 1,
      anon_sym_PERCENT,
    ACTIONS(237), 1,
      anon_sym_DASH,
    ACTIONS(239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(241), 1,
      sym_multstr_start,
    ACTIONS(243), 1,
      sym__str_start,
    STATE(135), 1,
      sym_applicative,
    STATE(216), 1,
      sym_type_builtin,
    STATE(220), 1,
      sym_record_operand,
    STATE(407), 1,
      sym_type_array,
    STATE(436), 1,
      sym_infix_u_op_5,
    STATE(509), 1,
      sym_infix_expr,
    ACTIONS(207), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(219), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(382), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(225), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(226), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [31199] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(205), 1,
      sym_num_literal,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    ACTIONS(221), 1,
      anon_sym_import,
    ACTIONS(223), 1,
      anon_sym_Array,
    ACTIONS(227), 1,
      anon_sym_LPAREN,
    ACTIONS(229), 1,
      anon_sym_BQUOTE,
    ACTIONS(231), 1,
      anon_sym_LBRACK,
    ACTIONS(235), 1,
      anon_sym_PERCENT,
    ACTIONS(237), 1,
      anon_sym_DASH,
    ACTIONS(239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(241), 1,
      sym_multstr_start,
    ACTIONS(243), 1,
      sym__str_start,
    STATE(135), 1,
      sym_applicative,
    STATE(216), 1,
      sym_type_builtin,
    STATE(220), 1,
      sym_record_operand,
    STATE(407), 1,
      sym_type_array,
    STATE(436), 1,
      sym_infix_u_op_5,
    STATE(506), 1,
      sym_infix_expr,
    ACTIONS(207), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(219), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(382), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(225), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(226), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [31289] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(205), 1,
      sym_num_literal,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    ACTIONS(221), 1,
      anon_sym_import,
    ACTIONS(223), 1,
      anon_sym_Array,
    ACTIONS(227), 1,
      anon_sym_LPAREN,
    ACTIONS(229), 1,
      anon_sym_BQUOTE,
    ACTIONS(231), 1,
      anon_sym_LBRACK,
    ACTIONS(235), 1,
      anon_sym_PERCENT,
    ACTIONS(237), 1,
      anon_sym_DASH,
    ACTIONS(239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(241), 1,
      sym_multstr_start,
    ACTIONS(243), 1,
      sym__str_start,
    STATE(135), 1,
      sym_applicative,
    STATE(216), 1,
      sym_type_builtin,
    STATE(220), 1,
      sym_record_operand,
    STATE(407), 1,
      sym_type_array,
    STATE(436), 1,
      sym_infix_u_op_5,
    STATE(505), 1,
      sym_infix_expr,
    ACTIONS(207), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(219), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(382), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(225), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(226), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [31379] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(285), 1,
      sym_num_literal,
    ACTIONS(295), 1,
      anon_sym_LBRACE,
    ACTIONS(301), 1,
      anon_sym_import,
    ACTIONS(303), 1,
      anon_sym_Array,
    ACTIONS(307), 1,
      anon_sym_LPAREN,
    ACTIONS(309), 1,
      anon_sym_BQUOTE,
    ACTIONS(311), 1,
      anon_sym_LBRACK,
    ACTIONS(315), 1,
      anon_sym_PERCENT,
    ACTIONS(317), 1,
      anon_sym_DASH,
    ACTIONS(319), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(321), 1,
      sym_multstr_start,
    ACTIONS(323), 1,
      sym__str_start,
    STATE(133), 1,
      sym_applicative,
    STATE(340), 1,
      sym_type_builtin,
    STATE(343), 1,
      sym_record_operand,
    STATE(400), 1,
      sym_type_array,
    STATE(466), 1,
      sym_infix_u_op_5,
    STATE(547), 1,
      sym_infix_expr,
    ACTIONS(287), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(313), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(201), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(342), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(305), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(347), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [31469] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(205), 1,
      sym_num_literal,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    ACTIONS(221), 1,
      anon_sym_import,
    ACTIONS(223), 1,
      anon_sym_Array,
    ACTIONS(227), 1,
      anon_sym_LPAREN,
    ACTIONS(229), 1,
      anon_sym_BQUOTE,
    ACTIONS(231), 1,
      anon_sym_LBRACK,
    ACTIONS(235), 1,
      anon_sym_PERCENT,
    ACTIONS(237), 1,
      anon_sym_DASH,
    ACTIONS(239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(241), 1,
      sym_multstr_start,
    ACTIONS(243), 1,
      sym__str_start,
    STATE(135), 1,
      sym_applicative,
    STATE(216), 1,
      sym_type_builtin,
    STATE(220), 1,
      sym_record_operand,
    STATE(407), 1,
      sym_type_array,
    STATE(436), 1,
      sym_infix_u_op_5,
    STATE(541), 1,
      sym_infix_expr,
    ACTIONS(207), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(219), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(382), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(225), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(226), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [31559] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(285), 1,
      sym_num_literal,
    ACTIONS(295), 1,
      anon_sym_LBRACE,
    ACTIONS(301), 1,
      anon_sym_import,
    ACTIONS(303), 1,
      anon_sym_Array,
    ACTIONS(307), 1,
      anon_sym_LPAREN,
    ACTIONS(309), 1,
      anon_sym_BQUOTE,
    ACTIONS(311), 1,
      anon_sym_LBRACK,
    ACTIONS(315), 1,
      anon_sym_PERCENT,
    ACTIONS(317), 1,
      anon_sym_DASH,
    ACTIONS(319), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(321), 1,
      sym_multstr_start,
    ACTIONS(323), 1,
      sym__str_start,
    STATE(133), 1,
      sym_applicative,
    STATE(340), 1,
      sym_type_builtin,
    STATE(343), 1,
      sym_record_operand,
    STATE(400), 1,
      sym_type_array,
    STATE(466), 1,
      sym_infix_u_op_5,
    STATE(546), 1,
      sym_infix_expr,
    ACTIONS(287), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(313), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(201), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(342), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(305), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(347), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [31649] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(285), 1,
      sym_num_literal,
    ACTIONS(295), 1,
      anon_sym_LBRACE,
    ACTIONS(301), 1,
      anon_sym_import,
    ACTIONS(303), 1,
      anon_sym_Array,
    ACTIONS(307), 1,
      anon_sym_LPAREN,
    ACTIONS(309), 1,
      anon_sym_BQUOTE,
    ACTIONS(311), 1,
      anon_sym_LBRACK,
    ACTIONS(315), 1,
      anon_sym_PERCENT,
    ACTIONS(317), 1,
      anon_sym_DASH,
    ACTIONS(319), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(321), 1,
      sym_multstr_start,
    ACTIONS(323), 1,
      sym__str_start,
    STATE(133), 1,
      sym_applicative,
    STATE(340), 1,
      sym_type_builtin,
    STATE(343), 1,
      sym_record_operand,
    STATE(400), 1,
      sym_type_array,
    STATE(466), 1,
      sym_infix_u_op_5,
    STATE(543), 1,
      sym_infix_expr,
    ACTIONS(287), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(313), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(201), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(342), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(305), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(347), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [31739] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(285), 1,
      sym_num_literal,
    ACTIONS(295), 1,
      anon_sym_LBRACE,
    ACTIONS(301), 1,
      anon_sym_import,
    ACTIONS(303), 1,
      anon_sym_Array,
    ACTIONS(307), 1,
      anon_sym_LPAREN,
    ACTIONS(309), 1,
      anon_sym_BQUOTE,
    ACTIONS(311), 1,
      anon_sym_LBRACK,
    ACTIONS(315), 1,
      anon_sym_PERCENT,
    ACTIONS(317), 1,
      anon_sym_DASH,
    ACTIONS(319), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(321), 1,
      sym_multstr_start,
    ACTIONS(323), 1,
      sym__str_start,
    STATE(133), 1,
      sym_applicative,
    STATE(340), 1,
      sym_type_builtin,
    STATE(343), 1,
      sym_record_operand,
    STATE(400), 1,
      sym_type_array,
    STATE(466), 1,
      sym_infix_u_op_5,
    STATE(542), 1,
      sym_infix_expr,
    ACTIONS(287), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(313), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(201), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(342), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(305), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(347), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [31829] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(205), 1,
      sym_num_literal,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    ACTIONS(221), 1,
      anon_sym_import,
    ACTIONS(223), 1,
      anon_sym_Array,
    ACTIONS(227), 1,
      anon_sym_LPAREN,
    ACTIONS(229), 1,
      anon_sym_BQUOTE,
    ACTIONS(231), 1,
      anon_sym_LBRACK,
    ACTIONS(235), 1,
      anon_sym_PERCENT,
    ACTIONS(237), 1,
      anon_sym_DASH,
    ACTIONS(239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(241), 1,
      sym_multstr_start,
    ACTIONS(243), 1,
      sym__str_start,
    STATE(135), 1,
      sym_applicative,
    STATE(216), 1,
      sym_type_builtin,
    STATE(220), 1,
      sym_record_operand,
    STATE(407), 1,
      sym_type_array,
    STATE(436), 1,
      sym_infix_u_op_5,
    STATE(521), 1,
      sym_infix_expr,
    ACTIONS(207), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(219), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(382), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(225), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(226), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [31919] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_num_literal,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(21), 1,
      anon_sym_import,
    ACTIONS(23), 1,
      anon_sym_Array,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BQUOTE,
    ACTIONS(31), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_PERCENT,
    ACTIONS(37), 1,
      anon_sym_DASH,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(41), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(43), 1,
      sym_multstr_start,
    ACTIONS(45), 1,
      sym__str_start,
    STATE(132), 1,
      sym_applicative,
    STATE(227), 1,
      sym_type_builtin,
    STATE(363), 1,
      sym_record_operand,
    STATE(397), 1,
      sym_type_array,
    STATE(462), 1,
      sym_infix_u_op_5,
    STATE(540), 1,
      sym_infix_expr,
    ACTIONS(7), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(33), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(315), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(348), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(25), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(301), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [32009] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_num_literal,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(21), 1,
      anon_sym_import,
    ACTIONS(23), 1,
      anon_sym_Array,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BQUOTE,
    ACTIONS(31), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_PERCENT,
    ACTIONS(37), 1,
      anon_sym_DASH,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(41), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(43), 1,
      sym_multstr_start,
    ACTIONS(45), 1,
      sym__str_start,
    STATE(132), 1,
      sym_applicative,
    STATE(227), 1,
      sym_type_builtin,
    STATE(363), 1,
      sym_record_operand,
    STATE(397), 1,
      sym_type_array,
    STATE(462), 1,
      sym_infix_u_op_5,
    STATE(539), 1,
      sym_infix_expr,
    ACTIONS(7), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(33), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(315), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(348), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(25), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(301), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [32099] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(285), 1,
      sym_num_literal,
    ACTIONS(295), 1,
      anon_sym_LBRACE,
    ACTIONS(301), 1,
      anon_sym_import,
    ACTIONS(303), 1,
      anon_sym_Array,
    ACTIONS(307), 1,
      anon_sym_LPAREN,
    ACTIONS(309), 1,
      anon_sym_BQUOTE,
    ACTIONS(311), 1,
      anon_sym_LBRACK,
    ACTIONS(315), 1,
      anon_sym_PERCENT,
    ACTIONS(317), 1,
      anon_sym_DASH,
    ACTIONS(319), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(321), 1,
      sym_multstr_start,
    ACTIONS(323), 1,
      sym__str_start,
    STATE(133), 1,
      sym_applicative,
    STATE(340), 1,
      sym_type_builtin,
    STATE(343), 1,
      sym_record_operand,
    STATE(400), 1,
      sym_type_array,
    STATE(466), 1,
      sym_infix_u_op_5,
    STATE(537), 1,
      sym_infix_expr,
    ACTIONS(287), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(313), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(201), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(342), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(305), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(347), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [32189] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(285), 1,
      sym_num_literal,
    ACTIONS(295), 1,
      anon_sym_LBRACE,
    ACTIONS(301), 1,
      anon_sym_import,
    ACTIONS(303), 1,
      anon_sym_Array,
    ACTIONS(307), 1,
      anon_sym_LPAREN,
    ACTIONS(309), 1,
      anon_sym_BQUOTE,
    ACTIONS(311), 1,
      anon_sym_LBRACK,
    ACTIONS(315), 1,
      anon_sym_PERCENT,
    ACTIONS(317), 1,
      anon_sym_DASH,
    ACTIONS(319), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(321), 1,
      sym_multstr_start,
    ACTIONS(323), 1,
      sym__str_start,
    STATE(133), 1,
      sym_applicative,
    STATE(340), 1,
      sym_type_builtin,
    STATE(343), 1,
      sym_record_operand,
    STATE(400), 1,
      sym_type_array,
    STATE(466), 1,
      sym_infix_u_op_5,
    STATE(536), 1,
      sym_infix_expr,
    ACTIONS(287), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(313), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(201), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(342), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(305), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(347), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [32279] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(205), 1,
      sym_num_literal,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    ACTIONS(221), 1,
      anon_sym_import,
    ACTIONS(223), 1,
      anon_sym_Array,
    ACTIONS(227), 1,
      anon_sym_LPAREN,
    ACTIONS(229), 1,
      anon_sym_BQUOTE,
    ACTIONS(231), 1,
      anon_sym_LBRACK,
    ACTIONS(235), 1,
      anon_sym_PERCENT,
    ACTIONS(237), 1,
      anon_sym_DASH,
    ACTIONS(239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(241), 1,
      sym_multstr_start,
    ACTIONS(243), 1,
      sym__str_start,
    STATE(135), 1,
      sym_applicative,
    STATE(216), 1,
      sym_type_builtin,
    STATE(220), 1,
      sym_record_operand,
    STATE(407), 1,
      sym_type_array,
    STATE(436), 1,
      sym_infix_u_op_5,
    STATE(519), 1,
      sym_infix_expr,
    ACTIONS(207), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(219), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(382), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(225), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(226), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [32369] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(285), 1,
      sym_num_literal,
    ACTIONS(295), 1,
      anon_sym_LBRACE,
    ACTIONS(301), 1,
      anon_sym_import,
    ACTIONS(303), 1,
      anon_sym_Array,
    ACTIONS(307), 1,
      anon_sym_LPAREN,
    ACTIONS(309), 1,
      anon_sym_BQUOTE,
    ACTIONS(311), 1,
      anon_sym_LBRACK,
    ACTIONS(315), 1,
      anon_sym_PERCENT,
    ACTIONS(317), 1,
      anon_sym_DASH,
    ACTIONS(319), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(321), 1,
      sym_multstr_start,
    ACTIONS(323), 1,
      sym__str_start,
    STATE(133), 1,
      sym_applicative,
    STATE(340), 1,
      sym_type_builtin,
    STATE(343), 1,
      sym_record_operand,
    STATE(400), 1,
      sym_type_array,
    STATE(466), 1,
      sym_infix_u_op_5,
    STATE(531), 1,
      sym_infix_expr,
    ACTIONS(287), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(313), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(201), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(342), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(305), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(347), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [32459] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(285), 1,
      sym_num_literal,
    ACTIONS(295), 1,
      anon_sym_LBRACE,
    ACTIONS(301), 1,
      anon_sym_import,
    ACTIONS(303), 1,
      anon_sym_Array,
    ACTIONS(307), 1,
      anon_sym_LPAREN,
    ACTIONS(309), 1,
      anon_sym_BQUOTE,
    ACTIONS(311), 1,
      anon_sym_LBRACK,
    ACTIONS(315), 1,
      anon_sym_PERCENT,
    ACTIONS(317), 1,
      anon_sym_DASH,
    ACTIONS(319), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(321), 1,
      sym_multstr_start,
    ACTIONS(323), 1,
      sym__str_start,
    STATE(133), 1,
      sym_applicative,
    STATE(340), 1,
      sym_type_builtin,
    STATE(343), 1,
      sym_record_operand,
    STATE(400), 1,
      sym_type_array,
    STATE(466), 1,
      sym_infix_u_op_5,
    STATE(504), 1,
      sym_infix_expr,
    ACTIONS(287), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(313), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(201), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(342), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(305), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(347), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [32549] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_num_literal,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(21), 1,
      anon_sym_import,
    ACTIONS(23), 1,
      anon_sym_Array,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BQUOTE,
    ACTIONS(31), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_PERCENT,
    ACTIONS(37), 1,
      anon_sym_DASH,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(41), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(43), 1,
      sym_multstr_start,
    ACTIONS(45), 1,
      sym__str_start,
    STATE(132), 1,
      sym_applicative,
    STATE(227), 1,
      sym_type_builtin,
    STATE(363), 1,
      sym_record_operand,
    STATE(397), 1,
      sym_type_array,
    STATE(462), 1,
      sym_infix_u_op_5,
    STATE(535), 1,
      sym_infix_expr,
    ACTIONS(7), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(33), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(315), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(348), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(25), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(301), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [32639] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_num_literal,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(21), 1,
      anon_sym_import,
    ACTIONS(23), 1,
      anon_sym_Array,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BQUOTE,
    ACTIONS(31), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_PERCENT,
    ACTIONS(37), 1,
      anon_sym_DASH,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(41), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(43), 1,
      sym_multstr_start,
    ACTIONS(45), 1,
      sym__str_start,
    STATE(132), 1,
      sym_applicative,
    STATE(227), 1,
      sym_type_builtin,
    STATE(363), 1,
      sym_record_operand,
    STATE(397), 1,
      sym_type_array,
    STATE(462), 1,
      sym_infix_u_op_5,
    STATE(534), 1,
      sym_infix_expr,
    ACTIONS(7), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(33), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(315), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(348), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(25), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(301), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [32729] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_num_literal,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(21), 1,
      anon_sym_import,
    ACTIONS(23), 1,
      anon_sym_Array,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BQUOTE,
    ACTIONS(31), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_PERCENT,
    ACTIONS(37), 1,
      anon_sym_DASH,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(41), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(43), 1,
      sym_multstr_start,
    ACTIONS(45), 1,
      sym__str_start,
    STATE(132), 1,
      sym_applicative,
    STATE(227), 1,
      sym_type_builtin,
    STATE(363), 1,
      sym_record_operand,
    STATE(397), 1,
      sym_type_array,
    STATE(462), 1,
      sym_infix_u_op_5,
    STATE(544), 1,
      sym_infix_expr,
    ACTIONS(7), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(33), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(315), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(348), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(25), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(301), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [32819] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_num_literal,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(21), 1,
      anon_sym_import,
    ACTIONS(23), 1,
      anon_sym_Array,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BQUOTE,
    ACTIONS(31), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_PERCENT,
    ACTIONS(37), 1,
      anon_sym_DASH,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(41), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(43), 1,
      sym_multstr_start,
    ACTIONS(45), 1,
      sym__str_start,
    STATE(132), 1,
      sym_applicative,
    STATE(227), 1,
      sym_type_builtin,
    STATE(363), 1,
      sym_record_operand,
    STATE(397), 1,
      sym_type_array,
    STATE(462), 1,
      sym_infix_u_op_5,
    STATE(532), 1,
      sym_infix_expr,
    ACTIONS(7), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(33), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(315), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(348), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(25), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(301), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [32909] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_num_literal,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(21), 1,
      anon_sym_import,
    ACTIONS(23), 1,
      anon_sym_Array,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BQUOTE,
    ACTIONS(31), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_PERCENT,
    ACTIONS(37), 1,
      anon_sym_DASH,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(41), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(43), 1,
      sym_multstr_start,
    ACTIONS(45), 1,
      sym__str_start,
    STATE(132), 1,
      sym_applicative,
    STATE(227), 1,
      sym_type_builtin,
    STATE(363), 1,
      sym_record_operand,
    STATE(397), 1,
      sym_type_array,
    STATE(462), 1,
      sym_infix_u_op_5,
    STATE(527), 1,
      sym_infix_expr,
    ACTIONS(7), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(33), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(315), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(348), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(25), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(301), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [32999] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_num_literal,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(21), 1,
      anon_sym_import,
    ACTIONS(23), 1,
      anon_sym_Array,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BQUOTE,
    ACTIONS(31), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_PERCENT,
    ACTIONS(37), 1,
      anon_sym_DASH,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(41), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(43), 1,
      sym_multstr_start,
    ACTIONS(45), 1,
      sym__str_start,
    STATE(132), 1,
      sym_applicative,
    STATE(227), 1,
      sym_type_builtin,
    STATE(363), 1,
      sym_record_operand,
    STATE(397), 1,
      sym_type_array,
    STATE(462), 1,
      sym_infix_u_op_5,
    STATE(525), 1,
      sym_infix_expr,
    ACTIONS(7), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(33), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(315), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(348), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(25), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(301), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [33089] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(165), 1,
      sym_num_literal,
    ACTIONS(175), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_import,
    ACTIONS(183), 1,
      anon_sym_Array,
    ACTIONS(187), 1,
      anon_sym_LPAREN,
    ACTIONS(189), 1,
      anon_sym_BQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACK,
    ACTIONS(195), 1,
      anon_sym_PERCENT,
    ACTIONS(197), 1,
      anon_sym_DASH,
    ACTIONS(199), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(201), 1,
      sym_multstr_start,
    ACTIONS(203), 1,
      sym__str_start,
    STATE(131), 1,
      sym_applicative,
    STATE(281), 1,
      sym_record_operand,
    STATE(286), 1,
      sym_type_builtin,
    STATE(403), 1,
      sym_type_array,
    STATE(467), 1,
      sym_infix_u_op_5,
    STATE(548), 1,
      sym_infix_expr,
    ACTIONS(167), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(193), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(282), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(393), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(185), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(272), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [33179] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(245), 1,
      sym_num_literal,
    ACTIONS(255), 1,
      anon_sym_LBRACE,
    ACTIONS(261), 1,
      anon_sym_import,
    ACTIONS(263), 1,
      anon_sym_Array,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_BQUOTE,
    ACTIONS(271), 1,
      anon_sym_LBRACK,
    ACTIONS(275), 1,
      anon_sym_PERCENT,
    ACTIONS(277), 1,
      anon_sym_DASH,
    ACTIONS(279), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(281), 1,
      sym_multstr_start,
    ACTIONS(283), 1,
      sym__str_start,
    STATE(134), 1,
      sym_applicative,
    STATE(271), 1,
      sym_type_builtin,
    STATE(277), 1,
      sym_record_operand,
    STATE(404), 1,
      sym_type_array,
    STATE(463), 1,
      sym_infix_u_op_5,
    STATE(518), 1,
      sym_infix_expr,
    ACTIONS(247), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(218), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(276), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(265), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(285), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [33269] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(245), 1,
      sym_num_literal,
    ACTIONS(255), 1,
      anon_sym_LBRACE,
    ACTIONS(261), 1,
      anon_sym_import,
    ACTIONS(263), 1,
      anon_sym_Array,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_BQUOTE,
    ACTIONS(271), 1,
      anon_sym_LBRACK,
    ACTIONS(275), 1,
      anon_sym_PERCENT,
    ACTIONS(277), 1,
      anon_sym_DASH,
    ACTIONS(279), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(281), 1,
      sym_multstr_start,
    ACTIONS(283), 1,
      sym__str_start,
    STATE(134), 1,
      sym_applicative,
    STATE(271), 1,
      sym_type_builtin,
    STATE(277), 1,
      sym_record_operand,
    STATE(404), 1,
      sym_type_array,
    STATE(463), 1,
      sym_infix_u_op_5,
    STATE(520), 1,
      sym_infix_expr,
    ACTIONS(247), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(218), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(276), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(265), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(285), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [33359] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(245), 1,
      sym_num_literal,
    ACTIONS(255), 1,
      anon_sym_LBRACE,
    ACTIONS(261), 1,
      anon_sym_import,
    ACTIONS(263), 1,
      anon_sym_Array,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_BQUOTE,
    ACTIONS(271), 1,
      anon_sym_LBRACK,
    ACTIONS(275), 1,
      anon_sym_PERCENT,
    ACTIONS(277), 1,
      anon_sym_DASH,
    ACTIONS(279), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(281), 1,
      sym_multstr_start,
    ACTIONS(283), 1,
      sym__str_start,
    STATE(134), 1,
      sym_applicative,
    STATE(271), 1,
      sym_type_builtin,
    STATE(277), 1,
      sym_record_operand,
    STATE(404), 1,
      sym_type_array,
    STATE(463), 1,
      sym_infix_u_op_5,
    STATE(526), 1,
      sym_infix_expr,
    ACTIONS(247), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(218), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(276), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(265), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(285), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [33449] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(245), 1,
      sym_num_literal,
    ACTIONS(255), 1,
      anon_sym_LBRACE,
    ACTIONS(261), 1,
      anon_sym_import,
    ACTIONS(263), 1,
      anon_sym_Array,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_BQUOTE,
    ACTIONS(271), 1,
      anon_sym_LBRACK,
    ACTIONS(275), 1,
      anon_sym_PERCENT,
    ACTIONS(277), 1,
      anon_sym_DASH,
    ACTIONS(279), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(281), 1,
      sym_multstr_start,
    ACTIONS(283), 1,
      sym__str_start,
    STATE(134), 1,
      sym_applicative,
    STATE(271), 1,
      sym_type_builtin,
    STATE(277), 1,
      sym_record_operand,
    STATE(404), 1,
      sym_type_array,
    STATE(463), 1,
      sym_infix_u_op_5,
    STATE(529), 1,
      sym_infix_expr,
    ACTIONS(247), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(218), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(276), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(265), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(285), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [33539] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(245), 1,
      sym_num_literal,
    ACTIONS(255), 1,
      anon_sym_LBRACE,
    ACTIONS(261), 1,
      anon_sym_import,
    ACTIONS(263), 1,
      anon_sym_Array,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_BQUOTE,
    ACTIONS(271), 1,
      anon_sym_LBRACK,
    ACTIONS(275), 1,
      anon_sym_PERCENT,
    ACTIONS(277), 1,
      anon_sym_DASH,
    ACTIONS(279), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(281), 1,
      sym_multstr_start,
    ACTIONS(283), 1,
      sym__str_start,
    STATE(134), 1,
      sym_applicative,
    STATE(271), 1,
      sym_type_builtin,
    STATE(277), 1,
      sym_record_operand,
    STATE(404), 1,
      sym_type_array,
    STATE(463), 1,
      sym_infix_u_op_5,
    STATE(545), 1,
      sym_infix_expr,
    ACTIONS(247), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(218), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(276), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(265), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(285), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [33629] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(245), 1,
      sym_num_literal,
    ACTIONS(255), 1,
      anon_sym_LBRACE,
    ACTIONS(261), 1,
      anon_sym_import,
    ACTIONS(263), 1,
      anon_sym_Array,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_BQUOTE,
    ACTIONS(271), 1,
      anon_sym_LBRACK,
    ACTIONS(275), 1,
      anon_sym_PERCENT,
    ACTIONS(277), 1,
      anon_sym_DASH,
    ACTIONS(279), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(281), 1,
      sym_multstr_start,
    ACTIONS(283), 1,
      sym__str_start,
    STATE(134), 1,
      sym_applicative,
    STATE(271), 1,
      sym_type_builtin,
    STATE(277), 1,
      sym_record_operand,
    STATE(404), 1,
      sym_type_array,
    STATE(463), 1,
      sym_infix_u_op_5,
    STATE(551), 1,
      sym_infix_expr,
    ACTIONS(247), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(218), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(276), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(265), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(285), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [33719] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(245), 1,
      sym_num_literal,
    ACTIONS(255), 1,
      anon_sym_LBRACE,
    ACTIONS(261), 1,
      anon_sym_import,
    ACTIONS(263), 1,
      anon_sym_Array,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_BQUOTE,
    ACTIONS(271), 1,
      anon_sym_LBRACK,
    ACTIONS(275), 1,
      anon_sym_PERCENT,
    ACTIONS(277), 1,
      anon_sym_DASH,
    ACTIONS(279), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(281), 1,
      sym_multstr_start,
    ACTIONS(283), 1,
      sym__str_start,
    STATE(134), 1,
      sym_applicative,
    STATE(271), 1,
      sym_type_builtin,
    STATE(277), 1,
      sym_record_operand,
    STATE(404), 1,
      sym_type_array,
    STATE(463), 1,
      sym_infix_u_op_5,
    STATE(550), 1,
      sym_infix_expr,
    ACTIONS(247), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(218), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(276), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(265), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(285), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [33809] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(245), 1,
      sym_num_literal,
    ACTIONS(255), 1,
      anon_sym_LBRACE,
    ACTIONS(261), 1,
      anon_sym_import,
    ACTIONS(263), 1,
      anon_sym_Array,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_BQUOTE,
    ACTIONS(271), 1,
      anon_sym_LBRACK,
    ACTIONS(275), 1,
      anon_sym_PERCENT,
    ACTIONS(277), 1,
      anon_sym_DASH,
    ACTIONS(279), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(281), 1,
      sym_multstr_start,
    ACTIONS(283), 1,
      sym__str_start,
    STATE(134), 1,
      sym_applicative,
    STATE(271), 1,
      sym_type_builtin,
    STATE(277), 1,
      sym_record_operand,
    STATE(404), 1,
      sym_type_array,
    STATE(463), 1,
      sym_infix_u_op_5,
    STATE(493), 1,
      sym_infix_expr,
    ACTIONS(247), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(218), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(276), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(265), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(285), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [33899] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(245), 1,
      sym_num_literal,
    ACTIONS(255), 1,
      anon_sym_LBRACE,
    ACTIONS(261), 1,
      anon_sym_import,
    ACTIONS(263), 1,
      anon_sym_Array,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_BQUOTE,
    ACTIONS(271), 1,
      anon_sym_LBRACK,
    ACTIONS(275), 1,
      anon_sym_PERCENT,
    ACTIONS(277), 1,
      anon_sym_DASH,
    ACTIONS(279), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(281), 1,
      sym_multstr_start,
    ACTIONS(283), 1,
      sym__str_start,
    STATE(134), 1,
      sym_applicative,
    STATE(271), 1,
      sym_type_builtin,
    STATE(277), 1,
      sym_record_operand,
    STATE(404), 1,
      sym_type_array,
    STATE(463), 1,
      sym_infix_u_op_5,
    STATE(533), 1,
      sym_infix_expr,
    ACTIONS(247), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(218), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(276), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(265), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(285), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [33989] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(285), 1,
      sym_num_literal,
    ACTIONS(295), 1,
      anon_sym_LBRACE,
    ACTIONS(301), 1,
      anon_sym_import,
    ACTIONS(303), 1,
      anon_sym_Array,
    ACTIONS(307), 1,
      anon_sym_LPAREN,
    ACTIONS(309), 1,
      anon_sym_BQUOTE,
    ACTIONS(311), 1,
      anon_sym_LBRACK,
    ACTIONS(315), 1,
      anon_sym_PERCENT,
    ACTIONS(317), 1,
      anon_sym_DASH,
    ACTIONS(319), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(321), 1,
      sym_multstr_start,
    ACTIONS(323), 1,
      sym__str_start,
    STATE(133), 1,
      sym_applicative,
    STATE(340), 1,
      sym_type_builtin,
    STATE(343), 1,
      sym_record_operand,
    STATE(400), 1,
      sym_type_array,
    STATE(466), 1,
      sym_infix_u_op_5,
    STATE(507), 1,
      sym_infix_expr,
    ACTIONS(287), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(313), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(201), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(342), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(305), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(347), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [34079] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(205), 1,
      sym_num_literal,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    ACTIONS(221), 1,
      anon_sym_import,
    ACTIONS(223), 1,
      anon_sym_Array,
    ACTIONS(227), 1,
      anon_sym_LPAREN,
    ACTIONS(229), 1,
      anon_sym_BQUOTE,
    ACTIONS(231), 1,
      anon_sym_LBRACK,
    ACTIONS(235), 1,
      anon_sym_PERCENT,
    ACTIONS(237), 1,
      anon_sym_DASH,
    ACTIONS(239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(241), 1,
      sym_multstr_start,
    ACTIONS(243), 1,
      sym__str_start,
    STATE(135), 1,
      sym_applicative,
    STATE(216), 1,
      sym_type_builtin,
    STATE(220), 1,
      sym_record_operand,
    STATE(407), 1,
      sym_type_array,
    STATE(436), 1,
      sym_infix_u_op_5,
    STATE(517), 1,
      sym_infix_expr,
    ACTIONS(207), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(219), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(382), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(225), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(226), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [34169] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_num_literal,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(21), 1,
      anon_sym_import,
    ACTIONS(23), 1,
      anon_sym_Array,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BQUOTE,
    ACTIONS(31), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_PERCENT,
    ACTIONS(37), 1,
      anon_sym_DASH,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(41), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(43), 1,
      sym_multstr_start,
    ACTIONS(45), 1,
      sym__str_start,
    STATE(132), 1,
      sym_applicative,
    STATE(227), 1,
      sym_type_builtin,
    STATE(363), 1,
      sym_record_operand,
    STATE(397), 1,
      sym_type_array,
    STATE(462), 1,
      sym_infix_u_op_5,
    STATE(538), 1,
      sym_infix_expr,
    ACTIONS(7), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(33), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(315), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(348), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(25), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(301), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [34259] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(245), 1,
      sym_num_literal,
    ACTIONS(255), 1,
      anon_sym_LBRACE,
    ACTIONS(261), 1,
      anon_sym_import,
    ACTIONS(263), 1,
      anon_sym_Array,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_BQUOTE,
    ACTIONS(271), 1,
      anon_sym_LBRACK,
    ACTIONS(275), 1,
      anon_sym_PERCENT,
    ACTIONS(277), 1,
      anon_sym_DASH,
    ACTIONS(279), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(281), 1,
      sym_multstr_start,
    ACTIONS(283), 1,
      sym__str_start,
    STATE(134), 1,
      sym_applicative,
    STATE(271), 1,
      sym_type_builtin,
    STATE(277), 1,
      sym_record_operand,
    STATE(404), 1,
      sym_type_array,
    STATE(463), 1,
      sym_infix_u_op_5,
    STATE(522), 1,
      sym_infix_expr,
    ACTIONS(247), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(218), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(276), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(265), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(285), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [34349] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(165), 1,
      sym_num_literal,
    ACTIONS(175), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_import,
    ACTIONS(183), 1,
      anon_sym_Array,
    ACTIONS(187), 1,
      anon_sym_LPAREN,
    ACTIONS(189), 1,
      anon_sym_BQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACK,
    ACTIONS(195), 1,
      anon_sym_PERCENT,
    ACTIONS(197), 1,
      anon_sym_DASH,
    ACTIONS(199), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(201), 1,
      sym_multstr_start,
    ACTIONS(203), 1,
      sym__str_start,
    STATE(131), 1,
      sym_applicative,
    STATE(281), 1,
      sym_record_operand,
    STATE(286), 1,
      sym_type_builtin,
    STATE(403), 1,
      sym_type_array,
    STATE(467), 1,
      sym_infix_u_op_5,
    STATE(513), 1,
      sym_infix_expr,
    ACTIONS(167), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(193), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(282), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(393), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(185), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(272), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [34439] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(245), 1,
      sym_num_literal,
    ACTIONS(255), 1,
      anon_sym_LBRACE,
    ACTIONS(261), 1,
      anon_sym_import,
    ACTIONS(263), 1,
      anon_sym_Array,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_BQUOTE,
    ACTIONS(271), 1,
      anon_sym_LBRACK,
    ACTIONS(275), 1,
      anon_sym_PERCENT,
    ACTIONS(277), 1,
      anon_sym_DASH,
    ACTIONS(279), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(281), 1,
      sym_multstr_start,
    ACTIONS(283), 1,
      sym__str_start,
    STATE(134), 1,
      sym_applicative,
    STATE(271), 1,
      sym_type_builtin,
    STATE(277), 1,
      sym_record_operand,
    STATE(404), 1,
      sym_type_array,
    STATE(463), 1,
      sym_infix_u_op_5,
    STATE(516), 1,
      sym_infix_expr,
    ACTIONS(247), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(218), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(276), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(265), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(285), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [34529] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(285), 1,
      sym_num_literal,
    ACTIONS(295), 1,
      anon_sym_LBRACE,
    ACTIONS(301), 1,
      anon_sym_import,
    ACTIONS(303), 1,
      anon_sym_Array,
    ACTIONS(307), 1,
      anon_sym_LPAREN,
    ACTIONS(309), 1,
      anon_sym_BQUOTE,
    ACTIONS(311), 1,
      anon_sym_LBRACK,
    ACTIONS(315), 1,
      anon_sym_PERCENT,
    ACTIONS(317), 1,
      anon_sym_DASH,
    ACTIONS(319), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(321), 1,
      sym_multstr_start,
    ACTIONS(323), 1,
      sym__str_start,
    STATE(133), 1,
      sym_applicative,
    STATE(340), 1,
      sym_type_builtin,
    STATE(343), 1,
      sym_record_operand,
    STATE(400), 1,
      sym_type_array,
    STATE(466), 1,
      sym_infix_u_op_5,
    STATE(502), 1,
      sym_infix_expr,
    ACTIONS(287), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(313), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(201), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(342), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(305), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(347), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [34619] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(165), 1,
      sym_num_literal,
    ACTIONS(175), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_import,
    ACTIONS(183), 1,
      anon_sym_Array,
    ACTIONS(187), 1,
      anon_sym_LPAREN,
    ACTIONS(189), 1,
      anon_sym_BQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACK,
    ACTIONS(195), 1,
      anon_sym_PERCENT,
    ACTIONS(197), 1,
      anon_sym_DASH,
    ACTIONS(199), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(201), 1,
      sym_multstr_start,
    ACTIONS(203), 1,
      sym__str_start,
    STATE(131), 1,
      sym_applicative,
    STATE(281), 1,
      sym_record_operand,
    STATE(286), 1,
      sym_type_builtin,
    STATE(403), 1,
      sym_type_array,
    STATE(467), 1,
      sym_infix_u_op_5,
    STATE(508), 1,
      sym_infix_expr,
    ACTIONS(167), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(193), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(282), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(393), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(185), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(272), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [34709] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(165), 1,
      sym_num_literal,
    ACTIONS(175), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_import,
    ACTIONS(183), 1,
      anon_sym_Array,
    ACTIONS(187), 1,
      anon_sym_LPAREN,
    ACTIONS(189), 1,
      anon_sym_BQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACK,
    ACTIONS(195), 1,
      anon_sym_PERCENT,
    ACTIONS(197), 1,
      anon_sym_DASH,
    ACTIONS(199), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(201), 1,
      sym_multstr_start,
    ACTIONS(203), 1,
      sym__str_start,
    STATE(131), 1,
      sym_applicative,
    STATE(281), 1,
      sym_record_operand,
    STATE(286), 1,
      sym_type_builtin,
    STATE(403), 1,
      sym_type_array,
    STATE(467), 1,
      sym_infix_u_op_5,
    STATE(494), 1,
      sym_infix_expr,
    ACTIONS(167), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(193), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(282), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(393), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(185), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(272), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [34799] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_num_literal,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(21), 1,
      anon_sym_import,
    ACTIONS(23), 1,
      anon_sym_Array,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BQUOTE,
    ACTIONS(31), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_PERCENT,
    ACTIONS(37), 1,
      anon_sym_DASH,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(41), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(43), 1,
      sym_multstr_start,
    ACTIONS(45), 1,
      sym__str_start,
    STATE(132), 1,
      sym_applicative,
    STATE(227), 1,
      sym_type_builtin,
    STATE(363), 1,
      sym_record_operand,
    STATE(397), 1,
      sym_type_array,
    STATE(462), 1,
      sym_infix_u_op_5,
    STATE(501), 1,
      sym_infix_expr,
    ACTIONS(7), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(33), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(315), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(348), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(25), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(301), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [34889] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(165), 1,
      sym_num_literal,
    ACTIONS(175), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_import,
    ACTIONS(183), 1,
      anon_sym_Array,
    ACTIONS(187), 1,
      anon_sym_LPAREN,
    ACTIONS(189), 1,
      anon_sym_BQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACK,
    ACTIONS(195), 1,
      anon_sym_PERCENT,
    ACTIONS(197), 1,
      anon_sym_DASH,
    ACTIONS(199), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(201), 1,
      sym_multstr_start,
    ACTIONS(203), 1,
      sym__str_start,
    STATE(131), 1,
      sym_applicative,
    STATE(281), 1,
      sym_record_operand,
    STATE(286), 1,
      sym_type_builtin,
    STATE(403), 1,
      sym_type_array,
    STATE(467), 1,
      sym_infix_u_op_5,
    STATE(492), 1,
      sym_infix_expr,
    ACTIONS(167), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(193), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(282), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(393), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(185), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(272), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [34979] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(165), 1,
      sym_num_literal,
    ACTIONS(175), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_import,
    ACTIONS(183), 1,
      anon_sym_Array,
    ACTIONS(187), 1,
      anon_sym_LPAREN,
    ACTIONS(189), 1,
      anon_sym_BQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACK,
    ACTIONS(195), 1,
      anon_sym_PERCENT,
    ACTIONS(197), 1,
      anon_sym_DASH,
    ACTIONS(199), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(201), 1,
      sym_multstr_start,
    ACTIONS(203), 1,
      sym__str_start,
    STATE(131), 1,
      sym_applicative,
    STATE(281), 1,
      sym_record_operand,
    STATE(286), 1,
      sym_type_builtin,
    STATE(403), 1,
      sym_type_array,
    STATE(467), 1,
      sym_infix_u_op_5,
    STATE(495), 1,
      sym_infix_expr,
    ACTIONS(167), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(193), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(282), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(393), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(185), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(272), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [35069] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(63), 1,
      anon_sym_import,
    ACTIONS(65), 1,
      anon_sym_Array,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    ACTIONS(119), 1,
      anon_sym_DASH,
    STATE(8), 1,
      sym_applicative,
    STATE(153), 1,
      sym_type_builtin,
    STATE(156), 1,
      sym_record_operand,
    STATE(175), 1,
      sym_type_array,
    STATE(423), 1,
      sym_infix_u_op_5,
    STATE(479), 1,
      sym_infix_expr,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [35159] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(165), 1,
      sym_num_literal,
    ACTIONS(175), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_import,
    ACTIONS(183), 1,
      anon_sym_Array,
    ACTIONS(187), 1,
      anon_sym_LPAREN,
    ACTIONS(189), 1,
      anon_sym_BQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACK,
    ACTIONS(195), 1,
      anon_sym_PERCENT,
    ACTIONS(197), 1,
      anon_sym_DASH,
    ACTIONS(199), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(201), 1,
      sym_multstr_start,
    ACTIONS(203), 1,
      sym__str_start,
    STATE(131), 1,
      sym_applicative,
    STATE(281), 1,
      sym_record_operand,
    STATE(286), 1,
      sym_type_builtin,
    STATE(403), 1,
      sym_type_array,
    STATE(467), 1,
      sym_infix_u_op_5,
    STATE(500), 1,
      sym_infix_expr,
    ACTIONS(167), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(193), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(282), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(393), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(185), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(272), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [35249] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(39), 1,
      anon_sym_BANG,
    ACTIONS(165), 1,
      sym_num_literal,
    ACTIONS(175), 1,
      anon_sym_LBRACE,
    ACTIONS(181), 1,
      anon_sym_import,
    ACTIONS(183), 1,
      anon_sym_Array,
    ACTIONS(187), 1,
      anon_sym_LPAREN,
    ACTIONS(189), 1,
      anon_sym_BQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACK,
    ACTIONS(195), 1,
      anon_sym_PERCENT,
    ACTIONS(197), 1,
      anon_sym_DASH,
    ACTIONS(199), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(201), 1,
      sym_multstr_start,
    ACTIONS(203), 1,
      sym__str_start,
    STATE(131), 1,
      sym_applicative,
    STATE(281), 1,
      sym_record_operand,
    STATE(286), 1,
      sym_type_builtin,
    STATE(403), 1,
      sym_type_array,
    STATE(467), 1,
      sym_infix_u_op_5,
    STATE(530), 1,
      sym_infix_expr,
    ACTIONS(167), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(193), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(282), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(393), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(185), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(272), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [35339] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_AMP,
    ACTIONS(525), 1,
      anon_sym_PIPE_GT,
    ACTIONS(533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(535), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(537), 1,
      anon_sym_DASH_GT,
    STATE(411), 1,
      sym_infix_b_op_4,
    STATE(412), 1,
      sym_infix_b_op_6,
    STATE(413), 1,
      sym_infix_b_op_7,
    STATE(414), 1,
      sym_infix_b_op_8,
    STATE(415), 1,
      sym_infix_lazy_b_op_9,
    STATE(416), 1,
      sym_infix_lazy_b_op_10,
    STATE(422), 1,
      sym_infix_b_op_2,
    STATE(472), 1,
      sym_infix_b_op_3,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(527), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(529), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(531), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(539), 2,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(541), 7,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [35420] = 11,
    ACTIONS(3), 1,
      sym_comment,
    STATE(411), 1,
      sym_infix_b_op_4,
    STATE(412), 1,
      sym_infix_b_op_6,
    STATE(413), 1,
      sym_infix_b_op_7,
    STATE(414), 1,
      sym_infix_b_op_8,
    STATE(415), 1,
      sym_infix_lazy_b_op_9,
    STATE(416), 1,
      sym_infix_lazy_b_op_10,
    STATE(422), 1,
      sym_infix_b_op_2,
    STATE(472), 1,
      sym_infix_b_op_3,
    ACTIONS(543), 7,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(545), 20,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [35479] = 14,
    ACTIONS(3), 1,
      sym_comment,
    STATE(411), 1,
      sym_infix_b_op_4,
    STATE(412), 1,
      sym_infix_b_op_6,
    STATE(413), 1,
      sym_infix_b_op_7,
    STATE(414), 1,
      sym_infix_b_op_8,
    STATE(415), 1,
      sym_infix_lazy_b_op_9,
    STATE(416), 1,
      sym_infix_lazy_b_op_10,
    STATE(422), 1,
      sym_infix_b_op_2,
    STATE(472), 1,
      sym_infix_b_op_3,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(543), 5,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(545), 15,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [35544] = 11,
    ACTIONS(3), 1,
      sym_comment,
    STATE(411), 1,
      sym_infix_b_op_4,
    STATE(412), 1,
      sym_infix_b_op_6,
    STATE(413), 1,
      sym_infix_b_op_7,
    STATE(414), 1,
      sym_infix_b_op_8,
    STATE(415), 1,
      sym_infix_lazy_b_op_9,
    STATE(416), 1,
      sym_infix_lazy_b_op_10,
    STATE(422), 1,
      sym_infix_b_op_2,
    STATE(472), 1,
      sym_infix_b_op_3,
    ACTIONS(547), 7,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(549), 20,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_AT,
      anon_sym_QMARK,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [35603] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(411), 1,
      sym_infix_b_op_4,
    STATE(412), 1,
      sym_infix_b_op_6,
    STATE(413), 1,
      sym_infix_b_op_7,
    STATE(414), 1,
      sym_infix_b_op_8,
    STATE(415), 1,
      sym_infix_lazy_b_op_9,
    STATE(416), 1,
      sym_infix_lazy_b_op_10,
    STATE(422), 1,
      sym_infix_b_op_2,
    STATE(472), 1,
      sym_infix_b_op_3,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(547), 7,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(549), 18,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [35664] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_AMP,
    ACTIONS(525), 1,
      anon_sym_PIPE_GT,
    ACTIONS(533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(535), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(537), 1,
      anon_sym_DASH_GT,
    STATE(411), 1,
      sym_infix_b_op_4,
    STATE(412), 1,
      sym_infix_b_op_6,
    STATE(413), 1,
      sym_infix_b_op_7,
    STATE(414), 1,
      sym_infix_b_op_8,
    STATE(415), 1,
      sym_infix_lazy_b_op_9,
    STATE(416), 1,
      sym_infix_lazy_b_op_10,
    STATE(422), 1,
      sym_infix_b_op_2,
    STATE(472), 1,
      sym_infix_b_op_3,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(527), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(529), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(531), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(547), 2,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(549), 7,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [35745] = 13,
    ACTIONS(3), 1,
      sym_comment,
    STATE(411), 1,
      sym_infix_b_op_4,
    STATE(412), 1,
      sym_infix_b_op_6,
    STATE(413), 1,
      sym_infix_b_op_7,
    STATE(414), 1,
      sym_infix_b_op_8,
    STATE(415), 1,
      sym_infix_lazy_b_op_9,
    STATE(416), 1,
      sym_infix_lazy_b_op_10,
    STATE(422), 1,
      sym_infix_b_op_2,
    STATE(472), 1,
      sym_infix_b_op_3,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(547), 7,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(549), 15,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [35808] = 14,
    ACTIONS(3), 1,
      sym_comment,
    STATE(411), 1,
      sym_infix_b_op_4,
    STATE(412), 1,
      sym_infix_b_op_6,
    STATE(413), 1,
      sym_infix_b_op_7,
    STATE(414), 1,
      sym_infix_b_op_8,
    STATE(415), 1,
      sym_infix_lazy_b_op_9,
    STATE(416), 1,
      sym_infix_lazy_b_op_10,
    STATE(422), 1,
      sym_infix_b_op_2,
    STATE(472), 1,
      sym_infix_b_op_3,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(547), 5,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(549), 15,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [35873] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_AMP,
    ACTIONS(525), 1,
      anon_sym_PIPE_GT,
    STATE(411), 1,
      sym_infix_b_op_4,
    STATE(412), 1,
      sym_infix_b_op_6,
    STATE(413), 1,
      sym_infix_b_op_7,
    STATE(414), 1,
      sym_infix_b_op_8,
    STATE(415), 1,
      sym_infix_lazy_b_op_9,
    STATE(416), 1,
      sym_infix_lazy_b_op_10,
    STATE(422), 1,
      sym_infix_b_op_2,
    STATE(472), 1,
      sym_infix_b_op_3,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(547), 4,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(549), 14,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [35942] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_AMP,
    ACTIONS(525), 1,
      anon_sym_PIPE_GT,
    STATE(411), 1,
      sym_infix_b_op_4,
    STATE(412), 1,
      sym_infix_b_op_6,
    STATE(413), 1,
      sym_infix_b_op_7,
    STATE(414), 1,
      sym_infix_b_op_8,
    STATE(415), 1,
      sym_infix_lazy_b_op_9,
    STATE(416), 1,
      sym_infix_lazy_b_op_10,
    STATE(422), 1,
      sym_infix_b_op_2,
    STATE(472), 1,
      sym_infix_b_op_3,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(527), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(529), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(547), 2,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(549), 12,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [36015] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_AMP,
    ACTIONS(525), 1,
      anon_sym_PIPE_GT,
    STATE(411), 1,
      sym_infix_b_op_4,
    STATE(412), 1,
      sym_infix_b_op_6,
    STATE(413), 1,
      sym_infix_b_op_7,
    STATE(414), 1,
      sym_infix_b_op_8,
    STATE(415), 1,
      sym_infix_lazy_b_op_9,
    STATE(416), 1,
      sym_infix_lazy_b_op_10,
    STATE(422), 1,
      sym_infix_b_op_2,
    STATE(472), 1,
      sym_infix_b_op_3,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(527), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(529), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(531), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(547), 2,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(549), 10,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [36090] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_AMP,
    ACTIONS(525), 1,
      anon_sym_PIPE_GT,
    ACTIONS(533), 1,
      anon_sym_AMP_AMP,
    STATE(411), 1,
      sym_infix_b_op_4,
    STATE(412), 1,
      sym_infix_b_op_6,
    STATE(413), 1,
      sym_infix_b_op_7,
    STATE(414), 1,
      sym_infix_b_op_8,
    STATE(415), 1,
      sym_infix_lazy_b_op_9,
    STATE(416), 1,
      sym_infix_lazy_b_op_10,
    STATE(422), 1,
      sym_infix_b_op_2,
    STATE(472), 1,
      sym_infix_b_op_3,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(527), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(529), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(531), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(547), 2,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(549), 9,
      anon_sym_COLON,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [36167] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(515), 1,
      anon_sym_else,
    ACTIONS(523), 1,
      anon_sym_AMP,
    ACTIONS(525), 1,
      anon_sym_PIPE_GT,
    ACTIONS(533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(535), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(551), 1,
      anon_sym_PIPE,
    ACTIONS(553), 1,
      anon_sym_COLON,
    ACTIONS(555), 1,
      anon_sym_DASH_GT,
    STATE(409), 1,
      sym_infix_b_op_8,
    STATE(417), 1,
      sym_infix_b_op_7,
    STATE(418), 1,
      sym_infix_lazy_b_op_9,
    STATE(427), 1,
      sym_infix_b_op_6,
    STATE(428), 1,
      sym_infix_b_op_4,
    STATE(429), 1,
      sym_infix_b_op_3,
    STATE(430), 1,
      sym_infix_b_op_2,
    STATE(461), 1,
      sym_infix_lazy_b_op_10,
    STATE(602), 1,
      sym_annot,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(527), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(529), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(531), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    STATE(780), 2,
      sym_annot_atom,
      aux_sym_annot_repeat1,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
  [36251] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(515), 1,
      anon_sym_then,
    ACTIONS(523), 1,
      anon_sym_AMP,
    ACTIONS(525), 1,
      anon_sym_PIPE_GT,
    ACTIONS(533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(535), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(557), 1,
      anon_sym_PIPE,
    ACTIONS(559), 1,
      anon_sym_COLON,
    ACTIONS(561), 1,
      anon_sym_DASH_GT,
    STATE(420), 1,
      sym_infix_lazy_b_op_10,
    STATE(421), 1,
      sym_infix_b_op_8,
    STATE(424), 1,
      sym_infix_lazy_b_op_9,
    STATE(450), 1,
      sym_infix_b_op_7,
    STATE(468), 1,
      sym_infix_b_op_6,
    STATE(470), 1,
      sym_infix_b_op_4,
    STATE(471), 1,
      sym_infix_b_op_3,
    STATE(473), 1,
      sym_infix_b_op_2,
    STATE(602), 1,
      sym_annot,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(527), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(529), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(531), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    STATE(725), 2,
      sym_annot_atom,
      aux_sym_annot_repeat1,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
  [36335] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(515), 1,
      sym_interpolation_end,
    ACTIONS(523), 1,
      anon_sym_AMP,
    ACTIONS(525), 1,
      anon_sym_PIPE_GT,
    ACTIONS(533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(535), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(563), 1,
      anon_sym_PIPE,
    ACTIONS(565), 1,
      anon_sym_COLON,
    ACTIONS(567), 1,
      anon_sym_DASH_GT,
    STATE(425), 1,
      sym_infix_lazy_b_op_10,
    STATE(431), 1,
      sym_infix_lazy_b_op_9,
    STATE(433), 1,
      sym_infix_b_op_8,
    STATE(434), 1,
      sym_infix_b_op_7,
    STATE(435), 1,
      sym_infix_b_op_6,
    STATE(439), 1,
      sym_infix_b_op_4,
    STATE(440), 1,
      sym_infix_b_op_3,
    STATE(442), 1,
      sym_infix_b_op_2,
    STATE(957), 1,
      sym_annot,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(527), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(529), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(531), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    STATE(756), 2,
      sym_annot_atom,
      aux_sym_annot_repeat1,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
  [36419] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(515), 1,
      anon_sym_in,
    ACTIONS(523), 1,
      anon_sym_AMP,
    ACTIONS(525), 1,
      anon_sym_PIPE_GT,
    ACTIONS(533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(535), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(569), 1,
      anon_sym_PIPE,
    ACTIONS(571), 1,
      anon_sym_COLON,
    ACTIONS(573), 1,
      anon_sym_DASH_GT,
    STATE(451), 1,
      sym_infix_lazy_b_op_10,
    STATE(452), 1,
      sym_infix_lazy_b_op_9,
    STATE(453), 1,
      sym_infix_b_op_8,
    STATE(454), 1,
      sym_infix_b_op_7,
    STATE(455), 1,
      sym_infix_b_op_6,
    STATE(456), 1,
      sym_infix_b_op_4,
    STATE(457), 1,
      sym_infix_b_op_3,
    STATE(458), 1,
      sym_infix_b_op_2,
    STATE(602), 1,
      sym_annot,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(527), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(529), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(531), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    STATE(731), 2,
      sym_annot_atom,
      aux_sym_annot_repeat1,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
  [36503] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(515), 1,
      ts_builtin_sym_end,
    ACTIONS(523), 1,
      anon_sym_AMP,
    ACTIONS(525), 1,
      anon_sym_PIPE_GT,
    ACTIONS(533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(535), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(575), 1,
      anon_sym_PIPE,
    ACTIONS(577), 1,
      anon_sym_COLON,
    ACTIONS(579), 1,
      anon_sym_DASH_GT,
    STATE(437), 1,
      sym_infix_lazy_b_op_10,
    STATE(438), 1,
      sym_infix_lazy_b_op_9,
    STATE(444), 1,
      sym_infix_b_op_8,
    STATE(445), 1,
      sym_infix_b_op_7,
    STATE(446), 1,
      sym_infix_b_op_6,
    STATE(447), 1,
      sym_infix_b_op_4,
    STATE(448), 1,
      sym_infix_b_op_3,
    STATE(449), 1,
      sym_infix_b_op_2,
    STATE(602), 1,
      sym_annot,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(527), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(529), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(531), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    STATE(763), 2,
      sym_annot_atom,
      aux_sym_annot_repeat1,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
  [36587] = 13,
    ACTIONS(3), 1,
      sym_comment,
    STATE(420), 1,
      sym_infix_lazy_b_op_10,
    STATE(421), 1,
      sym_infix_b_op_8,
    STATE(424), 1,
      sym_infix_lazy_b_op_9,
    STATE(450), 1,
      sym_infix_b_op_7,
    STATE(468), 1,
      sym_infix_b_op_6,
    STATE(470), 1,
      sym_infix_b_op_4,
    STATE(471), 1,
      sym_infix_b_op_3,
    STATE(473), 1,
      sym_infix_b_op_2,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(547), 6,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(549), 10,
      anon_sym_COLON,
      anon_sym_then,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [36644] = 11,
    ACTIONS(3), 1,
      sym_comment,
    STATE(451), 1,
      sym_infix_lazy_b_op_10,
    STATE(452), 1,
      sym_infix_lazy_b_op_9,
    STATE(453), 1,
      sym_infix_b_op_8,
    STATE(454), 1,
      sym_infix_b_op_7,
    STATE(455), 1,
      sym_infix_b_op_6,
    STATE(456), 1,
      sym_infix_b_op_4,
    STATE(457), 1,
      sym_infix_b_op_3,
    STATE(458), 1,
      sym_infix_b_op_2,
    ACTIONS(547), 6,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(549), 15,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [36697] = 14,
    ACTIONS(3), 1,
      sym_comment,
    STATE(420), 1,
      sym_infix_lazy_b_op_10,
    STATE(421), 1,
      sym_infix_b_op_8,
    STATE(424), 1,
      sym_infix_lazy_b_op_9,
    STATE(450), 1,
      sym_infix_b_op_7,
    STATE(468), 1,
      sym_infix_b_op_6,
    STATE(470), 1,
      sym_infix_b_op_4,
    STATE(471), 1,
      sym_infix_b_op_3,
    STATE(473), 1,
      sym_infix_b_op_2,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(547), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(549), 10,
      anon_sym_COLON,
      anon_sym_then,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [36756] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(420), 1,
      sym_infix_lazy_b_op_10,
    STATE(421), 1,
      sym_infix_b_op_8,
    STATE(424), 1,
      sym_infix_lazy_b_op_9,
    STATE(450), 1,
      sym_infix_b_op_7,
    STATE(468), 1,
      sym_infix_b_op_6,
    STATE(470), 1,
      sym_infix_b_op_4,
    STATE(471), 1,
      sym_infix_b_op_3,
    STATE(473), 1,
      sym_infix_b_op_2,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(547), 6,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(549), 13,
      anon_sym_COLON,
      anon_sym_then,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [36811] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_AMP,
    ACTIONS(525), 1,
      anon_sym_PIPE_GT,
    ACTIONS(533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(535), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(539), 1,
      anon_sym_PIPE,
    ACTIONS(555), 1,
      anon_sym_DASH_GT,
    STATE(409), 1,
      sym_infix_b_op_8,
    STATE(417), 1,
      sym_infix_b_op_7,
    STATE(418), 1,
      sym_infix_lazy_b_op_9,
    STATE(427), 1,
      sym_infix_b_op_6,
    STATE(428), 1,
      sym_infix_b_op_4,
    STATE(429), 1,
      sym_infix_b_op_3,
    STATE(430), 1,
      sym_infix_b_op_2,
    STATE(461), 1,
      sym_infix_lazy_b_op_10,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(527), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(529), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(531), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(541), 2,
      anon_sym_COLON,
      anon_sym_else,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
  [36886] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_AMP,
    ACTIONS(525), 1,
      anon_sym_PIPE_GT,
    ACTIONS(547), 1,
      anon_sym_PIPE,
    STATE(420), 1,
      sym_infix_lazy_b_op_10,
    STATE(421), 1,
      sym_infix_b_op_8,
    STATE(424), 1,
      sym_infix_lazy_b_op_9,
    STATE(450), 1,
      sym_infix_b_op_7,
    STATE(468), 1,
      sym_infix_b_op_6,
    STATE(470), 1,
      sym_infix_b_op_4,
    STATE(471), 1,
      sym_infix_b_op_3,
    STATE(473), 1,
      sym_infix_b_op_2,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(527), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(529), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(549), 7,
      anon_sym_COLON,
      anon_sym_then,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [36953] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_AMP,
    ACTIONS(525), 1,
      anon_sym_PIPE_GT,
    ACTIONS(547), 1,
      anon_sym_PIPE,
    STATE(420), 1,
      sym_infix_lazy_b_op_10,
    STATE(421), 1,
      sym_infix_b_op_8,
    STATE(424), 1,
      sym_infix_lazy_b_op_9,
    STATE(450), 1,
      sym_infix_b_op_7,
    STATE(468), 1,
      sym_infix_b_op_6,
    STATE(470), 1,
      sym_infix_b_op_4,
    STATE(471), 1,
      sym_infix_b_op_3,
    STATE(473), 1,
      sym_infix_b_op_2,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(527), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(529), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(531), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(549), 5,
      anon_sym_COLON,
      anon_sym_then,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [37022] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_AMP,
    ACTIONS(525), 1,
      anon_sym_PIPE_GT,
    ACTIONS(533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(547), 1,
      anon_sym_PIPE,
    STATE(420), 1,
      sym_infix_lazy_b_op_10,
    STATE(421), 1,
      sym_infix_b_op_8,
    STATE(424), 1,
      sym_infix_lazy_b_op_9,
    STATE(450), 1,
      sym_infix_b_op_7,
    STATE(468), 1,
      sym_infix_b_op_6,
    STATE(470), 1,
      sym_infix_b_op_4,
    STATE(471), 1,
      sym_infix_b_op_3,
    STATE(473), 1,
      sym_infix_b_op_2,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(527), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(529), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(531), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(549), 4,
      anon_sym_COLON,
      anon_sym_then,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [37093] = 11,
    ACTIONS(3), 1,
      sym_comment,
    STATE(420), 1,
      sym_infix_lazy_b_op_10,
    STATE(421), 1,
      sym_infix_b_op_8,
    STATE(424), 1,
      sym_infix_lazy_b_op_9,
    STATE(450), 1,
      sym_infix_b_op_7,
    STATE(468), 1,
      sym_infix_b_op_6,
    STATE(470), 1,
      sym_infix_b_op_4,
    STATE(471), 1,
      sym_infix_b_op_3,
    STATE(473), 1,
      sym_infix_b_op_2,
    ACTIONS(547), 6,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(549), 15,
      anon_sym_COLON,
      anon_sym_then,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [37146] = 11,
    ACTIONS(3), 1,
      sym_comment,
    STATE(437), 1,
      sym_infix_lazy_b_op_10,
    STATE(438), 1,
      sym_infix_lazy_b_op_9,
    STATE(444), 1,
      sym_infix_b_op_8,
    STATE(445), 1,
      sym_infix_b_op_7,
    STATE(446), 1,
      sym_infix_b_op_6,
    STATE(447), 1,
      sym_infix_b_op_4,
    STATE(448), 1,
      sym_infix_b_op_3,
    STATE(449), 1,
      sym_infix_b_op_2,
    ACTIONS(543), 6,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(545), 15,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [37199] = 14,
    ACTIONS(3), 1,
      sym_comment,
    STATE(425), 1,
      sym_infix_lazy_b_op_10,
    STATE(431), 1,
      sym_infix_lazy_b_op_9,
    STATE(433), 1,
      sym_infix_b_op_8,
    STATE(434), 1,
      sym_infix_b_op_7,
    STATE(435), 1,
      sym_infix_b_op_6,
    STATE(439), 1,
      sym_infix_b_op_4,
    STATE(440), 1,
      sym_infix_b_op_3,
    STATE(442), 1,
      sym_infix_b_op_2,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(543), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(545), 10,
      sym_interpolation_end,
      anon_sym_COLON,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [37258] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_AMP,
    ACTIONS(525), 1,
      anon_sym_PIPE_GT,
    ACTIONS(533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(535), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(539), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_DASH_GT,
    STATE(425), 1,
      sym_infix_lazy_b_op_10,
    STATE(431), 1,
      sym_infix_lazy_b_op_9,
    STATE(433), 1,
      sym_infix_b_op_8,
    STATE(434), 1,
      sym_infix_b_op_7,
    STATE(435), 1,
      sym_infix_b_op_6,
    STATE(439), 1,
      sym_infix_b_op_4,
    STATE(440), 1,
      sym_infix_b_op_3,
    STATE(442), 1,
      sym_infix_b_op_2,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(527), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(529), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(531), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(541), 2,
      sym_interpolation_end,
      anon_sym_COLON,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
  [37333] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_AMP,
    ACTIONS(525), 1,
      anon_sym_PIPE_GT,
    ACTIONS(533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(535), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(547), 1,
      anon_sym_PIPE,
    ACTIONS(567), 1,
      anon_sym_DASH_GT,
    STATE(425), 1,
      sym_infix_lazy_b_op_10,
    STATE(431), 1,
      sym_infix_lazy_b_op_9,
    STATE(433), 1,
      sym_infix_b_op_8,
    STATE(434), 1,
      sym_infix_b_op_7,
    STATE(435), 1,
      sym_infix_b_op_6,
    STATE(439), 1,
      sym_infix_b_op_4,
    STATE(440), 1,
      sym_infix_b_op_3,
    STATE(442), 1,
      sym_infix_b_op_2,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(527), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(529), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(531), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(549), 2,
      sym_interpolation_end,
      anon_sym_COLON,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
  [37408] = 11,
    ACTIONS(3), 1,
      sym_comment,
    STATE(409), 1,
      sym_infix_b_op_8,
    STATE(417), 1,
      sym_infix_b_op_7,
    STATE(418), 1,
      sym_infix_lazy_b_op_9,
    STATE(427), 1,
      sym_infix_b_op_6,
    STATE(428), 1,
      sym_infix_b_op_4,
    STATE(429), 1,
      sym_infix_b_op_3,
    STATE(430), 1,
      sym_infix_b_op_2,
    STATE(461), 1,
      sym_infix_lazy_b_op_10,
    ACTIONS(547), 6,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(549), 15,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [37461] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(409), 1,
      sym_infix_b_op_8,
    STATE(417), 1,
      sym_infix_b_op_7,
    STATE(418), 1,
      sym_infix_lazy_b_op_9,
    STATE(427), 1,
      sym_infix_b_op_6,
    STATE(428), 1,
      sym_infix_b_op_4,
    STATE(429), 1,
      sym_infix_b_op_3,
    STATE(430), 1,
      sym_infix_b_op_2,
    STATE(461), 1,
      sym_infix_lazy_b_op_10,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(547), 6,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(549), 13,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [37516] = 11,
    ACTIONS(3), 1,
      sym_comment,
    STATE(425), 1,
      sym_infix_lazy_b_op_10,
    STATE(431), 1,
      sym_infix_lazy_b_op_9,
    STATE(433), 1,
      sym_infix_b_op_8,
    STATE(434), 1,
      sym_infix_b_op_7,
    STATE(435), 1,
      sym_infix_b_op_6,
    STATE(439), 1,
      sym_infix_b_op_4,
    STATE(440), 1,
      sym_infix_b_op_3,
    STATE(442), 1,
      sym_infix_b_op_2,
    ACTIONS(543), 6,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(545), 15,
      sym_interpolation_end,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [37569] = 14,
    ACTIONS(3), 1,
      sym_comment,
    STATE(420), 1,
      sym_infix_lazy_b_op_10,
    STATE(421), 1,
      sym_infix_b_op_8,
    STATE(424), 1,
      sym_infix_lazy_b_op_9,
    STATE(450), 1,
      sym_infix_b_op_7,
    STATE(468), 1,
      sym_infix_b_op_6,
    STATE(470), 1,
      sym_infix_b_op_4,
    STATE(471), 1,
      sym_infix_b_op_3,
    STATE(473), 1,
      sym_infix_b_op_2,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(543), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(545), 10,
      anon_sym_COLON,
      anon_sym_then,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [37628] = 13,
    ACTIONS(3), 1,
      sym_comment,
    STATE(409), 1,
      sym_infix_b_op_8,
    STATE(417), 1,
      sym_infix_b_op_7,
    STATE(418), 1,
      sym_infix_lazy_b_op_9,
    STATE(427), 1,
      sym_infix_b_op_6,
    STATE(428), 1,
      sym_infix_b_op_4,
    STATE(429), 1,
      sym_infix_b_op_3,
    STATE(430), 1,
      sym_infix_b_op_2,
    STATE(461), 1,
      sym_infix_lazy_b_op_10,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(547), 6,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(549), 10,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [37685] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_AMP,
    ACTIONS(525), 1,
      anon_sym_PIPE_GT,
    ACTIONS(533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(535), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(539), 1,
      anon_sym_PIPE,
    ACTIONS(561), 1,
      anon_sym_DASH_GT,
    STATE(420), 1,
      sym_infix_lazy_b_op_10,
    STATE(421), 1,
      sym_infix_b_op_8,
    STATE(424), 1,
      sym_infix_lazy_b_op_9,
    STATE(450), 1,
      sym_infix_b_op_7,
    STATE(468), 1,
      sym_infix_b_op_6,
    STATE(470), 1,
      sym_infix_b_op_4,
    STATE(471), 1,
      sym_infix_b_op_3,
    STATE(473), 1,
      sym_infix_b_op_2,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(527), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(529), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(531), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(541), 2,
      anon_sym_COLON,
      anon_sym_then,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
  [37760] = 14,
    ACTIONS(3), 1,
      sym_comment,
    STATE(409), 1,
      sym_infix_b_op_8,
    STATE(417), 1,
      sym_infix_b_op_7,
    STATE(418), 1,
      sym_infix_lazy_b_op_9,
    STATE(427), 1,
      sym_infix_b_op_6,
    STATE(428), 1,
      sym_infix_b_op_4,
    STATE(429), 1,
      sym_infix_b_op_3,
    STATE(430), 1,
      sym_infix_b_op_2,
    STATE(461), 1,
      sym_infix_lazy_b_op_10,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(547), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(549), 10,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [37819] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_AMP,
    ACTIONS(525), 1,
      anon_sym_PIPE_GT,
    STATE(409), 1,
      sym_infix_b_op_8,
    STATE(417), 1,
      sym_infix_b_op_7,
    STATE(418), 1,
      sym_infix_lazy_b_op_9,
    STATE(427), 1,
      sym_infix_b_op_6,
    STATE(428), 1,
      sym_infix_b_op_4,
    STATE(429), 1,
      sym_infix_b_op_3,
    STATE(430), 1,
      sym_infix_b_op_2,
    STATE(461), 1,
      sym_infix_lazy_b_op_10,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(547), 3,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(549), 9,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [37882] = 11,
    ACTIONS(3), 1,
      sym_comment,
    STATE(420), 1,
      sym_infix_lazy_b_op_10,
    STATE(421), 1,
      sym_infix_b_op_8,
    STATE(424), 1,
      sym_infix_lazy_b_op_9,
    STATE(450), 1,
      sym_infix_b_op_7,
    STATE(468), 1,
      sym_infix_b_op_6,
    STATE(470), 1,
      sym_infix_b_op_4,
    STATE(471), 1,
      sym_infix_b_op_3,
    STATE(473), 1,
      sym_infix_b_op_2,
    ACTIONS(543), 6,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(545), 15,
      anon_sym_COLON,
      anon_sym_then,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [37935] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_AMP,
    ACTIONS(525), 1,
      anon_sym_PIPE_GT,
    ACTIONS(547), 1,
      anon_sym_PIPE,
    STATE(409), 1,
      sym_infix_b_op_8,
    STATE(417), 1,
      sym_infix_b_op_7,
    STATE(418), 1,
      sym_infix_lazy_b_op_9,
    STATE(427), 1,
      sym_infix_b_op_6,
    STATE(428), 1,
      sym_infix_b_op_4,
    STATE(429), 1,
      sym_infix_b_op_3,
    STATE(430), 1,
      sym_infix_b_op_2,
    STATE(461), 1,
      sym_infix_lazy_b_op_10,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(527), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(529), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(549), 7,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [38002] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_AMP,
    ACTIONS(525), 1,
      anon_sym_PIPE_GT,
    ACTIONS(547), 1,
      anon_sym_PIPE,
    STATE(409), 1,
      sym_infix_b_op_8,
    STATE(417), 1,
      sym_infix_b_op_7,
    STATE(418), 1,
      sym_infix_lazy_b_op_9,
    STATE(427), 1,
      sym_infix_b_op_6,
    STATE(428), 1,
      sym_infix_b_op_4,
    STATE(429), 1,
      sym_infix_b_op_3,
    STATE(430), 1,
      sym_infix_b_op_2,
    STATE(461), 1,
      sym_infix_lazy_b_op_10,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(527), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(529), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(531), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(549), 5,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [38071] = 11,
    ACTIONS(3), 1,
      sym_comment,
    STATE(451), 1,
      sym_infix_lazy_b_op_10,
    STATE(452), 1,
      sym_infix_lazy_b_op_9,
    STATE(453), 1,
      sym_infix_b_op_8,
    STATE(454), 1,
      sym_infix_b_op_7,
    STATE(455), 1,
      sym_infix_b_op_6,
    STATE(456), 1,
      sym_infix_b_op_4,
    STATE(457), 1,
      sym_infix_b_op_3,
    STATE(458), 1,
      sym_infix_b_op_2,
    ACTIONS(543), 6,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(545), 15,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [38124] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_AMP,
    ACTIONS(525), 1,
      anon_sym_PIPE_GT,
    ACTIONS(533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(547), 1,
      anon_sym_PIPE,
    STATE(409), 1,
      sym_infix_b_op_8,
    STATE(417), 1,
      sym_infix_b_op_7,
    STATE(418), 1,
      sym_infix_lazy_b_op_9,
    STATE(427), 1,
      sym_infix_b_op_6,
    STATE(428), 1,
      sym_infix_b_op_4,
    STATE(429), 1,
      sym_infix_b_op_3,
    STATE(430), 1,
      sym_infix_b_op_2,
    STATE(461), 1,
      sym_infix_lazy_b_op_10,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(527), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(529), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(531), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(549), 4,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [38195] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_AMP,
    ACTIONS(525), 1,
      anon_sym_PIPE_GT,
    ACTIONS(533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(547), 1,
      anon_sym_PIPE,
    STATE(451), 1,
      sym_infix_lazy_b_op_10,
    STATE(452), 1,
      sym_infix_lazy_b_op_9,
    STATE(453), 1,
      sym_infix_b_op_8,
    STATE(454), 1,
      sym_infix_b_op_7,
    STATE(455), 1,
      sym_infix_b_op_6,
    STATE(456), 1,
      sym_infix_b_op_4,
    STATE(457), 1,
      sym_infix_b_op_3,
    STATE(458), 1,
      sym_infix_b_op_2,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(527), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(529), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(531), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(549), 4,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [38266] = 11,
    ACTIONS(3), 1,
      sym_comment,
    STATE(409), 1,
      sym_infix_b_op_8,
    STATE(417), 1,
      sym_infix_b_op_7,
    STATE(418), 1,
      sym_infix_lazy_b_op_9,
    STATE(427), 1,
      sym_infix_b_op_6,
    STATE(428), 1,
      sym_infix_b_op_4,
    STATE(429), 1,
      sym_infix_b_op_3,
    STATE(430), 1,
      sym_infix_b_op_2,
    STATE(461), 1,
      sym_infix_lazy_b_op_10,
    ACTIONS(543), 6,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(545), 15,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [38319] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_AMP,
    ACTIONS(525), 1,
      anon_sym_PIPE_GT,
    ACTIONS(547), 1,
      anon_sym_PIPE,
    STATE(451), 1,
      sym_infix_lazy_b_op_10,
    STATE(452), 1,
      sym_infix_lazy_b_op_9,
    STATE(453), 1,
      sym_infix_b_op_8,
    STATE(454), 1,
      sym_infix_b_op_7,
    STATE(455), 1,
      sym_infix_b_op_6,
    STATE(456), 1,
      sym_infix_b_op_4,
    STATE(457), 1,
      sym_infix_b_op_3,
    STATE(458), 1,
      sym_infix_b_op_2,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(527), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(529), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(531), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(549), 5,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [38388] = 14,
    ACTIONS(3), 1,
      sym_comment,
    STATE(409), 1,
      sym_infix_b_op_8,
    STATE(417), 1,
      sym_infix_b_op_7,
    STATE(418), 1,
      sym_infix_lazy_b_op_9,
    STATE(427), 1,
      sym_infix_b_op_6,
    STATE(428), 1,
      sym_infix_b_op_4,
    STATE(429), 1,
      sym_infix_b_op_3,
    STATE(430), 1,
      sym_infix_b_op_2,
    STATE(461), 1,
      sym_infix_lazy_b_op_10,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(543), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(545), 10,
      anon_sym_COLON,
      anon_sym_else,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [38447] = 14,
    ACTIONS(3), 1,
      sym_comment,
    STATE(451), 1,
      sym_infix_lazy_b_op_10,
    STATE(452), 1,
      sym_infix_lazy_b_op_9,
    STATE(453), 1,
      sym_infix_b_op_8,
    STATE(454), 1,
      sym_infix_b_op_7,
    STATE(455), 1,
      sym_infix_b_op_6,
    STATE(456), 1,
      sym_infix_b_op_4,
    STATE(457), 1,
      sym_infix_b_op_3,
    STATE(458), 1,
      sym_infix_b_op_2,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(543), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(545), 10,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [38506] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_AMP,
    ACTIONS(525), 1,
      anon_sym_PIPE_GT,
    ACTIONS(533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(535), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(539), 1,
      anon_sym_PIPE,
    ACTIONS(579), 1,
      anon_sym_DASH_GT,
    STATE(437), 1,
      sym_infix_lazy_b_op_10,
    STATE(438), 1,
      sym_infix_lazy_b_op_9,
    STATE(444), 1,
      sym_infix_b_op_8,
    STATE(445), 1,
      sym_infix_b_op_7,
    STATE(446), 1,
      sym_infix_b_op_6,
    STATE(447), 1,
      sym_infix_b_op_4,
    STATE(448), 1,
      sym_infix_b_op_3,
    STATE(449), 1,
      sym_infix_b_op_2,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(527), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(529), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(531), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(541), 2,
      ts_builtin_sym_end,
      anon_sym_COLON,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
  [38581] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_AMP,
    ACTIONS(525), 1,
      anon_sym_PIPE_GT,
    ACTIONS(533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(535), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(547), 1,
      anon_sym_PIPE,
    ACTIONS(579), 1,
      anon_sym_DASH_GT,
    STATE(437), 1,
      sym_infix_lazy_b_op_10,
    STATE(438), 1,
      sym_infix_lazy_b_op_9,
    STATE(444), 1,
      sym_infix_b_op_8,
    STATE(445), 1,
      sym_infix_b_op_7,
    STATE(446), 1,
      sym_infix_b_op_6,
    STATE(447), 1,
      sym_infix_b_op_4,
    STATE(448), 1,
      sym_infix_b_op_3,
    STATE(449), 1,
      sym_infix_b_op_2,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(527), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(529), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(531), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(549), 2,
      ts_builtin_sym_end,
      anon_sym_COLON,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
  [38656] = 11,
    ACTIONS(3), 1,
      sym_comment,
    STATE(437), 1,
      sym_infix_lazy_b_op_10,
    STATE(438), 1,
      sym_infix_lazy_b_op_9,
    STATE(444), 1,
      sym_infix_b_op_8,
    STATE(445), 1,
      sym_infix_b_op_7,
    STATE(446), 1,
      sym_infix_b_op_6,
    STATE(447), 1,
      sym_infix_b_op_4,
    STATE(448), 1,
      sym_infix_b_op_3,
    STATE(449), 1,
      sym_infix_b_op_2,
    ACTIONS(547), 6,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(549), 15,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [38709] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_AMP,
    ACTIONS(525), 1,
      anon_sym_PIPE_GT,
    ACTIONS(547), 1,
      anon_sym_PIPE,
    STATE(451), 1,
      sym_infix_lazy_b_op_10,
    STATE(452), 1,
      sym_infix_lazy_b_op_9,
    STATE(453), 1,
      sym_infix_b_op_8,
    STATE(454), 1,
      sym_infix_b_op_7,
    STATE(455), 1,
      sym_infix_b_op_6,
    STATE(456), 1,
      sym_infix_b_op_4,
    STATE(457), 1,
      sym_infix_b_op_3,
    STATE(458), 1,
      sym_infix_b_op_2,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(527), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(529), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(549), 7,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [38776] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(437), 1,
      sym_infix_lazy_b_op_10,
    STATE(438), 1,
      sym_infix_lazy_b_op_9,
    STATE(444), 1,
      sym_infix_b_op_8,
    STATE(445), 1,
      sym_infix_b_op_7,
    STATE(446), 1,
      sym_infix_b_op_6,
    STATE(447), 1,
      sym_infix_b_op_4,
    STATE(448), 1,
      sym_infix_b_op_3,
    STATE(449), 1,
      sym_infix_b_op_2,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(547), 6,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(549), 13,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [38831] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_AMP,
    ACTIONS(525), 1,
      anon_sym_PIPE_GT,
    ACTIONS(533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(535), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(539), 1,
      anon_sym_PIPE,
    ACTIONS(573), 1,
      anon_sym_DASH_GT,
    STATE(451), 1,
      sym_infix_lazy_b_op_10,
    STATE(452), 1,
      sym_infix_lazy_b_op_9,
    STATE(453), 1,
      sym_infix_b_op_8,
    STATE(454), 1,
      sym_infix_b_op_7,
    STATE(455), 1,
      sym_infix_b_op_6,
    STATE(456), 1,
      sym_infix_b_op_4,
    STATE(457), 1,
      sym_infix_b_op_3,
    STATE(458), 1,
      sym_infix_b_op_2,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(527), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(529), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(531), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(541), 2,
      anon_sym_COLON,
      anon_sym_in,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
  [38906] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_AMP,
    ACTIONS(525), 1,
      anon_sym_PIPE_GT,
    STATE(451), 1,
      sym_infix_lazy_b_op_10,
    STATE(452), 1,
      sym_infix_lazy_b_op_9,
    STATE(453), 1,
      sym_infix_b_op_8,
    STATE(454), 1,
      sym_infix_b_op_7,
    STATE(455), 1,
      sym_infix_b_op_6,
    STATE(456), 1,
      sym_infix_b_op_4,
    STATE(457), 1,
      sym_infix_b_op_3,
    STATE(458), 1,
      sym_infix_b_op_2,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(547), 3,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(549), 9,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [38969] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_AMP,
    ACTIONS(525), 1,
      anon_sym_PIPE_GT,
    ACTIONS(533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(535), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(547), 1,
      anon_sym_PIPE,
    ACTIONS(561), 1,
      anon_sym_DASH_GT,
    STATE(420), 1,
      sym_infix_lazy_b_op_10,
    STATE(421), 1,
      sym_infix_b_op_8,
    STATE(424), 1,
      sym_infix_lazy_b_op_9,
    STATE(450), 1,
      sym_infix_b_op_7,
    STATE(468), 1,
      sym_infix_b_op_6,
    STATE(470), 1,
      sym_infix_b_op_4,
    STATE(471), 1,
      sym_infix_b_op_3,
    STATE(473), 1,
      sym_infix_b_op_2,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(527), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(529), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(531), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(549), 2,
      anon_sym_COLON,
      anon_sym_then,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
  [39044] = 11,
    ACTIONS(3), 1,
      sym_comment,
    STATE(425), 1,
      sym_infix_lazy_b_op_10,
    STATE(431), 1,
      sym_infix_lazy_b_op_9,
    STATE(433), 1,
      sym_infix_b_op_8,
    STATE(434), 1,
      sym_infix_b_op_7,
    STATE(435), 1,
      sym_infix_b_op_6,
    STATE(439), 1,
      sym_infix_b_op_4,
    STATE(440), 1,
      sym_infix_b_op_3,
    STATE(442), 1,
      sym_infix_b_op_2,
    ACTIONS(547), 6,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(549), 15,
      sym_interpolation_end,
      anon_sym_COLON,
      anon_sym_AT,
      anon_sym_PERCENT,
      anon_sym_PLUS_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [39097] = 13,
    ACTIONS(3), 1,
      sym_comment,
    STATE(437), 1,
      sym_infix_lazy_b_op_10,
    STATE(438), 1,
      sym_infix_lazy_b_op_9,
    STATE(444), 1,
      sym_infix_b_op_8,
    STATE(445), 1,
      sym_infix_b_op_7,
    STATE(446), 1,
      sym_infix_b_op_6,
    STATE(447), 1,
      sym_infix_b_op_4,
    STATE(448), 1,
      sym_infix_b_op_3,
    STATE(449), 1,
      sym_infix_b_op_2,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(547), 6,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(549), 10,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [39154] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_AMP,
    ACTIONS(525), 1,
      anon_sym_PIPE_GT,
    ACTIONS(533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(535), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(547), 1,
      anon_sym_PIPE,
    ACTIONS(573), 1,
      anon_sym_DASH_GT,
    STATE(451), 1,
      sym_infix_lazy_b_op_10,
    STATE(452), 1,
      sym_infix_lazy_b_op_9,
    STATE(453), 1,
      sym_infix_b_op_8,
    STATE(454), 1,
      sym_infix_b_op_7,
    STATE(455), 1,
      sym_infix_b_op_6,
    STATE(456), 1,
      sym_infix_b_op_4,
    STATE(457), 1,
      sym_infix_b_op_3,
    STATE(458), 1,
      sym_infix_b_op_2,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(527), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(529), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(531), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(549), 2,
      anon_sym_COLON,
      anon_sym_in,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
  [39229] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_AMP,
    ACTIONS(525), 1,
      anon_sym_PIPE_GT,
    STATE(437), 1,
      sym_infix_lazy_b_op_10,
    STATE(438), 1,
      sym_infix_lazy_b_op_9,
    STATE(444), 1,
      sym_infix_b_op_8,
    STATE(445), 1,
      sym_infix_b_op_7,
    STATE(446), 1,
      sym_infix_b_op_6,
    STATE(447), 1,
      sym_infix_b_op_4,
    STATE(448), 1,
      sym_infix_b_op_3,
    STATE(449), 1,
      sym_infix_b_op_2,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(547), 3,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(549), 9,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [39292] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_AMP,
    ACTIONS(525), 1,
      anon_sym_PIPE_GT,
    ACTIONS(547), 1,
      anon_sym_PIPE,
    STATE(437), 1,
      sym_infix_lazy_b_op_10,
    STATE(438), 1,
      sym_infix_lazy_b_op_9,
    STATE(444), 1,
      sym_infix_b_op_8,
    STATE(445), 1,
      sym_infix_b_op_7,
    STATE(446), 1,
      sym_infix_b_op_6,
    STATE(447), 1,
      sym_infix_b_op_4,
    STATE(448), 1,
      sym_infix_b_op_3,
    STATE(449), 1,
      sym_infix_b_op_2,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(527), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(529), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(549), 7,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [39359] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(425), 1,
      sym_infix_lazy_b_op_10,
    STATE(431), 1,
      sym_infix_lazy_b_op_9,
    STATE(433), 1,
      sym_infix_b_op_8,
    STATE(434), 1,
      sym_infix_b_op_7,
    STATE(435), 1,
      sym_infix_b_op_6,
    STATE(439), 1,
      sym_infix_b_op_4,
    STATE(440), 1,
      sym_infix_b_op_3,
    STATE(442), 1,
      sym_infix_b_op_2,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(547), 6,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(549), 13,
      sym_interpolation_end,
      anon_sym_COLON,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [39414] = 13,
    ACTIONS(3), 1,
      sym_comment,
    STATE(425), 1,
      sym_infix_lazy_b_op_10,
    STATE(431), 1,
      sym_infix_lazy_b_op_9,
    STATE(433), 1,
      sym_infix_b_op_8,
    STATE(434), 1,
      sym_infix_b_op_7,
    STATE(435), 1,
      sym_infix_b_op_6,
    STATE(439), 1,
      sym_infix_b_op_4,
    STATE(440), 1,
      sym_infix_b_op_3,
    STATE(442), 1,
      sym_infix_b_op_2,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(547), 6,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(549), 10,
      sym_interpolation_end,
      anon_sym_COLON,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [39471] = 14,
    ACTIONS(3), 1,
      sym_comment,
    STATE(437), 1,
      sym_infix_lazy_b_op_10,
    STATE(438), 1,
      sym_infix_lazy_b_op_9,
    STATE(444), 1,
      sym_infix_b_op_8,
    STATE(445), 1,
      sym_infix_b_op_7,
    STATE(446), 1,
      sym_infix_b_op_6,
    STATE(447), 1,
      sym_infix_b_op_4,
    STATE(448), 1,
      sym_infix_b_op_3,
    STATE(449), 1,
      sym_infix_b_op_2,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(543), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(545), 10,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [39530] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_AMP,
    ACTIONS(525), 1,
      anon_sym_PIPE_GT,
    ACTIONS(547), 1,
      anon_sym_PIPE,
    STATE(437), 1,
      sym_infix_lazy_b_op_10,
    STATE(438), 1,
      sym_infix_lazy_b_op_9,
    STATE(444), 1,
      sym_infix_b_op_8,
    STATE(445), 1,
      sym_infix_b_op_7,
    STATE(446), 1,
      sym_infix_b_op_6,
    STATE(447), 1,
      sym_infix_b_op_4,
    STATE(448), 1,
      sym_infix_b_op_3,
    STATE(449), 1,
      sym_infix_b_op_2,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(527), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(529), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(531), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(549), 5,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [39599] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_AMP,
    ACTIONS(525), 1,
      anon_sym_PIPE_GT,
    ACTIONS(533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(547), 1,
      anon_sym_PIPE,
    STATE(437), 1,
      sym_infix_lazy_b_op_10,
    STATE(438), 1,
      sym_infix_lazy_b_op_9,
    STATE(444), 1,
      sym_infix_b_op_8,
    STATE(445), 1,
      sym_infix_b_op_7,
    STATE(446), 1,
      sym_infix_b_op_6,
    STATE(447), 1,
      sym_infix_b_op_4,
    STATE(448), 1,
      sym_infix_b_op_3,
    STATE(449), 1,
      sym_infix_b_op_2,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(527), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(529), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(531), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(549), 4,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [39670] = 22,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_AMP,
    ACTIONS(525), 1,
      anon_sym_PIPE_GT,
    ACTIONS(533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(535), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(547), 1,
      anon_sym_PIPE,
    ACTIONS(555), 1,
      anon_sym_DASH_GT,
    STATE(409), 1,
      sym_infix_b_op_8,
    STATE(417), 1,
      sym_infix_b_op_7,
    STATE(418), 1,
      sym_infix_lazy_b_op_9,
    STATE(427), 1,
      sym_infix_b_op_6,
    STATE(428), 1,
      sym_infix_b_op_4,
    STATE(429), 1,
      sym_infix_b_op_3,
    STATE(430), 1,
      sym_infix_b_op_2,
    STATE(461), 1,
      sym_infix_lazy_b_op_10,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(527), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(529), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(531), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(549), 2,
      anon_sym_COLON,
      anon_sym_else,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
  [39745] = 14,
    ACTIONS(3), 1,
      sym_comment,
    STATE(425), 1,
      sym_infix_lazy_b_op_10,
    STATE(431), 1,
      sym_infix_lazy_b_op_9,
    STATE(433), 1,
      sym_infix_b_op_8,
    STATE(434), 1,
      sym_infix_b_op_7,
    STATE(435), 1,
      sym_infix_b_op_6,
    STATE(439), 1,
      sym_infix_b_op_4,
    STATE(440), 1,
      sym_infix_b_op_3,
    STATE(442), 1,
      sym_infix_b_op_2,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(547), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(549), 10,
      sym_interpolation_end,
      anon_sym_COLON,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [39804] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_AMP,
    ACTIONS(525), 1,
      anon_sym_PIPE_GT,
    STATE(425), 1,
      sym_infix_lazy_b_op_10,
    STATE(431), 1,
      sym_infix_lazy_b_op_9,
    STATE(433), 1,
      sym_infix_b_op_8,
    STATE(434), 1,
      sym_infix_b_op_7,
    STATE(435), 1,
      sym_infix_b_op_6,
    STATE(439), 1,
      sym_infix_b_op_4,
    STATE(440), 1,
      sym_infix_b_op_3,
    STATE(442), 1,
      sym_infix_b_op_2,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(547), 3,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(549), 9,
      sym_interpolation_end,
      anon_sym_COLON,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [39867] = 14,
    ACTIONS(3), 1,
      sym_comment,
    STATE(437), 1,
      sym_infix_lazy_b_op_10,
    STATE(438), 1,
      sym_infix_lazy_b_op_9,
    STATE(444), 1,
      sym_infix_b_op_8,
    STATE(445), 1,
      sym_infix_b_op_7,
    STATE(446), 1,
      sym_infix_b_op_6,
    STATE(447), 1,
      sym_infix_b_op_4,
    STATE(448), 1,
      sym_infix_b_op_3,
    STATE(449), 1,
      sym_infix_b_op_2,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(547), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(549), 10,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [39926] = 14,
    ACTIONS(3), 1,
      sym_comment,
    STATE(451), 1,
      sym_infix_lazy_b_op_10,
    STATE(452), 1,
      sym_infix_lazy_b_op_9,
    STATE(453), 1,
      sym_infix_b_op_8,
    STATE(454), 1,
      sym_infix_b_op_7,
    STATE(455), 1,
      sym_infix_b_op_6,
    STATE(456), 1,
      sym_infix_b_op_4,
    STATE(457), 1,
      sym_infix_b_op_3,
    STATE(458), 1,
      sym_infix_b_op_2,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(547), 4,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(549), 10,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [39985] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_AMP,
    ACTIONS(525), 1,
      anon_sym_PIPE_GT,
    ACTIONS(547), 1,
      anon_sym_PIPE,
    STATE(425), 1,
      sym_infix_lazy_b_op_10,
    STATE(431), 1,
      sym_infix_lazy_b_op_9,
    STATE(433), 1,
      sym_infix_b_op_8,
    STATE(434), 1,
      sym_infix_b_op_7,
    STATE(435), 1,
      sym_infix_b_op_6,
    STATE(439), 1,
      sym_infix_b_op_4,
    STATE(440), 1,
      sym_infix_b_op_3,
    STATE(442), 1,
      sym_infix_b_op_2,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(527), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(529), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(549), 7,
      sym_interpolation_end,
      anon_sym_COLON,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [40052] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_AMP,
    ACTIONS(525), 1,
      anon_sym_PIPE_GT,
    ACTIONS(547), 1,
      anon_sym_PIPE,
    STATE(425), 1,
      sym_infix_lazy_b_op_10,
    STATE(431), 1,
      sym_infix_lazy_b_op_9,
    STATE(433), 1,
      sym_infix_b_op_8,
    STATE(434), 1,
      sym_infix_b_op_7,
    STATE(435), 1,
      sym_infix_b_op_6,
    STATE(439), 1,
      sym_infix_b_op_4,
    STATE(440), 1,
      sym_infix_b_op_3,
    STATE(442), 1,
      sym_infix_b_op_2,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(527), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(529), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(531), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(549), 5,
      sym_interpolation_end,
      anon_sym_COLON,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [40121] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_AMP,
    ACTIONS(525), 1,
      anon_sym_PIPE_GT,
    STATE(420), 1,
      sym_infix_lazy_b_op_10,
    STATE(421), 1,
      sym_infix_b_op_8,
    STATE(424), 1,
      sym_infix_lazy_b_op_9,
    STATE(450), 1,
      sym_infix_b_op_7,
    STATE(468), 1,
      sym_infix_b_op_6,
    STATE(470), 1,
      sym_infix_b_op_4,
    STATE(471), 1,
      sym_infix_b_op_3,
    STATE(473), 1,
      sym_infix_b_op_2,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(547), 3,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(549), 9,
      anon_sym_COLON,
      anon_sym_then,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [40184] = 20,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(523), 1,
      anon_sym_AMP,
    ACTIONS(525), 1,
      anon_sym_PIPE_GT,
    ACTIONS(533), 1,
      anon_sym_AMP_AMP,
    ACTIONS(547), 1,
      anon_sym_PIPE,
    STATE(425), 1,
      sym_infix_lazy_b_op_10,
    STATE(431), 1,
      sym_infix_lazy_b_op_9,
    STATE(433), 1,
      sym_infix_b_op_8,
    STATE(434), 1,
      sym_infix_b_op_7,
    STATE(435), 1,
      sym_infix_b_op_6,
    STATE(439), 1,
      sym_infix_b_op_4,
    STATE(440), 1,
      sym_infix_b_op_3,
    STATE(442), 1,
      sym_infix_b_op_2,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(521), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(527), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(529), 2,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(531), 2,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(549), 4,
      sym_interpolation_end,
      anon_sym_COLON,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [40255] = 12,
    ACTIONS(3), 1,
      sym_comment,
    STATE(451), 1,
      sym_infix_lazy_b_op_10,
    STATE(452), 1,
      sym_infix_lazy_b_op_9,
    STATE(453), 1,
      sym_infix_b_op_8,
    STATE(454), 1,
      sym_infix_b_op_7,
    STATE(455), 1,
      sym_infix_b_op_6,
    STATE(456), 1,
      sym_infix_b_op_4,
    STATE(457), 1,
      sym_infix_b_op_3,
    STATE(458), 1,
      sym_infix_b_op_2,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(547), 6,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(549), 13,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [40310] = 13,
    ACTIONS(3), 1,
      sym_comment,
    STATE(451), 1,
      sym_infix_lazy_b_op_10,
    STATE(452), 1,
      sym_infix_lazy_b_op_9,
    STATE(453), 1,
      sym_infix_b_op_8,
    STATE(454), 1,
      sym_infix_b_op_7,
    STATE(455), 1,
      sym_infix_b_op_6,
    STATE(456), 1,
      sym_infix_b_op_4,
    STATE(457), 1,
      sym_infix_b_op_3,
    STATE(458), 1,
      sym_infix_b_op_2,
    ACTIONS(517), 2,
      anon_sym_AT,
      anon_sym_PLUS_PLUS,
    ACTIONS(519), 3,
      anon_sym_PERCENT,
      anon_sym_STAR,
      anon_sym_SLASH,
    ACTIONS(547), 6,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(549), 10,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_PIPE_GT,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      anon_sym_DASH_GT,
  [40367] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(205), 1,
      sym_num_literal,
    ACTIONS(215), 1,
      anon_sym_LBRACE,
    ACTIONS(227), 1,
      anon_sym_LPAREN,
    ACTIONS(229), 1,
      anon_sym_BQUOTE,
    ACTIONS(231), 1,
      anon_sym_LBRACK,
    ACTIONS(235), 1,
      anon_sym_PERCENT,
    ACTIONS(239), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(241), 1,
      sym_multstr_start,
    ACTIONS(243), 1,
      sym__str_start,
    STATE(207), 1,
      sym_record_operand,
    STATE(216), 1,
      sym_type_builtin,
    ACTIONS(207), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(233), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(219), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(382), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(225), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(226), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [40433] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(285), 1,
      sym_num_literal,
    ACTIONS(295), 1,
      anon_sym_LBRACE,
    ACTIONS(307), 1,
      anon_sym_LPAREN,
    ACTIONS(309), 1,
      anon_sym_BQUOTE,
    ACTIONS(311), 1,
      anon_sym_LBRACK,
    ACTIONS(315), 1,
      anon_sym_PERCENT,
    ACTIONS(319), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(321), 1,
      sym_multstr_start,
    ACTIONS(323), 1,
      sym__str_start,
    STATE(329), 1,
      sym_record_operand,
    STATE(340), 1,
      sym_type_builtin,
    ACTIONS(287), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(313), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(201), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(342), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(305), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(347), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [40499] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(165), 1,
      sym_num_literal,
    ACTIONS(175), 1,
      anon_sym_LBRACE,
    ACTIONS(187), 1,
      anon_sym_LPAREN,
    ACTIONS(189), 1,
      anon_sym_BQUOTE,
    ACTIONS(191), 1,
      anon_sym_LBRACK,
    ACTIONS(195), 1,
      anon_sym_PERCENT,
    ACTIONS(199), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(201), 1,
      sym_multstr_start,
    ACTIONS(203), 1,
      sym__str_start,
    STATE(286), 1,
      sym_type_builtin,
    STATE(294), 1,
      sym_record_operand,
    ACTIONS(167), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(193), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(282), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(393), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(185), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(272), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [40565] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(47), 1,
      sym_num_literal,
    ACTIONS(57), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_LPAREN,
    ACTIONS(71), 1,
      anon_sym_BQUOTE,
    ACTIONS(73), 1,
      anon_sym_LBRACK,
    ACTIONS(103), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(117), 1,
      anon_sym_PERCENT,
    STATE(148), 1,
      sym_record_operand,
    STATE(153), 1,
      sym_type_builtin,
    ACTIONS(49), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(77), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(136), 2,
      sym_record_operation_chain,
      sym_atom,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(67), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(161), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [40631] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(245), 1,
      sym_num_literal,
    ACTIONS(255), 1,
      anon_sym_LBRACE,
    ACTIONS(267), 1,
      anon_sym_LPAREN,
    ACTIONS(269), 1,
      anon_sym_BQUOTE,
    ACTIONS(271), 1,
      anon_sym_LBRACK,
    ACTIONS(275), 1,
      anon_sym_PERCENT,
    ACTIONS(279), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(281), 1,
      sym_multstr_start,
    ACTIONS(283), 1,
      sym__str_start,
    STATE(266), 1,
      sym_record_operand,
    STATE(271), 1,
      sym_type_builtin,
    ACTIONS(247), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(273), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(218), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(276), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(265), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(285), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [40697] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(5), 1,
      sym_num_literal,
    ACTIONS(15), 1,
      anon_sym_LBRACE,
    ACTIONS(27), 1,
      anon_sym_LPAREN,
    ACTIONS(29), 1,
      anon_sym_BQUOTE,
    ACTIONS(31), 1,
      anon_sym_LBRACK,
    ACTIONS(35), 1,
      anon_sym_PERCENT,
    ACTIONS(41), 1,
      anon_sym_LBRACK_PIPE,
    ACTIONS(43), 1,
      sym_multstr_start,
    ACTIONS(45), 1,
      sym__str_start,
    STATE(227), 1,
      sym_type_builtin,
    STATE(364), 1,
      sym_record_operand,
    ACTIONS(7), 2,
      sym_ident,
      anon_sym_null,
    ACTIONS(33), 2,
      anon_sym_true,
      anon_sym_false,
    STATE(315), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    STATE(348), 2,
      sym_record_operation_chain,
      sym_atom,
    ACTIONS(25), 4,
      anon_sym_Dyn,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
    STATE(301), 5,
      sym_uni_record,
      sym_bool,
      sym_str_chunks,
      sym_builtin,
      sym_type_atom,
  [40763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(581), 11,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_BQUOTE,
      anon_sym_PERCENT,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LBRACK_PIPE,
    ACTIONS(583), 11,
      sym_ident,
      anon_sym_import,
      anon_sym_Array,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
  [40793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(585), 10,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_PERCENT,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LBRACK_PIPE,
    ACTIONS(587), 11,
      sym_ident,
      anon_sym_import,
      anon_sym_Array,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
  [40822] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(589), 10,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_PERCENT,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LBRACK_PIPE,
    ACTIONS(591), 11,
      sym_ident,
      anon_sym_import,
      anon_sym_Array,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
  [40851] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(505), 10,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_PERCENT,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LBRACK_PIPE,
    ACTIONS(593), 11,
      sym_ident,
      anon_sym_import,
      anon_sym_Array,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
  [40880] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(595), 10,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_PERCENT,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LBRACK_PIPE,
    ACTIONS(597), 11,
      sym_ident,
      anon_sym_import,
      anon_sym_Array,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
  [40909] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(599), 10,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_PERCENT,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LBRACK_PIPE,
    ACTIONS(601), 11,
      sym_ident,
      anon_sym_import,
      anon_sym_Array,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
  [40938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(603), 10,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_PERCENT,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LBRACK_PIPE,
    ACTIONS(605), 11,
      sym_ident,
      anon_sym_import,
      anon_sym_Array,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
  [40967] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 10,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_PERCENT,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LBRACK_PIPE,
    ACTIONS(609), 11,
      sym_ident,
      anon_sym_import,
      anon_sym_Array,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
  [40996] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 10,
      sym_multstr_start,
      sym__str_start,
      sym_num_literal,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_BQUOTE,
      anon_sym_PERCENT,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_LBRACK_PIPE,
    ACTIONS(613), 11,
      sym_ident,
      anon_sym_import,
      anon_sym_Array,
      anon_sym_Dyn,
      anon_sym_null,
      anon_sym_LBRACK,
      anon_sym_true,
      anon_sym_false,
      anon_sym_Num,
      anon_sym_Bool,
      anon_sym_Str,
  [41025] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(615), 1,
      sym_ident,
    ACTIONS(617), 1,
      anon_sym_RBRACE,
    ACTIONS(619), 1,
      anon_sym_SEMI,
    ACTIONS(621), 1,
      anon_sym_DOT_DOT,
    ACTIONS(623), 1,
      anon_sym__,
    ACTIONS(625), 1,
      sym_multstr_start,
    ACTIONS(627), 1,
      sym__str_start,
    STATE(577), 1,
      aux_sym_uni_record_repeat1,
    STATE(618), 1,
      sym_field_path,
    STATE(655), 1,
      sym_field_path_elem,
    STATE(687), 1,
      sym_str_chunks,
    STATE(834), 1,
      sym_record_field,
    STATE(925), 1,
      sym_record_last_field,
    STATE(674), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
  [41072] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(615), 1,
      sym_ident,
    ACTIONS(621), 1,
      anon_sym_DOT_DOT,
    ACTIONS(625), 1,
      sym_multstr_start,
    ACTIONS(627), 1,
      sym__str_start,
    ACTIONS(629), 1,
      anon_sym_RBRACE,
    ACTIONS(631), 1,
      anon_sym_SEMI,
    ACTIONS(633), 1,
      anon_sym__,
    STATE(576), 1,
      aux_sym_uni_record_repeat1,
    STATE(618), 1,
      sym_field_path,
    STATE(655), 1,
      sym_field_path_elem,
    STATE(687), 1,
      sym_str_chunks,
    STATE(834), 1,
      sym_record_field,
    STATE(932), 1,
      sym_record_last_field,
    STATE(674), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
  [41119] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(615), 1,
      sym_ident,
    ACTIONS(621), 1,
      anon_sym_DOT_DOT,
    ACTIONS(625), 1,
      sym_multstr_start,
    ACTIONS(627), 1,
      sym__str_start,
    ACTIONS(635), 1,
      anon_sym_RBRACE,
    ACTIONS(637), 1,
      anon_sym_SEMI,
    ACTIONS(639), 1,
      anon_sym__,
    STATE(580), 1,
      aux_sym_uni_record_repeat1,
    STATE(618), 1,
      sym_field_path,
    STATE(655), 1,
      sym_field_path_elem,
    STATE(687), 1,
      sym_str_chunks,
    STATE(834), 1,
      sym_record_field,
    STATE(910), 1,
      sym_record_last_field,
    STATE(674), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
  [41166] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(339), 2,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(337), 13,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_then,
      anon_sym_else,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACK,
  [41189] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(615), 1,
      sym_ident,
    ACTIONS(621), 1,
      anon_sym_DOT_DOT,
    ACTIONS(625), 1,
      sym_multstr_start,
    ACTIONS(627), 1,
      sym__str_start,
    ACTIONS(641), 1,
      anon_sym_RBRACE,
    ACTIONS(643), 1,
      anon_sym_SEMI,
    ACTIONS(645), 1,
      anon_sym__,
    STATE(579), 1,
      aux_sym_uni_record_repeat1,
    STATE(618), 1,
      sym_field_path,
    STATE(655), 1,
      sym_field_path_elem,
    STATE(687), 1,
      sym_str_chunks,
    STATE(834), 1,
      sym_record_field,
    STATE(933), 1,
      sym_record_last_field,
    STATE(674), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
  [41236] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(343), 2,
      anon_sym_PIPE,
      anon_sym_EQ,
    ACTIONS(341), 13,
      ts_builtin_sym_end,
      anon_sym_COLON,
      anon_sym_in,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_then,
      anon_sym_else,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      anon_sym_PIPE_RBRACK,
  [41259] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(615), 1,
      sym_ident,
    ACTIONS(621), 1,
      anon_sym_DOT_DOT,
    ACTIONS(625), 1,
      sym_multstr_start,
    ACTIONS(627), 1,
      sym__str_start,
    ACTIONS(647), 1,
      anon_sym_RBRACE,
    ACTIONS(649), 1,
      anon_sym_SEMI,
    ACTIONS(651), 1,
      anon_sym__,
    STATE(575), 1,
      aux_sym_uni_record_repeat1,
    STATE(618), 1,
      sym_field_path,
    STATE(655), 1,
      sym_field_path_elem,
    STATE(687), 1,
      sym_str_chunks,
    STATE(834), 1,
      sym_record_field,
    STATE(914), 1,
      sym_record_last_field,
    STATE(674), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
  [41306] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(615), 1,
      sym_ident,
    ACTIONS(621), 1,
      anon_sym_DOT_DOT,
    ACTIONS(625), 1,
      sym_multstr_start,
    ACTIONS(627), 1,
      sym__str_start,
    ACTIONS(653), 1,
      anon_sym_RBRACE,
    ACTIONS(655), 1,
      anon_sym_SEMI,
    ACTIONS(657), 1,
      anon_sym__,
    STATE(578), 1,
      aux_sym_uni_record_repeat1,
    STATE(618), 1,
      sym_field_path,
    STATE(655), 1,
      sym_field_path_elem,
    STATE(687), 1,
      sym_str_chunks,
    STATE(834), 1,
      sym_record_field,
    STATE(926), 1,
      sym_record_last_field,
    STATE(674), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
  [41353] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(615), 1,
      sym_ident,
    ACTIONS(621), 1,
      anon_sym_DOT_DOT,
    ACTIONS(625), 1,
      sym_multstr_start,
    ACTIONS(627), 1,
      sym__str_start,
    ACTIONS(659), 1,
      anon_sym_RBRACE,
    ACTIONS(661), 1,
      anon_sym_SEMI,
    STATE(582), 1,
      aux_sym_uni_record_repeat1,
    STATE(618), 1,
      sym_field_path,
    STATE(655), 1,
      sym_field_path_elem,
    STATE(687), 1,
      sym_str_chunks,
    STATE(834), 1,
      sym_record_field,
    STATE(909), 1,
      sym_record_last_field,
    STATE(674), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
  [41397] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(615), 1,
      sym_ident,
    ACTIONS(621), 1,
      anon_sym_DOT_DOT,
    ACTIONS(625), 1,
      sym_multstr_start,
    ACTIONS(627), 1,
      sym__str_start,
    ACTIONS(663), 1,
      anon_sym_RBRACE,
    ACTIONS(665), 1,
      anon_sym_SEMI,
    STATE(582), 1,
      aux_sym_uni_record_repeat1,
    STATE(618), 1,
      sym_field_path,
    STATE(655), 1,
      sym_field_path_elem,
    STATE(687), 1,
      sym_str_chunks,
    STATE(834), 1,
      sym_record_field,
    STATE(911), 1,
      sym_record_last_field,
    STATE(674), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
  [41441] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(615), 1,
      sym_ident,
    ACTIONS(621), 1,
      anon_sym_DOT_DOT,
    ACTIONS(625), 1,
      sym_multstr_start,
    ACTIONS(627), 1,
      sym__str_start,
    ACTIONS(667), 1,
      anon_sym_RBRACE,
    ACTIONS(669), 1,
      anon_sym_SEMI,
    STATE(582), 1,
      aux_sym_uni_record_repeat1,
    STATE(618), 1,
      sym_field_path,
    STATE(655), 1,
      sym_field_path_elem,
    STATE(687), 1,
      sym_str_chunks,
    STATE(834), 1,
      sym_record_field,
    STATE(929), 1,
      sym_record_last_field,
    STATE(674), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
  [41485] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(615), 1,
      sym_ident,
    ACTIONS(621), 1,
      anon_sym_DOT_DOT,
    ACTIONS(625), 1,
      sym_multstr_start,
    ACTIONS(627), 1,
      sym__str_start,
    ACTIONS(671), 1,
      anon_sym_RBRACE,
    ACTIONS(673), 1,
      anon_sym_SEMI,
    STATE(582), 1,
      aux_sym_uni_record_repeat1,
    STATE(618), 1,
      sym_field_path,
    STATE(655), 1,
      sym_field_path_elem,
    STATE(687), 1,
      sym_str_chunks,
    STATE(834), 1,
      sym_record_field,
    STATE(916), 1,
      sym_record_last_field,
    STATE(674), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
  [41529] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(615), 1,
      sym_ident,
    ACTIONS(621), 1,
      anon_sym_DOT_DOT,
    ACTIONS(625), 1,
      sym_multstr_start,
    ACTIONS(627), 1,
      sym__str_start,
    ACTIONS(675), 1,
      anon_sym_RBRACE,
    ACTIONS(677), 1,
      anon_sym_SEMI,
    STATE(582), 1,
      aux_sym_uni_record_repeat1,
    STATE(618), 1,
      sym_field_path,
    STATE(655), 1,
      sym_field_path_elem,
    STATE(687), 1,
      sym_str_chunks,
    STATE(834), 1,
      sym_record_field,
    STATE(927), 1,
      sym_record_last_field,
    STATE(674), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
  [41573] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(615), 1,
      sym_ident,
    ACTIONS(621), 1,
      anon_sym_DOT_DOT,
    ACTIONS(625), 1,
      sym_multstr_start,
    ACTIONS(627), 1,
      sym__str_start,
    ACTIONS(679), 1,
      anon_sym_RBRACE,
    ACTIONS(681), 1,
      anon_sym_SEMI,
    STATE(582), 1,
      aux_sym_uni_record_repeat1,
    STATE(618), 1,
      sym_field_path,
    STATE(655), 1,
      sym_field_path_elem,
    STATE(687), 1,
      sym_str_chunks,
    STATE(834), 1,
      sym_record_field,
    STATE(915), 1,
      sym_record_last_field,
    STATE(674), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
  [41617] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(683), 13,
      ts_builtin_sym_end,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_in,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_then,
      anon_sym_else,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [41636] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(685), 1,
      sym_ident,
    ACTIONS(690), 1,
      sym_multstr_start,
    ACTIONS(693), 1,
      sym__str_start,
    STATE(582), 1,
      aux_sym_uni_record_repeat1,
    STATE(618), 1,
      sym_field_path,
    STATE(655), 1,
      sym_field_path_elem,
    STATE(687), 1,
      sym_str_chunks,
    STATE(990), 1,
      sym_record_field,
    STATE(674), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
    ACTIONS(688), 3,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [41673] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(541), 13,
      ts_builtin_sym_end,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_in,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_then,
      anon_sym_else,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [41692] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(696), 13,
      ts_builtin_sym_end,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_in,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_then,
      anon_sym_else,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [41711] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(698), 13,
      ts_builtin_sym_end,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_in,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_then,
      anon_sym_else,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [41730] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(700), 13,
      ts_builtin_sym_end,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_in,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_then,
      anon_sym_else,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [41749] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(702), 1,
      anon_sym_PIPE,
    ACTIONS(705), 1,
      anon_sym_COLON,
    STATE(587), 2,
      sym_annot_atom,
      aux_sym_annot_repeat1,
    ACTIONS(708), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [41772] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(511), 1,
      anon_sym_COLON,
    ACTIONS(710), 1,
      anon_sym_PIPE,
    STATE(587), 2,
      sym_annot_atom,
      aux_sym_annot_repeat1,
    ACTIONS(712), 7,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_QMARK,
  [41795] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(714), 10,
      ts_builtin_sym_end,
      anon_sym_EQ,
      anon_sym_in,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_then,
      anon_sym_else,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [41811] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(716), 1,
      anon_sym_PERCENT,
    ACTIONS(720), 1,
      sym_multstr_end,
    ACTIONS(722), 1,
      sym_interpolation_start,
    STATE(695), 1,
      sym_percent,
    ACTIONS(718), 3,
      sym_double_quote,
      sym_mult_str_literal,
      sym_str_esc_char,
    STATE(608), 3,
      sym_chunk_expr,
      sym_chunk_literal_multi,
      aux_sym_str_chunks_multi_repeat1,
  [41837] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(716), 1,
      anon_sym_PERCENT,
    ACTIONS(722), 1,
      sym_interpolation_start,
    ACTIONS(724), 1,
      sym_multstr_end,
    STATE(695), 1,
      sym_percent,
    ACTIONS(718), 3,
      sym_double_quote,
      sym_mult_str_literal,
      sym_str_esc_char,
    STATE(597), 3,
      sym_chunk_expr,
      sym_chunk_literal_multi,
      aux_sym_str_chunks_multi_repeat1,
  [41863] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(716), 1,
      anon_sym_PERCENT,
    ACTIONS(722), 1,
      sym_interpolation_start,
    ACTIONS(726), 1,
      sym_multstr_end,
    STATE(695), 1,
      sym_percent,
    ACTIONS(718), 3,
      sym_double_quote,
      sym_mult_str_literal,
      sym_str_esc_char,
    STATE(616), 3,
      sym_chunk_expr,
      sym_chunk_literal_multi,
      aux_sym_str_chunks_multi_repeat1,
  [41889] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(728), 10,
      ts_builtin_sym_end,
      anon_sym_EQ,
      anon_sym_in,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_then,
      anon_sym_else,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [41905] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(730), 10,
      ts_builtin_sym_end,
      anon_sym_EQ,
      anon_sym_in,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_then,
      anon_sym_else,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [41921] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(716), 1,
      anon_sym_PERCENT,
    ACTIONS(722), 1,
      sym_interpolation_start,
    ACTIONS(732), 1,
      sym_multstr_end,
    STATE(695), 1,
      sym_percent,
    ACTIONS(718), 3,
      sym_double_quote,
      sym_mult_str_literal,
      sym_str_esc_char,
    STATE(608), 3,
      sym_chunk_expr,
      sym_chunk_literal_multi,
      aux_sym_str_chunks_multi_repeat1,
  [41947] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(515), 10,
      ts_builtin_sym_end,
      anon_sym_EQ,
      anon_sym_in,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_then,
      anon_sym_else,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [41963] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(716), 1,
      anon_sym_PERCENT,
    ACTIONS(722), 1,
      sym_interpolation_start,
    ACTIONS(734), 1,
      sym_multstr_end,
    STATE(695), 1,
      sym_percent,
    ACTIONS(718), 3,
      sym_double_quote,
      sym_mult_str_literal,
      sym_str_esc_char,
    STATE(608), 3,
      sym_chunk_expr,
      sym_chunk_literal_multi,
      aux_sym_str_chunks_multi_repeat1,
  [41989] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(736), 10,
      ts_builtin_sym_end,
      anon_sym_EQ,
      anon_sym_in,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_then,
      anon_sym_else,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [42005] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(716), 1,
      anon_sym_PERCENT,
    ACTIONS(722), 1,
      sym_interpolation_start,
    ACTIONS(738), 1,
      sym_multstr_end,
    STATE(695), 1,
      sym_percent,
    ACTIONS(718), 3,
      sym_double_quote,
      sym_mult_str_literal,
      sym_str_esc_char,
    STATE(614), 3,
      sym_chunk_expr,
      sym_chunk_literal_multi,
      aux_sym_str_chunks_multi_repeat1,
  [42031] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(716), 1,
      anon_sym_PERCENT,
    ACTIONS(722), 1,
      sym_interpolation_start,
    ACTIONS(740), 1,
      sym_multstr_end,
    STATE(695), 1,
      sym_percent,
    ACTIONS(718), 3,
      sym_double_quote,
      sym_mult_str_literal,
      sym_str_esc_char,
    STATE(607), 3,
      sym_chunk_expr,
      sym_chunk_literal_multi,
      aux_sym_str_chunks_multi_repeat1,
  [42057] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(742), 10,
      ts_builtin_sym_end,
      anon_sym_EQ,
      anon_sym_in,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_then,
      anon_sym_else,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [42073] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(744), 10,
      ts_builtin_sym_end,
      anon_sym_EQ,
      anon_sym_in,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_then,
      anon_sym_else,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [42089] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(746), 10,
      ts_builtin_sym_end,
      anon_sym_EQ,
      anon_sym_in,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_then,
      anon_sym_else,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [42105] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(748), 10,
      ts_builtin_sym_end,
      anon_sym_EQ,
      anon_sym_in,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_then,
      anon_sym_else,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [42121] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(716), 1,
      anon_sym_PERCENT,
    ACTIONS(722), 1,
      sym_interpolation_start,
    ACTIONS(750), 1,
      sym_multstr_end,
    STATE(695), 1,
      sym_percent,
    ACTIONS(718), 3,
      sym_double_quote,
      sym_mult_str_literal,
      sym_str_esc_char,
    STATE(590), 3,
      sym_chunk_expr,
      sym_chunk_literal_multi,
      aux_sym_str_chunks_multi_repeat1,
  [42147] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(752), 10,
      ts_builtin_sym_end,
      anon_sym_EQ,
      anon_sym_in,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_then,
      anon_sym_else,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [42163] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(716), 1,
      anon_sym_PERCENT,
    ACTIONS(722), 1,
      sym_interpolation_start,
    ACTIONS(754), 1,
      sym_multstr_end,
    STATE(695), 1,
      sym_percent,
    ACTIONS(718), 3,
      sym_double_quote,
      sym_mult_str_literal,
      sym_str_esc_char,
    STATE(608), 3,
      sym_chunk_expr,
      sym_chunk_literal_multi,
      aux_sym_str_chunks_multi_repeat1,
  [42189] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(756), 1,
      anon_sym_PERCENT,
    ACTIONS(762), 1,
      sym_multstr_end,
    ACTIONS(764), 1,
      sym_interpolation_start,
    STATE(695), 1,
      sym_percent,
    ACTIONS(759), 3,
      sym_double_quote,
      sym_mult_str_literal,
      sym_str_esc_char,
    STATE(608), 3,
      sym_chunk_expr,
      sym_chunk_literal_multi,
      aux_sym_str_chunks_multi_repeat1,
  [42215] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(511), 1,
      anon_sym_COLON,
    ACTIONS(710), 1,
      anon_sym_PIPE,
    ACTIONS(767), 1,
      anon_sym_EQ,
    ACTIONS(771), 1,
      anon_sym_QMARK,
    STATE(734), 1,
      sym_annot,
    STATE(878), 1,
      sym_default_annot,
    ACTIONS(769), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    STATE(588), 2,
      sym_annot_atom,
      aux_sym_annot_repeat1,
  [42245] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(716), 1,
      anon_sym_PERCENT,
    ACTIONS(722), 1,
      sym_interpolation_start,
    ACTIONS(773), 1,
      sym_multstr_end,
    STATE(695), 1,
      sym_percent,
    ACTIONS(718), 3,
      sym_double_quote,
      sym_mult_str_literal,
      sym_str_esc_char,
    STATE(595), 3,
      sym_chunk_expr,
      sym_chunk_literal_multi,
      aux_sym_str_chunks_multi_repeat1,
  [42271] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 10,
      ts_builtin_sym_end,
      anon_sym_EQ,
      anon_sym_in,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_then,
      anon_sym_else,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [42287] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(777), 10,
      ts_builtin_sym_end,
      anon_sym_EQ,
      anon_sym_in,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_then,
      anon_sym_else,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [42303] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(716), 1,
      anon_sym_PERCENT,
    ACTIONS(722), 1,
      sym_interpolation_start,
    ACTIONS(779), 1,
      sym_multstr_end,
    STATE(695), 1,
      sym_percent,
    ACTIONS(718), 3,
      sym_double_quote,
      sym_mult_str_literal,
      sym_str_esc_char,
    STATE(608), 3,
      sym_chunk_expr,
      sym_chunk_literal_multi,
      aux_sym_str_chunks_multi_repeat1,
  [42329] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(716), 1,
      anon_sym_PERCENT,
    ACTIONS(722), 1,
      sym_interpolation_start,
    ACTIONS(781), 1,
      sym_multstr_end,
    STATE(695), 1,
      sym_percent,
    ACTIONS(718), 3,
      sym_double_quote,
      sym_mult_str_literal,
      sym_str_esc_char,
    STATE(608), 3,
      sym_chunk_expr,
      sym_chunk_literal_multi,
      aux_sym_str_chunks_multi_repeat1,
  [42355] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(783), 10,
      ts_builtin_sym_end,
      anon_sym_EQ,
      anon_sym_in,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_then,
      anon_sym_else,
      anon_sym_SEMI,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [42371] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(716), 1,
      anon_sym_PERCENT,
    ACTIONS(722), 1,
      sym_interpolation_start,
    ACTIONS(785), 1,
      sym_multstr_end,
    STATE(695), 1,
      sym_percent,
    ACTIONS(718), 3,
      sym_double_quote,
      sym_mult_str_literal,
      sym_str_esc_char,
    STATE(608), 3,
      sym_chunk_expr,
      sym_chunk_literal_multi,
      aux_sym_str_chunks_multi_repeat1,
  [42397] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(716), 1,
      anon_sym_PERCENT,
    ACTIONS(722), 1,
      sym_interpolation_start,
    ACTIONS(787), 1,
      sym_multstr_end,
    STATE(695), 1,
      sym_percent,
    ACTIONS(718), 3,
      sym_double_quote,
      sym_mult_str_literal,
      sym_str_esc_char,
    STATE(613), 3,
      sym_chunk_expr,
      sym_chunk_literal_multi,
      aux_sym_str_chunks_multi_repeat1,
  [42423] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(511), 1,
      anon_sym_COLON,
    ACTIONS(710), 1,
      anon_sym_PIPE,
    ACTIONS(789), 1,
      anon_sym_EQ,
    STATE(795), 1,
      sym_annot,
    STATE(588), 2,
      sym_annot_atom,
      aux_sym_annot_repeat1,
    ACTIONS(791), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [42448] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(793), 1,
      anon_sym_PERCENT,
    ACTIONS(795), 1,
      sym_str_literal,
    ACTIONS(797), 1,
      sym_str_esc_char,
    ACTIONS(799), 1,
      sym__str_end,
    ACTIONS(801), 1,
      sym_interpolation_start,
    STATE(783), 1,
      sym_percent,
    STATE(624), 3,
      sym_chunk_expr,
      sym_chunk_literal_single,
      aux_sym_str_chunks_single_repeat1,
  [42475] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(793), 1,
      anon_sym_PERCENT,
    ACTIONS(795), 1,
      sym_str_literal,
    ACTIONS(797), 1,
      sym_str_esc_char,
    ACTIONS(801), 1,
      sym_interpolation_start,
    ACTIONS(803), 1,
      sym__str_end,
    STATE(783), 1,
      sym_percent,
    STATE(624), 3,
      sym_chunk_expr,
      sym_chunk_literal_single,
      aux_sym_str_chunks_single_repeat1,
  [42502] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(793), 1,
      anon_sym_PERCENT,
    ACTIONS(795), 1,
      sym_str_literal,
    ACTIONS(797), 1,
      sym_str_esc_char,
    ACTIONS(801), 1,
      sym_interpolation_start,
    ACTIONS(805), 1,
      sym__str_end,
    STATE(783), 1,
      sym_percent,
    STATE(624), 3,
      sym_chunk_expr,
      sym_chunk_literal_single,
      aux_sym_str_chunks_single_repeat1,
  [42529] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(793), 1,
      anon_sym_PERCENT,
    ACTIONS(795), 1,
      sym_str_literal,
    ACTIONS(797), 1,
      sym_str_esc_char,
    ACTIONS(801), 1,
      sym_interpolation_start,
    ACTIONS(807), 1,
      sym__str_end,
    STATE(783), 1,
      sym_percent,
    STATE(629), 3,
      sym_chunk_expr,
      sym_chunk_literal_single,
      aux_sym_str_chunks_single_repeat1,
  [42556] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(793), 1,
      anon_sym_PERCENT,
    ACTIONS(795), 1,
      sym_str_literal,
    ACTIONS(797), 1,
      sym_str_esc_char,
    ACTIONS(801), 1,
      sym_interpolation_start,
    ACTIONS(809), 1,
      sym__str_end,
    STATE(783), 1,
      sym_percent,
    STATE(619), 3,
      sym_chunk_expr,
      sym_chunk_literal_single,
      aux_sym_str_chunks_single_repeat1,
  [42583] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(811), 1,
      anon_sym_PERCENT,
    ACTIONS(814), 1,
      sym_str_literal,
    ACTIONS(817), 1,
      sym_str_esc_char,
    ACTIONS(820), 1,
      sym__str_end,
    ACTIONS(822), 1,
      sym_interpolation_start,
    STATE(783), 1,
      sym_percent,
    STATE(624), 3,
      sym_chunk_expr,
      sym_chunk_literal_single,
      aux_sym_str_chunks_single_repeat1,
  [42610] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(793), 1,
      anon_sym_PERCENT,
    ACTIONS(795), 1,
      sym_str_literal,
    ACTIONS(797), 1,
      sym_str_esc_char,
    ACTIONS(801), 1,
      sym_interpolation_start,
    ACTIONS(825), 1,
      sym__str_end,
    STATE(783), 1,
      sym_percent,
    STATE(624), 3,
      sym_chunk_expr,
      sym_chunk_literal_single,
      aux_sym_str_chunks_single_repeat1,
  [42637] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(793), 1,
      anon_sym_PERCENT,
    ACTIONS(795), 1,
      sym_str_literal,
    ACTIONS(797), 1,
      sym_str_esc_char,
    ACTIONS(801), 1,
      sym_interpolation_start,
    ACTIONS(827), 1,
      sym__str_end,
    STATE(783), 1,
      sym_percent,
    STATE(624), 3,
      sym_chunk_expr,
      sym_chunk_literal_single,
      aux_sym_str_chunks_single_repeat1,
  [42664] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(793), 1,
      anon_sym_PERCENT,
    ACTIONS(795), 1,
      sym_str_literal,
    ACTIONS(797), 1,
      sym_str_esc_char,
    ACTIONS(801), 1,
      sym_interpolation_start,
    ACTIONS(829), 1,
      sym__str_end,
    STATE(783), 1,
      sym_percent,
    STATE(624), 3,
      sym_chunk_expr,
      sym_chunk_literal_single,
      aux_sym_str_chunks_single_repeat1,
  [42691] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(793), 1,
      anon_sym_PERCENT,
    ACTIONS(795), 1,
      sym_str_literal,
    ACTIONS(797), 1,
      sym_str_esc_char,
    ACTIONS(801), 1,
      sym_interpolation_start,
    ACTIONS(831), 1,
      sym__str_end,
    STATE(783), 1,
      sym_percent,
    STATE(621), 3,
      sym_chunk_expr,
      sym_chunk_literal_single,
      aux_sym_str_chunks_single_repeat1,
  [42718] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(793), 1,
      anon_sym_PERCENT,
    ACTIONS(795), 1,
      sym_str_literal,
    ACTIONS(797), 1,
      sym_str_esc_char,
    ACTIONS(801), 1,
      sym_interpolation_start,
    ACTIONS(833), 1,
      sym__str_end,
    STATE(783), 1,
      sym_percent,
    STATE(624), 3,
      sym_chunk_expr,
      sym_chunk_literal_single,
      aux_sym_str_chunks_single_repeat1,
  [42745] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(793), 1,
      anon_sym_PERCENT,
    ACTIONS(795), 1,
      sym_str_literal,
    ACTIONS(797), 1,
      sym_str_esc_char,
    ACTIONS(801), 1,
      sym_interpolation_start,
    ACTIONS(835), 1,
      sym__str_end,
    STATE(783), 1,
      sym_percent,
    STATE(620), 3,
      sym_chunk_expr,
      sym_chunk_literal_single,
      aux_sym_str_chunks_single_repeat1,
  [42772] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(793), 1,
      anon_sym_PERCENT,
    ACTIONS(795), 1,
      sym_str_literal,
    ACTIONS(797), 1,
      sym_str_esc_char,
    ACTIONS(801), 1,
      sym_interpolation_start,
    ACTIONS(837), 1,
      sym__str_end,
    STATE(783), 1,
      sym_percent,
    STATE(627), 3,
      sym_chunk_expr,
      sym_chunk_literal_single,
      aux_sym_str_chunks_single_repeat1,
  [42799] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(793), 1,
      anon_sym_PERCENT,
    ACTIONS(795), 1,
      sym_str_literal,
    ACTIONS(797), 1,
      sym_str_esc_char,
    ACTIONS(801), 1,
      sym_interpolation_start,
    ACTIONS(839), 1,
      sym__str_end,
    STATE(783), 1,
      sym_percent,
    STATE(626), 3,
      sym_chunk_expr,
      sym_chunk_literal_single,
      aux_sym_str_chunks_single_repeat1,
  [42826] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(793), 1,
      anon_sym_PERCENT,
    ACTIONS(795), 1,
      sym_str_literal,
    ACTIONS(797), 1,
      sym_str_esc_char,
    ACTIONS(801), 1,
      sym_interpolation_start,
    ACTIONS(841), 1,
      sym__str_end,
    STATE(783), 1,
      sym_percent,
    STATE(625), 3,
      sym_chunk_expr,
      sym_chunk_literal_single,
      aux_sym_str_chunks_single_repeat1,
  [42853] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(845), 1,
      anon_sym_EQ,
    ACTIONS(847), 1,
      anon_sym_AT,
    ACTIONS(843), 7,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [42872] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(849), 1,
      anon_sym_PERCENT,
    ACTIONS(855), 1,
      sym_multstr_end,
    STATE(774), 1,
      sym_percent,
    STATE(635), 2,
      sym_chunk_literal_multi,
      aux_sym_static_string_repeat2,
    ACTIONS(852), 3,
      sym_double_quote,
      sym_mult_str_literal,
      sym_str_esc_char,
  [42894] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(857), 1,
      anon_sym_PERCENT,
    ACTIONS(861), 1,
      sym_multstr_end,
    STATE(774), 1,
      sym_percent,
    STATE(651), 2,
      sym_chunk_literal_multi,
      aux_sym_static_string_repeat2,
    ACTIONS(859), 3,
      sym_double_quote,
      sym_mult_str_literal,
      sym_str_esc_char,
  [42916] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(857), 1,
      anon_sym_PERCENT,
    ACTIONS(863), 1,
      sym_multstr_end,
    STATE(774), 1,
      sym_percent,
    STATE(654), 2,
      sym_chunk_literal_multi,
      aux_sym_static_string_repeat2,
    ACTIONS(859), 3,
      sym_double_quote,
      sym_mult_str_literal,
      sym_str_esc_char,
  [42938] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(867), 1,
      anon_sym_EQ,
    ACTIONS(865), 7,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [42954] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(871), 1,
      anon_sym_DOT,
    STATE(660), 1,
      aux_sym_field_path_repeat1,
    ACTIONS(869), 6,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [42972] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(857), 1,
      anon_sym_PERCENT,
    ACTIONS(873), 1,
      sym_multstr_end,
    STATE(774), 1,
      sym_percent,
    STATE(641), 2,
      sym_chunk_literal_multi,
      aux_sym_static_string_repeat2,
    ACTIONS(859), 3,
      sym_double_quote,
      sym_mult_str_literal,
      sym_str_esc_char,
  [42994] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(857), 1,
      anon_sym_PERCENT,
    ACTIONS(875), 1,
      sym_multstr_end,
    STATE(774), 1,
      sym_percent,
    STATE(635), 2,
      sym_chunk_literal_multi,
      aux_sym_static_string_repeat2,
    ACTIONS(859), 3,
      sym_double_quote,
      sym_mult_str_literal,
      sym_str_esc_char,
  [43016] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(857), 1,
      anon_sym_PERCENT,
    ACTIONS(877), 1,
      sym_multstr_end,
    STATE(774), 1,
      sym_percent,
    STATE(653), 2,
      sym_chunk_literal_multi,
      aux_sym_static_string_repeat2,
    ACTIONS(859), 3,
      sym_double_quote,
      sym_mult_str_literal,
      sym_str_esc_char,
  [43038] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(857), 1,
      anon_sym_PERCENT,
    ACTIONS(879), 1,
      sym_multstr_end,
    STATE(774), 1,
      sym_percent,
    STATE(635), 2,
      sym_chunk_literal_multi,
      aux_sym_static_string_repeat2,
    ACTIONS(859), 3,
      sym_double_quote,
      sym_mult_str_literal,
      sym_str_esc_char,
  [43060] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(883), 1,
      anon_sym_EQ,
    ACTIONS(881), 7,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [43076] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(887), 1,
      anon_sym_EQ,
    ACTIONS(885), 7,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [43092] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(857), 1,
      anon_sym_PERCENT,
    ACTIONS(889), 1,
      sym_multstr_end,
    STATE(774), 1,
      sym_percent,
    STATE(658), 2,
      sym_chunk_literal_multi,
      aux_sym_static_string_repeat2,
    ACTIONS(859), 3,
      sym_double_quote,
      sym_mult_str_literal,
      sym_str_esc_char,
  [43114] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(857), 1,
      anon_sym_PERCENT,
    ACTIONS(891), 1,
      sym_multstr_end,
    STATE(774), 1,
      sym_percent,
    STATE(659), 2,
      sym_chunk_literal_multi,
      aux_sym_static_string_repeat2,
    ACTIONS(859), 3,
      sym_double_quote,
      sym_mult_str_literal,
      sym_str_esc_char,
  [43136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(895), 1,
      anon_sym_EQ,
    ACTIONS(893), 7,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [43152] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(857), 1,
      anon_sym_PERCENT,
    ACTIONS(897), 1,
      sym_multstr_end,
    STATE(774), 1,
      sym_percent,
    STATE(657), 2,
      sym_chunk_literal_multi,
      aux_sym_static_string_repeat2,
    ACTIONS(859), 3,
      sym_double_quote,
      sym_mult_str_literal,
      sym_str_esc_char,
  [43174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(901), 1,
      anon_sym_EQ,
    ACTIONS(899), 7,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [43190] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(857), 1,
      anon_sym_PERCENT,
    ACTIONS(903), 1,
      sym_multstr_end,
    STATE(774), 1,
      sym_percent,
    STATE(635), 2,
      sym_chunk_literal_multi,
      aux_sym_static_string_repeat2,
    ACTIONS(859), 3,
      sym_double_quote,
      sym_mult_str_literal,
      sym_str_esc_char,
  [43212] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(857), 1,
      anon_sym_PERCENT,
    ACTIONS(905), 1,
      sym_multstr_end,
    STATE(774), 1,
      sym_percent,
    STATE(643), 2,
      sym_chunk_literal_multi,
      aux_sym_static_string_repeat2,
    ACTIONS(859), 3,
      sym_double_quote,
      sym_mult_str_literal,
      sym_str_esc_char,
  [43234] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(857), 1,
      anon_sym_PERCENT,
    ACTIONS(907), 1,
      sym_multstr_end,
    STATE(774), 1,
      sym_percent,
    STATE(635), 2,
      sym_chunk_literal_multi,
      aux_sym_static_string_repeat2,
    ACTIONS(859), 3,
      sym_double_quote,
      sym_mult_str_literal,
      sym_str_esc_char,
  [43256] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(857), 1,
      anon_sym_PERCENT,
    ACTIONS(909), 1,
      sym_multstr_end,
    STATE(774), 1,
      sym_percent,
    STATE(635), 2,
      sym_chunk_literal_multi,
      aux_sym_static_string_repeat2,
    ACTIONS(859), 3,
      sym_double_quote,
      sym_mult_str_literal,
      sym_str_esc_char,
  [43278] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(871), 1,
      anon_sym_DOT,
    STATE(639), 1,
      aux_sym_field_path_repeat1,
    ACTIONS(911), 6,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [43296] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(915), 1,
      anon_sym_EQ,
    ACTIONS(913), 7,
      sym_ident,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_EQ_GT,
      anon_sym_LBRACE,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [43312] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(857), 1,
      anon_sym_PERCENT,
    ACTIONS(917), 1,
      sym_multstr_end,
    STATE(774), 1,
      sym_percent,
    STATE(635), 2,
      sym_chunk_literal_multi,
      aux_sym_static_string_repeat2,
    ACTIONS(859), 3,
      sym_double_quote,
      sym_mult_str_literal,
      sym_str_esc_char,
  [43334] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(857), 1,
      anon_sym_PERCENT,
    ACTIONS(919), 1,
      sym_multstr_end,
    STATE(774), 1,
      sym_percent,
    STATE(635), 2,
      sym_chunk_literal_multi,
      aux_sym_static_string_repeat2,
    ACTIONS(859), 3,
      sym_double_quote,
      sym_mult_str_literal,
      sym_str_esc_char,
  [43356] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(857), 1,
      anon_sym_PERCENT,
    ACTIONS(921), 1,
      sym_multstr_end,
    STATE(774), 1,
      sym_percent,
    STATE(635), 2,
      sym_chunk_literal_multi,
      aux_sym_static_string_repeat2,
    ACTIONS(859), 3,
      sym_double_quote,
      sym_mult_str_literal,
      sym_str_esc_char,
  [43378] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(925), 1,
      anon_sym_DOT,
    STATE(660), 1,
      aux_sym_field_path_repeat1,
    ACTIONS(923), 6,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [43396] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(897), 1,
      sym__str_end,
    ACTIONS(928), 1,
      anon_sym_PERCENT,
    ACTIONS(930), 1,
      sym_str_literal,
    ACTIONS(932), 1,
      sym_str_esc_char,
    STATE(811), 1,
      sym_percent,
    STATE(672), 2,
      sym_chunk_literal_single,
      aux_sym_static_string_repeat1,
  [43419] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(615), 1,
      sym_ident,
    ACTIONS(625), 1,
      sym_multstr_start,
    ACTIONS(627), 1,
      sym__str_start,
    STATE(664), 1,
      sym_field_path_elem,
    STATE(687), 1,
      sym_str_chunks,
    STATE(674), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
  [43442] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(349), 7,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
  [43455] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(923), 7,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
  [43468] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(934), 1,
      anon_sym_PERCENT,
    ACTIONS(937), 1,
      sym_str_literal,
    ACTIONS(940), 1,
      sym_str_esc_char,
    ACTIONS(943), 1,
      sym__str_end,
    STATE(811), 1,
      sym_percent,
    STATE(665), 2,
      sym_chunk_literal_single,
      aux_sym_static_string_repeat1,
  [43491] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_ident,
    ACTIONS(947), 1,
      anon_sym_SEMI,
    ACTIONS(949), 1,
      anon_sym_PIPE_RBRACK,
    ACTIONS(951), 1,
      sym_multstr_start,
    ACTIONS(953), 1,
      sym__str_start,
    STATE(812), 1,
      sym_static_string,
    STATE(819), 1,
      sym_enum_tag,
  [43516] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(919), 1,
      sym__str_end,
    ACTIONS(928), 1,
      anon_sym_PERCENT,
    ACTIONS(930), 1,
      sym_str_literal,
    ACTIONS(932), 1,
      sym_str_esc_char,
    STATE(811), 1,
      sym_percent,
    STATE(665), 2,
      sym_chunk_literal_single,
      aux_sym_static_string_repeat1,
  [43539] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(875), 1,
      sym__str_end,
    ACTIONS(928), 1,
      anon_sym_PERCENT,
    ACTIONS(930), 1,
      sym_str_literal,
    ACTIONS(932), 1,
      sym_str_esc_char,
    STATE(811), 1,
      sym_percent,
    STATE(665), 2,
      sym_chunk_literal_single,
      aux_sym_static_string_repeat1,
  [43562] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(863), 1,
      sym__str_end,
    ACTIONS(928), 1,
      anon_sym_PERCENT,
    ACTIONS(930), 1,
      sym_str_literal,
    ACTIONS(932), 1,
      sym_str_esc_char,
    STATE(811), 1,
      sym_percent,
    STATE(673), 2,
      sym_chunk_literal_single,
      aux_sym_static_string_repeat1,
  [43585] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(379), 7,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
  [43598] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_ident,
    ACTIONS(951), 1,
      sym_multstr_start,
    ACTIONS(953), 1,
      sym__str_start,
    ACTIONS(955), 1,
      anon_sym_SEMI,
    ACTIONS(957), 1,
      anon_sym_PIPE_RBRACK,
    STATE(810), 1,
      sym_enum_tag,
    STATE(812), 1,
      sym_static_string,
  [43623] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(917), 1,
      sym__str_end,
    ACTIONS(928), 1,
      anon_sym_PERCENT,
    ACTIONS(930), 1,
      sym_str_literal,
    ACTIONS(932), 1,
      sym_str_esc_char,
    STATE(811), 1,
      sym_percent,
    STATE(665), 2,
      sym_chunk_literal_single,
      aux_sym_static_string_repeat1,
  [43646] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(909), 1,
      sym__str_end,
    ACTIONS(928), 1,
      anon_sym_PERCENT,
    ACTIONS(930), 1,
      sym_str_literal,
    ACTIONS(932), 1,
      sym_str_esc_char,
    STATE(811), 1,
      sym_percent,
    STATE(665), 2,
      sym_chunk_literal_single,
      aux_sym_static_string_repeat1,
  [43669] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(383), 7,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
  [43682] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_ident,
    ACTIONS(951), 1,
      sym_multstr_start,
    ACTIONS(953), 1,
      sym__str_start,
    ACTIONS(959), 1,
      anon_sym_SEMI,
    ACTIONS(961), 1,
      anon_sym_PIPE_RBRACK,
    STATE(812), 1,
      sym_static_string,
    STATE(816), 1,
      sym_enum_tag,
  [43707] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(345), 7,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
  [43720] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(907), 1,
      sym__str_end,
    ACTIONS(928), 1,
      anon_sym_PERCENT,
    ACTIONS(930), 1,
      sym_str_literal,
    ACTIONS(932), 1,
      sym_str_esc_char,
    STATE(811), 1,
      sym_percent,
    STATE(665), 2,
      sym_chunk_literal_single,
      aux_sym_static_string_repeat1,
  [43743] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_ident,
    ACTIONS(951), 1,
      sym_multstr_start,
    ACTIONS(953), 1,
      sym__str_start,
    ACTIONS(963), 1,
      anon_sym_SEMI,
    ACTIONS(965), 1,
      anon_sym_PIPE_RBRACK,
    STATE(794), 1,
      sym_enum_tag,
    STATE(812), 1,
      sym_static_string,
  [43768] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(921), 1,
      sym__str_end,
    ACTIONS(928), 1,
      anon_sym_PERCENT,
    ACTIONS(930), 1,
      sym_str_literal,
    ACTIONS(932), 1,
      sym_str_esc_char,
    STATE(811), 1,
      sym_percent,
    STATE(665), 2,
      sym_chunk_literal_single,
      aux_sym_static_string_repeat1,
  [43791] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(861), 1,
      sym__str_end,
    ACTIONS(928), 1,
      anon_sym_PERCENT,
    ACTIONS(930), 1,
      sym_str_literal,
    ACTIONS(932), 1,
      sym_str_esc_char,
    STATE(811), 1,
      sym_percent,
    STATE(690), 2,
      sym_chunk_literal_single,
      aux_sym_static_string_repeat1,
  [43814] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(877), 1,
      sym__str_end,
    ACTIONS(928), 1,
      anon_sym_PERCENT,
    ACTIONS(930), 1,
      sym_str_literal,
    ACTIONS(932), 1,
      sym_str_esc_char,
    STATE(811), 1,
      sym_percent,
    STATE(677), 2,
      sym_chunk_literal_single,
      aux_sym_static_string_repeat1,
  [43837] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(363), 7,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
  [43850] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(905), 1,
      sym__str_end,
    ACTIONS(928), 1,
      anon_sym_PERCENT,
    ACTIONS(930), 1,
      sym_str_literal,
    ACTIONS(932), 1,
      sym_str_esc_char,
    STATE(811), 1,
      sym_percent,
    STATE(689), 2,
      sym_chunk_literal_single,
      aux_sym_static_string_repeat1,
  [43873] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(891), 1,
      sym__str_end,
    ACTIONS(928), 1,
      anon_sym_PERCENT,
    ACTIONS(930), 1,
      sym_str_literal,
    ACTIONS(932), 1,
      sym_str_esc_char,
    STATE(811), 1,
      sym_percent,
    STATE(679), 2,
      sym_chunk_literal_single,
      aux_sym_static_string_repeat1,
  [43896] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(889), 1,
      sym__str_end,
    ACTIONS(928), 1,
      anon_sym_PERCENT,
    ACTIONS(930), 1,
      sym_str_literal,
    ACTIONS(932), 1,
      sym_str_esc_char,
    STATE(811), 1,
      sym_percent,
    STATE(667), 2,
      sym_chunk_literal_single,
      aux_sym_static_string_repeat1,
  [43919] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_ident,
    ACTIONS(951), 1,
      sym_multstr_start,
    ACTIONS(953), 1,
      sym__str_start,
    ACTIONS(967), 1,
      anon_sym_SEMI,
    ACTIONS(969), 1,
      anon_sym_PIPE_RBRACK,
    STATE(808), 1,
      sym_enum_tag,
    STATE(812), 1,
      sym_static_string,
  [43944] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(971), 7,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_DOT,
      anon_sym_SEMI,
  [43957] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(873), 1,
      sym__str_end,
    ACTIONS(928), 1,
      anon_sym_PERCENT,
    ACTIONS(930), 1,
      sym_str_literal,
    ACTIONS(932), 1,
      sym_str_esc_char,
    STATE(811), 1,
      sym_percent,
    STATE(668), 2,
      sym_chunk_literal_single,
      aux_sym_static_string_repeat1,
  [43980] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(879), 1,
      sym__str_end,
    ACTIONS(928), 1,
      anon_sym_PERCENT,
    ACTIONS(930), 1,
      sym_str_literal,
    ACTIONS(932), 1,
      sym_str_esc_char,
    STATE(811), 1,
      sym_percent,
    STATE(665), 2,
      sym_chunk_literal_single,
      aux_sym_static_string_repeat1,
  [44003] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(903), 1,
      sym__str_end,
    ACTIONS(928), 1,
      anon_sym_PERCENT,
    ACTIONS(930), 1,
      sym_str_literal,
    ACTIONS(932), 1,
      sym_str_esc_char,
    STATE(811), 1,
      sym_percent,
    STATE(665), 2,
      sym_chunk_literal_single,
      aux_sym_static_string_repeat1,
  [44026] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_ident,
    ACTIONS(951), 1,
      sym_multstr_start,
    ACTIONS(953), 1,
      sym__str_start,
    ACTIONS(973), 1,
      anon_sym_SEMI,
    ACTIONS(975), 1,
      anon_sym_PIPE_RBRACK,
    STATE(812), 1,
      sym_static_string,
    STATE(817), 1,
      sym_enum_tag,
  [44051] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(281), 1,
      sym_multstr_start,
    ACTIONS(283), 1,
      sym__str_start,
    ACTIONS(977), 1,
      sym_ident,
    STATE(243), 1,
      sym_str_chunks,
    STATE(218), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
  [44071] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(688), 6,
      sym_multstr_start,
      sym__str_start,
      sym_ident,
      anon_sym_RBRACE,
      anon_sym_SEMI,
      anon_sym_DOT_DOT,
  [44083] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(979), 1,
      sym_ident,
    ACTIONS(981), 1,
      anon_sym_EQ_GT,
    ACTIONS(983), 1,
      anon_sym_LBRACE,
    STATE(656), 1,
      sym_destruct,
    STATE(718), 2,
      sym_pattern,
      aux_sym_fun_expr_repeat1,
  [44103] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 2,
      sym_multstr_end,
      sym_interpolation_start,
    ACTIONS(985), 4,
      anon_sym_PERCENT,
      sym_double_quote,
      sym_mult_str_literal,
      sym_str_esc_char,
  [44117] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(991), 2,
      sym_multstr_end,
      sym_interpolation_start,
    ACTIONS(989), 4,
      anon_sym_PERCENT,
      sym_double_quote,
      sym_mult_str_literal,
      sym_str_esc_char,
  [44131] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(979), 1,
      sym_ident,
    ACTIONS(983), 1,
      anon_sym_LBRACE,
    ACTIONS(993), 1,
      anon_sym_EQ_GT,
    STATE(656), 1,
      sym_destruct,
    STATE(718), 2,
      sym_pattern,
      aux_sym_fun_expr_repeat1,
  [44151] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(979), 1,
      sym_ident,
    ACTIONS(983), 1,
      anon_sym_LBRACE,
    ACTIONS(995), 1,
      anon_sym_EQ_GT,
    STATE(656), 1,
      sym_destruct,
    STATE(718), 2,
      sym_pattern,
      aux_sym_fun_expr_repeat1,
  [44171] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(201), 1,
      sym_multstr_start,
    ACTIONS(203), 1,
      sym__str_start,
    ACTIONS(997), 1,
      sym_ident,
    STATE(335), 1,
      sym_str_chunks,
    STATE(393), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
  [44191] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(43), 1,
      sym_multstr_start,
    ACTIONS(45), 1,
      sym__str_start,
    ACTIONS(999), 1,
      sym_ident,
    STATE(390), 1,
      sym_str_chunks,
    STATE(315), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
  [44211] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(511), 1,
      anon_sym_COLON,
    ACTIONS(710), 1,
      anon_sym_PIPE,
    ACTIONS(1001), 1,
      anon_sym_EQ,
    STATE(1080), 1,
      sym_annot,
    STATE(588), 2,
      sym_annot_atom,
      aux_sym_annot_repeat1,
  [44231] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(511), 1,
      anon_sym_COLON,
    ACTIONS(710), 1,
      anon_sym_PIPE,
    ACTIONS(1003), 1,
      anon_sym_EQ,
    STATE(1074), 1,
      sym_annot,
    STATE(588), 2,
      sym_annot_atom,
      aux_sym_annot_repeat1,
  [44251] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(511), 1,
      anon_sym_COLON,
    ACTIONS(710), 1,
      anon_sym_PIPE,
    ACTIONS(1005), 1,
      anon_sym_EQ,
    STATE(1081), 1,
      sym_annot,
    STATE(588), 2,
      sym_annot_atom,
      aux_sym_annot_repeat1,
  [44271] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(979), 1,
      sym_ident,
    ACTIONS(983), 1,
      anon_sym_LBRACE,
    ACTIONS(1007), 1,
      anon_sym_EQ_GT,
    STATE(656), 1,
      sym_destruct,
    STATE(718), 2,
      sym_pattern,
      aux_sym_fun_expr_repeat1,
  [44291] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(511), 1,
      anon_sym_COLON,
    ACTIONS(710), 1,
      anon_sym_PIPE,
    ACTIONS(1009), 1,
      anon_sym_EQ,
    STATE(1069), 1,
      sym_annot,
    STATE(588), 2,
      sym_annot_atom,
      aux_sym_annot_repeat1,
  [44311] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(511), 1,
      anon_sym_COLON,
    ACTIONS(710), 1,
      anon_sym_PIPE,
    ACTIONS(1011), 1,
      anon_sym_EQ,
    STATE(1068), 1,
      sym_annot,
    STATE(588), 2,
      sym_annot_atom,
      aux_sym_annot_repeat1,
  [44331] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(511), 1,
      anon_sym_COLON,
    ACTIONS(710), 1,
      anon_sym_PIPE,
    ACTIONS(1013), 1,
      anon_sym_EQ,
    STATE(967), 1,
      sym_annot,
    STATE(588), 2,
      sym_annot_atom,
      aux_sym_annot_repeat1,
  [44351] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(511), 1,
      anon_sym_COLON,
    ACTIONS(710), 1,
      anon_sym_PIPE,
    ACTIONS(1015), 1,
      anon_sym_EQ,
    STATE(1093), 1,
      sym_annot,
    STATE(588), 2,
      sym_annot_atom,
      aux_sym_annot_repeat1,
  [44371] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(105), 1,
      sym_multstr_start,
    ACTIONS(107), 1,
      sym__str_start,
    ACTIONS(1017), 1,
      sym_ident,
    STATE(166), 1,
      sym_str_chunks,
    STATE(150), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
  [44391] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(979), 1,
      sym_ident,
    ACTIONS(983), 1,
      anon_sym_LBRACE,
    ACTIONS(1019), 1,
      anon_sym_EQ_GT,
    STATE(656), 1,
      sym_destruct,
    STATE(718), 2,
      sym_pattern,
      aux_sym_fun_expr_repeat1,
  [44411] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(241), 1,
      sym_multstr_start,
    ACTIONS(243), 1,
      sym__str_start,
    ACTIONS(1021), 1,
      sym_ident,
    STATE(341), 1,
      sym_str_chunks,
    STATE(382), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
  [44431] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(511), 1,
      anon_sym_COLON,
    ACTIONS(710), 1,
      anon_sym_PIPE,
    ACTIONS(1023), 1,
      anon_sym_EQ,
    STATE(1016), 1,
      sym_annot,
    STATE(588), 2,
      sym_annot_atom,
      aux_sym_annot_repeat1,
  [44451] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(511), 1,
      anon_sym_COLON,
    ACTIONS(710), 1,
      anon_sym_PIPE,
    ACTIONS(1025), 1,
      anon_sym_EQ,
    STATE(1075), 1,
      sym_annot,
    STATE(588), 2,
      sym_annot_atom,
      aux_sym_annot_repeat1,
  [44471] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(321), 1,
      sym_multstr_start,
    ACTIONS(323), 1,
      sym__str_start,
    ACTIONS(1027), 1,
      sym_ident,
    STATE(305), 1,
      sym_str_chunks,
    STATE(201), 2,
      sym_str_chunks_single,
      sym_str_chunks_multi,
  [44491] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(979), 1,
      sym_ident,
    ACTIONS(983), 1,
      anon_sym_LBRACE,
    ACTIONS(1029), 1,
      anon_sym_EQ_GT,
    STATE(656), 1,
      sym_destruct,
    STATE(718), 2,
      sym_pattern,
      aux_sym_fun_expr_repeat1,
  [44511] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1031), 1,
      sym_ident,
    ACTIONS(1033), 1,
      anon_sym_RBRACE,
    ACTIONS(1035), 1,
      anon_sym_DOT_DOT,
    STATE(740), 1,
      aux_sym_destruct_repeat1,
    STATE(918), 1,
      sym_match,
    STATE(1006), 1,
      sym_last_match,
  [44533] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(511), 1,
      anon_sym_COLON,
    ACTIONS(710), 1,
      anon_sym_PIPE,
    ACTIONS(1037), 1,
      anon_sym_EQ,
    STATE(1040), 1,
      sym_annot,
    STATE(588), 2,
      sym_annot_atom,
      aux_sym_annot_repeat1,
  [44553] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1039), 1,
      sym_ident,
    ACTIONS(1042), 1,
      anon_sym_EQ_GT,
    ACTIONS(1044), 1,
      anon_sym_LBRACE,
    STATE(656), 1,
      sym_destruct,
    STATE(718), 2,
      sym_pattern,
      aux_sym_fun_expr_repeat1,
  [44573] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(511), 1,
      anon_sym_COLON,
    ACTIONS(710), 1,
      anon_sym_PIPE,
    ACTIONS(1047), 1,
      anon_sym_EQ,
    STATE(1087), 1,
      sym_annot,
    STATE(588), 2,
      sym_annot_atom,
      aux_sym_annot_repeat1,
  [44593] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1031), 1,
      sym_ident,
    ACTIONS(1035), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1049), 1,
      anon_sym_RBRACE,
    STATE(716), 1,
      aux_sym_destruct_repeat1,
    STATE(918), 1,
      sym_match,
    STATE(1042), 1,
      sym_last_match,
  [44615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1053), 2,
      sym_multstr_end,
      sym_interpolation_start,
    ACTIONS(1051), 4,
      anon_sym_PERCENT,
      sym_double_quote,
      sym_mult_str_literal,
      sym_str_esc_char,
  [44629] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(511), 1,
      anon_sym_COLON,
    ACTIONS(710), 1,
      anon_sym_PIPE,
    ACTIONS(1055), 1,
      anon_sym_EQ,
    STATE(1092), 1,
      sym_annot,
    STATE(588), 2,
      sym_annot_atom,
      aux_sym_annot_repeat1,
  [44649] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_ident,
    ACTIONS(951), 1,
      sym_multstr_start,
    ACTIONS(953), 1,
      sym__str_start,
    STATE(812), 1,
      sym_static_string,
    STATE(1102), 1,
      sym_enum_tag,
  [44668] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1057), 1,
      anon_sym_COMMA,
    ACTIONS(1059), 1,
      anon_sym_RBRACE,
    ACTIONS(1061), 1,
      anon_sym_BQUOTE,
    ACTIONS(1063), 1,
      anon_sym__,
    STATE(833), 1,
      sym_switch_case,
  [44687] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(559), 1,
      anon_sym_COLON,
    ACTIONS(712), 1,
      anon_sym_then,
    ACTIONS(1065), 1,
      anon_sym_PIPE,
    STATE(771), 2,
      sym_annot_atom,
      aux_sym_annot_repeat1,
  [44704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1051), 2,
      anon_sym_PERCENT,
      sym_str_esc_char,
    ACTIONS(1053), 3,
      sym__str_end,
      sym_interpolation_start,
      sym_str_literal,
  [44717] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(983), 1,
      anon_sym_LBRACE,
    ACTIONS(1067), 1,
      sym_ident,
    ACTIONS(1069), 1,
      anon_sym_rec,
    STATE(656), 1,
      sym_destruct,
    STATE(722), 1,
      sym_pattern,
  [44736] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(708), 1,
      ts_builtin_sym_end,
    ACTIONS(1071), 1,
      anon_sym_PIPE,
    ACTIONS(1074), 1,
      anon_sym_COLON,
    STATE(728), 2,
      sym_annot_atom,
      aux_sym_annot_repeat1,
  [44753] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(979), 1,
      sym_ident,
    ACTIONS(983), 1,
      anon_sym_LBRACE,
    STATE(656), 1,
      sym_destruct,
    STATE(697), 2,
      sym_pattern,
      aux_sym_fun_expr_repeat1,
  [44770] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(979), 1,
      sym_ident,
    ACTIONS(983), 1,
      anon_sym_LBRACE,
    STATE(656), 1,
      sym_destruct,
    STATE(710), 2,
      sym_pattern,
      aux_sym_fun_expr_repeat1,
  [44787] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(571), 1,
      anon_sym_COLON,
    ACTIONS(712), 1,
      anon_sym_in,
    ACTIONS(1077), 1,
      anon_sym_PIPE,
    STATE(733), 2,
      sym_annot_atom,
      aux_sym_annot_repeat1,
  [44804] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_ident,
    ACTIONS(951), 1,
      sym_multstr_start,
    ACTIONS(953), 1,
      sym__str_start,
    STATE(812), 1,
      sym_static_string,
    STATE(1000), 1,
      sym_enum_tag,
  [44823] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(708), 1,
      anon_sym_in,
    ACTIONS(1079), 1,
      anon_sym_PIPE,
    ACTIONS(1082), 1,
      anon_sym_COLON,
    STATE(733), 2,
      sym_annot_atom,
      aux_sym_annot_repeat1,
  [44840] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(771), 1,
      anon_sym_QMARK,
    ACTIONS(1085), 1,
      anon_sym_EQ,
    STATE(884), 1,
      sym_default_annot,
    ACTIONS(1087), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [44857] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_ident,
    ACTIONS(951), 1,
      sym_multstr_start,
    ACTIONS(953), 1,
      sym__str_start,
    STATE(812), 1,
      sym_static_string,
    STATE(1004), 1,
      sym_enum_tag,
  [44876] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(983), 1,
      anon_sym_LBRACE,
    ACTIONS(1067), 1,
      sym_ident,
    ACTIONS(1089), 1,
      anon_sym_rec,
    STATE(656), 1,
      sym_destruct,
    STATE(702), 1,
      sym_pattern,
  [44895] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1061), 1,
      anon_sym_BQUOTE,
    ACTIONS(1063), 1,
      anon_sym__,
    ACTIONS(1091), 1,
      anon_sym_COMMA,
    ACTIONS(1093), 1,
      anon_sym_RBRACE,
    STATE(886), 1,
      sym_switch_case,
  [44914] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1095), 1,
      sym_ident,
    ACTIONS(1097), 1,
      sym_multstr_start,
    ACTIONS(1099), 1,
      sym__str_start,
    STATE(143), 1,
      sym_static_string,
    STATE(147), 1,
      sym_enum_tag,
  [44933] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(979), 1,
      sym_ident,
    ACTIONS(983), 1,
      anon_sym_LBRACE,
    STATE(656), 1,
      sym_destruct,
    STATE(698), 2,
      sym_pattern,
      aux_sym_fun_expr_repeat1,
  [44950] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1101), 1,
      sym_ident,
    STATE(740), 1,
      aux_sym_destruct_repeat1,
    STATE(970), 1,
      sym_match,
    ACTIONS(1104), 2,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
  [44967] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_ident,
    ACTIONS(951), 1,
      sym_multstr_start,
    ACTIONS(953), 1,
      sym__str_start,
    STATE(812), 1,
      sym_static_string,
    STATE(1037), 1,
      sym_enum_tag,
  [44986] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_ident,
    ACTIONS(951), 1,
      sym_multstr_start,
    ACTIONS(953), 1,
      sym__str_start,
    STATE(812), 1,
      sym_static_string,
    STATE(1028), 1,
      sym_enum_tag,
  [45005] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_ident,
    ACTIONS(951), 1,
      sym_multstr_start,
    ACTIONS(953), 1,
      sym__str_start,
    STATE(812), 1,
      sym_static_string,
    STATE(946), 1,
      sym_enum_tag,
  [45024] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_ident,
    ACTIONS(951), 1,
      sym_multstr_start,
    ACTIONS(953), 1,
      sym__str_start,
    STATE(812), 1,
      sym_static_string,
    STATE(1021), 1,
      sym_enum_tag,
  [45043] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1061), 1,
      anon_sym_BQUOTE,
    ACTIONS(1063), 1,
      anon_sym__,
    ACTIONS(1106), 1,
      anon_sym_COMMA,
    ACTIONS(1108), 1,
      anon_sym_RBRACE,
    STATE(852), 1,
      sym_switch_case,
  [45062] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_ident,
    ACTIONS(951), 1,
      sym_multstr_start,
    ACTIONS(953), 1,
      sym__str_start,
    STATE(812), 1,
      sym_static_string,
    STATE(1025), 1,
      sym_enum_tag,
  [45081] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_ident,
    ACTIONS(951), 1,
      sym_multstr_start,
    ACTIONS(953), 1,
      sym__str_start,
    STATE(812), 1,
      sym_static_string,
    STATE(976), 1,
      sym_enum_tag,
  [45100] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_ident,
    ACTIONS(951), 1,
      sym_multstr_start,
    ACTIONS(953), 1,
      sym__str_start,
    STATE(812), 1,
      sym_static_string,
    STATE(900), 1,
      sym_enum_tag,
  [45119] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(989), 2,
      anon_sym_PERCENT,
      sym_str_esc_char,
    ACTIONS(991), 3,
      sym__str_end,
      sym_interpolation_start,
      sym_str_literal,
  [45132] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_ident,
    ACTIONS(951), 1,
      sym_multstr_start,
    ACTIONS(953), 1,
      sym__str_start,
    STATE(812), 1,
      sym_static_string,
    STATE(1022), 1,
      sym_enum_tag,
  [45151] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1061), 1,
      anon_sym_BQUOTE,
    ACTIONS(1063), 1,
      anon_sym__,
    ACTIONS(1110), 1,
      anon_sym_COMMA,
    ACTIONS(1112), 1,
      anon_sym_RBRACE,
    STATE(837), 1,
      sym_switch_case,
  [45170] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_ident,
    ACTIONS(951), 1,
      sym_multstr_start,
    ACTIONS(953), 1,
      sym__str_start,
    STATE(812), 1,
      sym_static_string,
    STATE(1088), 1,
      sym_enum_tag,
  [45189] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_ident,
    ACTIONS(951), 1,
      sym_multstr_start,
    ACTIONS(953), 1,
      sym__str_start,
    STATE(812), 1,
      sym_static_string,
    STATE(971), 1,
      sym_enum_tag,
  [45208] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1114), 1,
      sym_ident,
    ACTIONS(1116), 1,
      sym_multstr_start,
    ACTIONS(1118), 1,
      sym__str_start,
    STATE(205), 1,
      sym_enum_tag,
    STATE(385), 1,
      sym_static_string,
  [45227] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_ident,
    ACTIONS(951), 1,
      sym_multstr_start,
    ACTIONS(953), 1,
      sym__str_start,
    STATE(812), 1,
      sym_static_string,
    STATE(954), 1,
      sym_enum_tag,
  [45246] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(565), 1,
      anon_sym_COLON,
    ACTIONS(712), 1,
      sym_interpolation_end,
    ACTIONS(1120), 1,
      anon_sym_PIPE,
    STATE(769), 2,
      sym_annot_atom,
      aux_sym_annot_repeat1,
  [45263] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(979), 1,
      sym_ident,
    ACTIONS(983), 1,
      anon_sym_LBRACE,
    STATE(656), 1,
      sym_destruct,
    STATE(694), 2,
      sym_pattern,
      aux_sym_fun_expr_repeat1,
  [45280] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_ident,
    ACTIONS(951), 1,
      sym_multstr_start,
    ACTIONS(953), 1,
      sym__str_start,
    STATE(812), 1,
      sym_static_string,
    STATE(959), 1,
      sym_enum_tag,
  [45299] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(979), 1,
      sym_ident,
    ACTIONS(983), 1,
      anon_sym_LBRACE,
    STATE(656), 1,
      sym_destruct,
    STATE(715), 2,
      sym_pattern,
      aux_sym_fun_expr_repeat1,
  [45316] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_ident,
    ACTIONS(951), 1,
      sym_multstr_start,
    ACTIONS(953), 1,
      sym__str_start,
    STATE(812), 1,
      sym_static_string,
    STATE(1094), 1,
      sym_enum_tag,
  [45335] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1122), 1,
      sym_ident,
    ACTIONS(1124), 1,
      sym_multstr_start,
    ACTIONS(1126), 1,
      sym__str_start,
    STATE(202), 1,
      sym_enum_tag,
    STATE(336), 1,
      sym_static_string,
  [45354] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_ident,
    ACTIONS(951), 1,
      sym_multstr_start,
    ACTIONS(953), 1,
      sym__str_start,
    STATE(812), 1,
      sym_static_string,
    STATE(1056), 1,
      sym_enum_tag,
  [45373] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(577), 1,
      anon_sym_COLON,
    ACTIONS(712), 1,
      ts_builtin_sym_end,
    ACTIONS(1128), 1,
      anon_sym_PIPE,
    STATE(728), 2,
      sym_annot_atom,
      aux_sym_annot_repeat1,
  [45390] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_ident,
    ACTIONS(951), 1,
      sym_multstr_start,
    ACTIONS(953), 1,
      sym__str_start,
    STATE(812), 1,
      sym_static_string,
    STATE(962), 1,
      sym_enum_tag,
  [45409] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(983), 1,
      anon_sym_LBRACE,
    ACTIONS(1067), 1,
      sym_ident,
    ACTIONS(1130), 1,
      anon_sym_rec,
    STATE(656), 1,
      sym_destruct,
    STATE(717), 1,
      sym_pattern,
  [45428] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_ident,
    ACTIONS(951), 1,
      sym_multstr_start,
    ACTIONS(953), 1,
      sym__str_start,
    STATE(812), 1,
      sym_static_string,
    STATE(936), 1,
      sym_enum_tag,
  [45447] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1132), 1,
      sym_ident,
    ACTIONS(1134), 1,
      sym_multstr_start,
    ACTIONS(1136), 1,
      sym__str_start,
    STATE(264), 1,
      sym_static_string,
    STATE(324), 1,
      sym_enum_tag,
  [45466] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(983), 1,
      anon_sym_LBRACE,
    ACTIONS(1067), 1,
      sym_ident,
    ACTIONS(1138), 1,
      anon_sym_rec,
    STATE(656), 1,
      sym_destruct,
    STATE(707), 1,
      sym_pattern,
  [45485] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(708), 1,
      sym_interpolation_end,
    ACTIONS(1140), 1,
      anon_sym_PIPE,
    ACTIONS(1143), 1,
      anon_sym_COLON,
    STATE(769), 2,
      sym_annot_atom,
      aux_sym_annot_repeat1,
  [45502] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1061), 1,
      anon_sym_BQUOTE,
    ACTIONS(1063), 1,
      anon_sym__,
    ACTIONS(1146), 1,
      anon_sym_COMMA,
    ACTIONS(1148), 1,
      anon_sym_RBRACE,
    STATE(856), 1,
      sym_switch_case,
  [45521] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(708), 1,
      anon_sym_then,
    ACTIONS(1150), 1,
      anon_sym_PIPE,
    ACTIONS(1153), 1,
      anon_sym_COLON,
    STATE(771), 2,
      sym_annot_atom,
      aux_sym_annot_repeat1,
  [45538] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(983), 1,
      anon_sym_LBRACE,
    ACTIONS(1067), 1,
      sym_ident,
    ACTIONS(1156), 1,
      anon_sym_rec,
    STATE(656), 1,
      sym_destruct,
    STATE(706), 1,
      sym_pattern,
  [45557] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(979), 1,
      sym_ident,
    ACTIONS(983), 1,
      anon_sym_LBRACE,
    STATE(656), 1,
      sym_destruct,
    STATE(704), 2,
      sym_pattern,
      aux_sym_fun_expr_repeat1,
  [45574] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(987), 1,
      sym_multstr_end,
    ACTIONS(985), 4,
      anon_sym_PERCENT,
      sym_double_quote,
      sym_mult_str_literal,
      sym_str_esc_char,
  [45587] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1158), 1,
      sym_ident,
    ACTIONS(1160), 1,
      sym_multstr_start,
    ACTIONS(1162), 1,
      sym__str_start,
    STATE(206), 1,
      sym_static_string,
    STATE(262), 1,
      sym_enum_tag,
  [45606] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1164), 1,
      sym_ident,
    ACTIONS(1166), 1,
      sym_multstr_start,
    ACTIONS(1168), 1,
      sym__str_start,
    STATE(352), 1,
      sym_enum_tag,
    STATE(361), 1,
      sym_static_string,
  [45625] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(945), 1,
      sym_ident,
    ACTIONS(951), 1,
      sym_multstr_start,
    ACTIONS(953), 1,
      sym__str_start,
    STATE(812), 1,
      sym_static_string,
    STATE(982), 1,
      sym_enum_tag,
  [45644] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1061), 1,
      anon_sym_BQUOTE,
    ACTIONS(1063), 1,
      anon_sym__,
    ACTIONS(1170), 1,
      anon_sym_COMMA,
    ACTIONS(1172), 1,
      anon_sym_RBRACE,
    STATE(870), 1,
      sym_switch_case,
  [45663] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(983), 1,
      anon_sym_LBRACE,
    ACTIONS(1067), 1,
      sym_ident,
    ACTIONS(1174), 1,
      anon_sym_rec,
    STATE(656), 1,
      sym_destruct,
    STATE(701), 1,
      sym_pattern,
  [45682] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(553), 1,
      anon_sym_COLON,
    ACTIONS(712), 1,
      anon_sym_else,
    ACTIONS(1176), 1,
      anon_sym_PIPE,
    STATE(782), 2,
      sym_annot_atom,
      aux_sym_annot_repeat1,
  [45699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(991), 1,
      sym_multstr_end,
    ACTIONS(989), 4,
      anon_sym_PERCENT,
      sym_double_quote,
      sym_mult_str_literal,
      sym_str_esc_char,
  [45712] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(708), 1,
      anon_sym_else,
    ACTIONS(1178), 1,
      anon_sym_PIPE,
    ACTIONS(1181), 1,
      anon_sym_COLON,
    STATE(782), 2,
      sym_annot_atom,
      aux_sym_annot_repeat1,
  [45729] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1184), 2,
      anon_sym_PERCENT,
      sym_str_esc_char,
    ACTIONS(1186), 3,
      sym__str_end,
      sym_interpolation_start,
      sym_str_literal,
  [45742] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1188), 1,
      anon_sym_COMMA,
    ACTIONS(1190), 1,
      anon_sym_SEMI,
    ACTIONS(1192), 1,
      anon_sym_PIPE_RBRACK,
    STATE(800), 1,
      aux_sym_type_atom_repeat1,
  [45758] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1188), 1,
      anon_sym_COMMA,
    ACTIONS(1194), 1,
      anon_sym_SEMI,
    ACTIONS(1196), 1,
      anon_sym_PIPE_RBRACK,
    STATE(800), 1,
      aux_sym_type_atom_repeat1,
  [45774] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(979), 1,
      sym_ident,
    ACTIONS(983), 1,
      anon_sym_LBRACE,
    STATE(656), 1,
      sym_destruct,
    STATE(708), 1,
      sym_pattern,
  [45790] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(979), 1,
      sym_ident,
    ACTIONS(983), 1,
      anon_sym_LBRACE,
    STATE(656), 1,
      sym_destruct,
    STATE(719), 1,
      sym_pattern,
  [45806] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1061), 1,
      anon_sym_BQUOTE,
    ACTIONS(1063), 1,
      anon_sym__,
    ACTIONS(1198), 1,
      anon_sym_RBRACE,
    STATE(924), 1,
      sym_switch_case,
  [45822] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(979), 1,
      sym_ident,
    ACTIONS(983), 1,
      anon_sym_LBRACE,
    STATE(656), 1,
      sym_destruct,
    STATE(703), 1,
      sym_pattern,
  [45838] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(979), 1,
      sym_ident,
    ACTIONS(983), 1,
      anon_sym_LBRACE,
    STATE(656), 1,
      sym_destruct,
    STATE(712), 1,
      sym_pattern,
  [45854] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(979), 1,
      sym_ident,
    ACTIONS(983), 1,
      anon_sym_LBRACE,
    STATE(656), 1,
      sym_destruct,
    STATE(713), 1,
      sym_pattern,
  [45870] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1061), 1,
      anon_sym_BQUOTE,
    ACTIONS(1063), 1,
      anon_sym__,
    ACTIONS(1200), 1,
      anon_sym_RBRACE,
    STATE(924), 1,
      sym_switch_case,
  [45886] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(979), 1,
      sym_ident,
    ACTIONS(983), 1,
      anon_sym_LBRACE,
    STATE(656), 1,
      sym_destruct,
    STATE(705), 1,
      sym_pattern,
  [45902] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1188), 1,
      anon_sym_COMMA,
    ACTIONS(1202), 1,
      anon_sym_SEMI,
    ACTIONS(1204), 1,
      anon_sym_PIPE_RBRACK,
    STATE(796), 1,
      aux_sym_type_atom_repeat1,
  [45918] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1206), 1,
      anon_sym_EQ,
    ACTIONS(1208), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [45930] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1188), 1,
      anon_sym_COMMA,
    ACTIONS(1210), 1,
      anon_sym_SEMI,
    ACTIONS(1212), 1,
      anon_sym_PIPE_RBRACK,
    STATE(800), 1,
      aux_sym_type_atom_repeat1,
  [45946] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(979), 1,
      sym_ident,
    ACTIONS(983), 1,
      anon_sym_LBRACE,
    STATE(656), 1,
      sym_destruct,
    STATE(906), 1,
      sym_pattern,
  [45962] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1061), 1,
      anon_sym_BQUOTE,
    ACTIONS(1063), 1,
      anon_sym__,
    ACTIONS(1214), 1,
      anon_sym_RBRACE,
    STATE(924), 1,
      sym_switch_case,
  [45978] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1061), 1,
      anon_sym_BQUOTE,
    ACTIONS(1063), 1,
      anon_sym__,
    ACTIONS(1216), 1,
      anon_sym_RBRACE,
    STATE(924), 1,
      sym_switch_case,
  [45994] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1218), 1,
      anon_sym_COMMA,
    STATE(800), 1,
      aux_sym_type_atom_repeat1,
    ACTIONS(1221), 2,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
  [46008] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1188), 1,
      anon_sym_COMMA,
    ACTIONS(1223), 1,
      anon_sym_SEMI,
    ACTIONS(1225), 1,
      anon_sym_PIPE_RBRACK,
    STATE(800), 1,
      aux_sym_type_atom_repeat1,
  [46024] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(979), 1,
      sym_ident,
    ACTIONS(983), 1,
      anon_sym_LBRACE,
    STATE(656), 1,
      sym_destruct,
    STATE(922), 1,
      sym_pattern,
  [46040] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(979), 1,
      sym_ident,
    ACTIONS(983), 1,
      anon_sym_LBRACE,
    STATE(656), 1,
      sym_destruct,
    STATE(931), 1,
      sym_pattern,
  [46056] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1061), 1,
      anon_sym_BQUOTE,
    ACTIONS(1063), 1,
      anon_sym__,
    ACTIONS(1227), 1,
      anon_sym_RBRACE,
    STATE(924), 1,
      sym_switch_case,
  [46072] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1061), 1,
      anon_sym_BQUOTE,
    ACTIONS(1063), 1,
      anon_sym__,
    ACTIONS(1229), 1,
      anon_sym_RBRACE,
    STATE(924), 1,
      sym_switch_case,
  [46088] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1061), 1,
      anon_sym_BQUOTE,
    ACTIONS(1063), 1,
      anon_sym__,
    ACTIONS(1231), 1,
      anon_sym_RBRACE,
    STATE(924), 1,
      sym_switch_case,
  [46104] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1188), 1,
      anon_sym_COMMA,
    ACTIONS(1233), 1,
      anon_sym_SEMI,
    ACTIONS(1235), 1,
      anon_sym_PIPE_RBRACK,
    STATE(800), 1,
      aux_sym_type_atom_repeat1,
  [46120] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1188), 1,
      anon_sym_COMMA,
    ACTIONS(1237), 1,
      anon_sym_SEMI,
    ACTIONS(1239), 1,
      anon_sym_PIPE_RBRACK,
    STATE(801), 1,
      aux_sym_type_atom_repeat1,
  [46136] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(979), 1,
      sym_ident,
    ACTIONS(983), 1,
      anon_sym_LBRACE,
    STATE(656), 1,
      sym_destruct,
    STATE(907), 1,
      sym_pattern,
  [46152] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1188), 1,
      anon_sym_COMMA,
    ACTIONS(1241), 1,
      anon_sym_SEMI,
    ACTIONS(1243), 1,
      anon_sym_PIPE_RBRACK,
    STATE(807), 1,
      aux_sym_type_atom_repeat1,
  [46168] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1184), 2,
      anon_sym_PERCENT,
      sym_str_esc_char,
    ACTIONS(1186), 2,
      sym__str_end,
      sym_str_literal,
  [46180] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(353), 4,
      anon_sym_EQ_GT,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
  [46190] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1061), 1,
      anon_sym_BQUOTE,
    ACTIONS(1063), 1,
      anon_sym__,
    ACTIONS(1245), 1,
      anon_sym_RBRACE,
    STATE(924), 1,
      sym_switch_case,
  [46206] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1061), 1,
      anon_sym_BQUOTE,
    ACTIONS(1063), 1,
      anon_sym__,
    ACTIONS(1247), 1,
      anon_sym_RBRACE,
    STATE(924), 1,
      sym_switch_case,
  [46222] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1188), 1,
      anon_sym_COMMA,
    ACTIONS(1249), 1,
      anon_sym_SEMI,
    ACTIONS(1251), 1,
      anon_sym_PIPE_RBRACK,
    STATE(800), 1,
      aux_sym_type_atom_repeat1,
  [46238] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1188), 1,
      anon_sym_COMMA,
    ACTIONS(1253), 1,
      anon_sym_SEMI,
    ACTIONS(1255), 1,
      anon_sym_PIPE_RBRACK,
    STATE(785), 1,
      aux_sym_type_atom_repeat1,
  [46254] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1188), 1,
      anon_sym_COMMA,
    ACTIONS(1257), 1,
      anon_sym_SEMI,
    ACTIONS(1259), 1,
      anon_sym_PIPE_RBRACK,
    STATE(815), 1,
      aux_sym_type_atom_repeat1,
  [46270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(989), 2,
      anon_sym_PERCENT,
      sym_str_esc_char,
    ACTIONS(991), 2,
      sym__str_end,
      sym_str_literal,
  [46282] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1188), 1,
      anon_sym_COMMA,
    ACTIONS(1261), 1,
      anon_sym_SEMI,
    ACTIONS(1263), 1,
      anon_sym_PIPE_RBRACK,
    STATE(784), 1,
      aux_sym_type_atom_repeat1,
  [46298] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1061), 1,
      anon_sym_BQUOTE,
    ACTIONS(1063), 1,
      anon_sym__,
    ACTIONS(1265), 1,
      anon_sym_RBRACE,
    STATE(924), 1,
      sym_switch_case,
  [46314] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1061), 1,
      anon_sym_BQUOTE,
    ACTIONS(1063), 1,
      anon_sym__,
    ACTIONS(1267), 1,
      anon_sym_RBRACE,
    STATE(924), 1,
      sym_switch_case,
  [46330] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1061), 1,
      anon_sym_BQUOTE,
    ACTIONS(1063), 1,
      anon_sym__,
    ACTIONS(1269), 1,
      anon_sym_RBRACE,
    STATE(924), 1,
      sym_switch_case,
  [46346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(998), 1,
      sym_row_tail,
    ACTIONS(1271), 2,
      sym_ident,
      anon_sym_Dyn,
  [46357] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1104), 3,
      sym_ident,
      anon_sym_RBRACE,
      anon_sym_DOT_DOT,
  [46366] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      sym_ident,
    ACTIONS(1275), 1,
      anon_sym_DOT,
    STATE(861), 1,
      aux_sym_forall_repeat1,
  [46379] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1166), 1,
      sym_multstr_start,
    ACTIONS(1168), 1,
      sym__str_start,
    STATE(399), 1,
      sym_static_string,
  [46392] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1277), 1,
      anon_sym_COMMA,
    ACTIONS(1279), 1,
      anon_sym_RBRACK,
    STATE(839), 1,
      aux_sym_atom_repeat1,
  [46405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1031), 1,
      sym_row_tail,
    ACTIONS(1271), 2,
      sym_ident,
      anon_sym_Dyn,
  [46416] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1200), 1,
      anon_sym_RBRACE,
    ACTIONS(1281), 1,
      anon_sym_COMMA,
    STATE(874), 1,
      aux_sym_switch_expr_repeat1,
  [46429] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      sym_ident,
    ACTIONS(1283), 1,
      anon_sym_DOT,
    STATE(861), 1,
      aux_sym_forall_repeat1,
  [46442] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1285), 1,
      anon_sym_COMMA,
    ACTIONS(1287), 1,
      anon_sym_RBRACK,
    STATE(841), 1,
      aux_sym_atom_repeat1,
  [46455] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1231), 1,
      anon_sym_RBRACE,
    ACTIONS(1289), 1,
      anon_sym_COMMA,
    STATE(874), 1,
      aux_sym_switch_expr_repeat1,
  [46468] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1291), 1,
      anon_sym_COMMA,
    ACTIONS(1293), 1,
      anon_sym_RBRACE,
    STATE(850), 1,
      aux_sym_switch_expr_repeat1,
  [46481] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1295), 1,
      anon_sym_COMMA,
    ACTIONS(1297), 2,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [46492] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      sym_ident,
    ACTIONS(1299), 1,
      anon_sym_DOT,
    STATE(861), 1,
      aux_sym_forall_repeat1,
  [46505] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1097), 1,
      sym_multstr_start,
    ACTIONS(1099), 1,
      sym__str_start,
    STATE(176), 1,
      sym_static_string,
  [46518] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 1,
      anon_sym_COMMA,
    ACTIONS(1303), 1,
      anon_sym_RBRACE,
    STATE(832), 1,
      aux_sym_switch_expr_repeat1,
  [46531] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      sym_ident,
    ACTIONS(1305), 1,
      anon_sym_DOT,
    STATE(861), 1,
      aux_sym_forall_repeat1,
  [46544] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(141), 1,
      anon_sym_RBRACK,
    ACTIONS(1307), 1,
      anon_sym_COMMA,
    STATE(899), 1,
      aux_sym_atom_repeat1,
  [46557] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1309), 1,
      anon_sym_COMMA,
    ACTIONS(1311), 1,
      anon_sym_RBRACK,
    STATE(888), 1,
      aux_sym_atom_repeat1,
  [46570] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(155), 1,
      anon_sym_RBRACK,
    ACTIONS(1313), 1,
      anon_sym_COMMA,
    STATE(899), 1,
      aux_sym_atom_repeat1,
  [46583] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(958), 1,
      sym_row_tail,
    ACTIONS(1271), 2,
      sym_ident,
      anon_sym_Dyn,
  [46594] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(951), 1,
      sym_row_tail,
    ACTIONS(1271), 2,
      sym_ident,
      anon_sym_Dyn,
  [46605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(950), 1,
      sym_row_tail,
    ACTIONS(1271), 2,
      sym_ident,
      anon_sym_Dyn,
  [46616] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1315), 1,
      anon_sym_COMMA,
    ACTIONS(1317), 1,
      anon_sym_RBRACK,
    STATE(863), 1,
      aux_sym_atom_repeat1,
  [46629] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(944), 1,
      sym_row_tail,
    ACTIONS(1271), 2,
      sym_ident,
      anon_sym_Dyn,
  [46640] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(700), 3,
      sym_interpolation_end,
      anon_sym_PIPE,
      anon_sym_COLON,
  [46649] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(698), 3,
      sym_interpolation_end,
      anon_sym_PIPE,
      anon_sym_COLON,
  [46658] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(541), 3,
      sym_interpolation_end,
      anon_sym_PIPE,
      anon_sym_COLON,
  [46667] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1267), 1,
      anon_sym_RBRACE,
    ACTIONS(1319), 1,
      anon_sym_COMMA,
    STATE(874), 1,
      aux_sym_switch_expr_repeat1,
  [46680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(972), 1,
      sym_row_tail,
    ACTIONS(1271), 2,
      sym_ident,
      anon_sym_Dyn,
  [46691] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1321), 1,
      anon_sym_COMMA,
    ACTIONS(1323), 1,
      anon_sym_RBRACE,
    STATE(829), 1,
      aux_sym_switch_expr_repeat1,
  [46704] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(953), 1,
      sym_row_tail,
    ACTIONS(1271), 2,
      sym_ident,
      anon_sym_Dyn,
  [46715] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(983), 1,
      sym_row_tail,
    ACTIONS(1271), 2,
      sym_ident,
      anon_sym_Dyn,
  [46726] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1216), 1,
      anon_sym_RBRACE,
    ACTIONS(1325), 1,
      anon_sym_COMMA,
    STATE(874), 1,
      aux_sym_switch_expr_repeat1,
  [46739] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1327), 1,
      anon_sym_COMMA,
    ACTIONS(1329), 1,
      anon_sym_RBRACE,
    STATE(891), 1,
      aux_sym_switch_expr_repeat1,
  [46752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1002), 1,
      sym_row_tail,
    ACTIONS(1271), 2,
      sym_ident,
      anon_sym_Dyn,
  [46763] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1116), 1,
      sym_multstr_start,
    ACTIONS(1118), 1,
      sym__str_start,
    STATE(408), 1,
      sym_static_string,
  [46776] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1030), 1,
      sym_row_tail,
    ACTIONS(1271), 2,
      sym_ident,
      anon_sym_Dyn,
  [46787] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1331), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [46796] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1333), 1,
      sym_ident,
    ACTIONS(1336), 1,
      anon_sym_DOT,
    STATE(861), 1,
      aux_sym_forall_repeat1,
  [46809] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(341), 3,
      sym_interpolation_end,
      anon_sym_PIPE,
      anon_sym_COLON,
  [46818] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(157), 1,
      anon_sym_RBRACK,
    ACTIONS(1338), 1,
      anon_sym_COMMA,
    STATE(899), 1,
      aux_sym_atom_repeat1,
  [46831] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1340), 1,
      sym_multstr_start,
    ACTIONS(1342), 1,
      sym__str_start,
    STATE(873), 1,
      sym_static_string,
  [46844] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1160), 1,
      sym_multstr_start,
    ACTIONS(1162), 1,
      sym__str_start,
    STATE(405), 1,
      sym_static_string,
  [46857] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1041), 1,
      sym_row_tail,
    ACTIONS(1271), 2,
      sym_ident,
      anon_sym_Dyn,
  [46868] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(145), 1,
      anon_sym_RBRACK,
    ACTIONS(1344), 1,
      anon_sym_COMMA,
    STATE(899), 1,
      aux_sym_atom_repeat1,
  [46881] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(696), 3,
      sym_interpolation_end,
      anon_sym_PIPE,
      anon_sym_COLON,
  [46890] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1043), 1,
      sym_row_tail,
    ACTIONS(1271), 2,
      sym_ident,
      anon_sym_Dyn,
  [46901] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1346), 1,
      anon_sym_COMMA,
    ACTIONS(1348), 1,
      anon_sym_RBRACE,
    STATE(855), 1,
      aux_sym_switch_expr_repeat1,
  [46914] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(951), 1,
      sym_multstr_start,
    ACTIONS(953), 1,
      sym__str_start,
    STATE(581), 1,
      sym_static_string,
  [46927] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1098), 1,
      sym_row_tail,
    ACTIONS(1271), 2,
      sym_ident,
      anon_sym_Dyn,
  [46938] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(683), 3,
      sym_interpolation_end,
      anon_sym_PIPE,
      anon_sym_COLON,
  [46947] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1350), 1,
      anon_sym_COMMA,
    ACTIONS(1353), 1,
      anon_sym_RBRACE,
    STATE(874), 1,
      aux_sym_switch_expr_repeat1,
  [46960] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      sym_ident,
    ACTIONS(1355), 1,
      anon_sym_DOT,
    STATE(861), 1,
      aux_sym_forall_repeat1,
  [46973] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1357), 1,
      anon_sym_COMMA,
    ACTIONS(1359), 1,
      anon_sym_RBRACK,
    STATE(867), 1,
      aux_sym_atom_repeat1,
  [46986] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(159), 1,
      anon_sym_RBRACK,
    ACTIONS(1361), 1,
      anon_sym_COMMA,
    STATE(899), 1,
      aux_sym_atom_repeat1,
  [46999] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 1,
      anon_sym_EQ,
    ACTIONS(1365), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [47010] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1061), 1,
      anon_sym_BQUOTE,
    ACTIONS(1063), 1,
      anon_sym__,
    STATE(924), 1,
      sym_switch_case,
  [47023] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1367), 1,
      anon_sym_COMMA,
    ACTIONS(1369), 1,
      anon_sym_RBRACK,
    STATE(877), 1,
      aux_sym_atom_repeat1,
  [47036] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1105), 1,
      sym_row_tail,
    ACTIONS(1271), 2,
      sym_ident,
      anon_sym_Dyn,
  [47047] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1134), 1,
      sym_multstr_start,
    ACTIONS(1136), 1,
      sym__str_start,
    STATE(401), 1,
      sym_static_string,
  [47060] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1273), 1,
      sym_ident,
    ACTIONS(1371), 1,
      anon_sym_DOT,
    STATE(861), 1,
      aux_sym_forall_repeat1,
  [47073] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1373), 1,
      anon_sym_EQ,
    ACTIONS(1375), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [47084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1027), 1,
      sym_row_tail,
    ACTIONS(1271), 2,
      sym_ident,
      anon_sym_Dyn,
  [47095] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1377), 1,
      anon_sym_COMMA,
    ACTIONS(1379), 1,
      anon_sym_RBRACE,
    STATE(902), 1,
      aux_sym_switch_expr_repeat1,
  [47108] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1049), 1,
      sym_row_tail,
    ACTIONS(1271), 2,
      sym_ident,
      anon_sym_Dyn,
  [47119] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(163), 1,
      anon_sym_RBRACK,
    ACTIONS(1381), 1,
      anon_sym_COMMA,
    STATE(899), 1,
      aux_sym_atom_repeat1,
  [47132] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1124), 1,
      sym_multstr_start,
    ACTIONS(1126), 1,
      sym__str_start,
    STATE(402), 1,
      sym_static_string,
  [47145] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(337), 3,
      sym_interpolation_end,
      anon_sym_PIPE,
      anon_sym_COLON,
  [47154] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1214), 1,
      anon_sym_RBRACE,
    ACTIONS(1383), 1,
      anon_sym_COMMA,
    STATE(874), 1,
      aux_sym_switch_expr_repeat1,
  [47167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1001), 1,
      sym_row_tail,
    ACTIONS(1271), 2,
      sym_ident,
      anon_sym_Dyn,
  [47178] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1385), 3,
      anon_sym_EQ,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [47187] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 3,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [47196] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1020), 1,
      sym_row_tail,
    ACTIONS(1271), 2,
      sym_ident,
      anon_sym_Dyn,
  [47207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(963), 1,
      sym_row_tail,
    ACTIONS(1271), 2,
      sym_ident,
      anon_sym_Dyn,
  [47218] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1086), 1,
      sym_row_tail,
    ACTIONS(1271), 2,
      sym_ident,
      anon_sym_Dyn,
  [47229] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(992), 1,
      sym_row_tail,
    ACTIONS(1271), 2,
      sym_ident,
      anon_sym_Dyn,
  [47240] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1389), 1,
      anon_sym_COMMA,
    ACTIONS(1392), 1,
      anon_sym_RBRACK,
    STATE(899), 1,
      aux_sym_atom_repeat1,
  [47253] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1221), 3,
      anon_sym_COMMA,
      anon_sym_SEMI,
      anon_sym_PIPE_RBRACK,
  [47262] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1053), 1,
      sym_row_tail,
    ACTIONS(1271), 2,
      sym_ident,
      anon_sym_Dyn,
  [47273] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1247), 1,
      anon_sym_RBRACE,
    ACTIONS(1394), 1,
      anon_sym_COMMA,
    STATE(874), 1,
      aux_sym_switch_expr_repeat1,
  [47286] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(1051), 1,
      sym_row_tail,
    ACTIONS(1271), 2,
      sym_ident,
      anon_sym_Dyn,
  [47297] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1392), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [47305] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1396), 1,
      sym_ident,
    STATE(830), 1,
      aux_sym_forall_repeat1,
  [47315] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1398), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [47323] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1400), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [47331] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1402), 1,
      sym_ident,
    STATE(883), 1,
      aux_sym_forall_repeat1,
  [47341] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1404), 1,
      anon_sym_RBRACE,
    ACTIONS(1406), 1,
      anon_sym_SEMI,
  [47351] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1408), 1,
      anon_sym_RBRACE,
    ACTIONS(1410), 1,
      anon_sym_SEMI,
  [47361] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1412), 1,
      anon_sym_RBRACE,
    ACTIONS(1414), 1,
      anon_sym_SEMI,
  [47371] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1416), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [47379] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1418), 1,
      sym_ident,
    STATE(825), 1,
      aux_sym_forall_repeat1,
  [47389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1420), 1,
      anon_sym_RBRACE,
    ACTIONS(1422), 1,
      anon_sym_SEMI,
  [47399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1424), 1,
      anon_sym_RBRACE,
    ACTIONS(1426), 1,
      anon_sym_SEMI,
  [47409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1428), 1,
      anon_sym_RBRACE,
    ACTIONS(1430), 1,
      anon_sym_SEMI,
  [47419] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 1,
      sym_ident,
    STATE(875), 1,
      aux_sym_forall_repeat1,
  [47429] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1434), 1,
      anon_sym_COMMA,
    ACTIONS(1436), 1,
      anon_sym_RBRACE,
  [47439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1436), 1,
      anon_sym_RBRACE,
    ACTIONS(1438), 1,
      sym_ident,
  [47449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(983), 1,
      anon_sym_LBRACE,
    STATE(644), 1,
      sym_destruct,
  [47459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1440), 1,
      sym_ident,
    STATE(835), 1,
      aux_sym_forall_repeat1,
  [47469] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1442), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [47477] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(589), 1,
      anon_sym_RPAREN,
    ACTIONS(1444), 1,
      sym_ident,
  [47487] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [47495] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_RBRACE,
    ACTIONS(1448), 1,
      anon_sym_SEMI,
  [47505] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1450), 1,
      anon_sym_RBRACE,
    ACTIONS(1452), 1,
      anon_sym_SEMI,
  [47515] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_RBRACE,
    ACTIONS(1456), 1,
      anon_sym_SEMI,
  [47525] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1297), 2,
      anon_sym_RBRACE,
      anon_sym_SEMI,
  [47533] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1458), 1,
      anon_sym_RBRACE,
    ACTIONS(1460), 1,
      anon_sym_SEMI,
  [47543] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1462), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [47551] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1464), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [47559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1466), 1,
      anon_sym_RBRACE,
    ACTIONS(1468), 1,
      anon_sym_SEMI,
  [47569] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1470), 1,
      anon_sym_RBRACE,
    ACTIONS(1472), 1,
      anon_sym_SEMI,
  [47579] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1474), 1,
      sym_ident,
    STATE(838), 1,
      aux_sym_forall_repeat1,
  [47589] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(777), 1,
      sym_interpolation_end,
  [47596] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1476), 1,
      anon_sym_PIPE_RBRACK,
  [47603] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(515), 1,
      sym_interpolation_end,
  [47610] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(714), 1,
      sym_interpolation_end,
  [47617] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1478), 1,
      anon_sym_in,
  [47624] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1480), 1,
      anon_sym_RPAREN,
  [47631] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1287), 1,
      anon_sym_RBRACK,
  [47638] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1482), 1,
      anon_sym_PERCENT,
  [47645] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_RBRACE,
  [47652] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1484), 1,
      anon_sym_RBRACE,
  [47659] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1486), 1,
      anon_sym_PERCENT,
  [47666] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1488), 1,
      anon_sym_PIPE_RBRACK,
  [47673] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1490), 1,
      anon_sym_in,
  [47680] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1323), 1,
      anon_sym_RBRACE,
  [47687] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1492), 1,
      anon_sym_RBRACE,
  [47694] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1494), 1,
      anon_sym_RBRACE,
  [47701] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1496), 1,
      anon_sym_RBRACE,
  [47708] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1498), 1,
      anon_sym_else,
  [47715] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1500), 1,
      anon_sym_RBRACE,
  [47722] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1502), 1,
      anon_sym_PIPE_RBRACK,
  [47729] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1504), 1,
      anon_sym_in,
  [47736] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1506), 1,
      anon_sym_in,
  [47743] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(744), 1,
      sym_interpolation_end,
  [47750] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1508), 1,
      anon_sym_RBRACE,
  [47757] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1510), 1,
      anon_sym_PIPE_RBRACK,
  [47764] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1512), 1,
      anon_sym_in,
  [47771] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1514), 1,
      anon_sym_in,
  [47778] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1516), 1,
      anon_sym_PIPE_RBRACK,
  [47785] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1518), 1,
      anon_sym_RBRACE,
  [47792] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(742), 1,
      sym_interpolation_end,
  [47799] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1520), 1,
      anon_sym_PERCENT,
  [47806] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(746), 1,
      sym_interpolation_end,
  [47813] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1522), 1,
      anon_sym_EQ,
  [47820] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1524), 1,
      anon_sym_in,
  [47827] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1526), 1,
      anon_sym_in,
  [47834] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1434), 1,
      anon_sym_COMMA,
  [47841] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1528), 1,
      anon_sym_PIPE_RBRACK,
  [47848] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1530), 1,
      anon_sym_RBRACE,
  [47855] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1532), 1,
      anon_sym_in,
  [47862] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1534), 1,
      anon_sym_LBRACE,
  [47869] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1536), 1,
      anon_sym_in,
  [47876] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1538), 1,
      anon_sym_PIPE_RBRACK,
  [47883] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1540), 1,
      sym_ident,
  [47890] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(728), 1,
      sym_interpolation_end,
  [47897] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1542), 1,
      anon_sym_else,
  [47904] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1544), 1,
      anon_sym_RPAREN,
  [47911] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1546), 1,
      anon_sym_in,
  [47918] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1548), 1,
      anon_sym_PIPE_RBRACK,
  [47925] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1550), 1,
      anon_sym_RBRACE,
  [47932] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1552), 1,
      anon_sym_RBRACE,
  [47939] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1554), 1,
      anon_sym_in,
  [47946] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(730), 1,
      sym_interpolation_end,
  [47953] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(783), 1,
      sym_interpolation_end,
  [47960] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1556), 1,
      anon_sym_else,
  [47967] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(736), 1,
      sym_interpolation_end,
  [47974] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1295), 1,
      anon_sym_COMMA,
  [47981] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(775), 1,
      sym_interpolation_end,
  [47988] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1558), 1,
      anon_sym_RBRACE,
  [47995] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1560), 1,
      anon_sym_LBRACE,
  [48002] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(752), 1,
      sym_interpolation_end,
  [48009] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1311), 1,
      anon_sym_RBRACK,
  [48016] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 1,
      sym_ident,
  [48023] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(748), 1,
      sym_interpolation_end,
  [48030] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1562), 1,
      anon_sym_RBRACE,
  [48037] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1564), 1,
      anon_sym_RBRACE,
  [48044] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1566), 1,
      anon_sym_PIPE_RBRACK,
  [48051] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1568), 1,
      anon_sym_RBRACE,
  [48058] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1570), 1,
      anon_sym_RBRACE,
  [48065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 1,
      anon_sym_RBRACE,
  [48072] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1572), 1,
      anon_sym_EQ_GT,
  [48079] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1574), 1,
      anon_sym_in,
  [48086] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1576), 1,
      anon_sym_RBRACE,
  [48093] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1578), 1,
      anon_sym_RPAREN,
  [48100] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1580), 1,
      anon_sym_PERCENT,
  [48107] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1582), 1,
      anon_sym_RBRACE,
  [48114] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1369), 1,
      anon_sym_RBRACK,
  [48121] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1584), 1,
      anon_sym_LBRACE,
  [48128] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1586), 1,
      anon_sym_RPAREN,
  [48135] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1588), 1,
      anon_sym_in,
  [48142] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1590), 1,
      sym_ident,
  [48149] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1359), 1,
      anon_sym_RBRACK,
  [48156] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1592), 1,
      anon_sym_EQ,
  [48163] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1594), 1,
      sym_interpolation_end,
  [48170] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1596), 1,
      anon_sym_else,
  [48177] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1348), 1,
      anon_sym_RBRACE,
  [48184] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1598), 1,
      anon_sym_RBRACE,
  [48191] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1600), 1,
      anon_sym_PIPE_RBRACK,
  [48198] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1602), 1,
      anon_sym_PIPE_RBRACK,
  [48205] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1604), 1,
      anon_sym_in,
  [48212] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1606), 1,
      anon_sym_in,
  [48219] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1608), 1,
      anon_sym_PIPE_RBRACK,
  [48226] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1610), 1,
      anon_sym_LBRACE,
  [48233] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1612), 1,
      anon_sym_RBRACE,
  [48240] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1614), 1,
      anon_sym_PIPE_RBRACK,
  [48247] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1616), 1,
      anon_sym_LBRACE,
  [48254] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1618), 1,
      anon_sym_RBRACE,
  [48261] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1620), 1,
      anon_sym_RBRACE,
  [48268] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1622), 1,
      sym_ident,
  [48275] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1624), 1,
      anon_sym_in,
  [48282] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1626), 1,
      anon_sym_RBRACE,
  [48289] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1628), 1,
      anon_sym_in,
  [48296] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1630), 1,
      anon_sym_EQ_GT,
  [48303] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1632), 1,
      anon_sym_PIPE_RBRACK,
  [48310] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1634), 1,
      anon_sym_else,
  [48317] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1329), 1,
      anon_sym_RBRACE,
  [48324] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1636), 1,
      anon_sym_EQ,
  [48331] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1638), 1,
      anon_sym_RBRACE,
  [48338] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1640), 1,
      anon_sym_RBRACE,
  [48345] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1642), 1,
      anon_sym_RBRACE,
  [48352] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1644), 1,
      anon_sym_RBRACE,
  [48359] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1646), 1,
      anon_sym_in,
  [48366] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1648), 1,
      sym_interpolation_end,
  [48373] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1650), 1,
      anon_sym_LBRACE,
  [48380] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1652), 1,
      anon_sym_RBRACE,
  [48387] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1654), 1,
      anon_sym_RBRACE,
  [48394] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1656), 1,
      sym_ident,
  [48401] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1658), 1,
      anon_sym_RBRACE,
  [48408] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1660), 1,
      anon_sym_PERCENT,
  [48415] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1662), 1,
      anon_sym_RBRACE,
  [48422] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1317), 1,
      anon_sym_RBRACK,
  [48429] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1664), 1,
      anon_sym_else,
  [48436] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1666), 1,
      anon_sym_PIPE_RBRACK,
  [48443] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1668), 1,
      anon_sym_RPAREN,
  [48450] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1670), 1,
      anon_sym_RPAREN,
  [48457] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(507), 1,
      anon_sym_RPAREN,
  [48464] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1672), 1,
      anon_sym_RPAREN,
  [48471] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1674), 1,
      anon_sym_in,
  [48478] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1676), 1,
      anon_sym_RPAREN,
  [48485] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(611), 1,
      anon_sym_RPAREN,
  [48492] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(607), 1,
      anon_sym_RPAREN,
  [48499] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1678), 1,
      anon_sym_COLON,
  [48506] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1680), 1,
      anon_sym_then,
  [48513] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(603), 1,
      anon_sym_RPAREN,
  [48520] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1682), 1,
      anon_sym_EQ,
  [48527] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1684), 1,
      anon_sym_EQ,
  [48534] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(599), 1,
      anon_sym_RPAREN,
  [48541] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1686), 1,
      anon_sym_COLON,
  [48548] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1688), 1,
      anon_sym_then,
  [48555] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(595), 1,
      anon_sym_RPAREN,
  [48562] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1690), 1,
      anon_sym_EQ,
  [48569] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1692), 1,
      anon_sym_EQ,
  [48576] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(505), 1,
      anon_sym_RPAREN,
  [48583] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1694), 1,
      anon_sym_COLON,
  [48590] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1696), 1,
      anon_sym_then,
  [48597] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(589), 1,
      anon_sym_RPAREN,
  [48604] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1698), 1,
      anon_sym_EQ,
  [48611] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1700), 1,
      anon_sym_EQ,
  [48618] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1702), 1,
      anon_sym_in,
  [48625] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1704), 1,
      anon_sym_COLON,
  [48632] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1706), 1,
      anon_sym_then,
  [48639] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(585), 1,
      anon_sym_RPAREN,
  [48646] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1708), 1,
      anon_sym_RBRACE,
  [48653] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1710), 1,
      anon_sym_EQ,
  [48660] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1712), 1,
      anon_sym_PIPE_RBRACK,
  [48667] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1714), 1,
      anon_sym_COLON,
  [48674] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1716), 1,
      anon_sym_then,
  [48681] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1718), 1,
      anon_sym_then,
  [48688] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1720), 1,
      anon_sym_EQ,
  [48695] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1722), 1,
      anon_sym_EQ,
  [48702] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1724), 1,
      anon_sym_PIPE_RBRACK,
  [48709] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1726), 1,
      anon_sym_in,
  [48716] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1728), 1,
      anon_sym_RBRACE,
  [48723] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1730), 1,
      anon_sym_COLON,
  [48730] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1732), 1,
      anon_sym_RBRACE,
  [48737] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_RBRACE,
  [48744] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1734), 1,
      anon_sym_RPAREN,
  [48751] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1736), 1,
      anon_sym_in,
  [48758] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1738), 1,
      anon_sym_PIPE_RBRACK,
  [48765] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1740), 1,
      ts_builtin_sym_end,
  [48772] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1742), 1,
      sym_ident,
  [48779] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1744), 1,
      anon_sym_RBRACE,
  [48786] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1746), 1,
      anon_sym_PERCENT,
  [48793] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1279), 1,
      anon_sym_RBRACK,
  [48800] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1748), 1,
      anon_sym_in,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(8)] = 0,
  [SMALL_STATE(9)] = 94,
  [SMALL_STATE(10)] = 219,
  [SMALL_STATE(11)] = 344,
  [SMALL_STATE(12)] = 469,
  [SMALL_STATE(13)] = 594,
  [SMALL_STATE(14)] = 719,
  [SMALL_STATE(15)] = 844,
  [SMALL_STATE(16)] = 966,
  [SMALL_STATE(17)] = 1088,
  [SMALL_STATE(18)] = 1210,
  [SMALL_STATE(19)] = 1332,
  [SMALL_STATE(20)] = 1454,
  [SMALL_STATE(21)] = 1576,
  [SMALL_STATE(22)] = 1698,
  [SMALL_STATE(23)] = 1820,
  [SMALL_STATE(24)] = 1942,
  [SMALL_STATE(25)] = 2064,
  [SMALL_STATE(26)] = 2186,
  [SMALL_STATE(27)] = 2308,
  [SMALL_STATE(28)] = 2427,
  [SMALL_STATE(29)] = 2546,
  [SMALL_STATE(30)] = 2665,
  [SMALL_STATE(31)] = 2784,
  [SMALL_STATE(32)] = 2903,
  [SMALL_STATE(33)] = 3022,
  [SMALL_STATE(34)] = 3141,
  [SMALL_STATE(35)] = 3260,
  [SMALL_STATE(36)] = 3379,
  [SMALL_STATE(37)] = 3498,
  [SMALL_STATE(38)] = 3617,
  [SMALL_STATE(39)] = 3736,
  [SMALL_STATE(40)] = 3855,
  [SMALL_STATE(41)] = 3974,
  [SMALL_STATE(42)] = 4093,
  [SMALL_STATE(43)] = 4212,
  [SMALL_STATE(44)] = 4331,
  [SMALL_STATE(45)] = 4450,
  [SMALL_STATE(46)] = 4569,
  [SMALL_STATE(47)] = 4688,
  [SMALL_STATE(48)] = 4807,
  [SMALL_STATE(49)] = 4926,
  [SMALL_STATE(50)] = 5045,
  [SMALL_STATE(51)] = 5164,
  [SMALL_STATE(52)] = 5283,
  [SMALL_STATE(53)] = 5402,
  [SMALL_STATE(54)] = 5521,
  [SMALL_STATE(55)] = 5640,
  [SMALL_STATE(56)] = 5759,
  [SMALL_STATE(57)] = 5878,
  [SMALL_STATE(58)] = 5997,
  [SMALL_STATE(59)] = 6116,
  [SMALL_STATE(60)] = 6235,
  [SMALL_STATE(61)] = 6354,
  [SMALL_STATE(62)] = 6473,
  [SMALL_STATE(63)] = 6592,
  [SMALL_STATE(64)] = 6711,
  [SMALL_STATE(65)] = 6830,
  [SMALL_STATE(66)] = 6949,
  [SMALL_STATE(67)] = 7068,
  [SMALL_STATE(68)] = 7187,
  [SMALL_STATE(69)] = 7306,
  [SMALL_STATE(70)] = 7425,
  [SMALL_STATE(71)] = 7544,
  [SMALL_STATE(72)] = 7663,
  [SMALL_STATE(73)] = 7782,
  [SMALL_STATE(74)] = 7901,
  [SMALL_STATE(75)] = 8020,
  [SMALL_STATE(76)] = 8139,
  [SMALL_STATE(77)] = 8258,
  [SMALL_STATE(78)] = 8377,
  [SMALL_STATE(79)] = 8496,
  [SMALL_STATE(80)] = 8615,
  [SMALL_STATE(81)] = 8734,
  [SMALL_STATE(82)] = 8853,
  [SMALL_STATE(83)] = 8972,
  [SMALL_STATE(84)] = 9091,
  [SMALL_STATE(85)] = 9210,
  [SMALL_STATE(86)] = 9329,
  [SMALL_STATE(87)] = 9448,
  [SMALL_STATE(88)] = 9567,
  [SMALL_STATE(89)] = 9686,
  [SMALL_STATE(90)] = 9805,
  [SMALL_STATE(91)] = 9924,
  [SMALL_STATE(92)] = 10043,
  [SMALL_STATE(93)] = 10162,
  [SMALL_STATE(94)] = 10281,
  [SMALL_STATE(95)] = 10400,
  [SMALL_STATE(96)] = 10519,
  [SMALL_STATE(97)] = 10638,
  [SMALL_STATE(98)] = 10757,
  [SMALL_STATE(99)] = 10876,
  [SMALL_STATE(100)] = 10995,
  [SMALL_STATE(101)] = 11114,
  [SMALL_STATE(102)] = 11233,
  [SMALL_STATE(103)] = 11352,
  [SMALL_STATE(104)] = 11471,
  [SMALL_STATE(105)] = 11590,
  [SMALL_STATE(106)] = 11709,
  [SMALL_STATE(107)] = 11828,
  [SMALL_STATE(108)] = 11947,
  [SMALL_STATE(109)] = 12066,
  [SMALL_STATE(110)] = 12185,
  [SMALL_STATE(111)] = 12304,
  [SMALL_STATE(112)] = 12423,
  [SMALL_STATE(113)] = 12542,
  [SMALL_STATE(114)] = 12661,
  [SMALL_STATE(115)] = 12780,
  [SMALL_STATE(116)] = 12899,
  [SMALL_STATE(117)] = 13018,
  [SMALL_STATE(118)] = 13137,
  [SMALL_STATE(119)] = 13256,
  [SMALL_STATE(120)] = 13375,
  [SMALL_STATE(121)] = 13494,
  [SMALL_STATE(122)] = 13613,
  [SMALL_STATE(123)] = 13732,
  [SMALL_STATE(124)] = 13851,
  [SMALL_STATE(125)] = 13970,
  [SMALL_STATE(126)] = 14089,
  [SMALL_STATE(127)] = 14208,
  [SMALL_STATE(128)] = 14327,
  [SMALL_STATE(129)] = 14446,
  [SMALL_STATE(130)] = 14565,
  [SMALL_STATE(131)] = 14684,
  [SMALL_STATE(132)] = 14772,
  [SMALL_STATE(133)] = 14860,
  [SMALL_STATE(134)] = 14948,
  [SMALL_STATE(135)] = 15036,
  [SMALL_STATE(136)] = 15124,
  [SMALL_STATE(137)] = 15176,
  [SMALL_STATE(138)] = 15228,
  [SMALL_STATE(139)] = 15280,
  [SMALL_STATE(140)] = 15332,
  [SMALL_STATE(141)] = 15384,
  [SMALL_STATE(142)] = 15436,
  [SMALL_STATE(143)] = 15488,
  [SMALL_STATE(144)] = 15540,
  [SMALL_STATE(145)] = 15594,
  [SMALL_STATE(146)] = 15646,
  [SMALL_STATE(147)] = 15698,
  [SMALL_STATE(148)] = 15750,
  [SMALL_STATE(149)] = 15804,
  [SMALL_STATE(150)] = 15856,
  [SMALL_STATE(151)] = 15908,
  [SMALL_STATE(152)] = 15960,
  [SMALL_STATE(153)] = 16012,
  [SMALL_STATE(154)] = 16064,
  [SMALL_STATE(155)] = 16116,
  [SMALL_STATE(156)] = 16168,
  [SMALL_STATE(157)] = 16222,
  [SMALL_STATE(158)] = 16274,
  [SMALL_STATE(159)] = 16326,
  [SMALL_STATE(160)] = 16378,
  [SMALL_STATE(161)] = 16430,
  [SMALL_STATE(162)] = 16482,
  [SMALL_STATE(163)] = 16534,
  [SMALL_STATE(164)] = 16586,
  [SMALL_STATE(165)] = 16638,
  [SMALL_STATE(166)] = 16690,
  [SMALL_STATE(167)] = 16742,
  [SMALL_STATE(168)] = 16794,
  [SMALL_STATE(169)] = 16846,
  [SMALL_STATE(170)] = 16898,
  [SMALL_STATE(171)] = 16950,
  [SMALL_STATE(172)] = 17002,
  [SMALL_STATE(173)] = 17054,
  [SMALL_STATE(174)] = 17106,
  [SMALL_STATE(175)] = 17158,
  [SMALL_STATE(176)] = 17209,
  [SMALL_STATE(177)] = 17260,
  [SMALL_STATE(178)] = 17365,
  [SMALL_STATE(179)] = 17470,
  [SMALL_STATE(180)] = 17575,
  [SMALL_STATE(181)] = 17680,
  [SMALL_STATE(182)] = 17785,
  [SMALL_STATE(183)] = 17890,
  [SMALL_STATE(184)] = 17989,
  [SMALL_STATE(185)] = 18088,
  [SMALL_STATE(186)] = 18187,
  [SMALL_STATE(187)] = 18286,
  [SMALL_STATE(188)] = 18385,
  [SMALL_STATE(189)] = 18484,
  [SMALL_STATE(190)] = 18583,
  [SMALL_STATE(191)] = 18682,
  [SMALL_STATE(192)] = 18781,
  [SMALL_STATE(193)] = 18880,
  [SMALL_STATE(194)] = 18979,
  [SMALL_STATE(195)] = 19078,
  [SMALL_STATE(196)] = 19177,
  [SMALL_STATE(197)] = 19276,
  [SMALL_STATE(198)] = 19375,
  [SMALL_STATE(199)] = 19474,
  [SMALL_STATE(200)] = 19573,
  [SMALL_STATE(201)] = 19672,
  [SMALL_STATE(202)] = 19718,
  [SMALL_STATE(203)] = 19764,
  [SMALL_STATE(204)] = 19812,
  [SMALL_STATE(205)] = 19858,
  [SMALL_STATE(206)] = 19904,
  [SMALL_STATE(207)] = 19950,
  [SMALL_STATE(208)] = 19998,
  [SMALL_STATE(209)] = 20044,
  [SMALL_STATE(210)] = 20090,
  [SMALL_STATE(211)] = 20136,
  [SMALL_STATE(212)] = 20182,
  [SMALL_STATE(213)] = 20228,
  [SMALL_STATE(214)] = 20274,
  [SMALL_STATE(215)] = 20320,
  [SMALL_STATE(216)] = 20366,
  [SMALL_STATE(217)] = 20412,
  [SMALL_STATE(218)] = 20458,
  [SMALL_STATE(219)] = 20504,
  [SMALL_STATE(220)] = 20550,
  [SMALL_STATE(221)] = 20598,
  [SMALL_STATE(222)] = 20644,
  [SMALL_STATE(223)] = 20690,
  [SMALL_STATE(224)] = 20736,
  [SMALL_STATE(225)] = 20782,
  [SMALL_STATE(226)] = 20828,
  [SMALL_STATE(227)] = 20874,
  [SMALL_STATE(228)] = 20920,
  [SMALL_STATE(229)] = 20966,
  [SMALL_STATE(230)] = 21012,
  [SMALL_STATE(231)] = 21058,
  [SMALL_STATE(232)] = 21104,
  [SMALL_STATE(233)] = 21150,
  [SMALL_STATE(234)] = 21196,
  [SMALL_STATE(235)] = 21242,
  [SMALL_STATE(236)] = 21288,
  [SMALL_STATE(237)] = 21334,
  [SMALL_STATE(238)] = 21380,
  [SMALL_STATE(239)] = 21426,
  [SMALL_STATE(240)] = 21472,
  [SMALL_STATE(241)] = 21518,
  [SMALL_STATE(242)] = 21564,
  [SMALL_STATE(243)] = 21610,
  [SMALL_STATE(244)] = 21656,
  [SMALL_STATE(245)] = 21702,
  [SMALL_STATE(246)] = 21748,
  [SMALL_STATE(247)] = 21794,
  [SMALL_STATE(248)] = 21840,
  [SMALL_STATE(249)] = 21886,
  [SMALL_STATE(250)] = 21932,
  [SMALL_STATE(251)] = 21978,
  [SMALL_STATE(252)] = 22024,
  [SMALL_STATE(253)] = 22070,
  [SMALL_STATE(254)] = 22116,
  [SMALL_STATE(255)] = 22162,
  [SMALL_STATE(256)] = 22208,
  [SMALL_STATE(257)] = 22254,
  [SMALL_STATE(258)] = 22300,
  [SMALL_STATE(259)] = 22346,
  [SMALL_STATE(260)] = 22394,
  [SMALL_STATE(261)] = 22440,
  [SMALL_STATE(262)] = 22488,
  [SMALL_STATE(263)] = 22534,
  [SMALL_STATE(264)] = 22580,
  [SMALL_STATE(265)] = 22626,
  [SMALL_STATE(266)] = 22672,
  [SMALL_STATE(267)] = 22720,
  [SMALL_STATE(268)] = 22766,
  [SMALL_STATE(269)] = 22812,
  [SMALL_STATE(270)] = 22858,
  [SMALL_STATE(271)] = 22904,
  [SMALL_STATE(272)] = 22950,
  [SMALL_STATE(273)] = 22996,
  [SMALL_STATE(274)] = 23042,
  [SMALL_STATE(275)] = 23088,
  [SMALL_STATE(276)] = 23134,
  [SMALL_STATE(277)] = 23180,
  [SMALL_STATE(278)] = 23228,
  [SMALL_STATE(279)] = 23274,
  [SMALL_STATE(280)] = 23320,
  [SMALL_STATE(281)] = 23366,
  [SMALL_STATE(282)] = 23414,
  [SMALL_STATE(283)] = 23460,
  [SMALL_STATE(284)] = 23506,
  [SMALL_STATE(285)] = 23552,
  [SMALL_STATE(286)] = 23598,
  [SMALL_STATE(287)] = 23644,
  [SMALL_STATE(288)] = 23690,
  [SMALL_STATE(289)] = 23736,
  [SMALL_STATE(290)] = 23782,
  [SMALL_STATE(291)] = 23828,
  [SMALL_STATE(292)] = 23874,
  [SMALL_STATE(293)] = 23920,
  [SMALL_STATE(294)] = 23966,
  [SMALL_STATE(295)] = 24014,
  [SMALL_STATE(296)] = 24060,
  [SMALL_STATE(297)] = 24106,
  [SMALL_STATE(298)] = 24152,
  [SMALL_STATE(299)] = 24198,
  [SMALL_STATE(300)] = 24244,
  [SMALL_STATE(301)] = 24290,
  [SMALL_STATE(302)] = 24336,
  [SMALL_STATE(303)] = 24382,
  [SMALL_STATE(304)] = 24428,
  [SMALL_STATE(305)] = 24474,
  [SMALL_STATE(306)] = 24520,
  [SMALL_STATE(307)] = 24566,
  [SMALL_STATE(308)] = 24614,
  [SMALL_STATE(309)] = 24660,
  [SMALL_STATE(310)] = 24706,
  [SMALL_STATE(311)] = 24752,
  [SMALL_STATE(312)] = 24798,
  [SMALL_STATE(313)] = 24844,
  [SMALL_STATE(314)] = 24890,
  [SMALL_STATE(315)] = 24936,
  [SMALL_STATE(316)] = 24982,
  [SMALL_STATE(317)] = 25028,
  [SMALL_STATE(318)] = 25074,
  [SMALL_STATE(319)] = 25120,
  [SMALL_STATE(320)] = 25166,
  [SMALL_STATE(321)] = 25212,
  [SMALL_STATE(322)] = 25258,
  [SMALL_STATE(323)] = 25306,
  [SMALL_STATE(324)] = 25352,
  [SMALL_STATE(325)] = 25398,
  [SMALL_STATE(326)] = 25444,
  [SMALL_STATE(327)] = 25490,
  [SMALL_STATE(328)] = 25536,
  [SMALL_STATE(329)] = 25582,
  [SMALL_STATE(330)] = 25630,
  [SMALL_STATE(331)] = 25676,
  [SMALL_STATE(332)] = 25722,
  [SMALL_STATE(333)] = 25768,
  [SMALL_STATE(334)] = 25814,
  [SMALL_STATE(335)] = 25860,
  [SMALL_STATE(336)] = 25906,
  [SMALL_STATE(337)] = 25952,
  [SMALL_STATE(338)] = 25998,
  [SMALL_STATE(339)] = 26044,
  [SMALL_STATE(340)] = 26090,
  [SMALL_STATE(341)] = 26136,
  [SMALL_STATE(342)] = 26182,
  [SMALL_STATE(343)] = 26228,
  [SMALL_STATE(344)] = 26276,
  [SMALL_STATE(345)] = 26322,
  [SMALL_STATE(346)] = 26368,
  [SMALL_STATE(347)] = 26414,
  [SMALL_STATE(348)] = 26460,
  [SMALL_STATE(349)] = 26506,
  [SMALL_STATE(350)] = 26552,
  [SMALL_STATE(351)] = 26598,
  [SMALL_STATE(352)] = 26644,
  [SMALL_STATE(353)] = 26690,
  [SMALL_STATE(354)] = 26736,
  [SMALL_STATE(355)] = 26782,
  [SMALL_STATE(356)] = 26828,
  [SMALL_STATE(357)] = 26874,
  [SMALL_STATE(358)] = 26920,
  [SMALL_STATE(359)] = 26966,
  [SMALL_STATE(360)] = 27012,
  [SMALL_STATE(361)] = 27058,
  [SMALL_STATE(362)] = 27104,
  [SMALL_STATE(363)] = 27150,
  [SMALL_STATE(364)] = 27198,
  [SMALL_STATE(365)] = 27246,
  [SMALL_STATE(366)] = 27292,
  [SMALL_STATE(367)] = 27338,
  [SMALL_STATE(368)] = 27384,
  [SMALL_STATE(369)] = 27430,
  [SMALL_STATE(370)] = 27476,
  [SMALL_STATE(371)] = 27522,
  [SMALL_STATE(372)] = 27568,
  [SMALL_STATE(373)] = 27614,
  [SMALL_STATE(374)] = 27660,
  [SMALL_STATE(375)] = 27706,
  [SMALL_STATE(376)] = 27752,
  [SMALL_STATE(377)] = 27798,
  [SMALL_STATE(378)] = 27844,
  [SMALL_STATE(379)] = 27890,
  [SMALL_STATE(380)] = 27936,
  [SMALL_STATE(381)] = 27982,
  [SMALL_STATE(382)] = 28028,
  [SMALL_STATE(383)] = 28074,
  [SMALL_STATE(384)] = 28120,
  [SMALL_STATE(385)] = 28166,
  [SMALL_STATE(386)] = 28212,
  [SMALL_STATE(387)] = 28258,
  [SMALL_STATE(388)] = 28304,
  [SMALL_STATE(389)] = 28350,
  [SMALL_STATE(390)] = 28396,
  [SMALL_STATE(391)] = 28442,
  [SMALL_STATE(392)] = 28488,
  [SMALL_STATE(393)] = 28534,
  [SMALL_STATE(394)] = 28580,
  [SMALL_STATE(395)] = 28626,
  [SMALL_STATE(396)] = 28672,
  [SMALL_STATE(397)] = 28765,
  [SMALL_STATE(398)] = 28810,
  [SMALL_STATE(399)] = 28903,
  [SMALL_STATE(400)] = 28948,
  [SMALL_STATE(401)] = 28993,
  [SMALL_STATE(402)] = 29038,
  [SMALL_STATE(403)] = 29083,
  [SMALL_STATE(404)] = 29128,
  [SMALL_STATE(405)] = 29173,
  [SMALL_STATE(406)] = 29218,
  [SMALL_STATE(407)] = 29309,
  [SMALL_STATE(408)] = 29354,
  [SMALL_STATE(409)] = 29399,
  [SMALL_STATE(410)] = 29489,
  [SMALL_STATE(411)] = 29579,
  [SMALL_STATE(412)] = 29669,
  [SMALL_STATE(413)] = 29759,
  [SMALL_STATE(414)] = 29849,
  [SMALL_STATE(415)] = 29939,
  [SMALL_STATE(416)] = 30029,
  [SMALL_STATE(417)] = 30119,
  [SMALL_STATE(418)] = 30209,
  [SMALL_STATE(419)] = 30299,
  [SMALL_STATE(420)] = 30389,
  [SMALL_STATE(421)] = 30479,
  [SMALL_STATE(422)] = 30569,
  [SMALL_STATE(423)] = 30659,
  [SMALL_STATE(424)] = 30749,
  [SMALL_STATE(425)] = 30839,
  [SMALL_STATE(426)] = 30929,
  [SMALL_STATE(427)] = 31019,
  [SMALL_STATE(428)] = 31109,
  [SMALL_STATE(429)] = 31199,
  [SMALL_STATE(430)] = 31289,
  [SMALL_STATE(431)] = 31379,
  [SMALL_STATE(432)] = 31469,
  [SMALL_STATE(433)] = 31559,
  [SMALL_STATE(434)] = 31649,
  [SMALL_STATE(435)] = 31739,
  [SMALL_STATE(436)] = 31829,
  [SMALL_STATE(437)] = 31919,
  [SMALL_STATE(438)] = 32009,
  [SMALL_STATE(439)] = 32099,
  [SMALL_STATE(440)] = 32189,
  [SMALL_STATE(441)] = 32279,
  [SMALL_STATE(442)] = 32369,
  [SMALL_STATE(443)] = 32459,
  [SMALL_STATE(444)] = 32549,
  [SMALL_STATE(445)] = 32639,
  [SMALL_STATE(446)] = 32729,
  [SMALL_STATE(447)] = 32819,
  [SMALL_STATE(448)] = 32909,
  [SMALL_STATE(449)] = 32999,
  [SMALL_STATE(450)] = 33089,
  [SMALL_STATE(451)] = 33179,
  [SMALL_STATE(452)] = 33269,
  [SMALL_STATE(453)] = 33359,
  [SMALL_STATE(454)] = 33449,
  [SMALL_STATE(455)] = 33539,
  [SMALL_STATE(456)] = 33629,
  [SMALL_STATE(457)] = 33719,
  [SMALL_STATE(458)] = 33809,
  [SMALL_STATE(459)] = 33899,
  [SMALL_STATE(460)] = 33989,
  [SMALL_STATE(461)] = 34079,
  [SMALL_STATE(462)] = 34169,
  [SMALL_STATE(463)] = 34259,
  [SMALL_STATE(464)] = 34349,
  [SMALL_STATE(465)] = 34439,
  [SMALL_STATE(466)] = 34529,
  [SMALL_STATE(467)] = 34619,
  [SMALL_STATE(468)] = 34709,
  [SMALL_STATE(469)] = 34799,
  [SMALL_STATE(470)] = 34889,
  [SMALL_STATE(471)] = 34979,
  [SMALL_STATE(472)] = 35069,
  [SMALL_STATE(473)] = 35159,
  [SMALL_STATE(474)] = 35249,
  [SMALL_STATE(475)] = 35339,
  [SMALL_STATE(476)] = 35420,
  [SMALL_STATE(477)] = 35479,
  [SMALL_STATE(478)] = 35544,
  [SMALL_STATE(479)] = 35603,
  [SMALL_STATE(480)] = 35664,
  [SMALL_STATE(481)] = 35745,
  [SMALL_STATE(482)] = 35808,
  [SMALL_STATE(483)] = 35873,
  [SMALL_STATE(484)] = 35942,
  [SMALL_STATE(485)] = 36015,
  [SMALL_STATE(486)] = 36090,
  [SMALL_STATE(487)] = 36167,
  [SMALL_STATE(488)] = 36251,
  [SMALL_STATE(489)] = 36335,
  [SMALL_STATE(490)] = 36419,
  [SMALL_STATE(491)] = 36503,
  [SMALL_STATE(492)] = 36587,
  [SMALL_STATE(493)] = 36644,
  [SMALL_STATE(494)] = 36697,
  [SMALL_STATE(495)] = 36756,
  [SMALL_STATE(496)] = 36811,
  [SMALL_STATE(497)] = 36886,
  [SMALL_STATE(498)] = 36953,
  [SMALL_STATE(499)] = 37022,
  [SMALL_STATE(500)] = 37093,
  [SMALL_STATE(501)] = 37146,
  [SMALL_STATE(502)] = 37199,
  [SMALL_STATE(503)] = 37258,
  [SMALL_STATE(504)] = 37333,
  [SMALL_STATE(505)] = 37408,
  [SMALL_STATE(506)] = 37461,
  [SMALL_STATE(507)] = 37516,
  [SMALL_STATE(508)] = 37569,
  [SMALL_STATE(509)] = 37628,
  [SMALL_STATE(510)] = 37685,
  [SMALL_STATE(511)] = 37760,
  [SMALL_STATE(512)] = 37819,
  [SMALL_STATE(513)] = 37882,
  [SMALL_STATE(514)] = 37935,
  [SMALL_STATE(515)] = 38002,
  [SMALL_STATE(516)] = 38071,
  [SMALL_STATE(517)] = 38124,
  [SMALL_STATE(518)] = 38195,
  [SMALL_STATE(519)] = 38266,
  [SMALL_STATE(520)] = 38319,
  [SMALL_STATE(521)] = 38388,
  [SMALL_STATE(522)] = 38447,
  [SMALL_STATE(523)] = 38506,
  [SMALL_STATE(524)] = 38581,
  [SMALL_STATE(525)] = 38656,
  [SMALL_STATE(526)] = 38709,
  [SMALL_STATE(527)] = 38776,
  [SMALL_STATE(528)] = 38831,
  [SMALL_STATE(529)] = 38906,
  [SMALL_STATE(530)] = 38969,
  [SMALL_STATE(531)] = 39044,
  [SMALL_STATE(532)] = 39097,
  [SMALL_STATE(533)] = 39154,
  [SMALL_STATE(534)] = 39229,
  [SMALL_STATE(535)] = 39292,
  [SMALL_STATE(536)] = 39359,
  [SMALL_STATE(537)] = 39414,
  [SMALL_STATE(538)] = 39471,
  [SMALL_STATE(539)] = 39530,
  [SMALL_STATE(540)] = 39599,
  [SMALL_STATE(541)] = 39670,
  [SMALL_STATE(542)] = 39745,
  [SMALL_STATE(543)] = 39804,
  [SMALL_STATE(544)] = 39867,
  [SMALL_STATE(545)] = 39926,
  [SMALL_STATE(546)] = 39985,
  [SMALL_STATE(547)] = 40052,
  [SMALL_STATE(548)] = 40121,
  [SMALL_STATE(549)] = 40184,
  [SMALL_STATE(550)] = 40255,
  [SMALL_STATE(551)] = 40310,
  [SMALL_STATE(552)] = 40367,
  [SMALL_STATE(553)] = 40433,
  [SMALL_STATE(554)] = 40499,
  [SMALL_STATE(555)] = 40565,
  [SMALL_STATE(556)] = 40631,
  [SMALL_STATE(557)] = 40697,
  [SMALL_STATE(558)] = 40763,
  [SMALL_STATE(559)] = 40793,
  [SMALL_STATE(560)] = 40822,
  [SMALL_STATE(561)] = 40851,
  [SMALL_STATE(562)] = 40880,
  [SMALL_STATE(563)] = 40909,
  [SMALL_STATE(564)] = 40938,
  [SMALL_STATE(565)] = 40967,
  [SMALL_STATE(566)] = 40996,
  [SMALL_STATE(567)] = 41025,
  [SMALL_STATE(568)] = 41072,
  [SMALL_STATE(569)] = 41119,
  [SMALL_STATE(570)] = 41166,
  [SMALL_STATE(571)] = 41189,
  [SMALL_STATE(572)] = 41236,
  [SMALL_STATE(573)] = 41259,
  [SMALL_STATE(574)] = 41306,
  [SMALL_STATE(575)] = 41353,
  [SMALL_STATE(576)] = 41397,
  [SMALL_STATE(577)] = 41441,
  [SMALL_STATE(578)] = 41485,
  [SMALL_STATE(579)] = 41529,
  [SMALL_STATE(580)] = 41573,
  [SMALL_STATE(581)] = 41617,
  [SMALL_STATE(582)] = 41636,
  [SMALL_STATE(583)] = 41673,
  [SMALL_STATE(584)] = 41692,
  [SMALL_STATE(585)] = 41711,
  [SMALL_STATE(586)] = 41730,
  [SMALL_STATE(587)] = 41749,
  [SMALL_STATE(588)] = 41772,
  [SMALL_STATE(589)] = 41795,
  [SMALL_STATE(590)] = 41811,
  [SMALL_STATE(591)] = 41837,
  [SMALL_STATE(592)] = 41863,
  [SMALL_STATE(593)] = 41889,
  [SMALL_STATE(594)] = 41905,
  [SMALL_STATE(595)] = 41921,
  [SMALL_STATE(596)] = 41947,
  [SMALL_STATE(597)] = 41963,
  [SMALL_STATE(598)] = 41989,
  [SMALL_STATE(599)] = 42005,
  [SMALL_STATE(600)] = 42031,
  [SMALL_STATE(601)] = 42057,
  [SMALL_STATE(602)] = 42073,
  [SMALL_STATE(603)] = 42089,
  [SMALL_STATE(604)] = 42105,
  [SMALL_STATE(605)] = 42121,
  [SMALL_STATE(606)] = 42147,
  [SMALL_STATE(607)] = 42163,
  [SMALL_STATE(608)] = 42189,
  [SMALL_STATE(609)] = 42215,
  [SMALL_STATE(610)] = 42245,
  [SMALL_STATE(611)] = 42271,
  [SMALL_STATE(612)] = 42287,
  [SMALL_STATE(613)] = 42303,
  [SMALL_STATE(614)] = 42329,
  [SMALL_STATE(615)] = 42355,
  [SMALL_STATE(616)] = 42371,
  [SMALL_STATE(617)] = 42397,
  [SMALL_STATE(618)] = 42423,
  [SMALL_STATE(619)] = 42448,
  [SMALL_STATE(620)] = 42475,
  [SMALL_STATE(621)] = 42502,
  [SMALL_STATE(622)] = 42529,
  [SMALL_STATE(623)] = 42556,
  [SMALL_STATE(624)] = 42583,
  [SMALL_STATE(625)] = 42610,
  [SMALL_STATE(626)] = 42637,
  [SMALL_STATE(627)] = 42664,
  [SMALL_STATE(628)] = 42691,
  [SMALL_STATE(629)] = 42718,
  [SMALL_STATE(630)] = 42745,
  [SMALL_STATE(631)] = 42772,
  [SMALL_STATE(632)] = 42799,
  [SMALL_STATE(633)] = 42826,
  [SMALL_STATE(634)] = 42853,
  [SMALL_STATE(635)] = 42872,
  [SMALL_STATE(636)] = 42894,
  [SMALL_STATE(637)] = 42916,
  [SMALL_STATE(638)] = 42938,
  [SMALL_STATE(639)] = 42954,
  [SMALL_STATE(640)] = 42972,
  [SMALL_STATE(641)] = 42994,
  [SMALL_STATE(642)] = 43016,
  [SMALL_STATE(643)] = 43038,
  [SMALL_STATE(644)] = 43060,
  [SMALL_STATE(645)] = 43076,
  [SMALL_STATE(646)] = 43092,
  [SMALL_STATE(647)] = 43114,
  [SMALL_STATE(648)] = 43136,
  [SMALL_STATE(649)] = 43152,
  [SMALL_STATE(650)] = 43174,
  [SMALL_STATE(651)] = 43190,
  [SMALL_STATE(652)] = 43212,
  [SMALL_STATE(653)] = 43234,
  [SMALL_STATE(654)] = 43256,
  [SMALL_STATE(655)] = 43278,
  [SMALL_STATE(656)] = 43296,
  [SMALL_STATE(657)] = 43312,
  [SMALL_STATE(658)] = 43334,
  [SMALL_STATE(659)] = 43356,
  [SMALL_STATE(660)] = 43378,
  [SMALL_STATE(661)] = 43396,
  [SMALL_STATE(662)] = 43419,
  [SMALL_STATE(663)] = 43442,
  [SMALL_STATE(664)] = 43455,
  [SMALL_STATE(665)] = 43468,
  [SMALL_STATE(666)] = 43491,
  [SMALL_STATE(667)] = 43516,
  [SMALL_STATE(668)] = 43539,
  [SMALL_STATE(669)] = 43562,
  [SMALL_STATE(670)] = 43585,
  [SMALL_STATE(671)] = 43598,
  [SMALL_STATE(672)] = 43623,
  [SMALL_STATE(673)] = 43646,
  [SMALL_STATE(674)] = 43669,
  [SMALL_STATE(675)] = 43682,
  [SMALL_STATE(676)] = 43707,
  [SMALL_STATE(677)] = 43720,
  [SMALL_STATE(678)] = 43743,
  [SMALL_STATE(679)] = 43768,
  [SMALL_STATE(680)] = 43791,
  [SMALL_STATE(681)] = 43814,
  [SMALL_STATE(682)] = 43837,
  [SMALL_STATE(683)] = 43850,
  [SMALL_STATE(684)] = 43873,
  [SMALL_STATE(685)] = 43896,
  [SMALL_STATE(686)] = 43919,
  [SMALL_STATE(687)] = 43944,
  [SMALL_STATE(688)] = 43957,
  [SMALL_STATE(689)] = 43980,
  [SMALL_STATE(690)] = 44003,
  [SMALL_STATE(691)] = 44026,
  [SMALL_STATE(692)] = 44051,
  [SMALL_STATE(693)] = 44071,
  [SMALL_STATE(694)] = 44083,
  [SMALL_STATE(695)] = 44103,
  [SMALL_STATE(696)] = 44117,
  [SMALL_STATE(697)] = 44131,
  [SMALL_STATE(698)] = 44151,
  [SMALL_STATE(699)] = 44171,
  [SMALL_STATE(700)] = 44191,
  [SMALL_STATE(701)] = 44211,
  [SMALL_STATE(702)] = 44231,
  [SMALL_STATE(703)] = 44251,
  [SMALL_STATE(704)] = 44271,
  [SMALL_STATE(705)] = 44291,
  [SMALL_STATE(706)] = 44311,
  [SMALL_STATE(707)] = 44331,
  [SMALL_STATE(708)] = 44351,
  [SMALL_STATE(709)] = 44371,
  [SMALL_STATE(710)] = 44391,
  [SMALL_STATE(711)] = 44411,
  [SMALL_STATE(712)] = 44431,
  [SMALL_STATE(713)] = 44451,
  [SMALL_STATE(714)] = 44471,
  [SMALL_STATE(715)] = 44491,
  [SMALL_STATE(716)] = 44511,
  [SMALL_STATE(717)] = 44533,
  [SMALL_STATE(718)] = 44553,
  [SMALL_STATE(719)] = 44573,
  [SMALL_STATE(720)] = 44593,
  [SMALL_STATE(721)] = 44615,
  [SMALL_STATE(722)] = 44629,
  [SMALL_STATE(723)] = 44649,
  [SMALL_STATE(724)] = 44668,
  [SMALL_STATE(725)] = 44687,
  [SMALL_STATE(726)] = 44704,
  [SMALL_STATE(727)] = 44717,
  [SMALL_STATE(728)] = 44736,
  [SMALL_STATE(729)] = 44753,
  [SMALL_STATE(730)] = 44770,
  [SMALL_STATE(731)] = 44787,
  [SMALL_STATE(732)] = 44804,
  [SMALL_STATE(733)] = 44823,
  [SMALL_STATE(734)] = 44840,
  [SMALL_STATE(735)] = 44857,
  [SMALL_STATE(736)] = 44876,
  [SMALL_STATE(737)] = 44895,
  [SMALL_STATE(738)] = 44914,
  [SMALL_STATE(739)] = 44933,
  [SMALL_STATE(740)] = 44950,
  [SMALL_STATE(741)] = 44967,
  [SMALL_STATE(742)] = 44986,
  [SMALL_STATE(743)] = 45005,
  [SMALL_STATE(744)] = 45024,
  [SMALL_STATE(745)] = 45043,
  [SMALL_STATE(746)] = 45062,
  [SMALL_STATE(747)] = 45081,
  [SMALL_STATE(748)] = 45100,
  [SMALL_STATE(749)] = 45119,
  [SMALL_STATE(750)] = 45132,
  [SMALL_STATE(751)] = 45151,
  [SMALL_STATE(752)] = 45170,
  [SMALL_STATE(753)] = 45189,
  [SMALL_STATE(754)] = 45208,
  [SMALL_STATE(755)] = 45227,
  [SMALL_STATE(756)] = 45246,
  [SMALL_STATE(757)] = 45263,
  [SMALL_STATE(758)] = 45280,
  [SMALL_STATE(759)] = 45299,
  [SMALL_STATE(760)] = 45316,
  [SMALL_STATE(761)] = 45335,
  [SMALL_STATE(762)] = 45354,
  [SMALL_STATE(763)] = 45373,
  [SMALL_STATE(764)] = 45390,
  [SMALL_STATE(765)] = 45409,
  [SMALL_STATE(766)] = 45428,
  [SMALL_STATE(767)] = 45447,
  [SMALL_STATE(768)] = 45466,
  [SMALL_STATE(769)] = 45485,
  [SMALL_STATE(770)] = 45502,
  [SMALL_STATE(771)] = 45521,
  [SMALL_STATE(772)] = 45538,
  [SMALL_STATE(773)] = 45557,
  [SMALL_STATE(774)] = 45574,
  [SMALL_STATE(775)] = 45587,
  [SMALL_STATE(776)] = 45606,
  [SMALL_STATE(777)] = 45625,
  [SMALL_STATE(778)] = 45644,
  [SMALL_STATE(779)] = 45663,
  [SMALL_STATE(780)] = 45682,
  [SMALL_STATE(781)] = 45699,
  [SMALL_STATE(782)] = 45712,
  [SMALL_STATE(783)] = 45729,
  [SMALL_STATE(784)] = 45742,
  [SMALL_STATE(785)] = 45758,
  [SMALL_STATE(786)] = 45774,
  [SMALL_STATE(787)] = 45790,
  [SMALL_STATE(788)] = 45806,
  [SMALL_STATE(789)] = 45822,
  [SMALL_STATE(790)] = 45838,
  [SMALL_STATE(791)] = 45854,
  [SMALL_STATE(792)] = 45870,
  [SMALL_STATE(793)] = 45886,
  [SMALL_STATE(794)] = 45902,
  [SMALL_STATE(795)] = 45918,
  [SMALL_STATE(796)] = 45930,
  [SMALL_STATE(797)] = 45946,
  [SMALL_STATE(798)] = 45962,
  [SMALL_STATE(799)] = 45978,
  [SMALL_STATE(800)] = 45994,
  [SMALL_STATE(801)] = 46008,
  [SMALL_STATE(802)] = 46024,
  [SMALL_STATE(803)] = 46040,
  [SMALL_STATE(804)] = 46056,
  [SMALL_STATE(805)] = 46072,
  [SMALL_STATE(806)] = 46088,
  [SMALL_STATE(807)] = 46104,
  [SMALL_STATE(808)] = 46120,
  [SMALL_STATE(809)] = 46136,
  [SMALL_STATE(810)] = 46152,
  [SMALL_STATE(811)] = 46168,
  [SMALL_STATE(812)] = 46180,
  [SMALL_STATE(813)] = 46190,
  [SMALL_STATE(814)] = 46206,
  [SMALL_STATE(815)] = 46222,
  [SMALL_STATE(816)] = 46238,
  [SMALL_STATE(817)] = 46254,
  [SMALL_STATE(818)] = 46270,
  [SMALL_STATE(819)] = 46282,
  [SMALL_STATE(820)] = 46298,
  [SMALL_STATE(821)] = 46314,
  [SMALL_STATE(822)] = 46330,
  [SMALL_STATE(823)] = 46346,
  [SMALL_STATE(824)] = 46357,
  [SMALL_STATE(825)] = 46366,
  [SMALL_STATE(826)] = 46379,
  [SMALL_STATE(827)] = 46392,
  [SMALL_STATE(828)] = 46405,
  [SMALL_STATE(829)] = 46416,
  [SMALL_STATE(830)] = 46429,
  [SMALL_STATE(831)] = 46442,
  [SMALL_STATE(832)] = 46455,
  [SMALL_STATE(833)] = 46468,
  [SMALL_STATE(834)] = 46481,
  [SMALL_STATE(835)] = 46492,
  [SMALL_STATE(836)] = 46505,
  [SMALL_STATE(837)] = 46518,
  [SMALL_STATE(838)] = 46531,
  [SMALL_STATE(839)] = 46544,
  [SMALL_STATE(840)] = 46557,
  [SMALL_STATE(841)] = 46570,
  [SMALL_STATE(842)] = 46583,
  [SMALL_STATE(843)] = 46594,
  [SMALL_STATE(844)] = 46605,
  [SMALL_STATE(845)] = 46616,
  [SMALL_STATE(846)] = 46629,
  [SMALL_STATE(847)] = 46640,
  [SMALL_STATE(848)] = 46649,
  [SMALL_STATE(849)] = 46658,
  [SMALL_STATE(850)] = 46667,
  [SMALL_STATE(851)] = 46680,
  [SMALL_STATE(852)] = 46691,
  [SMALL_STATE(853)] = 46704,
  [SMALL_STATE(854)] = 46715,
  [SMALL_STATE(855)] = 46726,
  [SMALL_STATE(856)] = 46739,
  [SMALL_STATE(857)] = 46752,
  [SMALL_STATE(858)] = 46763,
  [SMALL_STATE(859)] = 46776,
  [SMALL_STATE(860)] = 46787,
  [SMALL_STATE(861)] = 46796,
  [SMALL_STATE(862)] = 46809,
  [SMALL_STATE(863)] = 46818,
  [SMALL_STATE(864)] = 46831,
  [SMALL_STATE(865)] = 46844,
  [SMALL_STATE(866)] = 46857,
  [SMALL_STATE(867)] = 46868,
  [SMALL_STATE(868)] = 46881,
  [SMALL_STATE(869)] = 46890,
  [SMALL_STATE(870)] = 46901,
  [SMALL_STATE(871)] = 46914,
  [SMALL_STATE(872)] = 46927,
  [SMALL_STATE(873)] = 46938,
  [SMALL_STATE(874)] = 46947,
  [SMALL_STATE(875)] = 46960,
  [SMALL_STATE(876)] = 46973,
  [SMALL_STATE(877)] = 46986,
  [SMALL_STATE(878)] = 46999,
  [SMALL_STATE(879)] = 47010,
  [SMALL_STATE(880)] = 47023,
  [SMALL_STATE(881)] = 47036,
  [SMALL_STATE(882)] = 47047,
  [SMALL_STATE(883)] = 47060,
  [SMALL_STATE(884)] = 47073,
  [SMALL_STATE(885)] = 47084,
  [SMALL_STATE(886)] = 47095,
  [SMALL_STATE(887)] = 47108,
  [SMALL_STATE(888)] = 47119,
  [SMALL_STATE(889)] = 47132,
  [SMALL_STATE(890)] = 47145,
  [SMALL_STATE(891)] = 47154,
  [SMALL_STATE(892)] = 47167,
  [SMALL_STATE(893)] = 47178,
  [SMALL_STATE(894)] = 47187,
  [SMALL_STATE(895)] = 47196,
  [SMALL_STATE(896)] = 47207,
  [SMALL_STATE(897)] = 47218,
  [SMALL_STATE(898)] = 47229,
  [SMALL_STATE(899)] = 47240,
  [SMALL_STATE(900)] = 47253,
  [SMALL_STATE(901)] = 47262,
  [SMALL_STATE(902)] = 47273,
  [SMALL_STATE(903)] = 47286,
  [SMALL_STATE(904)] = 47297,
  [SMALL_STATE(905)] = 47305,
  [SMALL_STATE(906)] = 47315,
  [SMALL_STATE(907)] = 47323,
  [SMALL_STATE(908)] = 47331,
  [SMALL_STATE(909)] = 47341,
  [SMALL_STATE(910)] = 47351,
  [SMALL_STATE(911)] = 47361,
  [SMALL_STATE(912)] = 47371,
  [SMALL_STATE(913)] = 47379,
  [SMALL_STATE(914)] = 47389,
  [SMALL_STATE(915)] = 47399,
  [SMALL_STATE(916)] = 47409,
  [SMALL_STATE(917)] = 47419,
  [SMALL_STATE(918)] = 47429,
  [SMALL_STATE(919)] = 47439,
  [SMALL_STATE(920)] = 47449,
  [SMALL_STATE(921)] = 47459,
  [SMALL_STATE(922)] = 47469,
  [SMALL_STATE(923)] = 47477,
  [SMALL_STATE(924)] = 47487,
  [SMALL_STATE(925)] = 47495,
  [SMALL_STATE(926)] = 47505,
  [SMALL_STATE(927)] = 47515,
  [SMALL_STATE(928)] = 47525,
  [SMALL_STATE(929)] = 47533,
  [SMALL_STATE(930)] = 47543,
  [SMALL_STATE(931)] = 47551,
  [SMALL_STATE(932)] = 47559,
  [SMALL_STATE(933)] = 47569,
  [SMALL_STATE(934)] = 47579,
  [SMALL_STATE(935)] = 47589,
  [SMALL_STATE(936)] = 47596,
  [SMALL_STATE(937)] = 47603,
  [SMALL_STATE(938)] = 47610,
  [SMALL_STATE(939)] = 47617,
  [SMALL_STATE(940)] = 47624,
  [SMALL_STATE(941)] = 47631,
  [SMALL_STATE(942)] = 47638,
  [SMALL_STATE(943)] = 47645,
  [SMALL_STATE(944)] = 47652,
  [SMALL_STATE(945)] = 47659,
  [SMALL_STATE(946)] = 47666,
  [SMALL_STATE(947)] = 47673,
  [SMALL_STATE(948)] = 47680,
  [SMALL_STATE(949)] = 47687,
  [SMALL_STATE(950)] = 47694,
  [SMALL_STATE(951)] = 47701,
  [SMALL_STATE(952)] = 47708,
  [SMALL_STATE(953)] = 47715,
  [SMALL_STATE(954)] = 47722,
  [SMALL_STATE(955)] = 47729,
  [SMALL_STATE(956)] = 47736,
  [SMALL_STATE(957)] = 47743,
  [SMALL_STATE(958)] = 47750,
  [SMALL_STATE(959)] = 47757,
  [SMALL_STATE(960)] = 47764,
  [SMALL_STATE(961)] = 47771,
  [SMALL_STATE(962)] = 47778,
  [SMALL_STATE(963)] = 47785,
  [SMALL_STATE(964)] = 47792,
  [SMALL_STATE(965)] = 47799,
  [SMALL_STATE(966)] = 47806,
  [SMALL_STATE(967)] = 47813,
  [SMALL_STATE(968)] = 47820,
  [SMALL_STATE(969)] = 47827,
  [SMALL_STATE(970)] = 47834,
  [SMALL_STATE(971)] = 47841,
  [SMALL_STATE(972)] = 47848,
  [SMALL_STATE(973)] = 47855,
  [SMALL_STATE(974)] = 47862,
  [SMALL_STATE(975)] = 47869,
  [SMALL_STATE(976)] = 47876,
  [SMALL_STATE(977)] = 47883,
  [SMALL_STATE(978)] = 47890,
  [SMALL_STATE(979)] = 47897,
  [SMALL_STATE(980)] = 47904,
  [SMALL_STATE(981)] = 47911,
  [SMALL_STATE(982)] = 47918,
  [SMALL_STATE(983)] = 47925,
  [SMALL_STATE(984)] = 47932,
  [SMALL_STATE(985)] = 47939,
  [SMALL_STATE(986)] = 47946,
  [SMALL_STATE(987)] = 47953,
  [SMALL_STATE(988)] = 47960,
  [SMALL_STATE(989)] = 47967,
  [SMALL_STATE(990)] = 47974,
  [SMALL_STATE(991)] = 47981,
  [SMALL_STATE(992)] = 47988,
  [SMALL_STATE(993)] = 47995,
  [SMALL_STATE(994)] = 48002,
  [SMALL_STATE(995)] = 48009,
  [SMALL_STATE(996)] = 48016,
  [SMALL_STATE(997)] = 48023,
  [SMALL_STATE(998)] = 48030,
  [SMALL_STATE(999)] = 48037,
  [SMALL_STATE(1000)] = 48044,
  [SMALL_STATE(1001)] = 48051,
  [SMALL_STATE(1002)] = 48058,
  [SMALL_STATE(1003)] = 48065,
  [SMALL_STATE(1004)] = 48072,
  [SMALL_STATE(1005)] = 48079,
  [SMALL_STATE(1006)] = 48086,
  [SMALL_STATE(1007)] = 48093,
  [SMALL_STATE(1008)] = 48100,
  [SMALL_STATE(1009)] = 48107,
  [SMALL_STATE(1010)] = 48114,
  [SMALL_STATE(1011)] = 48121,
  [SMALL_STATE(1012)] = 48128,
  [SMALL_STATE(1013)] = 48135,
  [SMALL_STATE(1014)] = 48142,
  [SMALL_STATE(1015)] = 48149,
  [SMALL_STATE(1016)] = 48156,
  [SMALL_STATE(1017)] = 48163,
  [SMALL_STATE(1018)] = 48170,
  [SMALL_STATE(1019)] = 48177,
  [SMALL_STATE(1020)] = 48184,
  [SMALL_STATE(1021)] = 48191,
  [SMALL_STATE(1022)] = 48198,
  [SMALL_STATE(1023)] = 48205,
  [SMALL_STATE(1024)] = 48212,
  [SMALL_STATE(1025)] = 48219,
  [SMALL_STATE(1026)] = 48226,
  [SMALL_STATE(1027)] = 48233,
  [SMALL_STATE(1028)] = 48240,
  [SMALL_STATE(1029)] = 48247,
  [SMALL_STATE(1030)] = 48254,
  [SMALL_STATE(1031)] = 48261,
  [SMALL_STATE(1032)] = 48268,
  [SMALL_STATE(1033)] = 48275,
  [SMALL_STATE(1034)] = 48282,
  [SMALL_STATE(1035)] = 48289,
  [SMALL_STATE(1036)] = 48296,
  [SMALL_STATE(1037)] = 48303,
  [SMALL_STATE(1038)] = 48310,
  [SMALL_STATE(1039)] = 48317,
  [SMALL_STATE(1040)] = 48324,
  [SMALL_STATE(1041)] = 48331,
  [SMALL_STATE(1042)] = 48338,
  [SMALL_STATE(1043)] = 48345,
  [SMALL_STATE(1044)] = 48352,
  [SMALL_STATE(1045)] = 48359,
  [SMALL_STATE(1046)] = 48366,
  [SMALL_STATE(1047)] = 48373,
  [SMALL_STATE(1048)] = 48380,
  [SMALL_STATE(1049)] = 48387,
  [SMALL_STATE(1050)] = 48394,
  [SMALL_STATE(1051)] = 48401,
  [SMALL_STATE(1052)] = 48408,
  [SMALL_STATE(1053)] = 48415,
  [SMALL_STATE(1054)] = 48422,
  [SMALL_STATE(1055)] = 48429,
  [SMALL_STATE(1056)] = 48436,
  [SMALL_STATE(1057)] = 48443,
  [SMALL_STATE(1058)] = 48450,
  [SMALL_STATE(1059)] = 48457,
  [SMALL_STATE(1060)] = 48464,
  [SMALL_STATE(1061)] = 48471,
  [SMALL_STATE(1062)] = 48478,
  [SMALL_STATE(1063)] = 48485,
  [SMALL_STATE(1064)] = 48492,
  [SMALL_STATE(1065)] = 48499,
  [SMALL_STATE(1066)] = 48506,
  [SMALL_STATE(1067)] = 48513,
  [SMALL_STATE(1068)] = 48520,
  [SMALL_STATE(1069)] = 48527,
  [SMALL_STATE(1070)] = 48534,
  [SMALL_STATE(1071)] = 48541,
  [SMALL_STATE(1072)] = 48548,
  [SMALL_STATE(1073)] = 48555,
  [SMALL_STATE(1074)] = 48562,
  [SMALL_STATE(1075)] = 48569,
  [SMALL_STATE(1076)] = 48576,
  [SMALL_STATE(1077)] = 48583,
  [SMALL_STATE(1078)] = 48590,
  [SMALL_STATE(1079)] = 48597,
  [SMALL_STATE(1080)] = 48604,
  [SMALL_STATE(1081)] = 48611,
  [SMALL_STATE(1082)] = 48618,
  [SMALL_STATE(1083)] = 48625,
  [SMALL_STATE(1084)] = 48632,
  [SMALL_STATE(1085)] = 48639,
  [SMALL_STATE(1086)] = 48646,
  [SMALL_STATE(1087)] = 48653,
  [SMALL_STATE(1088)] = 48660,
  [SMALL_STATE(1089)] = 48667,
  [SMALL_STATE(1090)] = 48674,
  [SMALL_STATE(1091)] = 48681,
  [SMALL_STATE(1092)] = 48688,
  [SMALL_STATE(1093)] = 48695,
  [SMALL_STATE(1094)] = 48702,
  [SMALL_STATE(1095)] = 48709,
  [SMALL_STATE(1096)] = 48716,
  [SMALL_STATE(1097)] = 48723,
  [SMALL_STATE(1098)] = 48730,
  [SMALL_STATE(1099)] = 48737,
  [SMALL_STATE(1100)] = 48744,
  [SMALL_STATE(1101)] = 48751,
  [SMALL_STATE(1102)] = 48758,
  [SMALL_STATE(1103)] = 48765,
  [SMALL_STATE(1104)] = 48772,
  [SMALL_STATE(1105)] = 48779,
  [SMALL_STATE(1106)] = 48786,
  [SMALL_STATE(1107)] = 48793,
  [SMALL_STATE(1108)] = 48800,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(765),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(739),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1026),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(86),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(934),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(826),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(557),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [31] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1104),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [39] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(678),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(628),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(736),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(759),
  [55] = {.entry = {.count = 1, .reusable = false}}, SHIFT(993),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(52),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(905),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(836),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(555),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [73] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12),
  [75] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [79] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [81] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1079),
  [83] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1076),
  [85] = {.entry = {.count = 1, .reusable = true}}, SHIFT(396),
  [87] = {.entry = {.count = 1, .reusable = false}}, SHIFT(558),
  [89] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1073),
  [91] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1073),
  [93] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1070),
  [95] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [97] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1067),
  [99] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1064),
  [101] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1063),
  [103] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [107] = {.entry = {.count = 1, .reusable = true}}, SHIFT(631),
  [109] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_expr, 1),
  [111] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_expr, 1),
  [113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1010),
  [115] = {.entry = {.count = 1, .reusable = true}}, SHIFT(262),
  [117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(996),
  [119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [121] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1107),
  [123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [125] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [127] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [133] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1015),
  [135] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1054),
  [139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [143] = {.entry = {.count = 1, .reusable = true}}, SHIFT(169),
  [145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(251),
  [151] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [153] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [155] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [165] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [167] = {.entry = {.count = 1, .reusable = false}}, SHIFT(272),
  [169] = {.entry = {.count = 1, .reusable = false}}, SHIFT(772),
  [171] = {.entry = {.count = 1, .reusable = false}}, SHIFT(773),
  [173] = {.entry = {.count = 1, .reusable = false}}, SHIFT(974),
  [175] = {.entry = {.count = 1, .reusable = true}}, SHIFT(569),
  [177] = {.entry = {.count = 1, .reusable = false}}, SHIFT(54),
  [179] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [181] = {.entry = {.count = 1, .reusable = false}}, SHIFT(889),
  [183] = {.entry = {.count = 1, .reusable = false}}, SHIFT(554),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [189] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [195] = {.entry = {.count = 1, .reusable = true}}, SHIFT(977),
  [197] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [199] = {.entry = {.count = 1, .reusable = true}}, SHIFT(675),
  [201] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [203] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [205] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [207] = {.entry = {.count = 1, .reusable = false}}, SHIFT(226),
  [209] = {.entry = {.count = 1, .reusable = false}}, SHIFT(727),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(757),
  [213] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1047),
  [215] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(79),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(921),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(858),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(552),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(11),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(223),
  [235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1050),
  [237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(441),
  [239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(630),
  [245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(768),
  [251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(729),
  [253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1029),
  [255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(127),
  [259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(917),
  [261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(865),
  [263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(556),
  [265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9),
  [273] = {.entry = {.count = 1, .reusable = false}}, SHIFT(283),
  [275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(610),
  [283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(633),
  [285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(347),
  [289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(779),
  [291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(730),
  [293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1011),
  [295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(91),
  [299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(913),
  [301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(882),
  [303] = {.entry = {.count = 1, .reusable = false}}, SHIFT(553),
  [305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(346),
  [307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [311] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10),
  [313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(345),
  [315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1014),
  [317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [325] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_operand, 1),
  [327] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_operand, 1),
  [329] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_atom, 4, .production_id = 32),
  [331] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_atom, 4, .production_id = 32),
  [333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_uni_record, 3, .production_id = 12),
  [335] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_uni_record, 3, .production_id = 12),
  [337] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_string, 3),
  [339] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_string, 3),
  [341] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_static_string, 2),
  [343] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_static_string, 2),
  [345] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_str_chunks_single, 3, .production_id = 11),
  [347] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_str_chunks_single, 3, .production_id = 11),
  [349] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_str_chunks_multi, 3, .production_id = 10),
  [351] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_str_chunks_multi, 3, .production_id = 10),
  [353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_tag, 1),
  [355] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_tag, 1),
  [357] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_applicative, 2, .production_id = 7),
  [359] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_applicative, 2, .production_id = 7),
  [361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(709),
  [363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_str_chunks_single, 2),
  [365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_str_chunks_single, 2),
  [367] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_atom, 2),
  [369] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_atom, 2),
  [371] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_atom, 2),
  [373] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_atom, 2),
  [375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_array, 2),
  [377] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_array, 2),
  [379] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_str_chunks_multi, 2, .production_id = 1),
  [381] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_str_chunks_multi, 2, .production_id = 1),
  [383] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_str_chunks, 1),
  [385] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_str_chunks, 1),
  [387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_uni_record, 2),
  [389] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_uni_record, 2),
  [391] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_atom, 6, .production_id = 54),
  [393] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_atom, 6, .production_id = 54),
  [395] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_atom, 1),
  [397] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_atom, 1),
  [399] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_uni_record, 3, .production_id = 14),
  [401] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_uni_record, 3, .production_id = 14),
  [403] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_uni_record, 6, .production_id = 52),
  [405] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_uni_record, 6, .production_id = 52),
  [407] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_applicative, 1),
  [409] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_applicative, 1),
  [411] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_atom, 5, .production_id = 46),
  [413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_atom, 5, .production_id = 46),
  [415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_bool, 1),
  [417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_bool, 1),
  [419] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_builtin, 1),
  [421] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_builtin, 1),
  [423] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_atom, 3),
  [425] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_atom, 3),
  [427] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_atom, 1),
  [429] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_atom, 1),
  [431] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_atom, 3, .production_id = 15),
  [433] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_atom, 3, .production_id = 15),
  [435] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_builtin, 3),
  [437] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_builtin, 3),
  [439] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_atom, 3, .production_id = 16),
  [441] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_atom, 3, .production_id = 16),
  [443] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_operation_chain, 3, .production_id = 17),
  [445] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_operation_chain, 3, .production_id = 17),
  [447] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_operation_chain, 3, .production_id = 18),
  [449] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_operation_chain, 3, .production_id = 18),
  [451] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_uni_record, 4, .production_id = 28),
  [453] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_uni_record, 4, .production_id = 28),
  [455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_uni_record, 4, .production_id = 30),
  [457] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_uni_record, 4, .production_id = 30),
  [459] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_atom, 5, .production_id = 45),
  [461] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_atom, 5, .production_id = 45),
  [463] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_atom, 4, .production_id = 28),
  [465] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_atom, 4, .production_id = 28),
  [467] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_atom, 4, .production_id = 33),
  [469] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_atom, 4, .production_id = 33),
  [471] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_atom, 5, .production_id = 41),
  [473] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_atom, 5, .production_id = 41),
  [475] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_uni_record, 5, .production_id = 44),
  [477] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_uni_record, 5, .production_id = 44),
  [479] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_uni_record, 5, .production_id = 42),
  [481] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_uni_record, 5, .production_id = 42),
  [483] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_applicative, 2, .production_id = 5),
  [485] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_applicative, 2, .production_id = 5),
  [487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(847),
  [489] = {.entry = {.count = 1, .reusable = false}}, SHIFT(864),
  [491] = {.entry = {.count = 1, .reusable = false}}, SHIFT(586),
  [493] = {.entry = {.count = 1, .reusable = false}}, SHIFT(871),
  [495] = {.entry = {.count = 1, .reusable = false}}, SHIFT(711),
  [497] = {.entry = {.count = 1, .reusable = false}}, SHIFT(692),
  [499] = {.entry = {.count = 1, .reusable = false}}, SHIFT(700),
  [501] = {.entry = {.count = 1, .reusable = false}}, SHIFT(699),
  [503] = {.entry = {.count = 1, .reusable = false}}, SHIFT(714),
  [505] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_b_op_4, 1),
  [507] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_u_op_or_lazy_b_op, 1),
  [509] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [513] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_uni_term, 1),
  [515] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_uni_term, 1),
  [517] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [521] = {.entry = {.count = 1, .reusable = false}}, SHIFT(561),
  [523] = {.entry = {.count = 1, .reusable = false}}, SHIFT(562),
  [525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(562),
  [527] = {.entry = {.count = 1, .reusable = false}}, SHIFT(563),
  [529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(563),
  [531] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(566),
  [537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_types, 1),
  [541] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_types, 1),
  [543] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_expr, 2, .production_id = 6),
  [545] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_expr, 2, .production_id = 6),
  [547] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_expr, 3, .production_id = 20),
  [549] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_expr, 3, .production_id = 20),
  [551] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [557] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [563] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(183),
  [567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(443),
  [569] = {.entry = {.count = 1, .reusable = false}}, SHIFT(178),
  [571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(459),
  [575] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [581] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_u_op_5, 1),
  [583] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_u_op_5, 1),
  [585] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_b_op_2, 1),
  [587] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_b_op_2, 1),
  [589] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_b_op_3, 1),
  [591] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_b_op_3, 1),
  [593] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_b_op_4, 1),
  [595] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_b_op_6, 1),
  [597] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_b_op_6, 1),
  [599] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_b_op_7, 1),
  [601] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_b_op_7, 1),
  [603] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_b_op_8, 1),
  [605] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_b_op_8, 1),
  [607] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_lazy_b_op_9, 1),
  [609] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_lazy_b_op_9, 1),
  [611] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_lazy_b_op_10, 1),
  [613] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_infix_lazy_b_op_10, 1),
  [615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(846),
  [621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(928),
  [623] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1089),
  [625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(632),
  [629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(151),
  [631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(892),
  [633] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1071),
  [635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(895),
  [639] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1065),
  [641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(872),
  [645] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1077),
  [647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [651] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1083),
  [653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(297),
  [655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(828),
  [657] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1097),
  [659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(255),
  [661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(885),
  [667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(866),
  [679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(901),
  [683] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annot_atom, 3, .production_id = 34),
  [685] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_uni_record_repeat1, 2), SHIFT_REPEAT(687),
  [688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_uni_record_repeat1, 2),
  [690] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_uni_record_repeat1, 2), SHIFT_REPEAT(600),
  [693] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_uni_record_repeat1, 2), SHIFT_REPEAT(632),
  [696] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_forall, 4, .production_id = 31),
  [698] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annot_atom, 2, .production_id = 19),
  [700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annot_atom, 2),
  [702] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annot_repeat1, 2), SHIFT_REPEAT(182),
  [705] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annot_repeat1, 2), SHIFT_REPEAT(193),
  [708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_annot_repeat1, 2),
  [710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [712] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annot, 1, .production_id = 9),
  [714] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_term, 1),
  [716] = {.entry = {.count = 1, .reusable = false}}, SHIFT(696),
  [718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(695),
  [720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(142),
  [722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [728] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_expr, 5, .production_id = 39),
  [730] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_expr, 6, .production_id = 49),
  [732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_ite_expr, 6, .production_id = 53),
  [738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(383),
  [740] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fun_expr, 4, .production_id = 26),
  [744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_annotated_infix_expr, 2, .production_id = 8),
  [746] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_expr, 4, .production_id = 27),
  [748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_expr, 8, .production_id = 59),
  [750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_expr, 7, .production_id = 57),
  [754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [756] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_str_chunks_multi_repeat1, 2), SHIFT_REPEAT(696),
  [759] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_str_chunks_multi_repeat1, 2), SHIFT_REPEAT(695),
  [762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_str_chunks_multi_repeat1, 2),
  [764] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_str_chunks_multi_repeat1, 2), SHIFT_REPEAT(36),
  [767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [769] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match, 1, .production_id = 2),
  [771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [775] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_let_expr, 7, .production_id = 55),
  [777] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_expr, 7, .production_id = 58),
  [779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(386),
  [783] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_expr, 6, .production_id = 51),
  [785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [791] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_field, 1, .production_id = 4),
  [793] = {.entry = {.count = 1, .reusable = false}}, SHIFT(749),
  [795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(783),
  [797] = {.entry = {.count = 1, .reusable = false}}, SHIFT(783),
  [799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(387),
  [805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [811] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_str_chunks_single_repeat1, 2), SHIFT_REPEAT(749),
  [814] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_str_chunks_single_repeat1, 2), SHIFT_REPEAT(783),
  [817] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_str_chunks_single_repeat1, 2), SHIFT_REPEAT(783),
  [820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_str_chunks_single_repeat1, 2),
  [822] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_str_chunks_single_repeat1, 2), SHIFT_REPEAT(100),
  [825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(310),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(676),
  [829] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [831] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(210),
  [835] = {.entry = {.count = 1, .reusable = true}}, SHIFT(384),
  [837] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [839] = {.entry = {.count = 1, .reusable = true}}, SHIFT(682),
  [841] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [843] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, .production_id = 2),
  [845] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, .production_id = 2),
  [847] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [849] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_static_string_repeat2, 2), SHIFT_REPEAT(781),
  [852] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_static_string_repeat2, 2), SHIFT_REPEAT(774),
  [855] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_static_string_repeat2, 2),
  [857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(781),
  [859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(774),
  [861] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [863] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [865] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_destruct, 3, .production_id = 25),
  [867] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_destruct, 3, .production_id = 25),
  [869] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_path, 2),
  [871] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [873] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [875] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [877] = {.entry = {.count = 1, .reusable = true}}, SHIFT(862),
  [879] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [881] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 3, .production_id = 22),
  [883] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 3, .production_id = 22),
  [885] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_destruct, 4, .production_id = 38),
  [887] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_destruct, 4, .production_id = 38),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [891] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [893] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_destruct, 2),
  [895] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_destruct, 2),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [899] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_destruct, 3, .production_id = 12),
  [901] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_destruct, 3, .production_id = 12),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [905] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [907] = {.entry = {.count = 1, .reusable = true}}, SHIFT(890),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [911] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_path, 1),
  [913] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pattern, 1, .production_id = 3),
  [915] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pattern, 1, .production_id = 3),
  [917] = {.entry = {.count = 1, .reusable = true}}, SHIFT(374),
  [919] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [921] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [923] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_path_repeat1, 2),
  [925] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_path_repeat1, 2), SHIFT_REPEAT(662),
  [928] = {.entry = {.count = 1, .reusable = false}}, SHIFT(818),
  [930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [932] = {.entry = {.count = 1, .reusable = false}}, SHIFT(811),
  [934] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_static_string_repeat1, 2), SHIFT_REPEAT(818),
  [937] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_static_string_repeat1, 2), SHIFT_REPEAT(811),
  [940] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_static_string_repeat1, 2), SHIFT_REPEAT(811),
  [943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_static_string_repeat1, 2),
  [945] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [947] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [949] = {.entry = {.count = 1, .reusable = true}}, SHIFT(323),
  [951] = {.entry = {.count = 1, .reusable = true}}, SHIFT(647),
  [953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(766),
  [961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(306),
  [963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [971] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_path_elem, 1),
  [973] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [975] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [977] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [979] = {.entry = {.count = 1, .reusable = true}}, SHIFT(634),
  [981] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(720),
  [985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_chunk_literal_multi, 1),
  [987] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_chunk_literal_multi, 1),
  [989] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_percent, 1),
  [991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_percent, 1),
  [993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [995] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [1003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [1005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [1007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [1009] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [1011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [1013] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [1015] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [1017] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [1019] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [1021] = {.entry = {.count = 1, .reusable = true}}, SHIFT(339),
  [1023] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [1025] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [1027] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [1029] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [1031] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [1033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(638),
  [1035] = {.entry = {.count = 1, .reusable = true}}, SHIFT(919),
  [1037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [1039] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_fun_expr_repeat1, 2), SHIFT_REPEAT(634),
  [1042] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_fun_expr_repeat1, 2),
  [1044] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_fun_expr_repeat1, 2), SHIFT_REPEAT(720),
  [1047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [1049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(648),
  [1051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_chunk_expr, 3, .production_id = 21),
  [1053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_chunk_expr, 3, .production_id = 21),
  [1055] = {.entry = {.count = 1, .reusable = true}}, SHIFT(82),
  [1057] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1099),
  [1059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [1061] = {.entry = {.count = 1, .reusable = true}}, SHIFT(735),
  [1063] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [1065] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [1067] = {.entry = {.count = 1, .reusable = false}}, SHIFT(634),
  [1069] = {.entry = {.count = 1, .reusable = false}}, SHIFT(786),
  [1071] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annot_repeat1, 2), SHIFT_REPEAT(179),
  [1074] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annot_repeat1, 2), SHIFT_REPEAT(199),
  [1077] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [1079] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annot_repeat1, 2), SHIFT_REPEAT(178),
  [1082] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annot_repeat1, 2), SHIFT_REPEAT(197),
  [1085] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [1087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match, 2, .production_id = 23),
  [1089] = {.entry = {.count = 1, .reusable = false}}, SHIFT(791),
  [1091] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1003),
  [1093] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [1095] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [1097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(652),
  [1099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [1101] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_destruct_repeat1, 2), SHIFT_REPEAT(609),
  [1104] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_destruct_repeat1, 2),
  [1106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(948),
  [1108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [1110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [1112] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [1114] = {.entry = {.count = 1, .reusable = true}}, SHIFT(385),
  [1116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(636),
  [1118] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [1120] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [1122] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [1124] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [1126] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [1128] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [1130] = {.entry = {.count = 1, .reusable = false}}, SHIFT(790),
  [1132] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [1134] = {.entry = {.count = 1, .reusable = true}}, SHIFT(646),
  [1136] = {.entry = {.count = 1, .reusable = true}}, SHIFT(685),
  [1138] = {.entry = {.count = 1, .reusable = false}}, SHIFT(787),
  [1140] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annot_repeat1, 2), SHIFT_REPEAT(177),
  [1143] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annot_repeat1, 2), SHIFT_REPEAT(183),
  [1146] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [1148] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [1150] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annot_repeat1, 2), SHIFT_REPEAT(181),
  [1153] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annot_repeat1, 2), SHIFT_REPEAT(192),
  [1156] = {.entry = {.count = 1, .reusable = false}}, SHIFT(793),
  [1158] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [1160] = {.entry = {.count = 1, .reusable = true}}, SHIFT(637),
  [1162] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [1164] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [1166] = {.entry = {.count = 1, .reusable = true}}, SHIFT(640),
  [1168] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [1170] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [1172] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [1174] = {.entry = {.count = 1, .reusable = false}}, SHIFT(789),
  [1176] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [1178] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annot_repeat1, 2), SHIFT_REPEAT(180),
  [1181] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_annot_repeat1, 2), SHIFT_REPEAT(184),
  [1184] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_chunk_literal_single, 1),
  [1186] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_chunk_literal_single, 1),
  [1188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [1190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [1192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(298),
  [1194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [1196] = {.entry = {.count = 1, .reusable = true}}, SHIFT(360),
  [1198] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [1200] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [1202] = {.entry = {.count = 1, .reusable = true}}, SHIFT(777),
  [1204] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [1206] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [1208] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_field, 2, .production_id = 13),
  [1210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [1212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [1214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [1216] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [1218] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_atom_repeat1, 2), SHIFT_REPEAT(748),
  [1221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_atom_repeat1, 2),
  [1223] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [1225] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [1227] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [1229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [1231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(84),
  [1233] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [1235] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [1237] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [1239] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [1241] = {.entry = {.count = 1, .reusable = true}}, SHIFT(755),
  [1243] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [1245] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [1247] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [1249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(753),
  [1251] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [1253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [1255] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [1257] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [1259] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [1261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [1263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [1265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(34),
  [1267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [1269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [1271] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1034),
  [1273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(861),
  [1275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [1277] = {.entry = {.count = 1, .reusable = true}}, SHIFT(15),
  [1279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [1281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [1283] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [1285] = {.entry = {.count = 1, .reusable = true}}, SHIFT(22),
  [1287] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [1289] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [1291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(821),
  [1293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [1295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [1297] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_last_field, 1),
  [1299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [1301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [1303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [1305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [1307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [1309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [1311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [1313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [1315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(23),
  [1317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [1319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [1321] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [1323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [1325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(822),
  [1327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(798),
  [1329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [1331] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_field, 4, .production_id = 43),
  [1333] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_forall_repeat1, 2), SHIFT_REPEAT(861),
  [1336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_forall_repeat1, 2),
  [1338] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [1340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(642),
  [1342] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [1344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [1346] = {.entry = {.count = 1, .reusable = true}}, SHIFT(799),
  [1348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(80),
  [1350] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_expr_repeat1, 2), SHIFT_REPEAT(879),
  [1353] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_expr_repeat1, 2),
  [1355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [1357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [1359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [1361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [1363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [1365] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match, 2, .production_id = 24),
  [1367] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [1369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [1371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [1373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(809),
  [1375] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match, 3, .production_id = 37),
  [1377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(814),
  [1379] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [1381] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [1383] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [1385] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_annot, 2, .production_id = 36),
  [1387] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_field, 3, .production_id = 29),
  [1389] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_atom_repeat1, 2), SHIFT_REPEAT(93),
  [1392] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_atom_repeat1, 2),
  [1394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [1396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [1398] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match, 3, .production_id = 35),
  [1400] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match, 5, .production_id = 56),
  [1402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(883),
  [1404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [1406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(851),
  [1408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(326),
  [1410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(903),
  [1412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [1414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [1416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 3, .production_id = 40),
  [1418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(825),
  [1420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(256),
  [1422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [1424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [1426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(897),
  [1428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(209),
  [1430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(896),
  [1432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(875),
  [1434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(824),
  [1436] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_match, 1),
  [1438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1009),
  [1440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [1442] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match, 4, .production_id = 47),
  [1444] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [1446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [1448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [1450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [1452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [1454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [1456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(859),
  [1458] = {.entry = {.count = 1, .reusable = true}}, SHIFT(350),
  [1460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [1462] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_case, 4, .production_id = 50),
  [1464] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_match, 4, .production_id = 48),
  [1466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [1468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [1470] = {.entry = {.count = 1, .reusable = true}}, SHIFT(318),
  [1472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [1474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(838),
  [1476] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [1478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [1480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [1482] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [1484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [1486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [1488] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [1490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(83),
  [1492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [1494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [1496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [1498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [1500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [1502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [1504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [1506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [1508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(380),
  [1510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [1512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [1514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [1516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [1518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [1520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [1522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [1524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [1526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [1528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [1530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [1532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [1534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [1536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [1538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [1540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [1542] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [1544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [1546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [1548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(253),
  [1550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(234),
  [1552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [1554] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [1556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [1558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(248),
  [1560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [1562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [1564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [1566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [1568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [1570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [1572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [1574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [1576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(645),
  [1578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [1580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [1582] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_last_match, 2),
  [1584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(724),
  [1586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(252),
  [1588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [1590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1106),
  [1592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [1594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(726),
  [1596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(62),
  [1598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [1600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [1602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [1604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [1606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [1608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [1610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [1612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [1614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [1616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [1618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [1620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [1622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [1624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [1626] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_row_tail, 1),
  [1628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [1630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [1632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [1634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [1636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [1638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [1640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [1642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(295),
  [1644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(296),
  [1646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [1648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [1650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [1652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [1654] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [1656] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [1658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(366),
  [1660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [1662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(367),
  [1664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(73),
  [1666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [1668] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_curried_op, 1),
  [1670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_op, 1),
  [1672] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_infix_b_op, 1),
  [1674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [1676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [1678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [1680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [1682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [1684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [1686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [1688] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [1690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(121),
  [1692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [1694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [1696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [1698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(68),
  [1700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [1702] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [1704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [1706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [1708] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [1710] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [1712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(299),
  [1714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [1716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(78),
  [1718] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [1720] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [1722] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [1724] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [1726] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [1728] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [1730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [1732] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [1734] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [1736] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [1738] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [1740] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [1742] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1052),
  [1744] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [1746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [1748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_nickel_external_scanner_create(void);
void tree_sitter_nickel_external_scanner_destroy(void *);
bool tree_sitter_nickel_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_nickel_external_scanner_serialize(void *, char *);
void tree_sitter_nickel_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_nickel(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_keyword,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_nickel_external_scanner_create,
      tree_sitter_nickel_external_scanner_destroy,
      tree_sitter_nickel_external_scanner_scan,
      tree_sitter_nickel_external_scanner_serialize,
      tree_sitter_nickel_external_scanner_deserialize,
    },
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
