#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#ifdef _MSC_VER
#pragma optimize("", off)
#elif defined(__clang__)
#pragma clang optimize off
#elif defined(__GNUC__)
#pragma GCC optimize ("O0")
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 623
#define LARGE_STATE_COUNT 2
#define SYMBOL_COUNT 116
#define ALIAS_COUNT 0
#define TOKEN_COUNT 77
#define EXTERNAL_TOKEN_COUNT 1
#define FIELD_COUNT 13
#define MAX_ALIAS_SEQUENCE_LENGTH 7
#define PRODUCTION_ID_COUNT 20

enum {
  anon_sym_SEMI = 1,
  anon_sym_LF = 2,
  anon_sym_PIPE = 3,
  anon_sym_COMMA = 4,
  anon_sym_COLON = 5,
  anon_sym_export = 6,
  anon_sym_env = 7,
  anon_sym_if = 8,
  anon_sym_not = 9,
  anon_sym_else = 10,
  anon_sym_def = 11,
  anon_sym_def_DASHenv = 12,
  anon_sym_alias = 13,
  anon_sym_EQ = 14,
  anon_sym_LBRACK = 15,
  anon_sym_RBRACK = 16,
  anon_sym_QMARK = 17,
  anon_sym_LPAREN = 18,
  anon_sym_RPAREN = 19,
  sym_flag_name = 20,
  sym_flag_shorthand_name = 21,
  anon_sym_DOT_DOT_DOTrest = 22,
  anon_sym_int = 23,
  anon_sym_float = 24,
  anon_sym_range = 25,
  anon_sym_bool = 26,
  anon_sym_string = 27,
  anon_sym_block = 28,
  anon_sym_duration = 29,
  anon_sym_date = 30,
  anon_sym_filesize = 31,
  anon_sym_number = 32,
  anon_sym_table = 33,
  anon_sym_error = 34,
  anon_sym_binary = 35,
  anon_sym_path = 36,
  anon_sym_AT = 37,
  anon_sym_let = 38,
  anon_sym_CARET = 39,
  sym_number_literal = 40,
  sym_word = 41,
  anon_sym_DOLLAR = 42,
  anon_sym_DQUOTE = 43,
  aux_sym_string_token1 = 44,
  anon_sym_SQUOTE = 45,
  aux_sym_string_token2 = 46,
  anon_sym_BQUOTE = 47,
  aux_sym_string_token3 = 48,
  anon_sym_DOT = 49,
  aux_sym_file_path_token1 = 50,
  aux_sym_file_path_token2 = 51,
  sym_flag_arg = 52,
  anon_sym_DOT_DOT = 53,
  sym_identifier = 54,
  anon_sym_LBRACE = 55,
  anon_sym_RBRACE = 56,
  sym_comment = 57,
  anon_sym_PLUS = 58,
  anon_sym_DASH = 59,
  anon_sym_STAR = 60,
  anon_sym_SLASH = 61,
  anon_sym_PERCENT = 62,
  anon_sym_mod = 63,
  anon_sym_PIPE_PIPE = 64,
  anon_sym_AMP_AMP = 65,
  anon_sym_EQ_TILDE = 66,
  anon_sym_EQ_EQ = 67,
  anon_sym_BANG_EQ = 68,
  anon_sym_in = 69,
  anon_sym_GT = 70,
  anon_sym_GT_EQ = 71,
  anon_sym_LT_EQ = 72,
  anon_sym_LT = 73,
  anon_sym_LT_LT = 74,
  anon_sym_GT_GT = 75,
  sym__cmd_newline = 76,
  sym_source_file = 77,
  sym__statements = 78,
  sym__terminator = 79,
  sym__statement = 80,
  sym_record_entry = 81,
  sym_env_export = 82,
  sym_if_statement = 83,
  sym_function_definition = 84,
  sym_alias = 85,
  sym_signature = 86,
  sym_parameter = 87,
  sym_flag = 88,
  sym_rest = 89,
  sym_type = 90,
  sym_default_parameter_assignment = 91,
  sym_variable_declaration = 92,
  sym_command = 93,
  sym__expression = 94,
  sym__cmd_expr = 95,
  sym_string = 96,
  sym_value_path = 97,
  sym_file_path = 98,
  sym_range = 99,
  sym_table = 100,
  sym_array = 101,
  sym_record_or_block = 102,
  sym_block = 103,
  sym_block_args = 104,
  sym_cmd_invocation = 105,
  sym_binary_expression = 106,
  aux_sym__statements_repeat1 = 107,
  aux_sym__statement_repeat1 = 108,
  aux_sym_if_statement_repeat1 = 109,
  aux_sym_signature_repeat1 = 110,
  aux_sym_command_repeat1 = 111,
  aux_sym_value_path_repeat1 = 112,
  aux_sym_table_repeat1 = 113,
  aux_sym_array_repeat1 = 114,
  aux_sym_block_args_repeat1 = 115,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [anon_sym_SEMI] = ";",
  [anon_sym_LF] = "\n",
  [anon_sym_PIPE] = "|",
  [anon_sym_COMMA] = ",",
  [anon_sym_COLON] = ":",
  [anon_sym_export] = "export",
  [anon_sym_env] = "env",
  [anon_sym_if] = "if",
  [anon_sym_not] = "not",
  [anon_sym_else] = "else",
  [anon_sym_def] = "def",
  [anon_sym_def_DASHenv] = "def-env",
  [anon_sym_alias] = "alias",
  [anon_sym_EQ] = "=",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_QMARK] = "\?",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [sym_flag_name] = "flag_name",
  [sym_flag_shorthand_name] = "flag_shorthand_name",
  [anon_sym_DOT_DOT_DOTrest] = "...rest",
  [anon_sym_int] = "int",
  [anon_sym_float] = "float",
  [anon_sym_range] = "range",
  [anon_sym_bool] = "bool",
  [anon_sym_string] = "string",
  [anon_sym_block] = "block",
  [anon_sym_duration] = "duration",
  [anon_sym_date] = "date",
  [anon_sym_filesize] = "filesize",
  [anon_sym_number] = "number",
  [anon_sym_table] = "table",
  [anon_sym_error] = "error",
  [anon_sym_binary] = "binary",
  [anon_sym_path] = "path",
  [anon_sym_AT] = "@",
  [anon_sym_let] = "let",
  [anon_sym_CARET] = "^",
  [sym_number_literal] = "number_literal",
  [sym_word] = "word",
  [anon_sym_DOLLAR] = "$",
  [anon_sym_DQUOTE] = "\"",
  [aux_sym_string_token1] = "string_token1",
  [anon_sym_SQUOTE] = "'",
  [aux_sym_string_token2] = "string_token2",
  [anon_sym_BQUOTE] = "`",
  [aux_sym_string_token3] = "string_token3",
  [anon_sym_DOT] = ".",
  [aux_sym_file_path_token1] = "file_path_token1",
  [aux_sym_file_path_token2] = "file_path_token2",
  [sym_flag_arg] = "flag_arg",
  [anon_sym_DOT_DOT] = "..",
  [sym_identifier] = "identifier",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [sym_comment] = "comment",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_STAR] = "*",
  [anon_sym_SLASH] = "/",
  [anon_sym_PERCENT] = "%",
  [anon_sym_mod] = "mod",
  [anon_sym_PIPE_PIPE] = "||",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_EQ_TILDE] = "=~",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_in] = "in",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [sym__cmd_newline] = "_cmd_newline",
  [sym_source_file] = "source_file",
  [sym__statements] = "_statements",
  [sym__terminator] = "_terminator",
  [sym__statement] = "_statement",
  [sym_record_entry] = "record_entry",
  [sym_env_export] = "env_export",
  [sym_if_statement] = "if_statement",
  [sym_function_definition] = "function_definition",
  [sym_alias] = "alias",
  [sym_signature] = "signature",
  [sym_parameter] = "parameter",
  [sym_flag] = "flag",
  [sym_rest] = "rest",
  [sym_type] = "type",
  [sym_default_parameter_assignment] = "default_parameter_assignment",
  [sym_variable_declaration] = "variable_declaration",
  [sym_command] = "command",
  [sym__expression] = "_expression",
  [sym__cmd_expr] = "_cmd_expr",
  [sym_string] = "string",
  [sym_value_path] = "value_path",
  [sym_file_path] = "file_path",
  [sym_range] = "range",
  [sym_table] = "table",
  [sym_array] = "array",
  [sym_record_or_block] = "record_or_block",
  [sym_block] = "block",
  [sym_block_args] = "block_args",
  [sym_cmd_invocation] = "cmd_invocation",
  [sym_binary_expression] = "binary_expression",
  [aux_sym__statements_repeat1] = "_statements_repeat1",
  [aux_sym__statement_repeat1] = "_statement_repeat1",
  [aux_sym_if_statement_repeat1] = "if_statement_repeat1",
  [aux_sym_signature_repeat1] = "signature_repeat1",
  [aux_sym_command_repeat1] = "command_repeat1",
  [aux_sym_value_path_repeat1] = "value_path_repeat1",
  [aux_sym_table_repeat1] = "table_repeat1",
  [aux_sym_array_repeat1] = "array_repeat1",
  [aux_sym_block_args_repeat1] = "block_args_repeat1",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_LF] = anon_sym_LF,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_export] = anon_sym_export,
  [anon_sym_env] = anon_sym_env,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_not] = anon_sym_not,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_def] = anon_sym_def,
  [anon_sym_def_DASHenv] = anon_sym_def_DASHenv,
  [anon_sym_alias] = anon_sym_alias,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [sym_flag_name] = sym_flag_name,
  [sym_flag_shorthand_name] = sym_flag_shorthand_name,
  [anon_sym_DOT_DOT_DOTrest] = anon_sym_DOT_DOT_DOTrest,
  [anon_sym_int] = anon_sym_int,
  [anon_sym_float] = anon_sym_float,
  [anon_sym_range] = anon_sym_range,
  [anon_sym_bool] = anon_sym_bool,
  [anon_sym_string] = anon_sym_string,
  [anon_sym_block] = anon_sym_block,
  [anon_sym_duration] = anon_sym_duration,
  [anon_sym_date] = anon_sym_date,
  [anon_sym_filesize] = anon_sym_filesize,
  [anon_sym_number] = anon_sym_number,
  [anon_sym_table] = anon_sym_table,
  [anon_sym_error] = anon_sym_error,
  [anon_sym_binary] = anon_sym_binary,
  [anon_sym_path] = anon_sym_path,
  [anon_sym_AT] = anon_sym_AT,
  [anon_sym_let] = anon_sym_let,
  [anon_sym_CARET] = anon_sym_CARET,
  [sym_number_literal] = sym_number_literal,
  [sym_word] = sym_word,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [aux_sym_string_token1] = aux_sym_string_token1,
  [anon_sym_SQUOTE] = anon_sym_SQUOTE,
  [aux_sym_string_token2] = aux_sym_string_token2,
  [anon_sym_BQUOTE] = anon_sym_BQUOTE,
  [aux_sym_string_token3] = aux_sym_string_token3,
  [anon_sym_DOT] = anon_sym_DOT,
  [aux_sym_file_path_token1] = aux_sym_file_path_token1,
  [aux_sym_file_path_token2] = aux_sym_file_path_token2,
  [sym_flag_arg] = sym_flag_arg,
  [anon_sym_DOT_DOT] = anon_sym_DOT_DOT,
  [sym_identifier] = sym_identifier,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [sym_comment] = sym_comment,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_mod] = anon_sym_mod,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_EQ_TILDE] = anon_sym_EQ_TILDE,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [sym__cmd_newline] = sym__cmd_newline,
  [sym_source_file] = sym_source_file,
  [sym__statements] = sym__statements,
  [sym__terminator] = sym__terminator,
  [sym__statement] = sym__statement,
  [sym_record_entry] = sym_record_entry,
  [sym_env_export] = sym_env_export,
  [sym_if_statement] = sym_if_statement,
  [sym_function_definition] = sym_function_definition,
  [sym_alias] = sym_alias,
  [sym_signature] = sym_signature,
  [sym_parameter] = sym_parameter,
  [sym_flag] = sym_flag,
  [sym_rest] = sym_rest,
  [sym_type] = sym_type,
  [sym_default_parameter_assignment] = sym_default_parameter_assignment,
  [sym_variable_declaration] = sym_variable_declaration,
  [sym_command] = sym_command,
  [sym__expression] = sym__expression,
  [sym__cmd_expr] = sym__cmd_expr,
  [sym_string] = sym_string,
  [sym_value_path] = sym_value_path,
  [sym_file_path] = sym_file_path,
  [sym_range] = sym_range,
  [sym_table] = sym_table,
  [sym_array] = sym_array,
  [sym_record_or_block] = sym_record_or_block,
  [sym_block] = sym_block,
  [sym_block_args] = sym_block_args,
  [sym_cmd_invocation] = sym_cmd_invocation,
  [sym_binary_expression] = sym_binary_expression,
  [aux_sym__statements_repeat1] = aux_sym__statements_repeat1,
  [aux_sym__statement_repeat1] = aux_sym__statement_repeat1,
  [aux_sym_if_statement_repeat1] = aux_sym_if_statement_repeat1,
  [aux_sym_signature_repeat1] = aux_sym_signature_repeat1,
  [aux_sym_command_repeat1] = aux_sym_command_repeat1,
  [aux_sym_value_path_repeat1] = aux_sym_value_path_repeat1,
  [aux_sym_table_repeat1] = aux_sym_table_repeat1,
  [aux_sym_array_repeat1] = aux_sym_array_repeat1,
  [aux_sym_block_args_repeat1] = aux_sym_block_args_repeat1,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_export] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_env] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_not] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_def] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_def_DASHenv] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_alias] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [sym_flag_name] = {
    .visible = true,
    .named = true,
  },
  [sym_flag_shorthand_name] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT_DOT_DOTrest] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_int] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_float] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_range] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_bool] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_string] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_block] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_duration] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_date] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_filesize] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_number] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_table] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_error] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_binary] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_path] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_let] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [sym_number_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_word] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token1] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_SQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token2] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_BQUOTE] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_string_token3] = {
    .visible = false,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [aux_sym_file_path_token1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_file_path_token2] = {
    .visible = false,
    .named = false,
  },
  [sym_flag_arg] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_mod] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [sym__cmd_newline] = {
    .visible = false,
    .named = true,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [sym__statements] = {
    .visible = false,
    .named = true,
  },
  [sym__terminator] = {
    .visible = false,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
  },
  [sym_record_entry] = {
    .visible = true,
    .named = true,
  },
  [sym_env_export] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_function_definition] = {
    .visible = true,
    .named = true,
  },
  [sym_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_signature] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter] = {
    .visible = true,
    .named = true,
  },
  [sym_flag] = {
    .visible = true,
    .named = true,
  },
  [sym_rest] = {
    .visible = true,
    .named = true,
  },
  [sym_type] = {
    .visible = true,
    .named = true,
  },
  [sym_default_parameter_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_variable_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_command] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
  },
  [sym__cmd_expr] = {
    .visible = false,
    .named = true,
  },
  [sym_string] = {
    .visible = true,
    .named = true,
  },
  [sym_value_path] = {
    .visible = true,
    .named = true,
  },
  [sym_file_path] = {
    .visible = true,
    .named = true,
  },
  [sym_range] = {
    .visible = true,
    .named = true,
  },
  [sym_table] = {
    .visible = true,
    .named = true,
  },
  [sym_array] = {
    .visible = true,
    .named = true,
  },
  [sym_record_or_block] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_block_args] = {
    .visible = true,
    .named = true,
  },
  [sym_cmd_invocation] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [aux_sym__statements_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_if_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_signature_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_command_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_value_path_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_table_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_array_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_block_args_repeat1] = {
    .visible = false,
    .named = false,
  },
};

enum {
  field_alias_name = 1,
  field_arg = 2,
  field_block_param = 3,
  field_cmd_name = 4,
  field_entry_name = 5,
  field_from = 6,
  field_func_name = 7,
  field_left = 8,
  field_name = 9,
  field_operator = 10,
  field_right = 11,
  field_to = 12,
  field_value = 13,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alias_name] = "alias_name",
  [field_arg] = "arg",
  [field_block_param] = "block_param",
  [field_cmd_name] = "cmd_name",
  [field_entry_name] = "entry_name",
  [field_from] = "from",
  [field_func_name] = "func_name",
  [field_left] = "left",
  [field_name] = "name",
  [field_operator] = "operator",
  [field_right] = "right",
  [field_to] = "to",
  [field_value] = "value",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [1] = {.index = 0, .length = 1},
  [2] = {.index = 1, .length = 1},
  [3] = {.index = 2, .length = 2},
  [4] = {.index = 4, .length = 2},
  [5] = {.index = 6, .length = 1},
  [6] = {.index = 7, .length = 2},
  [7] = {.index = 9, .length = 2},
  [8] = {.index = 11, .length = 1},
  [9] = {.index = 12, .length = 3},
  [10] = {.index = 15, .length = 1},
  [11] = {.index = 16, .length = 1},
  [12] = {.index = 17, .length = 1},
  [13] = {.index = 18, .length = 2},
  [14] = {.index = 20, .length = 3},
  [15] = {.index = 23, .length = 3},
  [16] = {.index = 26, .length = 1},
  [17] = {.index = 27, .length = 2},
  [18] = {.index = 29, .length = 1},
  [19] = {.index = 30, .length = 4},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_cmd_name, 0},
  [1] =
    {field_arg, 0},
  [2] =
    {field_cmd_name, 0},
    {field_cmd_name, 1},
  [4] =
    {field_from, 0},
    {field_to, 2},
  [6] =
    {field_entry_name, 0},
  [7] =
    {field_arg, 1, .inherited = true},
    {field_cmd_name, 0},
  [9] =
    {field_arg, 0, .inherited = true},
    {field_arg, 1, .inherited = true},
  [11] =
    {field_block_param, 0},
  [12] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [15] =
    {field_func_name, 1},
  [16] =
    {field_alias_name, 1},
  [17] =
    {field_value, 3},
  [18] =
    {field_name, 1},
    {field_value, 3},
  [20] =
    {field_cmd_name, 0},
    {field_cmd_name, 1},
    {field_cmd_name, 2},
  [23] =
    {field_arg, 2, .inherited = true},
    {field_cmd_name, 0},
    {field_cmd_name, 1},
  [26] =
    {field_block_param, 1, .inherited = true},
  [27] =
    {field_block_param, 0, .inherited = true},
    {field_block_param, 1, .inherited = true},
  [29] =
    {field_func_name, 2},
  [30] =
    {field_arg, 3, .inherited = true},
    {field_cmd_name, 0},
    {field_cmd_name, 1},
    {field_cmd_name, 2},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 2,
  [4] = 2,
  [5] = 2,
  [6] = 2,
  [7] = 7,
  [8] = 2,
  [9] = 9,
  [10] = 9,
  [11] = 11,
  [12] = 9,
  [13] = 9,
  [14] = 9,
  [15] = 9,
  [16] = 16,
  [17] = 16,
  [18] = 16,
  [19] = 16,
  [20] = 16,
  [21] = 16,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 26,
  [27] = 27,
  [28] = 28,
  [29] = 29,
  [30] = 30,
  [31] = 25,
  [32] = 22,
  [33] = 26,
  [34] = 34,
  [35] = 35,
  [36] = 36,
  [37] = 37,
  [38] = 29,
  [39] = 39,
  [40] = 40,
  [41] = 41,
  [42] = 42,
  [43] = 43,
  [44] = 44,
  [45] = 45,
  [46] = 46,
  [47] = 47,
  [48] = 48,
  [49] = 49,
  [50] = 50,
  [51] = 51,
  [52] = 52,
  [53] = 53,
  [54] = 54,
  [55] = 55,
  [56] = 56,
  [57] = 30,
  [58] = 58,
  [59] = 59,
  [60] = 60,
  [61] = 61,
  [62] = 62,
  [63] = 28,
  [64] = 64,
  [65] = 65,
  [66] = 66,
  [67] = 67,
  [68] = 68,
  [69] = 69,
  [70] = 70,
  [71] = 71,
  [72] = 71,
  [73] = 35,
  [74] = 71,
  [75] = 46,
  [76] = 71,
  [77] = 71,
  [78] = 71,
  [79] = 43,
  [80] = 52,
  [81] = 49,
  [82] = 67,
  [83] = 65,
  [84] = 70,
  [85] = 62,
  [86] = 56,
  [87] = 60,
  [88] = 61,
  [89] = 53,
  [90] = 39,
  [91] = 91,
  [92] = 59,
  [93] = 55,
  [94] = 69,
  [95] = 51,
  [96] = 36,
  [97] = 45,
  [98] = 41,
  [99] = 58,
  [100] = 50,
  [101] = 40,
  [102] = 47,
  [103] = 66,
  [104] = 64,
  [105] = 42,
  [106] = 37,
  [107] = 48,
  [108] = 54,
  [109] = 25,
  [110] = 110,
  [111] = 22,
  [112] = 26,
  [113] = 113,
  [114] = 114,
  [115] = 30,
  [116] = 114,
  [117] = 114,
  [118] = 44,
  [119] = 28,
  [120] = 113,
  [121] = 114,
  [122] = 29,
  [123] = 114,
  [124] = 113,
  [125] = 113,
  [126] = 114,
  [127] = 113,
  [128] = 44,
  [129] = 113,
  [130] = 130,
  [131] = 131,
  [132] = 132,
  [133] = 130,
  [134] = 134,
  [135] = 132,
  [136] = 132,
  [137] = 137,
  [138] = 131,
  [139] = 137,
  [140] = 134,
  [141] = 134,
  [142] = 142,
  [143] = 134,
  [144] = 130,
  [145] = 137,
  [146] = 131,
  [147] = 134,
  [148] = 130,
  [149] = 142,
  [150] = 132,
  [151] = 137,
  [152] = 35,
  [153] = 142,
  [154] = 131,
  [155] = 137,
  [156] = 132,
  [157] = 130,
  [158] = 142,
  [159] = 134,
  [160] = 142,
  [161] = 142,
  [162] = 131,
  [163] = 131,
  [164] = 130,
  [165] = 137,
  [166] = 132,
  [167] = 58,
  [168] = 36,
  [169] = 62,
  [170] = 42,
  [171] = 50,
  [172] = 51,
  [173] = 56,
  [174] = 70,
  [175] = 53,
  [176] = 65,
  [177] = 67,
  [178] = 64,
  [179] = 179,
  [180] = 40,
  [181] = 59,
  [182] = 55,
  [183] = 52,
  [184] = 66,
  [185] = 39,
  [186] = 69,
  [187] = 61,
  [188] = 60,
  [189] = 47,
  [190] = 54,
  [191] = 37,
  [192] = 45,
  [193] = 48,
  [194] = 46,
  [195] = 49,
  [196] = 43,
  [197] = 41,
  [198] = 198,
  [199] = 22,
  [200] = 26,
  [201] = 25,
  [202] = 29,
  [203] = 203,
  [204] = 203,
  [205] = 205,
  [206] = 206,
  [207] = 207,
  [208] = 207,
  [209] = 22,
  [210] = 210,
  [211] = 207,
  [212] = 203,
  [213] = 26,
  [214] = 207,
  [215] = 28,
  [216] = 207,
  [217] = 217,
  [218] = 30,
  [219] = 203,
  [220] = 203,
  [221] = 25,
  [222] = 203,
  [223] = 223,
  [224] = 207,
  [225] = 225,
  [226] = 35,
  [227] = 28,
  [228] = 228,
  [229] = 229,
  [230] = 69,
  [231] = 29,
  [232] = 54,
  [233] = 233,
  [234] = 30,
  [235] = 235,
  [236] = 236,
  [237] = 237,
  [238] = 238,
  [239] = 43,
  [240] = 39,
  [241] = 241,
  [242] = 242,
  [243] = 243,
  [244] = 236,
  [245] = 245,
  [246] = 246,
  [247] = 247,
  [248] = 248,
  [249] = 249,
  [250] = 45,
  [251] = 248,
  [252] = 35,
  [253] = 247,
  [254] = 246,
  [255] = 245,
  [256] = 236,
  [257] = 243,
  [258] = 242,
  [259] = 241,
  [260] = 242,
  [261] = 243,
  [262] = 236,
  [263] = 245,
  [264] = 246,
  [265] = 241,
  [266] = 248,
  [267] = 34,
  [268] = 268,
  [269] = 247,
  [270] = 246,
  [271] = 245,
  [272] = 236,
  [273] = 243,
  [274] = 248,
  [275] = 247,
  [276] = 246,
  [277] = 245,
  [278] = 65,
  [279] = 243,
  [280] = 242,
  [281] = 241,
  [282] = 242,
  [283] = 241,
  [284] = 46,
  [285] = 48,
  [286] = 247,
  [287] = 49,
  [288] = 64,
  [289] = 289,
  [290] = 47,
  [291] = 37,
  [292] = 58,
  [293] = 41,
  [294] = 36,
  [295] = 52,
  [296] = 55,
  [297] = 59,
  [298] = 40,
  [299] = 67,
  [300] = 66,
  [301] = 50,
  [302] = 51,
  [303] = 53,
  [304] = 61,
  [305] = 60,
  [306] = 306,
  [307] = 248,
  [308] = 42,
  [309] = 56,
  [310] = 248,
  [311] = 247,
  [312] = 246,
  [313] = 245,
  [314] = 236,
  [315] = 243,
  [316] = 242,
  [317] = 241,
  [318] = 318,
  [319] = 62,
  [320] = 70,
  [321] = 65,
  [322] = 52,
  [323] = 22,
  [324] = 53,
  [325] = 70,
  [326] = 62,
  [327] = 69,
  [328] = 66,
  [329] = 64,
  [330] = 49,
  [331] = 48,
  [332] = 51,
  [333] = 26,
  [334] = 50,
  [335] = 56,
  [336] = 60,
  [337] = 42,
  [338] = 67,
  [339] = 40,
  [340] = 59,
  [341] = 55,
  [342] = 61,
  [343] = 36,
  [344] = 41,
  [345] = 58,
  [346] = 54,
  [347] = 37,
  [348] = 47,
  [349] = 46,
  [350] = 68,
  [351] = 45,
  [352] = 43,
  [353] = 25,
  [354] = 39,
  [355] = 29,
  [356] = 356,
  [357] = 357,
  [358] = 69,
  [359] = 54,
  [360] = 30,
  [361] = 43,
  [362] = 46,
  [363] = 28,
  [364] = 364,
  [365] = 365,
  [366] = 34,
  [367] = 35,
  [368] = 70,
  [369] = 58,
  [370] = 49,
  [371] = 64,
  [372] = 66,
  [373] = 50,
  [374] = 67,
  [375] = 53,
  [376] = 61,
  [377] = 60,
  [378] = 378,
  [379] = 56,
  [380] = 62,
  [381] = 51,
  [382] = 68,
  [383] = 40,
  [384] = 65,
  [385] = 59,
  [386] = 55,
  [387] = 52,
  [388] = 36,
  [389] = 41,
  [390] = 48,
  [391] = 42,
  [392] = 37,
  [393] = 47,
  [394] = 45,
  [395] = 39,
  [396] = 396,
  [397] = 396,
  [398] = 396,
  [399] = 399,
  [400] = 400,
  [401] = 401,
  [402] = 402,
  [403] = 403,
  [404] = 404,
  [405] = 405,
  [406] = 406,
  [407] = 407,
  [408] = 408,
  [409] = 409,
  [410] = 410,
  [411] = 411,
  [412] = 412,
  [413] = 413,
  [414] = 414,
  [415] = 415,
  [416] = 416,
  [417] = 417,
  [418] = 418,
  [419] = 419,
  [420] = 420,
  [421] = 421,
  [422] = 422,
  [423] = 423,
  [424] = 424,
  [425] = 425,
  [426] = 426,
  [427] = 427,
  [428] = 428,
  [429] = 429,
  [430] = 430,
  [431] = 431,
  [432] = 432,
  [433] = 433,
  [434] = 434,
  [435] = 435,
  [436] = 436,
  [437] = 437,
  [438] = 438,
  [439] = 439,
  [440] = 440,
  [441] = 441,
  [442] = 442,
  [443] = 443,
  [444] = 444,
  [445] = 445,
  [446] = 446,
  [447] = 445,
  [448] = 448,
  [449] = 445,
  [450] = 450,
  [451] = 451,
  [452] = 445,
  [453] = 453,
  [454] = 445,
  [455] = 455,
  [456] = 456,
  [457] = 445,
  [458] = 458,
  [459] = 459,
  [460] = 460,
  [461] = 461,
  [462] = 461,
  [463] = 459,
  [464] = 461,
  [465] = 465,
  [466] = 461,
  [467] = 467,
  [468] = 459,
  [469] = 461,
  [470] = 459,
  [471] = 459,
  [472] = 459,
  [473] = 461,
  [474] = 474,
  [475] = 475,
  [476] = 475,
  [477] = 477,
  [478] = 478,
  [479] = 479,
  [480] = 480,
  [481] = 475,
  [482] = 482,
  [483] = 475,
  [484] = 484,
  [485] = 485,
  [486] = 486,
  [487] = 475,
  [488] = 475,
  [489] = 489,
  [490] = 490,
  [491] = 491,
  [492] = 492,
  [493] = 493,
  [494] = 489,
  [495] = 495,
  [496] = 489,
  [497] = 497,
  [498] = 489,
  [499] = 495,
  [500] = 489,
  [501] = 501,
  [502] = 502,
  [503] = 495,
  [504] = 495,
  [505] = 495,
  [506] = 506,
  [507] = 495,
  [508] = 489,
  [509] = 509,
  [510] = 510,
  [511] = 511,
  [512] = 512,
  [513] = 513,
  [514] = 514,
  [515] = 511,
  [516] = 516,
  [517] = 517,
  [518] = 518,
  [519] = 512,
  [520] = 520,
  [521] = 521,
  [522] = 522,
  [523] = 522,
  [524] = 513,
  [525] = 514,
  [526] = 511,
  [527] = 516,
  [528] = 514,
  [529] = 513,
  [530] = 521,
  [531] = 520,
  [532] = 512,
  [533] = 533,
  [534] = 534,
  [535] = 535,
  [536] = 522,
  [537] = 537,
  [538] = 518,
  [539] = 539,
  [540] = 521,
  [541] = 512,
  [542] = 520,
  [543] = 521,
  [544] = 522,
  [545] = 518,
  [546] = 520,
  [547] = 513,
  [548] = 514,
  [549] = 511,
  [550] = 516,
  [551] = 512,
  [552] = 552,
  [553] = 516,
  [554] = 554,
  [555] = 521,
  [556] = 520,
  [557] = 518,
  [558] = 512,
  [559] = 559,
  [560] = 518,
  [561] = 561,
  [562] = 562,
  [563] = 518,
  [564] = 564,
  [565] = 565,
  [566] = 522,
  [567] = 520,
  [568] = 521,
  [569] = 522,
  [570] = 570,
  [571] = 513,
  [572] = 514,
  [573] = 513,
  [574] = 514,
  [575] = 511,
  [576] = 516,
  [577] = 511,
  [578] = 578,
  [579] = 579,
  [580] = 580,
  [581] = 581,
  [582] = 582,
  [583] = 583,
  [584] = 535,
  [585] = 534,
  [586] = 533,
  [587] = 582,
  [588] = 579,
  [589] = 580,
  [590] = 581,
  [591] = 582,
  [592] = 581,
  [593] = 535,
  [594] = 534,
  [595] = 533,
  [596] = 580,
  [597] = 579,
  [598] = 580,
  [599] = 581,
  [600] = 582,
  [601] = 601,
  [602] = 535,
  [603] = 534,
  [604] = 533,
  [605] = 579,
  [606] = 579,
  [607] = 580,
  [608] = 581,
  [609] = 582,
  [610] = 516,
  [611] = 535,
  [612] = 534,
  [613] = 533,
  [614] = 614,
  [615] = 579,
  [616] = 580,
  [617] = 581,
  [618] = 582,
  [619] = 619,
  [620] = 535,
  [621] = 534,
  [622] = 533,
};

static inline bool sym_word_character_set_1(int32_t c) {
  return (c < '-'
    ? (c < ' '
      ? (c < '\t'
        ? c == 0
        : (c <= '\n' || c == '\r'))
      : (c <= ' ' || (c < '\''
        ? (c >= '"' && c <= '$')
        : c <= ')')))
    : (c <= '.' || (c < '['
      ? (c < '@'
        ? c == ';'
        : c <= '@')
      : (c <= ']' || (c < '{'
        ? c == '`'
        : c <= '}')))));
}

static inline bool sym_word_character_set_2(int32_t c) {
  return (c < '"'
    ? (c < '\r'
      ? (c < '\t'
        ? c == 0
        : c <= '\n')
      : (c <= '\r' || c == ' '))
    : (c <= '$' || (c < '@'
      ? (c < ';'
        ? (c >= '\'' && c <= ')')
        : c <= ';')
      : (c <= ']' || (c >= '`' && c <= '}')))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(134);
      if (lookahead == '!') ADVANCE(198);
      if (lookahead == '"') ADVANCE(274);
      if (lookahead == '#') ADVANCE(333);
      if (lookahead == '$') ADVANCE(273);
      if (lookahead == '%') ADVANCE(341);
      if (lookahead == '&') ADVANCE(196);
      if (lookahead == '\'') ADVANCE(278);
      if (lookahead == '(') ADVANCE(165);
      if (lookahead == ')') ADVANCE(166);
      if (lookahead == '*') ADVANCE(339);
      if (lookahead == '+') ADVANCE(334);
      if (lookahead == ',') ADVANCE(144);
      if (lookahead == '-') ADVANCE(337);
      if (lookahead == '.') ADVANCE(286);
      if (lookahead == '/') ADVANCE(340);
      if (lookahead == ':') ADVANCE(145);
      if (lookahead == ';') ADVANCE(135);
      if (lookahead == '<') ADVANCE(356);
      if (lookahead == '=') ADVANCE(161);
      if (lookahead == '>') ADVANCE(353);
      if (lookahead == '?') ADVANCE(164);
      if (lookahead == '@') ADVANCE(188);
      if (lookahead == '[') ADVANCE(162);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == ']') ADVANCE(163);
      if (lookahead == '^') ADVANCE(191);
      if (lookahead == '`') ADVANCE(282);
      if (lookahead == 'a') ADVANCE(231);
      if (lookahead == 'b') ADVANCE(224);
      if (lookahead == 'd') ADVANCE(200);
      if (lookahead == 'e') ADVANCE(232);
      if (lookahead == 'f') ADVANCE(226);
      if (lookahead == 'i') ADVANCE(219);
      if (lookahead == 'l') ADVANCE(216);
      if (lookahead == 'm') ADVANCE(241);
      if (lookahead == 'n') ADVANCE(244);
      if (lookahead == 'p') ADVANCE(204);
      if (lookahead == 'r') ADVANCE(201);
      if (lookahead == 's') ADVANCE(267);
      if (lookahead == 't') ADVANCE(199);
      if (lookahead == '{') ADVANCE(331);
      if (lookahead == '|') ADVANCE(143);
      if (lookahead == '}') ADVANCE(332);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(10);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(193);
      if (lookahead != 0) ADVANCE(272);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(136);
      if (lookahead == '!') ADVANCE(198);
      if (lookahead == '"') ADVANCE(274);
      if (lookahead == '#') ADVANCE(333);
      if (lookahead == '$') ADVANCE(273);
      if (lookahead == '%') ADVANCE(341);
      if (lookahead == '&') ADVANCE(196);
      if (lookahead == '\'') ADVANCE(278);
      if (lookahead == '(') ADVANCE(165);
      if (lookahead == '*') ADVANCE(339);
      if (lookahead == '+') ADVANCE(334);
      if (lookahead == '-') ADVANCE(338);
      if (lookahead == '.') ADVANCE(287);
      if (lookahead == '/') ADVANCE(340);
      if (lookahead == ';') ADVANCE(135);
      if (lookahead == '<') ADVANCE(356);
      if (lookahead == '=') ADVANCE(161);
      if (lookahead == '>') ADVANCE(353);
      if (lookahead == '[') ADVANCE(162);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == '^') ADVANCE(191);
      if (lookahead == '`') ADVANCE(282);
      if (lookahead == 'i') ADVANCE(311);
      if (lookahead == 'm') ADVANCE(313);
      if (lookahead == '{') ADVANCE(331);
      if (lookahead == '|') ADVANCE(143);
      if (lookahead == '~') ADVANCE(197);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(2);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(192);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(322);
      if (lookahead != 0 &&
          lookahead != ')' &&
          (lookahead < '@' || '}' < lookahead)) ADVANCE(272);
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(136);
      if (lookahead == '!') ADVANCE(198);
      if (lookahead == '"') ADVANCE(274);
      if (lookahead == '#') ADVANCE(333);
      if (lookahead == '$') ADVANCE(273);
      if (lookahead == '%') ADVANCE(341);
      if (lookahead == '&') ADVANCE(196);
      if (lookahead == '\'') ADVANCE(278);
      if (lookahead == '(') ADVANCE(165);
      if (lookahead == '*') ADVANCE(339);
      if (lookahead == '+') ADVANCE(334);
      if (lookahead == '-') ADVANCE(338);
      if (lookahead == '.') ADVANCE(39);
      if (lookahead == '/') ADVANCE(340);
      if (lookahead == ';') ADVANCE(135);
      if (lookahead == '<') ADVANCE(356);
      if (lookahead == '=') ADVANCE(161);
      if (lookahead == '>') ADVANCE(353);
      if (lookahead == '[') ADVANCE(162);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == '^') ADVANCE(191);
      if (lookahead == '`') ADVANCE(282);
      if (lookahead == 'i') ADVANCE(311);
      if (lookahead == 'm') ADVANCE(313);
      if (lookahead == '{') ADVANCE(331);
      if (lookahead == '|') ADVANCE(143);
      if (lookahead == '~') ADVANCE(197);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(2);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(192);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(322);
      if (lookahead != 0 &&
          lookahead != ')' &&
          (lookahead < '@' || '}' < lookahead)) ADVANCE(272);
      END_STATE();
    case 3:
      if (lookahead == '\n') ADVANCE(138);
      if (lookahead == '"') ADVANCE(274);
      if (lookahead == '#') ADVANCE(333);
      if (lookahead == '$') ADVANCE(273);
      if (lookahead == '\'') ADVANCE(278);
      if (lookahead == '(') ADVANCE(165);
      if (lookahead == ')') ADVANCE(166);
      if (lookahead == ',') ADVANCE(144);
      if (lookahead == '-') ADVANCE(27);
      if (lookahead == '.') ADVANCE(44);
      if (lookahead == ';') ADVANCE(135);
      if (lookahead == '?') ADVANCE(164);
      if (lookahead == '[') ADVANCE(162);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == ']') ADVANCE(163);
      if (lookahead == '^') ADVANCE(191);
      if (lookahead == '`') ADVANCE(282);
      if (lookahead == '{') ADVANCE(331);
      if (lookahead == '|') ADVANCE(142);
      if (lookahead == '}') ADVANCE(332);
      if (lookahead == '~') ADVANCE(197);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(3);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(192);
      if (('A' <= lookahead && lookahead <= 'z')) ADVANCE(322);
      if (lookahead != 0 &&
          lookahead != '@') ADVANCE(272);
      END_STATE();
    case 4:
      if (lookahead == '\n') ADVANCE(139);
      if (lookahead == '"') ADVANCE(274);
      if (lookahead == '#') ADVANCE(333);
      if (lookahead == '$') ADVANCE(273);
      if (lookahead == '\'') ADVANCE(278);
      if (lookahead == '(') ADVANCE(165);
      if (lookahead == '-') ADVANCE(26);
      if (lookahead == '.') ADVANCE(37);
      if (lookahead == ':') ADVANCE(145);
      if (lookahead == ';') ADVANCE(135);
      if (lookahead == '?') ADVANCE(164);
      if (lookahead == '[') ADVANCE(162);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == '^') ADVANCE(191);
      if (lookahead == '`') ADVANCE(282);
      if (lookahead == '{') ADVANCE(331);
      if (lookahead == '|') ADVANCE(142);
      if (lookahead == '~') ADVANCE(197);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(5);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(192);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(322);
      if (lookahead != 0 &&
          lookahead != ')' &&
          (lookahead < '@' || '}' < lookahead)) ADVANCE(272);
      END_STATE();
    case 5:
      if (lookahead == '\n') ADVANCE(139);
      if (lookahead == '"') ADVANCE(274);
      if (lookahead == '#') ADVANCE(333);
      if (lookahead == '$') ADVANCE(273);
      if (lookahead == '\'') ADVANCE(278);
      if (lookahead == '(') ADVANCE(165);
      if (lookahead == '-') ADVANCE(26);
      if (lookahead == '.') ADVANCE(38);
      if (lookahead == ':') ADVANCE(145);
      if (lookahead == ';') ADVANCE(135);
      if (lookahead == '?') ADVANCE(164);
      if (lookahead == '[') ADVANCE(162);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == '^') ADVANCE(191);
      if (lookahead == '`') ADVANCE(282);
      if (lookahead == '{') ADVANCE(331);
      if (lookahead == '|') ADVANCE(142);
      if (lookahead == '~') ADVANCE(197);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(5);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(192);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(322);
      if (lookahead != 0 &&
          lookahead != ')' &&
          (lookahead < '@' || '}' < lookahead)) ADVANCE(272);
      END_STATE();
    case 6:
      if (lookahead == '\n') ADVANCE(140);
      if (lookahead == '"') ADVANCE(274);
      if (lookahead == '#') ADVANCE(333);
      if (lookahead == '$') ADVANCE(273);
      if (lookahead == '\'') ADVANCE(278);
      if (lookahead == '(') ADVANCE(165);
      if (lookahead == '-') ADVANCE(26);
      if (lookahead == '.') ADVANCE(37);
      if (lookahead == ';') ADVANCE(135);
      if (lookahead == '?') ADVANCE(164);
      if (lookahead == '[') ADVANCE(162);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == '^') ADVANCE(191);
      if (lookahead == '`') ADVANCE(282);
      if (lookahead == '{') ADVANCE(331);
      if (lookahead == '|') ADVANCE(142);
      if (lookahead == '~') ADVANCE(197);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(7);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(192);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(322);
      if (lookahead != 0 &&
          lookahead != ')' &&
          (lookahead < '@' || '}' < lookahead)) ADVANCE(272);
      END_STATE();
    case 7:
      if (lookahead == '\n') ADVANCE(140);
      if (lookahead == '"') ADVANCE(274);
      if (lookahead == '#') ADVANCE(333);
      if (lookahead == '$') ADVANCE(273);
      if (lookahead == '\'') ADVANCE(278);
      if (lookahead == '(') ADVANCE(165);
      if (lookahead == '-') ADVANCE(26);
      if (lookahead == '.') ADVANCE(38);
      if (lookahead == ';') ADVANCE(135);
      if (lookahead == '?') ADVANCE(164);
      if (lookahead == '[') ADVANCE(162);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == '^') ADVANCE(191);
      if (lookahead == '`') ADVANCE(282);
      if (lookahead == '{') ADVANCE(331);
      if (lookahead == '|') ADVANCE(142);
      if (lookahead == '~') ADVANCE(197);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(7);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(192);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(322);
      if (lookahead != 0 &&
          lookahead != ')' &&
          (lookahead < '@' || '}' < lookahead)) ADVANCE(272);
      END_STATE();
    case 8:
      if (lookahead == '\n') ADVANCE(141);
      if (lookahead == '"') ADVANCE(274);
      if (lookahead == '#') ADVANCE(333);
      if (lookahead == '$') ADVANCE(273);
      if (lookahead == '\'') ADVANCE(278);
      if (lookahead == '(') ADVANCE(165);
      if (lookahead == '-') ADVANCE(26);
      if (lookahead == '.') ADVANCE(37);
      if (lookahead == ';') ADVANCE(135);
      if (lookahead == '[') ADVANCE(162);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == '^') ADVANCE(191);
      if (lookahead == '`') ADVANCE(282);
      if (lookahead == '{') ADVANCE(331);
      if (lookahead == '|') ADVANCE(142);
      if (lookahead == '~') ADVANCE(197);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(9);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(192);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(322);
      if (lookahead != 0 &&
          lookahead != ')' &&
          (lookahead < '@' || '}' < lookahead)) ADVANCE(272);
      END_STATE();
    case 9:
      if (lookahead == '\n') ADVANCE(141);
      if (lookahead == '"') ADVANCE(274);
      if (lookahead == '#') ADVANCE(333);
      if (lookahead == '$') ADVANCE(273);
      if (lookahead == '\'') ADVANCE(278);
      if (lookahead == '(') ADVANCE(165);
      if (lookahead == '-') ADVANCE(26);
      if (lookahead == '.') ADVANCE(38);
      if (lookahead == ';') ADVANCE(135);
      if (lookahead == '[') ADVANCE(162);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == '^') ADVANCE(191);
      if (lookahead == '`') ADVANCE(282);
      if (lookahead == '{') ADVANCE(331);
      if (lookahead == '|') ADVANCE(142);
      if (lookahead == '~') ADVANCE(197);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(9);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(192);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(322);
      if (lookahead != 0 &&
          lookahead != ')' &&
          (lookahead < '@' || '}' < lookahead)) ADVANCE(272);
      END_STATE();
    case 10:
      if (lookahead == '!') ADVANCE(198);
      if (lookahead == '"') ADVANCE(274);
      if (lookahead == '#') ADVANCE(333);
      if (lookahead == '$') ADVANCE(273);
      if (lookahead == '%') ADVANCE(341);
      if (lookahead == '&') ADVANCE(196);
      if (lookahead == '\'') ADVANCE(278);
      if (lookahead == '(') ADVANCE(165);
      if (lookahead == ')') ADVANCE(166);
      if (lookahead == '*') ADVANCE(339);
      if (lookahead == '+') ADVANCE(334);
      if (lookahead == ',') ADVANCE(144);
      if (lookahead == '-') ADVANCE(337);
      if (lookahead == '.') ADVANCE(30);
      if (lookahead == '/') ADVANCE(340);
      if (lookahead == ':') ADVANCE(145);
      if (lookahead == ';') ADVANCE(135);
      if (lookahead == '<') ADVANCE(356);
      if (lookahead == '=') ADVANCE(161);
      if (lookahead == '>') ADVANCE(353);
      if (lookahead == '?') ADVANCE(164);
      if (lookahead == '@') ADVANCE(188);
      if (lookahead == '[') ADVANCE(162);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == ']') ADVANCE(163);
      if (lookahead == '^') ADVANCE(191);
      if (lookahead == '`') ADVANCE(282);
      if (lookahead == 'a') ADVANCE(231);
      if (lookahead == 'b') ADVANCE(224);
      if (lookahead == 'd') ADVANCE(200);
      if (lookahead == 'e') ADVANCE(232);
      if (lookahead == 'f') ADVANCE(226);
      if (lookahead == 'i') ADVANCE(219);
      if (lookahead == 'l') ADVANCE(216);
      if (lookahead == 'm') ADVANCE(241);
      if (lookahead == 'n') ADVANCE(244);
      if (lookahead == 'p') ADVANCE(204);
      if (lookahead == 'r') ADVANCE(201);
      if (lookahead == 's') ADVANCE(267);
      if (lookahead == 't') ADVANCE(199);
      if (lookahead == '{') ADVANCE(331);
      if (lookahead == '|') ADVANCE(143);
      if (lookahead == '}') ADVANCE(332);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(10);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(193);
      if (lookahead != 0) ADVANCE(272);
      END_STATE();
    case 11:
      if (lookahead == '!') ADVANCE(198);
      if (lookahead == '"') ADVANCE(274);
      if (lookahead == '#') ADVANCE(333);
      if (lookahead == '$') ADVANCE(273);
      if (lookahead == '%') ADVANCE(341);
      if (lookahead == '&') ADVANCE(196);
      if (lookahead == '\'') ADVANCE(278);
      if (lookahead == '(') ADVANCE(165);
      if (lookahead == '*') ADVANCE(339);
      if (lookahead == '+') ADVANCE(334);
      if (lookahead == ',') ADVANCE(144);
      if (lookahead == '-') ADVANCE(338);
      if (lookahead == '.') ADVANCE(287);
      if (lookahead == '/') ADVANCE(340);
      if (lookahead == ';') ADVANCE(135);
      if (lookahead == '<') ADVANCE(356);
      if (lookahead == '=') ADVANCE(161);
      if (lookahead == '>') ADVANCE(353);
      if (lookahead == '[') ADVANCE(162);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == ']') ADVANCE(163);
      if (lookahead == '^') ADVANCE(191);
      if (lookahead == '`') ADVANCE(282);
      if (lookahead == 'i') ADVANCE(311);
      if (lookahead == 'm') ADVANCE(313);
      if (lookahead == '{') ADVANCE(331);
      if (lookahead == '|') ADVANCE(120);
      if (lookahead == '~') ADVANCE(197);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(12);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(192);
      if (('A' <= lookahead && lookahead <= 'z')) ADVANCE(322);
      if (lookahead != 0 &&
          lookahead != ')' &&
          (lookahead < '@' || '}' < lookahead)) ADVANCE(272);
      END_STATE();
    case 12:
      if (lookahead == '!') ADVANCE(198);
      if (lookahead == '"') ADVANCE(274);
      if (lookahead == '#') ADVANCE(333);
      if (lookahead == '$') ADVANCE(273);
      if (lookahead == '%') ADVANCE(341);
      if (lookahead == '&') ADVANCE(196);
      if (lookahead == '\'') ADVANCE(278);
      if (lookahead == '(') ADVANCE(165);
      if (lookahead == '*') ADVANCE(339);
      if (lookahead == '+') ADVANCE(334);
      if (lookahead == ',') ADVANCE(144);
      if (lookahead == '-') ADVANCE(338);
      if (lookahead == '.') ADVANCE(39);
      if (lookahead == '/') ADVANCE(340);
      if (lookahead == ';') ADVANCE(135);
      if (lookahead == '<') ADVANCE(356);
      if (lookahead == '=') ADVANCE(161);
      if (lookahead == '>') ADVANCE(353);
      if (lookahead == '[') ADVANCE(162);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == ']') ADVANCE(163);
      if (lookahead == '^') ADVANCE(191);
      if (lookahead == '`') ADVANCE(282);
      if (lookahead == 'i') ADVANCE(311);
      if (lookahead == 'm') ADVANCE(313);
      if (lookahead == '{') ADVANCE(331);
      if (lookahead == '|') ADVANCE(120);
      if (lookahead == '~') ADVANCE(197);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(12);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(192);
      if (('A' <= lookahead && lookahead <= 'z')) ADVANCE(322);
      if (lookahead != 0 &&
          lookahead != ')' &&
          (lookahead < '@' || '}' < lookahead)) ADVANCE(272);
      END_STATE();
    case 13:
      if (lookahead == '!') ADVANCE(46);
      if (lookahead == '#') ADVANCE(333);
      if (lookahead == '%') ADVANCE(341);
      if (lookahead == '&') ADVANCE(24);
      if (lookahead == '*') ADVANCE(339);
      if (lookahead == '+') ADVANCE(334);
      if (lookahead == ',') ADVANCE(144);
      if (lookahead == '-') ADVANCE(336);
      if (lookahead == '.') ADVANCE(286);
      if (lookahead == '/') ADVANCE(340);
      if (lookahead == '<') ADVANCE(356);
      if (lookahead == '=') ADVANCE(161);
      if (lookahead == '>') ADVANCE(353);
      if (lookahead == ']') ADVANCE(163);
      if (lookahead == 'i') ADVANCE(328);
      if (lookahead == 'm') ADVANCE(329);
      if (lookahead == '|') ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(14)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(330);
      END_STATE();
    case 14:
      if (lookahead == '!') ADVANCE(46);
      if (lookahead == '#') ADVANCE(333);
      if (lookahead == '%') ADVANCE(341);
      if (lookahead == '&') ADVANCE(24);
      if (lookahead == '*') ADVANCE(339);
      if (lookahead == '+') ADVANCE(334);
      if (lookahead == ',') ADVANCE(144);
      if (lookahead == '-') ADVANCE(336);
      if (lookahead == '.') ADVANCE(28);
      if (lookahead == '/') ADVANCE(340);
      if (lookahead == '<') ADVANCE(356);
      if (lookahead == '=') ADVANCE(161);
      if (lookahead == '>') ADVANCE(353);
      if (lookahead == ']') ADVANCE(163);
      if (lookahead == 'i') ADVANCE(328);
      if (lookahead == 'm') ADVANCE(329);
      if (lookahead == '|') ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(14)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(330);
      END_STATE();
    case 15:
      if (lookahead == '!') ADVANCE(46);
      if (lookahead == '#') ADVANCE(333);
      if (lookahead == '%') ADVANCE(341);
      if (lookahead == '&') ADVANCE(24);
      if (lookahead == '*') ADVANCE(339);
      if (lookahead == '+') ADVANCE(334);
      if (lookahead == '-') ADVANCE(335);
      if (lookahead == '.') ADVANCE(42);
      if (lookahead == '/') ADVANCE(340);
      if (lookahead == ':') ADVANCE(145);
      if (lookahead == '<') ADVANCE(356);
      if (lookahead == '=') ADVANCE(161);
      if (lookahead == '>') ADVANCE(353);
      if (lookahead == '[') ADVANCE(162);
      if (lookahead == ']') ADVANCE(163);
      if (lookahead == 'd') ADVANCE(65);
      if (lookahead == 'e') ADVANCE(87);
      if (lookahead == 'i') ADVANCE(83);
      if (lookahead == 'm') ADVANCE(91);
      if (lookahead == '{') ADVANCE(331);
      if (lookahead == '|') ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(15)
      END_STATE();
    case 16:
      if (lookahead == '!') ADVANCE(46);
      if (lookahead == '#') ADVANCE(333);
      if (lookahead == '%') ADVANCE(341);
      if (lookahead == '&') ADVANCE(24);
      if (lookahead == '*') ADVANCE(339);
      if (lookahead == '+') ADVANCE(334);
      if (lookahead == '-') ADVANCE(335);
      if (lookahead == '.') ADVANCE(288);
      if (lookahead == '/') ADVANCE(340);
      if (lookahead == ':') ADVANCE(145);
      if (lookahead == '<') ADVANCE(356);
      if (lookahead == '=') ADVANCE(161);
      if (lookahead == '>') ADVANCE(353);
      if (lookahead == '[') ADVANCE(162);
      if (lookahead == ']') ADVANCE(163);
      if (lookahead == 'd') ADVANCE(65);
      if (lookahead == 'e') ADVANCE(87);
      if (lookahead == 'i') ADVANCE(83);
      if (lookahead == 'm') ADVANCE(91);
      if (lookahead == '{') ADVANCE(331);
      if (lookahead == '|') ADVANCE(120);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(15)
      END_STATE();
    case 17:
      if (lookahead == '"') ADVANCE(274);
      if (lookahead == '#') ADVANCE(333);
      if (lookahead == '$') ADVANCE(273);
      if (lookahead == '\'') ADVANCE(278);
      if (lookahead == '(') ADVANCE(165);
      if (lookahead == ')') ADVANCE(166);
      if (lookahead == '-') ADVANCE(26);
      if (lookahead == '.') ADVANCE(38);
      if (lookahead == '[') ADVANCE(162);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == '^') ADVANCE(191);
      if (lookahead == '`') ADVANCE(282);
      if (lookahead == 'a') ADVANCE(310);
      if (lookahead == 'd') ADVANCE(306);
      if (lookahead == 'e') ADVANCE(321);
      if (lookahead == 'i') ADVANCE(307);
      if (lookahead == 'l') ADVANCE(305);
      if (lookahead == '{') ADVANCE(331);
      if (lookahead == '|') ADVANCE(142);
      if (lookahead == '}') ADVANCE(332);
      if (lookahead == '~') ADVANCE(197);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(17);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(192);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(322);
      if (lookahead != 0 &&
          lookahead != ';' &&
          (lookahead < '@' || ']' < lookahead)) ADVANCE(272);
      END_STATE();
    case 18:
      if (lookahead == '"') ADVANCE(274);
      if (lookahead == '#') ADVANCE(333);
      if (lookahead == '$') ADVANCE(273);
      if (lookahead == '\'') ADVANCE(278);
      if (lookahead == '(') ADVANCE(165);
      if (lookahead == ',') ADVANCE(144);
      if (lookahead == '-') ADVANCE(25);
      if (lookahead == '.') ADVANCE(45);
      if (lookahead == ':') ADVANCE(145);
      if (lookahead == '=') ADVANCE(160);
      if (lookahead == '?') ADVANCE(164);
      if (lookahead == '@') ADVANCE(188);
      if (lookahead == ']') ADVANCE(163);
      if (lookahead == '`') ADVANCE(282);
      if (lookahead == '|') ADVANCE(142);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(18)
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(193);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(330);
      END_STATE();
    case 19:
      if (lookahead == '"') ADVANCE(274);
      if (lookahead == '#') ADVANCE(333);
      if (lookahead == '$') ADVANCE(273);
      if (lookahead == '\'') ADVANCE(278);
      if (lookahead == '(') ADVANCE(165);
      if (lookahead == '-') ADVANCE(26);
      if (lookahead == '.') ADVANCE(37);
      if (lookahead == '[') ADVANCE(162);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == ']') ADVANCE(163);
      if (lookahead == '^') ADVANCE(191);
      if (lookahead == '`') ADVANCE(282);
      if (lookahead == '{') ADVANCE(331);
      if (lookahead == '~') ADVANCE(197);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(21);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(192);
      if (('A' <= lookahead && lookahead <= 'z')) ADVANCE(322);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          (lookahead < '@' || '}' < lookahead)) ADVANCE(272);
      END_STATE();
    case 20:
      if (lookahead == '"') ADVANCE(274);
      if (lookahead == '#') ADVANCE(333);
      if (lookahead == '$') ADVANCE(273);
      if (lookahead == '\'') ADVANCE(278);
      if (lookahead == '(') ADVANCE(165);
      if (lookahead == '-') ADVANCE(26);
      if (lookahead == '.') ADVANCE(37);
      if (lookahead == '[') ADVANCE(162);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == '^') ADVANCE(191);
      if (lookahead == '`') ADVANCE(282);
      if (lookahead == 'n') ADVANCE(314);
      if (lookahead == '{') ADVANCE(331);
      if (lookahead == '~') ADVANCE(197);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(22);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(192);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(322);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          (lookahead < '@' || '}' < lookahead)) ADVANCE(272);
      END_STATE();
    case 21:
      if (lookahead == '"') ADVANCE(274);
      if (lookahead == '#') ADVANCE(333);
      if (lookahead == '$') ADVANCE(273);
      if (lookahead == '\'') ADVANCE(278);
      if (lookahead == '(') ADVANCE(165);
      if (lookahead == '-') ADVANCE(26);
      if (lookahead == '.') ADVANCE(38);
      if (lookahead == '[') ADVANCE(162);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == ']') ADVANCE(163);
      if (lookahead == '^') ADVANCE(191);
      if (lookahead == '`') ADVANCE(282);
      if (lookahead == '{') ADVANCE(331);
      if (lookahead == '~') ADVANCE(197);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(21);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(192);
      if (('A' <= lookahead && lookahead <= 'z')) ADVANCE(322);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          (lookahead < '@' || '}' < lookahead)) ADVANCE(272);
      END_STATE();
    case 22:
      if (lookahead == '"') ADVANCE(274);
      if (lookahead == '#') ADVANCE(333);
      if (lookahead == '$') ADVANCE(273);
      if (lookahead == '\'') ADVANCE(278);
      if (lookahead == '(') ADVANCE(165);
      if (lookahead == '-') ADVANCE(26);
      if (lookahead == '.') ADVANCE(38);
      if (lookahead == '[') ADVANCE(162);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == '^') ADVANCE(191);
      if (lookahead == '`') ADVANCE(282);
      if (lookahead == 'n') ADVANCE(314);
      if (lookahead == '{') ADVANCE(331);
      if (lookahead == '~') ADVANCE(197);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(22);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(192);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(322);
      if (lookahead != 0 &&
          lookahead != ')' &&
          lookahead != ';' &&
          (lookahead < '@' || '}' < lookahead)) ADVANCE(272);
      END_STATE();
    case 23:
      if (lookahead == '#') ADVANCE(333);
      if (lookahead == '-') ADVANCE(123);
      if (lookahead == '=') ADVANCE(160);
      if (lookahead == 'b') ADVANCE(74);
      if (lookahead == 'd') ADVANCE(48);
      if (lookahead == 'e') ADVANCE(102);
      if (lookahead == 'f') ADVANCE(72);
      if (lookahead == 'i') ADVANCE(89);
      if (lookahead == 'n') ADVANCE(115);
      if (lookahead == 'p') ADVANCE(50);
      if (lookahead == 'r') ADVANCE(49);
      if (lookahead == 's') ADVANCE(114);
      if (lookahead == 't') ADVANCE(47);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(23)
      END_STATE();
    case 24:
      if (lookahead == '&') ADVANCE(346);
      END_STATE();
    case 25:
      if (lookahead == '-') ADVANCE(122);
      END_STATE();
    case 26:
      if (lookahead == '-') ADVANCE(35);
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(124);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '~') ADVANCE(37);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(294);
      END_STATE();
    case 27:
      if (lookahead == '-') ADVANCE(36);
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(124);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '~') ADVANCE(37);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(294);
      END_STATE();
    case 28:
      if (lookahead == '.') ADVANCE(299);
      END_STATE();
    case 29:
      if (lookahead == '.') ADVANCE(97);
      END_STATE();
    case 30:
      if (lookahead == '.') ADVANCE(300);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(289);
      END_STATE();
    case 31:
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(124);
      if (lookahead == 'r') ADVANCE(290);
      if (lookahead == '-' ||
          lookahead == '~') ADVANCE(37);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(293);
      END_STATE();
    case 32:
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(124);
      if (lookahead == '-' ||
          lookahead == '~') ADVANCE(37);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(289);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(293);
      END_STATE();
    case 33:
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(124);
      if (lookahead == '-' ||
          lookahead == '~') ADVANCE(37);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(194);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(293);
      END_STATE();
    case 34:
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(124);
      if (lookahead == '-' ||
          lookahead == '~') ADVANCE(37);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(293);
      END_STATE();
    case 35:
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(124);
      if (('-' <= lookahead && lookahead <= '9') ||
          lookahead == '~') ADVANCE(37);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(294);
      END_STATE();
    case 36:
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(124);
      if (('-' <= lookahead && lookahead <= '9') ||
          lookahead == '~') ADVANCE(37);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(167);
      END_STATE();
    case 37:
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(124);
      if (('-' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == '~') ADVANCE(37);
      END_STATE();
    case 38:
      if (lookahead == '.') ADVANCE(32);
      if (lookahead == '/') ADVANCE(124);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(289);
      if (('-' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == '~') ADVANCE(37);
      END_STATE();
    case 39:
      if (lookahead == '.') ADVANCE(301);
      if (lookahead == '/') ADVANCE(124);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(289);
      if (('-' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == '~') ADVANCE(37);
      END_STATE();
    case 40:
      if (lookahead == '.') ADVANCE(31);
      if (lookahead == '/') ADVANCE(124);
      if (lookahead == '-' ||
          lookahead == '~') ADVANCE(37);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(289);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(293);
      END_STATE();
    case 41:
      if (lookahead == '.') ADVANCE(31);
      if (lookahead == '/') ADVANCE(124);
      if (lookahead == '-' ||
          lookahead == '~') ADVANCE(37);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(293);
      END_STATE();
    case 42:
      if (lookahead == '.') ADVANCE(298);
      END_STATE();
    case 43:
      if (lookahead == '.') ADVANCE(41);
      if (lookahead == '/') ADVANCE(124);
      if (('-' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == '~') ADVANCE(37);
      END_STATE();
    case 44:
      if (lookahead == '.') ADVANCE(40);
      if (lookahead == '/') ADVANCE(124);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(289);
      if (('-' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == '~') ADVANCE(37);
      END_STATE();
    case 45:
      if (lookahead == '.') ADVANCE(29);
      END_STATE();
    case 46:
      if (lookahead == '=') ADVANCE(349);
      END_STATE();
    case 47:
      if (lookahead == 'a') ADVANCE(54);
      END_STATE();
    case 48:
      if (lookahead == 'a') ADVANCE(113);
      if (lookahead == 'u') ADVANCE(104);
      END_STATE();
    case 49:
      if (lookahead == 'a') ADVANCE(86);
      END_STATE();
    case 50:
      if (lookahead == 'a') ADVANCE(111);
      END_STATE();
    case 51:
      if (lookahead == 'a') ADVANCE(101);
      END_STATE();
    case 52:
      if (lookahead == 'a') ADVANCE(112);
      END_STATE();
    case 53:
      if (lookahead == 'a') ADVANCE(108);
      END_STATE();
    case 54:
      if (lookahead == 'b') ADVANCE(80);
      END_STATE();
    case 55:
      if (lookahead == 'b') ADVANCE(67);
      END_STATE();
    case 56:
      if (lookahead == 'c') ADVANCE(77);
      END_STATE();
    case 57:
      if (lookahead == 'd') ADVANCE(342);
      END_STATE();
    case 58:
      if (lookahead == 'e') ADVANCE(181);
      END_STATE();
    case 59:
      if (lookahead == 'e') ADVANCE(153);
      END_STATE();
    case 60:
      if (lookahead == 'e') ADVANCE(105);
      END_STATE();
    case 61:
      if (lookahead == 'e') ADVANCE(84);
      END_STATE();
    case 62:
      if (lookahead == 'e') ADVANCE(176);
      END_STATE();
    case 63:
      if (lookahead == 'e') ADVANCE(184);
      END_STATE();
    case 64:
      if (lookahead == 'e') ADVANCE(182);
      END_STATE();
    case 65:
      if (lookahead == 'e') ADVANCE(68);
      END_STATE();
    case 66:
      if (lookahead == 'e') ADVANCE(106);
      END_STATE();
    case 67:
      if (lookahead == 'e') ADVANCE(99);
      END_STATE();
    case 68:
      if (lookahead == 'f') ADVANCE(155);
      END_STATE();
    case 69:
      if (lookahead == 'g') ADVANCE(178);
      END_STATE();
    case 70:
      if (lookahead == 'g') ADVANCE(62);
      END_STATE();
    case 71:
      if (lookahead == 'h') ADVANCE(187);
      END_STATE();
    case 72:
      if (lookahead == 'i') ADVANCE(81);
      if (lookahead == 'l') ADVANCE(96);
      END_STATE();
    case 73:
      if (lookahead == 'i') ADVANCE(119);
      END_STATE();
    case 74:
      if (lookahead == 'i') ADVANCE(90);
      if (lookahead == 'l') ADVANCE(92);
      if (lookahead == 'o') ADVANCE(93);
      END_STATE();
    case 75:
      if (lookahead == 'i') ADVANCE(88);
      END_STATE();
    case 76:
      if (lookahead == 'i') ADVANCE(95);
      END_STATE();
    case 77:
      if (lookahead == 'k') ADVANCE(179);
      END_STATE();
    case 78:
      if (lookahead == 'l') ADVANCE(177);
      END_STATE();
    case 79:
      if (lookahead == 'l') ADVANCE(107);
      END_STATE();
    case 80:
      if (lookahead == 'l') ADVANCE(63);
      END_STATE();
    case 81:
      if (lookahead == 'l') ADVANCE(66);
      END_STATE();
    case 82:
      if (lookahead == 'm') ADVANCE(55);
      END_STATE();
    case 83:
      if (lookahead == 'n') ADVANCE(350);
      END_STATE();
    case 84:
      if (lookahead == 'n') ADVANCE(117);
      END_STATE();
    case 85:
      if (lookahead == 'n') ADVANCE(180);
      END_STATE();
    case 86:
      if (lookahead == 'n') ADVANCE(70);
      END_STATE();
    case 87:
      if (lookahead == 'n') ADVANCE(116);
      END_STATE();
    case 88:
      if (lookahead == 'n') ADVANCE(69);
      END_STATE();
    case 89:
      if (lookahead == 'n') ADVANCE(110);
      END_STATE();
    case 90:
      if (lookahead == 'n') ADVANCE(51);
      END_STATE();
    case 91:
      if (lookahead == 'o') ADVANCE(57);
      END_STATE();
    case 92:
      if (lookahead == 'o') ADVANCE(56);
      END_STATE();
    case 93:
      if (lookahead == 'o') ADVANCE(78);
      END_STATE();
    case 94:
      if (lookahead == 'o') ADVANCE(98);
      END_STATE();
    case 95:
      if (lookahead == 'o') ADVANCE(85);
      END_STATE();
    case 96:
      if (lookahead == 'o') ADVANCE(53);
      END_STATE();
    case 97:
      if (lookahead == 'r') ADVANCE(60);
      END_STATE();
    case 98:
      if (lookahead == 'r') ADVANCE(185);
      END_STATE();
    case 99:
      if (lookahead == 'r') ADVANCE(183);
      END_STATE();
    case 100:
      if (lookahead == 'r') ADVANCE(75);
      END_STATE();
    case 101:
      if (lookahead == 'r') ADVANCE(118);
      END_STATE();
    case 102:
      if (lookahead == 'r') ADVANCE(103);
      END_STATE();
    case 103:
      if (lookahead == 'r') ADVANCE(94);
      END_STATE();
    case 104:
      if (lookahead == 'r') ADVANCE(52);
      END_STATE();
    case 105:
      if (lookahead == 's') ADVANCE(109);
      END_STATE();
    case 106:
      if (lookahead == 's') ADVANCE(73);
      END_STATE();
    case 107:
      if (lookahead == 's') ADVANCE(59);
      END_STATE();
    case 108:
      if (lookahead == 't') ADVANCE(175);
      END_STATE();
    case 109:
      if (lookahead == 't') ADVANCE(172);
      END_STATE();
    case 110:
      if (lookahead == 't') ADVANCE(174);
      END_STATE();
    case 111:
      if (lookahead == 't') ADVANCE(71);
      END_STATE();
    case 112:
      if (lookahead == 't') ADVANCE(76);
      END_STATE();
    case 113:
      if (lookahead == 't') ADVANCE(58);
      END_STATE();
    case 114:
      if (lookahead == 't') ADVANCE(100);
      END_STATE();
    case 115:
      if (lookahead == 'u') ADVANCE(82);
      END_STATE();
    case 116:
      if (lookahead == 'v') ADVANCE(148);
      END_STATE();
    case 117:
      if (lookahead == 'v') ADVANCE(156);
      END_STATE();
    case 118:
      if (lookahead == 'y') ADVANCE(186);
      END_STATE();
    case 119:
      if (lookahead == 'z') ADVANCE(64);
      END_STATE();
    case 120:
      if (lookahead == '|') ADVANCE(345);
      END_STATE();
    case 121:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(195);
      END_STATE();
    case 122:
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(169);
      END_STATE();
    case 123:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(171);
      END_STATE();
    case 124:
      if (lookahead == '-' ||
          lookahead == '.' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == '~') ADVANCE(37);
      END_STATE();
    case 125:
      if (lookahead != 0 &&
          lookahead != '\t' &&
          lookahead != '\n' &&
          lookahead != '\r' &&
          lookahead != ' ') ADVANCE(272);
      END_STATE();
    case 126:
      if (eof) ADVANCE(134);
      if (lookahead == '\n') ADVANCE(137);
      if (lookahead == '!') ADVANCE(46);
      if (lookahead == '"') ADVANCE(274);
      if (lookahead == '#') ADVANCE(333);
      if (lookahead == '$') ADVANCE(273);
      if (lookahead == '%') ADVANCE(341);
      if (lookahead == '&') ADVANCE(24);
      if (lookahead == '\'') ADVANCE(278);
      if (lookahead == ')') ADVANCE(166);
      if (lookahead == '*') ADVANCE(339);
      if (lookahead == '+') ADVANCE(334);
      if (lookahead == ',') ADVANCE(144);
      if (lookahead == '-') ADVANCE(335);
      if (lookahead == '.') ADVANCE(42);
      if (lookahead == '/') ADVANCE(340);
      if (lookahead == ';') ADVANCE(135);
      if (lookahead == '<') ADVANCE(356);
      if (lookahead == '=') ADVANCE(161);
      if (lookahead == '>') ADVANCE(353);
      if (lookahead == '`') ADVANCE(282);
      if (lookahead == 'i') ADVANCE(328);
      if (lookahead == 'm') ADVANCE(329);
      if (lookahead == '|') ADVANCE(143);
      if (lookahead == '}') ADVANCE(332);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(126)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(330);
      END_STATE();
    case 127:
      if (eof) ADVANCE(134);
      if (lookahead == '\n') ADVANCE(137);
      if (lookahead == '!') ADVANCE(46);
      if (lookahead == '"') ADVANCE(274);
      if (lookahead == '#') ADVANCE(333);
      if (lookahead == '$') ADVANCE(273);
      if (lookahead == '%') ADVANCE(341);
      if (lookahead == '&') ADVANCE(24);
      if (lookahead == '\'') ADVANCE(278);
      if (lookahead == ')') ADVANCE(166);
      if (lookahead == '*') ADVANCE(339);
      if (lookahead == '+') ADVANCE(334);
      if (lookahead == ',') ADVANCE(144);
      if (lookahead == '-') ADVANCE(335);
      if (lookahead == '.') ADVANCE(288);
      if (lookahead == '/') ADVANCE(340);
      if (lookahead == ';') ADVANCE(135);
      if (lookahead == '<') ADVANCE(356);
      if (lookahead == '=') ADVANCE(161);
      if (lookahead == '>') ADVANCE(353);
      if (lookahead == '`') ADVANCE(282);
      if (lookahead == 'i') ADVANCE(328);
      if (lookahead == 'm') ADVANCE(329);
      if (lookahead == '|') ADVANCE(143);
      if (lookahead == '}') ADVANCE(332);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(126)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(330);
      END_STATE();
    case 128:
      if (eof) ADVANCE(134);
      if (lookahead == '\n') ADVANCE(137);
      if (lookahead == '!') ADVANCE(46);
      if (lookahead == '#') ADVANCE(333);
      if (lookahead == '%') ADVANCE(341);
      if (lookahead == '&') ADVANCE(24);
      if (lookahead == ')') ADVANCE(166);
      if (lookahead == '*') ADVANCE(339);
      if (lookahead == '+') ADVANCE(334);
      if (lookahead == '-') ADVANCE(335);
      if (lookahead == '.') ADVANCE(42);
      if (lookahead == '/') ADVANCE(340);
      if (lookahead == ':') ADVANCE(145);
      if (lookahead == ';') ADVANCE(135);
      if (lookahead == '<') ADVANCE(356);
      if (lookahead == '=') ADVANCE(161);
      if (lookahead == '>') ADVANCE(353);
      if (lookahead == 'i') ADVANCE(83);
      if (lookahead == 'm') ADVANCE(91);
      if (lookahead == '|') ADVANCE(143);
      if (lookahead == '}') ADVANCE(332);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(128)
      END_STATE();
    case 129:
      if (eof) ADVANCE(134);
      if (lookahead == '\n') ADVANCE(137);
      if (lookahead == '!') ADVANCE(46);
      if (lookahead == '#') ADVANCE(333);
      if (lookahead == '%') ADVANCE(341);
      if (lookahead == '&') ADVANCE(24);
      if (lookahead == ')') ADVANCE(166);
      if (lookahead == '*') ADVANCE(339);
      if (lookahead == '+') ADVANCE(334);
      if (lookahead == '-') ADVANCE(335);
      if (lookahead == '.') ADVANCE(288);
      if (lookahead == '/') ADVANCE(340);
      if (lookahead == ':') ADVANCE(145);
      if (lookahead == ';') ADVANCE(135);
      if (lookahead == '<') ADVANCE(356);
      if (lookahead == '=') ADVANCE(161);
      if (lookahead == '>') ADVANCE(353);
      if (lookahead == 'i') ADVANCE(83);
      if (lookahead == 'm') ADVANCE(91);
      if (lookahead == '|') ADVANCE(143);
      if (lookahead == '}') ADVANCE(332);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(128)
      END_STATE();
    case 130:
      if (eof) ADVANCE(134);
      if (lookahead == '\n') ADVANCE(137);
      if (lookahead == '"') ADVANCE(274);
      if (lookahead == '#') ADVANCE(333);
      if (lookahead == '$') ADVANCE(273);
      if (lookahead == '\'') ADVANCE(278);
      if (lookahead == ')') ADVANCE(166);
      if (lookahead == ',') ADVANCE(144);
      if (lookahead == ';') ADVANCE(135);
      if (lookahead == '`') ADVANCE(282);
      if (lookahead == '|') ADVANCE(142);
      if (lookahead == '}') ADVANCE(332);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(130)
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(330);
      END_STATE();
    case 131:
      if (eof) ADVANCE(134);
      if (lookahead == '\n') ADVANCE(137);
      if (lookahead == '#') ADVANCE(333);
      if (lookahead == ')') ADVANCE(166);
      if (lookahead == ';') ADVANCE(135);
      if (lookahead == 'e') ADVANCE(79);
      if (lookahead == '|') ADVANCE(142);
      if (lookahead == '}') ADVANCE(332);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(131)
      END_STATE();
    case 132:
      if (eof) ADVANCE(134);
      if (lookahead == '\n') ADVANCE(138);
      if (lookahead == '"') ADVANCE(274);
      if (lookahead == '#') ADVANCE(333);
      if (lookahead == '$') ADVANCE(273);
      if (lookahead == '\'') ADVANCE(278);
      if (lookahead == '(') ADVANCE(165);
      if (lookahead == ')') ADVANCE(166);
      if (lookahead == ',') ADVANCE(144);
      if (lookahead == '-') ADVANCE(27);
      if (lookahead == '.') ADVANCE(43);
      if (lookahead == ';') ADVANCE(135);
      if (lookahead == '?') ADVANCE(164);
      if (lookahead == '[') ADVANCE(162);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == ']') ADVANCE(163);
      if (lookahead == '^') ADVANCE(191);
      if (lookahead == '`') ADVANCE(282);
      if (lookahead == '{') ADVANCE(331);
      if (lookahead == '|') ADVANCE(142);
      if (lookahead == '}') ADVANCE(332);
      if (lookahead == '~') ADVANCE(197);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(3);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(192);
      if (('A' <= lookahead && lookahead <= 'z')) ADVANCE(322);
      if (lookahead != 0 &&
          lookahead != '@') ADVANCE(272);
      END_STATE();
    case 133:
      if (eof) ADVANCE(134);
      if (lookahead == '"') ADVANCE(274);
      if (lookahead == '#') ADVANCE(333);
      if (lookahead == '$') ADVANCE(273);
      if (lookahead == '\'') ADVANCE(278);
      if (lookahead == '(') ADVANCE(165);
      if (lookahead == ')') ADVANCE(166);
      if (lookahead == '-') ADVANCE(26);
      if (lookahead == '.') ADVANCE(37);
      if (lookahead == '[') ADVANCE(162);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == '^') ADVANCE(191);
      if (lookahead == '`') ADVANCE(282);
      if (lookahead == 'a') ADVANCE(310);
      if (lookahead == 'd') ADVANCE(306);
      if (lookahead == 'e') ADVANCE(321);
      if (lookahead == 'i') ADVANCE(307);
      if (lookahead == 'l') ADVANCE(305);
      if (lookahead == '{') ADVANCE(331);
      if (lookahead == '|') ADVANCE(142);
      if (lookahead == '}') ADVANCE(332);
      if (lookahead == '~') ADVANCE(197);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(17);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(192);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          ('_' <= lookahead && lookahead <= 'z')) ADVANCE(322);
      if (lookahead != 0 &&
          lookahead != ';' &&
          (lookahead < '@' || ']' < lookahead)) ADVANCE(272);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(136);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(2);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(137);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(138);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(3);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(139);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(5);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(140);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(7);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(141);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(9);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_PIPE);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(345);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_export);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_export);
      if (lookahead == '-') ADVANCE(326);
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(271);
      if (lookahead == '~') ADVANCE(197);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(322);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_env);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_if);
      if (lookahead == '-') ADVANCE(326);
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(271);
      if (lookahead == '~') ADVANCE(197);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(322);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_not);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_not);
      if (lookahead == '-') ADVANCE(326);
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(271);
      if (lookahead == '~') ADVANCE(197);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(322);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_def);
      if (lookahead == '-') ADVANCE(323);
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(271);
      if (lookahead == '~') ADVANCE(197);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(322);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_def);
      if (lookahead == '-') ADVANCE(61);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_def_DASHenv);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_def_DASHenv);
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(124);
      if (lookahead == '~') ADVANCE(37);
      if (('-' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(326);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_alias);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_alias);
      if (lookahead == '-') ADVANCE(326);
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(271);
      if (lookahead == '~') ADVANCE(197);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(322);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(348);
      if (lookahead == '~') ADVANCE(347);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym_flag_name);
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(124);
      if (lookahead == '~') ADVANCE(37);
      if (('-' <= lookahead && lookahead <= '9')) ADVANCE(168);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(167);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(sym_flag_name);
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(124);
      if (lookahead == '~') ADVANCE(37);
      if (('-' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(168);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(sym_flag_name);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9')) ADVANCE(170);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(169);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym_flag_name);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(170);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(sym_flag_shorthand_name);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOTrest);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOTrest);
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(124);
      if (lookahead == '-' ||
          lookahead == '~') ADVANCE(37);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(293);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(anon_sym_int);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(anon_sym_float);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(anon_sym_range);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(anon_sym_bool);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(anon_sym_string);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(anon_sym_block);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(anon_sym_duration);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(anon_sym_date);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(anon_sym_filesize);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(anon_sym_number);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(anon_sym_table);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(anon_sym_error);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(anon_sym_binary);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(anon_sym_path);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(anon_sym_AT);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(anon_sym_let);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(anon_sym_let);
      if (lookahead == '-') ADVANCE(326);
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(271);
      if (lookahead == '~') ADVANCE(197);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(322);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '-') ADVANCE(37);
      if (lookahead == '.') ADVANCE(33);
      if (lookahead == '/') ADVANCE(271);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(192);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == '~') ADVANCE(197);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '.') ADVANCE(121);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(193);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(sym_number_literal);
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(124);
      if (lookahead == '-' ||
          lookahead == '~') ADVANCE(37);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(194);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(293);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(sym_number_literal);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(195);
      END_STATE();
    case 196:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '&') ADVANCE(346);
      if (lookahead == '\\') ADVANCE(125);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 197:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '-') ADVANCE(37);
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(271);
      if (lookahead == '\\') ADVANCE(125);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == '~') ADVANCE(197);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(272);
      END_STATE();
    case 198:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '=') ADVANCE(349);
      if (lookahead == '\\') ADVANCE(125);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 199:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'a') ADVANCE(208);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 200:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'a') ADVANCE(265);
      if (lookahead == 'e') ADVANCE(220);
      if (lookahead == 'u') ADVANCE(256);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 201:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'a') ADVANCE(237);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 202:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'a') ADVANCE(257);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 203:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'a') ADVANCE(250);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 204:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'a') ADVANCE(262);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 205:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'a') ADVANCE(266);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 206:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'a') ADVANCE(263);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 207:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'b') ADVANCE(218);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 208:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'b') ADVANCE(235);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 209:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'c') ADVANCE(230);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 210:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'd') ADVANCE(342);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 211:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'e') ADVANCE(181);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 212:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'e') ADVANCE(153);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 213:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'e') ADVANCE(176);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 214:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'e') ADVANCE(184);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 215:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'e') ADVANCE(182);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 216:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'e') ADVANCE(260);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 217:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'e') ADVANCE(259);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 218:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'e') ADVANCE(252);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 219:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'f') ADVANCE(149);
      if (lookahead == 'n') ADVANCE(350);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 220:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'f') ADVANCE(155);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 221:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'g') ADVANCE(178);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 222:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'g') ADVANCE(213);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 223:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'h') ADVANCE(187);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 224:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'i') ADVANCE(240);
      if (lookahead == 'l') ADVANCE(242);
      if (lookahead == 'o') ADVANCE(243);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 225:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'i') ADVANCE(270);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 226:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'i') ADVANCE(234);
      if (lookahead == 'l') ADVANCE(248);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 227:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'i') ADVANCE(239);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 228:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'i') ADVANCE(202);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 229:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'i') ADVANCE(245);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 230:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'k') ADVANCE(179);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 231:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'l') ADVANCE(228);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 232:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'l') ADVANCE(258);
      if (lookahead == 'n') ADVANCE(268);
      if (lookahead == 'r') ADVANCE(254);
      if (lookahead == 'x') ADVANCE(249);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 233:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'l') ADVANCE(177);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 234:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'l') ADVANCE(217);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 235:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'l') ADVANCE(214);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 236:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'm') ADVANCE(207);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 237:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'n') ADVANCE(222);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 238:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'n') ADVANCE(180);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 239:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'n') ADVANCE(221);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 240:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'n') ADVANCE(203);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 241:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'o') ADVANCE(210);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 242:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'o') ADVANCE(209);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 243:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'o') ADVANCE(233);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 244:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'o') ADVANCE(261);
      if (lookahead == 'u') ADVANCE(236);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 245:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'o') ADVANCE(238);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 246:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'o') ADVANCE(251);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 247:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'o') ADVANCE(255);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 248:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'o') ADVANCE(206);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 249:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'p') ADVANCE(247);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 250:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'r') ADVANCE(269);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 251:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'r') ADVANCE(185);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 252:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'r') ADVANCE(183);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 253:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'r') ADVANCE(227);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 254:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'r') ADVANCE(246);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 255:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'r') ADVANCE(264);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 256:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'r') ADVANCE(205);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 257:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 's') ADVANCE(158);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 258:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 's') ADVANCE(212);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 259:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 's') ADVANCE(225);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 260:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 't') ADVANCE(189);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 261:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 't') ADVANCE(151);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 262:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 't') ADVANCE(223);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 263:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 't') ADVANCE(175);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 264:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 't') ADVANCE(146);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 265:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 't') ADVANCE(211);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 266:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 't') ADVANCE(229);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 267:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 't') ADVANCE(253);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 268:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'v') ADVANCE(148);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 269:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'y') ADVANCE(186);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 270:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == 'z') ADVANCE(215);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 271:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (lookahead == '-' ||
          lookahead == '.') ADVANCE(37);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == '~') ADVANCE(197);
      if (!sym_word_character_set_2(lookahead)) ADVANCE(272);
      END_STATE();
    case 272:
      ACCEPT_TOKEN(sym_word);
      if (lookahead == '\\') ADVANCE(125);
      if (!sym_word_character_set_1(lookahead)) ADVANCE(272);
      END_STATE();
    case 273:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 274:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 275:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '\n') ADVANCE(277);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(275);
      END_STATE();
    case 276:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead == '#') ADVANCE(275);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(276);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(277);
      END_STATE();
    case 277:
      ACCEPT_TOKEN(aux_sym_string_token1);
      if (lookahead != 0 &&
          lookahead != '"') ADVANCE(277);
      END_STATE();
    case 278:
      ACCEPT_TOKEN(anon_sym_SQUOTE);
      END_STATE();
    case 279:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead == '\n') ADVANCE(281);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(279);
      END_STATE();
    case 280:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead == '#') ADVANCE(279);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(280);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(281);
      END_STATE();
    case 281:
      ACCEPT_TOKEN(aux_sym_string_token2);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(281);
      END_STATE();
    case 282:
      ACCEPT_TOKEN(anon_sym_BQUOTE);
      END_STATE();
    case 283:
      ACCEPT_TOKEN(aux_sym_string_token3);
      if (lookahead == '\n') ADVANCE(285);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(283);
      END_STATE();
    case 284:
      ACCEPT_TOKEN(aux_sym_string_token3);
      if (lookahead == '#') ADVANCE(283);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(284);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(285);
      END_STATE();
    case 285:
      ACCEPT_TOKEN(aux_sym_string_token3);
      if (lookahead != 0 &&
          lookahead != '`') ADVANCE(285);
      END_STATE();
    case 286:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(299);
      END_STATE();
    case 287:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(302);
      if (lookahead == '/') ADVANCE(124);
      if (('-' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z') ||
          lookahead == '~') ADVANCE(37);
      END_STATE();
    case 288:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(298);
      END_STATE();
    case 289:
      ACCEPT_TOKEN(aux_sym_file_path_token1);
      END_STATE();
    case 290:
      ACCEPT_TOKEN(aux_sym_file_path_token2);
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(124);
      if (lookahead == 'e') ADVANCE(291);
      if (lookahead == '-' ||
          lookahead == '~') ADVANCE(37);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(293);
      END_STATE();
    case 291:
      ACCEPT_TOKEN(aux_sym_file_path_token2);
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(124);
      if (lookahead == 's') ADVANCE(292);
      if (lookahead == '-' ||
          lookahead == '~') ADVANCE(37);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(293);
      END_STATE();
    case 292:
      ACCEPT_TOKEN(aux_sym_file_path_token2);
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(124);
      if (lookahead == 't') ADVANCE(173);
      if (lookahead == '-' ||
          lookahead == '~') ADVANCE(37);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(293);
      END_STATE();
    case 293:
      ACCEPT_TOKEN(aux_sym_file_path_token2);
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(124);
      if (lookahead == '-' ||
          lookahead == '~') ADVANCE(37);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(293);
      END_STATE();
    case 294:
      ACCEPT_TOKEN(sym_flag_arg);
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(124);
      if (lookahead == '~') ADVANCE(37);
      if (('-' <= lookahead && lookahead <= '9')) ADVANCE(295);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(294);
      END_STATE();
    case 295:
      ACCEPT_TOKEN(sym_flag_arg);
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(124);
      if (lookahead == '~') ADVANCE(37);
      if (('-' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(295);
      END_STATE();
    case 296:
      ACCEPT_TOKEN(sym_flag_arg);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9')) ADVANCE(297);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(296);
      END_STATE();
    case 297:
      ACCEPT_TOKEN(sym_flag_arg);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(297);
      END_STATE();
    case 298:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      END_STATE();
    case 299:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      if (lookahead == '.') ADVANCE(97);
      END_STATE();
    case 300:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      if (lookahead == '.') ADVANCE(97);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(289);
      END_STATE();
    case 301:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(124);
      if (lookahead == '-' ||
          lookahead == '~') ADVANCE(37);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(289);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(293);
      END_STATE();
    case 302:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(124);
      if (lookahead == '-' ||
          lookahead == '~') ADVANCE(37);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(293);
      END_STATE();
    case 303:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(326);
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(271);
      if (lookahead == 'a') ADVANCE(317);
      if (lookahead == '~') ADVANCE(197);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('b' <= lookahead && lookahead <= 'z')) ADVANCE(322);
      END_STATE();
    case 304:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(326);
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(271);
      if (lookahead == 'd') ADVANCE(343);
      if (lookahead == '~') ADVANCE(197);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(322);
      END_STATE();
    case 305:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(326);
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(271);
      if (lookahead == 'e') ADVANCE(318);
      if (lookahead == '~') ADVANCE(197);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(322);
      END_STATE();
    case 306:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(326);
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(271);
      if (lookahead == 'e') ADVANCE(308);
      if (lookahead == '~') ADVANCE(197);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(322);
      END_STATE();
    case 307:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(326);
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(271);
      if (lookahead == 'f') ADVANCE(150);
      if (lookahead == '~') ADVANCE(197);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(322);
      END_STATE();
    case 308:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(326);
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(271);
      if (lookahead == 'f') ADVANCE(154);
      if (lookahead == '~') ADVANCE(197);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(322);
      END_STATE();
    case 309:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(326);
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(271);
      if (lookahead == 'i') ADVANCE(303);
      if (lookahead == '~') ADVANCE(197);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(322);
      END_STATE();
    case 310:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(326);
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(271);
      if (lookahead == 'l') ADVANCE(309);
      if (lookahead == '~') ADVANCE(197);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(322);
      END_STATE();
    case 311:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(326);
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(271);
      if (lookahead == 'n') ADVANCE(351);
      if (lookahead == '~') ADVANCE(197);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(322);
      END_STATE();
    case 312:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(326);
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(271);
      if (lookahead == 'o') ADVANCE(316);
      if (lookahead == '~') ADVANCE(197);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(322);
      END_STATE();
    case 313:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(326);
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(271);
      if (lookahead == 'o') ADVANCE(304);
      if (lookahead == '~') ADVANCE(197);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(322);
      END_STATE();
    case 314:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(326);
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(271);
      if (lookahead == 'o') ADVANCE(320);
      if (lookahead == '~') ADVANCE(197);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(322);
      END_STATE();
    case 315:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(326);
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(271);
      if (lookahead == 'p') ADVANCE(312);
      if (lookahead == '~') ADVANCE(197);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(322);
      END_STATE();
    case 316:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(326);
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(271);
      if (lookahead == 'r') ADVANCE(319);
      if (lookahead == '~') ADVANCE(197);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(322);
      END_STATE();
    case 317:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(326);
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(271);
      if (lookahead == 's') ADVANCE(159);
      if (lookahead == '~') ADVANCE(197);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(322);
      END_STATE();
    case 318:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(326);
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(271);
      if (lookahead == 't') ADVANCE(190);
      if (lookahead == '~') ADVANCE(197);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(322);
      END_STATE();
    case 319:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(326);
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(271);
      if (lookahead == 't') ADVANCE(147);
      if (lookahead == '~') ADVANCE(197);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(322);
      END_STATE();
    case 320:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(326);
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(271);
      if (lookahead == 't') ADVANCE(152);
      if (lookahead == '~') ADVANCE(197);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(322);
      END_STATE();
    case 321:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(326);
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(271);
      if (lookahead == 'x') ADVANCE(315);
      if (lookahead == '~') ADVANCE(197);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(322);
      END_STATE();
    case 322:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-') ADVANCE(326);
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(271);
      if (lookahead == '~') ADVANCE(197);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(322);
      END_STATE();
    case 323:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(124);
      if (lookahead == 'e') ADVANCE(324);
      if (lookahead == '~') ADVANCE(37);
      if (('-' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(326);
      END_STATE();
    case 324:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(124);
      if (lookahead == 'n') ADVANCE(325);
      if (lookahead == '~') ADVANCE(37);
      if (('-' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(326);
      END_STATE();
    case 325:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(124);
      if (lookahead == 'v') ADVANCE(157);
      if (lookahead == '~') ADVANCE(37);
      if (('-' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(326);
      END_STATE();
    case 326:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(124);
      if (lookahead == '~') ADVANCE(37);
      if (('-' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(326);
      END_STATE();
    case 327:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'd') ADVANCE(344);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(330);
      END_STATE();
    case 328:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'n') ADVANCE(352);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(330);
      END_STATE();
    case 329:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == 'o') ADVANCE(327);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(330);
      END_STATE();
    case 330:
      ACCEPT_TOKEN(sym_identifier);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(330);
      END_STATE();
    case 331:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 332:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 333:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(333);
      END_STATE();
    case 334:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 335:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 336:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(122);
      END_STATE();
    case 337:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(122);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(296);
      END_STATE();
    case 338:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(35);
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(124);
      if (('0' <= lookahead && lookahead <= '9') ||
          lookahead == '~') ADVANCE(37);
      if (('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(294);
      END_STATE();
    case 339:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 340:
      ACCEPT_TOKEN(anon_sym_SLASH);
      END_STATE();
    case 341:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 342:
      ACCEPT_TOKEN(anon_sym_mod);
      END_STATE();
    case 343:
      ACCEPT_TOKEN(anon_sym_mod);
      if (lookahead == '-') ADVANCE(326);
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(271);
      if (lookahead == '~') ADVANCE(197);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(322);
      END_STATE();
    case 344:
      ACCEPT_TOKEN(anon_sym_mod);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(330);
      END_STATE();
    case 345:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 346:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 347:
      ACCEPT_TOKEN(anon_sym_EQ_TILDE);
      END_STATE();
    case 348:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 349:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 350:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 351:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == '-') ADVANCE(326);
      if (lookahead == '.') ADVANCE(34);
      if (lookahead == '/') ADVANCE(271);
      if (lookahead == '~') ADVANCE(197);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(322);
      END_STATE();
    case 352:
      ACCEPT_TOKEN(anon_sym_in);
      if (lookahead == '-' ||
          ('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'Z') ||
          lookahead == '_' ||
          ('a' <= lookahead && lookahead <= 'z')) ADVANCE(330);
      END_STATE();
    case 353:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(354);
      if (lookahead == '>') ADVANCE(358);
      END_STATE();
    case 354:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 355:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 356:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(357);
      if (lookahead == '=') ADVANCE(355);
      END_STATE();
    case 357:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 358:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0, .external_lex_state = 1},
  [1] = {.lex_state = 133},
  [2] = {.lex_state = 133},
  [3] = {.lex_state = 133},
  [4] = {.lex_state = 133},
  [5] = {.lex_state = 133},
  [6] = {.lex_state = 133},
  [7] = {.lex_state = 133},
  [8] = {.lex_state = 133},
  [9] = {.lex_state = 133},
  [10] = {.lex_state = 133},
  [11] = {.lex_state = 133},
  [12] = {.lex_state = 133},
  [13] = {.lex_state = 133},
  [14] = {.lex_state = 133},
  [15] = {.lex_state = 133},
  [16] = {.lex_state = 133},
  [17] = {.lex_state = 133},
  [18] = {.lex_state = 133},
  [19] = {.lex_state = 133},
  [20] = {.lex_state = 133},
  [21] = {.lex_state = 133},
  [22] = {.lex_state = 1, .external_lex_state = 1},
  [23] = {.lex_state = 133},
  [24] = {.lex_state = 133},
  [25] = {.lex_state = 1, .external_lex_state = 1},
  [26] = {.lex_state = 1, .external_lex_state = 1},
  [27] = {.lex_state = 133},
  [28] = {.lex_state = 1, .external_lex_state = 1},
  [29] = {.lex_state = 1, .external_lex_state = 1},
  [30] = {.lex_state = 1, .external_lex_state = 1},
  [31] = {.lex_state = 11},
  [32] = {.lex_state = 11},
  [33] = {.lex_state = 11},
  [34] = {.lex_state = 1, .external_lex_state = 1},
  [35] = {.lex_state = 1, .external_lex_state = 1},
  [36] = {.lex_state = 1, .external_lex_state = 1},
  [37] = {.lex_state = 1, .external_lex_state = 1},
  [38] = {.lex_state = 11},
  [39] = {.lex_state = 1, .external_lex_state = 1},
  [40] = {.lex_state = 1, .external_lex_state = 1},
  [41] = {.lex_state = 1, .external_lex_state = 1},
  [42] = {.lex_state = 1, .external_lex_state = 1},
  [43] = {.lex_state = 1, .external_lex_state = 1},
  [44] = {.lex_state = 132, .external_lex_state = 1},
  [45] = {.lex_state = 1, .external_lex_state = 1},
  [46] = {.lex_state = 1, .external_lex_state = 1},
  [47] = {.lex_state = 1, .external_lex_state = 1},
  [48] = {.lex_state = 1, .external_lex_state = 1},
  [49] = {.lex_state = 1, .external_lex_state = 1},
  [50] = {.lex_state = 1, .external_lex_state = 1},
  [51] = {.lex_state = 1, .external_lex_state = 1},
  [52] = {.lex_state = 1, .external_lex_state = 1},
  [53] = {.lex_state = 1, .external_lex_state = 1},
  [54] = {.lex_state = 1, .external_lex_state = 1},
  [55] = {.lex_state = 1, .external_lex_state = 1},
  [56] = {.lex_state = 1, .external_lex_state = 1},
  [57] = {.lex_state = 11},
  [58] = {.lex_state = 1, .external_lex_state = 1},
  [59] = {.lex_state = 1, .external_lex_state = 1},
  [60] = {.lex_state = 1, .external_lex_state = 1},
  [61] = {.lex_state = 1, .external_lex_state = 1},
  [62] = {.lex_state = 1, .external_lex_state = 1},
  [63] = {.lex_state = 11},
  [64] = {.lex_state = 1, .external_lex_state = 1},
  [65] = {.lex_state = 1, .external_lex_state = 1},
  [66] = {.lex_state = 1, .external_lex_state = 1},
  [67] = {.lex_state = 1, .external_lex_state = 1},
  [68] = {.lex_state = 1, .external_lex_state = 1},
  [69] = {.lex_state = 1, .external_lex_state = 1},
  [70] = {.lex_state = 1, .external_lex_state = 1},
  [71] = {.lex_state = 11},
  [72] = {.lex_state = 11},
  [73] = {.lex_state = 11},
  [74] = {.lex_state = 11},
  [75] = {.lex_state = 11},
  [76] = {.lex_state = 11},
  [77] = {.lex_state = 11},
  [78] = {.lex_state = 11},
  [79] = {.lex_state = 11},
  [80] = {.lex_state = 11},
  [81] = {.lex_state = 11},
  [82] = {.lex_state = 11},
  [83] = {.lex_state = 11},
  [84] = {.lex_state = 11},
  [85] = {.lex_state = 11},
  [86] = {.lex_state = 11},
  [87] = {.lex_state = 11},
  [88] = {.lex_state = 11},
  [89] = {.lex_state = 11},
  [90] = {.lex_state = 11},
  [91] = {.lex_state = 11},
  [92] = {.lex_state = 11},
  [93] = {.lex_state = 11},
  [94] = {.lex_state = 11},
  [95] = {.lex_state = 11},
  [96] = {.lex_state = 11},
  [97] = {.lex_state = 11},
  [98] = {.lex_state = 11},
  [99] = {.lex_state = 11},
  [100] = {.lex_state = 11},
  [101] = {.lex_state = 11},
  [102] = {.lex_state = 11},
  [103] = {.lex_state = 11},
  [104] = {.lex_state = 11},
  [105] = {.lex_state = 11},
  [106] = {.lex_state = 11},
  [107] = {.lex_state = 11},
  [108] = {.lex_state = 11},
  [109] = {.lex_state = 127},
  [110] = {.lex_state = 4, .external_lex_state = 1},
  [111] = {.lex_state = 127},
  [112] = {.lex_state = 127},
  [113] = {.lex_state = 6, .external_lex_state = 1},
  [114] = {.lex_state = 6, .external_lex_state = 1},
  [115] = {.lex_state = 127},
  [116] = {.lex_state = 6, .external_lex_state = 1},
  [117] = {.lex_state = 6, .external_lex_state = 1},
  [118] = {.lex_state = 6, .external_lex_state = 1},
  [119] = {.lex_state = 127},
  [120] = {.lex_state = 6, .external_lex_state = 1},
  [121] = {.lex_state = 6, .external_lex_state = 1},
  [122] = {.lex_state = 127},
  [123] = {.lex_state = 6, .external_lex_state = 1},
  [124] = {.lex_state = 6, .external_lex_state = 1},
  [125] = {.lex_state = 6, .external_lex_state = 1},
  [126] = {.lex_state = 6, .external_lex_state = 1},
  [127] = {.lex_state = 6, .external_lex_state = 1},
  [128] = {.lex_state = 6, .external_lex_state = 1},
  [129] = {.lex_state = 6, .external_lex_state = 1},
  [130] = {.lex_state = 8, .external_lex_state = 1},
  [131] = {.lex_state = 8, .external_lex_state = 1},
  [132] = {.lex_state = 8, .external_lex_state = 1},
  [133] = {.lex_state = 8, .external_lex_state = 1},
  [134] = {.lex_state = 8, .external_lex_state = 1},
  [135] = {.lex_state = 8, .external_lex_state = 1},
  [136] = {.lex_state = 8, .external_lex_state = 1},
  [137] = {.lex_state = 8, .external_lex_state = 1},
  [138] = {.lex_state = 8, .external_lex_state = 1},
  [139] = {.lex_state = 8, .external_lex_state = 1},
  [140] = {.lex_state = 8, .external_lex_state = 1},
  [141] = {.lex_state = 8, .external_lex_state = 1},
  [142] = {.lex_state = 8, .external_lex_state = 1},
  [143] = {.lex_state = 8, .external_lex_state = 1},
  [144] = {.lex_state = 8, .external_lex_state = 1},
  [145] = {.lex_state = 8, .external_lex_state = 1},
  [146] = {.lex_state = 8, .external_lex_state = 1},
  [147] = {.lex_state = 8, .external_lex_state = 1},
  [148] = {.lex_state = 8, .external_lex_state = 1},
  [149] = {.lex_state = 8, .external_lex_state = 1},
  [150] = {.lex_state = 8, .external_lex_state = 1},
  [151] = {.lex_state = 8, .external_lex_state = 1},
  [152] = {.lex_state = 127},
  [153] = {.lex_state = 8, .external_lex_state = 1},
  [154] = {.lex_state = 8, .external_lex_state = 1},
  [155] = {.lex_state = 8, .external_lex_state = 1},
  [156] = {.lex_state = 8, .external_lex_state = 1},
  [157] = {.lex_state = 8, .external_lex_state = 1},
  [158] = {.lex_state = 8, .external_lex_state = 1},
  [159] = {.lex_state = 8, .external_lex_state = 1},
  [160] = {.lex_state = 8, .external_lex_state = 1},
  [161] = {.lex_state = 8, .external_lex_state = 1},
  [162] = {.lex_state = 8, .external_lex_state = 1},
  [163] = {.lex_state = 8, .external_lex_state = 1},
  [164] = {.lex_state = 8, .external_lex_state = 1},
  [165] = {.lex_state = 8, .external_lex_state = 1},
  [166] = {.lex_state = 8, .external_lex_state = 1},
  [167] = {.lex_state = 127},
  [168] = {.lex_state = 127},
  [169] = {.lex_state = 127},
  [170] = {.lex_state = 127},
  [171] = {.lex_state = 127},
  [172] = {.lex_state = 127},
  [173] = {.lex_state = 127},
  [174] = {.lex_state = 127},
  [175] = {.lex_state = 127},
  [176] = {.lex_state = 127},
  [177] = {.lex_state = 127},
  [178] = {.lex_state = 127},
  [179] = {.lex_state = 8, .external_lex_state = 1},
  [180] = {.lex_state = 127},
  [181] = {.lex_state = 127},
  [182] = {.lex_state = 127},
  [183] = {.lex_state = 127},
  [184] = {.lex_state = 127},
  [185] = {.lex_state = 127},
  [186] = {.lex_state = 127},
  [187] = {.lex_state = 127},
  [188] = {.lex_state = 127},
  [189] = {.lex_state = 127},
  [190] = {.lex_state = 127},
  [191] = {.lex_state = 127},
  [192] = {.lex_state = 127},
  [193] = {.lex_state = 127},
  [194] = {.lex_state = 127},
  [195] = {.lex_state = 127},
  [196] = {.lex_state = 127},
  [197] = {.lex_state = 127},
  [198] = {.lex_state = 127},
  [199] = {.lex_state = 129},
  [200] = {.lex_state = 129},
  [201] = {.lex_state = 129},
  [202] = {.lex_state = 129},
  [203] = {.lex_state = 19},
  [204] = {.lex_state = 19},
  [205] = {.lex_state = 129},
  [206] = {.lex_state = 20},
  [207] = {.lex_state = 19},
  [208] = {.lex_state = 19},
  [209] = {.lex_state = 13},
  [210] = {.lex_state = 20},
  [211] = {.lex_state = 19},
  [212] = {.lex_state = 19},
  [213] = {.lex_state = 13},
  [214] = {.lex_state = 19},
  [215] = {.lex_state = 129},
  [216] = {.lex_state = 19},
  [217] = {.lex_state = 19},
  [218] = {.lex_state = 129},
  [219] = {.lex_state = 19},
  [220] = {.lex_state = 19},
  [221] = {.lex_state = 13},
  [222] = {.lex_state = 19},
  [223] = {.lex_state = 19},
  [224] = {.lex_state = 19},
  [225] = {.lex_state = 19},
  [226] = {.lex_state = 129},
  [227] = {.lex_state = 13},
  [228] = {.lex_state = 19},
  [229] = {.lex_state = 129},
  [230] = {.lex_state = 129},
  [231] = {.lex_state = 13},
  [232] = {.lex_state = 129},
  [233] = {.lex_state = 19},
  [234] = {.lex_state = 13},
  [235] = {.lex_state = 19},
  [236] = {.lex_state = 19},
  [237] = {.lex_state = 129},
  [238] = {.lex_state = 129},
  [239] = {.lex_state = 129},
  [240] = {.lex_state = 129},
  [241] = {.lex_state = 19},
  [242] = {.lex_state = 19},
  [243] = {.lex_state = 19},
  [244] = {.lex_state = 19},
  [245] = {.lex_state = 19},
  [246] = {.lex_state = 19},
  [247] = {.lex_state = 19},
  [248] = {.lex_state = 19},
  [249] = {.lex_state = 19},
  [250] = {.lex_state = 129},
  [251] = {.lex_state = 19},
  [252] = {.lex_state = 13},
  [253] = {.lex_state = 19},
  [254] = {.lex_state = 19},
  [255] = {.lex_state = 19},
  [256] = {.lex_state = 19},
  [257] = {.lex_state = 19},
  [258] = {.lex_state = 19},
  [259] = {.lex_state = 19},
  [260] = {.lex_state = 19},
  [261] = {.lex_state = 19},
  [262] = {.lex_state = 19},
  [263] = {.lex_state = 19},
  [264] = {.lex_state = 19},
  [265] = {.lex_state = 19},
  [266] = {.lex_state = 19},
  [267] = {.lex_state = 13},
  [268] = {.lex_state = 19},
  [269] = {.lex_state = 19},
  [270] = {.lex_state = 19},
  [271] = {.lex_state = 19},
  [272] = {.lex_state = 19},
  [273] = {.lex_state = 19},
  [274] = {.lex_state = 19},
  [275] = {.lex_state = 19},
  [276] = {.lex_state = 19},
  [277] = {.lex_state = 19},
  [278] = {.lex_state = 129},
  [279] = {.lex_state = 19},
  [280] = {.lex_state = 19},
  [281] = {.lex_state = 19},
  [282] = {.lex_state = 19},
  [283] = {.lex_state = 19},
  [284] = {.lex_state = 129},
  [285] = {.lex_state = 129},
  [286] = {.lex_state = 19},
  [287] = {.lex_state = 129},
  [288] = {.lex_state = 129},
  [289] = {.lex_state = 19},
  [290] = {.lex_state = 129},
  [291] = {.lex_state = 129},
  [292] = {.lex_state = 129},
  [293] = {.lex_state = 129},
  [294] = {.lex_state = 129},
  [295] = {.lex_state = 129},
  [296] = {.lex_state = 129},
  [297] = {.lex_state = 129},
  [298] = {.lex_state = 129},
  [299] = {.lex_state = 129},
  [300] = {.lex_state = 129},
  [301] = {.lex_state = 129},
  [302] = {.lex_state = 129},
  [303] = {.lex_state = 129},
  [304] = {.lex_state = 129},
  [305] = {.lex_state = 129},
  [306] = {.lex_state = 129},
  [307] = {.lex_state = 19},
  [308] = {.lex_state = 129},
  [309] = {.lex_state = 129},
  [310] = {.lex_state = 19},
  [311] = {.lex_state = 19},
  [312] = {.lex_state = 19},
  [313] = {.lex_state = 19},
  [314] = {.lex_state = 19},
  [315] = {.lex_state = 19},
  [316] = {.lex_state = 19},
  [317] = {.lex_state = 19},
  [318] = {.lex_state = 129},
  [319] = {.lex_state = 129},
  [320] = {.lex_state = 129},
  [321] = {.lex_state = 13},
  [322] = {.lex_state = 13},
  [323] = {.lex_state = 16},
  [324] = {.lex_state = 13},
  [325] = {.lex_state = 13},
  [326] = {.lex_state = 13},
  [327] = {.lex_state = 13},
  [328] = {.lex_state = 13},
  [329] = {.lex_state = 13},
  [330] = {.lex_state = 13},
  [331] = {.lex_state = 13},
  [332] = {.lex_state = 13},
  [333] = {.lex_state = 16},
  [334] = {.lex_state = 13},
  [335] = {.lex_state = 13},
  [336] = {.lex_state = 13},
  [337] = {.lex_state = 13},
  [338] = {.lex_state = 13},
  [339] = {.lex_state = 13},
  [340] = {.lex_state = 13},
  [341] = {.lex_state = 13},
  [342] = {.lex_state = 13},
  [343] = {.lex_state = 13},
  [344] = {.lex_state = 13},
  [345] = {.lex_state = 13},
  [346] = {.lex_state = 13},
  [347] = {.lex_state = 13},
  [348] = {.lex_state = 13},
  [349] = {.lex_state = 13},
  [350] = {.lex_state = 13},
  [351] = {.lex_state = 13},
  [352] = {.lex_state = 13},
  [353] = {.lex_state = 16},
  [354] = {.lex_state = 13},
  [355] = {.lex_state = 16},
  [356] = {.lex_state = 133},
  [357] = {.lex_state = 133},
  [358] = {.lex_state = 16},
  [359] = {.lex_state = 16},
  [360] = {.lex_state = 16},
  [361] = {.lex_state = 16},
  [362] = {.lex_state = 16},
  [363] = {.lex_state = 16},
  [364] = {.lex_state = 133},
  [365] = {.lex_state = 133},
  [366] = {.lex_state = 16},
  [367] = {.lex_state = 16},
  [368] = {.lex_state = 16},
  [369] = {.lex_state = 16},
  [370] = {.lex_state = 16},
  [371] = {.lex_state = 16},
  [372] = {.lex_state = 16},
  [373] = {.lex_state = 16},
  [374] = {.lex_state = 16},
  [375] = {.lex_state = 16},
  [376] = {.lex_state = 16},
  [377] = {.lex_state = 16},
  [378] = {.lex_state = 133},
  [379] = {.lex_state = 16},
  [380] = {.lex_state = 16},
  [381] = {.lex_state = 16},
  [382] = {.lex_state = 16},
  [383] = {.lex_state = 16},
  [384] = {.lex_state = 16},
  [385] = {.lex_state = 16},
  [386] = {.lex_state = 16},
  [387] = {.lex_state = 16},
  [388] = {.lex_state = 16},
  [389] = {.lex_state = 16},
  [390] = {.lex_state = 16},
  [391] = {.lex_state = 16},
  [392] = {.lex_state = 16},
  [393] = {.lex_state = 16},
  [394] = {.lex_state = 16},
  [395] = {.lex_state = 16},
  [396] = {.lex_state = 16},
  [397] = {.lex_state = 16},
  [398] = {.lex_state = 16},
  [399] = {.lex_state = 8, .external_lex_state = 1},
  [400] = {.lex_state = 23},
  [401] = {.lex_state = 23},
  [402] = {.lex_state = 23},
  [403] = {.lex_state = 19},
  [404] = {.lex_state = 23},
  [405] = {.lex_state = 130},
  [406] = {.lex_state = 130},
  [407] = {.lex_state = 130},
  [408] = {.lex_state = 130},
  [409] = {.lex_state = 18},
  [410] = {.lex_state = 18},
  [411] = {.lex_state = 18},
  [412] = {.lex_state = 18},
  [413] = {.lex_state = 18},
  [414] = {.lex_state = 18},
  [415] = {.lex_state = 131},
  [416] = {.lex_state = 131},
  [417] = {.lex_state = 18},
  [418] = {.lex_state = 18},
  [419] = {.lex_state = 131},
  [420] = {.lex_state = 18},
  [421] = {.lex_state = 18},
  [422] = {.lex_state = 131},
  [423] = {.lex_state = 131},
  [424] = {.lex_state = 18},
  [425] = {.lex_state = 18},
  [426] = {.lex_state = 131},
  [427] = {.lex_state = 131},
  [428] = {.lex_state = 131},
  [429] = {.lex_state = 131},
  [430] = {.lex_state = 132},
  [431] = {.lex_state = 132},
  [432] = {.lex_state = 131},
  [433] = {.lex_state = 18},
  [434] = {.lex_state = 132},
  [435] = {.lex_state = 132},
  [436] = {.lex_state = 132},
  [437] = {.lex_state = 18},
  [438] = {.lex_state = 132},
  [439] = {.lex_state = 132},
  [440] = {.lex_state = 18},
  [441] = {.lex_state = 132},
  [442] = {.lex_state = 18},
  [443] = {.lex_state = 18},
  [444] = {.lex_state = 18},
  [445] = {.lex_state = 18},
  [446] = {.lex_state = 18},
  [447] = {.lex_state = 18},
  [448] = {.lex_state = 18},
  [449] = {.lex_state = 18},
  [450] = {.lex_state = 18},
  [451] = {.lex_state = 18},
  [452] = {.lex_state = 18},
  [453] = {.lex_state = 18},
  [454] = {.lex_state = 18},
  [455] = {.lex_state = 18},
  [456] = {.lex_state = 18},
  [457] = {.lex_state = 18},
  [458] = {.lex_state = 18},
  [459] = {.lex_state = 0},
  [460] = {.lex_state = 132},
  [461] = {.lex_state = 0},
  [462] = {.lex_state = 0},
  [463] = {.lex_state = 0},
  [464] = {.lex_state = 0},
  [465] = {.lex_state = 0},
  [466] = {.lex_state = 0},
  [467] = {.lex_state = 18},
  [468] = {.lex_state = 0},
  [469] = {.lex_state = 0},
  [470] = {.lex_state = 0},
  [471] = {.lex_state = 0},
  [472] = {.lex_state = 0},
  [473] = {.lex_state = 0},
  [474] = {.lex_state = 16},
  [475] = {.lex_state = 0},
  [476] = {.lex_state = 0},
  [477] = {.lex_state = 18},
  [478] = {.lex_state = 18},
  [479] = {.lex_state = 0},
  [480] = {.lex_state = 18},
  [481] = {.lex_state = 0},
  [482] = {.lex_state = 18},
  [483] = {.lex_state = 0},
  [484] = {.lex_state = 0},
  [485] = {.lex_state = 0},
  [486] = {.lex_state = 0},
  [487] = {.lex_state = 0},
  [488] = {.lex_state = 0},
  [489] = {.lex_state = 18},
  [490] = {.lex_state = 0},
  [491] = {.lex_state = 18},
  [492] = {.lex_state = 0},
  [493] = {.lex_state = 0},
  [494] = {.lex_state = 18},
  [495] = {.lex_state = 18},
  [496] = {.lex_state = 18},
  [497] = {.lex_state = 18},
  [498] = {.lex_state = 18},
  [499] = {.lex_state = 18},
  [500] = {.lex_state = 18},
  [501] = {.lex_state = 0},
  [502] = {.lex_state = 0},
  [503] = {.lex_state = 18},
  [504] = {.lex_state = 18},
  [505] = {.lex_state = 18},
  [506] = {.lex_state = 0},
  [507] = {.lex_state = 18},
  [508] = {.lex_state = 18},
  [509] = {.lex_state = 0},
  [510] = {.lex_state = 0},
  [511] = {.lex_state = 0},
  [512] = {.lex_state = 0},
  [513] = {.lex_state = 0},
  [514] = {.lex_state = 0},
  [515] = {.lex_state = 0},
  [516] = {.lex_state = 0},
  [517] = {.lex_state = 0},
  [518] = {.lex_state = 0},
  [519] = {.lex_state = 0},
  [520] = {.lex_state = 0},
  [521] = {.lex_state = 0},
  [522] = {.lex_state = 0},
  [523] = {.lex_state = 0},
  [524] = {.lex_state = 0},
  [525] = {.lex_state = 0},
  [526] = {.lex_state = 0},
  [527] = {.lex_state = 0},
  [528] = {.lex_state = 0},
  [529] = {.lex_state = 0},
  [530] = {.lex_state = 0},
  [531] = {.lex_state = 0},
  [532] = {.lex_state = 0},
  [533] = {.lex_state = 284},
  [534] = {.lex_state = 280},
  [535] = {.lex_state = 276},
  [536] = {.lex_state = 0},
  [537] = {.lex_state = 23},
  [538] = {.lex_state = 0},
  [539] = {.lex_state = 23},
  [540] = {.lex_state = 0},
  [541] = {.lex_state = 0},
  [542] = {.lex_state = 0},
  [543] = {.lex_state = 0},
  [544] = {.lex_state = 0},
  [545] = {.lex_state = 0},
  [546] = {.lex_state = 0},
  [547] = {.lex_state = 0},
  [548] = {.lex_state = 0},
  [549] = {.lex_state = 0},
  [550] = {.lex_state = 0},
  [551] = {.lex_state = 0},
  [552] = {.lex_state = 23},
  [553] = {.lex_state = 0},
  [554] = {.lex_state = 0},
  [555] = {.lex_state = 0},
  [556] = {.lex_state = 0},
  [557] = {.lex_state = 0},
  [558] = {.lex_state = 0},
  [559] = {.lex_state = 0},
  [560] = {.lex_state = 0},
  [561] = {.lex_state = 18},
  [562] = {.lex_state = 0},
  [563] = {.lex_state = 0},
  [564] = {.lex_state = 23},
  [565] = {.lex_state = 18},
  [566] = {.lex_state = 0},
  [567] = {.lex_state = 0},
  [568] = {.lex_state = 0},
  [569] = {.lex_state = 0},
  [570] = {.lex_state = 0},
  [571] = {.lex_state = 0},
  [572] = {.lex_state = 0},
  [573] = {.lex_state = 0},
  [574] = {.lex_state = 0},
  [575] = {.lex_state = 0},
  [576] = {.lex_state = 0},
  [577] = {.lex_state = 0},
  [578] = {.lex_state = 0},
  [579] = {.lex_state = 18},
  [580] = {.lex_state = 276},
  [581] = {.lex_state = 280},
  [582] = {.lex_state = 284},
  [583] = {.lex_state = 0},
  [584] = {.lex_state = 276},
  [585] = {.lex_state = 280},
  [586] = {.lex_state = 284},
  [587] = {.lex_state = 284},
  [588] = {.lex_state = 18},
  [589] = {.lex_state = 276},
  [590] = {.lex_state = 280},
  [591] = {.lex_state = 284},
  [592] = {.lex_state = 280},
  [593] = {.lex_state = 276},
  [594] = {.lex_state = 280},
  [595] = {.lex_state = 284},
  [596] = {.lex_state = 276},
  [597] = {.lex_state = 18},
  [598] = {.lex_state = 276},
  [599] = {.lex_state = 280},
  [600] = {.lex_state = 284},
  [601] = {.lex_state = 0},
  [602] = {.lex_state = 276},
  [603] = {.lex_state = 280},
  [604] = {.lex_state = 284},
  [605] = {.lex_state = 18},
  [606] = {.lex_state = 18},
  [607] = {.lex_state = 276},
  [608] = {.lex_state = 280},
  [609] = {.lex_state = 284},
  [610] = {.lex_state = 0},
  [611] = {.lex_state = 276},
  [612] = {.lex_state = 280},
  [613] = {.lex_state = 284},
  [614] = {.lex_state = 18},
  [615] = {.lex_state = 18},
  [616] = {.lex_state = 276},
  [617] = {.lex_state = 280},
  [618] = {.lex_state = 284},
  [619] = {.lex_state = 0},
  [620] = {.lex_state = 276},
  [621] = {.lex_state = 280},
  [622] = {.lex_state = 284},
};

enum {
  ts_external_token__cmd_newline = 0,
};

static const TSSymbol ts_external_scanner_symbol_map[EXTERNAL_TOKEN_COUNT] = {
  [ts_external_token__cmd_newline] = sym__cmd_newline,
};

static const bool ts_external_scanner_states[2][EXTERNAL_TOKEN_COUNT] = {
  [1] = {
    [ts_external_token__cmd_newline] = true,
  },
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_export] = ACTIONS(1),
    [anon_sym_env] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_not] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_def] = ACTIONS(1),
    [anon_sym_def_DASHenv] = ACTIONS(1),
    [anon_sym_alias] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [sym_flag_name] = ACTIONS(1),
    [anon_sym_DOT_DOT_DOTrest] = ACTIONS(1),
    [anon_sym_float] = ACTIONS(1),
    [anon_sym_range] = ACTIONS(1),
    [anon_sym_bool] = ACTIONS(1),
    [anon_sym_string] = ACTIONS(1),
    [anon_sym_block] = ACTIONS(1),
    [anon_sym_duration] = ACTIONS(1),
    [anon_sym_date] = ACTIONS(1),
    [anon_sym_filesize] = ACTIONS(1),
    [anon_sym_number] = ACTIONS(1),
    [anon_sym_table] = ACTIONS(1),
    [anon_sym_error] = ACTIONS(1),
    [anon_sym_binary] = ACTIONS(1),
    [anon_sym_path] = ACTIONS(1),
    [anon_sym_AT] = ACTIONS(1),
    [anon_sym_let] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [sym_number_literal] = ACTIONS(1),
    [sym_word] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [anon_sym_SQUOTE] = ACTIONS(1),
    [anon_sym_BQUOTE] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [aux_sym_file_path_token1] = ACTIONS(1),
    [sym_flag_arg] = ACTIONS(1),
    [anon_sym_DOT_DOT] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_mod] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_EQ_TILDE] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [sym__cmd_newline] = ACTIONS(1),
  },
  [1] = {
    [sym_source_file] = STATE(583),
    [sym__statements] = STATE(578),
    [sym__statement] = STATE(431),
    [sym_record_entry] = STATE(407),
    [sym_env_export] = STATE(431),
    [sym_if_statement] = STATE(431),
    [sym_function_definition] = STATE(431),
    [sym_alias] = STATE(431),
    [sym_variable_declaration] = STATE(431),
    [sym_command] = STATE(237),
    [sym__expression] = STATE(237),
    [sym_string] = STATE(229),
    [sym_value_path] = STATE(205),
    [sym_file_path] = STATE(237),
    [sym_range] = STATE(237),
    [sym_table] = STATE(237),
    [sym_array] = STATE(237),
    [sym_record_or_block] = STATE(237),
    [sym_cmd_invocation] = STATE(237),
    [sym_binary_expression] = STATE(237),
    [aux_sym__statements_repeat1] = STATE(24),
    [aux_sym__statement_repeat1] = STATE(406),
    [ts_builtin_sym_end] = ACTIONS(5),
    [anon_sym_export] = ACTIONS(7),
    [anon_sym_if] = ACTIONS(9),
    [anon_sym_def] = ACTIONS(11),
    [anon_sym_def_DASHenv] = ACTIONS(11),
    [anon_sym_alias] = ACTIONS(13),
    [anon_sym_LBRACK] = ACTIONS(15),
    [anon_sym_LPAREN] = ACTIONS(17),
    [anon_sym_let] = ACTIONS(19),
    [anon_sym_CARET] = ACTIONS(21),
    [sym_number_literal] = ACTIONS(23),
    [sym_word] = ACTIONS(25),
    [anon_sym_DOLLAR] = ACTIONS(27),
    [anon_sym_DQUOTE] = ACTIONS(29),
    [anon_sym_SQUOTE] = ACTIONS(31),
    [anon_sym_BQUOTE] = ACTIONS(33),
    [aux_sym_file_path_token1] = ACTIONS(35),
    [aux_sym_file_path_token2] = ACTIONS(37),
    [sym_flag_arg] = ACTIONS(25),
    [sym_identifier] = ACTIONS(39),
    [anon_sym_LBRACE] = ACTIONS(41),
    [sym_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_export,
    ACTIONS(9), 1,
      anon_sym_if,
    ACTIONS(13), 1,
      anon_sym_alias,
    ACTIONS(15), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(19), 1,
      anon_sym_let,
    ACTIONS(21), 1,
      anon_sym_CARET,
    ACTIONS(23), 1,
      sym_number_literal,
    ACTIONS(27), 1,
      anon_sym_DOLLAR,
    ACTIONS(29), 1,
      anon_sym_DQUOTE,
    ACTIONS(31), 1,
      anon_sym_SQUOTE,
    ACTIONS(33), 1,
      anon_sym_BQUOTE,
    ACTIONS(35), 1,
      aux_sym_file_path_token1,
    ACTIONS(37), 1,
      aux_sym_file_path_token2,
    ACTIONS(39), 1,
      sym_identifier,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(43), 1,
      anon_sym_PIPE,
    ACTIONS(45), 1,
      anon_sym_RBRACE,
    STATE(13), 1,
      sym_block_args,
    STATE(24), 1,
      aux_sym__statements_repeat1,
    STATE(205), 1,
      sym_value_path,
    STATE(229), 1,
      sym_string,
    STATE(406), 1,
      aux_sym__statement_repeat1,
    STATE(407), 1,
      sym_record_entry,
    STATE(569), 1,
      sym__statements,
    ACTIONS(11), 2,
      anon_sym_def,
      anon_sym_def_DASHenv,
    ACTIONS(25), 2,
      sym_word,
      sym_flag_arg,
    STATE(431), 6,
      sym__statement,
      sym_env_export,
      sym_if_statement,
      sym_function_definition,
      sym_alias,
      sym_variable_declaration,
    STATE(237), 9,
      sym_command,
      sym__expression,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [106] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_export,
    ACTIONS(9), 1,
      anon_sym_if,
    ACTIONS(13), 1,
      anon_sym_alias,
    ACTIONS(15), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(19), 1,
      anon_sym_let,
    ACTIONS(21), 1,
      anon_sym_CARET,
    ACTIONS(23), 1,
      sym_number_literal,
    ACTIONS(27), 1,
      anon_sym_DOLLAR,
    ACTIONS(29), 1,
      anon_sym_DQUOTE,
    ACTIONS(31), 1,
      anon_sym_SQUOTE,
    ACTIONS(33), 1,
      anon_sym_BQUOTE,
    ACTIONS(35), 1,
      aux_sym_file_path_token1,
    ACTIONS(37), 1,
      aux_sym_file_path_token2,
    ACTIONS(39), 1,
      sym_identifier,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(43), 1,
      anon_sym_PIPE,
    ACTIONS(47), 1,
      anon_sym_RBRACE,
    STATE(14), 1,
      sym_block_args,
    STATE(24), 1,
      aux_sym__statements_repeat1,
    STATE(205), 1,
      sym_value_path,
    STATE(229), 1,
      sym_string,
    STATE(406), 1,
      aux_sym__statement_repeat1,
    STATE(407), 1,
      sym_record_entry,
    STATE(522), 1,
      sym__statements,
    ACTIONS(11), 2,
      anon_sym_def,
      anon_sym_def_DASHenv,
    ACTIONS(25), 2,
      sym_word,
      sym_flag_arg,
    STATE(431), 6,
      sym__statement,
      sym_env_export,
      sym_if_statement,
      sym_function_definition,
      sym_alias,
      sym_variable_declaration,
    STATE(237), 9,
      sym_command,
      sym__expression,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [212] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_export,
    ACTIONS(9), 1,
      anon_sym_if,
    ACTIONS(13), 1,
      anon_sym_alias,
    ACTIONS(15), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(19), 1,
      anon_sym_let,
    ACTIONS(21), 1,
      anon_sym_CARET,
    ACTIONS(23), 1,
      sym_number_literal,
    ACTIONS(27), 1,
      anon_sym_DOLLAR,
    ACTIONS(29), 1,
      anon_sym_DQUOTE,
    ACTIONS(31), 1,
      anon_sym_SQUOTE,
    ACTIONS(33), 1,
      anon_sym_BQUOTE,
    ACTIONS(35), 1,
      aux_sym_file_path_token1,
    ACTIONS(37), 1,
      aux_sym_file_path_token2,
    ACTIONS(39), 1,
      sym_identifier,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(43), 1,
      anon_sym_PIPE,
    ACTIONS(49), 1,
      anon_sym_RBRACE,
    STATE(9), 1,
      sym_block_args,
    STATE(24), 1,
      aux_sym__statements_repeat1,
    STATE(205), 1,
      sym_value_path,
    STATE(229), 1,
      sym_string,
    STATE(406), 1,
      aux_sym__statement_repeat1,
    STATE(407), 1,
      sym_record_entry,
    STATE(566), 1,
      sym__statements,
    ACTIONS(11), 2,
      anon_sym_def,
      anon_sym_def_DASHenv,
    ACTIONS(25), 2,
      sym_word,
      sym_flag_arg,
    STATE(431), 6,
      sym__statement,
      sym_env_export,
      sym_if_statement,
      sym_function_definition,
      sym_alias,
      sym_variable_declaration,
    STATE(237), 9,
      sym_command,
      sym__expression,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [318] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_export,
    ACTIONS(9), 1,
      anon_sym_if,
    ACTIONS(13), 1,
      anon_sym_alias,
    ACTIONS(15), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(19), 1,
      anon_sym_let,
    ACTIONS(21), 1,
      anon_sym_CARET,
    ACTIONS(23), 1,
      sym_number_literal,
    ACTIONS(27), 1,
      anon_sym_DOLLAR,
    ACTIONS(29), 1,
      anon_sym_DQUOTE,
    ACTIONS(31), 1,
      anon_sym_SQUOTE,
    ACTIONS(33), 1,
      anon_sym_BQUOTE,
    ACTIONS(35), 1,
      aux_sym_file_path_token1,
    ACTIONS(37), 1,
      aux_sym_file_path_token2,
    ACTIONS(39), 1,
      sym_identifier,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(43), 1,
      anon_sym_PIPE,
    ACTIONS(51), 1,
      anon_sym_RBRACE,
    STATE(15), 1,
      sym_block_args,
    STATE(24), 1,
      aux_sym__statements_repeat1,
    STATE(205), 1,
      sym_value_path,
    STATE(229), 1,
      sym_string,
    STATE(406), 1,
      aux_sym__statement_repeat1,
    STATE(407), 1,
      sym_record_entry,
    STATE(544), 1,
      sym__statements,
    ACTIONS(11), 2,
      anon_sym_def,
      anon_sym_def_DASHenv,
    ACTIONS(25), 2,
      sym_word,
      sym_flag_arg,
    STATE(431), 6,
      sym__statement,
      sym_env_export,
      sym_if_statement,
      sym_function_definition,
      sym_alias,
      sym_variable_declaration,
    STATE(237), 9,
      sym_command,
      sym__expression,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [424] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_export,
    ACTIONS(9), 1,
      anon_sym_if,
    ACTIONS(13), 1,
      anon_sym_alias,
    ACTIONS(15), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(19), 1,
      anon_sym_let,
    ACTIONS(21), 1,
      anon_sym_CARET,
    ACTIONS(23), 1,
      sym_number_literal,
    ACTIONS(27), 1,
      anon_sym_DOLLAR,
    ACTIONS(29), 1,
      anon_sym_DQUOTE,
    ACTIONS(31), 1,
      anon_sym_SQUOTE,
    ACTIONS(33), 1,
      anon_sym_BQUOTE,
    ACTIONS(35), 1,
      aux_sym_file_path_token1,
    ACTIONS(37), 1,
      aux_sym_file_path_token2,
    ACTIONS(39), 1,
      sym_identifier,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(43), 1,
      anon_sym_PIPE,
    ACTIONS(53), 1,
      anon_sym_RBRACE,
    STATE(10), 1,
      sym_block_args,
    STATE(24), 1,
      aux_sym__statements_repeat1,
    STATE(205), 1,
      sym_value_path,
    STATE(229), 1,
      sym_string,
    STATE(406), 1,
      aux_sym__statement_repeat1,
    STATE(407), 1,
      sym_record_entry,
    STATE(536), 1,
      sym__statements,
    ACTIONS(11), 2,
      anon_sym_def,
      anon_sym_def_DASHenv,
    ACTIONS(25), 2,
      sym_word,
      sym_flag_arg,
    STATE(431), 6,
      sym__statement,
      sym_env_export,
      sym_if_statement,
      sym_function_definition,
      sym_alias,
      sym_variable_declaration,
    STATE(237), 9,
      sym_command,
      sym__expression,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [530] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_export,
    ACTIONS(9), 1,
      anon_sym_if,
    ACTIONS(13), 1,
      anon_sym_alias,
    ACTIONS(15), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(19), 1,
      anon_sym_let,
    ACTIONS(21), 1,
      anon_sym_CARET,
    ACTIONS(23), 1,
      sym_number_literal,
    ACTIONS(27), 1,
      anon_sym_DOLLAR,
    ACTIONS(29), 1,
      anon_sym_DQUOTE,
    ACTIONS(31), 1,
      anon_sym_SQUOTE,
    ACTIONS(33), 1,
      anon_sym_BQUOTE,
    ACTIONS(35), 1,
      aux_sym_file_path_token1,
    ACTIONS(37), 1,
      aux_sym_file_path_token2,
    ACTIONS(39), 1,
      sym_identifier,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(43), 1,
      anon_sym_PIPE,
    ACTIONS(55), 1,
      anon_sym_RBRACE,
    STATE(11), 1,
      sym_block_args,
    STATE(24), 1,
      aux_sym__statements_repeat1,
    STATE(205), 1,
      sym_value_path,
    STATE(229), 1,
      sym_string,
    STATE(406), 1,
      aux_sym__statement_repeat1,
    STATE(407), 1,
      sym_record_entry,
    STATE(554), 1,
      sym__statements,
    ACTIONS(11), 2,
      anon_sym_def,
      anon_sym_def_DASHenv,
    ACTIONS(25), 2,
      sym_word,
      sym_flag_arg,
    STATE(431), 6,
      sym__statement,
      sym_env_export,
      sym_if_statement,
      sym_function_definition,
      sym_alias,
      sym_variable_declaration,
    STATE(237), 9,
      sym_command,
      sym__expression,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [636] = 30,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_export,
    ACTIONS(9), 1,
      anon_sym_if,
    ACTIONS(13), 1,
      anon_sym_alias,
    ACTIONS(15), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(19), 1,
      anon_sym_let,
    ACTIONS(21), 1,
      anon_sym_CARET,
    ACTIONS(23), 1,
      sym_number_literal,
    ACTIONS(27), 1,
      anon_sym_DOLLAR,
    ACTIONS(29), 1,
      anon_sym_DQUOTE,
    ACTIONS(31), 1,
      anon_sym_SQUOTE,
    ACTIONS(33), 1,
      anon_sym_BQUOTE,
    ACTIONS(35), 1,
      aux_sym_file_path_token1,
    ACTIONS(37), 1,
      aux_sym_file_path_token2,
    ACTIONS(39), 1,
      sym_identifier,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(43), 1,
      anon_sym_PIPE,
    ACTIONS(57), 1,
      anon_sym_RBRACE,
    STATE(12), 1,
      sym_block_args,
    STATE(24), 1,
      aux_sym__statements_repeat1,
    STATE(205), 1,
      sym_value_path,
    STATE(229), 1,
      sym_string,
    STATE(406), 1,
      aux_sym__statement_repeat1,
    STATE(407), 1,
      sym_record_entry,
    STATE(523), 1,
      sym__statements,
    ACTIONS(11), 2,
      anon_sym_def,
      anon_sym_def_DASHenv,
    ACTIONS(25), 2,
      sym_word,
      sym_flag_arg,
    STATE(431), 6,
      sym__statement,
      sym_env_export,
      sym_if_statement,
      sym_function_definition,
      sym_alias,
      sym_variable_declaration,
    STATE(237), 9,
      sym_command,
      sym__expression,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [742] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_export,
    ACTIONS(9), 1,
      anon_sym_if,
    ACTIONS(13), 1,
      anon_sym_alias,
    ACTIONS(15), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(19), 1,
      anon_sym_let,
    ACTIONS(21), 1,
      anon_sym_CARET,
    ACTIONS(23), 1,
      sym_number_literal,
    ACTIONS(27), 1,
      anon_sym_DOLLAR,
    ACTIONS(29), 1,
      anon_sym_DQUOTE,
    ACTIONS(31), 1,
      anon_sym_SQUOTE,
    ACTIONS(33), 1,
      anon_sym_BQUOTE,
    ACTIONS(35), 1,
      aux_sym_file_path_token1,
    ACTIONS(37), 1,
      aux_sym_file_path_token2,
    ACTIONS(39), 1,
      sym_identifier,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(59), 1,
      anon_sym_RBRACE,
    STATE(24), 1,
      aux_sym__statements_repeat1,
    STATE(205), 1,
      sym_value_path,
    STATE(229), 1,
      sym_string,
    STATE(406), 1,
      aux_sym__statement_repeat1,
    STATE(407), 1,
      sym_record_entry,
    STATE(516), 1,
      sym__statements,
    ACTIONS(11), 2,
      anon_sym_def,
      anon_sym_def_DASHenv,
    ACTIONS(25), 2,
      sym_word,
      sym_flag_arg,
    STATE(431), 6,
      sym__statement,
      sym_env_export,
      sym_if_statement,
      sym_function_definition,
      sym_alias,
      sym_variable_declaration,
    STATE(237), 9,
      sym_command,
      sym__expression,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [842] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_export,
    ACTIONS(9), 1,
      anon_sym_if,
    ACTIONS(13), 1,
      anon_sym_alias,
    ACTIONS(15), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(19), 1,
      anon_sym_let,
    ACTIONS(21), 1,
      anon_sym_CARET,
    ACTIONS(23), 1,
      sym_number_literal,
    ACTIONS(27), 1,
      anon_sym_DOLLAR,
    ACTIONS(29), 1,
      anon_sym_DQUOTE,
    ACTIONS(31), 1,
      anon_sym_SQUOTE,
    ACTIONS(33), 1,
      anon_sym_BQUOTE,
    ACTIONS(35), 1,
      aux_sym_file_path_token1,
    ACTIONS(37), 1,
      aux_sym_file_path_token2,
    ACTIONS(39), 1,
      sym_identifier,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(61), 1,
      anon_sym_RBRACE,
    STATE(24), 1,
      aux_sym__statements_repeat1,
    STATE(205), 1,
      sym_value_path,
    STATE(229), 1,
      sym_string,
    STATE(406), 1,
      aux_sym__statement_repeat1,
    STATE(407), 1,
      sym_record_entry,
    STATE(553), 1,
      sym__statements,
    ACTIONS(11), 2,
      anon_sym_def,
      anon_sym_def_DASHenv,
    ACTIONS(25), 2,
      sym_word,
      sym_flag_arg,
    STATE(431), 6,
      sym__statement,
      sym_env_export,
      sym_if_statement,
      sym_function_definition,
      sym_alias,
      sym_variable_declaration,
    STATE(237), 9,
      sym_command,
      sym__expression,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [942] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_export,
    ACTIONS(9), 1,
      anon_sym_if,
    ACTIONS(13), 1,
      anon_sym_alias,
    ACTIONS(15), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(19), 1,
      anon_sym_let,
    ACTIONS(21), 1,
      anon_sym_CARET,
    ACTIONS(23), 1,
      sym_number_literal,
    ACTIONS(27), 1,
      anon_sym_DOLLAR,
    ACTIONS(29), 1,
      anon_sym_DQUOTE,
    ACTIONS(31), 1,
      anon_sym_SQUOTE,
    ACTIONS(33), 1,
      anon_sym_BQUOTE,
    ACTIONS(35), 1,
      aux_sym_file_path_token1,
    ACTIONS(37), 1,
      aux_sym_file_path_token2,
    ACTIONS(39), 1,
      sym_identifier,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(63), 1,
      anon_sym_RBRACE,
    STATE(24), 1,
      aux_sym__statements_repeat1,
    STATE(205), 1,
      sym_value_path,
    STATE(229), 1,
      sym_string,
    STATE(406), 1,
      aux_sym__statement_repeat1,
    STATE(407), 1,
      sym_record_entry,
    STATE(562), 1,
      sym__statements,
    ACTIONS(11), 2,
      anon_sym_def,
      anon_sym_def_DASHenv,
    ACTIONS(25), 2,
      sym_word,
      sym_flag_arg,
    STATE(431), 6,
      sym__statement,
      sym_env_export,
      sym_if_statement,
      sym_function_definition,
      sym_alias,
      sym_variable_declaration,
    STATE(237), 9,
      sym_command,
      sym__expression,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [1042] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_export,
    ACTIONS(9), 1,
      anon_sym_if,
    ACTIONS(13), 1,
      anon_sym_alias,
    ACTIONS(15), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(19), 1,
      anon_sym_let,
    ACTIONS(21), 1,
      anon_sym_CARET,
    ACTIONS(23), 1,
      sym_number_literal,
    ACTIONS(27), 1,
      anon_sym_DOLLAR,
    ACTIONS(29), 1,
      anon_sym_DQUOTE,
    ACTIONS(31), 1,
      anon_sym_SQUOTE,
    ACTIONS(33), 1,
      anon_sym_BQUOTE,
    ACTIONS(35), 1,
      aux_sym_file_path_token1,
    ACTIONS(37), 1,
      aux_sym_file_path_token2,
    ACTIONS(39), 1,
      sym_identifier,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(65), 1,
      anon_sym_RBRACE,
    STATE(24), 1,
      aux_sym__statements_repeat1,
    STATE(205), 1,
      sym_value_path,
    STATE(229), 1,
      sym_string,
    STATE(406), 1,
      aux_sym__statement_repeat1,
    STATE(407), 1,
      sym_record_entry,
    STATE(610), 1,
      sym__statements,
    ACTIONS(11), 2,
      anon_sym_def,
      anon_sym_def_DASHenv,
    ACTIONS(25), 2,
      sym_word,
      sym_flag_arg,
    STATE(431), 6,
      sym__statement,
      sym_env_export,
      sym_if_statement,
      sym_function_definition,
      sym_alias,
      sym_variable_declaration,
    STATE(237), 9,
      sym_command,
      sym__expression,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [1142] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_export,
    ACTIONS(9), 1,
      anon_sym_if,
    ACTIONS(13), 1,
      anon_sym_alias,
    ACTIONS(15), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(19), 1,
      anon_sym_let,
    ACTIONS(21), 1,
      anon_sym_CARET,
    ACTIONS(23), 1,
      sym_number_literal,
    ACTIONS(27), 1,
      anon_sym_DOLLAR,
    ACTIONS(29), 1,
      anon_sym_DQUOTE,
    ACTIONS(31), 1,
      anon_sym_SQUOTE,
    ACTIONS(33), 1,
      anon_sym_BQUOTE,
    ACTIONS(35), 1,
      aux_sym_file_path_token1,
    ACTIONS(37), 1,
      aux_sym_file_path_token2,
    ACTIONS(39), 1,
      sym_identifier,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(67), 1,
      anon_sym_RBRACE,
    STATE(24), 1,
      aux_sym__statements_repeat1,
    STATE(205), 1,
      sym_value_path,
    STATE(229), 1,
      sym_string,
    STATE(406), 1,
      aux_sym__statement_repeat1,
    STATE(407), 1,
      sym_record_entry,
    STATE(576), 1,
      sym__statements,
    ACTIONS(11), 2,
      anon_sym_def,
      anon_sym_def_DASHenv,
    ACTIONS(25), 2,
      sym_word,
      sym_flag_arg,
    STATE(431), 6,
      sym__statement,
      sym_env_export,
      sym_if_statement,
      sym_function_definition,
      sym_alias,
      sym_variable_declaration,
    STATE(237), 9,
      sym_command,
      sym__expression,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [1242] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_export,
    ACTIONS(9), 1,
      anon_sym_if,
    ACTIONS(13), 1,
      anon_sym_alias,
    ACTIONS(15), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(19), 1,
      anon_sym_let,
    ACTIONS(21), 1,
      anon_sym_CARET,
    ACTIONS(23), 1,
      sym_number_literal,
    ACTIONS(27), 1,
      anon_sym_DOLLAR,
    ACTIONS(29), 1,
      anon_sym_DQUOTE,
    ACTIONS(31), 1,
      anon_sym_SQUOTE,
    ACTIONS(33), 1,
      anon_sym_BQUOTE,
    ACTIONS(35), 1,
      aux_sym_file_path_token1,
    ACTIONS(37), 1,
      aux_sym_file_path_token2,
    ACTIONS(39), 1,
      sym_identifier,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(69), 1,
      anon_sym_RBRACE,
    STATE(24), 1,
      aux_sym__statements_repeat1,
    STATE(205), 1,
      sym_value_path,
    STATE(229), 1,
      sym_string,
    STATE(406), 1,
      aux_sym__statement_repeat1,
    STATE(407), 1,
      sym_record_entry,
    STATE(527), 1,
      sym__statements,
    ACTIONS(11), 2,
      anon_sym_def,
      anon_sym_def_DASHenv,
    ACTIONS(25), 2,
      sym_word,
      sym_flag_arg,
    STATE(431), 6,
      sym__statement,
      sym_env_export,
      sym_if_statement,
      sym_function_definition,
      sym_alias,
      sym_variable_declaration,
    STATE(237), 9,
      sym_command,
      sym__expression,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [1342] = 28,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_export,
    ACTIONS(9), 1,
      anon_sym_if,
    ACTIONS(13), 1,
      anon_sym_alias,
    ACTIONS(15), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(19), 1,
      anon_sym_let,
    ACTIONS(21), 1,
      anon_sym_CARET,
    ACTIONS(23), 1,
      sym_number_literal,
    ACTIONS(27), 1,
      anon_sym_DOLLAR,
    ACTIONS(29), 1,
      anon_sym_DQUOTE,
    ACTIONS(31), 1,
      anon_sym_SQUOTE,
    ACTIONS(33), 1,
      anon_sym_BQUOTE,
    ACTIONS(35), 1,
      aux_sym_file_path_token1,
    ACTIONS(37), 1,
      aux_sym_file_path_token2,
    ACTIONS(39), 1,
      sym_identifier,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(71), 1,
      anon_sym_RBRACE,
    STATE(24), 1,
      aux_sym__statements_repeat1,
    STATE(205), 1,
      sym_value_path,
    STATE(229), 1,
      sym_string,
    STATE(406), 1,
      aux_sym__statement_repeat1,
    STATE(407), 1,
      sym_record_entry,
    STATE(550), 1,
      sym__statements,
    ACTIONS(11), 2,
      anon_sym_def,
      anon_sym_def_DASHenv,
    ACTIONS(25), 2,
      sym_word,
      sym_flag_arg,
    STATE(431), 6,
      sym__statement,
      sym_env_export,
      sym_if_statement,
      sym_function_definition,
      sym_alias,
      sym_variable_declaration,
    STATE(237), 9,
      sym_command,
      sym__expression,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [1442] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_export,
    ACTIONS(9), 1,
      anon_sym_if,
    ACTIONS(13), 1,
      anon_sym_alias,
    ACTIONS(15), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(19), 1,
      anon_sym_let,
    ACTIONS(21), 1,
      anon_sym_CARET,
    ACTIONS(23), 1,
      sym_number_literal,
    ACTIONS(27), 1,
      anon_sym_DOLLAR,
    ACTIONS(29), 1,
      anon_sym_DQUOTE,
    ACTIONS(31), 1,
      anon_sym_SQUOTE,
    ACTIONS(33), 1,
      anon_sym_BQUOTE,
    ACTIONS(35), 1,
      aux_sym_file_path_token1,
    ACTIONS(37), 1,
      aux_sym_file_path_token2,
    ACTIONS(39), 1,
      sym_identifier,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(24), 1,
      aux_sym__statements_repeat1,
    STATE(205), 1,
      sym_value_path,
    STATE(229), 1,
      sym_string,
    STATE(406), 1,
      aux_sym__statement_repeat1,
    STATE(407), 1,
      sym_record_entry,
    STATE(563), 1,
      sym__statements,
    ACTIONS(11), 2,
      anon_sym_def,
      anon_sym_def_DASHenv,
    ACTIONS(25), 2,
      sym_word,
      sym_flag_arg,
    STATE(431), 6,
      sym__statement,
      sym_env_export,
      sym_if_statement,
      sym_function_definition,
      sym_alias,
      sym_variable_declaration,
    STATE(237), 9,
      sym_command,
      sym__expression,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [1539] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_export,
    ACTIONS(9), 1,
      anon_sym_if,
    ACTIONS(13), 1,
      anon_sym_alias,
    ACTIONS(15), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(19), 1,
      anon_sym_let,
    ACTIONS(21), 1,
      anon_sym_CARET,
    ACTIONS(23), 1,
      sym_number_literal,
    ACTIONS(27), 1,
      anon_sym_DOLLAR,
    ACTIONS(29), 1,
      anon_sym_DQUOTE,
    ACTIONS(31), 1,
      anon_sym_SQUOTE,
    ACTIONS(33), 1,
      anon_sym_BQUOTE,
    ACTIONS(35), 1,
      aux_sym_file_path_token1,
    ACTIONS(37), 1,
      aux_sym_file_path_token2,
    ACTIONS(39), 1,
      sym_identifier,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(24), 1,
      aux_sym__statements_repeat1,
    STATE(205), 1,
      sym_value_path,
    STATE(229), 1,
      sym_string,
    STATE(406), 1,
      aux_sym__statement_repeat1,
    STATE(407), 1,
      sym_record_entry,
    STATE(545), 1,
      sym__statements,
    ACTIONS(11), 2,
      anon_sym_def,
      anon_sym_def_DASHenv,
    ACTIONS(25), 2,
      sym_word,
      sym_flag_arg,
    STATE(431), 6,
      sym__statement,
      sym_env_export,
      sym_if_statement,
      sym_function_definition,
      sym_alias,
      sym_variable_declaration,
    STATE(237), 9,
      sym_command,
      sym__expression,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [1636] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_export,
    ACTIONS(9), 1,
      anon_sym_if,
    ACTIONS(13), 1,
      anon_sym_alias,
    ACTIONS(15), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(19), 1,
      anon_sym_let,
    ACTIONS(21), 1,
      anon_sym_CARET,
    ACTIONS(23), 1,
      sym_number_literal,
    ACTIONS(27), 1,
      anon_sym_DOLLAR,
    ACTIONS(29), 1,
      anon_sym_DQUOTE,
    ACTIONS(31), 1,
      anon_sym_SQUOTE,
    ACTIONS(33), 1,
      anon_sym_BQUOTE,
    ACTIONS(35), 1,
      aux_sym_file_path_token1,
    ACTIONS(37), 1,
      aux_sym_file_path_token2,
    ACTIONS(39), 1,
      sym_identifier,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(24), 1,
      aux_sym__statements_repeat1,
    STATE(205), 1,
      sym_value_path,
    STATE(229), 1,
      sym_string,
    STATE(406), 1,
      aux_sym__statement_repeat1,
    STATE(407), 1,
      sym_record_entry,
    STATE(538), 1,
      sym__statements,
    ACTIONS(11), 2,
      anon_sym_def,
      anon_sym_def_DASHenv,
    ACTIONS(25), 2,
      sym_word,
      sym_flag_arg,
    STATE(431), 6,
      sym__statement,
      sym_env_export,
      sym_if_statement,
      sym_function_definition,
      sym_alias,
      sym_variable_declaration,
    STATE(237), 9,
      sym_command,
      sym__expression,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [1733] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_export,
    ACTIONS(9), 1,
      anon_sym_if,
    ACTIONS(13), 1,
      anon_sym_alias,
    ACTIONS(15), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(19), 1,
      anon_sym_let,
    ACTIONS(21), 1,
      anon_sym_CARET,
    ACTIONS(23), 1,
      sym_number_literal,
    ACTIONS(27), 1,
      anon_sym_DOLLAR,
    ACTIONS(29), 1,
      anon_sym_DQUOTE,
    ACTIONS(31), 1,
      anon_sym_SQUOTE,
    ACTIONS(33), 1,
      anon_sym_BQUOTE,
    ACTIONS(35), 1,
      aux_sym_file_path_token1,
    ACTIONS(37), 1,
      aux_sym_file_path_token2,
    ACTIONS(39), 1,
      sym_identifier,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(24), 1,
      aux_sym__statements_repeat1,
    STATE(205), 1,
      sym_value_path,
    STATE(229), 1,
      sym_string,
    STATE(406), 1,
      aux_sym__statement_repeat1,
    STATE(407), 1,
      sym_record_entry,
    STATE(518), 1,
      sym__statements,
    ACTIONS(11), 2,
      anon_sym_def,
      anon_sym_def_DASHenv,
    ACTIONS(25), 2,
      sym_word,
      sym_flag_arg,
    STATE(431), 6,
      sym__statement,
      sym_env_export,
      sym_if_statement,
      sym_function_definition,
      sym_alias,
      sym_variable_declaration,
    STATE(237), 9,
      sym_command,
      sym__expression,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [1830] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_export,
    ACTIONS(9), 1,
      anon_sym_if,
    ACTIONS(13), 1,
      anon_sym_alias,
    ACTIONS(15), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(19), 1,
      anon_sym_let,
    ACTIONS(21), 1,
      anon_sym_CARET,
    ACTIONS(23), 1,
      sym_number_literal,
    ACTIONS(27), 1,
      anon_sym_DOLLAR,
    ACTIONS(29), 1,
      anon_sym_DQUOTE,
    ACTIONS(31), 1,
      anon_sym_SQUOTE,
    ACTIONS(33), 1,
      anon_sym_BQUOTE,
    ACTIONS(35), 1,
      aux_sym_file_path_token1,
    ACTIONS(37), 1,
      aux_sym_file_path_token2,
    ACTIONS(39), 1,
      sym_identifier,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(24), 1,
      aux_sym__statements_repeat1,
    STATE(205), 1,
      sym_value_path,
    STATE(229), 1,
      sym_string,
    STATE(406), 1,
      aux_sym__statement_repeat1,
    STATE(407), 1,
      sym_record_entry,
    STATE(560), 1,
      sym__statements,
    ACTIONS(11), 2,
      anon_sym_def,
      anon_sym_def_DASHenv,
    ACTIONS(25), 2,
      sym_word,
      sym_flag_arg,
    STATE(431), 6,
      sym__statement,
      sym_env_export,
      sym_if_statement,
      sym_function_definition,
      sym_alias,
      sym_variable_declaration,
    STATE(237), 9,
      sym_command,
      sym__expression,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [1927] = 27,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_export,
    ACTIONS(9), 1,
      anon_sym_if,
    ACTIONS(13), 1,
      anon_sym_alias,
    ACTIONS(15), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(19), 1,
      anon_sym_let,
    ACTIONS(21), 1,
      anon_sym_CARET,
    ACTIONS(23), 1,
      sym_number_literal,
    ACTIONS(27), 1,
      anon_sym_DOLLAR,
    ACTIONS(29), 1,
      anon_sym_DQUOTE,
    ACTIONS(31), 1,
      anon_sym_SQUOTE,
    ACTIONS(33), 1,
      anon_sym_BQUOTE,
    ACTIONS(35), 1,
      aux_sym_file_path_token1,
    ACTIONS(37), 1,
      aux_sym_file_path_token2,
    ACTIONS(39), 1,
      sym_identifier,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(24), 1,
      aux_sym__statements_repeat1,
    STATE(205), 1,
      sym_value_path,
    STATE(229), 1,
      sym_string,
    STATE(406), 1,
      aux_sym__statement_repeat1,
    STATE(407), 1,
      sym_record_entry,
    STATE(557), 1,
      sym__statements,
    ACTIONS(11), 2,
      anon_sym_def,
      anon_sym_def_DASHenv,
    ACTIONS(25), 2,
      sym_word,
      sym_flag_arg,
    STATE(431), 6,
      sym__statement,
      sym_env_export,
      sym_if_statement,
      sym_function_definition,
      sym_alias,
      sym_variable_declaration,
    STATE(237), 9,
      sym_command,
      sym__expression,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [2024] = 5,
    ACTIONS(77), 1,
      anon_sym_DOT,
    ACTIONS(79), 1,
      sym_comment,
    STATE(25), 1,
      aux_sym_value_path_repeat1,
    ACTIONS(75), 2,
      sym__cmd_newline,
      anon_sym_LF,
    ACTIONS(73), 36,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      sym_number_literal,
      sym_word,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
      sym_flag_arg,
      anon_sym_DOT_DOT,
      sym_identifier,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [2076] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(81), 1,
      anon_sym_export,
    ACTIONS(84), 1,
      anon_sym_if,
    ACTIONS(90), 1,
      anon_sym_alias,
    ACTIONS(93), 1,
      anon_sym_LBRACK,
    ACTIONS(96), 1,
      anon_sym_LPAREN,
    ACTIONS(99), 1,
      anon_sym_let,
    ACTIONS(102), 1,
      anon_sym_CARET,
    ACTIONS(105), 1,
      sym_number_literal,
    ACTIONS(111), 1,
      anon_sym_DOLLAR,
    ACTIONS(114), 1,
      anon_sym_DQUOTE,
    ACTIONS(117), 1,
      anon_sym_SQUOTE,
    ACTIONS(120), 1,
      anon_sym_BQUOTE,
    ACTIONS(123), 1,
      aux_sym_file_path_token1,
    ACTIONS(126), 1,
      aux_sym_file_path_token2,
    ACTIONS(129), 1,
      sym_identifier,
    ACTIONS(132), 1,
      anon_sym_LBRACE,
    STATE(23), 1,
      aux_sym__statements_repeat1,
    STATE(205), 1,
      sym_value_path,
    STATE(229), 1,
      sym_string,
    STATE(406), 1,
      aux_sym__statement_repeat1,
    STATE(407), 1,
      sym_record_entry,
    ACTIONS(87), 2,
      anon_sym_def,
      anon_sym_def_DASHenv,
    ACTIONS(108), 2,
      sym_word,
      sym_flag_arg,
    STATE(460), 6,
      sym__statement,
      sym_env_export,
      sym_if_statement,
      sym_function_definition,
      sym_alias,
      sym_variable_declaration,
    STATE(237), 9,
      sym_command,
      sym__expression,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [2170] = 26,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_export,
    ACTIONS(9), 1,
      anon_sym_if,
    ACTIONS(13), 1,
      anon_sym_alias,
    ACTIONS(15), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(19), 1,
      anon_sym_let,
    ACTIONS(21), 1,
      anon_sym_CARET,
    ACTIONS(23), 1,
      sym_number_literal,
    ACTIONS(27), 1,
      anon_sym_DOLLAR,
    ACTIONS(29), 1,
      anon_sym_DQUOTE,
    ACTIONS(31), 1,
      anon_sym_SQUOTE,
    ACTIONS(33), 1,
      anon_sym_BQUOTE,
    ACTIONS(35), 1,
      aux_sym_file_path_token1,
    ACTIONS(37), 1,
      aux_sym_file_path_token2,
    ACTIONS(39), 1,
      sym_identifier,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(23), 1,
      aux_sym__statements_repeat1,
    STATE(205), 1,
      sym_value_path,
    STATE(229), 1,
      sym_string,
    STATE(406), 1,
      aux_sym__statement_repeat1,
    STATE(407), 1,
      sym_record_entry,
    ACTIONS(11), 2,
      anon_sym_def,
      anon_sym_def_DASHenv,
    ACTIONS(25), 2,
      sym_word,
      sym_flag_arg,
    STATE(430), 6,
      sym__statement,
      sym_env_export,
      sym_if_statement,
      sym_function_definition,
      sym_alias,
      sym_variable_declaration,
    STATE(237), 9,
      sym_command,
      sym__expression,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [2264] = 5,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(139), 1,
      anon_sym_DOT,
    STATE(25), 1,
      aux_sym_value_path_repeat1,
    ACTIONS(137), 2,
      sym__cmd_newline,
      anon_sym_LF,
    ACTIONS(135), 36,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      sym_number_literal,
      sym_word,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
      sym_flag_arg,
      anon_sym_DOT_DOT,
      sym_identifier,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [2316] = 5,
    ACTIONS(77), 1,
      anon_sym_DOT,
    ACTIONS(79), 1,
      sym_comment,
    STATE(22), 1,
      aux_sym_value_path_repeat1,
    ACTIONS(144), 2,
      sym__cmd_newline,
      anon_sym_LF,
    ACTIONS(142), 36,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      sym_number_literal,
      sym_word,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
      sym_flag_arg,
      anon_sym_DOT_DOT,
      sym_identifier,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [2368] = 25,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(7), 1,
      anon_sym_export,
    ACTIONS(9), 1,
      anon_sym_if,
    ACTIONS(13), 1,
      anon_sym_alias,
    ACTIONS(15), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(19), 1,
      anon_sym_let,
    ACTIONS(21), 1,
      anon_sym_CARET,
    ACTIONS(23), 1,
      sym_number_literal,
    ACTIONS(27), 1,
      anon_sym_DOLLAR,
    ACTIONS(29), 1,
      anon_sym_DQUOTE,
    ACTIONS(31), 1,
      anon_sym_SQUOTE,
    ACTIONS(33), 1,
      anon_sym_BQUOTE,
    ACTIONS(35), 1,
      aux_sym_file_path_token1,
    ACTIONS(37), 1,
      aux_sym_file_path_token2,
    ACTIONS(39), 1,
      sym_identifier,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    STATE(205), 1,
      sym_value_path,
    STATE(229), 1,
      sym_string,
    STATE(406), 1,
      aux_sym__statement_repeat1,
    STATE(407), 1,
      sym_record_entry,
    ACTIONS(11), 2,
      anon_sym_def,
      anon_sym_def_DASHenv,
    ACTIONS(25), 2,
      sym_word,
      sym_flag_arg,
    STATE(438), 6,
      sym__statement,
      sym_env_export,
      sym_if_statement,
      sym_function_definition,
      sym_alias,
      sym_variable_declaration,
    STATE(237), 9,
      sym_command,
      sym__expression,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [2459] = 5,
    ACTIONS(77), 1,
      anon_sym_DOT,
    ACTIONS(79), 1,
      sym_comment,
    STATE(30), 1,
      aux_sym_value_path_repeat1,
    ACTIONS(148), 2,
      sym__cmd_newline,
      anon_sym_LF,
    ACTIONS(146), 35,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      sym_number_literal,
      sym_word,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [2510] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(137), 2,
      sym__cmd_newline,
      anon_sym_LF,
    ACTIONS(135), 37,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      sym_number_literal,
      sym_word,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      anon_sym_DOT,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
      sym_flag_arg,
      anon_sym_DOT_DOT,
      sym_identifier,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [2557] = 5,
    ACTIONS(77), 1,
      anon_sym_DOT,
    ACTIONS(79), 1,
      sym_comment,
    STATE(25), 1,
      aux_sym_value_path_repeat1,
    ACTIONS(152), 2,
      sym__cmd_newline,
      anon_sym_LF,
    ACTIONS(150), 35,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      sym_number_literal,
      sym_word,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [2608] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(154), 1,
      anon_sym_DOT,
    STATE(31), 1,
      aux_sym_value_path_repeat1,
    ACTIONS(135), 12,
      anon_sym_EQ,
      sym_number_literal,
      sym_word,
      aux_sym_file_path_token2,
      sym_flag_arg,
      anon_sym_DOT_DOT,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(137), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [2658] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(157), 1,
      anon_sym_DOT,
    STATE(31), 1,
      aux_sym_value_path_repeat1,
    ACTIONS(73), 12,
      anon_sym_EQ,
      sym_number_literal,
      sym_word,
      aux_sym_file_path_token2,
      sym_flag_arg,
      anon_sym_DOT_DOT,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(75), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [2708] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(157), 1,
      anon_sym_DOT,
    STATE(32), 1,
      aux_sym_value_path_repeat1,
    ACTIONS(142), 12,
      anon_sym_EQ,
      sym_number_literal,
      sym_word,
      aux_sym_file_path_token2,
      sym_flag_arg,
      anon_sym_DOT_DOT,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(144), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [2758] = 5,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(165), 1,
      anon_sym_DOT_DOT,
    ACTIONS(161), 2,
      sym__cmd_newline,
      anon_sym_LF,
    ACTIONS(159), 16,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      sym_number_literal,
      sym_word,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_LBRACE,
    ACTIONS(163), 19,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [2808] = 4,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(165), 1,
      anon_sym_DOT_DOT,
    ACTIONS(167), 2,
      sym__cmd_newline,
      anon_sym_LF,
    ACTIONS(163), 35,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      sym_number_literal,
      sym_word,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [2856] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(171), 2,
      sym__cmd_newline,
      anon_sym_LF,
    ACTIONS(169), 35,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      sym_number_literal,
      sym_word,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [2901] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(175), 2,
      sym__cmd_newline,
      anon_sym_LF,
    ACTIONS(173), 35,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      sym_number_literal,
      sym_word,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [2946] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(135), 13,
      anon_sym_EQ,
      sym_number_literal,
      sym_word,
      anon_sym_DOT,
      aux_sym_file_path_token2,
      sym_flag_arg,
      anon_sym_DOT_DOT,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(137), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [2991] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(179), 2,
      sym__cmd_newline,
      anon_sym_LF,
    ACTIONS(177), 35,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      sym_number_literal,
      sym_word,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [3036] = 10,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(185), 1,
      anon_sym_EQ,
    ACTIONS(191), 1,
      anon_sym_AMP_AMP,
    ACTIONS(183), 2,
      sym__cmd_newline,
      anon_sym_LF,
    ACTIONS(187), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(197), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(189), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
    ACTIONS(193), 4,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
    ACTIONS(195), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(181), 17,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      sym_number_literal,
      sym_word,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_LBRACE,
      anon_sym_PIPE_PIPE,
  [3095] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(201), 2,
      sym__cmd_newline,
      anon_sym_LF,
    ACTIONS(199), 35,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      sym_number_literal,
      sym_word,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [3140] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(205), 2,
      sym__cmd_newline,
      anon_sym_LF,
    ACTIONS(203), 35,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      sym_number_literal,
      sym_word,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [3185] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(209), 2,
      sym__cmd_newline,
      anon_sym_LF,
    ACTIONS(207), 35,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      sym_number_literal,
      sym_word,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [3230] = 23,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(217), 1,
      anon_sym_QMARK,
    ACTIONS(219), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_CARET,
    ACTIONS(223), 1,
      sym_number_literal,
    ACTIONS(227), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(233), 1,
      anon_sym_BQUOTE,
    ACTIONS(237), 1,
      sym_identifier,
    ACTIONS(240), 1,
      anon_sym_LBRACE,
    STATE(34), 1,
      sym_value_path,
    STATE(162), 1,
      aux_sym_command_repeat1,
    STATE(395), 1,
      sym__terminator,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(211), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    ACTIONS(213), 2,
      sym__cmd_newline,
      anon_sym_LF,
    ACTIONS(225), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(235), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    STATE(398), 2,
      sym_command,
      sym__expression,
    ACTIONS(159), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [3315] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(244), 2,
      sym__cmd_newline,
      anon_sym_LF,
    ACTIONS(242), 35,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      sym_number_literal,
      sym_word,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [3360] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(248), 2,
      sym__cmd_newline,
      anon_sym_LF,
    ACTIONS(246), 35,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      sym_number_literal,
      sym_word,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [3405] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(252), 2,
      sym__cmd_newline,
      anon_sym_LF,
    ACTIONS(250), 35,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      sym_number_literal,
      sym_word,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [3450] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(256), 2,
      sym__cmd_newline,
      anon_sym_LF,
    ACTIONS(254), 35,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      sym_number_literal,
      sym_word,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [3495] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(256), 2,
      sym__cmd_newline,
      anon_sym_LF,
    ACTIONS(254), 35,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      sym_number_literal,
      sym_word,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [3540] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(260), 2,
      sym__cmd_newline,
      anon_sym_LF,
    ACTIONS(258), 35,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      sym_number_literal,
      sym_word,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [3585] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(260), 2,
      sym__cmd_newline,
      anon_sym_LF,
    ACTIONS(258), 35,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      sym_number_literal,
      sym_word,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [3630] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(183), 2,
      sym__cmd_newline,
      anon_sym_LF,
    ACTIONS(181), 35,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      sym_number_literal,
      sym_word,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [3675] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(260), 2,
      sym__cmd_newline,
      anon_sym_LF,
    ACTIONS(258), 35,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      sym_number_literal,
      sym_word,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [3720] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(264), 2,
      sym__cmd_newline,
      anon_sym_LF,
    ACTIONS(262), 35,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      sym_number_literal,
      sym_word,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [3765] = 5,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(185), 1,
      anon_sym_EQ,
    ACTIONS(183), 2,
      sym__cmd_newline,
      anon_sym_LF,
    ACTIONS(189), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
    ACTIONS(181), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      sym_number_literal,
      sym_word,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [3814] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(268), 2,
      sym__cmd_newline,
      anon_sym_LF,
    ACTIONS(266), 35,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      sym_number_literal,
      sym_word,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [3859] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(157), 1,
      anon_sym_DOT,
    STATE(31), 1,
      aux_sym_value_path_repeat1,
    ACTIONS(150), 11,
      anon_sym_EQ,
      sym_number_literal,
      sym_word,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(152), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [3908] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(201), 2,
      sym__cmd_newline,
      anon_sym_LF,
    ACTIONS(199), 35,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      sym_number_literal,
      sym_word,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [3953] = 4,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(185), 1,
      anon_sym_EQ,
    ACTIONS(183), 2,
      sym__cmd_newline,
      anon_sym_LF,
    ACTIONS(181), 34,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      sym_number_literal,
      sym_word,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [4000] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(272), 2,
      sym__cmd_newline,
      anon_sym_LF,
    ACTIONS(270), 35,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      sym_number_literal,
      sym_word,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [4045] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(260), 2,
      sym__cmd_newline,
      anon_sym_LF,
    ACTIONS(258), 35,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      sym_number_literal,
      sym_word,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [4090] = 6,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(185), 1,
      anon_sym_EQ,
    ACTIONS(183), 2,
      sym__cmd_newline,
      anon_sym_LF,
    ACTIONS(187), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(189), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
    ACTIONS(181), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      sym_number_literal,
      sym_word,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_LBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [4141] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(157), 1,
      anon_sym_DOT,
    STATE(57), 1,
      aux_sym_value_path_repeat1,
    ACTIONS(146), 11,
      anon_sym_EQ,
      sym_number_literal,
      sym_word,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(148), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [4190] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(276), 2,
      sym__cmd_newline,
      anon_sym_LF,
    ACTIONS(274), 35,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      sym_number_literal,
      sym_word,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [4235] = 8,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(185), 1,
      anon_sym_EQ,
    ACTIONS(183), 2,
      sym__cmd_newline,
      anon_sym_LF,
    ACTIONS(187), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(197), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(189), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
    ACTIONS(195), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(181), 22,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      sym_number_literal,
      sym_word,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_LBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
  [4290] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(280), 2,
      sym__cmd_newline,
      anon_sym_LF,
    ACTIONS(278), 35,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      sym_number_literal,
      sym_word,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [4335] = 9,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(185), 1,
      anon_sym_EQ,
    ACTIONS(183), 2,
      sym__cmd_newline,
      anon_sym_LF,
    ACTIONS(187), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(197), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(189), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
    ACTIONS(193), 4,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
    ACTIONS(195), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(181), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      sym_number_literal,
      sym_word,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_LBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [4392] = 4,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(161), 2,
      sym__cmd_newline,
      anon_sym_LF,
    ACTIONS(159), 16,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      sym_number_literal,
      sym_word,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_LBRACE,
    ACTIONS(163), 19,
      anon_sym_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [4439] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(284), 2,
      sym__cmd_newline,
      anon_sym_LF,
    ACTIONS(282), 35,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      sym_number_literal,
      sym_word,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [4484] = 7,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(185), 1,
      anon_sym_EQ,
    ACTIONS(183), 2,
      sym__cmd_newline,
      anon_sym_LF,
    ACTIONS(187), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(197), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(189), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
    ACTIONS(181), 26,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      sym_number_literal,
      sym_word,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_LBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [4537] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(286), 1,
      anon_sym_SEMI,
    ACTIONS(163), 11,
      anon_sym_EQ,
      sym_number_literal,
      sym_word,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(167), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [4583] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(288), 1,
      anon_sym_SEMI,
    ACTIONS(163), 11,
      anon_sym_EQ,
      sym_number_literal,
      sym_word,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(167), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [4629] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(290), 1,
      anon_sym_DOT_DOT,
    ACTIONS(163), 11,
      anon_sym_EQ,
      sym_number_literal,
      sym_word,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(167), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [4675] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(292), 1,
      anon_sym_SEMI,
    ACTIONS(163), 11,
      anon_sym_EQ,
      sym_number_literal,
      sym_word,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(167), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [4721] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(246), 11,
      anon_sym_EQ,
      sym_number_literal,
      sym_word,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(248), 25,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [4765] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(294), 1,
      anon_sym_SEMI,
    ACTIONS(163), 11,
      anon_sym_EQ,
      sym_number_literal,
      sym_word,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(167), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [4811] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(296), 1,
      anon_sym_SEMI,
    ACTIONS(163), 11,
      anon_sym_EQ,
      sym_number_literal,
      sym_word,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(167), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [4857] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(298), 1,
      anon_sym_SEMI,
    ACTIONS(163), 11,
      anon_sym_EQ,
      sym_number_literal,
      sym_word,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(167), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [4903] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(207), 11,
      anon_sym_EQ,
      sym_number_literal,
      sym_word,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(209), 25,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [4947] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 11,
      anon_sym_EQ,
      sym_number_literal,
      sym_word,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(183), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [4990] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(254), 11,
      anon_sym_EQ,
      sym_number_literal,
      sym_word,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(256), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [5033] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(300), 1,
      anon_sym_EQ,
    ACTIONS(302), 1,
      anon_sym_PLUS,
    ACTIONS(304), 1,
      anon_sym_DASH,
    ACTIONS(308), 1,
      anon_sym_mod,
    ACTIONS(312), 1,
      anon_sym_in,
    ACTIONS(314), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(316), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(306), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(310), 3,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(181), 5,
      sym_number_literal,
      sym_word,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
    ACTIONS(183), 13,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      anon_sym_LBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [5096] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(300), 1,
      anon_sym_EQ,
    ACTIONS(302), 1,
      anon_sym_PLUS,
    ACTIONS(304), 1,
      anon_sym_DASH,
    ACTIONS(308), 1,
      anon_sym_mod,
    ACTIONS(314), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(316), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(306), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(181), 6,
      sym_number_literal,
      sym_word,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_in,
    ACTIONS(183), 16,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      anon_sym_LBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [5155] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(300), 1,
      anon_sym_EQ,
    ACTIONS(302), 1,
      anon_sym_PLUS,
    ACTIONS(304), 1,
      anon_sym_DASH,
    ACTIONS(308), 1,
      anon_sym_mod,
    ACTIONS(318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(306), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(181), 8,
      sym_number_literal,
      sym_word,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(183), 18,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      anon_sym_LBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [5210] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(300), 1,
      anon_sym_EQ,
    ACTIONS(302), 1,
      anon_sym_PLUS,
    ACTIONS(304), 1,
      anon_sym_DASH,
    ACTIONS(308), 1,
      anon_sym_mod,
    ACTIONS(306), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(181), 8,
      sym_number_literal,
      sym_word,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(183), 20,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      anon_sym_LBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [5263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(266), 11,
      anon_sym_EQ,
      sym_number_literal,
      sym_word,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(268), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [5306] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(270), 11,
      anon_sym_EQ,
      sym_number_literal,
      sym_word,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(272), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [5349] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(258), 11,
      anon_sym_EQ,
      sym_number_literal,
      sym_word,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(260), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [5392] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(258), 11,
      anon_sym_EQ,
      sym_number_literal,
      sym_word,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(260), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [5435] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(177), 11,
      anon_sym_EQ,
      sym_number_literal,
      sym_word,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(179), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [5478] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(300), 1,
      anon_sym_EQ,
    ACTIONS(302), 1,
      anon_sym_PLUS,
    ACTIONS(304), 1,
      anon_sym_DASH,
    ACTIONS(308), 1,
      anon_sym_mod,
    ACTIONS(312), 1,
      anon_sym_in,
    ACTIONS(320), 1,
      anon_sym_COMMA,
    ACTIONS(326), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(314), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(316), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(306), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(310), 3,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(324), 5,
      sym_number_literal,
      sym_word,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
    ACTIONS(322), 10,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      anon_sym_LBRACE,
  [5547] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(300), 1,
      anon_sym_EQ,
    ACTIONS(181), 10,
      sym_number_literal,
      sym_word,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(183), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [5592] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(300), 1,
      anon_sym_EQ,
    ACTIONS(308), 1,
      anon_sym_mod,
    ACTIONS(306), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(181), 9,
      sym_number_literal,
      sym_word,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(183), 21,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [5641] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(282), 11,
      anon_sym_EQ,
      sym_number_literal,
      sym_word,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(284), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [5684] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(258), 11,
      anon_sym_EQ,
      sym_number_literal,
      sym_word,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(260), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [5727] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(169), 11,
      anon_sym_EQ,
      sym_number_literal,
      sym_word,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(171), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [5770] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(242), 11,
      anon_sym_EQ,
      sym_number_literal,
      sym_word,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(244), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [5813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(199), 11,
      anon_sym_EQ,
      sym_number_literal,
      sym_word,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(201), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [5856] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(199), 11,
      anon_sym_EQ,
      sym_number_literal,
      sym_word,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(201), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [5899] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(258), 11,
      anon_sym_EQ,
      sym_number_literal,
      sym_word,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(260), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [5942] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(300), 1,
      anon_sym_EQ,
    ACTIONS(302), 1,
      anon_sym_PLUS,
    ACTIONS(304), 1,
      anon_sym_DASH,
    ACTIONS(308), 1,
      anon_sym_mod,
    ACTIONS(312), 1,
      anon_sym_in,
    ACTIONS(328), 1,
      anon_sym_AMP_AMP,
    ACTIONS(314), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(316), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(318), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(306), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(310), 3,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(181), 5,
      sym_number_literal,
      sym_word,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
    ACTIONS(183), 12,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      anon_sym_LBRACE,
      anon_sym_PIPE_PIPE,
  [6007] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(250), 11,
      anon_sym_EQ,
      sym_number_literal,
      sym_word,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(252), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [6050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(278), 11,
      anon_sym_EQ,
      sym_number_literal,
      sym_word,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(280), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [6093] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(274), 11,
      anon_sym_EQ,
      sym_number_literal,
      sym_word,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(276), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [6136] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(203), 11,
      anon_sym_EQ,
      sym_number_literal,
      sym_word,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(205), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [6179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(173), 11,
      anon_sym_EQ,
      sym_number_literal,
      sym_word,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(175), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [6222] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(254), 11,
      anon_sym_EQ,
      sym_number_literal,
      sym_word,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(256), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [6265] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(262), 11,
      anon_sym_EQ,
      sym_number_literal,
      sym_word,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(264), 24,
      anon_sym_COMMA,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [6308] = 5,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(330), 1,
      anon_sym_DOT,
    STATE(109), 1,
      aux_sym_value_path_repeat1,
    ACTIONS(137), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(135), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      anon_sym_DOT_DOT,
      sym_identifier,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [6354] = 23,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(219), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_CARET,
    ACTIONS(223), 1,
      sym_number_literal,
    ACTIONS(227), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(233), 1,
      anon_sym_BQUOTE,
    ACTIONS(240), 1,
      anon_sym_LBRACE,
    ACTIONS(337), 1,
      anon_sym_COLON,
    ACTIONS(339), 1,
      anon_sym_QMARK,
    ACTIONS(341), 1,
      sym_identifier,
    STATE(34), 1,
      sym_value_path,
    STATE(163), 1,
      aux_sym_command_repeat1,
    STATE(240), 1,
      sym__terminator,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(225), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(235), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    ACTIONS(333), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    ACTIONS(335), 2,
      sym__cmd_newline,
      anon_sym_LF,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [6436] = 5,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(343), 1,
      anon_sym_DOT,
    STATE(109), 1,
      aux_sym_value_path_repeat1,
    ACTIONS(75), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(73), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      anon_sym_DOT_DOT,
      sym_identifier,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [6482] = 5,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(343), 1,
      anon_sym_DOT,
    STATE(111), 1,
      aux_sym_value_path_repeat1,
    ACTIONS(144), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(142), 30,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      anon_sym_DOT_DOT,
      sym_identifier,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [6528] = 22,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(219), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_CARET,
    ACTIONS(223), 1,
      sym_number_literal,
    ACTIONS(227), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(233), 1,
      anon_sym_BQUOTE,
    ACTIONS(240), 1,
      anon_sym_LBRACE,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(349), 1,
      anon_sym_QMARK,
    STATE(34), 1,
      sym_value_path,
    STATE(102), 1,
      sym__terminator,
    STATE(136), 1,
      aux_sym_command_repeat1,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(225), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(235), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    ACTIONS(345), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    ACTIONS(347), 2,
      sym__cmd_newline,
      anon_sym_LF,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [6607] = 22,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(219), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_CARET,
    ACTIONS(223), 1,
      sym_number_literal,
    ACTIONS(227), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(233), 1,
      anon_sym_BQUOTE,
    ACTIONS(240), 1,
      anon_sym_LBRACE,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(355), 1,
      anon_sym_QMARK,
    STATE(34), 1,
      sym_value_path,
    STATE(154), 1,
      aux_sym_command_repeat1,
    STATE(185), 1,
      sym__terminator,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(225), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(235), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    ACTIONS(351), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    ACTIONS(353), 2,
      sym__cmd_newline,
      anon_sym_LF,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [6686] = 5,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(357), 1,
      anon_sym_DOT,
    STATE(109), 1,
      aux_sym_value_path_repeat1,
    ACTIONS(152), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(150), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_identifier,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [6731] = 22,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(217), 1,
      anon_sym_QMARK,
    ACTIONS(219), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_CARET,
    ACTIONS(223), 1,
      sym_number_literal,
    ACTIONS(227), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(233), 1,
      anon_sym_BQUOTE,
    ACTIONS(240), 1,
      anon_sym_LBRACE,
    ACTIONS(341), 1,
      sym_identifier,
    STATE(34), 1,
      sym_value_path,
    STATE(162), 1,
      aux_sym_command_repeat1,
    STATE(395), 1,
      sym__terminator,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(211), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    ACTIONS(213), 2,
      sym__cmd_newline,
      anon_sym_LF,
    ACTIONS(225), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(235), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [6810] = 22,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(219), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_CARET,
    ACTIONS(223), 1,
      sym_number_literal,
    ACTIONS(227), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(233), 1,
      anon_sym_BQUOTE,
    ACTIONS(240), 1,
      anon_sym_LBRACE,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(363), 1,
      anon_sym_QMARK,
    STATE(34), 1,
      sym_value_path,
    STATE(90), 1,
      sym__terminator,
    STATE(146), 1,
      aux_sym_command_repeat1,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(225), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(235), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    ACTIONS(359), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    ACTIONS(361), 2,
      sym__cmd_newline,
      anon_sym_LF,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [6889] = 22,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(217), 1,
      anon_sym_QMARK,
    ACTIONS(237), 1,
      sym_identifier,
    ACTIONS(371), 1,
      anon_sym_LBRACK,
    ACTIONS(374), 1,
      anon_sym_LPAREN,
    ACTIONS(377), 1,
      anon_sym_CARET,
    ACTIONS(380), 1,
      sym_number_literal,
    ACTIONS(386), 1,
      anon_sym_DOLLAR,
    ACTIONS(389), 1,
      anon_sym_DQUOTE,
    ACTIONS(392), 1,
      anon_sym_SQUOTE,
    ACTIONS(395), 1,
      anon_sym_BQUOTE,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    STATE(34), 1,
      sym_value_path,
    STATE(162), 1,
      aux_sym_command_repeat1,
    STATE(395), 1,
      sym__terminator,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(365), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    ACTIONS(368), 2,
      sym__cmd_newline,
      anon_sym_LF,
    ACTIONS(383), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(398), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [6968] = 5,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(357), 1,
      anon_sym_DOT,
    STATE(115), 1,
      aux_sym_value_path_repeat1,
    ACTIONS(148), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(146), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_identifier,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [7013] = 22,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(219), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_CARET,
    ACTIONS(223), 1,
      sym_number_literal,
    ACTIONS(227), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(233), 1,
      anon_sym_BQUOTE,
    ACTIONS(240), 1,
      anon_sym_LBRACE,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(408), 1,
      anon_sym_QMARK,
    STATE(34), 1,
      sym_value_path,
    STATE(135), 1,
      aux_sym_command_repeat1,
    STATE(348), 1,
      sym__terminator,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(225), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(235), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    ACTIONS(404), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    ACTIONS(406), 2,
      sym__cmd_newline,
      anon_sym_LF,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [7092] = 22,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(219), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_CARET,
    ACTIONS(223), 1,
      sym_number_literal,
    ACTIONS(227), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(233), 1,
      anon_sym_BQUOTE,
    ACTIONS(240), 1,
      anon_sym_LBRACE,
    ACTIONS(339), 1,
      anon_sym_QMARK,
    ACTIONS(341), 1,
      sym_identifier,
    STATE(34), 1,
      sym_value_path,
    STATE(163), 1,
      aux_sym_command_repeat1,
    STATE(240), 1,
      sym__terminator,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(225), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(235), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    ACTIONS(333), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    ACTIONS(335), 2,
      sym__cmd_newline,
      anon_sym_LF,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [7171] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(137), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(135), 31,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
      sym_identifier,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [7212] = 22,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(219), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_CARET,
    ACTIONS(223), 1,
      sym_number_literal,
    ACTIONS(227), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(233), 1,
      anon_sym_BQUOTE,
    ACTIONS(240), 1,
      anon_sym_LBRACE,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(414), 1,
      anon_sym_QMARK,
    STATE(34), 1,
      sym_value_path,
    STATE(138), 1,
      aux_sym_command_repeat1,
    STATE(354), 1,
      sym__terminator,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(225), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(235), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    ACTIONS(410), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    ACTIONS(412), 2,
      sym__cmd_newline,
      anon_sym_LF,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [7291] = 22,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(219), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_CARET,
    ACTIONS(223), 1,
      sym_number_literal,
    ACTIONS(227), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(233), 1,
      anon_sym_BQUOTE,
    ACTIONS(240), 1,
      anon_sym_LBRACE,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(420), 1,
      anon_sym_QMARK,
    STATE(34), 1,
      sym_value_path,
    STATE(47), 1,
      sym__terminator,
    STATE(132), 1,
      aux_sym_command_repeat1,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(225), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(235), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    ACTIONS(416), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    ACTIONS(418), 2,
      sym__cmd_newline,
      anon_sym_LF,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [7370] = 22,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(219), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_CARET,
    ACTIONS(223), 1,
      sym_number_literal,
    ACTIONS(227), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(233), 1,
      anon_sym_BQUOTE,
    ACTIONS(240), 1,
      anon_sym_LBRACE,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(426), 1,
      anon_sym_QMARK,
    STATE(34), 1,
      sym_value_path,
    STATE(150), 1,
      aux_sym_command_repeat1,
    STATE(290), 1,
      sym__terminator,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(225), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(235), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    ACTIONS(422), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    ACTIONS(424), 2,
      sym__cmd_newline,
      anon_sym_LF,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [7449] = 22,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(219), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_CARET,
    ACTIONS(223), 1,
      sym_number_literal,
    ACTIONS(227), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(233), 1,
      anon_sym_BQUOTE,
    ACTIONS(240), 1,
      anon_sym_LBRACE,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(432), 1,
      anon_sym_QMARK,
    STATE(34), 1,
      sym_value_path,
    STATE(39), 1,
      sym__terminator,
    STATE(131), 1,
      aux_sym_command_repeat1,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(225), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(235), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    ACTIONS(428), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    ACTIONS(430), 2,
      sym__cmd_newline,
      anon_sym_LF,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [7528] = 22,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(219), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_CARET,
    ACTIONS(223), 1,
      sym_number_literal,
    ACTIONS(227), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(233), 1,
      anon_sym_BQUOTE,
    ACTIONS(240), 1,
      anon_sym_LBRACE,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(438), 1,
      anon_sym_QMARK,
    STATE(34), 1,
      sym_value_path,
    STATE(166), 1,
      aux_sym_command_repeat1,
    STATE(393), 1,
      sym__terminator,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(225), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(235), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    ACTIONS(434), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    ACTIONS(436), 2,
      sym__cmd_newline,
      anon_sym_LF,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [7607] = 22,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(217), 1,
      anon_sym_QMARK,
    ACTIONS(219), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_CARET,
    ACTIONS(223), 1,
      sym_number_literal,
    ACTIONS(227), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(233), 1,
      anon_sym_BQUOTE,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(401), 1,
      anon_sym_LBRACE,
    STATE(34), 1,
      sym_value_path,
    STATE(162), 1,
      aux_sym_command_repeat1,
    STATE(395), 1,
      sym__terminator,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(211), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    ACTIONS(213), 2,
      sym__cmd_newline,
      anon_sym_LF,
    ACTIONS(225), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(235), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [7686] = 22,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(219), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_CARET,
    ACTIONS(223), 1,
      sym_number_literal,
    ACTIONS(227), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(233), 1,
      anon_sym_BQUOTE,
    ACTIONS(240), 1,
      anon_sym_LBRACE,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(444), 1,
      anon_sym_QMARK,
    STATE(34), 1,
      sym_value_path,
    STATE(156), 1,
      aux_sym_command_repeat1,
    STATE(189), 1,
      sym__terminator,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(225), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(235), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    ACTIONS(440), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    ACTIONS(442), 2,
      sym__cmd_newline,
      anon_sym_LF,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [7765] = 22,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(219), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_CARET,
    ACTIONS(223), 1,
      sym_number_literal,
    ACTIONS(227), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(233), 1,
      anon_sym_BQUOTE,
    ACTIONS(240), 1,
      anon_sym_LBRACE,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(448), 1,
      anon_sym_LF,
    ACTIONS(450), 1,
      sym__cmd_newline,
    STATE(34), 1,
      sym_value_path,
    STATE(100), 1,
      sym__terminator,
    STATE(179), 1,
      aux_sym_command_repeat1,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(225), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(235), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    ACTIONS(446), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [7843] = 22,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(219), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_CARET,
    ACTIONS(223), 1,
      sym_number_literal,
    ACTIONS(227), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(233), 1,
      anon_sym_BQUOTE,
    ACTIONS(240), 1,
      anon_sym_LBRACE,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(454), 1,
      anon_sym_LF,
    ACTIONS(456), 1,
      sym__cmd_newline,
    STATE(34), 1,
      sym_value_path,
    STATE(41), 1,
      sym__terminator,
    STATE(179), 1,
      aux_sym_command_repeat1,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(225), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(235), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    ACTIONS(452), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [7921] = 22,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(219), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_CARET,
    ACTIONS(223), 1,
      sym_number_literal,
    ACTIONS(227), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(233), 1,
      anon_sym_BQUOTE,
    ACTIONS(240), 1,
      anon_sym_LBRACE,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(460), 1,
      anon_sym_LF,
    ACTIONS(462), 1,
      sym__cmd_newline,
    STATE(34), 1,
      sym_value_path,
    STATE(53), 1,
      sym__terminator,
    STATE(179), 1,
      aux_sym_command_repeat1,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(225), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(235), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    ACTIONS(458), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [7999] = 22,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(219), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_CARET,
    ACTIONS(223), 1,
      sym_number_literal,
    ACTIONS(227), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(233), 1,
      anon_sym_BQUOTE,
    ACTIONS(240), 1,
      anon_sym_LBRACE,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(466), 1,
      anon_sym_LF,
    ACTIONS(468), 1,
      sym__cmd_newline,
    STATE(34), 1,
      sym_value_path,
    STATE(50), 1,
      sym__terminator,
    STATE(179), 1,
      aux_sym_command_repeat1,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(225), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(235), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    ACTIONS(464), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [8077] = 22,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(219), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_CARET,
    ACTIONS(223), 1,
      sym_number_literal,
    ACTIONS(227), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(233), 1,
      anon_sym_BQUOTE,
    ACTIONS(240), 1,
      anon_sym_LBRACE,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(472), 1,
      anon_sym_LF,
    ACTIONS(474), 1,
      sym__cmd_newline,
    STATE(34), 1,
      sym_value_path,
    STATE(48), 1,
      sym__terminator,
    STATE(179), 1,
      aux_sym_command_repeat1,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(225), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(235), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    ACTIONS(470), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [8155] = 22,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(219), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_CARET,
    ACTIONS(223), 1,
      sym_number_literal,
    ACTIONS(227), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(233), 1,
      anon_sym_BQUOTE,
    ACTIONS(240), 1,
      anon_sym_LBRACE,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(478), 1,
      anon_sym_LF,
    ACTIONS(480), 1,
      sym__cmd_newline,
    STATE(34), 1,
      sym_value_path,
    STATE(179), 1,
      aux_sym_command_repeat1,
    STATE(324), 1,
      sym__terminator,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(225), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(235), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    ACTIONS(476), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [8233] = 22,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(219), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_CARET,
    ACTIONS(223), 1,
      sym_number_literal,
    ACTIONS(227), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(233), 1,
      anon_sym_BQUOTE,
    ACTIONS(240), 1,
      anon_sym_LBRACE,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(484), 1,
      anon_sym_LF,
    ACTIONS(486), 1,
      sym__cmd_newline,
    STATE(34), 1,
      sym_value_path,
    STATE(89), 1,
      sym__terminator,
    STATE(179), 1,
      aux_sym_command_repeat1,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(225), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(235), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    ACTIONS(482), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [8311] = 21,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(219), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_CARET,
    ACTIONS(223), 1,
      sym_number_literal,
    ACTIONS(227), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(233), 1,
      anon_sym_BQUOTE,
    ACTIONS(240), 1,
      anon_sym_LBRACE,
    ACTIONS(341), 1,
      sym_identifier,
    STATE(34), 1,
      sym_value_path,
    STATE(143), 1,
      aux_sym_command_repeat1,
    STATE(336), 1,
      sym__terminator,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(225), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(235), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    ACTIONS(488), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    ACTIONS(490), 2,
      sym__cmd_newline,
      anon_sym_LF,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [8387] = 22,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(219), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_CARET,
    ACTIONS(223), 1,
      sym_number_literal,
    ACTIONS(227), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(233), 1,
      anon_sym_BQUOTE,
    ACTIONS(240), 1,
      anon_sym_LBRACE,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(494), 1,
      anon_sym_LF,
    ACTIONS(496), 1,
      sym__cmd_newline,
    STATE(34), 1,
      sym_value_path,
    STATE(179), 1,
      aux_sym_command_repeat1,
    STATE(344), 1,
      sym__terminator,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(225), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(235), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    ACTIONS(492), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [8465] = 21,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(219), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_CARET,
    ACTIONS(223), 1,
      sym_number_literal,
    ACTIONS(227), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(233), 1,
      anon_sym_BQUOTE,
    ACTIONS(240), 1,
      anon_sym_LBRACE,
    ACTIONS(341), 1,
      sym_identifier,
    STATE(34), 1,
      sym_value_path,
    STATE(87), 1,
      sym__terminator,
    STATE(140), 1,
      aux_sym_command_repeat1,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(225), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(235), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    ACTIONS(498), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    ACTIONS(500), 2,
      sym__cmd_newline,
      anon_sym_LF,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [8541] = 22,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(219), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_CARET,
    ACTIONS(223), 1,
      sym_number_literal,
    ACTIONS(227), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(233), 1,
      anon_sym_BQUOTE,
    ACTIONS(240), 1,
      anon_sym_LBRACE,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(504), 1,
      anon_sym_LF,
    ACTIONS(506), 1,
      sym__cmd_newline,
    STATE(34), 1,
      sym_value_path,
    STATE(107), 1,
      sym__terminator,
    STATE(179), 1,
      aux_sym_command_repeat1,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(225), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(235), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    ACTIONS(502), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [8619] = 22,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(219), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_CARET,
    ACTIONS(223), 1,
      sym_number_literal,
    ACTIONS(227), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(233), 1,
      anon_sym_BQUOTE,
    ACTIONS(240), 1,
      anon_sym_LBRACE,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(510), 1,
      anon_sym_LF,
    ACTIONS(512), 1,
      sym__cmd_newline,
    STATE(34), 1,
      sym_value_path,
    STATE(179), 1,
      aux_sym_command_repeat1,
    STATE(390), 1,
      sym__terminator,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(225), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(235), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    ACTIONS(508), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [8697] = 21,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(219), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_CARET,
    ACTIONS(223), 1,
      sym_number_literal,
    ACTIONS(227), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(233), 1,
      anon_sym_BQUOTE,
    ACTIONS(240), 1,
      anon_sym_LBRACE,
    ACTIONS(341), 1,
      sym_identifier,
    STATE(34), 1,
      sym_value_path,
    STATE(148), 1,
      aux_sym_command_repeat1,
    STATE(348), 1,
      sym__terminator,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(225), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(235), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    ACTIONS(404), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    ACTIONS(406), 2,
      sym__cmd_newline,
      anon_sym_LF,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [8773] = 22,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(219), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_CARET,
    ACTIONS(223), 1,
      sym_number_literal,
    ACTIONS(227), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(233), 1,
      anon_sym_BQUOTE,
    ACTIONS(240), 1,
      anon_sym_LBRACE,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(516), 1,
      anon_sym_LF,
    ACTIONS(518), 1,
      sym__cmd_newline,
    STATE(34), 1,
      sym_value_path,
    STATE(179), 1,
      aux_sym_command_repeat1,
    STATE(331), 1,
      sym__terminator,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(225), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(235), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    ACTIONS(514), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [8851] = 22,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(219), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_CARET,
    ACTIONS(223), 1,
      sym_number_literal,
    ACTIONS(227), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(233), 1,
      anon_sym_BQUOTE,
    ACTIONS(240), 1,
      anon_sym_LBRACE,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(522), 1,
      anon_sym_LF,
    ACTIONS(524), 1,
      sym__cmd_newline,
    STATE(34), 1,
      sym_value_path,
    STATE(179), 1,
      aux_sym_command_repeat1,
    STATE(301), 1,
      sym__terminator,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(225), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(235), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    ACTIONS(520), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [8929] = 21,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(219), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_CARET,
    ACTIONS(223), 1,
      sym_number_literal,
    ACTIONS(227), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(233), 1,
      anon_sym_BQUOTE,
    ACTIONS(240), 1,
      anon_sym_LBRACE,
    ACTIONS(341), 1,
      sym_identifier,
    STATE(34), 1,
      sym_value_path,
    STATE(60), 1,
      sym__terminator,
    STATE(134), 1,
      aux_sym_command_repeat1,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(225), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(235), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    ACTIONS(526), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    ACTIONS(528), 2,
      sym__cmd_newline,
      anon_sym_LF,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [9005] = 22,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(219), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_CARET,
    ACTIONS(223), 1,
      sym_number_literal,
    ACTIONS(227), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(233), 1,
      anon_sym_BQUOTE,
    ACTIONS(240), 1,
      anon_sym_LBRACE,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(532), 1,
      anon_sym_LF,
    ACTIONS(534), 1,
      sym__cmd_newline,
    STATE(34), 1,
      sym_value_path,
    STATE(98), 1,
      sym__terminator,
    STATE(179), 1,
      aux_sym_command_repeat1,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(225), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(235), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    ACTIONS(530), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [9083] = 22,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(219), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_CARET,
    ACTIONS(223), 1,
      sym_number_literal,
    ACTIONS(227), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(233), 1,
      anon_sym_BQUOTE,
    ACTIONS(240), 1,
      anon_sym_LBRACE,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(538), 1,
      anon_sym_LF,
    ACTIONS(540), 1,
      sym__cmd_newline,
    STATE(34), 1,
      sym_value_path,
    STATE(179), 1,
      aux_sym_command_repeat1,
    STATE(285), 1,
      sym__terminator,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(225), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(235), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    ACTIONS(536), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [9161] = 22,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(219), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_CARET,
    ACTIONS(223), 1,
      sym_number_literal,
    ACTIONS(227), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(233), 1,
      anon_sym_BQUOTE,
    ACTIONS(240), 1,
      anon_sym_LBRACE,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(544), 1,
      anon_sym_LF,
    ACTIONS(546), 1,
      sym__cmd_newline,
    STATE(34), 1,
      sym_value_path,
    STATE(179), 1,
      aux_sym_command_repeat1,
    STATE(334), 1,
      sym__terminator,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(225), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(235), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    ACTIONS(542), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [9239] = 21,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(219), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_CARET,
    ACTIONS(223), 1,
      sym_number_literal,
    ACTIONS(227), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(233), 1,
      anon_sym_BQUOTE,
    ACTIONS(240), 1,
      anon_sym_LBRACE,
    ACTIONS(341), 1,
      sym_identifier,
    STATE(34), 1,
      sym_value_path,
    STATE(102), 1,
      sym__terminator,
    STATE(130), 1,
      aux_sym_command_repeat1,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(225), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(235), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    ACTIONS(345), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    ACTIONS(347), 2,
      sym__cmd_newline,
      anon_sym_LF,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [9315] = 22,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(219), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_CARET,
    ACTIONS(223), 1,
      sym_number_literal,
    ACTIONS(227), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(233), 1,
      anon_sym_BQUOTE,
    ACTIONS(240), 1,
      anon_sym_LBRACE,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(550), 1,
      anon_sym_LF,
    ACTIONS(552), 1,
      sym__cmd_newline,
    STATE(34), 1,
      sym_value_path,
    STATE(179), 1,
      aux_sym_command_repeat1,
    STATE(303), 1,
      sym__terminator,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(225), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(235), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    ACTIONS(548), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [9393] = 21,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(219), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_CARET,
    ACTIONS(223), 1,
      sym_number_literal,
    ACTIONS(227), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(233), 1,
      anon_sym_BQUOTE,
    ACTIONS(240), 1,
      anon_sym_LBRACE,
    ACTIONS(341), 1,
      sym_identifier,
    STATE(34), 1,
      sym_value_path,
    STATE(147), 1,
      aux_sym_command_repeat1,
    STATE(305), 1,
      sym__terminator,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(225), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(235), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    ACTIONS(554), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    ACTIONS(556), 2,
      sym__cmd_newline,
      anon_sym_LF,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [9469] = 4,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(558), 1,
      anon_sym_DOT_DOT,
    ACTIONS(167), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(163), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_identifier,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [9511] = 21,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(219), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_CARET,
    ACTIONS(223), 1,
      sym_number_literal,
    ACTIONS(227), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(233), 1,
      anon_sym_BQUOTE,
    ACTIONS(240), 1,
      anon_sym_LBRACE,
    ACTIONS(341), 1,
      sym_identifier,
    STATE(34), 1,
      sym_value_path,
    STATE(157), 1,
      aux_sym_command_repeat1,
    STATE(189), 1,
      sym__terminator,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(225), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(235), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    ACTIONS(440), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    ACTIONS(442), 2,
      sym__cmd_newline,
      anon_sym_LF,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [9587] = 22,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(219), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_CARET,
    ACTIONS(223), 1,
      sym_number_literal,
    ACTIONS(227), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(233), 1,
      anon_sym_BQUOTE,
    ACTIONS(240), 1,
      anon_sym_LBRACE,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(562), 1,
      anon_sym_LF,
    ACTIONS(564), 1,
      sym__cmd_newline,
    STATE(34), 1,
      sym_value_path,
    STATE(179), 1,
      aux_sym_command_repeat1,
    STATE(197), 1,
      sym__terminator,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(225), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(235), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    ACTIONS(560), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [9665] = 21,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(219), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_CARET,
    ACTIONS(223), 1,
      sym_number_literal,
    ACTIONS(227), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(233), 1,
      anon_sym_BQUOTE,
    ACTIONS(240), 1,
      anon_sym_LBRACE,
    ACTIONS(341), 1,
      sym_identifier,
    STATE(34), 1,
      sym_value_path,
    STATE(159), 1,
      aux_sym_command_repeat1,
    STATE(188), 1,
      sym__terminator,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(225), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(235), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    ACTIONS(566), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    ACTIONS(568), 2,
      sym__cmd_newline,
      anon_sym_LF,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [9741] = 22,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(219), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_CARET,
    ACTIONS(223), 1,
      sym_number_literal,
    ACTIONS(227), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(233), 1,
      anon_sym_BQUOTE,
    ACTIONS(240), 1,
      anon_sym_LBRACE,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(572), 1,
      anon_sym_LF,
    ACTIONS(574), 1,
      sym__cmd_newline,
    STATE(34), 1,
      sym_value_path,
    STATE(175), 1,
      sym__terminator,
    STATE(179), 1,
      aux_sym_command_repeat1,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(225), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(235), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    ACTIONS(570), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [9819] = 22,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(219), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_CARET,
    ACTIONS(223), 1,
      sym_number_literal,
    ACTIONS(227), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(233), 1,
      anon_sym_BQUOTE,
    ACTIONS(240), 1,
      anon_sym_LBRACE,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(578), 1,
      anon_sym_LF,
    ACTIONS(580), 1,
      sym__cmd_newline,
    STATE(34), 1,
      sym_value_path,
    STATE(171), 1,
      sym__terminator,
    STATE(179), 1,
      aux_sym_command_repeat1,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(225), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(235), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    ACTIONS(576), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [9897] = 21,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(219), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_CARET,
    ACTIONS(223), 1,
      sym_number_literal,
    ACTIONS(227), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(233), 1,
      anon_sym_BQUOTE,
    ACTIONS(240), 1,
      anon_sym_LBRACE,
    ACTIONS(341), 1,
      sym_identifier,
    STATE(34), 1,
      sym_value_path,
    STATE(144), 1,
      aux_sym_command_repeat1,
    STATE(290), 1,
      sym__terminator,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(225), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(235), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    ACTIONS(422), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    ACTIONS(424), 2,
      sym__cmd_newline,
      anon_sym_LF,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [9973] = 22,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(219), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_CARET,
    ACTIONS(223), 1,
      sym_number_literal,
    ACTIONS(227), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(233), 1,
      anon_sym_BQUOTE,
    ACTIONS(240), 1,
      anon_sym_LBRACE,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(584), 1,
      anon_sym_LF,
    ACTIONS(586), 1,
      sym__cmd_newline,
    STATE(34), 1,
      sym_value_path,
    STATE(179), 1,
      aux_sym_command_repeat1,
    STATE(193), 1,
      sym__terminator,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(225), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(235), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    ACTIONS(582), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [10051] = 21,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(219), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_CARET,
    ACTIONS(223), 1,
      sym_number_literal,
    ACTIONS(227), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(233), 1,
      anon_sym_BQUOTE,
    ACTIONS(240), 1,
      anon_sym_LBRACE,
    ACTIONS(341), 1,
      sym_identifier,
    STATE(34), 1,
      sym_value_path,
    STATE(164), 1,
      aux_sym_command_repeat1,
    STATE(393), 1,
      sym__terminator,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(225), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(235), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    ACTIONS(434), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    ACTIONS(436), 2,
      sym__cmd_newline,
      anon_sym_LF,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [10127] = 21,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(219), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_CARET,
    ACTIONS(223), 1,
      sym_number_literal,
    ACTIONS(227), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(233), 1,
      anon_sym_BQUOTE,
    ACTIONS(240), 1,
      anon_sym_LBRACE,
    ACTIONS(341), 1,
      sym_identifier,
    STATE(34), 1,
      sym_value_path,
    STATE(47), 1,
      sym__terminator,
    STATE(133), 1,
      aux_sym_command_repeat1,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(225), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(235), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    ACTIONS(416), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    ACTIONS(418), 2,
      sym__cmd_newline,
      anon_sym_LF,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [10203] = 22,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(219), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_CARET,
    ACTIONS(223), 1,
      sym_number_literal,
    ACTIONS(227), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(233), 1,
      anon_sym_BQUOTE,
    ACTIONS(240), 1,
      anon_sym_LBRACE,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(590), 1,
      anon_sym_LF,
    ACTIONS(592), 1,
      sym__cmd_newline,
    STATE(34), 1,
      sym_value_path,
    STATE(179), 1,
      aux_sym_command_repeat1,
    STATE(389), 1,
      sym__terminator,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(225), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(235), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    ACTIONS(588), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [10281] = 22,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(219), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_CARET,
    ACTIONS(223), 1,
      sym_number_literal,
    ACTIONS(227), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(233), 1,
      anon_sym_BQUOTE,
    ACTIONS(240), 1,
      anon_sym_LBRACE,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(596), 1,
      anon_sym_LF,
    ACTIONS(598), 1,
      sym__cmd_newline,
    STATE(34), 1,
      sym_value_path,
    STATE(179), 1,
      aux_sym_command_repeat1,
    STATE(293), 1,
      sym__terminator,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(225), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(235), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    ACTIONS(594), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [10359] = 22,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(219), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_CARET,
    ACTIONS(223), 1,
      sym_number_literal,
    ACTIONS(227), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(233), 1,
      anon_sym_BQUOTE,
    ACTIONS(240), 1,
      anon_sym_LBRACE,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(602), 1,
      anon_sym_LF,
    ACTIONS(604), 1,
      sym__cmd_newline,
    STATE(34), 1,
      sym_value_path,
    STATE(179), 1,
      aux_sym_command_repeat1,
    STATE(373), 1,
      sym__terminator,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(225), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(235), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    ACTIONS(600), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [10437] = 21,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(219), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_CARET,
    ACTIONS(223), 1,
      sym_number_literal,
    ACTIONS(227), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(233), 1,
      anon_sym_BQUOTE,
    ACTIONS(240), 1,
      anon_sym_LBRACE,
    ACTIONS(341), 1,
      sym_identifier,
    STATE(34), 1,
      sym_value_path,
    STATE(141), 1,
      aux_sym_command_repeat1,
    STATE(377), 1,
      sym__terminator,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(225), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(235), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    ACTIONS(606), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    ACTIONS(608), 2,
      sym__cmd_newline,
      anon_sym_LF,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [10513] = 22,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(215), 1,
      anon_sym_LBRACK,
    ACTIONS(219), 1,
      anon_sym_LPAREN,
    ACTIONS(221), 1,
      anon_sym_CARET,
    ACTIONS(223), 1,
      sym_number_literal,
    ACTIONS(227), 1,
      anon_sym_DOLLAR,
    ACTIONS(229), 1,
      anon_sym_DQUOTE,
    ACTIONS(231), 1,
      anon_sym_SQUOTE,
    ACTIONS(233), 1,
      anon_sym_BQUOTE,
    ACTIONS(240), 1,
      anon_sym_LBRACE,
    ACTIONS(341), 1,
      sym_identifier,
    ACTIONS(612), 1,
      anon_sym_LF,
    ACTIONS(614), 1,
      sym__cmd_newline,
    STATE(34), 1,
      sym_value_path,
    STATE(179), 1,
      aux_sym_command_repeat1,
    STATE(375), 1,
      sym__terminator,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(225), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(235), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    ACTIONS(610), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [10591] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(201), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(199), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_identifier,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [10630] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(171), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(169), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_identifier,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [10669] = 6,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(616), 1,
      anon_sym_EQ,
    ACTIONS(183), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(618), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(620), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
    ACTIONS(181), 22,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_identifier,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [10714] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(205), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(203), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_identifier,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [10753] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(260), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(258), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_identifier,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [10792] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(260), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(258), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_identifier,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [10831] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(268), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(266), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_identifier,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [10870] = 7,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(616), 1,
      anon_sym_EQ,
    ACTIONS(183), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(618), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(620), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
    ACTIONS(181), 20,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_identifier,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [10917] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(260), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(258), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_identifier,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [10956] = 8,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(616), 1,
      anon_sym_EQ,
    ACTIONS(183), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(618), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(620), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
    ACTIONS(624), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(181), 16,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_identifier,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
  [11005] = 9,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(616), 1,
      anon_sym_EQ,
    ACTIONS(183), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(618), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(620), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
    ACTIONS(624), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(626), 4,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
    ACTIONS(181), 12,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_identifier,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [11056] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(276), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(274), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_identifier,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [11095] = 20,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(632), 1,
      anon_sym_LBRACK,
    ACTIONS(635), 1,
      anon_sym_LPAREN,
    ACTIONS(638), 1,
      anon_sym_CARET,
    ACTIONS(641), 1,
      sym_number_literal,
    ACTIONS(647), 1,
      anon_sym_DOLLAR,
    ACTIONS(650), 1,
      anon_sym_DQUOTE,
    ACTIONS(653), 1,
      anon_sym_SQUOTE,
    ACTIONS(656), 1,
      anon_sym_BQUOTE,
    ACTIONS(662), 1,
      sym_identifier,
    ACTIONS(665), 1,
      anon_sym_LBRACE,
    STATE(34), 1,
      sym_value_path,
    STATE(179), 1,
      aux_sym_command_repeat1,
    STATE(399), 1,
      sym__cmd_expr,
    ACTIONS(628), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    ACTIONS(630), 2,
      sym__cmd_newline,
      anon_sym_LF,
    ACTIONS(644), 2,
      sym_word,
      sym_flag_arg,
    ACTIONS(659), 2,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
    STATE(398), 2,
      sym_command,
      sym__expression,
    STATE(68), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [11168] = 10,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(616), 1,
      anon_sym_EQ,
    ACTIONS(668), 1,
      anon_sym_AMP_AMP,
    ACTIONS(183), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(618), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(620), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
    ACTIONS(624), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(626), 4,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
    ACTIONS(181), 11,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_identifier,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
  [11221] = 4,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(616), 1,
      anon_sym_EQ,
    ACTIONS(183), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(181), 28,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_identifier,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [11262] = 5,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(616), 1,
      anon_sym_EQ,
    ACTIONS(183), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(620), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
    ACTIONS(181), 24,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_identifier,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [11305] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(183), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(181), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_identifier,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [11344] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(280), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(278), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_identifier,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [11383] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(179), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(177), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_identifier,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [11422] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(284), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(282), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_identifier,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [11461] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(260), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(258), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_identifier,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [11500] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(272), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(270), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_identifier,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [11539] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(252), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(250), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_identifier,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [11578] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(264), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(262), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_identifier,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [11617] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(175), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(173), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_identifier,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [11656] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(244), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(242), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_identifier,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [11695] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(256), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(254), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_identifier,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [11734] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(248), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(246), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_identifier,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [11773] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(256), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(254), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_identifier,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [11812] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(209), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(207), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_identifier,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [11851] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(201), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(199), 29,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_identifier,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [11890] = 11,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(616), 1,
      anon_sym_EQ,
    ACTIONS(668), 1,
      anon_sym_AMP_AMP,
    ACTIONS(674), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(618), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(622), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(670), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(620), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
    ACTIONS(624), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(626), 4,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
    ACTIONS(672), 10,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COMMA,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_identifier,
      anon_sym_RBRACE,
  [11945] = 5,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(676), 1,
      anon_sym_DOT,
    STATE(201), 1,
      aux_sym_value_path_repeat1,
    ACTIONS(75), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(73), 25,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [11986] = 5,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(676), 1,
      anon_sym_DOT,
    STATE(199), 1,
      aux_sym_value_path_repeat1,
    ACTIONS(144), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(142), 25,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [12027] = 5,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(678), 1,
      anon_sym_DOT,
    STATE(201), 1,
      aux_sym_value_path_repeat1,
    ACTIONS(137), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(135), 25,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT_DOT,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [12068] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(137), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(135), 26,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [12104] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(681), 1,
      anon_sym_LBRACK,
    ACTIONS(683), 1,
      anon_sym_RBRACK,
    ACTIONS(685), 1,
      anon_sym_LPAREN,
    ACTIONS(687), 1,
      anon_sym_CARET,
    ACTIONS(689), 1,
      sym_number_literal,
    ACTIONS(693), 1,
      anon_sym_DOLLAR,
    ACTIONS(695), 1,
      anon_sym_DQUOTE,
    ACTIONS(697), 1,
      anon_sym_SQUOTE,
    ACTIONS(699), 1,
      anon_sym_BQUOTE,
    ACTIONS(701), 1,
      aux_sym_file_path_token1,
    ACTIONS(703), 1,
      aux_sym_file_path_token2,
    ACTIONS(705), 1,
      sym_identifier,
    ACTIONS(707), 1,
      anon_sym_LBRACE,
    STATE(73), 1,
      sym_value_path,
    STATE(78), 1,
      sym_array,
    STATE(211), 1,
      aux_sym_array_repeat1,
    ACTIONS(691), 2,
      sym_word,
      sym_flag_arg,
    STATE(91), 9,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [12171] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(681), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_LPAREN,
    ACTIONS(687), 1,
      anon_sym_CARET,
    ACTIONS(689), 1,
      sym_number_literal,
    ACTIONS(693), 1,
      anon_sym_DOLLAR,
    ACTIONS(695), 1,
      anon_sym_DQUOTE,
    ACTIONS(697), 1,
      anon_sym_SQUOTE,
    ACTIONS(699), 1,
      anon_sym_BQUOTE,
    ACTIONS(701), 1,
      aux_sym_file_path_token1,
    ACTIONS(703), 1,
      aux_sym_file_path_token2,
    ACTIONS(705), 1,
      sym_identifier,
    ACTIONS(707), 1,
      anon_sym_LBRACE,
    ACTIONS(709), 1,
      anon_sym_RBRACK,
    STATE(72), 1,
      sym_array,
    STATE(73), 1,
      sym_value_path,
    STATE(216), 1,
      aux_sym_array_repeat1,
    ACTIONS(691), 2,
      sym_word,
      sym_flag_arg,
    STATE(91), 9,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [12238] = 5,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(337), 1,
      anon_sym_COLON,
    ACTIONS(711), 1,
      anon_sym_DOT_DOT,
    ACTIONS(167), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(163), 23,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [12277] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(713), 1,
      anon_sym_not,
    ACTIONS(715), 1,
      anon_sym_LBRACK,
    ACTIONS(717), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_CARET,
    ACTIONS(721), 1,
      sym_number_literal,
    ACTIONS(725), 1,
      anon_sym_DOLLAR,
    ACTIONS(727), 1,
      anon_sym_DQUOTE,
    ACTIONS(729), 1,
      anon_sym_SQUOTE,
    ACTIONS(731), 1,
      anon_sym_BQUOTE,
    ACTIONS(733), 1,
      aux_sym_file_path_token1,
    ACTIONS(735), 1,
      aux_sym_file_path_token2,
    ACTIONS(737), 1,
      sym_identifier,
    ACTIONS(739), 1,
      anon_sym_LBRACE,
    STATE(366), 1,
      sym_value_path,
    STATE(493), 1,
      sym__cmd_expr,
    ACTIONS(723), 2,
      sym_word,
      sym_flag_arg,
    STATE(397), 2,
      sym_command,
      sym__expression,
    STATE(382), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [12344] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(681), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_LPAREN,
    ACTIONS(687), 1,
      anon_sym_CARET,
    ACTIONS(689), 1,
      sym_number_literal,
    ACTIONS(693), 1,
      anon_sym_DOLLAR,
    ACTIONS(695), 1,
      anon_sym_DQUOTE,
    ACTIONS(697), 1,
      anon_sym_SQUOTE,
    ACTIONS(699), 1,
      anon_sym_BQUOTE,
    ACTIONS(701), 1,
      aux_sym_file_path_token1,
    ACTIONS(703), 1,
      aux_sym_file_path_token2,
    ACTIONS(705), 1,
      sym_identifier,
    ACTIONS(707), 1,
      anon_sym_LBRACE,
    ACTIONS(741), 1,
      anon_sym_RBRACK,
    STATE(73), 1,
      sym_value_path,
    STATE(217), 1,
      aux_sym_array_repeat1,
    ACTIONS(691), 2,
      sym_word,
      sym_flag_arg,
    STATE(91), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [12409] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(681), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_LPAREN,
    ACTIONS(687), 1,
      anon_sym_CARET,
    ACTIONS(689), 1,
      sym_number_literal,
    ACTIONS(693), 1,
      anon_sym_DOLLAR,
    ACTIONS(695), 1,
      anon_sym_DQUOTE,
    ACTIONS(697), 1,
      anon_sym_SQUOTE,
    ACTIONS(699), 1,
      anon_sym_BQUOTE,
    ACTIONS(701), 1,
      aux_sym_file_path_token1,
    ACTIONS(703), 1,
      aux_sym_file_path_token2,
    ACTIONS(705), 1,
      sym_identifier,
    ACTIONS(707), 1,
      anon_sym_LBRACE,
    ACTIONS(743), 1,
      anon_sym_RBRACK,
    STATE(73), 1,
      sym_value_path,
    STATE(217), 1,
      aux_sym_array_repeat1,
    ACTIONS(691), 2,
      sym_word,
      sym_flag_arg,
    STATE(91), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [12474] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(745), 1,
      anon_sym_DOT,
    STATE(221), 1,
      aux_sym_value_path_repeat1,
    ACTIONS(73), 8,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(75), 17,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [12513] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(715), 1,
      anon_sym_LBRACK,
    ACTIONS(717), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_CARET,
    ACTIONS(721), 1,
      sym_number_literal,
    ACTIONS(725), 1,
      anon_sym_DOLLAR,
    ACTIONS(727), 1,
      anon_sym_DQUOTE,
    ACTIONS(729), 1,
      anon_sym_SQUOTE,
    ACTIONS(731), 1,
      anon_sym_BQUOTE,
    ACTIONS(733), 1,
      aux_sym_file_path_token1,
    ACTIONS(735), 1,
      aux_sym_file_path_token2,
    ACTIONS(737), 1,
      sym_identifier,
    ACTIONS(739), 1,
      anon_sym_LBRACE,
    ACTIONS(747), 1,
      anon_sym_not,
    STATE(366), 1,
      sym_value_path,
    STATE(501), 1,
      sym__cmd_expr,
    ACTIONS(723), 2,
      sym_word,
      sym_flag_arg,
    STATE(397), 2,
      sym_command,
      sym__expression,
    STATE(382), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [12580] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(681), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_LPAREN,
    ACTIONS(687), 1,
      anon_sym_CARET,
    ACTIONS(689), 1,
      sym_number_literal,
    ACTIONS(693), 1,
      anon_sym_DOLLAR,
    ACTIONS(695), 1,
      anon_sym_DQUOTE,
    ACTIONS(697), 1,
      anon_sym_SQUOTE,
    ACTIONS(699), 1,
      anon_sym_BQUOTE,
    ACTIONS(701), 1,
      aux_sym_file_path_token1,
    ACTIONS(703), 1,
      aux_sym_file_path_token2,
    ACTIONS(705), 1,
      sym_identifier,
    ACTIONS(707), 1,
      anon_sym_LBRACE,
    ACTIONS(749), 1,
      anon_sym_RBRACK,
    STATE(73), 1,
      sym_value_path,
    STATE(217), 1,
      aux_sym_array_repeat1,
    ACTIONS(691), 2,
      sym_word,
      sym_flag_arg,
    STATE(91), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [12645] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(681), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_LPAREN,
    ACTIONS(687), 1,
      anon_sym_CARET,
    ACTIONS(689), 1,
      sym_number_literal,
    ACTIONS(693), 1,
      anon_sym_DOLLAR,
    ACTIONS(695), 1,
      anon_sym_DQUOTE,
    ACTIONS(697), 1,
      anon_sym_SQUOTE,
    ACTIONS(699), 1,
      anon_sym_BQUOTE,
    ACTIONS(701), 1,
      aux_sym_file_path_token1,
    ACTIONS(703), 1,
      aux_sym_file_path_token2,
    ACTIONS(705), 1,
      sym_identifier,
    ACTIONS(707), 1,
      anon_sym_LBRACE,
    ACTIONS(751), 1,
      anon_sym_RBRACK,
    STATE(71), 1,
      sym_array,
    STATE(73), 1,
      sym_value_path,
    STATE(214), 1,
      aux_sym_array_repeat1,
    ACTIONS(691), 2,
      sym_word,
      sym_flag_arg,
    STATE(91), 9,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [12712] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(745), 1,
      anon_sym_DOT,
    STATE(209), 1,
      aux_sym_value_path_repeat1,
    ACTIONS(142), 8,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(144), 17,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [12751] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(681), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_LPAREN,
    ACTIONS(687), 1,
      anon_sym_CARET,
    ACTIONS(689), 1,
      sym_number_literal,
    ACTIONS(693), 1,
      anon_sym_DOLLAR,
    ACTIONS(695), 1,
      anon_sym_DQUOTE,
    ACTIONS(697), 1,
      anon_sym_SQUOTE,
    ACTIONS(699), 1,
      anon_sym_BQUOTE,
    ACTIONS(701), 1,
      aux_sym_file_path_token1,
    ACTIONS(703), 1,
      aux_sym_file_path_token2,
    ACTIONS(705), 1,
      sym_identifier,
    ACTIONS(707), 1,
      anon_sym_LBRACE,
    ACTIONS(753), 1,
      anon_sym_RBRACK,
    STATE(73), 1,
      sym_value_path,
    STATE(217), 1,
      aux_sym_array_repeat1,
    ACTIONS(691), 2,
      sym_word,
      sym_flag_arg,
    STATE(91), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [12816] = 5,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(755), 1,
      anon_sym_DOT,
    STATE(218), 1,
      aux_sym_value_path_repeat1,
    ACTIONS(148), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(146), 23,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [12855] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(681), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_LPAREN,
    ACTIONS(687), 1,
      anon_sym_CARET,
    ACTIONS(689), 1,
      sym_number_literal,
    ACTIONS(693), 1,
      anon_sym_DOLLAR,
    ACTIONS(695), 1,
      anon_sym_DQUOTE,
    ACTIONS(697), 1,
      anon_sym_SQUOTE,
    ACTIONS(699), 1,
      anon_sym_BQUOTE,
    ACTIONS(701), 1,
      aux_sym_file_path_token1,
    ACTIONS(703), 1,
      aux_sym_file_path_token2,
    ACTIONS(705), 1,
      sym_identifier,
    ACTIONS(707), 1,
      anon_sym_LBRACE,
    ACTIONS(757), 1,
      anon_sym_RBRACK,
    STATE(73), 1,
      sym_value_path,
    STATE(217), 1,
      aux_sym_array_repeat1,
    ACTIONS(691), 2,
      sym_word,
      sym_flag_arg,
    STATE(91), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [12920] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(759), 1,
      anon_sym_LBRACK,
    ACTIONS(762), 1,
      anon_sym_RBRACK,
    ACTIONS(764), 1,
      anon_sym_LPAREN,
    ACTIONS(767), 1,
      anon_sym_CARET,
    ACTIONS(770), 1,
      sym_number_literal,
    ACTIONS(776), 1,
      anon_sym_DOLLAR,
    ACTIONS(779), 1,
      anon_sym_DQUOTE,
    ACTIONS(782), 1,
      anon_sym_SQUOTE,
    ACTIONS(785), 1,
      anon_sym_BQUOTE,
    ACTIONS(788), 1,
      aux_sym_file_path_token1,
    ACTIONS(791), 1,
      aux_sym_file_path_token2,
    ACTIONS(794), 1,
      sym_identifier,
    ACTIONS(797), 1,
      anon_sym_LBRACE,
    STATE(73), 1,
      sym_value_path,
    STATE(217), 1,
      aux_sym_array_repeat1,
    ACTIONS(773), 2,
      sym_word,
      sym_flag_arg,
    STATE(91), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [12985] = 5,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(755), 1,
      anon_sym_DOT,
    STATE(201), 1,
      aux_sym_value_path_repeat1,
    ACTIONS(152), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(150), 23,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [13024] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(681), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_LPAREN,
    ACTIONS(687), 1,
      anon_sym_CARET,
    ACTIONS(689), 1,
      sym_number_literal,
    ACTIONS(693), 1,
      anon_sym_DOLLAR,
    ACTIONS(695), 1,
      anon_sym_DQUOTE,
    ACTIONS(697), 1,
      anon_sym_SQUOTE,
    ACTIONS(699), 1,
      anon_sym_BQUOTE,
    ACTIONS(701), 1,
      aux_sym_file_path_token1,
    ACTIONS(703), 1,
      aux_sym_file_path_token2,
    ACTIONS(705), 1,
      sym_identifier,
    ACTIONS(707), 1,
      anon_sym_LBRACE,
    ACTIONS(800), 1,
      anon_sym_RBRACK,
    STATE(73), 1,
      sym_value_path,
    STATE(74), 1,
      sym_array,
    STATE(207), 1,
      aux_sym_array_repeat1,
    ACTIONS(691), 2,
      sym_word,
      sym_flag_arg,
    STATE(91), 9,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [13091] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(681), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_LPAREN,
    ACTIONS(687), 1,
      anon_sym_CARET,
    ACTIONS(689), 1,
      sym_number_literal,
    ACTIONS(693), 1,
      anon_sym_DOLLAR,
    ACTIONS(695), 1,
      anon_sym_DQUOTE,
    ACTIONS(697), 1,
      anon_sym_SQUOTE,
    ACTIONS(699), 1,
      anon_sym_BQUOTE,
    ACTIONS(701), 1,
      aux_sym_file_path_token1,
    ACTIONS(703), 1,
      aux_sym_file_path_token2,
    ACTIONS(705), 1,
      sym_identifier,
    ACTIONS(707), 1,
      anon_sym_LBRACE,
    ACTIONS(802), 1,
      anon_sym_RBRACK,
    STATE(73), 1,
      sym_value_path,
    STATE(76), 1,
      sym_array,
    STATE(224), 1,
      aux_sym_array_repeat1,
    ACTIONS(691), 2,
      sym_word,
      sym_flag_arg,
    STATE(91), 9,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [13158] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(804), 1,
      anon_sym_DOT,
    STATE(221), 1,
      aux_sym_value_path_repeat1,
    ACTIONS(135), 8,
      anon_sym_EQ,
      anon_sym_DOT_DOT,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(137), 17,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [13197] = 19,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(681), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_LPAREN,
    ACTIONS(687), 1,
      anon_sym_CARET,
    ACTIONS(689), 1,
      sym_number_literal,
    ACTIONS(693), 1,
      anon_sym_DOLLAR,
    ACTIONS(695), 1,
      anon_sym_DQUOTE,
    ACTIONS(697), 1,
      anon_sym_SQUOTE,
    ACTIONS(699), 1,
      anon_sym_BQUOTE,
    ACTIONS(701), 1,
      aux_sym_file_path_token1,
    ACTIONS(703), 1,
      aux_sym_file_path_token2,
    ACTIONS(705), 1,
      sym_identifier,
    ACTIONS(707), 1,
      anon_sym_LBRACE,
    ACTIONS(807), 1,
      anon_sym_RBRACK,
    STATE(73), 1,
      sym_value_path,
    STATE(77), 1,
      sym_array,
    STATE(208), 1,
      aux_sym_array_repeat1,
    ACTIONS(691), 2,
      sym_word,
      sym_flag_arg,
    STATE(91), 9,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [13264] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(681), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_LPAREN,
    ACTIONS(687), 1,
      anon_sym_CARET,
    ACTIONS(689), 1,
      sym_number_literal,
    ACTIONS(693), 1,
      anon_sym_DOLLAR,
    ACTIONS(695), 1,
      anon_sym_DQUOTE,
    ACTIONS(697), 1,
      anon_sym_SQUOTE,
    ACTIONS(699), 1,
      anon_sym_BQUOTE,
    ACTIONS(701), 1,
      aux_sym_file_path_token1,
    ACTIONS(703), 1,
      aux_sym_file_path_token2,
    ACTIONS(705), 1,
      sym_identifier,
    ACTIONS(707), 1,
      anon_sym_LBRACE,
    ACTIONS(709), 1,
      anon_sym_RBRACK,
    STATE(73), 1,
      sym_value_path,
    STATE(216), 1,
      aux_sym_array_repeat1,
    ACTIONS(691), 2,
      sym_word,
      sym_flag_arg,
    STATE(91), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [13329] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(681), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_LPAREN,
    ACTIONS(687), 1,
      anon_sym_CARET,
    ACTIONS(689), 1,
      sym_number_literal,
    ACTIONS(693), 1,
      anon_sym_DOLLAR,
    ACTIONS(695), 1,
      anon_sym_DQUOTE,
    ACTIONS(697), 1,
      anon_sym_SQUOTE,
    ACTIONS(699), 1,
      anon_sym_BQUOTE,
    ACTIONS(701), 1,
      aux_sym_file_path_token1,
    ACTIONS(703), 1,
      aux_sym_file_path_token2,
    ACTIONS(705), 1,
      sym_identifier,
    ACTIONS(707), 1,
      anon_sym_LBRACE,
    ACTIONS(809), 1,
      anon_sym_RBRACK,
    STATE(73), 1,
      sym_value_path,
    STATE(217), 1,
      aux_sym_array_repeat1,
    ACTIONS(691), 2,
      sym_word,
      sym_flag_arg,
    STATE(91), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [13394] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(715), 1,
      anon_sym_LBRACK,
    ACTIONS(717), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_CARET,
    ACTIONS(721), 1,
      sym_number_literal,
    ACTIONS(725), 1,
      anon_sym_DOLLAR,
    ACTIONS(727), 1,
      anon_sym_DQUOTE,
    ACTIONS(729), 1,
      anon_sym_SQUOTE,
    ACTIONS(731), 1,
      anon_sym_BQUOTE,
    ACTIONS(733), 1,
      aux_sym_file_path_token1,
    ACTIONS(735), 1,
      aux_sym_file_path_token2,
    ACTIONS(737), 1,
      sym_identifier,
    ACTIONS(739), 1,
      anon_sym_LBRACE,
    STATE(366), 1,
      sym_value_path,
    STATE(506), 1,
      sym__cmd_expr,
    ACTIONS(723), 2,
      sym_word,
      sym_flag_arg,
    STATE(397), 2,
      sym_command,
      sym__expression,
    STATE(382), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [13458] = 4,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(711), 1,
      anon_sym_DOT_DOT,
    ACTIONS(167), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(163), 23,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [13494] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(745), 1,
      anon_sym_DOT,
    STATE(234), 1,
      aux_sym_value_path_repeat1,
    ACTIONS(146), 7,
      anon_sym_EQ,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(148), 17,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [13532] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(719), 1,
      anon_sym_CARET,
    ACTIONS(811), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LPAREN,
    ACTIONS(815), 1,
      sym_number_literal,
    ACTIONS(819), 1,
      anon_sym_DOLLAR,
    ACTIONS(821), 1,
      anon_sym_DQUOTE,
    ACTIONS(823), 1,
      anon_sym_SQUOTE,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(827), 1,
      aux_sym_file_path_token1,
    ACTIONS(829), 1,
      aux_sym_file_path_token2,
    ACTIONS(831), 1,
      sym_identifier,
    ACTIONS(833), 1,
      anon_sym_LBRACE,
    STATE(267), 1,
      sym_value_path,
    STATE(451), 1,
      sym__cmd_expr,
    ACTIONS(817), 2,
      sym_word,
      sym_flag_arg,
    STATE(396), 2,
      sym_command,
      sym__expression,
    STATE(350), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [13596] = 4,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(337), 1,
      anon_sym_COLON,
    ACTIONS(167), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(163), 23,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [13632] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(284), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(282), 24,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [13666] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(135), 9,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_DOT_DOT,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(137), 17,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [13700] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(264), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(262), 24,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [13734] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(715), 1,
      anon_sym_LBRACK,
    ACTIONS(717), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_CARET,
    ACTIONS(721), 1,
      sym_number_literal,
    ACTIONS(725), 1,
      anon_sym_DOLLAR,
    ACTIONS(727), 1,
      anon_sym_DQUOTE,
    ACTIONS(729), 1,
      anon_sym_SQUOTE,
    ACTIONS(731), 1,
      anon_sym_BQUOTE,
    ACTIONS(733), 1,
      aux_sym_file_path_token1,
    ACTIONS(735), 1,
      aux_sym_file_path_token2,
    ACTIONS(737), 1,
      sym_identifier,
    ACTIONS(739), 1,
      anon_sym_LBRACE,
    STATE(366), 1,
      sym_value_path,
    STATE(510), 1,
      sym__cmd_expr,
    ACTIONS(723), 2,
      sym_word,
      sym_flag_arg,
    STATE(397), 2,
      sym_command,
      sym__expression,
    STATE(382), 8,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [13798] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(745), 1,
      anon_sym_DOT,
    STATE(221), 1,
      aux_sym_value_path_repeat1,
    ACTIONS(150), 7,
      anon_sym_EQ,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(152), 17,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [13836] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(21), 1,
      anon_sym_CARET,
    ACTIONS(23), 1,
      sym_number_literal,
    ACTIONS(27), 1,
      anon_sym_DOLLAR,
    ACTIONS(29), 1,
      anon_sym_DQUOTE,
    ACTIONS(31), 1,
      anon_sym_SQUOTE,
    ACTIONS(33), 1,
      anon_sym_BQUOTE,
    ACTIONS(35), 1,
      aux_sym_file_path_token1,
    ACTIONS(37), 1,
      aux_sym_file_path_token2,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(837), 1,
      sym_identifier,
    STATE(226), 1,
      sym_value_path,
    ACTIONS(835), 2,
      sym_word,
      sym_flag_arg,
    STATE(238), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [13895] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(681), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_LPAREN,
    ACTIONS(687), 1,
      anon_sym_CARET,
    ACTIONS(689), 1,
      sym_number_literal,
    ACTIONS(693), 1,
      anon_sym_DOLLAR,
    ACTIONS(695), 1,
      anon_sym_DQUOTE,
    ACTIONS(697), 1,
      anon_sym_SQUOTE,
    ACTIONS(699), 1,
      anon_sym_BQUOTE,
    ACTIONS(701), 1,
      aux_sym_file_path_token1,
    ACTIONS(703), 1,
      aux_sym_file_path_token2,
    ACTIONS(705), 1,
      sym_identifier,
    ACTIONS(707), 1,
      anon_sym_LBRACE,
    STATE(73), 1,
      sym_value_path,
    ACTIONS(839), 2,
      sym_word,
      sym_flag_arg,
    STATE(82), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [13954] = 11,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(845), 1,
      anon_sym_EQ,
    ACTIONS(851), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(853), 1,
      anon_sym_AMP_AMP,
    ACTIONS(841), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(847), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(859), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(843), 4,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    ACTIONS(849), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
    ACTIONS(855), 4,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
    ACTIONS(857), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [14003] = 11,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(845), 1,
      anon_sym_EQ,
    ACTIONS(851), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(853), 1,
      anon_sym_AMP_AMP,
    ACTIONS(847), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(859), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(861), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(849), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
    ACTIONS(855), 4,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
    ACTIONS(857), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(863), 4,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
  [14052] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(209), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(207), 23,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [14085] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(179), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(177), 23,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [14118] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(715), 1,
      anon_sym_LBRACK,
    ACTIONS(717), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_CARET,
    ACTIONS(725), 1,
      anon_sym_DOLLAR,
    ACTIONS(727), 1,
      anon_sym_DQUOTE,
    ACTIONS(729), 1,
      anon_sym_SQUOTE,
    ACTIONS(731), 1,
      anon_sym_BQUOTE,
    ACTIONS(733), 1,
      aux_sym_file_path_token1,
    ACTIONS(735), 1,
      aux_sym_file_path_token2,
    ACTIONS(739), 1,
      anon_sym_LBRACE,
    ACTIONS(865), 1,
      sym_number_literal,
    ACTIONS(869), 1,
      sym_identifier,
    STATE(367), 1,
      sym_value_path,
    ACTIONS(867), 2,
      sym_word,
      sym_flag_arg,
    STATE(380), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [14177] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(715), 1,
      anon_sym_LBRACK,
    ACTIONS(717), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_CARET,
    ACTIONS(725), 1,
      anon_sym_DOLLAR,
    ACTIONS(727), 1,
      anon_sym_DQUOTE,
    ACTIONS(729), 1,
      anon_sym_SQUOTE,
    ACTIONS(731), 1,
      anon_sym_BQUOTE,
    ACTIONS(733), 1,
      aux_sym_file_path_token1,
    ACTIONS(735), 1,
      aux_sym_file_path_token2,
    ACTIONS(739), 1,
      anon_sym_LBRACE,
    ACTIONS(865), 1,
      sym_number_literal,
    ACTIONS(869), 1,
      sym_identifier,
    STATE(367), 1,
      sym_value_path,
    ACTIONS(871), 2,
      sym_word,
      sym_flag_arg,
    STATE(368), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [14236] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(715), 1,
      anon_sym_LBRACK,
    ACTIONS(717), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_CARET,
    ACTIONS(725), 1,
      anon_sym_DOLLAR,
    ACTIONS(727), 1,
      anon_sym_DQUOTE,
    ACTIONS(729), 1,
      anon_sym_SQUOTE,
    ACTIONS(731), 1,
      anon_sym_BQUOTE,
    ACTIONS(733), 1,
      aux_sym_file_path_token1,
    ACTIONS(735), 1,
      aux_sym_file_path_token2,
    ACTIONS(739), 1,
      anon_sym_LBRACE,
    ACTIONS(865), 1,
      sym_number_literal,
    ACTIONS(869), 1,
      sym_identifier,
    STATE(367), 1,
      sym_value_path,
    ACTIONS(873), 2,
      sym_word,
      sym_flag_arg,
    STATE(384), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [14295] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(715), 1,
      anon_sym_LBRACK,
    ACTIONS(717), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_CARET,
    ACTIONS(725), 1,
      anon_sym_DOLLAR,
    ACTIONS(727), 1,
      anon_sym_DQUOTE,
    ACTIONS(729), 1,
      anon_sym_SQUOTE,
    ACTIONS(731), 1,
      anon_sym_BQUOTE,
    ACTIONS(733), 1,
      aux_sym_file_path_token1,
    ACTIONS(735), 1,
      aux_sym_file_path_token2,
    ACTIONS(739), 1,
      anon_sym_LBRACE,
    ACTIONS(865), 1,
      sym_number_literal,
    ACTIONS(869), 1,
      sym_identifier,
    STATE(367), 1,
      sym_value_path,
    ACTIONS(875), 2,
      sym_word,
      sym_flag_arg,
    STATE(374), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [14354] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(715), 1,
      anon_sym_LBRACK,
    ACTIONS(717), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_CARET,
    ACTIONS(725), 1,
      anon_sym_DOLLAR,
    ACTIONS(727), 1,
      anon_sym_DQUOTE,
    ACTIONS(729), 1,
      anon_sym_SQUOTE,
    ACTIONS(731), 1,
      anon_sym_BQUOTE,
    ACTIONS(733), 1,
      aux_sym_file_path_token1,
    ACTIONS(735), 1,
      aux_sym_file_path_token2,
    ACTIONS(739), 1,
      anon_sym_LBRACE,
    ACTIONS(865), 1,
      sym_number_literal,
    ACTIONS(869), 1,
      sym_identifier,
    STATE(367), 1,
      sym_value_path,
    ACTIONS(877), 2,
      sym_word,
      sym_flag_arg,
    STATE(383), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [14413] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(715), 1,
      anon_sym_LBRACK,
    ACTIONS(717), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_CARET,
    ACTIONS(725), 1,
      anon_sym_DOLLAR,
    ACTIONS(727), 1,
      anon_sym_DQUOTE,
    ACTIONS(729), 1,
      anon_sym_SQUOTE,
    ACTIONS(731), 1,
      anon_sym_BQUOTE,
    ACTIONS(733), 1,
      aux_sym_file_path_token1,
    ACTIONS(735), 1,
      aux_sym_file_path_token2,
    ACTIONS(739), 1,
      anon_sym_LBRACE,
    ACTIONS(865), 1,
      sym_number_literal,
    ACTIONS(869), 1,
      sym_identifier,
    STATE(367), 1,
      sym_value_path,
    ACTIONS(879), 2,
      sym_word,
      sym_flag_arg,
    STATE(385), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [14472] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(715), 1,
      anon_sym_LBRACK,
    ACTIONS(717), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_CARET,
    ACTIONS(725), 1,
      anon_sym_DOLLAR,
    ACTIONS(727), 1,
      anon_sym_DQUOTE,
    ACTIONS(729), 1,
      anon_sym_SQUOTE,
    ACTIONS(731), 1,
      anon_sym_BQUOTE,
    ACTIONS(733), 1,
      aux_sym_file_path_token1,
    ACTIONS(735), 1,
      aux_sym_file_path_token2,
    ACTIONS(739), 1,
      anon_sym_LBRACE,
    ACTIONS(865), 1,
      sym_number_literal,
    ACTIONS(869), 1,
      sym_identifier,
    STATE(367), 1,
      sym_value_path,
    ACTIONS(881), 2,
      sym_word,
      sym_flag_arg,
    STATE(386), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [14531] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(715), 1,
      anon_sym_LBRACK,
    ACTIONS(717), 1,
      anon_sym_LPAREN,
    ACTIONS(719), 1,
      anon_sym_CARET,
    ACTIONS(725), 1,
      anon_sym_DOLLAR,
    ACTIONS(727), 1,
      anon_sym_DQUOTE,
    ACTIONS(729), 1,
      anon_sym_SQUOTE,
    ACTIONS(731), 1,
      anon_sym_BQUOTE,
    ACTIONS(733), 1,
      aux_sym_file_path_token1,
    ACTIONS(735), 1,
      aux_sym_file_path_token2,
    ACTIONS(739), 1,
      anon_sym_LBRACE,
    ACTIONS(865), 1,
      sym_number_literal,
    ACTIONS(869), 1,
      sym_identifier,
    STATE(367), 1,
      sym_value_path,
    ACTIONS(883), 2,
      sym_word,
      sym_flag_arg,
    STATE(387), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [14590] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(885), 1,
      anon_sym_LBRACK,
    ACTIONS(887), 1,
      anon_sym_LPAREN,
    ACTIONS(889), 1,
      anon_sym_CARET,
    ACTIONS(891), 1,
      sym_number_literal,
    ACTIONS(895), 1,
      anon_sym_DOLLAR,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      anon_sym_SQUOTE,
    ACTIONS(901), 1,
      anon_sym_BQUOTE,
    ACTIONS(903), 1,
      aux_sym_file_path_token1,
    ACTIONS(905), 1,
      aux_sym_file_path_token2,
    ACTIONS(907), 1,
      sym_identifier,
    ACTIONS(909), 1,
      anon_sym_LBRACE,
    STATE(152), 1,
      sym_value_path,
    ACTIONS(893), 2,
      sym_word,
      sym_flag_arg,
    STATE(198), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [14649] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(244), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(242), 23,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [14682] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(21), 1,
      anon_sym_CARET,
    ACTIONS(23), 1,
      sym_number_literal,
    ACTIONS(27), 1,
      anon_sym_DOLLAR,
    ACTIONS(29), 1,
      anon_sym_DQUOTE,
    ACTIONS(31), 1,
      anon_sym_SQUOTE,
    ACTIONS(33), 1,
      anon_sym_BQUOTE,
    ACTIONS(35), 1,
      aux_sym_file_path_token1,
    ACTIONS(37), 1,
      aux_sym_file_path_token2,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(837), 1,
      sym_identifier,
    STATE(226), 1,
      sym_value_path,
    ACTIONS(911), 2,
      sym_word,
      sym_flag_arg,
    STATE(295), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [14741] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(913), 1,
      anon_sym_DOT_DOT,
    ACTIONS(163), 7,
      anon_sym_EQ,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(167), 17,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [14776] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(21), 1,
      anon_sym_CARET,
    ACTIONS(23), 1,
      sym_number_literal,
    ACTIONS(27), 1,
      anon_sym_DOLLAR,
    ACTIONS(29), 1,
      anon_sym_DQUOTE,
    ACTIONS(31), 1,
      anon_sym_SQUOTE,
    ACTIONS(33), 1,
      anon_sym_BQUOTE,
    ACTIONS(35), 1,
      aux_sym_file_path_token1,
    ACTIONS(37), 1,
      aux_sym_file_path_token2,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(837), 1,
      sym_identifier,
    STATE(226), 1,
      sym_value_path,
    ACTIONS(915), 2,
      sym_word,
      sym_flag_arg,
    STATE(296), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [14835] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(21), 1,
      anon_sym_CARET,
    ACTIONS(23), 1,
      sym_number_literal,
    ACTIONS(27), 1,
      anon_sym_DOLLAR,
    ACTIONS(29), 1,
      anon_sym_DQUOTE,
    ACTIONS(31), 1,
      anon_sym_SQUOTE,
    ACTIONS(33), 1,
      anon_sym_BQUOTE,
    ACTIONS(35), 1,
      aux_sym_file_path_token1,
    ACTIONS(37), 1,
      aux_sym_file_path_token2,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(837), 1,
      sym_identifier,
    STATE(226), 1,
      sym_value_path,
    ACTIONS(917), 2,
      sym_word,
      sym_flag_arg,
    STATE(297), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [14894] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(21), 1,
      anon_sym_CARET,
    ACTIONS(23), 1,
      sym_number_literal,
    ACTIONS(27), 1,
      anon_sym_DOLLAR,
    ACTIONS(29), 1,
      anon_sym_DQUOTE,
    ACTIONS(31), 1,
      anon_sym_SQUOTE,
    ACTIONS(33), 1,
      anon_sym_BQUOTE,
    ACTIONS(35), 1,
      aux_sym_file_path_token1,
    ACTIONS(37), 1,
      aux_sym_file_path_token2,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(837), 1,
      sym_identifier,
    STATE(226), 1,
      sym_value_path,
    ACTIONS(919), 2,
      sym_word,
      sym_flag_arg,
    STATE(298), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [14953] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(21), 1,
      anon_sym_CARET,
    ACTIONS(23), 1,
      sym_number_literal,
    ACTIONS(27), 1,
      anon_sym_DOLLAR,
    ACTIONS(29), 1,
      anon_sym_DQUOTE,
    ACTIONS(31), 1,
      anon_sym_SQUOTE,
    ACTIONS(33), 1,
      anon_sym_BQUOTE,
    ACTIONS(35), 1,
      aux_sym_file_path_token1,
    ACTIONS(37), 1,
      aux_sym_file_path_token2,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(837), 1,
      sym_identifier,
    STATE(226), 1,
      sym_value_path,
    ACTIONS(921), 2,
      sym_word,
      sym_flag_arg,
    STATE(299), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [15012] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(21), 1,
      anon_sym_CARET,
    ACTIONS(23), 1,
      sym_number_literal,
    ACTIONS(27), 1,
      anon_sym_DOLLAR,
    ACTIONS(29), 1,
      anon_sym_DQUOTE,
    ACTIONS(31), 1,
      anon_sym_SQUOTE,
    ACTIONS(33), 1,
      anon_sym_BQUOTE,
    ACTIONS(35), 1,
      aux_sym_file_path_token1,
    ACTIONS(37), 1,
      aux_sym_file_path_token2,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(837), 1,
      sym_identifier,
    STATE(226), 1,
      sym_value_path,
    ACTIONS(923), 2,
      sym_word,
      sym_flag_arg,
    STATE(278), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [15071] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(21), 1,
      anon_sym_CARET,
    ACTIONS(23), 1,
      sym_number_literal,
    ACTIONS(27), 1,
      anon_sym_DOLLAR,
    ACTIONS(29), 1,
      anon_sym_DQUOTE,
    ACTIONS(31), 1,
      anon_sym_SQUOTE,
    ACTIONS(33), 1,
      anon_sym_BQUOTE,
    ACTIONS(35), 1,
      aux_sym_file_path_token1,
    ACTIONS(37), 1,
      aux_sym_file_path_token2,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(837), 1,
      sym_identifier,
    STATE(226), 1,
      sym_value_path,
    ACTIONS(925), 2,
      sym_word,
      sym_flag_arg,
    STATE(320), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [15130] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(885), 1,
      anon_sym_LBRACK,
    ACTIONS(887), 1,
      anon_sym_LPAREN,
    ACTIONS(889), 1,
      anon_sym_CARET,
    ACTIONS(891), 1,
      sym_number_literal,
    ACTIONS(895), 1,
      anon_sym_DOLLAR,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      anon_sym_SQUOTE,
    ACTIONS(901), 1,
      anon_sym_BQUOTE,
    ACTIONS(903), 1,
      aux_sym_file_path_token1,
    ACTIONS(905), 1,
      aux_sym_file_path_token2,
    ACTIONS(907), 1,
      sym_identifier,
    ACTIONS(909), 1,
      anon_sym_LBRACE,
    STATE(152), 1,
      sym_value_path,
    ACTIONS(927), 2,
      sym_word,
      sym_flag_arg,
    STATE(169), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [15189] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(885), 1,
      anon_sym_LBRACK,
    ACTIONS(887), 1,
      anon_sym_LPAREN,
    ACTIONS(889), 1,
      anon_sym_CARET,
    ACTIONS(891), 1,
      sym_number_literal,
    ACTIONS(895), 1,
      anon_sym_DOLLAR,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      anon_sym_SQUOTE,
    ACTIONS(901), 1,
      anon_sym_BQUOTE,
    ACTIONS(903), 1,
      aux_sym_file_path_token1,
    ACTIONS(905), 1,
      aux_sym_file_path_token2,
    ACTIONS(907), 1,
      sym_identifier,
    ACTIONS(909), 1,
      anon_sym_LBRACE,
    STATE(152), 1,
      sym_value_path,
    ACTIONS(929), 2,
      sym_word,
      sym_flag_arg,
    STATE(174), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [15248] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(885), 1,
      anon_sym_LBRACK,
    ACTIONS(887), 1,
      anon_sym_LPAREN,
    ACTIONS(889), 1,
      anon_sym_CARET,
    ACTIONS(891), 1,
      sym_number_literal,
    ACTIONS(895), 1,
      anon_sym_DOLLAR,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      anon_sym_SQUOTE,
    ACTIONS(901), 1,
      anon_sym_BQUOTE,
    ACTIONS(903), 1,
      aux_sym_file_path_token1,
    ACTIONS(905), 1,
      aux_sym_file_path_token2,
    ACTIONS(907), 1,
      sym_identifier,
    ACTIONS(909), 1,
      anon_sym_LBRACE,
    STATE(152), 1,
      sym_value_path,
    ACTIONS(931), 2,
      sym_word,
      sym_flag_arg,
    STATE(176), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [15307] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(885), 1,
      anon_sym_LBRACK,
    ACTIONS(887), 1,
      anon_sym_LPAREN,
    ACTIONS(889), 1,
      anon_sym_CARET,
    ACTIONS(891), 1,
      sym_number_literal,
    ACTIONS(895), 1,
      anon_sym_DOLLAR,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      anon_sym_SQUOTE,
    ACTIONS(901), 1,
      anon_sym_BQUOTE,
    ACTIONS(903), 1,
      aux_sym_file_path_token1,
    ACTIONS(905), 1,
      aux_sym_file_path_token2,
    ACTIONS(907), 1,
      sym_identifier,
    ACTIONS(909), 1,
      anon_sym_LBRACE,
    STATE(152), 1,
      sym_value_path,
    ACTIONS(933), 2,
      sym_word,
      sym_flag_arg,
    STATE(177), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [15366] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(885), 1,
      anon_sym_LBRACK,
    ACTIONS(887), 1,
      anon_sym_LPAREN,
    ACTIONS(889), 1,
      anon_sym_CARET,
    ACTIONS(891), 1,
      sym_number_literal,
    ACTIONS(895), 1,
      anon_sym_DOLLAR,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      anon_sym_SQUOTE,
    ACTIONS(901), 1,
      anon_sym_BQUOTE,
    ACTIONS(903), 1,
      aux_sym_file_path_token1,
    ACTIONS(905), 1,
      aux_sym_file_path_token2,
    ACTIONS(907), 1,
      sym_identifier,
    ACTIONS(909), 1,
      anon_sym_LBRACE,
    STATE(152), 1,
      sym_value_path,
    ACTIONS(935), 2,
      sym_word,
      sym_flag_arg,
    STATE(180), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [15425] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(885), 1,
      anon_sym_LBRACK,
    ACTIONS(887), 1,
      anon_sym_LPAREN,
    ACTIONS(889), 1,
      anon_sym_CARET,
    ACTIONS(891), 1,
      sym_number_literal,
    ACTIONS(895), 1,
      anon_sym_DOLLAR,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      anon_sym_SQUOTE,
    ACTIONS(901), 1,
      anon_sym_BQUOTE,
    ACTIONS(903), 1,
      aux_sym_file_path_token1,
    ACTIONS(905), 1,
      aux_sym_file_path_token2,
    ACTIONS(907), 1,
      sym_identifier,
    ACTIONS(909), 1,
      anon_sym_LBRACE,
    STATE(152), 1,
      sym_value_path,
    ACTIONS(937), 2,
      sym_word,
      sym_flag_arg,
    STATE(181), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [15484] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(21), 1,
      anon_sym_CARET,
    ACTIONS(23), 1,
      sym_number_literal,
    ACTIONS(27), 1,
      anon_sym_DOLLAR,
    ACTIONS(29), 1,
      anon_sym_DQUOTE,
    ACTIONS(31), 1,
      anon_sym_SQUOTE,
    ACTIONS(33), 1,
      anon_sym_BQUOTE,
    ACTIONS(35), 1,
      aux_sym_file_path_token1,
    ACTIONS(37), 1,
      aux_sym_file_path_token2,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(837), 1,
      sym_identifier,
    STATE(226), 1,
      sym_value_path,
    ACTIONS(939), 2,
      sym_word,
      sym_flag_arg,
    STATE(319), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [15543] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(811), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LPAREN,
    ACTIONS(819), 1,
      anon_sym_DOLLAR,
    ACTIONS(821), 1,
      anon_sym_DQUOTE,
    ACTIONS(823), 1,
      anon_sym_SQUOTE,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(827), 1,
      aux_sym_file_path_token1,
    ACTIONS(829), 1,
      aux_sym_file_path_token2,
    ACTIONS(833), 1,
      anon_sym_LBRACE,
    ACTIONS(941), 1,
      anon_sym_CARET,
    ACTIONS(943), 1,
      sym_number_literal,
    ACTIONS(947), 1,
      sym_identifier,
    STATE(252), 1,
      sym_value_path,
    ACTIONS(945), 2,
      sym_word,
      sym_flag_arg,
    STATE(322), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [15602] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(159), 1,
      sym_identifier,
    ACTIONS(913), 1,
      anon_sym_DOT_DOT,
    ACTIONS(161), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
    ACTIONS(163), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(167), 13,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [15641] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(21), 1,
      anon_sym_CARET,
    ACTIONS(23), 1,
      sym_number_literal,
    ACTIONS(27), 1,
      anon_sym_DOLLAR,
    ACTIONS(29), 1,
      anon_sym_DQUOTE,
    ACTIONS(31), 1,
      anon_sym_SQUOTE,
    ACTIONS(33), 1,
      anon_sym_BQUOTE,
    ACTIONS(35), 1,
      aux_sym_file_path_token1,
    ACTIONS(37), 1,
      aux_sym_file_path_token2,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(837), 1,
      sym_identifier,
    STATE(226), 1,
      sym_value_path,
    ACTIONS(949), 2,
      sym_word,
      sym_flag_arg,
    STATE(318), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [15700] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(811), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LPAREN,
    ACTIONS(819), 1,
      anon_sym_DOLLAR,
    ACTIONS(821), 1,
      anon_sym_DQUOTE,
    ACTIONS(823), 1,
      anon_sym_SQUOTE,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(827), 1,
      aux_sym_file_path_token1,
    ACTIONS(829), 1,
      aux_sym_file_path_token2,
    ACTIONS(833), 1,
      anon_sym_LBRACE,
    ACTIONS(941), 1,
      anon_sym_CARET,
    ACTIONS(943), 1,
      sym_number_literal,
    ACTIONS(947), 1,
      sym_identifier,
    STATE(252), 1,
      sym_value_path,
    ACTIONS(951), 2,
      sym_word,
      sym_flag_arg,
    STATE(341), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [15759] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(811), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LPAREN,
    ACTIONS(819), 1,
      anon_sym_DOLLAR,
    ACTIONS(821), 1,
      anon_sym_DQUOTE,
    ACTIONS(823), 1,
      anon_sym_SQUOTE,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(827), 1,
      aux_sym_file_path_token1,
    ACTIONS(829), 1,
      aux_sym_file_path_token2,
    ACTIONS(833), 1,
      anon_sym_LBRACE,
    ACTIONS(941), 1,
      anon_sym_CARET,
    ACTIONS(943), 1,
      sym_number_literal,
    ACTIONS(947), 1,
      sym_identifier,
    STATE(252), 1,
      sym_value_path,
    ACTIONS(953), 2,
      sym_word,
      sym_flag_arg,
    STATE(340), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [15818] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(811), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LPAREN,
    ACTIONS(819), 1,
      anon_sym_DOLLAR,
    ACTIONS(821), 1,
      anon_sym_DQUOTE,
    ACTIONS(823), 1,
      anon_sym_SQUOTE,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(827), 1,
      aux_sym_file_path_token1,
    ACTIONS(829), 1,
      aux_sym_file_path_token2,
    ACTIONS(833), 1,
      anon_sym_LBRACE,
    ACTIONS(941), 1,
      anon_sym_CARET,
    ACTIONS(943), 1,
      sym_number_literal,
    ACTIONS(947), 1,
      sym_identifier,
    STATE(252), 1,
      sym_value_path,
    ACTIONS(955), 2,
      sym_word,
      sym_flag_arg,
    STATE(339), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [15877] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(811), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LPAREN,
    ACTIONS(819), 1,
      anon_sym_DOLLAR,
    ACTIONS(821), 1,
      anon_sym_DQUOTE,
    ACTIONS(823), 1,
      anon_sym_SQUOTE,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(827), 1,
      aux_sym_file_path_token1,
    ACTIONS(829), 1,
      aux_sym_file_path_token2,
    ACTIONS(833), 1,
      anon_sym_LBRACE,
    ACTIONS(941), 1,
      anon_sym_CARET,
    ACTIONS(943), 1,
      sym_number_literal,
    ACTIONS(947), 1,
      sym_identifier,
    STATE(252), 1,
      sym_value_path,
    ACTIONS(957), 2,
      sym_word,
      sym_flag_arg,
    STATE(338), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [15936] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(811), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LPAREN,
    ACTIONS(819), 1,
      anon_sym_DOLLAR,
    ACTIONS(821), 1,
      anon_sym_DQUOTE,
    ACTIONS(823), 1,
      anon_sym_SQUOTE,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(827), 1,
      aux_sym_file_path_token1,
    ACTIONS(829), 1,
      aux_sym_file_path_token2,
    ACTIONS(833), 1,
      anon_sym_LBRACE,
    ACTIONS(941), 1,
      anon_sym_CARET,
    ACTIONS(943), 1,
      sym_number_literal,
    ACTIONS(947), 1,
      sym_identifier,
    STATE(252), 1,
      sym_value_path,
    ACTIONS(959), 2,
      sym_word,
      sym_flag_arg,
    STATE(321), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [15995] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(681), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_LPAREN,
    ACTIONS(687), 1,
      anon_sym_CARET,
    ACTIONS(689), 1,
      sym_number_literal,
    ACTIONS(693), 1,
      anon_sym_DOLLAR,
    ACTIONS(695), 1,
      anon_sym_DQUOTE,
    ACTIONS(697), 1,
      anon_sym_SQUOTE,
    ACTIONS(699), 1,
      anon_sym_BQUOTE,
    ACTIONS(701), 1,
      aux_sym_file_path_token1,
    ACTIONS(703), 1,
      aux_sym_file_path_token2,
    ACTIONS(705), 1,
      sym_identifier,
    ACTIONS(707), 1,
      anon_sym_LBRACE,
    STATE(73), 1,
      sym_value_path,
    ACTIONS(961), 2,
      sym_word,
      sym_flag_arg,
    STATE(80), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [16054] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(681), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_LPAREN,
    ACTIONS(687), 1,
      anon_sym_CARET,
    ACTIONS(689), 1,
      sym_number_literal,
    ACTIONS(693), 1,
      anon_sym_DOLLAR,
    ACTIONS(695), 1,
      anon_sym_DQUOTE,
    ACTIONS(697), 1,
      anon_sym_SQUOTE,
    ACTIONS(699), 1,
      anon_sym_BQUOTE,
    ACTIONS(701), 1,
      aux_sym_file_path_token1,
    ACTIONS(703), 1,
      aux_sym_file_path_token2,
    ACTIONS(705), 1,
      sym_identifier,
    ACTIONS(707), 1,
      anon_sym_LBRACE,
    STATE(73), 1,
      sym_value_path,
    ACTIONS(963), 2,
      sym_word,
      sym_flag_arg,
    STATE(93), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [16113] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(681), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_LPAREN,
    ACTIONS(687), 1,
      anon_sym_CARET,
    ACTIONS(689), 1,
      sym_number_literal,
    ACTIONS(693), 1,
      anon_sym_DOLLAR,
    ACTIONS(695), 1,
      anon_sym_DQUOTE,
    ACTIONS(697), 1,
      anon_sym_SQUOTE,
    ACTIONS(699), 1,
      anon_sym_BQUOTE,
    ACTIONS(701), 1,
      aux_sym_file_path_token1,
    ACTIONS(703), 1,
      aux_sym_file_path_token2,
    ACTIONS(705), 1,
      sym_identifier,
    ACTIONS(707), 1,
      anon_sym_LBRACE,
    STATE(73), 1,
      sym_value_path,
    ACTIONS(965), 2,
      sym_word,
      sym_flag_arg,
    STATE(92), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [16172] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(681), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_LPAREN,
    ACTIONS(687), 1,
      anon_sym_CARET,
    ACTIONS(689), 1,
      sym_number_literal,
    ACTIONS(693), 1,
      anon_sym_DOLLAR,
    ACTIONS(695), 1,
      anon_sym_DQUOTE,
    ACTIONS(697), 1,
      anon_sym_SQUOTE,
    ACTIONS(699), 1,
      anon_sym_BQUOTE,
    ACTIONS(701), 1,
      aux_sym_file_path_token1,
    ACTIONS(703), 1,
      aux_sym_file_path_token2,
    ACTIONS(705), 1,
      sym_identifier,
    ACTIONS(707), 1,
      anon_sym_LBRACE,
    STATE(73), 1,
      sym_value_path,
    ACTIONS(967), 2,
      sym_word,
      sym_flag_arg,
    STATE(101), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [16231] = 8,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(845), 1,
      anon_sym_EQ,
    ACTIONS(183), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(847), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(859), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(849), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
    ACTIONS(857), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(181), 10,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
  [16274] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(681), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_LPAREN,
    ACTIONS(687), 1,
      anon_sym_CARET,
    ACTIONS(689), 1,
      sym_number_literal,
    ACTIONS(693), 1,
      anon_sym_DOLLAR,
    ACTIONS(695), 1,
      anon_sym_DQUOTE,
    ACTIONS(697), 1,
      anon_sym_SQUOTE,
    ACTIONS(699), 1,
      anon_sym_BQUOTE,
    ACTIONS(701), 1,
      aux_sym_file_path_token1,
    ACTIONS(703), 1,
      aux_sym_file_path_token2,
    ACTIONS(705), 1,
      sym_identifier,
    ACTIONS(707), 1,
      anon_sym_LBRACE,
    STATE(73), 1,
      sym_value_path,
    ACTIONS(969), 2,
      sym_word,
      sym_flag_arg,
    STATE(83), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [16333] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(681), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_LPAREN,
    ACTIONS(687), 1,
      anon_sym_CARET,
    ACTIONS(689), 1,
      sym_number_literal,
    ACTIONS(693), 1,
      anon_sym_DOLLAR,
    ACTIONS(695), 1,
      anon_sym_DQUOTE,
    ACTIONS(697), 1,
      anon_sym_SQUOTE,
    ACTIONS(699), 1,
      anon_sym_BQUOTE,
    ACTIONS(701), 1,
      aux_sym_file_path_token1,
    ACTIONS(703), 1,
      aux_sym_file_path_token2,
    ACTIONS(705), 1,
      sym_identifier,
    ACTIONS(707), 1,
      anon_sym_LBRACE,
    STATE(73), 1,
      sym_value_path,
    ACTIONS(971), 2,
      sym_word,
      sym_flag_arg,
    STATE(84), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [16392] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(681), 1,
      anon_sym_LBRACK,
    ACTIONS(685), 1,
      anon_sym_LPAREN,
    ACTIONS(687), 1,
      anon_sym_CARET,
    ACTIONS(689), 1,
      sym_number_literal,
    ACTIONS(693), 1,
      anon_sym_DOLLAR,
    ACTIONS(695), 1,
      anon_sym_DQUOTE,
    ACTIONS(697), 1,
      anon_sym_SQUOTE,
    ACTIONS(699), 1,
      anon_sym_BQUOTE,
    ACTIONS(701), 1,
      aux_sym_file_path_token1,
    ACTIONS(703), 1,
      aux_sym_file_path_token2,
    ACTIONS(705), 1,
      sym_identifier,
    ACTIONS(707), 1,
      anon_sym_LBRACE,
    STATE(73), 1,
      sym_value_path,
    ACTIONS(973), 2,
      sym_word,
      sym_flag_arg,
    STATE(85), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [16451] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(811), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LPAREN,
    ACTIONS(819), 1,
      anon_sym_DOLLAR,
    ACTIONS(821), 1,
      anon_sym_DQUOTE,
    ACTIONS(823), 1,
      anon_sym_SQUOTE,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(827), 1,
      aux_sym_file_path_token1,
    ACTIONS(829), 1,
      aux_sym_file_path_token2,
    ACTIONS(833), 1,
      anon_sym_LBRACE,
    ACTIONS(941), 1,
      anon_sym_CARET,
    ACTIONS(943), 1,
      sym_number_literal,
    ACTIONS(947), 1,
      sym_identifier,
    STATE(252), 1,
      sym_value_path,
    ACTIONS(975), 2,
      sym_word,
      sym_flag_arg,
    STATE(325), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [16510] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(811), 1,
      anon_sym_LBRACK,
    ACTIONS(813), 1,
      anon_sym_LPAREN,
    ACTIONS(819), 1,
      anon_sym_DOLLAR,
    ACTIONS(821), 1,
      anon_sym_DQUOTE,
    ACTIONS(823), 1,
      anon_sym_SQUOTE,
    ACTIONS(825), 1,
      anon_sym_BQUOTE,
    ACTIONS(827), 1,
      aux_sym_file_path_token1,
    ACTIONS(829), 1,
      aux_sym_file_path_token2,
    ACTIONS(833), 1,
      anon_sym_LBRACE,
    ACTIONS(941), 1,
      anon_sym_CARET,
    ACTIONS(943), 1,
      sym_number_literal,
    ACTIONS(947), 1,
      sym_identifier,
    STATE(252), 1,
      sym_value_path,
    ACTIONS(977), 2,
      sym_word,
      sym_flag_arg,
    STATE(326), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [16569] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(248), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(246), 23,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [16602] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(256), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(254), 23,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [16635] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(885), 1,
      anon_sym_LBRACK,
    ACTIONS(887), 1,
      anon_sym_LPAREN,
    ACTIONS(889), 1,
      anon_sym_CARET,
    ACTIONS(891), 1,
      sym_number_literal,
    ACTIONS(895), 1,
      anon_sym_DOLLAR,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      anon_sym_SQUOTE,
    ACTIONS(901), 1,
      anon_sym_BQUOTE,
    ACTIONS(903), 1,
      aux_sym_file_path_token1,
    ACTIONS(905), 1,
      aux_sym_file_path_token2,
    ACTIONS(907), 1,
      sym_identifier,
    ACTIONS(909), 1,
      anon_sym_LBRACE,
    STATE(152), 1,
      sym_value_path,
    ACTIONS(979), 2,
      sym_word,
      sym_flag_arg,
    STATE(182), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [16694] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(256), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(254), 23,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [16727] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(276), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(274), 23,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [16760] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(15), 1,
      anon_sym_LBRACK,
    ACTIONS(17), 1,
      anon_sym_LPAREN,
    ACTIONS(21), 1,
      anon_sym_CARET,
    ACTIONS(23), 1,
      sym_number_literal,
    ACTIONS(27), 1,
      anon_sym_DOLLAR,
    ACTIONS(29), 1,
      anon_sym_DQUOTE,
    ACTIONS(31), 1,
      anon_sym_SQUOTE,
    ACTIONS(33), 1,
      anon_sym_BQUOTE,
    ACTIONS(35), 1,
      aux_sym_file_path_token1,
    ACTIONS(37), 1,
      aux_sym_file_path_token2,
    ACTIONS(41), 1,
      anon_sym_LBRACE,
    ACTIONS(837), 1,
      sym_identifier,
    STATE(226), 1,
      sym_value_path,
    ACTIONS(981), 2,
      sym_word,
      sym_flag_arg,
    STATE(306), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [16819] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(252), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(250), 23,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [16852] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(175), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(173), 23,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [16885] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(201), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(199), 23,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [16918] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(201), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(199), 23,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [16951] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(171), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(169), 23,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [16984] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(183), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(181), 23,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [17017] = 5,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(845), 1,
      anon_sym_EQ,
    ACTIONS(183), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(849), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
    ACTIONS(181), 18,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [17054] = 4,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(845), 1,
      anon_sym_EQ,
    ACTIONS(183), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(181), 22,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [17089] = 10,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(845), 1,
      anon_sym_EQ,
    ACTIONS(853), 1,
      anon_sym_AMP_AMP,
    ACTIONS(183), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(847), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(859), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(849), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
    ACTIONS(855), 4,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
    ACTIONS(857), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(181), 5,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
  [17136] = 9,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(845), 1,
      anon_sym_EQ,
    ACTIONS(183), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(847), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(859), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(849), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
    ACTIONS(855), 4,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
    ACTIONS(857), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(181), 6,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [17181] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(280), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(278), 23,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [17214] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(260), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(258), 23,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [17247] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(260), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(258), 23,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [17280] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(260), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(258), 23,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [17313] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(260), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(258), 23,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [17346] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(272), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(270), 23,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [17379] = 11,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(845), 1,
      anon_sym_EQ,
    ACTIONS(851), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(853), 1,
      anon_sym_AMP_AMP,
    ACTIONS(847), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(859), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(983), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(849), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
    ACTIONS(855), 4,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
    ACTIONS(857), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(985), 4,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
  [17428] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(885), 1,
      anon_sym_LBRACK,
    ACTIONS(887), 1,
      anon_sym_LPAREN,
    ACTIONS(889), 1,
      anon_sym_CARET,
    ACTIONS(891), 1,
      sym_number_literal,
    ACTIONS(895), 1,
      anon_sym_DOLLAR,
    ACTIONS(897), 1,
      anon_sym_DQUOTE,
    ACTIONS(899), 1,
      anon_sym_SQUOTE,
    ACTIONS(901), 1,
      anon_sym_BQUOTE,
    ACTIONS(903), 1,
      aux_sym_file_path_token1,
    ACTIONS(905), 1,
      aux_sym_file_path_token2,
    ACTIONS(907), 1,
      sym_identifier,
    ACTIONS(909), 1,
      anon_sym_LBRACE,
    STATE(152), 1,
      sym_value_path,
    ACTIONS(987), 2,
      sym_word,
      sym_flag_arg,
    STATE(183), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [17487] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(205), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(203), 23,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [17520] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(268), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(266), 23,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [17553] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(235), 1,
      aux_sym_file_path_token2,
    ACTIONS(989), 1,
      anon_sym_LBRACK,
    ACTIONS(991), 1,
      anon_sym_LPAREN,
    ACTIONS(993), 1,
      anon_sym_CARET,
    ACTIONS(995), 1,
      sym_number_literal,
    ACTIONS(999), 1,
      anon_sym_DOLLAR,
    ACTIONS(1001), 1,
      anon_sym_DQUOTE,
    ACTIONS(1003), 1,
      anon_sym_SQUOTE,
    ACTIONS(1005), 1,
      anon_sym_BQUOTE,
    ACTIONS(1007), 1,
      aux_sym_file_path_token1,
    ACTIONS(1009), 1,
      sym_identifier,
    ACTIONS(1011), 1,
      anon_sym_LBRACE,
    STATE(35), 1,
      sym_value_path,
    ACTIONS(997), 2,
      sym_word,
      sym_flag_arg,
    STATE(52), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [17612] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(235), 1,
      aux_sym_file_path_token2,
    ACTIONS(989), 1,
      anon_sym_LBRACK,
    ACTIONS(991), 1,
      anon_sym_LPAREN,
    ACTIONS(993), 1,
      anon_sym_CARET,
    ACTIONS(995), 1,
      sym_number_literal,
    ACTIONS(999), 1,
      anon_sym_DOLLAR,
    ACTIONS(1001), 1,
      anon_sym_DQUOTE,
    ACTIONS(1003), 1,
      anon_sym_SQUOTE,
    ACTIONS(1005), 1,
      anon_sym_BQUOTE,
    ACTIONS(1007), 1,
      aux_sym_file_path_token1,
    ACTIONS(1009), 1,
      sym_identifier,
    ACTIONS(1011), 1,
      anon_sym_LBRACE,
    STATE(35), 1,
      sym_value_path,
    ACTIONS(1013), 2,
      sym_word,
      sym_flag_arg,
    STATE(55), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [17671] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(235), 1,
      aux_sym_file_path_token2,
    ACTIONS(989), 1,
      anon_sym_LBRACK,
    ACTIONS(991), 1,
      anon_sym_LPAREN,
    ACTIONS(993), 1,
      anon_sym_CARET,
    ACTIONS(995), 1,
      sym_number_literal,
    ACTIONS(999), 1,
      anon_sym_DOLLAR,
    ACTIONS(1001), 1,
      anon_sym_DQUOTE,
    ACTIONS(1003), 1,
      anon_sym_SQUOTE,
    ACTIONS(1005), 1,
      anon_sym_BQUOTE,
    ACTIONS(1007), 1,
      aux_sym_file_path_token1,
    ACTIONS(1009), 1,
      sym_identifier,
    ACTIONS(1011), 1,
      anon_sym_LBRACE,
    STATE(35), 1,
      sym_value_path,
    ACTIONS(1015), 2,
      sym_word,
      sym_flag_arg,
    STATE(59), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [17730] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(235), 1,
      aux_sym_file_path_token2,
    ACTIONS(989), 1,
      anon_sym_LBRACK,
    ACTIONS(991), 1,
      anon_sym_LPAREN,
    ACTIONS(993), 1,
      anon_sym_CARET,
    ACTIONS(995), 1,
      sym_number_literal,
    ACTIONS(999), 1,
      anon_sym_DOLLAR,
    ACTIONS(1001), 1,
      anon_sym_DQUOTE,
    ACTIONS(1003), 1,
      anon_sym_SQUOTE,
    ACTIONS(1005), 1,
      anon_sym_BQUOTE,
    ACTIONS(1007), 1,
      aux_sym_file_path_token1,
    ACTIONS(1009), 1,
      sym_identifier,
    ACTIONS(1011), 1,
      anon_sym_LBRACE,
    STATE(35), 1,
      sym_value_path,
    ACTIONS(1017), 2,
      sym_word,
      sym_flag_arg,
    STATE(40), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [17789] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(235), 1,
      aux_sym_file_path_token2,
    ACTIONS(989), 1,
      anon_sym_LBRACK,
    ACTIONS(991), 1,
      anon_sym_LPAREN,
    ACTIONS(993), 1,
      anon_sym_CARET,
    ACTIONS(995), 1,
      sym_number_literal,
    ACTIONS(999), 1,
      anon_sym_DOLLAR,
    ACTIONS(1001), 1,
      anon_sym_DQUOTE,
    ACTIONS(1003), 1,
      anon_sym_SQUOTE,
    ACTIONS(1005), 1,
      anon_sym_BQUOTE,
    ACTIONS(1007), 1,
      aux_sym_file_path_token1,
    ACTIONS(1009), 1,
      sym_identifier,
    ACTIONS(1011), 1,
      anon_sym_LBRACE,
    STATE(35), 1,
      sym_value_path,
    ACTIONS(1019), 2,
      sym_word,
      sym_flag_arg,
    STATE(67), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [17848] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(235), 1,
      aux_sym_file_path_token2,
    ACTIONS(989), 1,
      anon_sym_LBRACK,
    ACTIONS(991), 1,
      anon_sym_LPAREN,
    ACTIONS(993), 1,
      anon_sym_CARET,
    ACTIONS(995), 1,
      sym_number_literal,
    ACTIONS(999), 1,
      anon_sym_DOLLAR,
    ACTIONS(1001), 1,
      anon_sym_DQUOTE,
    ACTIONS(1003), 1,
      anon_sym_SQUOTE,
    ACTIONS(1005), 1,
      anon_sym_BQUOTE,
    ACTIONS(1007), 1,
      aux_sym_file_path_token1,
    ACTIONS(1009), 1,
      sym_identifier,
    ACTIONS(1011), 1,
      anon_sym_LBRACE,
    STATE(35), 1,
      sym_value_path,
    ACTIONS(1021), 2,
      sym_word,
      sym_flag_arg,
    STATE(65), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [17907] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(235), 1,
      aux_sym_file_path_token2,
    ACTIONS(989), 1,
      anon_sym_LBRACK,
    ACTIONS(991), 1,
      anon_sym_LPAREN,
    ACTIONS(993), 1,
      anon_sym_CARET,
    ACTIONS(995), 1,
      sym_number_literal,
    ACTIONS(999), 1,
      anon_sym_DOLLAR,
    ACTIONS(1001), 1,
      anon_sym_DQUOTE,
    ACTIONS(1003), 1,
      anon_sym_SQUOTE,
    ACTIONS(1005), 1,
      anon_sym_BQUOTE,
    ACTIONS(1007), 1,
      aux_sym_file_path_token1,
    ACTIONS(1009), 1,
      sym_identifier,
    ACTIONS(1011), 1,
      anon_sym_LBRACE,
    STATE(35), 1,
      sym_value_path,
    ACTIONS(1023), 2,
      sym_word,
      sym_flag_arg,
    STATE(70), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [17966] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(235), 1,
      aux_sym_file_path_token2,
    ACTIONS(989), 1,
      anon_sym_LBRACK,
    ACTIONS(991), 1,
      anon_sym_LPAREN,
    ACTIONS(993), 1,
      anon_sym_CARET,
    ACTIONS(995), 1,
      sym_number_literal,
    ACTIONS(999), 1,
      anon_sym_DOLLAR,
    ACTIONS(1001), 1,
      anon_sym_DQUOTE,
    ACTIONS(1003), 1,
      anon_sym_SQUOTE,
    ACTIONS(1005), 1,
      anon_sym_BQUOTE,
    ACTIONS(1007), 1,
      aux_sym_file_path_token1,
    ACTIONS(1009), 1,
      sym_identifier,
    ACTIONS(1011), 1,
      anon_sym_LBRACE,
    STATE(35), 1,
      sym_value_path,
    ACTIONS(1025), 2,
      sym_word,
      sym_flag_arg,
    STATE(62), 10,
      sym_command,
      sym__expression,
      sym_string,
      sym_file_path,
      sym_range,
      sym_table,
      sym_array,
      sym_record_or_block,
      sym_cmd_invocation,
      sym_binary_expression,
  [18025] = 11,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(845), 1,
      anon_sym_EQ,
    ACTIONS(851), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(853), 1,
      anon_sym_AMP_AMP,
    ACTIONS(847), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(859), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1027), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(849), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
    ACTIONS(855), 4,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
    ACTIONS(857), 4,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
    ACTIONS(1029), 4,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
  [18074] = 6,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(845), 1,
      anon_sym_EQ,
    ACTIONS(183), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(847), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(849), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
    ACTIONS(181), 16,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [18113] = 7,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(845), 1,
      anon_sym_EQ,
    ACTIONS(183), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(847), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(859), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(849), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
    ACTIONS(181), 14,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT,
  [18154] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1031), 1,
      anon_sym_EQ,
    ACTIONS(1033), 1,
      anon_sym_PLUS,
    ACTIONS(1035), 1,
      anon_sym_DASH,
    ACTIONS(1039), 1,
      anon_sym_mod,
    ACTIONS(181), 2,
      sym_identifier,
      anon_sym_in,
    ACTIONS(1041), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1043), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1045), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1037), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(183), 9,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
  [18202] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 7,
      anon_sym_EQ,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(183), 17,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [18234] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1047), 1,
      anon_sym_DOT,
    STATE(353), 1,
      aux_sym_value_path_repeat1,
    ACTIONS(73), 3,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(75), 19,
      anon_sym_COLON,
      anon_sym_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [18270] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(258), 7,
      anon_sym_EQ,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(260), 17,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [18302] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1031), 1,
      anon_sym_EQ,
    ACTIONS(1033), 1,
      anon_sym_PLUS,
    ACTIONS(1035), 1,
      anon_sym_DASH,
    ACTIONS(1039), 1,
      anon_sym_mod,
    ACTIONS(1045), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1037), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(181), 4,
      sym_identifier,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(183), 11,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [18346] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1031), 1,
      anon_sym_EQ,
    ACTIONS(1033), 1,
      anon_sym_PLUS,
    ACTIONS(1035), 1,
      anon_sym_DASH,
    ACTIONS(1039), 1,
      anon_sym_mod,
    ACTIONS(1037), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(181), 4,
      sym_identifier,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(183), 13,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [18388] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(282), 7,
      anon_sym_EQ,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(284), 17,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [18420] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(278), 7,
      anon_sym_EQ,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(280), 17,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [18452] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(274), 7,
      anon_sym_EQ,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(276), 17,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [18484] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(254), 7,
      anon_sym_EQ,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(256), 17,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [18516] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(254), 7,
      anon_sym_EQ,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(256), 17,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [18548] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(258), 7,
      anon_sym_EQ,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(260), 17,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [18580] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1047), 1,
      anon_sym_DOT,
    STATE(323), 1,
      aux_sym_value_path_repeat1,
    ACTIONS(142), 3,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(144), 19,
      anon_sym_COLON,
      anon_sym_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [18616] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(258), 7,
      anon_sym_EQ,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(260), 17,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [18648] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(266), 7,
      anon_sym_EQ,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(268), 17,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [18680] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(270), 7,
      anon_sym_EQ,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(272), 17,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [18712] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(203), 7,
      anon_sym_EQ,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(205), 17,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [18744] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      sym_identifier,
    ACTIONS(1031), 1,
      anon_sym_EQ,
    ACTIONS(1033), 1,
      anon_sym_PLUS,
    ACTIONS(1035), 1,
      anon_sym_DASH,
    ACTIONS(1039), 1,
      anon_sym_mod,
    ACTIONS(1051), 1,
      anon_sym_in,
    ACTIONS(1041), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1043), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1045), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1037), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1049), 3,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(183), 6,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
  [18796] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 1,
      sym_identifier,
    ACTIONS(1031), 1,
      anon_sym_EQ,
    ACTIONS(1033), 1,
      anon_sym_PLUS,
    ACTIONS(1035), 1,
      anon_sym_DASH,
    ACTIONS(1039), 1,
      anon_sym_mod,
    ACTIONS(1051), 1,
      anon_sym_in,
    ACTIONS(1053), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1041), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1043), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1045), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1037), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(1049), 3,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
    ACTIONS(183), 5,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      anon_sym_PIPE_PIPE,
  [18850] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1031), 1,
      anon_sym_EQ,
    ACTIONS(181), 6,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(183), 17,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [18884] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1031), 1,
      anon_sym_EQ,
    ACTIONS(1039), 1,
      anon_sym_mod,
    ACTIONS(1037), 3,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
    ACTIONS(181), 5,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(183), 14,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      anon_sym_PLUS,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [18922] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(258), 7,
      anon_sym_EQ,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(260), 17,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [18954] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(169), 7,
      anon_sym_EQ,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(171), 17,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [18986] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(199), 7,
      anon_sym_EQ,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(201), 17,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [19018] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(199), 7,
      anon_sym_EQ,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(201), 17,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [19050] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(262), 7,
      anon_sym_EQ,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(264), 17,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [19082] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(173), 7,
      anon_sym_EQ,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(175), 17,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [19114] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(250), 7,
      anon_sym_EQ,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(252), 17,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [19146] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(246), 7,
      anon_sym_EQ,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(248), 17,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [19178] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(159), 1,
      sym_identifier,
    ACTIONS(161), 4,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
    ACTIONS(163), 6,
      anon_sym_EQ,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(167), 13,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [19214] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(242), 7,
      anon_sym_EQ,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(244), 17,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [19246] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(207), 7,
      anon_sym_EQ,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(209), 17,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [19278] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1055), 1,
      anon_sym_DOT,
    STATE(353), 1,
      aux_sym_value_path_repeat1,
    ACTIONS(135), 3,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(137), 19,
      anon_sym_COLON,
      anon_sym_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [19314] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(177), 7,
      anon_sym_EQ,
      sym_identifier,
      anon_sym_DASH,
      anon_sym_mod,
      anon_sym_in,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(179), 17,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      anon_sym_PLUS,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [19346] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(135), 4,
      anon_sym_EQ,
      anon_sym_DOT,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(137), 19,
      anon_sym_COLON,
      anon_sym_DOT_DOT,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [19377] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1058), 3,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    ACTIONS(1062), 9,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      anon_sym_LBRACE,
    ACTIONS(1060), 11,
      anon_sym_export,
      anon_sym_if,
      anon_sym_def,
      anon_sym_def_DASHenv,
      anon_sym_alias,
      anon_sym_let,
      sym_number_literal,
      sym_word,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
  [19410] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1064), 3,
      ts_builtin_sym_end,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
    ACTIONS(1062), 9,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      anon_sym_LBRACE,
    ACTIONS(1060), 11,
      anon_sym_export,
      anon_sym_if,
      anon_sym_def,
      anon_sym_def_DASHenv,
      anon_sym_alias,
      anon_sym_let,
      sym_number_literal,
      sym_word,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
  [19443] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(282), 3,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(284), 19,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [19473] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(262), 3,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(264), 19,
      anon_sym_COLON,
      anon_sym_LBRACK,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [19503] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1066), 1,
      anon_sym_DOT,
    STATE(353), 1,
      aux_sym_value_path_repeat1,
    ACTIONS(150), 3,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(152), 17,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [19537] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(207), 3,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(209), 19,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [19567] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(246), 3,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(248), 19,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [19597] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1066), 1,
      anon_sym_DOT,
    STATE(360), 1,
      aux_sym_value_path_repeat1,
    ACTIONS(146), 3,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(148), 17,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [19631] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1070), 10,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
    ACTIONS(1068), 11,
      anon_sym_export,
      anon_sym_if,
      anon_sym_def,
      anon_sym_def_DASHenv,
      anon_sym_alias,
      anon_sym_let,
      sym_number_literal,
      sym_word,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
  [19660] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1074), 10,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
    ACTIONS(1072), 11,
      anon_sym_export,
      anon_sym_if,
      anon_sym_def,
      anon_sym_def_DASHenv,
      anon_sym_alias,
      anon_sym_let,
      sym_number_literal,
      sym_word,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
  [19689] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(161), 1,
      anon_sym_LBRACE,
    ACTIONS(1076), 1,
      anon_sym_DOT_DOT,
    ACTIONS(163), 3,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(167), 16,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [19722] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1076), 1,
      anon_sym_DOT_DOT,
    ACTIONS(163), 3,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(167), 17,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [19753] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1078), 1,
      anon_sym_EQ,
    ACTIONS(181), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1080), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1084), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1082), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
    ACTIONS(183), 9,
      anon_sym_LBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
  [19789] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(199), 3,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(201), 17,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [19817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(254), 3,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(256), 17,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [19845] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(274), 3,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(276), 17,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [19873] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(278), 3,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(280), 17,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [19901] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(258), 3,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(260), 17,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [19929] = 9,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1078), 1,
      anon_sym_EQ,
    ACTIONS(1080), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1084), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1088), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1090), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(183), 3,
      anon_sym_LBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
    ACTIONS(1082), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
    ACTIONS(1086), 4,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
  [19969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(258), 3,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(260), 17,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [19997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(258), 3,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(260), 17,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [20025] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(270), 3,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(272), 17,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [20053] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1062), 9,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      anon_sym_LBRACE,
    ACTIONS(1060), 11,
      anon_sym_export,
      anon_sym_if,
      anon_sym_def,
      anon_sym_def_DASHenv,
      anon_sym_alias,
      anon_sym_let,
      sym_number_literal,
      sym_word,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
  [20081] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(266), 3,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(268), 17,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [20109] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1078), 1,
      anon_sym_EQ,
    ACTIONS(181), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1080), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1082), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
    ACTIONS(183), 11,
      anon_sym_LBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [20143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(258), 3,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(260), 17,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [20171] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(161), 1,
      anon_sym_LBRACE,
    ACTIONS(163), 3,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(167), 16,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [20201] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1078), 1,
      anon_sym_EQ,
    ACTIONS(1092), 1,
      anon_sym_AMP_AMP,
    ACTIONS(183), 2,
      anon_sym_LBRACE,
      anon_sym_PIPE_PIPE,
    ACTIONS(1080), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1084), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1088), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1090), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1082), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
    ACTIONS(1086), 4,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
  [20243] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1078), 1,
      anon_sym_EQ,
    ACTIONS(1080), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1084), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1088), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1090), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1082), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
    ACTIONS(183), 7,
      anon_sym_LBRACE,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
  [20281] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1078), 1,
      anon_sym_EQ,
    ACTIONS(181), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(183), 17,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [20311] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1078), 1,
      anon_sym_EQ,
    ACTIONS(181), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1082), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
    ACTIONS(183), 13,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [20343] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(181), 3,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(183), 17,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [20371] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(169), 3,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(171), 17,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [20399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(199), 3,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(201), 17,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [20427] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(254), 3,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(256), 17,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [20455] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(203), 3,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(205), 17,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [20483] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(173), 3,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(175), 17,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [20511] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(250), 3,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(252), 17,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [20539] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(242), 3,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(244), 17,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [20567] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(177), 3,
      anon_sym_EQ,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(179), 17,
      anon_sym_LBRACE,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
      anon_sym_PIPE_PIPE,
      anon_sym_AMP_AMP,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
  [20595] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1031), 1,
      anon_sym_EQ,
    ACTIONS(1053), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1094), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1033), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1041), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1043), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1045), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1037), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
    ACTIONS(1049), 4,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
  [20636] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1078), 1,
      anon_sym_EQ,
    ACTIONS(1092), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1096), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1080), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1084), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1088), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1090), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1082), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
    ACTIONS(1086), 4,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
  [20677] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(185), 1,
      anon_sym_EQ,
    ACTIONS(1102), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1104), 1,
      anon_sym_AMP_AMP,
    ACTIONS(195), 2,
      anon_sym_GT,
      anon_sym_LT,
    ACTIONS(1098), 2,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1108), 2,
      anon_sym_GT_EQ,
      anon_sym_LT_EQ,
    ACTIONS(1110), 2,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
    ACTIONS(1100), 4,
      anon_sym_STAR,
      anon_sym_SLASH,
      anon_sym_PERCENT,
      anon_sym_mod,
    ACTIONS(1106), 4,
      anon_sym_EQ_TILDE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_in,
  [20718] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1114), 2,
      sym__cmd_newline,
      anon_sym_LF,
    ACTIONS(1112), 16,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_LBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      sym_number_literal,
      sym_word,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
      anon_sym_LBRACE,
  [20744] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(442), 1,
      sym_type,
    ACTIONS(1116), 14,
      anon_sym_int,
      anon_sym_float,
      anon_sym_range,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_block,
      anon_sym_duration,
      anon_sym_date,
      anon_sym_filesize,
      anon_sym_number,
      anon_sym_table,
      anon_sym_error,
      anon_sym_binary,
      anon_sym_path,
  [20767] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(412), 1,
      sym_type,
    ACTIONS(1116), 14,
      anon_sym_int,
      anon_sym_float,
      anon_sym_range,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_block,
      anon_sym_duration,
      anon_sym_date,
      anon_sym_filesize,
      anon_sym_number,
      anon_sym_table,
      anon_sym_error,
      anon_sym_binary,
      anon_sym_path,
  [20790] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(425), 1,
      sym_type,
    ACTIONS(1116), 14,
      anon_sym_int,
      anon_sym_float,
      anon_sym_range,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_block,
      anon_sym_duration,
      anon_sym_date,
      anon_sym_filesize,
      anon_sym_number,
      anon_sym_table,
      anon_sym_error,
      anon_sym_binary,
      anon_sym_path,
  [20813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1118), 5,
      sym_number_literal,
      sym_word,
      aux_sym_file_path_token2,
      sym_flag_arg,
      sym_identifier,
    ACTIONS(762), 10,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      aux_sym_file_path_token1,
      anon_sym_LBRACE,
  [20836] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(417), 1,
      sym_type,
    ACTIONS(1116), 14,
      anon_sym_int,
      anon_sym_float,
      anon_sym_range,
      anon_sym_bool,
      anon_sym_string,
      anon_sym_block,
      anon_sym_duration,
      anon_sym_date,
      anon_sym_filesize,
      anon_sym_number,
      anon_sym_table,
      anon_sym_error,
      anon_sym_binary,
      anon_sym_path,
  [20859] = 11,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1124), 1,
      anon_sym_DOLLAR,
    ACTIONS(1127), 1,
      anon_sym_DQUOTE,
    ACTIONS(1130), 1,
      anon_sym_SQUOTE,
    ACTIONS(1133), 1,
      anon_sym_BQUOTE,
    ACTIONS(1136), 1,
      sym_identifier,
    STATE(405), 1,
      aux_sym__statement_repeat1,
    STATE(407), 1,
      sym_record_entry,
    ACTIONS(1120), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(517), 2,
      sym_string,
      sym_value_path,
    ACTIONS(1122), 4,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
  [20898] = 11,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1139), 1,
      anon_sym_DOLLAR,
    ACTIONS(1141), 1,
      anon_sym_DQUOTE,
    ACTIONS(1143), 1,
      anon_sym_SQUOTE,
    ACTIONS(1145), 1,
      anon_sym_BQUOTE,
    ACTIONS(1147), 1,
      sym_identifier,
    STATE(405), 1,
      aux_sym__statement_repeat1,
    STATE(407), 1,
      sym_record_entry,
    ACTIONS(841), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(517), 2,
      sym_string,
      sym_value_path,
    ACTIONS(843), 4,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
  [20937] = 4,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1153), 1,
      anon_sym_COMMA,
    ACTIONS(1149), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1151), 9,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_identifier,
      anon_sym_RBRACE,
  [20959] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1120), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1122), 9,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_DOLLAR,
      anon_sym_DQUOTE,
      anon_sym_SQUOTE,
      anon_sym_BQUOTE,
      sym_identifier,
      anon_sym_RBRACE,
  [20978] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 1,
      anon_sym_COLON,
    ACTIONS(1159), 1,
      anon_sym_EQ,
    ACTIONS(1161), 1,
      anon_sym_QMARK,
    ACTIONS(1163), 1,
      anon_sym_AT,
    STATE(444), 1,
      sym_default_parameter_assignment,
    ACTIONS(1155), 5,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      sym_identifier,
  [21004] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_EQ,
    ACTIONS(1163), 1,
      anon_sym_AT,
    ACTIONS(1167), 1,
      anon_sym_COLON,
    ACTIONS(1169), 1,
      anon_sym_LPAREN,
    STATE(443), 1,
      sym_default_parameter_assignment,
    ACTIONS(1165), 5,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      sym_identifier,
  [21030] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_EQ,
    ACTIONS(1163), 1,
      anon_sym_AT,
    ACTIONS(1173), 1,
      anon_sym_COLON,
    STATE(458), 1,
      sym_default_parameter_assignment,
    ACTIONS(1171), 5,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      sym_identifier,
  [21053] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_EQ,
    ACTIONS(1163), 1,
      anon_sym_AT,
    ACTIONS(1177), 1,
      anon_sym_QMARK,
    STATE(456), 1,
      sym_default_parameter_assignment,
    ACTIONS(1175), 5,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      sym_identifier,
  [21076] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1179), 1,
      anon_sym_RBRACK,
    ACTIONS(1181), 1,
      sym_flag_name,
    ACTIONS(1183), 1,
      anon_sym_DOT_DOT_DOTrest,
    ACTIONS(1185), 1,
      sym_identifier,
    STATE(421), 1,
      aux_sym_signature_repeat1,
    STATE(450), 3,
      sym_parameter,
      sym_flag,
      sym_rest,
  [21100] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1181), 1,
      sym_flag_name,
    ACTIONS(1183), 1,
      anon_sym_DOT_DOT_DOTrest,
    ACTIONS(1185), 1,
      sym_identifier,
    ACTIONS(1187), 1,
      anon_sym_RBRACK,
    STATE(413), 1,
      aux_sym_signature_repeat1,
    STATE(450), 3,
      sym_parameter,
      sym_flag,
      sym_rest,
  [21124] = 5,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1193), 1,
      anon_sym_else,
    STATE(416), 1,
      aux_sym_if_statement_repeat1,
    ACTIONS(1189), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1191), 4,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
  [21144] = 5,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1199), 1,
      anon_sym_else,
    STATE(419), 1,
      aux_sym_if_statement_repeat1,
    ACTIONS(1195), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1197), 4,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
  [21164] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_EQ,
    ACTIONS(1163), 1,
      anon_sym_AT,
    STATE(455), 1,
      sym_default_parameter_assignment,
    ACTIONS(1201), 5,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      sym_identifier,
  [21184] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1203), 8,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACK,
      anon_sym_QMARK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      anon_sym_AT,
      sym_identifier,
  [21198] = 5,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1209), 1,
      anon_sym_else,
    STATE(419), 1,
      aux_sym_if_statement_repeat1,
    ACTIONS(1205), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1207), 4,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
  [21218] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_EQ,
    ACTIONS(1163), 1,
      anon_sym_AT,
    STATE(446), 1,
      sym_default_parameter_assignment,
    ACTIONS(1212), 5,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      sym_identifier,
  [21238] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1214), 1,
      anon_sym_RBRACK,
    ACTIONS(1216), 1,
      sym_flag_name,
    ACTIONS(1219), 1,
      anon_sym_DOT_DOT_DOTrest,
    ACTIONS(1222), 1,
      sym_identifier,
    STATE(421), 1,
      aux_sym_signature_repeat1,
    STATE(450), 3,
      sym_parameter,
      sym_flag,
      sym_rest,
  [21262] = 5,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1193), 1,
      anon_sym_else,
    STATE(419), 1,
      aux_sym_if_statement_repeat1,
    ACTIONS(1189), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1191), 4,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
  [21282] = 5,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1229), 1,
      anon_sym_else,
    STATE(422), 1,
      aux_sym_if_statement_repeat1,
    ACTIONS(1225), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1227), 4,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
  [21302] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_EQ,
    ACTIONS(1163), 1,
      anon_sym_AT,
    STATE(453), 1,
      sym_default_parameter_assignment,
    ACTIONS(1231), 5,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      sym_identifier,
  [21322] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1159), 1,
      anon_sym_EQ,
    ACTIONS(1163), 1,
      anon_sym_AT,
    STATE(448), 1,
      sym_default_parameter_assignment,
    ACTIONS(1233), 5,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      sym_identifier,
  [21342] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1235), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1237), 5,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
  [21357] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1239), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1241), 5,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
  [21372] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1243), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1245), 5,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
  [21387] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1247), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1249), 5,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
  [21402] = 6,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1058), 1,
      ts_builtin_sym_end,
    ACTIONS(1253), 1,
      anon_sym_LF,
    STATE(357), 1,
      sym__terminator,
    ACTIONS(1251), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    ACTIONS(1255), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
  [21423] = 6,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1257), 1,
      ts_builtin_sym_end,
    ACTIONS(1261), 1,
      anon_sym_LF,
    STATE(356), 1,
      sym__terminator,
    ACTIONS(1259), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
    ACTIONS(1263), 2,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
  [21444] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1265), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1267), 5,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_else,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
  [21459] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_DQUOTE,
    ACTIONS(729), 1,
      anon_sym_SQUOTE,
    ACTIONS(731), 1,
      anon_sym_BQUOTE,
    ACTIONS(1269), 1,
      anon_sym_DOLLAR,
    ACTIONS(1271), 1,
      sym_identifier,
    STATE(502), 1,
      sym_string,
  [21481] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1273), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1275), 4,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
  [21495] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1277), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1279), 4,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
  [21509] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1195), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1197), 4,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
  [21523] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(727), 1,
      anon_sym_DQUOTE,
    ACTIONS(729), 1,
      anon_sym_SQUOTE,
    ACTIONS(731), 1,
      anon_sym_BQUOTE,
    ACTIONS(1269), 1,
      anon_sym_DOLLAR,
    ACTIONS(1281), 1,
      sym_identifier,
    STATE(490), 1,
      sym_string,
  [21545] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1283), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1285), 4,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
  [21559] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1287), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1289), 4,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
  [21573] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1293), 1,
      anon_sym_COLON,
    ACTIONS(1291), 5,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      sym_identifier,
  [21587] = 3,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1295), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1297), 4,
      anon_sym_SEMI,
      anon_sym_PIPE,
      anon_sym_RPAREN,
      anon_sym_RBRACE,
  [21601] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1299), 5,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      sym_identifier,
  [21612] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1301), 5,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      sym_identifier,
  [21623] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1231), 5,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      sym_identifier,
  [21634] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1305), 1,
      anon_sym_DQUOTE,
    ACTIONS(1307), 1,
      anon_sym_SQUOTE,
    ACTIONS(1309), 1,
      anon_sym_BQUOTE,
    ACTIONS(1303), 2,
      sym_number_literal,
      sym_identifier,
  [21651] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1311), 5,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      sym_identifier,
  [21662] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1315), 1,
      anon_sym_DQUOTE,
    ACTIONS(1317), 1,
      anon_sym_SQUOTE,
    ACTIONS(1319), 1,
      anon_sym_BQUOTE,
    ACTIONS(1313), 2,
      sym_number_literal,
      sym_identifier,
  [21679] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1321), 5,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      sym_identifier,
  [21690] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1325), 1,
      anon_sym_DQUOTE,
    ACTIONS(1327), 1,
      anon_sym_SQUOTE,
    ACTIONS(1329), 1,
      anon_sym_BQUOTE,
    ACTIONS(1323), 2,
      sym_number_literal,
      sym_identifier,
  [21707] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1331), 1,
      anon_sym_COMMA,
    ACTIONS(1333), 4,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      sym_identifier,
  [21720] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1335), 5,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      sym_identifier,
  [21731] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1339), 1,
      anon_sym_DQUOTE,
    ACTIONS(1341), 1,
      anon_sym_SQUOTE,
    ACTIONS(1343), 1,
      anon_sym_BQUOTE,
    ACTIONS(1337), 2,
      sym_number_literal,
      sym_identifier,
  [21748] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1175), 5,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      sym_identifier,
  [21759] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1347), 1,
      anon_sym_DQUOTE,
    ACTIONS(1349), 1,
      anon_sym_SQUOTE,
    ACTIONS(1351), 1,
      anon_sym_BQUOTE,
    ACTIONS(1345), 2,
      sym_number_literal,
      sym_identifier,
  [21776] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1171), 5,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      sym_identifier,
  [21787] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1212), 5,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      sym_identifier,
  [21798] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1355), 1,
      anon_sym_DQUOTE,
    ACTIONS(1357), 1,
      anon_sym_SQUOTE,
    ACTIONS(1359), 1,
      anon_sym_BQUOTE,
    ACTIONS(1353), 2,
      sym_number_literal,
      sym_identifier,
  [21815] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1361), 5,
      anon_sym_COMMA,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      sym_identifier,
  [21826] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 1,
      anon_sym_LBRACK,
    ACTIONS(1365), 1,
      anon_sym_RBRACK,
    STATE(465), 2,
      sym_array,
      aux_sym_table_repeat1,
  [21840] = 4,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1369), 1,
      anon_sym_LF,
    STATE(378), 1,
      sym__terminator,
    ACTIONS(1367), 2,
      anon_sym_SEMI,
      anon_sym_PIPE,
  [21854] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 1,
      anon_sym_LBRACK,
    ACTIONS(1371), 1,
      anon_sym_RBRACK,
    STATE(470), 2,
      sym_array,
      aux_sym_table_repeat1,
  [21868] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 1,
      anon_sym_LBRACK,
    ACTIONS(1373), 1,
      anon_sym_RBRACK,
    STATE(459), 2,
      sym_array,
      aux_sym_table_repeat1,
  [21882] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 1,
      anon_sym_LBRACK,
    ACTIONS(1375), 1,
      anon_sym_RBRACK,
    STATE(465), 2,
      sym_array,
      aux_sym_table_repeat1,
  [21896] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 1,
      anon_sym_LBRACK,
    ACTIONS(1377), 1,
      anon_sym_RBRACK,
    STATE(471), 2,
      sym_array,
      aux_sym_table_repeat1,
  [21910] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1379), 1,
      anon_sym_LBRACK,
    ACTIONS(1382), 1,
      anon_sym_RBRACK,
    STATE(465), 2,
      sym_array,
      aux_sym_table_repeat1,
  [21924] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 1,
      anon_sym_LBRACK,
    ACTIONS(1384), 1,
      anon_sym_RBRACK,
    STATE(472), 2,
      sym_array,
      aux_sym_table_repeat1,
  [21938] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1214), 4,
      anon_sym_RBRACK,
      sym_flag_name,
      anon_sym_DOT_DOT_DOTrest,
      sym_identifier,
  [21948] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 1,
      anon_sym_LBRACK,
    ACTIONS(1386), 1,
      anon_sym_RBRACK,
    STATE(465), 2,
      sym_array,
      aux_sym_table_repeat1,
  [21962] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 1,
      anon_sym_LBRACK,
    ACTIONS(1388), 1,
      anon_sym_RBRACK,
    STATE(468), 2,
      sym_array,
      aux_sym_table_repeat1,
  [21976] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 1,
      anon_sym_LBRACK,
    ACTIONS(1390), 1,
      anon_sym_RBRACK,
    STATE(465), 2,
      sym_array,
      aux_sym_table_repeat1,
  [21990] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 1,
      anon_sym_LBRACK,
    ACTIONS(1392), 1,
      anon_sym_RBRACK,
    STATE(465), 2,
      sym_array,
      aux_sym_table_repeat1,
  [22004] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 1,
      anon_sym_LBRACK,
    ACTIONS(1394), 1,
      anon_sym_RBRACK,
    STATE(465), 2,
      sym_array,
      aux_sym_table_repeat1,
  [22018] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1363), 1,
      anon_sym_LBRACK,
    ACTIONS(1396), 1,
      anon_sym_RBRACK,
    STATE(463), 2,
      sym_array,
      aux_sym_table_repeat1,
  [22032] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1398), 1,
      anon_sym_env,
    ACTIONS(1400), 1,
      anon_sym_def,
    ACTIONS(1402), 1,
      anon_sym_def_DASHenv,
  [22045] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1404), 1,
      sym_number_literal,
    ACTIONS(1406), 1,
      anon_sym_DOLLAR,
    STATE(191), 1,
      sym_value_path,
  [22058] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1408), 1,
      sym_number_literal,
    ACTIONS(1410), 1,
      anon_sym_DOLLAR,
    STATE(392), 1,
      sym_value_path,
  [22071] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1412), 1,
      anon_sym_PIPE,
    ACTIONS(1414), 1,
      sym_identifier,
    STATE(480), 1,
      aux_sym_block_args_repeat1,
  [22084] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1418), 1,
      anon_sym_COMMA,
    ACTIONS(1416), 2,
      anon_sym_PIPE,
      sym_identifier,
  [22095] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1420), 1,
      anon_sym_if,
    ACTIONS(1422), 1,
      anon_sym_LBRACE,
    STATE(435), 1,
      sym_block,
  [22108] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1424), 1,
      anon_sym_PIPE,
    ACTIONS(1426), 1,
      sym_identifier,
    STATE(480), 1,
      aux_sym_block_args_repeat1,
  [22121] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1429), 1,
      sym_number_literal,
    ACTIONS(1431), 1,
      anon_sym_DOLLAR,
    STATE(347), 1,
      sym_value_path,
  [22134] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1414), 1,
      sym_identifier,
    ACTIONS(1433), 1,
      anon_sym_PIPE,
    STATE(477), 1,
      aux_sym_block_args_repeat1,
  [22147] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1435), 1,
      sym_number_literal,
    ACTIONS(1437), 1,
      anon_sym_DOLLAR,
    STATE(37), 1,
      sym_value_path,
  [22160] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1420), 1,
      anon_sym_if,
    ACTIONS(1422), 1,
      anon_sym_LBRACE,
    STATE(434), 1,
      sym_block,
  [22173] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1347), 1,
      anon_sym_DQUOTE,
    ACTIONS(1349), 1,
      anon_sym_SQUOTE,
    ACTIONS(1351), 1,
      anon_sym_BQUOTE,
  [22186] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1420), 1,
      anon_sym_if,
    ACTIONS(1422), 1,
      anon_sym_LBRACE,
    STATE(436), 1,
      sym_block,
  [22199] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1439), 1,
      sym_number_literal,
    ACTIONS(1441), 1,
      anon_sym_DOLLAR,
    STATE(106), 1,
      sym_value_path,
  [22212] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1443), 1,
      sym_number_literal,
    ACTIONS(1445), 1,
      anon_sym_DOLLAR,
    STATE(291), 1,
      sym_value_path,
  [22225] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1337), 2,
      sym_number_literal,
      sym_identifier,
  [22233] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1447), 1,
      anon_sym_LBRACK,
    STATE(492), 1,
      sym_signature,
  [22243] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1449), 1,
      sym_number_literal,
    ACTIONS(1451), 1,
      sym_identifier,
  [22253] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 1,
      anon_sym_LBRACE,
    STATE(441), 1,
      sym_block,
  [22263] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 1,
      anon_sym_LBRACE,
    STATE(427), 1,
      sym_block,
  [22273] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1323), 2,
      sym_number_literal,
      sym_identifier,
  [22281] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1453), 2,
      sym_number_literal,
      sym_identifier,
  [22289] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 2,
      sym_number_literal,
      sym_identifier,
  [22297] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1455), 2,
      anon_sym_PIPE,
      sym_identifier,
  [22305] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1313), 2,
      sym_number_literal,
      sym_identifier,
  [22313] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1457), 2,
      sym_number_literal,
      sym_identifier,
  [22321] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 2,
      sym_number_literal,
      sym_identifier,
  [22329] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 1,
      anon_sym_LBRACE,
    STATE(423), 1,
      sym_block,
  [22339] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1447), 1,
      anon_sym_LBRACK,
    STATE(509), 1,
      sym_signature,
  [22349] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1459), 2,
      sym_number_literal,
      sym_identifier,
  [22357] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1461), 2,
      sym_number_literal,
      sym_identifier,
  [22365] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1463), 2,
      sym_number_literal,
      sym_identifier,
  [22373] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 1,
      anon_sym_LBRACE,
    STATE(432), 1,
      sym_block,
  [22383] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1465), 2,
      sym_number_literal,
      sym_identifier,
  [22391] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1345), 2,
      sym_number_literal,
      sym_identifier,
  [22399] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 1,
      anon_sym_LBRACE,
    STATE(439), 1,
      sym_block,
  [22409] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1422), 1,
      anon_sym_LBRACE,
    STATE(415), 1,
      sym_block,
  [22419] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      anon_sym_BQUOTE,
  [22426] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1469), 1,
      anon_sym_DQUOTE,
  [22433] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1471), 1,
      anon_sym_DQUOTE,
  [22440] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1471), 1,
      anon_sym_SQUOTE,
  [22447] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1471), 1,
      anon_sym_BQUOTE,
  [22454] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1473), 1,
      anon_sym_RBRACE,
  [22461] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1475), 1,
      anon_sym_COLON,
  [22468] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1477), 1,
      anon_sym_RPAREN,
  [22475] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1479), 1,
      anon_sym_DQUOTE,
  [22482] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1479), 1,
      anon_sym_SQUOTE,
  [22489] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1479), 1,
      anon_sym_BQUOTE,
  [22496] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(69), 1,
      anon_sym_RBRACE,
  [22503] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(65), 1,
      anon_sym_RBRACE,
  [22510] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      anon_sym_DQUOTE,
  [22517] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1467), 1,
      anon_sym_SQUOTE,
  [22524] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1481), 1,
      anon_sym_BQUOTE,
  [22531] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1483), 1,
      anon_sym_RBRACE,
  [22538] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1481), 1,
      anon_sym_SQUOTE,
  [22545] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1481), 1,
      anon_sym_DQUOTE,
  [22552] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1485), 1,
      anon_sym_BQUOTE,
  [22559] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1485), 1,
      anon_sym_SQUOTE,
  [22566] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1485), 1,
      anon_sym_DQUOTE,
  [22573] = 2,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1487), 1,
      aux_sym_string_token3,
  [22580] = 2,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1489), 1,
      aux_sym_string_token2,
  [22587] = 2,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1491), 1,
      aux_sym_string_token1,
  [22594] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(61), 1,
      anon_sym_RBRACE,
  [22601] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1493), 1,
      anon_sym_EQ,
  [22608] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1495), 1,
      anon_sym_RPAREN,
  [22615] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1497), 1,
      anon_sym_EQ,
  [22622] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_BQUOTE,
  [22629] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1501), 1,
      anon_sym_DQUOTE,
  [22636] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1501), 1,
      anon_sym_SQUOTE,
  [22643] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1501), 1,
      anon_sym_BQUOTE,
  [22650] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(71), 1,
      anon_sym_RBRACE,
  [22657] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1503), 1,
      anon_sym_RPAREN,
  [22664] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_SQUOTE,
  [22671] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1505), 1,
      anon_sym_DQUOTE,
  [22678] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1505), 1,
      anon_sym_SQUOTE,
  [22685] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1505), 1,
      anon_sym_BQUOTE,
  [22692] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1507), 1,
      anon_sym_RBRACE,
  [22699] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1499), 1,
      anon_sym_DQUOTE,
  [22706] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1509), 1,
      anon_sym_EQ,
  [22713] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1511), 1,
      anon_sym_RBRACE,
  [22720] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(63), 1,
      anon_sym_RBRACE,
  [22727] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1513), 1,
      anon_sym_BQUOTE,
  [22734] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1513), 1,
      anon_sym_SQUOTE,
  [22741] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1515), 1,
      anon_sym_RPAREN,
  [22748] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1513), 1,
      anon_sym_DQUOTE,
  [22755] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1517), 1,
      anon_sym_LBRACE,
  [22762] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1519), 1,
      anon_sym_RPAREN,
  [22769] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1521), 1,
      sym_identifier,
  [22776] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1523), 1,
      anon_sym_RBRACE,
  [22783] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1525), 1,
      anon_sym_RPAREN,
  [22790] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1527), 1,
      sym_flag_shorthand_name,
  [22797] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1529), 1,
      sym_identifier,
  [22804] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(59), 1,
      anon_sym_RBRACE,
  [22811] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1469), 1,
      anon_sym_SQUOTE,
  [22818] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1469), 1,
      anon_sym_BQUOTE,
  [22825] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(67), 1,
      anon_sym_RBRACE,
  [22832] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1531), 1,
      anon_sym_LBRACE,
  [22839] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1533), 1,
      anon_sym_DQUOTE,
  [22846] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1533), 1,
      anon_sym_SQUOTE,
  [22853] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1535), 1,
      anon_sym_DQUOTE,
  [22860] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1535), 1,
      anon_sym_SQUOTE,
  [22867] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1535), 1,
      anon_sym_BQUOTE,
  [22874] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1537), 1,
      anon_sym_RBRACE,
  [22881] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1533), 1,
      anon_sym_BQUOTE,
  [22888] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1539), 1,
      ts_builtin_sym_end,
  [22895] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1541), 1,
      sym_identifier,
  [22902] = 2,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1543), 1,
      aux_sym_string_token1,
  [22909] = 2,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1545), 1,
      aux_sym_string_token2,
  [22916] = 2,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1547), 1,
      aux_sym_string_token3,
  [22923] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1549), 1,
      ts_builtin_sym_end,
  [22930] = 2,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1551), 1,
      aux_sym_string_token1,
  [22937] = 2,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1553), 1,
      aux_sym_string_token2,
  [22944] = 2,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1555), 1,
      aux_sym_string_token3,
  [22951] = 2,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1557), 1,
      aux_sym_string_token3,
  [22958] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1559), 1,
      sym_identifier,
  [22965] = 2,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1561), 1,
      aux_sym_string_token1,
  [22972] = 2,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1563), 1,
      aux_sym_string_token2,
  [22979] = 2,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1565), 1,
      aux_sym_string_token3,
  [22986] = 2,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1567), 1,
      aux_sym_string_token2,
  [22993] = 2,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1569), 1,
      aux_sym_string_token1,
  [23000] = 2,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1571), 1,
      aux_sym_string_token2,
  [23007] = 2,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1573), 1,
      aux_sym_string_token3,
  [23014] = 2,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1575), 1,
      aux_sym_string_token1,
  [23021] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1577), 1,
      sym_identifier,
  [23028] = 2,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1579), 1,
      aux_sym_string_token1,
  [23035] = 2,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1581), 1,
      aux_sym_string_token2,
  [23042] = 2,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1583), 1,
      aux_sym_string_token3,
  [23049] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1420), 1,
      anon_sym_if,
  [23056] = 2,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1585), 1,
      aux_sym_string_token1,
  [23063] = 2,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1587), 1,
      aux_sym_string_token2,
  [23070] = 2,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1589), 1,
      aux_sym_string_token3,
  [23077] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1591), 1,
      sym_identifier,
  [23084] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1593), 1,
      sym_identifier,
  [23091] = 2,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1595), 1,
      aux_sym_string_token1,
  [23098] = 2,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1597), 1,
      aux_sym_string_token2,
  [23105] = 2,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1599), 1,
      aux_sym_string_token3,
  [23112] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1601), 1,
      anon_sym_RBRACE,
  [23119] = 2,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1603), 1,
      aux_sym_string_token1,
  [23126] = 2,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1605), 1,
      aux_sym_string_token2,
  [23133] = 2,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1607), 1,
      aux_sym_string_token3,
  [23140] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1609), 1,
      sym_identifier,
  [23147] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1611), 1,
      sym_identifier,
  [23154] = 2,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1613), 1,
      aux_sym_string_token1,
  [23161] = 2,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1615), 1,
      aux_sym_string_token2,
  [23168] = 2,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1617), 1,
      aux_sym_string_token3,
  [23175] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1619), 1,
      anon_sym_RPAREN,
  [23182] = 2,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1621), 1,
      aux_sym_string_token1,
  [23189] = 2,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1623), 1,
      aux_sym_string_token2,
  [23196] = 2,
    ACTIONS(79), 1,
      sym_comment,
    ACTIONS(1625), 1,
      aux_sym_string_token3,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(2)] = 0,
  [SMALL_STATE(3)] = 106,
  [SMALL_STATE(4)] = 212,
  [SMALL_STATE(5)] = 318,
  [SMALL_STATE(6)] = 424,
  [SMALL_STATE(7)] = 530,
  [SMALL_STATE(8)] = 636,
  [SMALL_STATE(9)] = 742,
  [SMALL_STATE(10)] = 842,
  [SMALL_STATE(11)] = 942,
  [SMALL_STATE(12)] = 1042,
  [SMALL_STATE(13)] = 1142,
  [SMALL_STATE(14)] = 1242,
  [SMALL_STATE(15)] = 1342,
  [SMALL_STATE(16)] = 1442,
  [SMALL_STATE(17)] = 1539,
  [SMALL_STATE(18)] = 1636,
  [SMALL_STATE(19)] = 1733,
  [SMALL_STATE(20)] = 1830,
  [SMALL_STATE(21)] = 1927,
  [SMALL_STATE(22)] = 2024,
  [SMALL_STATE(23)] = 2076,
  [SMALL_STATE(24)] = 2170,
  [SMALL_STATE(25)] = 2264,
  [SMALL_STATE(26)] = 2316,
  [SMALL_STATE(27)] = 2368,
  [SMALL_STATE(28)] = 2459,
  [SMALL_STATE(29)] = 2510,
  [SMALL_STATE(30)] = 2557,
  [SMALL_STATE(31)] = 2608,
  [SMALL_STATE(32)] = 2658,
  [SMALL_STATE(33)] = 2708,
  [SMALL_STATE(34)] = 2758,
  [SMALL_STATE(35)] = 2808,
  [SMALL_STATE(36)] = 2856,
  [SMALL_STATE(37)] = 2901,
  [SMALL_STATE(38)] = 2946,
  [SMALL_STATE(39)] = 2991,
  [SMALL_STATE(40)] = 3036,
  [SMALL_STATE(41)] = 3095,
  [SMALL_STATE(42)] = 3140,
  [SMALL_STATE(43)] = 3185,
  [SMALL_STATE(44)] = 3230,
  [SMALL_STATE(45)] = 3315,
  [SMALL_STATE(46)] = 3360,
  [SMALL_STATE(47)] = 3405,
  [SMALL_STATE(48)] = 3450,
  [SMALL_STATE(49)] = 3495,
  [SMALL_STATE(50)] = 3540,
  [SMALL_STATE(51)] = 3585,
  [SMALL_STATE(52)] = 3630,
  [SMALL_STATE(53)] = 3675,
  [SMALL_STATE(54)] = 3720,
  [SMALL_STATE(55)] = 3765,
  [SMALL_STATE(56)] = 3814,
  [SMALL_STATE(57)] = 3859,
  [SMALL_STATE(58)] = 3908,
  [SMALL_STATE(59)] = 3953,
  [SMALL_STATE(60)] = 4000,
  [SMALL_STATE(61)] = 4045,
  [SMALL_STATE(62)] = 4090,
  [SMALL_STATE(63)] = 4141,
  [SMALL_STATE(64)] = 4190,
  [SMALL_STATE(65)] = 4235,
  [SMALL_STATE(66)] = 4290,
  [SMALL_STATE(67)] = 4335,
  [SMALL_STATE(68)] = 4392,
  [SMALL_STATE(69)] = 4439,
  [SMALL_STATE(70)] = 4484,
  [SMALL_STATE(71)] = 4537,
  [SMALL_STATE(72)] = 4583,
  [SMALL_STATE(73)] = 4629,
  [SMALL_STATE(74)] = 4675,
  [SMALL_STATE(75)] = 4721,
  [SMALL_STATE(76)] = 4765,
  [SMALL_STATE(77)] = 4811,
  [SMALL_STATE(78)] = 4857,
  [SMALL_STATE(79)] = 4903,
  [SMALL_STATE(80)] = 4947,
  [SMALL_STATE(81)] = 4990,
  [SMALL_STATE(82)] = 5033,
  [SMALL_STATE(83)] = 5096,
  [SMALL_STATE(84)] = 5155,
  [SMALL_STATE(85)] = 5210,
  [SMALL_STATE(86)] = 5263,
  [SMALL_STATE(87)] = 5306,
  [SMALL_STATE(88)] = 5349,
  [SMALL_STATE(89)] = 5392,
  [SMALL_STATE(90)] = 5435,
  [SMALL_STATE(91)] = 5478,
  [SMALL_STATE(92)] = 5547,
  [SMALL_STATE(93)] = 5592,
  [SMALL_STATE(94)] = 5641,
  [SMALL_STATE(95)] = 5684,
  [SMALL_STATE(96)] = 5727,
  [SMALL_STATE(97)] = 5770,
  [SMALL_STATE(98)] = 5813,
  [SMALL_STATE(99)] = 5856,
  [SMALL_STATE(100)] = 5899,
  [SMALL_STATE(101)] = 5942,
  [SMALL_STATE(102)] = 6007,
  [SMALL_STATE(103)] = 6050,
  [SMALL_STATE(104)] = 6093,
  [SMALL_STATE(105)] = 6136,
  [SMALL_STATE(106)] = 6179,
  [SMALL_STATE(107)] = 6222,
  [SMALL_STATE(108)] = 6265,
  [SMALL_STATE(109)] = 6308,
  [SMALL_STATE(110)] = 6354,
  [SMALL_STATE(111)] = 6436,
  [SMALL_STATE(112)] = 6482,
  [SMALL_STATE(113)] = 6528,
  [SMALL_STATE(114)] = 6607,
  [SMALL_STATE(115)] = 6686,
  [SMALL_STATE(116)] = 6731,
  [SMALL_STATE(117)] = 6810,
  [SMALL_STATE(118)] = 6889,
  [SMALL_STATE(119)] = 6968,
  [SMALL_STATE(120)] = 7013,
  [SMALL_STATE(121)] = 7092,
  [SMALL_STATE(122)] = 7171,
  [SMALL_STATE(123)] = 7212,
  [SMALL_STATE(124)] = 7291,
  [SMALL_STATE(125)] = 7370,
  [SMALL_STATE(126)] = 7449,
  [SMALL_STATE(127)] = 7528,
  [SMALL_STATE(128)] = 7607,
  [SMALL_STATE(129)] = 7686,
  [SMALL_STATE(130)] = 7765,
  [SMALL_STATE(131)] = 7843,
  [SMALL_STATE(132)] = 7921,
  [SMALL_STATE(133)] = 7999,
  [SMALL_STATE(134)] = 8077,
  [SMALL_STATE(135)] = 8155,
  [SMALL_STATE(136)] = 8233,
  [SMALL_STATE(137)] = 8311,
  [SMALL_STATE(138)] = 8387,
  [SMALL_STATE(139)] = 8465,
  [SMALL_STATE(140)] = 8541,
  [SMALL_STATE(141)] = 8619,
  [SMALL_STATE(142)] = 8697,
  [SMALL_STATE(143)] = 8773,
  [SMALL_STATE(144)] = 8851,
  [SMALL_STATE(145)] = 8929,
  [SMALL_STATE(146)] = 9005,
  [SMALL_STATE(147)] = 9083,
  [SMALL_STATE(148)] = 9161,
  [SMALL_STATE(149)] = 9239,
  [SMALL_STATE(150)] = 9315,
  [SMALL_STATE(151)] = 9393,
  [SMALL_STATE(152)] = 9469,
  [SMALL_STATE(153)] = 9511,
  [SMALL_STATE(154)] = 9587,
  [SMALL_STATE(155)] = 9665,
  [SMALL_STATE(156)] = 9741,
  [SMALL_STATE(157)] = 9819,
  [SMALL_STATE(158)] = 9897,
  [SMALL_STATE(159)] = 9973,
  [SMALL_STATE(160)] = 10051,
  [SMALL_STATE(161)] = 10127,
  [SMALL_STATE(162)] = 10203,
  [SMALL_STATE(163)] = 10281,
  [SMALL_STATE(164)] = 10359,
  [SMALL_STATE(165)] = 10437,
  [SMALL_STATE(166)] = 10513,
  [SMALL_STATE(167)] = 10591,
  [SMALL_STATE(168)] = 10630,
  [SMALL_STATE(169)] = 10669,
  [SMALL_STATE(170)] = 10714,
  [SMALL_STATE(171)] = 10753,
  [SMALL_STATE(172)] = 10792,
  [SMALL_STATE(173)] = 10831,
  [SMALL_STATE(174)] = 10870,
  [SMALL_STATE(175)] = 10917,
  [SMALL_STATE(176)] = 10956,
  [SMALL_STATE(177)] = 11005,
  [SMALL_STATE(178)] = 11056,
  [SMALL_STATE(179)] = 11095,
  [SMALL_STATE(180)] = 11168,
  [SMALL_STATE(181)] = 11221,
  [SMALL_STATE(182)] = 11262,
  [SMALL_STATE(183)] = 11305,
  [SMALL_STATE(184)] = 11344,
  [SMALL_STATE(185)] = 11383,
  [SMALL_STATE(186)] = 11422,
  [SMALL_STATE(187)] = 11461,
  [SMALL_STATE(188)] = 11500,
  [SMALL_STATE(189)] = 11539,
  [SMALL_STATE(190)] = 11578,
  [SMALL_STATE(191)] = 11617,
  [SMALL_STATE(192)] = 11656,
  [SMALL_STATE(193)] = 11695,
  [SMALL_STATE(194)] = 11734,
  [SMALL_STATE(195)] = 11773,
  [SMALL_STATE(196)] = 11812,
  [SMALL_STATE(197)] = 11851,
  [SMALL_STATE(198)] = 11890,
  [SMALL_STATE(199)] = 11945,
  [SMALL_STATE(200)] = 11986,
  [SMALL_STATE(201)] = 12027,
  [SMALL_STATE(202)] = 12068,
  [SMALL_STATE(203)] = 12104,
  [SMALL_STATE(204)] = 12171,
  [SMALL_STATE(205)] = 12238,
  [SMALL_STATE(206)] = 12277,
  [SMALL_STATE(207)] = 12344,
  [SMALL_STATE(208)] = 12409,
  [SMALL_STATE(209)] = 12474,
  [SMALL_STATE(210)] = 12513,
  [SMALL_STATE(211)] = 12580,
  [SMALL_STATE(212)] = 12645,
  [SMALL_STATE(213)] = 12712,
  [SMALL_STATE(214)] = 12751,
  [SMALL_STATE(215)] = 12816,
  [SMALL_STATE(216)] = 12855,
  [SMALL_STATE(217)] = 12920,
  [SMALL_STATE(218)] = 12985,
  [SMALL_STATE(219)] = 13024,
  [SMALL_STATE(220)] = 13091,
  [SMALL_STATE(221)] = 13158,
  [SMALL_STATE(222)] = 13197,
  [SMALL_STATE(223)] = 13264,
  [SMALL_STATE(224)] = 13329,
  [SMALL_STATE(225)] = 13394,
  [SMALL_STATE(226)] = 13458,
  [SMALL_STATE(227)] = 13494,
  [SMALL_STATE(228)] = 13532,
  [SMALL_STATE(229)] = 13596,
  [SMALL_STATE(230)] = 13632,
  [SMALL_STATE(231)] = 13666,
  [SMALL_STATE(232)] = 13700,
  [SMALL_STATE(233)] = 13734,
  [SMALL_STATE(234)] = 13798,
  [SMALL_STATE(235)] = 13836,
  [SMALL_STATE(236)] = 13895,
  [SMALL_STATE(237)] = 13954,
  [SMALL_STATE(238)] = 14003,
  [SMALL_STATE(239)] = 14052,
  [SMALL_STATE(240)] = 14085,
  [SMALL_STATE(241)] = 14118,
  [SMALL_STATE(242)] = 14177,
  [SMALL_STATE(243)] = 14236,
  [SMALL_STATE(244)] = 14295,
  [SMALL_STATE(245)] = 14354,
  [SMALL_STATE(246)] = 14413,
  [SMALL_STATE(247)] = 14472,
  [SMALL_STATE(248)] = 14531,
  [SMALL_STATE(249)] = 14590,
  [SMALL_STATE(250)] = 14649,
  [SMALL_STATE(251)] = 14682,
  [SMALL_STATE(252)] = 14741,
  [SMALL_STATE(253)] = 14776,
  [SMALL_STATE(254)] = 14835,
  [SMALL_STATE(255)] = 14894,
  [SMALL_STATE(256)] = 14953,
  [SMALL_STATE(257)] = 15012,
  [SMALL_STATE(258)] = 15071,
  [SMALL_STATE(259)] = 15130,
  [SMALL_STATE(260)] = 15189,
  [SMALL_STATE(261)] = 15248,
  [SMALL_STATE(262)] = 15307,
  [SMALL_STATE(263)] = 15366,
  [SMALL_STATE(264)] = 15425,
  [SMALL_STATE(265)] = 15484,
  [SMALL_STATE(266)] = 15543,
  [SMALL_STATE(267)] = 15602,
  [SMALL_STATE(268)] = 15641,
  [SMALL_STATE(269)] = 15700,
  [SMALL_STATE(270)] = 15759,
  [SMALL_STATE(271)] = 15818,
  [SMALL_STATE(272)] = 15877,
  [SMALL_STATE(273)] = 15936,
  [SMALL_STATE(274)] = 15995,
  [SMALL_STATE(275)] = 16054,
  [SMALL_STATE(276)] = 16113,
  [SMALL_STATE(277)] = 16172,
  [SMALL_STATE(278)] = 16231,
  [SMALL_STATE(279)] = 16274,
  [SMALL_STATE(280)] = 16333,
  [SMALL_STATE(281)] = 16392,
  [SMALL_STATE(282)] = 16451,
  [SMALL_STATE(283)] = 16510,
  [SMALL_STATE(284)] = 16569,
  [SMALL_STATE(285)] = 16602,
  [SMALL_STATE(286)] = 16635,
  [SMALL_STATE(287)] = 16694,
  [SMALL_STATE(288)] = 16727,
  [SMALL_STATE(289)] = 16760,
  [SMALL_STATE(290)] = 16819,
  [SMALL_STATE(291)] = 16852,
  [SMALL_STATE(292)] = 16885,
  [SMALL_STATE(293)] = 16918,
  [SMALL_STATE(294)] = 16951,
  [SMALL_STATE(295)] = 16984,
  [SMALL_STATE(296)] = 17017,
  [SMALL_STATE(297)] = 17054,
  [SMALL_STATE(298)] = 17089,
  [SMALL_STATE(299)] = 17136,
  [SMALL_STATE(300)] = 17181,
  [SMALL_STATE(301)] = 17214,
  [SMALL_STATE(302)] = 17247,
  [SMALL_STATE(303)] = 17280,
  [SMALL_STATE(304)] = 17313,
  [SMALL_STATE(305)] = 17346,
  [SMALL_STATE(306)] = 17379,
  [SMALL_STATE(307)] = 17428,
  [SMALL_STATE(308)] = 17487,
  [SMALL_STATE(309)] = 17520,
  [SMALL_STATE(310)] = 17553,
  [SMALL_STATE(311)] = 17612,
  [SMALL_STATE(312)] = 17671,
  [SMALL_STATE(313)] = 17730,
  [SMALL_STATE(314)] = 17789,
  [SMALL_STATE(315)] = 17848,
  [SMALL_STATE(316)] = 17907,
  [SMALL_STATE(317)] = 17966,
  [SMALL_STATE(318)] = 18025,
  [SMALL_STATE(319)] = 18074,
  [SMALL_STATE(320)] = 18113,
  [SMALL_STATE(321)] = 18154,
  [SMALL_STATE(322)] = 18202,
  [SMALL_STATE(323)] = 18234,
  [SMALL_STATE(324)] = 18270,
  [SMALL_STATE(325)] = 18302,
  [SMALL_STATE(326)] = 18346,
  [SMALL_STATE(327)] = 18388,
  [SMALL_STATE(328)] = 18420,
  [SMALL_STATE(329)] = 18452,
  [SMALL_STATE(330)] = 18484,
  [SMALL_STATE(331)] = 18516,
  [SMALL_STATE(332)] = 18548,
  [SMALL_STATE(333)] = 18580,
  [SMALL_STATE(334)] = 18616,
  [SMALL_STATE(335)] = 18648,
  [SMALL_STATE(336)] = 18680,
  [SMALL_STATE(337)] = 18712,
  [SMALL_STATE(338)] = 18744,
  [SMALL_STATE(339)] = 18796,
  [SMALL_STATE(340)] = 18850,
  [SMALL_STATE(341)] = 18884,
  [SMALL_STATE(342)] = 18922,
  [SMALL_STATE(343)] = 18954,
  [SMALL_STATE(344)] = 18986,
  [SMALL_STATE(345)] = 19018,
  [SMALL_STATE(346)] = 19050,
  [SMALL_STATE(347)] = 19082,
  [SMALL_STATE(348)] = 19114,
  [SMALL_STATE(349)] = 19146,
  [SMALL_STATE(350)] = 19178,
  [SMALL_STATE(351)] = 19214,
  [SMALL_STATE(352)] = 19246,
  [SMALL_STATE(353)] = 19278,
  [SMALL_STATE(354)] = 19314,
  [SMALL_STATE(355)] = 19346,
  [SMALL_STATE(356)] = 19377,
  [SMALL_STATE(357)] = 19410,
  [SMALL_STATE(358)] = 19443,
  [SMALL_STATE(359)] = 19473,
  [SMALL_STATE(360)] = 19503,
  [SMALL_STATE(361)] = 19537,
  [SMALL_STATE(362)] = 19567,
  [SMALL_STATE(363)] = 19597,
  [SMALL_STATE(364)] = 19631,
  [SMALL_STATE(365)] = 19660,
  [SMALL_STATE(366)] = 19689,
  [SMALL_STATE(367)] = 19722,
  [SMALL_STATE(368)] = 19753,
  [SMALL_STATE(369)] = 19789,
  [SMALL_STATE(370)] = 19817,
  [SMALL_STATE(371)] = 19845,
  [SMALL_STATE(372)] = 19873,
  [SMALL_STATE(373)] = 19901,
  [SMALL_STATE(374)] = 19929,
  [SMALL_STATE(375)] = 19969,
  [SMALL_STATE(376)] = 19997,
  [SMALL_STATE(377)] = 20025,
  [SMALL_STATE(378)] = 20053,
  [SMALL_STATE(379)] = 20081,
  [SMALL_STATE(380)] = 20109,
  [SMALL_STATE(381)] = 20143,
  [SMALL_STATE(382)] = 20171,
  [SMALL_STATE(383)] = 20201,
  [SMALL_STATE(384)] = 20243,
  [SMALL_STATE(385)] = 20281,
  [SMALL_STATE(386)] = 20311,
  [SMALL_STATE(387)] = 20343,
  [SMALL_STATE(388)] = 20371,
  [SMALL_STATE(389)] = 20399,
  [SMALL_STATE(390)] = 20427,
  [SMALL_STATE(391)] = 20455,
  [SMALL_STATE(392)] = 20483,
  [SMALL_STATE(393)] = 20511,
  [SMALL_STATE(394)] = 20539,
  [SMALL_STATE(395)] = 20567,
  [SMALL_STATE(396)] = 20595,
  [SMALL_STATE(397)] = 20636,
  [SMALL_STATE(398)] = 20677,
  [SMALL_STATE(399)] = 20718,
  [SMALL_STATE(400)] = 20744,
  [SMALL_STATE(401)] = 20767,
  [SMALL_STATE(402)] = 20790,
  [SMALL_STATE(403)] = 20813,
  [SMALL_STATE(404)] = 20836,
  [SMALL_STATE(405)] = 20859,
  [SMALL_STATE(406)] = 20898,
  [SMALL_STATE(407)] = 20937,
  [SMALL_STATE(408)] = 20959,
  [SMALL_STATE(409)] = 20978,
  [SMALL_STATE(410)] = 21004,
  [SMALL_STATE(411)] = 21030,
  [SMALL_STATE(412)] = 21053,
  [SMALL_STATE(413)] = 21076,
  [SMALL_STATE(414)] = 21100,
  [SMALL_STATE(415)] = 21124,
  [SMALL_STATE(416)] = 21144,
  [SMALL_STATE(417)] = 21164,
  [SMALL_STATE(418)] = 21184,
  [SMALL_STATE(419)] = 21198,
  [SMALL_STATE(420)] = 21218,
  [SMALL_STATE(421)] = 21238,
  [SMALL_STATE(422)] = 21262,
  [SMALL_STATE(423)] = 21282,
  [SMALL_STATE(424)] = 21302,
  [SMALL_STATE(425)] = 21322,
  [SMALL_STATE(426)] = 21342,
  [SMALL_STATE(427)] = 21357,
  [SMALL_STATE(428)] = 21372,
  [SMALL_STATE(429)] = 21387,
  [SMALL_STATE(430)] = 21402,
  [SMALL_STATE(431)] = 21423,
  [SMALL_STATE(432)] = 21444,
  [SMALL_STATE(433)] = 21459,
  [SMALL_STATE(434)] = 21481,
  [SMALL_STATE(435)] = 21495,
  [SMALL_STATE(436)] = 21509,
  [SMALL_STATE(437)] = 21523,
  [SMALL_STATE(438)] = 21545,
  [SMALL_STATE(439)] = 21559,
  [SMALL_STATE(440)] = 21573,
  [SMALL_STATE(441)] = 21587,
  [SMALL_STATE(442)] = 21601,
  [SMALL_STATE(443)] = 21612,
  [SMALL_STATE(444)] = 21623,
  [SMALL_STATE(445)] = 21634,
  [SMALL_STATE(446)] = 21651,
  [SMALL_STATE(447)] = 21662,
  [SMALL_STATE(448)] = 21679,
  [SMALL_STATE(449)] = 21690,
  [SMALL_STATE(450)] = 21707,
  [SMALL_STATE(451)] = 21720,
  [SMALL_STATE(452)] = 21731,
  [SMALL_STATE(453)] = 21748,
  [SMALL_STATE(454)] = 21759,
  [SMALL_STATE(455)] = 21776,
  [SMALL_STATE(456)] = 21787,
  [SMALL_STATE(457)] = 21798,
  [SMALL_STATE(458)] = 21815,
  [SMALL_STATE(459)] = 21826,
  [SMALL_STATE(460)] = 21840,
  [SMALL_STATE(461)] = 21854,
  [SMALL_STATE(462)] = 21868,
  [SMALL_STATE(463)] = 21882,
  [SMALL_STATE(464)] = 21896,
  [SMALL_STATE(465)] = 21910,
  [SMALL_STATE(466)] = 21924,
  [SMALL_STATE(467)] = 21938,
  [SMALL_STATE(468)] = 21948,
  [SMALL_STATE(469)] = 21962,
  [SMALL_STATE(470)] = 21976,
  [SMALL_STATE(471)] = 21990,
  [SMALL_STATE(472)] = 22004,
  [SMALL_STATE(473)] = 22018,
  [SMALL_STATE(474)] = 22032,
  [SMALL_STATE(475)] = 22045,
  [SMALL_STATE(476)] = 22058,
  [SMALL_STATE(477)] = 22071,
  [SMALL_STATE(478)] = 22084,
  [SMALL_STATE(479)] = 22095,
  [SMALL_STATE(480)] = 22108,
  [SMALL_STATE(481)] = 22121,
  [SMALL_STATE(482)] = 22134,
  [SMALL_STATE(483)] = 22147,
  [SMALL_STATE(484)] = 22160,
  [SMALL_STATE(485)] = 22173,
  [SMALL_STATE(486)] = 22186,
  [SMALL_STATE(487)] = 22199,
  [SMALL_STATE(488)] = 22212,
  [SMALL_STATE(489)] = 22225,
  [SMALL_STATE(490)] = 22233,
  [SMALL_STATE(491)] = 22243,
  [SMALL_STATE(492)] = 22253,
  [SMALL_STATE(493)] = 22263,
  [SMALL_STATE(494)] = 22273,
  [SMALL_STATE(495)] = 22281,
  [SMALL_STATE(496)] = 22289,
  [SMALL_STATE(497)] = 22297,
  [SMALL_STATE(498)] = 22305,
  [SMALL_STATE(499)] = 22313,
  [SMALL_STATE(500)] = 22321,
  [SMALL_STATE(501)] = 22329,
  [SMALL_STATE(502)] = 22339,
  [SMALL_STATE(503)] = 22349,
  [SMALL_STATE(504)] = 22357,
  [SMALL_STATE(505)] = 22365,
  [SMALL_STATE(506)] = 22373,
  [SMALL_STATE(507)] = 22383,
  [SMALL_STATE(508)] = 22391,
  [SMALL_STATE(509)] = 22399,
  [SMALL_STATE(510)] = 22409,
  [SMALL_STATE(511)] = 22419,
  [SMALL_STATE(512)] = 22426,
  [SMALL_STATE(513)] = 22433,
  [SMALL_STATE(514)] = 22440,
  [SMALL_STATE(515)] = 22447,
  [SMALL_STATE(516)] = 22454,
  [SMALL_STATE(517)] = 22461,
  [SMALL_STATE(518)] = 22468,
  [SMALL_STATE(519)] = 22475,
  [SMALL_STATE(520)] = 22482,
  [SMALL_STATE(521)] = 22489,
  [SMALL_STATE(522)] = 22496,
  [SMALL_STATE(523)] = 22503,
  [SMALL_STATE(524)] = 22510,
  [SMALL_STATE(525)] = 22517,
  [SMALL_STATE(526)] = 22524,
  [SMALL_STATE(527)] = 22531,
  [SMALL_STATE(528)] = 22538,
  [SMALL_STATE(529)] = 22545,
  [SMALL_STATE(530)] = 22552,
  [SMALL_STATE(531)] = 22559,
  [SMALL_STATE(532)] = 22566,
  [SMALL_STATE(533)] = 22573,
  [SMALL_STATE(534)] = 22580,
  [SMALL_STATE(535)] = 22587,
  [SMALL_STATE(536)] = 22594,
  [SMALL_STATE(537)] = 22601,
  [SMALL_STATE(538)] = 22608,
  [SMALL_STATE(539)] = 22615,
  [SMALL_STATE(540)] = 22622,
  [SMALL_STATE(541)] = 22629,
  [SMALL_STATE(542)] = 22636,
  [SMALL_STATE(543)] = 22643,
  [SMALL_STATE(544)] = 22650,
  [SMALL_STATE(545)] = 22657,
  [SMALL_STATE(546)] = 22664,
  [SMALL_STATE(547)] = 22671,
  [SMALL_STATE(548)] = 22678,
  [SMALL_STATE(549)] = 22685,
  [SMALL_STATE(550)] = 22692,
  [SMALL_STATE(551)] = 22699,
  [SMALL_STATE(552)] = 22706,
  [SMALL_STATE(553)] = 22713,
  [SMALL_STATE(554)] = 22720,
  [SMALL_STATE(555)] = 22727,
  [SMALL_STATE(556)] = 22734,
  [SMALL_STATE(557)] = 22741,
  [SMALL_STATE(558)] = 22748,
  [SMALL_STATE(559)] = 22755,
  [SMALL_STATE(560)] = 22762,
  [SMALL_STATE(561)] = 22769,
  [SMALL_STATE(562)] = 22776,
  [SMALL_STATE(563)] = 22783,
  [SMALL_STATE(564)] = 22790,
  [SMALL_STATE(565)] = 22797,
  [SMALL_STATE(566)] = 22804,
  [SMALL_STATE(567)] = 22811,
  [SMALL_STATE(568)] = 22818,
  [SMALL_STATE(569)] = 22825,
  [SMALL_STATE(570)] = 22832,
  [SMALL_STATE(571)] = 22839,
  [SMALL_STATE(572)] = 22846,
  [SMALL_STATE(573)] = 22853,
  [SMALL_STATE(574)] = 22860,
  [SMALL_STATE(575)] = 22867,
  [SMALL_STATE(576)] = 22874,
  [SMALL_STATE(577)] = 22881,
  [SMALL_STATE(578)] = 22888,
  [SMALL_STATE(579)] = 22895,
  [SMALL_STATE(580)] = 22902,
  [SMALL_STATE(581)] = 22909,
  [SMALL_STATE(582)] = 22916,
  [SMALL_STATE(583)] = 22923,
  [SMALL_STATE(584)] = 22930,
  [SMALL_STATE(585)] = 22937,
  [SMALL_STATE(586)] = 22944,
  [SMALL_STATE(587)] = 22951,
  [SMALL_STATE(588)] = 22958,
  [SMALL_STATE(589)] = 22965,
  [SMALL_STATE(590)] = 22972,
  [SMALL_STATE(591)] = 22979,
  [SMALL_STATE(592)] = 22986,
  [SMALL_STATE(593)] = 22993,
  [SMALL_STATE(594)] = 23000,
  [SMALL_STATE(595)] = 23007,
  [SMALL_STATE(596)] = 23014,
  [SMALL_STATE(597)] = 23021,
  [SMALL_STATE(598)] = 23028,
  [SMALL_STATE(599)] = 23035,
  [SMALL_STATE(600)] = 23042,
  [SMALL_STATE(601)] = 23049,
  [SMALL_STATE(602)] = 23056,
  [SMALL_STATE(603)] = 23063,
  [SMALL_STATE(604)] = 23070,
  [SMALL_STATE(605)] = 23077,
  [SMALL_STATE(606)] = 23084,
  [SMALL_STATE(607)] = 23091,
  [SMALL_STATE(608)] = 23098,
  [SMALL_STATE(609)] = 23105,
  [SMALL_STATE(610)] = 23112,
  [SMALL_STATE(611)] = 23119,
  [SMALL_STATE(612)] = 23126,
  [SMALL_STATE(613)] = 23133,
  [SMALL_STATE(614)] = 23140,
  [SMALL_STATE(615)] = 23147,
  [SMALL_STATE(616)] = 23154,
  [SMALL_STATE(617)] = 23161,
  [SMALL_STATE(618)] = 23168,
  [SMALL_STATE(619)] = 23175,
  [SMALL_STATE(620)] = 23182,
  [SMALL_STATE(621)] = 23189,
  [SMALL_STATE(622)] = 23196,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [9] = {.entry = {.count = 1, .reusable = false}}, SHIFT(210),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(433),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(614),
  [15] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [17] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(491),
  [21] = {.entry = {.count = 1, .reusable = true}}, SHIFT(605),
  [23] = {.entry = {.count = 1, .reusable = false}}, SHIFT(226),
  [25] = {.entry = {.count = 1, .reusable = false}}, SHIFT(237),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(596),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(592),
  [33] = {.entry = {.count = 1, .reusable = true}}, SHIFT(587),
  [35] = {.entry = {.count = 1, .reusable = true}}, SHIFT(308),
  [37] = {.entry = {.count = 1, .reusable = false}}, SHIFT(308),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(110),
  [41] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [43] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [45] = {.entry = {.count = 1, .reusable = true}}, SHIFT(351),
  [47] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [49] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [51] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [53] = {.entry = {.count = 1, .reusable = true}}, SHIFT(394),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [57] = {.entry = {.count = 1, .reusable = true}}, SHIFT(250),
  [59] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [61] = {.entry = {.count = 1, .reusable = true}}, SHIFT(388),
  [63] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [65] = {.entry = {.count = 1, .reusable = true}}, SHIFT(294),
  [67] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [69] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [73] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_path, 3),
  [75] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_path, 3),
  [77] = {.entry = {.count = 1, .reusable = false}}, SHIFT(507),
  [79] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [81] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(474),
  [84] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(210),
  [87] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(433),
  [90] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(614),
  [93] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(222),
  [96] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(17),
  [99] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(491),
  [102] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(605),
  [105] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(226),
  [108] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(237),
  [111] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(452),
  [114] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(596),
  [117] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(592),
  [120] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(587),
  [123] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(308),
  [126] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(308),
  [129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(110),
  [132] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2), SHIFT_REPEAT(8),
  [135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_value_path_repeat1, 2),
  [137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_value_path_repeat1, 2),
  [139] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_path_repeat1, 2), SHIFT_REPEAT(507),
  [142] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_value_path, 2),
  [144] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_value_path, 2),
  [146] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cmd_invocation, 3),
  [148] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cmd_invocation, 3),
  [150] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cmd_invocation, 4),
  [152] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cmd_invocation, 4),
  [154] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_path_repeat1, 2), SHIFT_REPEAT(504),
  [157] = {.entry = {.count = 1, .reusable = false}}, SHIFT(504),
  [159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__cmd_expr, 1),
  [161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__cmd_expr, 1),
  [163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1),
  [165] = {.entry = {.count = 1, .reusable = false}}, SHIFT(483),
  [167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1),
  [169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_or_block, 3),
  [171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_or_block, 3),
  [173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_range, 3, .production_id = 4),
  [175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_range, 3, .production_id = 4),
  [177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 2, .production_id = 1),
  [179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 2, .production_id = 1),
  [181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 9),
  [183] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 9),
  [185] = {.entry = {.count = 1, .reusable = false}}, SHIFT(310),
  [187] = {.entry = {.count = 1, .reusable = false}}, SHIFT(311),
  [189] = {.entry = {.count = 1, .reusable = false}}, SHIFT(312),
  [191] = {.entry = {.count = 1, .reusable = false}}, SHIFT(314),
  [193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(315),
  [195] = {.entry = {.count = 1, .reusable = false}}, SHIFT(316),
  [197] = {.entry = {.count = 1, .reusable = false}}, SHIFT(317),
  [199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 3, .production_id = 6),
  [201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 3, .production_id = 6),
  [203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_file_path, 1),
  [205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_file_path, 1),
  [207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 2),
  [209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 2),
  [211] = {.entry = {.count = 1, .reusable = false}}, SHIFT(395),
  [213] = {.entry = {.count = 1, .reusable = true}}, SHIFT(395),
  [215] = {.entry = {.count = 1, .reusable = false}}, SHIFT(219),
  [217] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [219] = {.entry = {.count = 1, .reusable = false}}, SHIFT(19),
  [221] = {.entry = {.count = 1, .reusable = false}}, SHIFT(579),
  [223] = {.entry = {.count = 1, .reusable = false}}, SHIFT(34),
  [225] = {.entry = {.count = 1, .reusable = false}}, SHIFT(68),
  [227] = {.entry = {.count = 1, .reusable = false}}, SHIFT(449),
  [229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(598),
  [231] = {.entry = {.count = 1, .reusable = false}}, SHIFT(599),
  [233] = {.entry = {.count = 1, .reusable = false}}, SHIFT(600),
  [235] = {.entry = {.count = 1, .reusable = false}}, SHIFT(42),
  [237] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__cmd_expr, 1), SHIFT(118),
  [240] = {.entry = {.count = 1, .reusable = false}}, SHIFT(3),
  [242] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_or_block, 2),
  [244] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_or_block, 2),
  [246] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array, 3),
  [248] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array, 3),
  [250] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 3, .production_id = 3),
  [252] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 3, .production_id = 3),
  [254] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 5, .production_id = 19),
  [256] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 5, .production_id = 19),
  [258] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 4, .production_id = 15),
  [260] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 4, .production_id = 15),
  [262] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 3),
  [264] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 3),
  [266] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table, 4),
  [268] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table, 4),
  [270] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_command, 4, .production_id = 14),
  [272] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_command, 4, .production_id = 14),
  [274] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_table, 5),
  [276] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_table, 5),
  [278] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_or_block, 4),
  [280] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_or_block, 4),
  [282] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_string, 4),
  [284] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_string, 4),
  [286] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [288] = {.entry = {.count = 1, .reusable = true}}, SHIFT(466),
  [290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(487),
  [292] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [294] = {.entry = {.count = 1, .reusable = true}}, SHIFT(461),
  [296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(462),
  [298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(464),
  [300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(274),
  [302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [304] = {.entry = {.count = 1, .reusable = false}}, SHIFT(275),
  [306] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(276),
  [310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [312] = {.entry = {.count = 1, .reusable = false}}, SHIFT(279),
  [314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [316] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [318] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [320] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 1),
  [324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 1),
  [326] = {.entry = {.count = 1, .reusable = true}}, SHIFT(277),
  [328] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [330] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_path_repeat1, 2), SHIFT_REPEAT(503),
  [333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(240),
  [335] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(249),
  [339] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(118),
  [343] = {.entry = {.count = 1, .reusable = false}}, SHIFT(503),
  [345] = {.entry = {.count = 1, .reusable = false}}, SHIFT(102),
  [347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(102),
  [349] = {.entry = {.count = 1, .reusable = false}}, SHIFT(139),
  [351] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(153),
  [357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(503),
  [359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(90),
  [361] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [363] = {.entry = {.count = 1, .reusable = false}}, SHIFT(149),
  [365] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__cmd_expr, 1), SHIFT(395),
  [368] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym__cmd_expr, 1), SHIFT(395),
  [371] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__cmd_expr, 1), SHIFT(219),
  [374] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__cmd_expr, 1), SHIFT(19),
  [377] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__cmd_expr, 1), SHIFT(579),
  [380] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__cmd_expr, 1), SHIFT(34),
  [383] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__cmd_expr, 1), SHIFT(68),
  [386] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__cmd_expr, 1), SHIFT(449),
  [389] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__cmd_expr, 1), SHIFT(598),
  [392] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__cmd_expr, 1), SHIFT(599),
  [395] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__cmd_expr, 1), SHIFT(600),
  [398] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__cmd_expr, 1), SHIFT(42),
  [401] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__cmd_expr, 1), SHIFT(3),
  [404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(348),
  [406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(348),
  [408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(137),
  [410] = {.entry = {.count = 1, .reusable = false}}, SHIFT(354),
  [412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [414] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [416] = {.entry = {.count = 1, .reusable = false}}, SHIFT(47),
  [418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(145),
  [422] = {.entry = {.count = 1, .reusable = false}}, SHIFT(290),
  [424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [426] = {.entry = {.count = 1, .reusable = false}}, SHIFT(151),
  [428] = {.entry = {.count = 1, .reusable = false}}, SHIFT(39),
  [430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(39),
  [432] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(393),
  [436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(393),
  [438] = {.entry = {.count = 1, .reusable = false}}, SHIFT(165),
  [440] = {.entry = {.count = 1, .reusable = false}}, SHIFT(189),
  [442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(155),
  [446] = {.entry = {.count = 1, .reusable = false}}, SHIFT(100),
  [448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [452] = {.entry = {.count = 1, .reusable = false}}, SHIFT(41),
  [454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(41),
  [456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(58),
  [458] = {.entry = {.count = 1, .reusable = false}}, SHIFT(53),
  [460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(61),
  [464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(50),
  [466] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [468] = {.entry = {.count = 1, .reusable = true}}, SHIFT(51),
  [470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(48),
  [472] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [474] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(324),
  [478] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [480] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(89),
  [484] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [486] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(336),
  [490] = {.entry = {.count = 1, .reusable = true}}, SHIFT(336),
  [492] = {.entry = {.count = 1, .reusable = false}}, SHIFT(344),
  [494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(344),
  [496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [498] = {.entry = {.count = 1, .reusable = false}}, SHIFT(87),
  [500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [502] = {.entry = {.count = 1, .reusable = false}}, SHIFT(107),
  [504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(107),
  [506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(81),
  [508] = {.entry = {.count = 1, .reusable = false}}, SHIFT(390),
  [510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(390),
  [512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [514] = {.entry = {.count = 1, .reusable = false}}, SHIFT(331),
  [516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(331),
  [518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [520] = {.entry = {.count = 1, .reusable = false}}, SHIFT(301),
  [522] = {.entry = {.count = 1, .reusable = true}}, SHIFT(301),
  [524] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [526] = {.entry = {.count = 1, .reusable = false}}, SHIFT(60),
  [528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(60),
  [530] = {.entry = {.count = 1, .reusable = false}}, SHIFT(98),
  [532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [536] = {.entry = {.count = 1, .reusable = false}}, SHIFT(285),
  [538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [540] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [542] = {.entry = {.count = 1, .reusable = false}}, SHIFT(334),
  [544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(334),
  [546] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(303),
  [550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [554] = {.entry = {.count = 1, .reusable = false}}, SHIFT(305),
  [556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(475),
  [560] = {.entry = {.count = 1, .reusable = false}}, SHIFT(197),
  [562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(197),
  [564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(167),
  [566] = {.entry = {.count = 1, .reusable = false}}, SHIFT(188),
  [568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [570] = {.entry = {.count = 1, .reusable = false}}, SHIFT(175),
  [572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(187),
  [576] = {.entry = {.count = 1, .reusable = false}}, SHIFT(171),
  [578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [582] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(193),
  [586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [588] = {.entry = {.count = 1, .reusable = false}}, SHIFT(389),
  [590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(389),
  [592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(369),
  [594] = {.entry = {.count = 1, .reusable = false}}, SHIFT(293),
  [596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [600] = {.entry = {.count = 1, .reusable = false}}, SHIFT(373),
  [602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(373),
  [604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(381),
  [606] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(377),
  [610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(375),
  [612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(375),
  [614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(376),
  [616] = {.entry = {.count = 1, .reusable = false}}, SHIFT(307),
  [618] = {.entry = {.count = 1, .reusable = false}}, SHIFT(286),
  [620] = {.entry = {.count = 1, .reusable = false}}, SHIFT(264),
  [622] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(260),
  [626] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [628] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat1, 2, .production_id = 7),
  [630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 2, .production_id = 7),
  [632] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat1, 2, .production_id = 7), SHIFT_REPEAT(219),
  [635] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat1, 2, .production_id = 7), SHIFT_REPEAT(19),
  [638] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat1, 2, .production_id = 7), SHIFT_REPEAT(579),
  [641] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat1, 2, .production_id = 7), SHIFT_REPEAT(34),
  [644] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat1, 2, .production_id = 7), SHIFT_REPEAT(68),
  [647] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat1, 2, .production_id = 7), SHIFT_REPEAT(449),
  [650] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat1, 2, .production_id = 7), SHIFT_REPEAT(598),
  [653] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat1, 2, .production_id = 7), SHIFT_REPEAT(599),
  [656] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat1, 2, .production_id = 7), SHIFT_REPEAT(600),
  [659] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat1, 2, .production_id = 7), SHIFT_REPEAT(42),
  [662] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat1, 2, .production_id = 7), SHIFT_REPEAT(118),
  [665] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_command_repeat1, 2, .production_id = 7), SHIFT_REPEAT(3),
  [668] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [670] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_record_entry, 3, .production_id = 5),
  [672] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_record_entry, 3, .production_id = 5),
  [674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(499),
  [678] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_path_repeat1, 2), SHIFT_REPEAT(499),
  [681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(352),
  [685] = {.entry = {.count = 1, .reusable = true}}, SHIFT(20),
  [687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(588),
  [689] = {.entry = {.count = 1, .reusable = false}}, SHIFT(73),
  [691] = {.entry = {.count = 1, .reusable = false}}, SHIFT(91),
  [693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(447),
  [695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(589),
  [697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(591),
  [701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(105),
  [703] = {.entry = {.count = 1, .reusable = false}}, SHIFT(105),
  [705] = {.entry = {.count = 1, .reusable = false}}, SHIFT(117),
  [707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(361),
  [711] = {.entry = {.count = 1, .reusable = false}}, SHIFT(488),
  [713] = {.entry = {.count = 1, .reusable = false}}, SHIFT(225),
  [715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(21),
  [719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(579),
  [721] = {.entry = {.count = 1, .reusable = false}}, SHIFT(366),
  [723] = {.entry = {.count = 1, .reusable = false}}, SHIFT(382),
  [725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(580),
  [729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(581),
  [731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(391),
  [735] = {.entry = {.count = 1, .reusable = false}}, SHIFT(391),
  [737] = {.entry = {.count = 1, .reusable = false}}, SHIFT(128),
  [739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(284),
  [745] = {.entry = {.count = 1, .reusable = false}}, SHIFT(495),
  [747] = {.entry = {.count = 1, .reusable = false}}, SHIFT(233),
  [749] = {.entry = {.count = 1, .reusable = true}}, SHIFT(349),
  [751] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [753] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [755] = {.entry = {.count = 1, .reusable = true}}, SHIFT(499),
  [757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(362),
  [759] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2), SHIFT_REPEAT(212),
  [762] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2),
  [764] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2), SHIFT_REPEAT(20),
  [767] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2), SHIFT_REPEAT(588),
  [770] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 2), SHIFT_REPEAT(73),
  [773] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 2), SHIFT_REPEAT(91),
  [776] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2), SHIFT_REPEAT(447),
  [779] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2), SHIFT_REPEAT(589),
  [782] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2), SHIFT_REPEAT(590),
  [785] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2), SHIFT_REPEAT(591),
  [788] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2), SHIFT_REPEAT(105),
  [791] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 2), SHIFT_REPEAT(105),
  [794] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 2), SHIFT_REPEAT(117),
  [797] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_array_repeat1, 2), SHIFT_REPEAT(4),
  [800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [804] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_path_repeat1, 2), SHIFT_REPEAT(495),
  [807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(194),
  [811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(267),
  [817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(350),
  [819] = {.entry = {.count = 1, .reusable = true}}, SHIFT(445),
  [821] = {.entry = {.count = 1, .reusable = true}}, SHIFT(616),
  [823] = {.entry = {.count = 1, .reusable = true}}, SHIFT(617),
  [825] = {.entry = {.count = 1, .reusable = true}}, SHIFT(618),
  [827] = {.entry = {.count = 1, .reusable = true}}, SHIFT(337),
  [829] = {.entry = {.count = 1, .reusable = false}}, SHIFT(337),
  [831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(44),
  [833] = {.entry = {.count = 1, .reusable = true}}, SHIFT(2),
  [835] = {.entry = {.count = 1, .reusable = false}}, SHIFT(238),
  [837] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [839] = {.entry = {.count = 1, .reusable = false}}, SHIFT(82),
  [841] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement, 1),
  [843] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement, 1),
  [845] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [847] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [849] = {.entry = {.count = 1, .reusable = false}}, SHIFT(254),
  [851] = {.entry = {.count = 1, .reusable = false}}, SHIFT(255),
  [853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(257),
  [857] = {.entry = {.count = 1, .reusable = false}}, SHIFT(258),
  [859] = {.entry = {.count = 1, .reusable = false}}, SHIFT(265),
  [861] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4, .production_id = 12),
  [863] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 4, .production_id = 12),
  [865] = {.entry = {.count = 1, .reusable = false}}, SHIFT(367),
  [867] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [869] = {.entry = {.count = 1, .reusable = false}}, SHIFT(116),
  [871] = {.entry = {.count = 1, .reusable = false}}, SHIFT(368),
  [873] = {.entry = {.count = 1, .reusable = false}}, SHIFT(384),
  [875] = {.entry = {.count = 1, .reusable = false}}, SHIFT(374),
  [877] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [879] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [881] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [883] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(597),
  [891] = {.entry = {.count = 1, .reusable = false}}, SHIFT(152),
  [893] = {.entry = {.count = 1, .reusable = false}}, SHIFT(198),
  [895] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [897] = {.entry = {.count = 1, .reusable = true}}, SHIFT(607),
  [899] = {.entry = {.count = 1, .reusable = true}}, SHIFT(608),
  [901] = {.entry = {.count = 1, .reusable = true}}, SHIFT(609),
  [903] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [905] = {.entry = {.count = 1, .reusable = false}}, SHIFT(170),
  [907] = {.entry = {.count = 1, .reusable = false}}, SHIFT(114),
  [909] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [911] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [913] = {.entry = {.count = 1, .reusable = false}}, SHIFT(481),
  [915] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [917] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [919] = {.entry = {.count = 1, .reusable = false}}, SHIFT(298),
  [921] = {.entry = {.count = 1, .reusable = false}}, SHIFT(299),
  [923] = {.entry = {.count = 1, .reusable = false}}, SHIFT(278),
  [925] = {.entry = {.count = 1, .reusable = false}}, SHIFT(320),
  [927] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [929] = {.entry = {.count = 1, .reusable = false}}, SHIFT(174),
  [931] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [933] = {.entry = {.count = 1, .reusable = false}}, SHIFT(177),
  [935] = {.entry = {.count = 1, .reusable = false}}, SHIFT(180),
  [937] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [939] = {.entry = {.count = 1, .reusable = false}}, SHIFT(319),
  [941] = {.entry = {.count = 1, .reusable = true}}, SHIFT(615),
  [943] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [945] = {.entry = {.count = 1, .reusable = false}}, SHIFT(322),
  [947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(123),
  [949] = {.entry = {.count = 1, .reusable = false}}, SHIFT(318),
  [951] = {.entry = {.count = 1, .reusable = false}}, SHIFT(341),
  [953] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [955] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [957] = {.entry = {.count = 1, .reusable = false}}, SHIFT(338),
  [959] = {.entry = {.count = 1, .reusable = false}}, SHIFT(321),
  [961] = {.entry = {.count = 1, .reusable = false}}, SHIFT(80),
  [963] = {.entry = {.count = 1, .reusable = false}}, SHIFT(93),
  [965] = {.entry = {.count = 1, .reusable = false}}, SHIFT(92),
  [967] = {.entry = {.count = 1, .reusable = false}}, SHIFT(101),
  [969] = {.entry = {.count = 1, .reusable = false}}, SHIFT(83),
  [971] = {.entry = {.count = 1, .reusable = false}}, SHIFT(84),
  [973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(85),
  [975] = {.entry = {.count = 1, .reusable = false}}, SHIFT(325),
  [977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(326),
  [979] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [981] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [983] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variable_declaration, 4, .production_id = 13),
  [985] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_variable_declaration, 4, .production_id = 13),
  [987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [991] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [993] = {.entry = {.count = 1, .reusable = true}}, SHIFT(606),
  [995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(35),
  [997] = {.entry = {.count = 1, .reusable = false}}, SHIFT(52),
  [999] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [1001] = {.entry = {.count = 1, .reusable = true}}, SHIFT(598),
  [1003] = {.entry = {.count = 1, .reusable = true}}, SHIFT(599),
  [1005] = {.entry = {.count = 1, .reusable = true}}, SHIFT(600),
  [1007] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [1009] = {.entry = {.count = 1, .reusable = false}}, SHIFT(126),
  [1011] = {.entry = {.count = 1, .reusable = true}}, SHIFT(3),
  [1013] = {.entry = {.count = 1, .reusable = false}}, SHIFT(55),
  [1015] = {.entry = {.count = 1, .reusable = false}}, SHIFT(59),
  [1017] = {.entry = {.count = 1, .reusable = false}}, SHIFT(40),
  [1019] = {.entry = {.count = 1, .reusable = false}}, SHIFT(67),
  [1021] = {.entry = {.count = 1, .reusable = false}}, SHIFT(65),
  [1023] = {.entry = {.count = 1, .reusable = false}}, SHIFT(70),
  [1025] = {.entry = {.count = 1, .reusable = false}}, SHIFT(62),
  [1027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_env_export, 4),
  [1029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_env_export, 4),
  [1031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(266),
  [1033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [1035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [1037] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [1039] = {.entry = {.count = 1, .reusable = false}}, SHIFT(270),
  [1041] = {.entry = {.count = 1, .reusable = false}}, SHIFT(282),
  [1043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [1045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [1047] = {.entry = {.count = 1, .reusable = false}}, SHIFT(505),
  [1049] = {.entry = {.count = 1, .reusable = true}}, SHIFT(273),
  [1051] = {.entry = {.count = 1, .reusable = false}}, SHIFT(273),
  [1053] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [1055] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_value_path_repeat1, 2), SHIFT_REPEAT(505),
  [1058] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 2),
  [1060] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statements_repeat1, 2),
  [1062] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statements_repeat1, 2),
  [1064] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 3),
  [1066] = {.entry = {.count = 1, .reusable = true}}, SHIFT(505),
  [1068] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_args, 3, .production_id = 16),
  [1070] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_args, 3, .production_id = 16),
  [1072] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_args, 2),
  [1074] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_args, 2),
  [1076] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [1078] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [1080] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [1082] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [1084] = {.entry = {.count = 1, .reusable = true}}, SHIFT(241),
  [1086] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [1088] = {.entry = {.count = 1, .reusable = false}}, SHIFT(242),
  [1090] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [1092] = {.entry = {.count = 1, .reusable = true}}, SHIFT(244),
  [1094] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [1096] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [1098] = {.entry = {.count = 1, .reusable = true}}, SHIFT(311),
  [1100] = {.entry = {.count = 1, .reusable = true}}, SHIFT(312),
  [1102] = {.entry = {.count = 1, .reusable = true}}, SHIFT(313),
  [1104] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [1106] = {.entry = {.count = 1, .reusable = true}}, SHIFT(315),
  [1108] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [1110] = {.entry = {.count = 1, .reusable = true}}, SHIFT(317),
  [1112] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_command_repeat1, 1, .production_id = 2),
  [1114] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_command_repeat1, 1, .production_id = 2),
  [1116] = {.entry = {.count = 1, .reusable = true}}, SHIFT(418),
  [1118] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_array_repeat1, 2),
  [1120] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statement_repeat1, 2),
  [1122] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statement_repeat1, 2),
  [1124] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_repeat1, 2), SHIFT_REPEAT(454),
  [1127] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_repeat1, 2), SHIFT_REPEAT(580),
  [1130] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_repeat1, 2), SHIFT_REPEAT(581),
  [1133] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_repeat1, 2), SHIFT_REPEAT(582),
  [1136] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_repeat1, 2), SHIFT_REPEAT(517),
  [1139] = {.entry = {.count = 1, .reusable = false}}, SHIFT(454),
  [1141] = {.entry = {.count = 1, .reusable = false}}, SHIFT(580),
  [1143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(581),
  [1145] = {.entry = {.count = 1, .reusable = false}}, SHIFT(582),
  [1147] = {.entry = {.count = 1, .reusable = false}}, SHIFT(517),
  [1149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statement_repeat1, 1),
  [1151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statement_repeat1, 1),
  [1153] = {.entry = {.count = 1, .reusable = false}}, SHIFT(408),
  [1155] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 1),
  [1157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(401),
  [1159] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [1161] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [1163] = {.entry = {.count = 1, .reusable = true}}, SHIFT(565),
  [1165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_flag, 1),
  [1167] = {.entry = {.count = 1, .reusable = true}}, SHIFT(404),
  [1169] = {.entry = {.count = 1, .reusable = true}}, SHIFT(564),
  [1171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_flag, 4),
  [1173] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [1175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 3),
  [1177] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [1179] = {.entry = {.count = 1, .reusable = true}}, SHIFT(570),
  [1181] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [1183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(440),
  [1185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(409),
  [1187] = {.entry = {.count = 1, .reusable = true}}, SHIFT(559),
  [1189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 4),
  [1191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 4),
  [1193] = {.entry = {.count = 1, .reusable = false}}, SHIFT(479),
  [1195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5),
  [1197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5),
  [1199] = {.entry = {.count = 1, .reusable = false}}, SHIFT(484),
  [1201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_flag, 3),
  [1203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type, 1),
  [1205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 2),
  [1207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2),
  [1209] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 2), SHIFT_REPEAT(601),
  [1212] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 4),
  [1214] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_signature_repeat1, 2),
  [1216] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_signature_repeat1, 2), SHIFT_REPEAT(410),
  [1219] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_signature_repeat1, 2), SHIFT_REPEAT(440),
  [1222] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_signature_repeat1, 2), SHIFT_REPEAT(409),
  [1225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3),
  [1227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3),
  [1229] = {.entry = {.count = 1, .reusable = false}}, SHIFT(486),
  [1231] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 2),
  [1233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_flag, 6),
  [1235] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2),
  [1237] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2),
  [1239] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 4),
  [1241] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 4),
  [1243] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3),
  [1245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 3),
  [1247] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 4),
  [1249] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 4),
  [1251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(357),
  [1253] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [1255] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statements, 2),
  [1257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statements, 1),
  [1259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(356),
  [1261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(356),
  [1263] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statements, 1),
  [1265] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_if_statement_repeat1, 5),
  [1267] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_if_statement_repeat1, 5),
  [1269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [1271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(502),
  [1273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7),
  [1275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7),
  [1277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 6),
  [1279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 6),
  [1281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(490),
  [1283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_alias, 4, .production_id = 11),
  [1285] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_alias, 4, .production_id = 11),
  [1287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 4, .production_id = 10),
  [1289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 4, .production_id = 10),
  [1291] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest, 1),
  [1293] = {.entry = {.count = 1, .reusable = true}}, SHIFT(400),
  [1295] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_definition, 5, .production_id = 18),
  [1297] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_definition, 5, .production_id = 18),
  [1299] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_rest, 3),
  [1301] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_flag, 2),
  [1303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [1305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [1307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [1309] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [1311] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter, 5),
  [1313] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [1315] = {.entry = {.count = 1, .reusable = true}}, SHIFT(593),
  [1317] = {.entry = {.count = 1, .reusable = true}}, SHIFT(594),
  [1319] = {.entry = {.count = 1, .reusable = true}}, SHIFT(595),
  [1321] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_flag, 7),
  [1323] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [1325] = {.entry = {.count = 1, .reusable = true}}, SHIFT(602),
  [1327] = {.entry = {.count = 1, .reusable = true}}, SHIFT(603),
  [1329] = {.entry = {.count = 1, .reusable = true}}, SHIFT(604),
  [1331] = {.entry = {.count = 1, .reusable = true}}, SHIFT(467),
  [1333] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_signature_repeat1, 1),
  [1335] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_parameter_assignment, 2),
  [1337] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [1339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [1341] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [1343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(533),
  [1345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(333),
  [1347] = {.entry = {.count = 1, .reusable = true}}, SHIFT(584),
  [1349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(585),
  [1351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(586),
  [1353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [1355] = {.entry = {.count = 1, .reusable = true}}, SHIFT(611),
  [1357] = {.entry = {.count = 1, .reusable = true}}, SHIFT(612),
  [1359] = {.entry = {.count = 1, .reusable = true}}, SHIFT(613),
  [1361] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_flag, 5),
  [1363] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [1365] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [1367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(378),
  [1369] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [1371] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [1373] = {.entry = {.count = 1, .reusable = true}}, SHIFT(309),
  [1375] = {.entry = {.count = 1, .reusable = true}}, SHIFT(104),
  [1377] = {.entry = {.count = 1, .reusable = true}}, SHIFT(335),
  [1379] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_table_repeat1, 2), SHIFT_REPEAT(223),
  [1382] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_table_repeat1, 2),
  [1384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(379),
  [1386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [1388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [1390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [1392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(329),
  [1394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [1396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(86),
  [1398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(561),
  [1400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(437),
  [1402] = {.entry = {.count = 1, .reusable = true}}, SHIFT(437),
  [1404] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [1406] = {.entry = {.count = 1, .reusable = true}}, SHIFT(500),
  [1408] = {.entry = {.count = 1, .reusable = true}}, SHIFT(392),
  [1410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [1412] = {.entry = {.count = 1, .reusable = true}}, SHIFT(364),
  [1414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(478),
  [1416] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_block_args_repeat1, 1, .production_id = 8),
  [1418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(497),
  [1420] = {.entry = {.count = 1, .reusable = true}}, SHIFT(206),
  [1422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [1424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_block_args_repeat1, 2, .production_id = 17),
  [1426] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_block_args_repeat1, 2, .production_id = 17), SHIFT_REPEAT(478),
  [1429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(347),
  [1431] = {.entry = {.count = 1, .reusable = true}}, SHIFT(496),
  [1433] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [1435] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [1437] = {.entry = {.count = 1, .reusable = true}}, SHIFT(494),
  [1439] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [1441] = {.entry = {.count = 1, .reusable = true}}, SHIFT(498),
  [1443] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [1445] = {.entry = {.count = 1, .reusable = true}}, SHIFT(489),
  [1447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(414),
  [1449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [1451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [1453] = {.entry = {.count = 1, .reusable = true}}, SHIFT(231),
  [1455] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_block_args_repeat1, 2, .production_id = 8),
  [1457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [1459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [1461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [1463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [1465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [1467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(69),
  [1469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(346),
  [1471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [1473] = {.entry = {.count = 1, .reusable = true}}, SHIFT(103),
  [1475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [1477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(28),
  [1479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [1481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(358),
  [1483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [1485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [1487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [1489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [1491] = {.entry = {.count = 1, .reusable = true}}, SHIFT(571),
  [1493] = {.entry = {.count = 1, .reusable = true}}, SHIFT(289),
  [1495] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [1497] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [1499] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [1501] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [1503] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [1505] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [1507] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [1509] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [1511] = {.entry = {.count = 1, .reusable = true}}, SHIFT(372),
  [1513] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [1515] = {.entry = {.count = 1, .reusable = true}}, SHIFT(363),
  [1517] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signature, 2),
  [1519] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [1521] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [1523] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [1525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [1527] = {.entry = {.count = 1, .reusable = true}}, SHIFT(619),
  [1529] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [1531] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_signature, 3),
  [1533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [1535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(327),
  [1537] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [1539] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 1),
  [1541] = {.entry = {.count = 1, .reusable = true}}, SHIFT(127),
  [1543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [1545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [1547] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [1549] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [1551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(529),
  [1553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(528),
  [1555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(526),
  [1557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(530),
  [1559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [1561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(558),
  [1563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(556),
  [1565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(555),
  [1567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(531),
  [1569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(513),
  [1571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(514),
  [1573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [1575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [1577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [1579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [1581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [1583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [1585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [1587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [1589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [1591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [1593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [1595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(541),
  [1597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(542),
  [1599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(543),
  [1601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(300),
  [1603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(547),
  [1605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [1607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(549),
  [1609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [1611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(120),
  [1613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(512),
  [1615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(567),
  [1617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [1619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(411),
  [1621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(573),
  [1623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(574),
  [1625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(575),
};

#ifdef __cplusplus
extern "C" {
#endif
void *tree_sitter_nu_external_scanner_create(void);
void tree_sitter_nu_external_scanner_destroy(void *);
bool tree_sitter_nu_external_scanner_scan(void *, TSLexer *, const bool *);
unsigned tree_sitter_nu_external_scanner_serialize(void *, char *);
void tree_sitter_nu_external_scanner_deserialize(void *, const char *, unsigned);

#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_nu(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .external_scanner = {
      &ts_external_scanner_states[0][0],
      ts_external_scanner_symbol_map,
      tree_sitter_nu_external_scanner_create,
      tree_sitter_nu_external_scanner_destroy,
      tree_sitter_nu_external_scanner_scan,
      tree_sitter_nu_external_scanner_serialize,
      tree_sitter_nu_external_scanner_deserialize,
    },
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
