#include <tree_sitter/parser.h>

#if defined(__GNUC__) || defined(__clang__)
#pragma GCC diagnostic push
#pragma GCC diagnostic ignored "-Wmissing-field-initializers"
#endif

#define LANGUAGE_VERSION 14
#define STATE_COUNT 1380
#define LARGE_STATE_COUNT 294
#define SYMBOL_COUNT 212
#define ALIAS_COUNT 7
#define TOKEN_COUNT 101
#define EXTERNAL_TOKEN_COUNT 0
#define FIELD_COUNT 37
#define MAX_ALIAS_SEQUENCE_LENGTH 9
#define PRODUCTION_ID_COUNT 138

enum {
  sym_identifier = 1,
  anon_sym_LF = 2,
  anon_sym_SEMI = 3,
  anon_sym_foreign = 4,
  anon_sym_import = 5,
  anon_sym_package = 6,
  anon_sym_COMMA = 7,
  anon_sym_COLON_COLON = 8,
  anon_sym_COLON = 9,
  anon_sym_EQ = 10,
  anon_sym_COLON_EQ = 11,
  anon_sym_struct = 12,
  anon_sym_enum = 13,
  anon_sym_union = 14,
  anon_sym_proc = 15,
  anon_sym_DASH_GT = 16,
  anon_sym_DASH_DASH_DASH = 17,
  anon_sym_LBRACE = 18,
  anon_sym_RBRACE = 19,
  anon_sym_where = 20,
  anon_sym_LPAREN = 21,
  anon_sym_RPAREN = 22,
  anon_sym_using = 23,
  anon_sym_DOLLAR = 24,
  anon_sym_DOT_DOT = 25,
  anon_sym_any = 26,
  anon_sym_distinct = 27,
  anon_sym_SLASH = 28,
  anon_sym_LBRACK = 29,
  anon_sym_RBRACK = 30,
  anon_sym_CARET = 31,
  anon_sym_dynamic = 32,
  anon_sym_QMARK = 33,
  anon_sym_PIPE = 34,
  anon_sym_TILDE = 35,
  anon_sym_map = 36,
  anon_sym_func = 37,
  anon_sym_POUND = 38,
  anon_sym_STAR_EQ = 39,
  anon_sym_SLASH_EQ = 40,
  anon_sym_PERCENT_EQ = 41,
  anon_sym_LT_LT_EQ = 42,
  anon_sym_GT_GT_EQ = 43,
  anon_sym_AMP_EQ = 44,
  anon_sym_AMP_CARET_EQ = 45,
  anon_sym_PLUS_EQ = 46,
  anon_sym_DASH_EQ = 47,
  anon_sym_PIPE_EQ = 48,
  anon_sym_CARET_EQ = 49,
  anon_sym_fallthrough = 50,
  anon_sym_break = 51,
  anon_sym_continue = 52,
  anon_sym_return = 53,
  anon_sym_defer = 54,
  anon_sym_if = 55,
  anon_sym_else = 56,
  anon_sym_when = 57,
  anon_sym_for = 58,
  anon_sym_in = 59,
  anon_sym_DOT_DOT_LT = 60,
  anon_sym_DOT_DOT_EQ = 61,
  anon_sym_AMP = 62,
  anon_sym_switch = 63,
  anon_sym_case = 64,
  anon_sym_new = 65,
  anon_sym_make = 66,
  anon_sym_cast = 67,
  anon_sym_auto_cast = 68,
  anon_sym_transmute = 69,
  anon_sym_DOT_DOT_DOT = 70,
  anon_sym_DOT = 71,
  anon_sym_PLUS = 72,
  anon_sym_DASH = 73,
  anon_sym_BANG = 74,
  anon_sym_STAR = 75,
  anon_sym_LT_DASH = 76,
  anon_sym_PERCENT = 77,
  anon_sym_LT_LT = 78,
  anon_sym_GT_GT = 79,
  anon_sym_AMP_CARET = 80,
  anon_sym_EQ_EQ = 81,
  anon_sym_BANG_EQ = 82,
  anon_sym_LT = 83,
  anon_sym_LT_EQ = 84,
  anon_sym_GT = 85,
  anon_sym_GT_EQ = 86,
  anon_sym_AMP_AMP = 87,
  anon_sym_PIPE_PIPE = 88,
  sym_raw_string_literal = 89,
  anon_sym_DQUOTE = 90,
  sym__interpreted_string_literal_basic_content = 91,
  sym_escape_sequence = 92,
  sym_int_literal = 93,
  sym_float_literal = 94,
  sym_imaginary_literal = 95,
  sym_rune_literal = 96,
  sym_nil = 97,
  sym_true = 98,
  sym_false = 99,
  sym_comment = 100,
  sym_source_file = 101,
  sym_foreign_import = 102,
  sym_foreign_block = 103,
  sym_package_clause = 104,
  sym_import_declaration = 105,
  sym_import_spec = 106,
  sym__declaration = 107,
  sym_const_declaration = 108,
  sym_const_declaration_with_type = 109,
  sym_var_declaration = 110,
  sym_var_declaration_and_assignment = 111,
  sym_struct_declaration = 112,
  sym_enum_declaration = 113,
  sym_union_declaration = 114,
  sym_function_declaration = 115,
  sym_proc_group = 116,
  sym_where_clause = 117,
  sym_parameter_list = 118,
  sym_parameter_declaration = 119,
  sym_variadic_parameter_declaration = 120,
  sym_poly_parameter_declaration = 121,
  sym_type_alias = 122,
  sym_expression_list = 123,
  sym_const_expression_list = 124,
  sym_parenthesized_type = 125,
  sym_polymorphic_type = 126,
  sym__simple_type = 127,
  sym_generic_type = 128,
  sym_type_arguments = 129,
  sym_pointer_type = 130,
  sym_array_type = 131,
  sym_dynamic_array_type = 132,
  sym_implicit_length_array_type = 133,
  sym_slice_type = 134,
  sym_struct_type = 135,
  sym_enum_type = 136,
  sym_union_type = 137,
  sym_field_declaration_list = 138,
  sym_enum_value_list = 139,
  sym_union_value_list = 140,
  sym_field_declaration = 141,
  sym_map_type = 142,
  sym_function_type = 143,
  sym_block = 144,
  sym_block_with_directive = 145,
  sym_simple_directive = 146,
  sym_function_directive = 147,
  sym__statement_list = 148,
  sym__statement = 149,
  sym_empty_statement = 150,
  sym__simple_statement = 151,
  sym_assignment_statement = 152,
  sym_labeled_statement = 153,
  sym_empty_labeled_statement = 154,
  sym_fallthrough_statement = 155,
  sym_break_statement = 156,
  sym_continue_statement = 157,
  sym_return_statement = 158,
  sym_defer_statement = 159,
  sym_if_statement = 160,
  sym_when_statement = 161,
  sym_for_statement = 162,
  sym_for_clause = 163,
  sym_iterator_clause = 164,
  sym_switch_statement = 165,
  sym_expression_case = 166,
  sym_type_switch_statement = 167,
  sym_type_expression_case = 168,
  sym_default_case = 169,
  sym__expression = 170,
  sym__const_expression = 171,
  sym_cast_expression = 172,
  sym_transmute_expression = 173,
  sym_parenthesized_expression = 174,
  sym_call_expression = 175,
  sym_variadic_argument = 176,
  sym_special_argument_list = 177,
  sym_argument_list = 178,
  sym_selector_expression = 179,
  sym_index_expression = 180,
  sym_slice_expression = 181,
  sym_type_assertion_expression = 182,
  sym_type_conversion_expression = 183,
  sym_composite_literal = 184,
  sym_literal_value = 185,
  sym_literal_element = 186,
  sym_keyed_element = 187,
  sym_unary_expression = 188,
  sym_binary_expression = 189,
  sym_qualified_type = 190,
  sym__enum_value_identifier = 191,
  sym__directive_identifier = 192,
  sym__foreign_lib_identifier = 193,
  sym_interpreted_string_literal = 194,
  sym_undefined = 195,
  aux_sym_source_file_repeat1 = 196,
  aux_sym_const_declaration_repeat1 = 197,
  aux_sym_where_clause_repeat1 = 198,
  aux_sym_parameter_list_repeat1 = 199,
  aux_sym_parameter_declaration_repeat1 = 200,
  aux_sym_const_expression_list_repeat1 = 201,
  aux_sym_type_arguments_repeat1 = 202,
  aux_sym_field_declaration_list_repeat1 = 203,
  aux_sym_enum_value_list_repeat1 = 204,
  aux_sym_field_declaration_repeat1 = 205,
  aux_sym__statement_list_repeat1 = 206,
  aux_sym_switch_statement_repeat1 = 207,
  aux_sym_type_switch_statement_repeat1 = 208,
  aux_sym_argument_list_repeat1 = 209,
  aux_sym_literal_value_repeat1 = 210,
  aux_sym_interpreted_string_literal_repeat1 = 211,
  alias_sym_directive_identifier = 212,
  alias_sym_enum_value_identifier = 213,
  alias_sym_field_identifier = 214,
  alias_sym_foreign_lib_identifier = 215,
  alias_sym_label_name = 216,
  alias_sym_package_identifier = 217,
  alias_sym_type_identifier = 218,
};

static const char * const ts_symbol_names[] = {
  [ts_builtin_sym_end] = "end",
  [sym_identifier] = "identifier",
  [anon_sym_LF] = "\n",
  [anon_sym_SEMI] = ";",
  [anon_sym_foreign] = "foreign",
  [anon_sym_import] = "import",
  [anon_sym_package] = "package",
  [anon_sym_COMMA] = ",",
  [anon_sym_COLON_COLON] = "::",
  [anon_sym_COLON] = ":",
  [anon_sym_EQ] = "=",
  [anon_sym_COLON_EQ] = ":=",
  [anon_sym_struct] = "struct",
  [anon_sym_enum] = "enum",
  [anon_sym_union] = "union",
  [anon_sym_proc] = "proc",
  [anon_sym_DASH_GT] = "->",
  [anon_sym_DASH_DASH_DASH] = "---",
  [anon_sym_LBRACE] = "{",
  [anon_sym_RBRACE] = "}",
  [anon_sym_where] = "where",
  [anon_sym_LPAREN] = "(",
  [anon_sym_RPAREN] = ")",
  [anon_sym_using] = "using",
  [anon_sym_DOLLAR] = "$",
  [anon_sym_DOT_DOT] = "..",
  [anon_sym_any] = "any",
  [anon_sym_distinct] = "distinct",
  [anon_sym_SLASH] = "/",
  [anon_sym_LBRACK] = "[",
  [anon_sym_RBRACK] = "]",
  [anon_sym_CARET] = "^",
  [anon_sym_dynamic] = "dynamic",
  [anon_sym_QMARK] = "\?",
  [anon_sym_PIPE] = "|",
  [anon_sym_TILDE] = "~",
  [anon_sym_map] = "map",
  [anon_sym_func] = "func",
  [anon_sym_POUND] = "#",
  [anon_sym_STAR_EQ] = "*=",
  [anon_sym_SLASH_EQ] = "/=",
  [anon_sym_PERCENT_EQ] = "%=",
  [anon_sym_LT_LT_EQ] = "<<=",
  [anon_sym_GT_GT_EQ] = ">>=",
  [anon_sym_AMP_EQ] = "&=",
  [anon_sym_AMP_CARET_EQ] = "&^=",
  [anon_sym_PLUS_EQ] = "+=",
  [anon_sym_DASH_EQ] = "-=",
  [anon_sym_PIPE_EQ] = "|=",
  [anon_sym_CARET_EQ] = "^=",
  [anon_sym_fallthrough] = "fallthrough",
  [anon_sym_break] = "break",
  [anon_sym_continue] = "continue",
  [anon_sym_return] = "return",
  [anon_sym_defer] = "defer",
  [anon_sym_if] = "if",
  [anon_sym_else] = "else",
  [anon_sym_when] = "when",
  [anon_sym_for] = "for",
  [anon_sym_in] = "in",
  [anon_sym_DOT_DOT_LT] = "..<",
  [anon_sym_DOT_DOT_EQ] = "..=",
  [anon_sym_AMP] = "&",
  [anon_sym_switch] = "switch",
  [anon_sym_case] = "case",
  [anon_sym_new] = "identifier",
  [anon_sym_make] = "identifier",
  [anon_sym_cast] = "cast",
  [anon_sym_auto_cast] = "auto_cast",
  [anon_sym_transmute] = "transmute",
  [anon_sym_DOT_DOT_DOT] = "...",
  [anon_sym_DOT] = ".",
  [anon_sym_PLUS] = "+",
  [anon_sym_DASH] = "-",
  [anon_sym_BANG] = "!",
  [anon_sym_STAR] = "*",
  [anon_sym_LT_DASH] = "<-",
  [anon_sym_PERCENT] = "%",
  [anon_sym_LT_LT] = "<<",
  [anon_sym_GT_GT] = ">>",
  [anon_sym_AMP_CARET] = "&^",
  [anon_sym_EQ_EQ] = "==",
  [anon_sym_BANG_EQ] = "!=",
  [anon_sym_LT] = "<",
  [anon_sym_LT_EQ] = "<=",
  [anon_sym_GT] = ">",
  [anon_sym_GT_EQ] = ">=",
  [anon_sym_AMP_AMP] = "&&",
  [anon_sym_PIPE_PIPE] = "||",
  [sym_raw_string_literal] = "raw_string_literal",
  [anon_sym_DQUOTE] = "\"",
  [sym__interpreted_string_literal_basic_content] = "_interpreted_string_literal_basic_content",
  [sym_escape_sequence] = "escape_sequence",
  [sym_int_literal] = "int_literal",
  [sym_float_literal] = "float_literal",
  [sym_imaginary_literal] = "imaginary_literal",
  [sym_rune_literal] = "rune_literal",
  [sym_nil] = "nil",
  [sym_true] = "true",
  [sym_false] = "false",
  [sym_comment] = "comment",
  [sym_source_file] = "source_file",
  [sym_foreign_import] = "foreign_import",
  [sym_foreign_block] = "foreign_block",
  [sym_package_clause] = "package_clause",
  [sym_import_declaration] = "import_declaration",
  [sym_import_spec] = "import_spec",
  [sym__declaration] = "_declaration",
  [sym_const_declaration] = "const_declaration",
  [sym_const_declaration_with_type] = "const_declaration_with_type",
  [sym_var_declaration] = "var_declaration",
  [sym_var_declaration_and_assignment] = "var_declaration_and_assignment",
  [sym_struct_declaration] = "struct_declaration",
  [sym_enum_declaration] = "enum_declaration",
  [sym_union_declaration] = "union_declaration",
  [sym_function_declaration] = "function_declaration",
  [sym_proc_group] = "proc_group",
  [sym_where_clause] = "where_clause",
  [sym_parameter_list] = "parameter_list",
  [sym_parameter_declaration] = "parameter_declaration",
  [sym_variadic_parameter_declaration] = "variadic_parameter_declaration",
  [sym_poly_parameter_declaration] = "poly_parameter_declaration",
  [sym_type_alias] = "type_alias",
  [sym_expression_list] = "expression_list",
  [sym_const_expression_list] = "const_expression_list",
  [sym_parenthesized_type] = "parenthesized_type",
  [sym_polymorphic_type] = "polymorphic_type",
  [sym__simple_type] = "_simple_type",
  [sym_generic_type] = "generic_type",
  [sym_type_arguments] = "type_arguments",
  [sym_pointer_type] = "pointer_type",
  [sym_array_type] = "array_type",
  [sym_dynamic_array_type] = "dynamic_array_type",
  [sym_implicit_length_array_type] = "implicit_length_array_type",
  [sym_slice_type] = "slice_type",
  [sym_struct_type] = "struct_type",
  [sym_enum_type] = "enum_type",
  [sym_union_type] = "union_type",
  [sym_field_declaration_list] = "field_declaration_list",
  [sym_enum_value_list] = "enum_value_list",
  [sym_union_value_list] = "union_value_list",
  [sym_field_declaration] = "field_declaration",
  [sym_map_type] = "map_type",
  [sym_function_type] = "function_type",
  [sym_block] = "block",
  [sym_block_with_directive] = "block_with_directive",
  [sym_simple_directive] = "simple_directive",
  [sym_function_directive] = "function_directive",
  [sym__statement_list] = "_statement_list",
  [sym__statement] = "_statement",
  [sym_empty_statement] = "empty_statement",
  [sym__simple_statement] = "_simple_statement",
  [sym_assignment_statement] = "assignment_statement",
  [sym_labeled_statement] = "labeled_statement",
  [sym_empty_labeled_statement] = "labeled_statement",
  [sym_fallthrough_statement] = "fallthrough_statement",
  [sym_break_statement] = "break_statement",
  [sym_continue_statement] = "continue_statement",
  [sym_return_statement] = "return_statement",
  [sym_defer_statement] = "defer_statement",
  [sym_if_statement] = "if_statement",
  [sym_when_statement] = "when_statement",
  [sym_for_statement] = "for_statement",
  [sym_for_clause] = "for_clause",
  [sym_iterator_clause] = "iterator_clause",
  [sym_switch_statement] = "switch_statement",
  [sym_expression_case] = "expression_case",
  [sym_type_switch_statement] = "type_switch_statement",
  [sym_type_expression_case] = "type_expression_case",
  [sym_default_case] = "default_case",
  [sym__expression] = "_expression",
  [sym__const_expression] = "_const_expression",
  [sym_cast_expression] = "cast_expression",
  [sym_transmute_expression] = "transmute_expression",
  [sym_parenthesized_expression] = "parenthesized_expression",
  [sym_call_expression] = "call_expression",
  [sym_variadic_argument] = "variadic_argument",
  [sym_special_argument_list] = "argument_list",
  [sym_argument_list] = "argument_list",
  [sym_selector_expression] = "selector_expression",
  [sym_index_expression] = "index_expression",
  [sym_slice_expression] = "slice_expression",
  [sym_type_assertion_expression] = "type_assertion_expression",
  [sym_type_conversion_expression] = "type_conversion_expression",
  [sym_composite_literal] = "composite_literal",
  [sym_literal_value] = "literal_value",
  [sym_literal_element] = "literal_element",
  [sym_keyed_element] = "keyed_element",
  [sym_unary_expression] = "unary_expression",
  [sym_binary_expression] = "binary_expression",
  [sym_qualified_type] = "qualified_type",
  [sym__enum_value_identifier] = "_enum_value_identifier",
  [sym__directive_identifier] = "_directive_identifier",
  [sym__foreign_lib_identifier] = "_foreign_lib_identifier",
  [sym_interpreted_string_literal] = "interpreted_string_literal",
  [sym_undefined] = "undefined",
  [aux_sym_source_file_repeat1] = "source_file_repeat1",
  [aux_sym_const_declaration_repeat1] = "const_declaration_repeat1",
  [aux_sym_where_clause_repeat1] = "where_clause_repeat1",
  [aux_sym_parameter_list_repeat1] = "parameter_list_repeat1",
  [aux_sym_parameter_declaration_repeat1] = "parameter_declaration_repeat1",
  [aux_sym_const_expression_list_repeat1] = "const_expression_list_repeat1",
  [aux_sym_type_arguments_repeat1] = "type_arguments_repeat1",
  [aux_sym_field_declaration_list_repeat1] = "field_declaration_list_repeat1",
  [aux_sym_enum_value_list_repeat1] = "enum_value_list_repeat1",
  [aux_sym_field_declaration_repeat1] = "field_declaration_repeat1",
  [aux_sym__statement_list_repeat1] = "_statement_list_repeat1",
  [aux_sym_switch_statement_repeat1] = "switch_statement_repeat1",
  [aux_sym_type_switch_statement_repeat1] = "type_switch_statement_repeat1",
  [aux_sym_argument_list_repeat1] = "argument_list_repeat1",
  [aux_sym_literal_value_repeat1] = "literal_value_repeat1",
  [aux_sym_interpreted_string_literal_repeat1] = "interpreted_string_literal_repeat1",
  [alias_sym_directive_identifier] = "directive_identifier",
  [alias_sym_enum_value_identifier] = "enum_value_identifier",
  [alias_sym_field_identifier] = "field_identifier",
  [alias_sym_foreign_lib_identifier] = "foreign_lib_identifier",
  [alias_sym_label_name] = "label_name",
  [alias_sym_package_identifier] = "package_identifier",
  [alias_sym_type_identifier] = "type_identifier",
};

static const TSSymbol ts_symbol_map[] = {
  [ts_builtin_sym_end] = ts_builtin_sym_end,
  [sym_identifier] = sym_identifier,
  [anon_sym_LF] = anon_sym_LF,
  [anon_sym_SEMI] = anon_sym_SEMI,
  [anon_sym_foreign] = anon_sym_foreign,
  [anon_sym_import] = anon_sym_import,
  [anon_sym_package] = anon_sym_package,
  [anon_sym_COMMA] = anon_sym_COMMA,
  [anon_sym_COLON_COLON] = anon_sym_COLON_COLON,
  [anon_sym_COLON] = anon_sym_COLON,
  [anon_sym_EQ] = anon_sym_EQ,
  [anon_sym_COLON_EQ] = anon_sym_COLON_EQ,
  [anon_sym_struct] = anon_sym_struct,
  [anon_sym_enum] = anon_sym_enum,
  [anon_sym_union] = anon_sym_union,
  [anon_sym_proc] = anon_sym_proc,
  [anon_sym_DASH_GT] = anon_sym_DASH_GT,
  [anon_sym_DASH_DASH_DASH] = anon_sym_DASH_DASH_DASH,
  [anon_sym_LBRACE] = anon_sym_LBRACE,
  [anon_sym_RBRACE] = anon_sym_RBRACE,
  [anon_sym_where] = anon_sym_where,
  [anon_sym_LPAREN] = anon_sym_LPAREN,
  [anon_sym_RPAREN] = anon_sym_RPAREN,
  [anon_sym_using] = anon_sym_using,
  [anon_sym_DOLLAR] = anon_sym_DOLLAR,
  [anon_sym_DOT_DOT] = anon_sym_DOT_DOT,
  [anon_sym_any] = anon_sym_any,
  [anon_sym_distinct] = anon_sym_distinct,
  [anon_sym_SLASH] = anon_sym_SLASH,
  [anon_sym_LBRACK] = anon_sym_LBRACK,
  [anon_sym_RBRACK] = anon_sym_RBRACK,
  [anon_sym_CARET] = anon_sym_CARET,
  [anon_sym_dynamic] = anon_sym_dynamic,
  [anon_sym_QMARK] = anon_sym_QMARK,
  [anon_sym_PIPE] = anon_sym_PIPE,
  [anon_sym_TILDE] = anon_sym_TILDE,
  [anon_sym_map] = anon_sym_map,
  [anon_sym_func] = anon_sym_func,
  [anon_sym_POUND] = anon_sym_POUND,
  [anon_sym_STAR_EQ] = anon_sym_STAR_EQ,
  [anon_sym_SLASH_EQ] = anon_sym_SLASH_EQ,
  [anon_sym_PERCENT_EQ] = anon_sym_PERCENT_EQ,
  [anon_sym_LT_LT_EQ] = anon_sym_LT_LT_EQ,
  [anon_sym_GT_GT_EQ] = anon_sym_GT_GT_EQ,
  [anon_sym_AMP_EQ] = anon_sym_AMP_EQ,
  [anon_sym_AMP_CARET_EQ] = anon_sym_AMP_CARET_EQ,
  [anon_sym_PLUS_EQ] = anon_sym_PLUS_EQ,
  [anon_sym_DASH_EQ] = anon_sym_DASH_EQ,
  [anon_sym_PIPE_EQ] = anon_sym_PIPE_EQ,
  [anon_sym_CARET_EQ] = anon_sym_CARET_EQ,
  [anon_sym_fallthrough] = anon_sym_fallthrough,
  [anon_sym_break] = anon_sym_break,
  [anon_sym_continue] = anon_sym_continue,
  [anon_sym_return] = anon_sym_return,
  [anon_sym_defer] = anon_sym_defer,
  [anon_sym_if] = anon_sym_if,
  [anon_sym_else] = anon_sym_else,
  [anon_sym_when] = anon_sym_when,
  [anon_sym_for] = anon_sym_for,
  [anon_sym_in] = anon_sym_in,
  [anon_sym_DOT_DOT_LT] = anon_sym_DOT_DOT_LT,
  [anon_sym_DOT_DOT_EQ] = anon_sym_DOT_DOT_EQ,
  [anon_sym_AMP] = anon_sym_AMP,
  [anon_sym_switch] = anon_sym_switch,
  [anon_sym_case] = anon_sym_case,
  [anon_sym_new] = sym_identifier,
  [anon_sym_make] = sym_identifier,
  [anon_sym_cast] = anon_sym_cast,
  [anon_sym_auto_cast] = anon_sym_auto_cast,
  [anon_sym_transmute] = anon_sym_transmute,
  [anon_sym_DOT_DOT_DOT] = anon_sym_DOT_DOT_DOT,
  [anon_sym_DOT] = anon_sym_DOT,
  [anon_sym_PLUS] = anon_sym_PLUS,
  [anon_sym_DASH] = anon_sym_DASH,
  [anon_sym_BANG] = anon_sym_BANG,
  [anon_sym_STAR] = anon_sym_STAR,
  [anon_sym_LT_DASH] = anon_sym_LT_DASH,
  [anon_sym_PERCENT] = anon_sym_PERCENT,
  [anon_sym_LT_LT] = anon_sym_LT_LT,
  [anon_sym_GT_GT] = anon_sym_GT_GT,
  [anon_sym_AMP_CARET] = anon_sym_AMP_CARET,
  [anon_sym_EQ_EQ] = anon_sym_EQ_EQ,
  [anon_sym_BANG_EQ] = anon_sym_BANG_EQ,
  [anon_sym_LT] = anon_sym_LT,
  [anon_sym_LT_EQ] = anon_sym_LT_EQ,
  [anon_sym_GT] = anon_sym_GT,
  [anon_sym_GT_EQ] = anon_sym_GT_EQ,
  [anon_sym_AMP_AMP] = anon_sym_AMP_AMP,
  [anon_sym_PIPE_PIPE] = anon_sym_PIPE_PIPE,
  [sym_raw_string_literal] = sym_raw_string_literal,
  [anon_sym_DQUOTE] = anon_sym_DQUOTE,
  [sym__interpreted_string_literal_basic_content] = sym__interpreted_string_literal_basic_content,
  [sym_escape_sequence] = sym_escape_sequence,
  [sym_int_literal] = sym_int_literal,
  [sym_float_literal] = sym_float_literal,
  [sym_imaginary_literal] = sym_imaginary_literal,
  [sym_rune_literal] = sym_rune_literal,
  [sym_nil] = sym_nil,
  [sym_true] = sym_true,
  [sym_false] = sym_false,
  [sym_comment] = sym_comment,
  [sym_source_file] = sym_source_file,
  [sym_foreign_import] = sym_foreign_import,
  [sym_foreign_block] = sym_foreign_block,
  [sym_package_clause] = sym_package_clause,
  [sym_import_declaration] = sym_import_declaration,
  [sym_import_spec] = sym_import_spec,
  [sym__declaration] = sym__declaration,
  [sym_const_declaration] = sym_const_declaration,
  [sym_const_declaration_with_type] = sym_const_declaration_with_type,
  [sym_var_declaration] = sym_var_declaration,
  [sym_var_declaration_and_assignment] = sym_var_declaration_and_assignment,
  [sym_struct_declaration] = sym_struct_declaration,
  [sym_enum_declaration] = sym_enum_declaration,
  [sym_union_declaration] = sym_union_declaration,
  [sym_function_declaration] = sym_function_declaration,
  [sym_proc_group] = sym_proc_group,
  [sym_where_clause] = sym_where_clause,
  [sym_parameter_list] = sym_parameter_list,
  [sym_parameter_declaration] = sym_parameter_declaration,
  [sym_variadic_parameter_declaration] = sym_variadic_parameter_declaration,
  [sym_poly_parameter_declaration] = sym_poly_parameter_declaration,
  [sym_type_alias] = sym_type_alias,
  [sym_expression_list] = sym_expression_list,
  [sym_const_expression_list] = sym_const_expression_list,
  [sym_parenthesized_type] = sym_parenthesized_type,
  [sym_polymorphic_type] = sym_polymorphic_type,
  [sym__simple_type] = sym__simple_type,
  [sym_generic_type] = sym_generic_type,
  [sym_type_arguments] = sym_type_arguments,
  [sym_pointer_type] = sym_pointer_type,
  [sym_array_type] = sym_array_type,
  [sym_dynamic_array_type] = sym_dynamic_array_type,
  [sym_implicit_length_array_type] = sym_implicit_length_array_type,
  [sym_slice_type] = sym_slice_type,
  [sym_struct_type] = sym_struct_type,
  [sym_enum_type] = sym_enum_type,
  [sym_union_type] = sym_union_type,
  [sym_field_declaration_list] = sym_field_declaration_list,
  [sym_enum_value_list] = sym_enum_value_list,
  [sym_union_value_list] = sym_union_value_list,
  [sym_field_declaration] = sym_field_declaration,
  [sym_map_type] = sym_map_type,
  [sym_function_type] = sym_function_type,
  [sym_block] = sym_block,
  [sym_block_with_directive] = sym_block_with_directive,
  [sym_simple_directive] = sym_simple_directive,
  [sym_function_directive] = sym_function_directive,
  [sym__statement_list] = sym__statement_list,
  [sym__statement] = sym__statement,
  [sym_empty_statement] = sym_empty_statement,
  [sym__simple_statement] = sym__simple_statement,
  [sym_assignment_statement] = sym_assignment_statement,
  [sym_labeled_statement] = sym_labeled_statement,
  [sym_empty_labeled_statement] = sym_labeled_statement,
  [sym_fallthrough_statement] = sym_fallthrough_statement,
  [sym_break_statement] = sym_break_statement,
  [sym_continue_statement] = sym_continue_statement,
  [sym_return_statement] = sym_return_statement,
  [sym_defer_statement] = sym_defer_statement,
  [sym_if_statement] = sym_if_statement,
  [sym_when_statement] = sym_when_statement,
  [sym_for_statement] = sym_for_statement,
  [sym_for_clause] = sym_for_clause,
  [sym_iterator_clause] = sym_iterator_clause,
  [sym_switch_statement] = sym_switch_statement,
  [sym_expression_case] = sym_expression_case,
  [sym_type_switch_statement] = sym_type_switch_statement,
  [sym_type_expression_case] = sym_type_expression_case,
  [sym_default_case] = sym_default_case,
  [sym__expression] = sym__expression,
  [sym__const_expression] = sym__const_expression,
  [sym_cast_expression] = sym_cast_expression,
  [sym_transmute_expression] = sym_transmute_expression,
  [sym_parenthesized_expression] = sym_parenthesized_expression,
  [sym_call_expression] = sym_call_expression,
  [sym_variadic_argument] = sym_variadic_argument,
  [sym_special_argument_list] = sym_argument_list,
  [sym_argument_list] = sym_argument_list,
  [sym_selector_expression] = sym_selector_expression,
  [sym_index_expression] = sym_index_expression,
  [sym_slice_expression] = sym_slice_expression,
  [sym_type_assertion_expression] = sym_type_assertion_expression,
  [sym_type_conversion_expression] = sym_type_conversion_expression,
  [sym_composite_literal] = sym_composite_literal,
  [sym_literal_value] = sym_literal_value,
  [sym_literal_element] = sym_literal_element,
  [sym_keyed_element] = sym_keyed_element,
  [sym_unary_expression] = sym_unary_expression,
  [sym_binary_expression] = sym_binary_expression,
  [sym_qualified_type] = sym_qualified_type,
  [sym__enum_value_identifier] = sym__enum_value_identifier,
  [sym__directive_identifier] = sym__directive_identifier,
  [sym__foreign_lib_identifier] = sym__foreign_lib_identifier,
  [sym_interpreted_string_literal] = sym_interpreted_string_literal,
  [sym_undefined] = sym_undefined,
  [aux_sym_source_file_repeat1] = aux_sym_source_file_repeat1,
  [aux_sym_const_declaration_repeat1] = aux_sym_const_declaration_repeat1,
  [aux_sym_where_clause_repeat1] = aux_sym_where_clause_repeat1,
  [aux_sym_parameter_list_repeat1] = aux_sym_parameter_list_repeat1,
  [aux_sym_parameter_declaration_repeat1] = aux_sym_parameter_declaration_repeat1,
  [aux_sym_const_expression_list_repeat1] = aux_sym_const_expression_list_repeat1,
  [aux_sym_type_arguments_repeat1] = aux_sym_type_arguments_repeat1,
  [aux_sym_field_declaration_list_repeat1] = aux_sym_field_declaration_list_repeat1,
  [aux_sym_enum_value_list_repeat1] = aux_sym_enum_value_list_repeat1,
  [aux_sym_field_declaration_repeat1] = aux_sym_field_declaration_repeat1,
  [aux_sym__statement_list_repeat1] = aux_sym__statement_list_repeat1,
  [aux_sym_switch_statement_repeat1] = aux_sym_switch_statement_repeat1,
  [aux_sym_type_switch_statement_repeat1] = aux_sym_type_switch_statement_repeat1,
  [aux_sym_argument_list_repeat1] = aux_sym_argument_list_repeat1,
  [aux_sym_literal_value_repeat1] = aux_sym_literal_value_repeat1,
  [aux_sym_interpreted_string_literal_repeat1] = aux_sym_interpreted_string_literal_repeat1,
  [alias_sym_directive_identifier] = alias_sym_directive_identifier,
  [alias_sym_enum_value_identifier] = alias_sym_enum_value_identifier,
  [alias_sym_field_identifier] = alias_sym_field_identifier,
  [alias_sym_foreign_lib_identifier] = alias_sym_foreign_lib_identifier,
  [alias_sym_label_name] = alias_sym_label_name,
  [alias_sym_package_identifier] = alias_sym_package_identifier,
  [alias_sym_type_identifier] = alias_sym_type_identifier,
};

static const TSSymbolMetadata ts_symbol_metadata[] = {
  [ts_builtin_sym_end] = {
    .visible = false,
    .named = true,
  },
  [sym_identifier] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_LF] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SEMI] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_foreign] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_import] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_package] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COMMA] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_COLON_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_struct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_enum] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_union] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_proc] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_DASH_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_where] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RPAREN] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_using] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOLLAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_any] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_distinct] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_RBRACK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_dynamic] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_QMARK] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_TILDE] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_map] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_func] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_POUND] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_SLASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_CARET_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_fallthrough] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_break] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_continue] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_return] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_defer] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_if] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_else] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_when] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_for] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_in] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_switch] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_case] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_new] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_make] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_cast] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_auto_cast] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_transmute] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT_DOT_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DOT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PLUS] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_STAR] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_DASH] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PERCENT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_CARET] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_EQ_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_BANG_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_LT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_GT_EQ] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_AMP_AMP] = {
    .visible = true,
    .named = false,
  },
  [anon_sym_PIPE_PIPE] = {
    .visible = true,
    .named = false,
  },
  [sym_raw_string_literal] = {
    .visible = true,
    .named = true,
  },
  [anon_sym_DQUOTE] = {
    .visible = true,
    .named = false,
  },
  [sym__interpreted_string_literal_basic_content] = {
    .visible = false,
    .named = true,
  },
  [sym_escape_sequence] = {
    .visible = true,
    .named = true,
  },
  [sym_int_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_float_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_imaginary_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_rune_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_nil] = {
    .visible = true,
    .named = true,
  },
  [sym_true] = {
    .visible = true,
    .named = true,
  },
  [sym_false] = {
    .visible = true,
    .named = true,
  },
  [sym_comment] = {
    .visible = true,
    .named = true,
  },
  [sym_source_file] = {
    .visible = true,
    .named = true,
  },
  [sym_foreign_import] = {
    .visible = true,
    .named = true,
  },
  [sym_foreign_block] = {
    .visible = true,
    .named = true,
  },
  [sym_package_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_import_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_import_spec] = {
    .visible = true,
    .named = true,
  },
  [sym__declaration] = {
    .visible = false,
    .named = true,
  },
  [sym_const_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_const_declaration_with_type] = {
    .visible = true,
    .named = true,
  },
  [sym_var_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_var_declaration_and_assignment] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_union_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_function_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_proc_group] = {
    .visible = true,
    .named = true,
  },
  [sym_where_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_poly_parameter_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_type_alias] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_list] = {
    .visible = true,
    .named = true,
  },
  [sym_const_expression_list] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_type] = {
    .visible = true,
    .named = true,
  },
  [sym_polymorphic_type] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_type] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_generic_type] = {
    .visible = true,
    .named = true,
  },
  [sym_type_arguments] = {
    .visible = true,
    .named = true,
  },
  [sym_pointer_type] = {
    .visible = true,
    .named = true,
  },
  [sym_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_dynamic_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_implicit_length_array_type] = {
    .visible = true,
    .named = true,
  },
  [sym_slice_type] = {
    .visible = true,
    .named = true,
  },
  [sym_struct_type] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_type] = {
    .visible = true,
    .named = true,
  },
  [sym_union_type] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration_list] = {
    .visible = true,
    .named = true,
  },
  [sym_enum_value_list] = {
    .visible = true,
    .named = true,
  },
  [sym_union_value_list] = {
    .visible = true,
    .named = true,
  },
  [sym_field_declaration] = {
    .visible = true,
    .named = true,
  },
  [sym_map_type] = {
    .visible = true,
    .named = true,
  },
  [sym_function_type] = {
    .visible = true,
    .named = true,
  },
  [sym_block] = {
    .visible = true,
    .named = true,
  },
  [sym_block_with_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_simple_directive] = {
    .visible = true,
    .named = true,
  },
  [sym_function_directive] = {
    .visible = true,
    .named = true,
  },
  [sym__statement_list] = {
    .visible = false,
    .named = true,
  },
  [sym__statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_empty_statement] = {
    .visible = true,
    .named = true,
  },
  [sym__simple_statement] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym_assignment_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_empty_labeled_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_fallthrough_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_break_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_continue_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_return_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_defer_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_if_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_when_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_for_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_iterator_clause] = {
    .visible = true,
    .named = true,
  },
  [sym_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_expression_case] = {
    .visible = true,
    .named = true,
  },
  [sym_type_switch_statement] = {
    .visible = true,
    .named = true,
  },
  [sym_type_expression_case] = {
    .visible = true,
    .named = true,
  },
  [sym_default_case] = {
    .visible = true,
    .named = true,
  },
  [sym__expression] = {
    .visible = false,
    .named = true,
    .supertype = true,
  },
  [sym__const_expression] = {
    .visible = false,
    .named = true,
  },
  [sym_cast_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_transmute_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_parenthesized_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_call_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_variadic_argument] = {
    .visible = true,
    .named = true,
  },
  [sym_special_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_argument_list] = {
    .visible = true,
    .named = true,
  },
  [sym_selector_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_index_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_slice_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_assertion_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_type_conversion_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_composite_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_value] = {
    .visible = true,
    .named = true,
  },
  [sym_literal_element] = {
    .visible = true,
    .named = true,
  },
  [sym_keyed_element] = {
    .visible = true,
    .named = true,
  },
  [sym_unary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_binary_expression] = {
    .visible = true,
    .named = true,
  },
  [sym_qualified_type] = {
    .visible = true,
    .named = true,
  },
  [sym__enum_value_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym__directive_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym__foreign_lib_identifier] = {
    .visible = false,
    .named = true,
  },
  [sym_interpreted_string_literal] = {
    .visible = true,
    .named = true,
  },
  [sym_undefined] = {
    .visible = true,
    .named = true,
  },
  [aux_sym_source_file_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_const_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_where_clause_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_parameter_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_const_expression_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_arguments_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_declaration_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_enum_value_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_field_declaration_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym__statement_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_switch_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_type_switch_statement_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_argument_list_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_literal_value_repeat1] = {
    .visible = false,
    .named = false,
  },
  [aux_sym_interpreted_string_literal_repeat1] = {
    .visible = false,
    .named = false,
  },
  [alias_sym_directive_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_enum_value_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_field_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_foreign_lib_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_label_name] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_package_identifier] = {
    .visible = true,
    .named = true,
  },
  [alias_sym_type_identifier] = {
    .visible = true,
    .named = true,
  },
};

enum {
  field_alternative = 1,
  field_argument = 2,
  field_arguments = 3,
  field_body = 4,
  field_capacity = 5,
  field_condition = 6,
  field_consequence = 7,
  field_element = 8,
  field_end = 9,
  field_field = 10,
  field_function = 11,
  field_index = 12,
  field_initializer = 13,
  field_iterator = 14,
  field_key = 15,
  field_label = 16,
  field_left = 17,
  field_length = 18,
  field_lower = 19,
  field_name = 20,
  field_operand = 21,
  field_operator = 22,
  field_package = 23,
  field_parameters = 24,
  field_path = 25,
  field_result = 26,
  field_right = 27,
  field_specialization = 28,
  field_start = 29,
  field_tag = 30,
  field_type = 31,
  field_type_arguments = 32,
  field_update = 33,
  field_upper = 34,
  field_value = 35,
  field_values = 36,
  field_variable = 37,
};

static const char * const ts_field_names[] = {
  [0] = NULL,
  [field_alternative] = "alternative",
  [field_argument] = "argument",
  [field_arguments] = "arguments",
  [field_body] = "body",
  [field_capacity] = "capacity",
  [field_condition] = "condition",
  [field_consequence] = "consequence",
  [field_element] = "element",
  [field_end] = "end",
  [field_field] = "field",
  [field_function] = "function",
  [field_index] = "index",
  [field_initializer] = "initializer",
  [field_iterator] = "iterator",
  [field_key] = "key",
  [field_label] = "label",
  [field_left] = "left",
  [field_length] = "length",
  [field_lower] = "lower",
  [field_name] = "name",
  [field_operand] = "operand",
  [field_operator] = "operator",
  [field_package] = "package",
  [field_parameters] = "parameters",
  [field_path] = "path",
  [field_result] = "result",
  [field_right] = "right",
  [field_specialization] = "specialization",
  [field_start] = "start",
  [field_tag] = "tag",
  [field_type] = "type",
  [field_type_arguments] = "type_arguments",
  [field_update] = "update",
  [field_upper] = "upper",
  [field_value] = "value",
  [field_values] = "values",
  [field_variable] = "variable",
};

static const TSFieldMapSlice ts_field_map_slices[PRODUCTION_ID_COUNT] = {
  [2] = {.index = 0, .length = 1},
  [4] = {.index = 1, .length = 1},
  [6] = {.index = 2, .length = 2},
  [7] = {.index = 4, .length = 1},
  [10] = {.index = 5, .length = 1},
  [11] = {.index = 6, .length = 2},
  [12] = {.index = 8, .length = 1},
  [13] = {.index = 9, .length = 1},
  [14] = {.index = 10, .length = 2},
  [15] = {.index = 12, .length = 2},
  [16] = {.index = 12, .length = 2},
  [17] = {.index = 14, .length = 2},
  [18] = {.index = 16, .length = 2},
  [20] = {.index = 18, .length = 1},
  [21] = {.index = 19, .length = 1},
  [22] = {.index = 20, .length = 2},
  [23] = {.index = 22, .length = 1},
  [24] = {.index = 23, .length = 2},
  [25] = {.index = 25, .length = 1},
  [26] = {.index = 26, .length = 2},
  [27] = {.index = 28, .length = 2},
  [28] = {.index = 28, .length = 2},
  [29] = {.index = 30, .length = 3},
  [30] = {.index = 33, .length = 2},
  [31] = {.index = 35, .length = 3},
  [32] = {.index = 38, .length = 2},
  [33] = {.index = 40, .length = 3},
  [34] = {.index = 43, .length = 2},
  [35] = {.index = 45, .length = 1},
  [36] = {.index = 46, .length = 2},
  [37] = {.index = 48, .length = 1},
  [38] = {.index = 49, .length = 1},
  [39] = {.index = 50, .length = 1},
  [40] = {.index = 51, .length = 2},
  [41] = {.index = 53, .length = 1},
  [42] = {.index = 54, .length = 1},
  [43] = {.index = 55, .length = 2},
  [44] = {.index = 57, .length = 2},
  [45] = {.index = 59, .length = 2},
  [46] = {.index = 61, .length = 2},
  [47] = {.index = 63, .length = 3},
  [48] = {.index = 66, .length = 3},
  [49] = {.index = 69, .length = 4},
  [50] = {.index = 73, .length = 2},
  [51] = {.index = 75, .length = 1},
  [52] = {.index = 76, .length = 2},
  [53] = {.index = 78, .length = 1},
  [54] = {.index = 28, .length = 2},
  [55] = {.index = 79, .length = 2},
  [56] = {.index = 81, .length = 2},
  [57] = {.index = 48, .length = 1},
  [58] = {.index = 78, .length = 1},
  [59] = {.index = 83, .length = 3},
  [60] = {.index = 86, .length = 3},
  [61] = {.index = 89, .length = 2},
  [62] = {.index = 91, .length = 2},
  [63] = {.index = 93, .length = 2},
  [64] = {.index = 95, .length = 2},
  [65] = {.index = 97, .length = 1},
  [66] = {.index = 98, .length = 1},
  [67] = {.index = 99, .length = 2},
  [68] = {.index = 101, .length = 3},
  [69] = {.index = 104, .length = 2},
  [70] = {.index = 106, .length = 1},
  [71] = {.index = 107, .length = 3},
  [72] = {.index = 101, .length = 3},
  [73] = {.index = 110, .length = 2},
  [74] = {.index = 112, .length = 3},
  [75] = {.index = 115, .length = 2},
  [76] = {.index = 117, .length = 2},
  [77] = {.index = 119, .length = 2},
  [78] = {.index = 121, .length = 2},
  [79] = {.index = 123, .length = 3},
  [80] = {.index = 126, .length = 3},
  [81] = {.index = 121, .length = 2},
  [82] = {.index = 129, .length = 2},
  [83] = {.index = 131, .length = 2},
  [84] = {.index = 126, .length = 3},
  [85] = {.index = 133, .length = 3},
  [86] = {.index = 136, .length = 3},
  [87] = {.index = 139, .length = 3},
  [88] = {.index = 142, .length = 3},
  [89] = {.index = 145, .length = 2},
  [90] = {.index = 147, .length = 2},
  [91] = {.index = 149, .length = 3},
  [92] = {.index = 152, .length = 3},
  [93] = {.index = 155, .length = 3},
  [94] = {.index = 158, .length = 4},
  [95] = {.index = 162, .length = 3},
  [96] = {.index = 149, .length = 3},
  [97] = {.index = 165, .length = 4},
  [98] = {.index = 169, .length = 1},
  [99] = {.index = 170, .length = 1},
  [100] = {.index = 171, .length = 3},
  [101] = {.index = 174, .length = 3},
  [102] = {.index = 177, .length = 3},
  [103] = {.index = 180, .length = 4},
  [104] = {.index = 184, .length = 2},
  [105] = {.index = 186, .length = 3},
  [106] = {.index = 189, .length = 3},
  [107] = {.index = 177, .length = 3},
  [108] = {.index = 192, .length = 3},
  [109] = {.index = 195, .length = 4},
  [110] = {.index = 199, .length = 4},
  [111] = {.index = 203, .length = 4},
  [112] = {.index = 207, .length = 3},
  [113] = {.index = 210, .length = 4},
  [114] = {.index = 214, .length = 3},
  [115] = {.index = 217, .length = 3},
  [116] = {.index = 220, .length = 3},
  [117] = {.index = 223, .length = 3},
  [118] = {.index = 226, .length = 4},
  [119] = {.index = 230, .length = 2},
  [120] = {.index = 232, .length = 2},
  [121] = {.index = 234, .length = 3},
  [122] = {.index = 237, .length = 4},
  [123] = {.index = 241, .length = 4},
  [124] = {.index = 245, .length = 4},
  [125] = {.index = 249, .length = 3},
  [126] = {.index = 252, .length = 4},
  [127] = {.index = 256, .length = 4},
  [128] = {.index = 260, .length = 4},
  [129] = {.index = 264, .length = 4},
  [130] = {.index = 268, .length = 3},
  [131] = {.index = 271, .length = 3},
  [132] = {.index = 274, .length = 4},
  [133] = {.index = 278, .length = 4},
  [134] = {.index = 282, .length = 4},
  [135] = {.index = 286, .length = 5},
  [136] = {.index = 291, .length = 4},
  [137] = {.index = 295, .length = 5},
};

static const TSFieldMapEntry ts_field_map_entries[] = {
  [0] =
    {field_body, 0},
  [1] =
    {field_path, 0},
  [2] =
    {field_operand, 1},
    {field_operator, 0},
  [4] =
    {field_parameters, 1},
  [5] =
    {field_body, 1},
  [6] =
    {field_arguments, 1},
    {field_function, 0},
  [8] =
    {field_operand, 1},
  [9] =
    {field_field, 1},
  [10] =
    {field_type, 0},
    {field_type_arguments, 1},
  [12] =
    {field_body, 1},
    {field_type, 0},
  [14] =
    {field_body, 2},
    {field_name, 1},
  [16] =
    {field_name, 0},
    {field_path, 1},
  [18] =
    {field_label, 0},
  [19] =
    {field_element, 2},
  [20] =
    {field_parameters, 1},
    {field_result, 2},
  [22] =
    {field_argument, 2},
  [23] =
    {field_condition, 1},
    {field_consequence, 2},
  [25] =
    {field_body, 2},
  [26] =
    {field_name, 0},
    {field_value, 2},
  [28] =
    {field_name, 0},
    {field_type, 2},
  [30] =
    {field_name, 0},
    {field_operator, 1},
    {field_right, 2},
  [33] =
    {field_name, 2},
    {field_package, 0},
  [35] =
    {field_left, 0},
    {field_operator, 1},
    {field_right, 2},
  [38] =
    {field_field, 2},
    {field_operand, 0},
  [40] =
    {field_arguments, 2},
    {field_function, 0},
    {field_type_arguments, 1},
  [43] =
    {field_name, 2},
    {field_value, 3},
  [45] =
    {field_element, 3},
  [46] =
    {field_element, 3},
    {field_length, 1},
  [48] =
    {field_type, 1},
  [49] =
    {field_update, 2},
  [50] =
    {field_condition, 1},
  [51] =
    {field_iterator, 2},
    {field_variable, 0},
  [53] =
    {field_initializer, 0},
  [54] =
    {field_value, 1},
  [55] =
    {field_body, 3},
    {field_name, 0},
  [57] =
    {field_name, 0},
    {field_values, 3},
  [59] =
    {field_name, 0},
    {field_parameters, 3},
  [61] =
    {field_name, 0},
    {field_type, 3},
  [63] =
    {field_name, 0},
    {field_name, 1},
    {field_value, 3},
  [66] =
    {field_name, 0},
    {field_name, 1},
    {field_type, 3},
  [69] =
    {field_name, 0},
    {field_name, 1},
    {field_operator, 2},
    {field_right, 3},
  [73] =
    {field_operand, 2},
    {field_type, 0},
  [75] =
    {field_operand, 0},
  [76] =
    {field_index, 2},
    {field_operand, 0},
  [78] =
    {field_name, 1},
  [79] =
    {field_name, 0, .inherited = true},
    {field_name, 1, .inherited = true},
  [81] =
    {field_key, 2},
    {field_value, 4},
  [83] =
    {field_condition, 3},
    {field_consequence, 4},
    {field_initializer, 1},
  [86] =
    {field_alternative, 4},
    {field_condition, 1},
    {field_consequence, 2},
  [89] =
    {field_condition, 1},
    {field_update, 3},
  [91] =
    {field_iterator, 3},
    {field_variable, 0},
  [93] =
    {field_initializer, 0},
    {field_update, 3},
  [95] =
    {field_condition, 2},
    {field_initializer, 0},
  [97] =
    {field_value, 2},
  [98] =
    {field_initializer, 1},
  [99] =
    {field_operand, 4},
    {field_type, 2},
  [101] =
    {field_body, 4},
    {field_name, 0},
    {field_parameters, 3},
  [104] =
    {field_body, 4},
    {field_name, 0},
  [106] =
    {field_name, 0},
  [107] =
    {field_name, 0},
    {field_parameters, 3},
    {field_result, 4},
  [110] =
    {field_name, 0},
    {field_parameters, 4},
  [112] =
    {field_name, 0},
    {field_type, 2},
    {field_value, 4},
  [115] =
    {field_end, 3},
    {field_operand, 0},
  [117] =
    {field_operand, 0},
    {field_start, 2},
  [119] =
    {field_operand, 0},
    {field_type, 3},
  [121] =
    {field_name, 1},
    {field_type, 3},
  [123] =
    {field_name, 0},
    {field_tag, 3},
    {field_type, 2},
  [126] =
    {field_name, 0},
    {field_name, 1, .inherited = true},
    {field_type, 3},
  [129] =
    {field_name, 1},
    {field_value, 3},
  [131] =
    {field_name, 1},
    {field_name, 2},
  [133] =
    {field_name, 0},
    {field_name, 1, .inherited = true},
    {field_value, 3},
  [136] =
    {field_index, 2},
    {field_iterator, 4},
    {field_variable, 0},
  [139] =
    {field_lower, 2},
    {field_upper, 4},
    {field_variable, 0},
  [142] =
    {field_condition, 2},
    {field_initializer, 0},
    {field_update, 4},
  [145] =
    {field_value, 3},
    {field_variable, 1},
  [147] =
    {field_initializer, 1},
    {field_value, 3},
  [149] =
    {field_body, 5},
    {field_name, 0},
    {field_parameters, 4},
  [152] =
    {field_name, 0},
    {field_parameters, 3},
    {field_result, 5},
  [155] =
    {field_body, 5},
    {field_name, 0},
    {field_parameters, 3},
  [158] =
    {field_body, 5},
    {field_name, 0},
    {field_parameters, 3},
    {field_result, 4},
  [162] =
    {field_name, 0},
    {field_parameters, 4},
    {field_result, 5},
  [165] =
    {field_name, 0},
    {field_name, 1},
    {field_type, 3},
    {field_value, 5},
  [169] =
    {field_value, 3},
  [170] =
    {field_initializer, 2},
  [171] =
    {field_end, 4},
    {field_operand, 0},
    {field_start, 2},
  [174] =
    {field_name, 1},
    {field_tag, 4},
    {field_type, 3},
  [177] =
    {field_name, 1},
    {field_name, 2, .inherited = true},
    {field_type, 4},
  [180] =
    {field_name, 0},
    {field_name, 1, .inherited = true},
    {field_tag, 4},
    {field_type, 3},
  [184] =
    {field_specialization, 3},
    {field_type, 1},
  [186] =
    {field_name, 1},
    {field_name, 2},
    {field_type, 4},
  [189] =
    {field_name, 1},
    {field_name, 2},
    {field_value, 4},
  [192] =
    {field_name, 1},
    {field_name, 2, .inherited = true},
    {field_value, 4},
  [195] =
    {field_name, 0},
    {field_name, 1},
    {field_name, 2, .inherited = true},
    {field_type, 4},
  [199] =
    {field_name, 0},
    {field_name, 1},
    {field_name, 2, .inherited = true},
    {field_value, 4},
  [203] =
    {field_alternative, 6},
    {field_condition, 3},
    {field_consequence, 4},
    {field_initializer, 1},
  [207] =
    {field_index, 2},
    {field_iterator, 5},
    {field_variable, 0},
  [210] =
    {field_body, 6},
    {field_name, 0},
    {field_parameters, 3},
    {field_result, 5},
  [214] =
    {field_name, 0},
    {field_parameters, 3},
    {field_result, 6},
  [217] =
    {field_body, 6},
    {field_name, 0},
    {field_parameters, 3},
  [220] =
    {field_name, 0},
    {field_parameters, 4},
    {field_result, 6},
  [223] =
    {field_body, 6},
    {field_name, 0},
    {field_parameters, 4},
  [226] =
    {field_body, 6},
    {field_name, 0},
    {field_parameters, 4},
    {field_result, 5},
  [230] =
    {field_value, 4},
    {field_variable, 2},
  [232] =
    {field_initializer, 2},
    {field_value, 4},
  [234] =
    {field_capacity, 5},
    {field_end, 3},
    {field_operand, 0},
  [237] =
    {field_name, 1},
    {field_name, 2, .inherited = true},
    {field_tag, 5},
    {field_type, 4},
  [241] =
    {field_name, 1},
    {field_name, 2},
    {field_name, 3, .inherited = true},
    {field_type, 5},
  [245] =
    {field_name, 1},
    {field_name, 2},
    {field_name, 3, .inherited = true},
    {field_value, 5},
  [249] =
    {field_name, 1},
    {field_type, 3},
    {field_value, 5},
  [252] =
    {field_name, 0},
    {field_name, 1, .inherited = true},
    {field_type, 3},
    {field_value, 5},
  [256] =
    {field_index, 2},
    {field_lower, 4},
    {field_upper, 6},
    {field_variable, 0},
  [260] =
    {field_body, 7},
    {field_name, 0},
    {field_parameters, 3},
    {field_result, 6},
  [264] =
    {field_body, 7},
    {field_name, 0},
    {field_parameters, 4},
    {field_result, 6},
  [268] =
    {field_name, 0},
    {field_parameters, 4},
    {field_result, 7},
  [271] =
    {field_body, 7},
    {field_name, 0},
    {field_parameters, 4},
  [274] =
    {field_capacity, 6},
    {field_end, 4},
    {field_operand, 0},
    {field_start, 2},
  [278] =
    {field_name, 1},
    {field_name, 2},
    {field_type, 4},
    {field_value, 6},
  [282] =
    {field_name, 1},
    {field_name, 2, .inherited = true},
    {field_type, 4},
    {field_value, 6},
  [286] =
    {field_name, 0},
    {field_name, 1},
    {field_name, 2, .inherited = true},
    {field_type, 4},
    {field_value, 6},
  [291] =
    {field_body, 8},
    {field_name, 0},
    {field_parameters, 4},
    {field_result, 7},
  [295] =
    {field_name, 1},
    {field_name, 2},
    {field_name, 3, .inherited = true},
    {field_type, 5},
    {field_value, 7},
};

static const TSSymbol ts_alias_sequences[PRODUCTION_ID_COUNT][MAX_ALIAS_SEQUENCE_LENGTH] = {
  [0] = {0},
  [1] = {
    [0] = alias_sym_type_identifier,
  },
  [3] = {
    [0] = alias_sym_foreign_lib_identifier,
  },
  [5] = {
    [1] = alias_sym_package_identifier,
  },
  [8] = {
    [0] = alias_sym_directive_identifier,
  },
  [9] = {
    [1] = alias_sym_label_name,
  },
  [13] = {
    [1] = alias_sym_field_identifier,
  },
  [14] = {
    [0] = alias_sym_type_identifier,
  },
  [15] = {
    [0] = alias_sym_type_identifier,
  },
  [19] = {
    [0] = alias_sym_enum_value_identifier,
  },
  [20] = {
    [0] = alias_sym_label_name,
  },
  [27] = {
    [0] = alias_sym_type_identifier,
  },
  [30] = {
    [0] = alias_sym_package_identifier,
    [2] = alias_sym_type_identifier,
  },
  [32] = {
    [2] = alias_sym_field_identifier,
  },
  [43] = {
    [0] = alias_sym_type_identifier,
  },
  [44] = {
    [0] = alias_sym_type_identifier,
  },
  [46] = {
    [0] = alias_sym_type_identifier,
  },
  [53] = {
    [1] = alias_sym_field_identifier,
  },
  [54] = {
    [0] = alias_sym_field_identifier,
  },
  [57] = {
    [1] = alias_sym_type_identifier,
  },
  [68] = {
    [0] = alias_sym_type_identifier,
  },
  [69] = {
    [0] = alias_sym_type_identifier,
  },
  [78] = {
    [1] = alias_sym_field_identifier,
  },
  [79] = {
    [0] = alias_sym_field_identifier,
  },
  [80] = {
    [0] = alias_sym_field_identifier,
  },
  [91] = {
    [0] = alias_sym_type_identifier,
  },
  [101] = {
    [1] = alias_sym_field_identifier,
  },
  [102] = {
    [1] = alias_sym_field_identifier,
  },
  [103] = {
    [0] = alias_sym_field_identifier,
  },
  [104] = {
    [1] = alias_sym_type_identifier,
  },
  [122] = {
    [1] = alias_sym_field_identifier,
  },
};

static const uint16_t ts_non_terminal_alias_map[] = {
  0,
};

static const TSStateId ts_primary_state_ids[STATE_COUNT] = {
  [0] = 0,
  [1] = 1,
  [2] = 2,
  [3] = 3,
  [4] = 4,
  [5] = 5,
  [6] = 6,
  [7] = 7,
  [8] = 8,
  [9] = 9,
  [10] = 9,
  [11] = 11,
  [12] = 12,
  [13] = 13,
  [14] = 14,
  [15] = 15,
  [16] = 16,
  [17] = 17,
  [18] = 18,
  [19] = 19,
  [20] = 20,
  [21] = 21,
  [22] = 22,
  [23] = 23,
  [24] = 24,
  [25] = 25,
  [26] = 24,
  [27] = 24,
  [28] = 28,
  [29] = 24,
  [30] = 24,
  [31] = 31,
  [32] = 32,
  [33] = 33,
  [34] = 34,
  [35] = 35,
  [36] = 36,
  [37] = 32,
  [38] = 36,
  [39] = 39,
  [40] = 35,
  [41] = 41,
  [42] = 32,
  [43] = 43,
  [44] = 35,
  [45] = 32,
  [46] = 46,
  [47] = 36,
  [48] = 36,
  [49] = 36,
  [50] = 35,
  [51] = 51,
  [52] = 35,
  [53] = 53,
  [54] = 32,
  [55] = 55,
  [56] = 56,
  [57] = 57,
  [58] = 58,
  [59] = 57,
  [60] = 60,
  [61] = 61,
  [62] = 62,
  [63] = 63,
  [64] = 57,
  [65] = 63,
  [66] = 66,
  [67] = 63,
  [68] = 68,
  [69] = 69,
  [70] = 70,
  [71] = 57,
  [72] = 57,
  [73] = 73,
  [74] = 70,
  [75] = 63,
  [76] = 63,
  [77] = 77,
  [78] = 78,
  [79] = 70,
  [80] = 80,
  [81] = 81,
  [82] = 82,
  [83] = 83,
  [84] = 84,
  [85] = 70,
  [86] = 86,
  [87] = 70,
  [88] = 88,
  [89] = 89,
  [90] = 90,
  [91] = 91,
  [92] = 92,
  [93] = 93,
  [94] = 94,
  [95] = 95,
  [96] = 96,
  [97] = 97,
  [98] = 96,
  [99] = 99,
  [100] = 100,
  [101] = 97,
  [102] = 102,
  [103] = 103,
  [104] = 104,
  [105] = 105,
  [106] = 106,
  [107] = 107,
  [108] = 88,
  [109] = 93,
  [110] = 88,
  [111] = 111,
  [112] = 112,
  [113] = 89,
  [114] = 114,
  [115] = 115,
  [116] = 116,
  [117] = 117,
  [118] = 118,
  [119] = 119,
  [120] = 120,
  [121] = 121,
  [122] = 122,
  [123] = 123,
  [124] = 100,
  [125] = 93,
  [126] = 99,
  [127] = 93,
  [128] = 89,
  [129] = 100,
  [130] = 89,
  [131] = 99,
  [132] = 96,
  [133] = 93,
  [134] = 120,
  [135] = 121,
  [136] = 89,
  [137] = 137,
  [138] = 120,
  [139] = 97,
  [140] = 140,
  [141] = 97,
  [142] = 142,
  [143] = 96,
  [144] = 93,
  [145] = 145,
  [146] = 96,
  [147] = 147,
  [148] = 97,
  [149] = 149,
  [150] = 88,
  [151] = 151,
  [152] = 88,
  [153] = 153,
  [154] = 154,
  [155] = 121,
  [156] = 156,
  [157] = 157,
  [158] = 158,
  [159] = 159,
  [160] = 159,
  [161] = 156,
  [162] = 162,
  [163] = 156,
  [164] = 162,
  [165] = 165,
  [166] = 157,
  [167] = 167,
  [168] = 168,
  [169] = 169,
  [170] = 170,
  [171] = 171,
  [172] = 172,
  [173] = 173,
  [174] = 174,
  [175] = 175,
  [176] = 176,
  [177] = 177,
  [178] = 173,
  [179] = 179,
  [180] = 165,
  [181] = 168,
  [182] = 182,
  [183] = 176,
  [184] = 158,
  [185] = 185,
  [186] = 179,
  [187] = 187,
  [188] = 188,
  [189] = 189,
  [190] = 190,
  [191] = 191,
  [192] = 159,
  [193] = 193,
  [194] = 157,
  [195] = 156,
  [196] = 196,
  [197] = 197,
  [198] = 198,
  [199] = 199,
  [200] = 200,
  [201] = 193,
  [202] = 202,
  [203] = 158,
  [204] = 171,
  [205] = 162,
  [206] = 206,
  [207] = 177,
  [208] = 208,
  [209] = 209,
  [210] = 210,
  [211] = 174,
  [212] = 212,
  [213] = 171,
  [214] = 214,
  [215] = 168,
  [216] = 158,
  [217] = 159,
  [218] = 175,
  [219] = 156,
  [220] = 162,
  [221] = 188,
  [222] = 188,
  [223] = 188,
  [224] = 224,
  [225] = 225,
  [226] = 165,
  [227] = 173,
  [228] = 174,
  [229] = 188,
  [230] = 177,
  [231] = 176,
  [232] = 179,
  [233] = 233,
  [234] = 176,
  [235] = 235,
  [236] = 171,
  [237] = 237,
  [238] = 174,
  [239] = 171,
  [240] = 175,
  [241] = 162,
  [242] = 175,
  [243] = 243,
  [244] = 244,
  [245] = 179,
  [246] = 246,
  [247] = 165,
  [248] = 159,
  [249] = 173,
  [250] = 168,
  [251] = 158,
  [252] = 158,
  [253] = 159,
  [254] = 177,
  [255] = 156,
  [256] = 162,
  [257] = 257,
  [258] = 258,
  [259] = 168,
  [260] = 260,
  [261] = 261,
  [262] = 176,
  [263] = 179,
  [264] = 188,
  [265] = 190,
  [266] = 266,
  [267] = 267,
  [268] = 268,
  [269] = 179,
  [270] = 270,
  [271] = 165,
  [272] = 272,
  [273] = 273,
  [274] = 188,
  [275] = 157,
  [276] = 173,
  [277] = 157,
  [278] = 177,
  [279] = 279,
  [280] = 168,
  [281] = 171,
  [282] = 282,
  [283] = 283,
  [284] = 176,
  [285] = 285,
  [286] = 188,
  [287] = 165,
  [288] = 173,
  [289] = 289,
  [290] = 174,
  [291] = 291,
  [292] = 292,
  [293] = 175,
  [294] = 294,
  [295] = 295,
  [296] = 296,
  [297] = 297,
  [298] = 298,
  [299] = 299,
  [300] = 300,
  [301] = 301,
  [302] = 302,
  [303] = 303,
  [304] = 304,
  [305] = 305,
  [306] = 306,
  [307] = 307,
  [308] = 308,
  [309] = 309,
  [310] = 310,
  [311] = 311,
  [312] = 312,
  [313] = 313,
  [314] = 314,
  [315] = 315,
  [316] = 316,
  [317] = 317,
  [318] = 318,
  [319] = 319,
  [320] = 320,
  [321] = 321,
  [322] = 322,
  [323] = 323,
  [324] = 324,
  [325] = 325,
  [326] = 326,
  [327] = 327,
  [328] = 328,
  [329] = 329,
  [330] = 330,
  [331] = 331,
  [332] = 332,
  [333] = 333,
  [334] = 334,
  [335] = 335,
  [336] = 336,
  [337] = 337,
  [338] = 338,
  [339] = 339,
  [340] = 340,
  [341] = 341,
  [342] = 342,
  [343] = 343,
  [344] = 344,
  [345] = 345,
  [346] = 346,
  [347] = 347,
  [348] = 348,
  [349] = 349,
  [350] = 350,
  [351] = 351,
  [352] = 352,
  [353] = 353,
  [354] = 354,
  [355] = 355,
  [356] = 356,
  [357] = 357,
  [358] = 167,
  [359] = 359,
  [360] = 360,
  [361] = 361,
  [362] = 362,
  [363] = 363,
  [364] = 364,
  [365] = 365,
  [366] = 366,
  [367] = 367,
  [368] = 368,
  [369] = 369,
  [370] = 370,
  [371] = 371,
  [372] = 372,
  [373] = 373,
  [374] = 374,
  [375] = 375,
  [376] = 376,
  [377] = 169,
  [378] = 378,
  [379] = 379,
  [380] = 380,
  [381] = 380,
  [382] = 382,
  [383] = 383,
  [384] = 384,
  [385] = 385,
  [386] = 386,
  [387] = 386,
  [388] = 39,
  [389] = 51,
  [390] = 80,
  [391] = 83,
  [392] = 86,
  [393] = 62,
  [394] = 60,
  [395] = 69,
  [396] = 81,
  [397] = 61,
  [398] = 78,
  [399] = 73,
  [400] = 84,
  [401] = 142,
  [402] = 191,
  [403] = 185,
  [404] = 273,
  [405] = 270,
  [406] = 268,
  [407] = 266,
  [408] = 233,
  [409] = 210,
  [410] = 225,
  [411] = 209,
  [412] = 200,
  [413] = 285,
  [414] = 197,
  [415] = 198,
  [416] = 199,
  [417] = 212,
  [418] = 167,
  [419] = 235,
  [420] = 237,
  [421] = 169,
  [422] = 289,
  [423] = 187,
  [424] = 189,
  [425] = 224,
  [426] = 283,
  [427] = 243,
  [428] = 292,
  [429] = 279,
  [430] = 267,
  [431] = 246,
  [432] = 260,
  [433] = 257,
  [434] = 258,
  [435] = 291,
  [436] = 81,
  [437] = 58,
  [438] = 73,
  [439] = 61,
  [440] = 82,
  [441] = 86,
  [442] = 78,
  [443] = 80,
  [444] = 142,
  [445] = 83,
  [446] = 60,
  [447] = 69,
  [448] = 62,
  [449] = 189,
  [450] = 260,
  [451] = 199,
  [452] = 198,
  [453] = 167,
  [454] = 191,
  [455] = 292,
  [456] = 279,
  [457] = 268,
  [458] = 298,
  [459] = 289,
  [460] = 200,
  [461] = 273,
  [462] = 209,
  [463] = 206,
  [464] = 197,
  [465] = 237,
  [466] = 73,
  [467] = 210,
  [468] = 243,
  [469] = 235,
  [470] = 169,
  [471] = 246,
  [472] = 291,
  [473] = 212,
  [474] = 185,
  [475] = 257,
  [476] = 267,
  [477] = 224,
  [478] = 187,
  [479] = 285,
  [480] = 244,
  [481] = 270,
  [482] = 258,
  [483] = 233,
  [484] = 266,
  [485] = 225,
  [486] = 283,
  [487] = 487,
  [488] = 60,
  [489] = 69,
  [490] = 83,
  [491] = 81,
  [492] = 62,
  [493] = 61,
  [494] = 86,
  [495] = 80,
  [496] = 78,
  [497] = 294,
  [498] = 298,
  [499] = 297,
  [500] = 295,
  [501] = 73,
  [502] = 296,
  [503] = 73,
  [504] = 142,
  [505] = 84,
  [506] = 506,
  [507] = 507,
  [508] = 267,
  [509] = 260,
  [510] = 510,
  [511] = 246,
  [512] = 512,
  [513] = 84,
  [514] = 487,
  [515] = 292,
  [516] = 197,
  [517] = 517,
  [518] = 243,
  [519] = 200,
  [520] = 185,
  [521] = 212,
  [522] = 522,
  [523] = 257,
  [524] = 258,
  [525] = 191,
  [526] = 209,
  [527] = 189,
  [528] = 289,
  [529] = 187,
  [530] = 169,
  [531] = 531,
  [532] = 285,
  [533] = 210,
  [534] = 291,
  [535] = 268,
  [536] = 517,
  [537] = 283,
  [538] = 266,
  [539] = 279,
  [540] = 237,
  [541] = 167,
  [542] = 73,
  [543] = 517,
  [544] = 270,
  [545] = 517,
  [546] = 224,
  [547] = 547,
  [548] = 199,
  [549] = 73,
  [550] = 235,
  [551] = 225,
  [552] = 198,
  [553] = 273,
  [554] = 233,
  [555] = 517,
  [556] = 298,
  [557] = 557,
  [558] = 83,
  [559] = 559,
  [560] = 560,
  [561] = 80,
  [562] = 60,
  [563] = 69,
  [564] = 61,
  [565] = 487,
  [566] = 73,
  [567] = 78,
  [568] = 568,
  [569] = 569,
  [570] = 570,
  [571] = 571,
  [572] = 572,
  [573] = 62,
  [574] = 86,
  [575] = 298,
  [576] = 576,
  [577] = 577,
  [578] = 578,
  [579] = 69,
  [580] = 62,
  [581] = 86,
  [582] = 582,
  [583] = 80,
  [584] = 584,
  [585] = 78,
  [586] = 586,
  [587] = 83,
  [588] = 487,
  [589] = 81,
  [590] = 590,
  [591] = 60,
  [592] = 592,
  [593] = 593,
  [594] = 592,
  [595] = 595,
  [596] = 596,
  [597] = 597,
  [598] = 84,
  [599] = 597,
  [600] = 595,
  [601] = 595,
  [602] = 602,
  [603] = 597,
  [604] = 597,
  [605] = 605,
  [606] = 602,
  [607] = 602,
  [608] = 142,
  [609] = 602,
  [610] = 610,
  [611] = 597,
  [612] = 597,
  [613] = 613,
  [614] = 592,
  [615] = 595,
  [616] = 592,
  [617] = 592,
  [618] = 602,
  [619] = 595,
  [620] = 200,
  [621] = 212,
  [622] = 189,
  [623] = 291,
  [624] = 624,
  [625] = 625,
  [626] = 626,
  [627] = 185,
  [628] = 626,
  [629] = 624,
  [630] = 630,
  [631] = 631,
  [632] = 632,
  [633] = 187,
  [634] = 625,
  [635] = 626,
  [636] = 626,
  [637] = 625,
  [638] = 197,
  [639] = 209,
  [640] = 640,
  [641] = 631,
  [642] = 210,
  [643] = 643,
  [644] = 624,
  [645] = 624,
  [646] = 625,
  [647] = 631,
  [648] = 73,
  [649] = 266,
  [650] = 268,
  [651] = 167,
  [652] = 169,
  [653] = 557,
  [654] = 191,
  [655] = 198,
  [656] = 199,
  [657] = 631,
  [658] = 270,
  [659] = 571,
  [660] = 631,
  [661] = 224,
  [662] = 225,
  [663] = 233,
  [664] = 235,
  [665] = 237,
  [666] = 243,
  [667] = 246,
  [668] = 668,
  [669] = 257,
  [670] = 258,
  [671] = 260,
  [672] = 267,
  [673] = 279,
  [674] = 292,
  [675] = 675,
  [676] = 289,
  [677] = 625,
  [678] = 626,
  [679] = 624,
  [680] = 285,
  [681] = 283,
  [682] = 273,
  [683] = 683,
  [684] = 684,
  [685] = 685,
  [686] = 683,
  [687] = 687,
  [688] = 688,
  [689] = 689,
  [690] = 690,
  [691] = 684,
  [692] = 688,
  [693] = 688,
  [694] = 684,
  [695] = 683,
  [696] = 690,
  [697] = 690,
  [698] = 689,
  [699] = 689,
  [700] = 700,
  [701] = 701,
  [702] = 702,
  [703] = 703,
  [704] = 704,
  [705] = 705,
  [706] = 706,
  [707] = 701,
  [708] = 708,
  [709] = 709,
  [710] = 709,
  [711] = 711,
  [712] = 708,
  [713] = 703,
  [714] = 714,
  [715] = 715,
  [716] = 716,
  [717] = 717,
  [718] = 718,
  [719] = 719,
  [720] = 720,
  [721] = 721,
  [722] = 719,
  [723] = 719,
  [724] = 724,
  [725] = 725,
  [726] = 726,
  [727] = 700,
  [728] = 728,
  [729] = 709,
  [730] = 730,
  [731] = 714,
  [732] = 706,
  [733] = 721,
  [734] = 714,
  [735] = 735,
  [736] = 701,
  [737] = 701,
  [738] = 721,
  [739] = 700,
  [740] = 730,
  [741] = 706,
  [742] = 728,
  [743] = 708,
  [744] = 711,
  [745] = 711,
  [746] = 728,
  [747] = 706,
  [748] = 700,
  [749] = 701,
  [750] = 719,
  [751] = 714,
  [752] = 721,
  [753] = 730,
  [754] = 700,
  [755] = 755,
  [756] = 706,
  [757] = 709,
  [758] = 708,
  [759] = 759,
  [760] = 703,
  [761] = 709,
  [762] = 728,
  [763] = 730,
  [764] = 728,
  [765] = 765,
  [766] = 730,
  [767] = 721,
  [768] = 703,
  [769] = 714,
  [770] = 719,
  [771] = 703,
  [772] = 735,
  [773] = 714,
  [774] = 721,
  [775] = 708,
  [776] = 735,
  [777] = 777,
  [778] = 303,
  [779] = 302,
  [780] = 304,
  [781] = 305,
  [782] = 299,
  [783] = 301,
  [784] = 784,
  [785] = 300,
  [786] = 302,
  [787] = 787,
  [788] = 304,
  [789] = 305,
  [790] = 303,
  [791] = 791,
  [792] = 792,
  [793] = 793,
  [794] = 793,
  [795] = 306,
  [796] = 306,
  [797] = 330,
  [798] = 375,
  [799] = 367,
  [800] = 343,
  [801] = 801,
  [802] = 345,
  [803] = 328,
  [804] = 343,
  [805] = 353,
  [806] = 354,
  [807] = 320,
  [808] = 801,
  [809] = 318,
  [810] = 347,
  [811] = 316,
  [812] = 357,
  [813] = 354,
  [814] = 376,
  [815] = 353,
  [816] = 345,
  [817] = 357,
  [818] = 338,
  [819] = 374,
  [820] = 355,
  [821] = 347,
  [822] = 367,
  [823] = 320,
  [824] = 313,
  [825] = 318,
  [826] = 372,
  [827] = 374,
  [828] = 363,
  [829] = 373,
  [830] = 355,
  [831] = 363,
  [832] = 368,
  [833] = 372,
  [834] = 319,
  [835] = 368,
  [836] = 317,
  [837] = 319,
  [838] = 375,
  [839] = 334,
  [840] = 317,
  [841] = 332,
  [842] = 338,
  [843] = 316,
  [844] = 332,
  [845] = 330,
  [846] = 334,
  [847] = 328,
  [848] = 376,
  [849] = 801,
  [850] = 313,
  [851] = 373,
  [852] = 852,
  [853] = 853,
  [854] = 853,
  [855] = 853,
  [856] = 852,
  [857] = 852,
  [858] = 310,
  [859] = 859,
  [860] = 860,
  [861] = 308,
  [862] = 309,
  [863] = 311,
  [864] = 312,
  [865] = 307,
  [866] = 866,
  [867] = 867,
  [868] = 868,
  [869] = 869,
  [870] = 870,
  [871] = 871,
  [872] = 872,
  [873] = 873,
  [874] = 874,
  [875] = 859,
  [876] = 300,
  [877] = 877,
  [878] = 878,
  [879] = 879,
  [880] = 300,
  [881] = 324,
  [882] = 882,
  [883] = 873,
  [884] = 884,
  [885] = 885,
  [886] = 886,
  [887] = 887,
  [888] = 888,
  [889] = 889,
  [890] = 890,
  [891] = 891,
  [892] = 892,
  [893] = 893,
  [894] = 894,
  [895] = 895,
  [896] = 896,
  [897] = 897,
  [898] = 898,
  [899] = 899,
  [900] = 900,
  [901] = 901,
  [902] = 902,
  [903] = 903,
  [904] = 904,
  [905] = 905,
  [906] = 906,
  [907] = 907,
  [908] = 908,
  [909] = 909,
  [910] = 910,
  [911] = 911,
  [912] = 912,
  [913] = 913,
  [914] = 914,
  [915] = 915,
  [916] = 359,
  [917] = 917,
  [918] = 362,
  [919] = 919,
  [920] = 920,
  [921] = 921,
  [922] = 922,
  [923] = 923,
  [924] = 924,
  [925] = 925,
  [926] = 926,
  [927] = 927,
  [928] = 928,
  [929] = 929,
  [930] = 930,
  [931] = 923,
  [932] = 932,
  [933] = 933,
  [934] = 879,
  [935] = 935,
  [936] = 936,
  [937] = 937,
  [938] = 938,
  [939] = 939,
  [940] = 940,
  [941] = 941,
  [942] = 942,
  [943] = 941,
  [944] = 944,
  [945] = 945,
  [946] = 946,
  [947] = 947,
  [948] = 948,
  [949] = 940,
  [950] = 950,
  [951] = 951,
  [952] = 952,
  [953] = 953,
  [954] = 925,
  [955] = 945,
  [956] = 951,
  [957] = 957,
  [958] = 958,
  [959] = 945,
  [960] = 960,
  [961] = 961,
  [962] = 962,
  [963] = 963,
  [964] = 872,
  [965] = 965,
  [966] = 966,
  [967] = 925,
  [968] = 968,
  [969] = 969,
  [970] = 970,
  [971] = 971,
  [972] = 972,
  [973] = 973,
  [974] = 974,
  [975] = 975,
  [976] = 976,
  [977] = 977,
  [978] = 978,
  [979] = 979,
  [980] = 980,
  [981] = 981,
  [982] = 982,
  [983] = 983,
  [984] = 984,
  [985] = 985,
  [986] = 986,
  [987] = 987,
  [988] = 988,
  [989] = 989,
  [990] = 940,
  [991] = 991,
  [992] = 992,
  [993] = 336,
  [994] = 994,
  [995] = 995,
  [996] = 340,
  [997] = 997,
  [998] = 352,
  [999] = 364,
  [1000] = 350,
  [1001] = 349,
  [1002] = 341,
  [1003] = 339,
  [1004] = 1004,
  [1005] = 360,
  [1006] = 315,
  [1007] = 344,
  [1008] = 941,
  [1009] = 346,
  [1010] = 348,
  [1011] = 1011,
  [1012] = 351,
  [1013] = 940,
  [1014] = 356,
  [1015] = 335,
  [1016] = 1016,
  [1017] = 333,
  [1018] = 923,
  [1019] = 940,
  [1020] = 925,
  [1021] = 331,
  [1022] = 1022,
  [1023] = 945,
  [1024] = 1024,
  [1025] = 1025,
  [1026] = 329,
  [1027] = 326,
  [1028] = 323,
  [1029] = 1029,
  [1030] = 1030,
  [1031] = 1031,
  [1032] = 945,
  [1033] = 940,
  [1034] = 1034,
  [1035] = 1035,
  [1036] = 1036,
  [1037] = 945,
  [1038] = 361,
  [1039] = 951,
  [1040] = 366,
  [1041] = 925,
  [1042] = 1042,
  [1043] = 1043,
  [1044] = 1044,
  [1045] = 1045,
  [1046] = 1046,
  [1047] = 1047,
  [1048] = 1048,
  [1049] = 1049,
  [1050] = 1050,
  [1051] = 859,
  [1052] = 1052,
  [1053] = 1053,
  [1054] = 1054,
  [1055] = 1055,
  [1056] = 1052,
  [1057] = 1057,
  [1058] = 1058,
  [1059] = 1059,
  [1060] = 1060,
  [1061] = 1061,
  [1062] = 1049,
  [1063] = 1063,
  [1064] = 1064,
  [1065] = 1058,
  [1066] = 1066,
  [1067] = 1067,
  [1068] = 1058,
  [1069] = 1064,
  [1070] = 1070,
  [1071] = 872,
  [1072] = 1066,
  [1073] = 1059,
  [1074] = 1067,
  [1075] = 859,
  [1076] = 1064,
  [1077] = 1052,
  [1078] = 1078,
  [1079] = 1079,
  [1080] = 1080,
  [1081] = 1055,
  [1082] = 1082,
  [1083] = 1060,
  [1084] = 1057,
  [1085] = 1085,
  [1086] = 1053,
  [1087] = 1059,
  [1088] = 872,
  [1089] = 1049,
  [1090] = 1049,
  [1091] = 1060,
  [1092] = 1060,
  [1093] = 1057,
  [1094] = 1094,
  [1095] = 1049,
  [1096] = 1096,
  [1097] = 1052,
  [1098] = 1067,
  [1099] = 1058,
  [1100] = 1058,
  [1101] = 1059,
  [1102] = 1102,
  [1103] = 1066,
  [1104] = 1053,
  [1105] = 1060,
  [1106] = 1064,
  [1107] = 1080,
  [1108] = 1064,
  [1109] = 1059,
  [1110] = 1110,
  [1111] = 1055,
  [1112] = 1048,
  [1113] = 1113,
  [1114] = 1114,
  [1115] = 1115,
  [1116] = 300,
  [1117] = 1117,
  [1118] = 1080,
  [1119] = 1119,
  [1120] = 1120,
  [1121] = 1121,
  [1122] = 1122,
  [1123] = 859,
  [1124] = 1124,
  [1125] = 1048,
  [1126] = 1126,
  [1127] = 1127,
  [1128] = 1052,
  [1129] = 1129,
  [1130] = 1130,
  [1131] = 1131,
  [1132] = 859,
  [1133] = 1133,
  [1134] = 1134,
  [1135] = 1135,
  [1136] = 1136,
  [1137] = 1137,
  [1138] = 1138,
  [1139] = 1139,
  [1140] = 1029,
  [1141] = 1141,
  [1142] = 961,
  [1143] = 960,
  [1144] = 1144,
  [1145] = 1137,
  [1146] = 977,
  [1147] = 1147,
  [1148] = 1137,
  [1149] = 1149,
  [1150] = 1150,
  [1151] = 1151,
  [1152] = 1147,
  [1153] = 1153,
  [1154] = 1154,
  [1155] = 1153,
  [1156] = 1156,
  [1157] = 1157,
  [1158] = 1138,
  [1159] = 1139,
  [1160] = 1160,
  [1161] = 1161,
  [1162] = 1149,
  [1163] = 1163,
  [1164] = 1164,
  [1165] = 1164,
  [1166] = 1166,
  [1167] = 1167,
  [1168] = 1168,
  [1169] = 1169,
  [1170] = 1170,
  [1171] = 1171,
  [1172] = 1172,
  [1173] = 1138,
  [1174] = 1153,
  [1175] = 1175,
  [1176] = 1150,
  [1177] = 1149,
  [1178] = 1178,
  [1179] = 1179,
  [1180] = 1180,
  [1181] = 1181,
  [1182] = 1182,
  [1183] = 1183,
  [1184] = 1167,
  [1185] = 1179,
  [1186] = 1186,
  [1187] = 1187,
  [1188] = 1186,
  [1189] = 1189,
  [1190] = 1190,
  [1191] = 1191,
  [1192] = 1150,
  [1193] = 1139,
  [1194] = 1151,
  [1195] = 1139,
  [1196] = 1138,
  [1197] = 1147,
  [1198] = 1151,
  [1199] = 1199,
  [1200] = 1149,
  [1201] = 1201,
  [1202] = 1202,
  [1203] = 1183,
  [1204] = 1182,
  [1205] = 1205,
  [1206] = 1181,
  [1207] = 1149,
  [1208] = 1150,
  [1209] = 1181,
  [1210] = 1210,
  [1211] = 1211,
  [1212] = 1153,
  [1213] = 1213,
  [1214] = 1182,
  [1215] = 1183,
  [1216] = 1030,
  [1217] = 1217,
  [1218] = 1167,
  [1219] = 1179,
  [1220] = 1220,
  [1221] = 1186,
  [1222] = 1222,
  [1223] = 1223,
  [1224] = 1224,
  [1225] = 1225,
  [1226] = 1226,
  [1227] = 1227,
  [1228] = 1228,
  [1229] = 1229,
  [1230] = 1138,
  [1231] = 1160,
  [1232] = 1232,
  [1233] = 1233,
  [1234] = 1234,
  [1235] = 1139,
  [1236] = 1236,
  [1237] = 1237,
  [1238] = 1238,
  [1239] = 1239,
  [1240] = 1240,
  [1241] = 1241,
  [1242] = 1242,
  [1243] = 1243,
  [1244] = 1244,
  [1245] = 1245,
  [1246] = 1246,
  [1247] = 1149,
  [1248] = 1150,
  [1249] = 1249,
  [1250] = 1250,
  [1251] = 1251,
  [1252] = 1153,
  [1253] = 1253,
  [1254] = 1187,
  [1255] = 1255,
  [1256] = 1256,
  [1257] = 1257,
  [1258] = 1258,
  [1259] = 1259,
  [1260] = 1260,
  [1261] = 1261,
  [1262] = 1256,
  [1263] = 1263,
  [1264] = 1264,
  [1265] = 1265,
  [1266] = 1266,
  [1267] = 1267,
  [1268] = 1268,
  [1269] = 1269,
  [1270] = 1270,
  [1271] = 1269,
  [1272] = 1272,
  [1273] = 1273,
  [1274] = 1274,
  [1275] = 1270,
  [1276] = 1276,
  [1277] = 1260,
  [1278] = 1261,
  [1279] = 1279,
  [1280] = 1264,
  [1281] = 1256,
  [1282] = 1282,
  [1283] = 1257,
  [1284] = 1284,
  [1285] = 1285,
  [1286] = 1269,
  [1287] = 1287,
  [1288] = 1288,
  [1289] = 1289,
  [1290] = 1290,
  [1291] = 1291,
  [1292] = 1264,
  [1293] = 1293,
  [1294] = 1294,
  [1295] = 1295,
  [1296] = 1296,
  [1297] = 1297,
  [1298] = 1298,
  [1299] = 1299,
  [1300] = 1300,
  [1301] = 1261,
  [1302] = 1260,
  [1303] = 1273,
  [1304] = 1304,
  [1305] = 1287,
  [1306] = 1306,
  [1307] = 1307,
  [1308] = 1308,
  [1309] = 1309,
  [1310] = 1257,
  [1311] = 1284,
  [1312] = 1312,
  [1313] = 1313,
  [1314] = 1296,
  [1315] = 1315,
  [1316] = 1316,
  [1317] = 1270,
  [1318] = 1284,
  [1319] = 1256,
  [1320] = 1270,
  [1321] = 1321,
  [1322] = 1322,
  [1323] = 1323,
  [1324] = 1324,
  [1325] = 1325,
  [1326] = 1297,
  [1327] = 1257,
  [1328] = 1328,
  [1329] = 1284,
  [1330] = 1269,
  [1331] = 1304,
  [1332] = 1332,
  [1333] = 1256,
  [1334] = 1334,
  [1335] = 1335,
  [1336] = 1264,
  [1337] = 1296,
  [1338] = 1338,
  [1339] = 1339,
  [1340] = 1260,
  [1341] = 1261,
  [1342] = 1261,
  [1343] = 1260,
  [1344] = 1264,
  [1345] = 1261,
  [1346] = 1260,
  [1347] = 1347,
  [1348] = 1339,
  [1349] = 1269,
  [1350] = 1338,
  [1351] = 1296,
  [1352] = 1352,
  [1353] = 1270,
  [1354] = 1296,
  [1355] = 1304,
  [1356] = 1356,
  [1357] = 1338,
  [1358] = 1284,
  [1359] = 1257,
  [1360] = 1287,
  [1361] = 1347,
  [1362] = 1335,
  [1363] = 1334,
  [1364] = 1316,
  [1365] = 1365,
  [1366] = 1347,
  [1367] = 1335,
  [1368] = 1334,
  [1369] = 1316,
  [1370] = 1347,
  [1371] = 1335,
  [1372] = 1334,
  [1373] = 1316,
  [1374] = 1335,
  [1375] = 1334,
  [1376] = 1316,
  [1377] = 1335,
  [1378] = 1334,
  [1379] = 1347,
};

static inline bool sym_identifier_character_set_1(int32_t c) {
  return (c < 6688
    ? (c < 2984
      ? (c < 2365
        ? (c < 1488
          ? (c < 886
            ? (c < 216
              ? (c < 181
                ? (c < 'a'
                  ? (c >= 'A' && c <= '_')
                  : (c <= 'z' || c == 170))
                : (c <= 181 || (c < 192
                  ? c == 186
                  : c <= 214)))
              : (c <= 246 || (c < 748
                ? (c < 710
                  ? (c >= 248 && c <= 705)
                  : (c <= 721 || (c >= 736 && c <= 740)))
                : (c <= 748 || (c < 880
                  ? c == 750
                  : c <= 884)))))
            : (c <= 887 || (c < 931
              ? (c < 904
                ? (c < 895
                  ? (c >= 890 && c <= 893)
                  : (c <= 895 || c == 902))
                : (c <= 906 || (c < 910
                  ? c == 908
                  : c <= 929)))
              : (c <= 1013 || (c < 1329
                ? (c < 1162
                  ? (c >= 1015 && c <= 1153)
                  : c <= 1327)
                : (c <= 1366 || (c < 1376
                  ? c == 1369
                  : c <= 1416)))))))
          : (c <= 1514 || (c < 1994
            ? (c < 1774
              ? (c < 1649
                ? (c < 1568
                  ? (c >= 1519 && c <= 1522)
                  : (c <= 1610 || (c >= 1646 && c <= 1647)))
                : (c <= 1747 || (c < 1765
                  ? c == 1749
                  : c <= 1766)))
              : (c <= 1775 || (c < 1810
                ? (c < 1791
                  ? (c >= 1786 && c <= 1788)
                  : (c <= 1791 || c == 1808))
                : (c <= 1839 || (c < 1969
                  ? (c >= 1869 && c <= 1957)
                  : c <= 1969)))))
            : (c <= 2026 || (c < 2112
              ? (c < 2074
                ? (c < 2042
                  ? (c >= 2036 && c <= 2037)
                  : (c <= 2042 || (c >= 2048 && c <= 2069)))
                : (c <= 2074 || (c < 2088
                  ? c == 2084
                  : c <= 2088)))
              : (c <= 2136 || (c < 2185
                ? (c < 2160
                  ? (c >= 2144 && c <= 2154)
                  : c <= 2183)
                : (c <= 2190 || (c < 2308
                  ? (c >= 2208 && c <= 2249)
                  : c <= 2361)))))))))
        : (c <= 2365 || (c < 2703
          ? (c < 2544
            ? (c < 2474
              ? (c < 2437
                ? (c < 2392
                  ? c == 2384
                  : (c <= 2401 || (c >= 2417 && c <= 2432)))
                : (c <= 2444 || (c < 2451
                  ? (c >= 2447 && c <= 2448)
                  : c <= 2472)))
              : (c <= 2480 || (c < 2510
                ? (c < 2486
                  ? c == 2482
                  : (c <= 2489 || c == 2493))
                : (c <= 2510 || (c < 2527
                  ? (c >= 2524 && c <= 2525)
                  : c <= 2529)))))
            : (c <= 2545 || (c < 2613
              ? (c < 2579
                ? (c < 2565
                  ? c == 2556
                  : (c <= 2570 || (c >= 2575 && c <= 2576)))
                : (c <= 2600 || (c < 2610
                  ? (c >= 2602 && c <= 2608)
                  : c <= 2611)))
              : (c <= 2614 || (c < 2654
                ? (c < 2649
                  ? (c >= 2616 && c <= 2617)
                  : c <= 2652)
                : (c <= 2654 || (c < 2693
                  ? (c >= 2674 && c <= 2676)
                  : c <= 2701)))))))
          : (c <= 2705 || (c < 2869
            ? (c < 2784
              ? (c < 2741
                ? (c < 2730
                  ? (c >= 2707 && c <= 2728)
                  : (c <= 2736 || (c >= 2738 && c <= 2739)))
                : (c <= 2745 || (c < 2768
                  ? c == 2749
                  : c <= 2768)))
              : (c <= 2785 || (c < 2835
                ? (c < 2821
                  ? c == 2809
                  : (c <= 2828 || (c >= 2831 && c <= 2832)))
                : (c <= 2856 || (c < 2866
                  ? (c >= 2858 && c <= 2864)
                  : c <= 2867)))))
            : (c <= 2873 || (c < 2958
              ? (c < 2929
                ? (c < 2908
                  ? c == 2877
                  : (c <= 2909 || (c >= 2911 && c <= 2913)))
                : (c <= 2929 || (c < 2949
                  ? c == 2947
                  : c <= 2954)))
              : (c <= 2960 || (c < 2972
                ? (c < 2969
                  ? (c >= 2962 && c <= 2965)
                  : c <= 2970)
                : (c <= 2972 || (c < 2979
                  ? (c >= 2974 && c <= 2975)
                  : c <= 2980)))))))))))
      : (c <= 2986 || (c < 4176
        ? (c < 3423
          ? (c < 3218
            ? (c < 3133
              ? (c < 3086
                ? (c < 3024
                  ? (c >= 2990 && c <= 3001)
                  : (c <= 3024 || (c >= 3077 && c <= 3084)))
                : (c <= 3088 || (c < 3114
                  ? (c >= 3090 && c <= 3112)
                  : c <= 3129)))
              : (c <= 3133 || (c < 3200
                ? (c < 3165
                  ? (c >= 3160 && c <= 3162)
                  : (c <= 3165 || (c >= 3168 && c <= 3169)))
                : (c <= 3200 || (c < 3214
                  ? (c >= 3205 && c <= 3212)
                  : c <= 3216)))))
            : (c <= 3240 || (c < 3332
              ? (c < 3293
                ? (c < 3253
                  ? (c >= 3242 && c <= 3251)
                  : (c <= 3257 || c == 3261))
                : (c <= 3294 || (c < 3313
                  ? (c >= 3296 && c <= 3297)
                  : c <= 3314)))
              : (c <= 3340 || (c < 3389
                ? (c < 3346
                  ? (c >= 3342 && c <= 3344)
                  : c <= 3386)
                : (c <= 3389 || (c < 3412
                  ? c == 3406
                  : c <= 3414)))))))
          : (c <= 3425 || (c < 3749
            ? (c < 3585
              ? (c < 3507
                ? (c < 3461
                  ? (c >= 3450 && c <= 3455)
                  : (c <= 3478 || (c >= 3482 && c <= 3505)))
                : (c <= 3515 || (c < 3520
                  ? c == 3517
                  : c <= 3526)))
              : (c <= 3632 || (c < 3716
                ? (c < 3648
                  ? (c >= 3634 && c <= 3635)
                  : (c <= 3654 || (c >= 3713 && c <= 3714)))
                : (c <= 3716 || (c < 3724
                  ? (c >= 3718 && c <= 3722)
                  : c <= 3747)))))
            : (c <= 3749 || (c < 3840
              ? (c < 3776
                ? (c < 3762
                  ? (c >= 3751 && c <= 3760)
                  : (c <= 3763 || c == 3773))
                : (c <= 3780 || (c < 3804
                  ? c == 3782
                  : c <= 3807)))
              : (c <= 3840 || (c < 3976
                ? (c < 3913
                  ? (c >= 3904 && c <= 3911)
                  : c <= 3948)
                : (c <= 3980 || (c < 4159
                  ? (c >= 4096 && c <= 4138)
                  : c <= 4159)))))))))
        : (c <= 4181 || (c < 4992
          ? (c < 4696
            ? (c < 4256
              ? (c < 4206
                ? (c < 4193
                  ? (c >= 4186 && c <= 4189)
                  : (c <= 4193 || (c >= 4197 && c <= 4198)))
                : (c <= 4208 || (c < 4238
                  ? (c >= 4213 && c <= 4225)
                  : c <= 4238)))
              : (c <= 4293 || (c < 4348
                ? (c < 4301
                  ? c == 4295
                  : (c <= 4301 || (c >= 4304 && c <= 4346)))
                : (c <= 4680 || (c < 4688
                  ? (c >= 4682 && c <= 4685)
                  : c <= 4694)))))
            : (c <= 4696 || (c < 4800
              ? (c < 4752
                ? (c < 4704
                  ? (c >= 4698 && c <= 4701)
                  : (c <= 4744 || (c >= 4746 && c <= 4749)))
                : (c <= 4784 || (c < 4792
                  ? (c >= 4786 && c <= 4789)
                  : c <= 4798)))
              : (c <= 4800 || (c < 4824
                ? (c < 4808
                  ? (c >= 4802 && c <= 4805)
                  : c <= 4822)
                : (c <= 4880 || (c < 4888
                  ? (c >= 4882 && c <= 4885)
                  : c <= 4954)))))))
          : (c <= 5007 || (c < 6103
            ? (c < 5873
              ? (c < 5743
                ? (c < 5112
                  ? (c >= 5024 && c <= 5109)
                  : (c <= 5117 || (c >= 5121 && c <= 5740)))
                : (c <= 5759 || (c < 5792
                  ? (c >= 5761 && c <= 5786)
                  : c <= 5866)))
              : (c <= 5880 || (c < 5984
                ? (c < 5919
                  ? (c >= 5888 && c <= 5905)
                  : (c <= 5937 || (c >= 5952 && c <= 5969)))
                : (c <= 5996 || (c < 6016
                  ? (c >= 5998 && c <= 6000)
                  : c <= 6067)))))
            : (c <= 6103 || (c < 6400
              ? (c < 6279
                ? (c < 6176
                  ? c == 6108
                  : (c <= 6264 || (c >= 6272 && c <= 6276)))
                : (c <= 6312 || (c < 6320
                  ? c == 6314
                  : c <= 6389)))
              : (c <= 6430 || (c < 6528
                ? (c < 6512
                  ? (c >= 6480 && c <= 6509)
                  : c <= 6516)
                : (c <= 6571 || (c < 6656
                  ? (c >= 6576 && c <= 6601)
                  : c <= 6678)))))))))))))
    : (c <= 6740 || (c < 43261
      ? (c < 11264
        ? (c < 8064
          ? (c < 7406
            ? (c < 7168
              ? (c < 7043
                ? (c < 6917
                  ? c == 6823
                  : (c <= 6963 || (c >= 6981 && c <= 6988)))
                : (c <= 7072 || (c < 7098
                  ? (c >= 7086 && c <= 7087)
                  : c <= 7141)))
              : (c <= 7203 || (c < 7312
                ? (c < 7258
                  ? (c >= 7245 && c <= 7247)
                  : (c <= 7293 || (c >= 7296 && c <= 7304)))
                : (c <= 7354 || (c < 7401
                  ? (c >= 7357 && c <= 7359)
                  : c <= 7404)))))
            : (c <= 7411 || (c < 8008
              ? (c < 7680
                ? (c < 7418
                  ? (c >= 7413 && c <= 7414)
                  : (c <= 7418 || (c >= 7424 && c <= 7615)))
                : (c <= 7957 || (c < 7968
                  ? (c >= 7960 && c <= 7965)
                  : c <= 8005)))
              : (c <= 8013 || (c < 8027
                ? (c < 8025
                  ? (c >= 8016 && c <= 8023)
                  : c <= 8025)
                : (c <= 8027 || (c < 8031
                  ? c == 8029
                  : c <= 8061)))))))
          : (c <= 8116 || (c < 8455
            ? (c < 8160
              ? (c < 8134
                ? (c < 8126
                  ? (c >= 8118 && c <= 8124)
                  : (c <= 8126 || (c >= 8130 && c <= 8132)))
                : (c <= 8140 || (c < 8150
                  ? (c >= 8144 && c <= 8147)
                  : c <= 8155)))
              : (c <= 8172 || (c < 8319
                ? (c < 8182
                  ? (c >= 8178 && c <= 8180)
                  : (c <= 8188 || c == 8305))
                : (c <= 8319 || (c < 8450
                  ? (c >= 8336 && c <= 8348)
                  : c <= 8450)))))
            : (c <= 8455 || (c < 8490
              ? (c < 8484
                ? (c < 8469
                  ? (c >= 8458 && c <= 8467)
                  : (c <= 8469 || (c >= 8473 && c <= 8477)))
                : (c <= 8484 || (c < 8488
                  ? c == 8486
                  : c <= 8488)))
              : (c <= 8493 || (c < 8517
                ? (c < 8508
                  ? (c >= 8495 && c <= 8505)
                  : c <= 8511)
                : (c <= 8521 || (c < 8579
                  ? c == 8526
                  : c <= 8580)))))))))
        : (c <= 11492 || (c < 12704
          ? (c < 11720
            ? (c < 11631
              ? (c < 11559
                ? (c < 11506
                  ? (c >= 11499 && c <= 11502)
                  : (c <= 11507 || (c >= 11520 && c <= 11557)))
                : (c <= 11559 || (c < 11568
                  ? c == 11565
                  : c <= 11623)))
              : (c <= 11631 || (c < 11696
                ? (c < 11680
                  ? (c >= 11648 && c <= 11670)
                  : (c <= 11686 || (c >= 11688 && c <= 11694)))
                : (c <= 11702 || (c < 11712
                  ? (c >= 11704 && c <= 11710)
                  : c <= 11718)))))
            : (c <= 11726 || (c < 12353
              ? (c < 12293
                ? (c < 11736
                  ? (c >= 11728 && c <= 11734)
                  : (c <= 11742 || c == 11823))
                : (c <= 12294 || (c < 12347
                  ? (c >= 12337 && c <= 12341)
                  : c <= 12348)))
              : (c <= 12438 || (c < 12540
                ? (c < 12449
                  ? (c >= 12445 && c <= 12447)
                  : c <= 12538)
                : (c <= 12543 || (c < 12593
                  ? (c >= 12549 && c <= 12591)
                  : c <= 12686)))))))
          : (c <= 12735 || (c < 42786
            ? (c < 42240
              ? (c < 19968
                ? (c < 13312
                  ? (c >= 12784 && c <= 12799)
                  : (c <= 13312 || c == 19903))
                : (c <= 19968 || (c < 42192
                  ? (c >= 40959 && c <= 42124)
                  : c <= 42237)))
              : (c <= 42508 || (c < 42623
                ? (c < 42538
                  ? (c >= 42512 && c <= 42527)
                  : (c <= 42539 || (c >= 42560 && c <= 42606)))
                : (c <= 42653 || (c < 42775
                  ? (c >= 42656 && c <= 42725)
                  : c <= 42783)))))
            : (c <= 42888 || (c < 43015
              ? (c < 42965
                ? (c < 42960
                  ? (c >= 42891 && c <= 42954)
                  : (c <= 42961 || c == 42963))
                : (c <= 42969 || (c < 43011
                  ? (c >= 42994 && c <= 43009)
                  : c <= 43013)))
              : (c <= 43018 || (c < 43138
                ? (c < 43072
                  ? (c >= 43020 && c <= 43042)
                  : c <= 43123)
                : (c <= 43187 || (c < 43259
                  ? (c >= 43250 && c <= 43255)
                  : c <= 43259)))))))))))
      : (c <= 43262 || (c < 65345
        ? (c < 43816
          ? (c < 43646
            ? (c < 43494
              ? (c < 43396
                ? (c < 43312
                  ? (c >= 43274 && c <= 43301)
                  : (c <= 43334 || (c >= 43360 && c <= 43388)))
                : (c <= 43442 || (c < 43488
                  ? c == 43471
                  : c <= 43492)))
              : (c <= 43503 || (c < 43588
                ? (c < 43520
                  ? (c >= 43514 && c <= 43518)
                  : (c <= 43560 || (c >= 43584 && c <= 43586)))
                : (c <= 43595 || (c < 43642
                  ? (c >= 43616 && c <= 43638)
                  : c <= 43642)))))
            : (c <= 43695 || (c < 43744
              ? (c < 43712
                ? (c < 43701
                  ? c == 43697
                  : (c <= 43702 || (c >= 43705 && c <= 43709)))
                : (c <= 43712 || (c < 43739
                  ? c == 43714
                  : c <= 43741)))
              : (c <= 43754 || (c < 43785
                ? (c < 43777
                  ? (c >= 43762 && c <= 43764)
                  : c <= 43782)
                : (c <= 43790 || (c < 43808
                  ? (c >= 43793 && c <= 43798)
                  : c <= 43814)))))))
          : (c <= 43822 || (c < 64298
            ? (c < 55243
              ? (c < 44032
                ? (c < 43868
                  ? (c >= 43824 && c <= 43866)
                  : (c <= 43881 || (c >= 43888 && c <= 44002)))
                : (c <= 44032 || (c < 55216
                  ? c == 55203
                  : c <= 55238)))
              : (c <= 55291 || (c < 64275
                ? (c < 64112
                  ? (c >= 63744 && c <= 64109)
                  : (c <= 64217 || (c >= 64256 && c <= 64262)))
                : (c <= 64279 || (c < 64287
                  ? c == 64285
                  : c <= 64296)))))
            : (c <= 64310 || (c < 64848
              ? (c < 64323
                ? (c < 64318
                  ? (c >= 64312 && c <= 64316)
                  : (c <= 64318 || (c >= 64320 && c <= 64321)))
                : (c <= 64324 || (c < 64467
                  ? (c >= 64326 && c <= 64433)
                  : c <= 64829)))
              : (c <= 64911 || (c < 65136
                ? (c < 65008
                  ? (c >= 64914 && c <= 64967)
                  : c <= 65019)
                : (c <= 65140 || (c < 65313
                  ? (c >= 65142 && c <= 65276)
                  : c <= 65338)))))))))
        : (c <= 65370 || (c < 66928
          ? (c < 66208
            ? (c < 65549
              ? (c < 65490
                ? (c < 65474
                  ? (c >= 65382 && c <= 65470)
                  : (c <= 65479 || (c >= 65482 && c <= 65487)))
                : (c <= 65495 || (c < 65536
                  ? (c >= 65498 && c <= 65500)
                  : c <= 65547)))
              : (c <= 65574 || (c < 65616
                ? (c < 65596
                  ? (c >= 65576 && c <= 65594)
                  : (c <= 65597 || (c >= 65599 && c <= 65613)))
                : (c <= 65629 || (c < 66176
                  ? (c >= 65664 && c <= 65786)
                  : c <= 66204)))))
            : (c <= 66256 || (c < 66504
              ? (c < 66384
                ? (c < 66349
                  ? (c >= 66304 && c <= 66335)
                  : (c <= 66368 || (c >= 66370 && c <= 66377)))
                : (c <= 66421 || (c < 66464
                  ? (c >= 66432 && c <= 66461)
                  : c <= 66499)))
              : (c <= 66511 || (c < 66776
                ? (c < 66736
                  ? (c >= 66560 && c <= 66717)
                  : c <= 66771)
                : (c <= 66811 || (c < 66864
                  ? (c >= 66816 && c <= 66855)
                  : c <= 66915)))))))
          : (c <= 66938 || (c < 67506
            ? (c < 67003
              ? (c < 66967
                ? (c < 66956
                  ? (c >= 66940 && c <= 66954)
                  : (c <= 66962 || (c >= 66964 && c <= 66965)))
                : (c <= 66977 || (c < 66995
                  ? (c >= 66979 && c <= 66993)
                  : c <= 67001)))
              : (c <= 67004 || (c < 67424
                ? (c < 67392
                  ? (c >= 67072 && c <= 67382)
                  : c <= 67413)
                : (c <= 67431 || (c < 67463
                  ? (c >= 67456 && c <= 67461)
                  : c <= 67504)))))
            : (c <= 67514 || (c < 67680
              ? (c < 67639
                ? (c < 67592
                  ? (c >= 67584 && c <= 67589)
                  : (c <= 67592 || (c >= 67594 && c <= 67637)))
                : (c <= 67640 || (c < 67647
                  ? c == 67644
                  : c <= 67669)))
              : (c <= 67702 || (c < 67828
                ? (c < 67808
                  ? (c >= 67712 && c <= 67742)
                  : c <= 67826)
                : (c <= 67829 || (c < 67872
                  ? (c >= 67840 && c <= 67861)
                  : c <= 67883)))))))))))))));
}

static inline bool sym_identifier_character_set_2(int32_t c) {
  return (c < 6656
    ? (c < 2979
      ? (c < 2308
        ? (c < 1376
          ? (c < 880
            ? (c < 192
              ? (c < 170
                ? (c < '_'
                  ? (c >= 'A' && c <= 'Z')
                  : (c <= '_' || (c >= 'a' && c <= 'z')))
                : (c <= 170 || (c < 186
                  ? c == 181
                  : c <= 186)))
              : (c <= 214 || (c < 736
                ? (c < 248
                  ? (c >= 216 && c <= 246)
                  : (c <= 705 || (c >= 710 && c <= 721)))
                : (c <= 740 || (c < 750
                  ? c == 748
                  : c <= 750)))))
            : (c <= 884 || (c < 910
              ? (c < 902
                ? (c < 890
                  ? (c >= 886 && c <= 887)
                  : (c <= 893 || c == 895))
                : (c <= 902 || (c < 908
                  ? (c >= 904 && c <= 906)
                  : c <= 908)))
              : (c <= 929 || (c < 1162
                ? (c < 1015
                  ? (c >= 931 && c <= 1013)
                  : c <= 1153)
                : (c <= 1327 || (c < 1369
                  ? (c >= 1329 && c <= 1366)
                  : c <= 1369)))))))
          : (c <= 1416 || (c < 1969
            ? (c < 1765
              ? (c < 1646
                ? (c < 1519
                  ? (c >= 1488 && c <= 1514)
                  : (c <= 1522 || (c >= 1568 && c <= 1610)))
                : (c <= 1647 || (c < 1749
                  ? (c >= 1649 && c <= 1747)
                  : c <= 1749)))
              : (c <= 1766 || (c < 1808
                ? (c < 1786
                  ? (c >= 1774 && c <= 1775)
                  : (c <= 1788 || c == 1791))
                : (c <= 1808 || (c < 1869
                  ? (c >= 1810 && c <= 1839)
                  : c <= 1957)))))
            : (c <= 1969 || (c < 2088
              ? (c < 2048
                ? (c < 2036
                  ? (c >= 1994 && c <= 2026)
                  : (c <= 2037 || c == 2042))
                : (c <= 2069 || (c < 2084
                  ? c == 2074
                  : c <= 2084)))
              : (c <= 2088 || (c < 2160
                ? (c < 2144
                  ? (c >= 2112 && c <= 2136)
                  : c <= 2154)
                : (c <= 2183 || (c < 2208
                  ? (c >= 2185 && c <= 2190)
                  : c <= 2249)))))))))
        : (c <= 2361 || (c < 2693
          ? (c < 2527
            ? (c < 2451
              ? (c < 2417
                ? (c < 2384
                  ? c == 2365
                  : (c <= 2384 || (c >= 2392 && c <= 2401)))
                : (c <= 2432 || (c < 2447
                  ? (c >= 2437 && c <= 2444)
                  : c <= 2448)))
              : (c <= 2472 || (c < 2493
                ? (c < 2482
                  ? (c >= 2474 && c <= 2480)
                  : (c <= 2482 || (c >= 2486 && c <= 2489)))
                : (c <= 2493 || (c < 2524
                  ? c == 2510
                  : c <= 2525)))))
            : (c <= 2529 || (c < 2610
              ? (c < 2575
                ? (c < 2556
                  ? (c >= 2544 && c <= 2545)
                  : (c <= 2556 || (c >= 2565 && c <= 2570)))
                : (c <= 2576 || (c < 2602
                  ? (c >= 2579 && c <= 2600)
                  : c <= 2608)))
              : (c <= 2611 || (c < 2649
                ? (c < 2616
                  ? (c >= 2613 && c <= 2614)
                  : c <= 2617)
                : (c <= 2652 || (c < 2674
                  ? c == 2654
                  : c <= 2676)))))))
          : (c <= 2701 || (c < 2866
            ? (c < 2768
              ? (c < 2738
                ? (c < 2707
                  ? (c >= 2703 && c <= 2705)
                  : (c <= 2728 || (c >= 2730 && c <= 2736)))
                : (c <= 2739 || (c < 2749
                  ? (c >= 2741 && c <= 2745)
                  : c <= 2749)))
              : (c <= 2768 || (c < 2831
                ? (c < 2809
                  ? (c >= 2784 && c <= 2785)
                  : (c <= 2809 || (c >= 2821 && c <= 2828)))
                : (c <= 2832 || (c < 2858
                  ? (c >= 2835 && c <= 2856)
                  : c <= 2864)))))
            : (c <= 2867 || (c < 2949
              ? (c < 2911
                ? (c < 2877
                  ? (c >= 2869 && c <= 2873)
                  : (c <= 2877 || (c >= 2908 && c <= 2909)))
                : (c <= 2913 || (c < 2947
                  ? c == 2929
                  : c <= 2947)))
              : (c <= 2954 || (c < 2969
                ? (c < 2962
                  ? (c >= 2958 && c <= 2960)
                  : c <= 2965)
                : (c <= 2970 || (c < 2974
                  ? c == 2972
                  : c <= 2975)))))))))))
      : (c <= 2980 || (c < 4159
        ? (c < 3412
          ? (c < 3214
            ? (c < 3114
              ? (c < 3077
                ? (c < 2990
                  ? (c >= 2984 && c <= 2986)
                  : (c <= 3001 || c == 3024))
                : (c <= 3084 || (c < 3090
                  ? (c >= 3086 && c <= 3088)
                  : c <= 3112)))
              : (c <= 3129 || (c < 3168
                ? (c < 3160
                  ? c == 3133
                  : (c <= 3162 || c == 3165))
                : (c <= 3169 || (c < 3205
                  ? c == 3200
                  : c <= 3212)))))
            : (c <= 3216 || (c < 3313
              ? (c < 3261
                ? (c < 3242
                  ? (c >= 3218 && c <= 3240)
                  : (c <= 3251 || (c >= 3253 && c <= 3257)))
                : (c <= 3261 || (c < 3296
                  ? (c >= 3293 && c <= 3294)
                  : c <= 3297)))
              : (c <= 3314 || (c < 3346
                ? (c < 3342
                  ? (c >= 3332 && c <= 3340)
                  : c <= 3344)
                : (c <= 3386 || (c < 3406
                  ? c == 3389
                  : c <= 3406)))))))
          : (c <= 3414 || (c < 3724
            ? (c < 3520
              ? (c < 3482
                ? (c < 3450
                  ? (c >= 3423 && c <= 3425)
                  : (c <= 3455 || (c >= 3461 && c <= 3478)))
                : (c <= 3505 || (c < 3517
                  ? (c >= 3507 && c <= 3515)
                  : c <= 3517)))
              : (c <= 3526 || (c < 3713
                ? (c < 3634
                  ? (c >= 3585 && c <= 3632)
                  : (c <= 3635 || (c >= 3648 && c <= 3654)))
                : (c <= 3714 || (c < 3718
                  ? c == 3716
                  : c <= 3722)))))
            : (c <= 3747 || (c < 3804
              ? (c < 3773
                ? (c < 3751
                  ? c == 3749
                  : (c <= 3760 || (c >= 3762 && c <= 3763)))
                : (c <= 3773 || (c < 3782
                  ? (c >= 3776 && c <= 3780)
                  : c <= 3782)))
              : (c <= 3807 || (c < 3913
                ? (c < 3904
                  ? c == 3840
                  : c <= 3911)
                : (c <= 3948 || (c < 4096
                  ? (c >= 3976 && c <= 3980)
                  : c <= 4138)))))))))
        : (c <= 4159 || (c < 4888
          ? (c < 4688
            ? (c < 4238
              ? (c < 4197
                ? (c < 4186
                  ? (c >= 4176 && c <= 4181)
                  : (c <= 4189 || c == 4193))
                : (c <= 4198 || (c < 4213
                  ? (c >= 4206 && c <= 4208)
                  : c <= 4225)))
              : (c <= 4238 || (c < 4304
                ? (c < 4295
                  ? (c >= 4256 && c <= 4293)
                  : (c <= 4295 || c == 4301))
                : (c <= 4346 || (c < 4682
                  ? (c >= 4348 && c <= 4680)
                  : c <= 4685)))))
            : (c <= 4694 || (c < 4792
              ? (c < 4746
                ? (c < 4698
                  ? c == 4696
                  : (c <= 4701 || (c >= 4704 && c <= 4744)))
                : (c <= 4749 || (c < 4786
                  ? (c >= 4752 && c <= 4784)
                  : c <= 4789)))
              : (c <= 4798 || (c < 4808
                ? (c < 4802
                  ? c == 4800
                  : c <= 4805)
                : (c <= 4822 || (c < 4882
                  ? (c >= 4824 && c <= 4880)
                  : c <= 4885)))))))
          : (c <= 4954 || (c < 6016
            ? (c < 5792
              ? (c < 5121
                ? (c < 5024
                  ? (c >= 4992 && c <= 5007)
                  : (c <= 5109 || (c >= 5112 && c <= 5117)))
                : (c <= 5740 || (c < 5761
                  ? (c >= 5743 && c <= 5759)
                  : c <= 5786)))
              : (c <= 5866 || (c < 5952
                ? (c < 5888
                  ? (c >= 5873 && c <= 5880)
                  : (c <= 5905 || (c >= 5919 && c <= 5937)))
                : (c <= 5969 || (c < 5998
                  ? (c >= 5984 && c <= 5996)
                  : c <= 6000)))))
            : (c <= 6067 || (c < 6320
              ? (c < 6272
                ? (c < 6108
                  ? c == 6103
                  : (c <= 6108 || (c >= 6176 && c <= 6264)))
                : (c <= 6276 || (c < 6314
                  ? (c >= 6279 && c <= 6312)
                  : c <= 6314)))
              : (c <= 6389 || (c < 6512
                ? (c < 6480
                  ? (c >= 6400 && c <= 6430)
                  : c <= 6509)
                : (c <= 6516 || (c < 6576
                  ? (c >= 6528 && c <= 6571)
                  : c <= 6601)))))))))))))
    : (c <= 6678 || (c < 43259
      ? (c < 8579
        ? (c < 8031
          ? (c < 7401
            ? (c < 7098
              ? (c < 6981
                ? (c < 6823
                  ? (c >= 6688 && c <= 6740)
                  : (c <= 6823 || (c >= 6917 && c <= 6963)))
                : (c <= 6988 || (c < 7086
                  ? (c >= 7043 && c <= 7072)
                  : c <= 7087)))
              : (c <= 7141 || (c < 7296
                ? (c < 7245
                  ? (c >= 7168 && c <= 7203)
                  : (c <= 7247 || (c >= 7258 && c <= 7293)))
                : (c <= 7304 || (c < 7357
                  ? (c >= 7312 && c <= 7354)
                  : c <= 7359)))))
            : (c <= 7404 || (c < 7968
              ? (c < 7424
                ? (c < 7413
                  ? (c >= 7406 && c <= 7411)
                  : (c <= 7414 || c == 7418))
                : (c <= 7615 || (c < 7960
                  ? (c >= 7680 && c <= 7957)
                  : c <= 7965)))
              : (c <= 8005 || (c < 8025
                ? (c < 8016
                  ? (c >= 8008 && c <= 8013)
                  : c <= 8023)
                : (c <= 8025 || (c < 8029
                  ? c == 8027
                  : c <= 8029)))))))
          : (c <= 8061 || (c < 8450
            ? (c < 8150
              ? (c < 8130
                ? (c < 8118
                  ? (c >= 8064 && c <= 8116)
                  : (c <= 8124 || c == 8126))
                : (c <= 8132 || (c < 8144
                  ? (c >= 8134 && c <= 8140)
                  : c <= 8147)))
              : (c <= 8155 || (c < 8305
                ? (c < 8178
                  ? (c >= 8160 && c <= 8172)
                  : (c <= 8180 || (c >= 8182 && c <= 8188)))
                : (c <= 8305 || (c < 8336
                  ? c == 8319
                  : c <= 8348)))))
            : (c <= 8450 || (c < 8488
              ? (c < 8473
                ? (c < 8458
                  ? c == 8455
                  : (c <= 8467 || c == 8469))
                : (c <= 8477 || (c < 8486
                  ? c == 8484
                  : c <= 8486)))
              : (c <= 8488 || (c < 8508
                ? (c < 8495
                  ? (c >= 8490 && c <= 8493)
                  : c <= 8505)
                : (c <= 8511 || (c < 8526
                  ? (c >= 8517 && c <= 8521)
                  : c <= 8526)))))))))
        : (c <= 8580 || (c < 12593
          ? (c < 11712
            ? (c < 11568
              ? (c < 11520
                ? (c < 11499
                  ? (c >= 11264 && c <= 11492)
                  : (c <= 11502 || (c >= 11506 && c <= 11507)))
                : (c <= 11557 || (c < 11565
                  ? c == 11559
                  : c <= 11565)))
              : (c <= 11623 || (c < 11688
                ? (c < 11648
                  ? c == 11631
                  : (c <= 11670 || (c >= 11680 && c <= 11686)))
                : (c <= 11694 || (c < 11704
                  ? (c >= 11696 && c <= 11702)
                  : c <= 11710)))))
            : (c <= 11718 || (c < 12347
              ? (c < 11823
                ? (c < 11728
                  ? (c >= 11720 && c <= 11726)
                  : (c <= 11734 || (c >= 11736 && c <= 11742)))
                : (c <= 11823 || (c < 12337
                  ? (c >= 12293 && c <= 12294)
                  : c <= 12341)))
              : (c <= 12348 || (c < 12449
                ? (c < 12445
                  ? (c >= 12353 && c <= 12438)
                  : c <= 12447)
                : (c <= 12538 || (c < 12549
                  ? (c >= 12540 && c <= 12543)
                  : c <= 12591)))))))
          : (c <= 12686 || (c < 42775
            ? (c < 42192
              ? (c < 19903
                ? (c < 12784
                  ? (c >= 12704 && c <= 12735)
                  : (c <= 12799 || c == 13312))
                : (c <= 19903 || (c < 40959
                  ? c == 19968
                  : c <= 42124)))
              : (c <= 42237 || (c < 42560
                ? (c < 42512
                  ? (c >= 42240 && c <= 42508)
                  : (c <= 42527 || (c >= 42538 && c <= 42539)))
                : (c <= 42606 || (c < 42656
                  ? (c >= 42623 && c <= 42653)
                  : c <= 42725)))))
            : (c <= 42783 || (c < 43011
              ? (c < 42963
                ? (c < 42891
                  ? (c >= 42786 && c <= 42888)
                  : (c <= 42954 || (c >= 42960 && c <= 42961)))
                : (c <= 42963 || (c < 42994
                  ? (c >= 42965 && c <= 42969)
                  : c <= 43009)))
              : (c <= 43013 || (c < 43072
                ? (c < 43020
                  ? (c >= 43015 && c <= 43018)
                  : c <= 43042)
                : (c <= 43123 || (c < 43250
                  ? (c >= 43138 && c <= 43187)
                  : c <= 43255)))))))))))
      : (c <= 43259 || (c < 65313
        ? (c < 43808
          ? (c < 43642
            ? (c < 43488
              ? (c < 43360
                ? (c < 43274
                  ? (c >= 43261 && c <= 43262)
                  : (c <= 43301 || (c >= 43312 && c <= 43334)))
                : (c <= 43388 || (c < 43471
                  ? (c >= 43396 && c <= 43442)
                  : c <= 43471)))
              : (c <= 43492 || (c < 43584
                ? (c < 43514
                  ? (c >= 43494 && c <= 43503)
                  : (c <= 43518 || (c >= 43520 && c <= 43560)))
                : (c <= 43586 || (c < 43616
                  ? (c >= 43588 && c <= 43595)
                  : c <= 43638)))))
            : (c <= 43642 || (c < 43739
              ? (c < 43705
                ? (c < 43697
                  ? (c >= 43646 && c <= 43695)
                  : (c <= 43697 || (c >= 43701 && c <= 43702)))
                : (c <= 43709 || (c < 43714
                  ? c == 43712
                  : c <= 43714)))
              : (c <= 43741 || (c < 43777
                ? (c < 43762
                  ? (c >= 43744 && c <= 43754)
                  : c <= 43764)
                : (c <= 43782 || (c < 43793
                  ? (c >= 43785 && c <= 43790)
                  : c <= 43798)))))))
          : (c <= 43814 || (c < 64287
            ? (c < 55216
              ? (c < 43888
                ? (c < 43824
                  ? (c >= 43816 && c <= 43822)
                  : (c <= 43866 || (c >= 43868 && c <= 43881)))
                : (c <= 44002 || (c < 55203
                  ? c == 44032
                  : c <= 55203)))
              : (c <= 55238 || (c < 64256
                ? (c < 63744
                  ? (c >= 55243 && c <= 55291)
                  : (c <= 64109 || (c >= 64112 && c <= 64217)))
                : (c <= 64262 || (c < 64285
                  ? (c >= 64275 && c <= 64279)
                  : c <= 64285)))))
            : (c <= 64296 || (c < 64467
              ? (c < 64320
                ? (c < 64312
                  ? (c >= 64298 && c <= 64310)
                  : (c <= 64316 || c == 64318))
                : (c <= 64321 || (c < 64326
                  ? (c >= 64323 && c <= 64324)
                  : c <= 64433)))
              : (c <= 64829 || (c < 65008
                ? (c < 64914
                  ? (c >= 64848 && c <= 64911)
                  : c <= 64967)
                : (c <= 65019 || (c < 65142
                  ? (c >= 65136 && c <= 65140)
                  : c <= 65276)))))))))
        : (c <= 65338 || (c < 66864
          ? (c < 66176
            ? (c < 65536
              ? (c < 65482
                ? (c < 65382
                  ? (c >= 65345 && c <= 65370)
                  : (c <= 65470 || (c >= 65474 && c <= 65479)))
                : (c <= 65487 || (c < 65498
                  ? (c >= 65490 && c <= 65495)
                  : c <= 65500)))
              : (c <= 65547 || (c < 65599
                ? (c < 65576
                  ? (c >= 65549 && c <= 65574)
                  : (c <= 65594 || (c >= 65596 && c <= 65597)))
                : (c <= 65613 || (c < 65664
                  ? (c >= 65616 && c <= 65629)
                  : c <= 65786)))))
            : (c <= 66204 || (c < 66464
              ? (c < 66370
                ? (c < 66304
                  ? (c >= 66208 && c <= 66256)
                  : (c <= 66335 || (c >= 66349 && c <= 66368)))
                : (c <= 66377 || (c < 66432
                  ? (c >= 66384 && c <= 66421)
                  : c <= 66461)))
              : (c <= 66499 || (c < 66736
                ? (c < 66560
                  ? (c >= 66504 && c <= 66511)
                  : c <= 66717)
                : (c <= 66771 || (c < 66816
                  ? (c >= 66776 && c <= 66811)
                  : c <= 66855)))))))
          : (c <= 66915 || (c < 67506
            ? (c < 66995
              ? (c < 66964
                ? (c < 66940
                  ? (c >= 66928 && c <= 66938)
                  : (c <= 66954 || (c >= 66956 && c <= 66962)))
                : (c <= 66965 || (c < 66979
                  ? (c >= 66967 && c <= 66977)
                  : c <= 66993)))
              : (c <= 67001 || (c < 67424
                ? (c < 67072
                  ? (c >= 67003 && c <= 67004)
                  : (c <= 67382 || (c >= 67392 && c <= 67413)))
                : (c <= 67431 || (c < 67463
                  ? (c >= 67456 && c <= 67461)
                  : c <= 67504)))))
            : (c <= 67514 || (c < 67680
              ? (c < 67639
                ? (c < 67592
                  ? (c >= 67584 && c <= 67589)
                  : (c <= 67592 || (c >= 67594 && c <= 67637)))
                : (c <= 67640 || (c < 67647
                  ? c == 67644
                  : c <= 67669)))
              : (c <= 67702 || (c < 67828
                ? (c < 67808
                  ? (c >= 67712 && c <= 67742)
                  : c <= 67826)
                : (c <= 67829 || (c < 67872
                  ? (c >= 67840 && c <= 67861)
                  : c <= 67883)))))))))))))));
}

static inline bool sym_identifier_character_set_3(int32_t c) {
  return (c < 6656
    ? (c < 2979
      ? (c < 2308
        ? (c < 1376
          ? (c < 750
            ? (c < 186
              ? (c < 'a'
                ? (c < 'A'
                  ? (c >= '0' && c <= '9')
                  : (c <= 'Z' || c == '_'))
                : (c <= 'z' || (c < 181
                  ? c == 170
                  : c <= 181)))
              : (c <= 186 || (c < 710
                ? (c < 216
                  ? (c >= 192 && c <= 214)
                  : (c <= 246 || (c >= 248 && c <= 705)))
                : (c <= 721 || (c < 748
                  ? (c >= 736 && c <= 740)
                  : c <= 748)))))
            : (c <= 750 || (c < 908
              ? (c < 895
                ? (c < 886
                  ? (c >= 880 && c <= 884)
                  : (c <= 887 || (c >= 890 && c <= 893)))
                : (c <= 895 || (c < 904
                  ? c == 902
                  : c <= 906)))
              : (c <= 908 || (c < 1162
                ? (c < 931
                  ? (c >= 910 && c <= 929)
                  : (c <= 1013 || (c >= 1015 && c <= 1153)))
                : (c <= 1327 || (c < 1369
                  ? (c >= 1329 && c <= 1366)
                  : c <= 1369)))))))
          : (c <= 1416 || (c < 1969
            ? (c < 1765
              ? (c < 1646
                ? (c < 1519
                  ? (c >= 1488 && c <= 1514)
                  : (c <= 1522 || (c >= 1568 && c <= 1610)))
                : (c <= 1647 || (c < 1749
                  ? (c >= 1649 && c <= 1747)
                  : c <= 1749)))
              : (c <= 1766 || (c < 1808
                ? (c < 1786
                  ? (c >= 1774 && c <= 1775)
                  : (c <= 1788 || c == 1791))
                : (c <= 1808 || (c < 1869
                  ? (c >= 1810 && c <= 1839)
                  : c <= 1957)))))
            : (c <= 1969 || (c < 2088
              ? (c < 2048
                ? (c < 2036
                  ? (c >= 1994 && c <= 2026)
                  : (c <= 2037 || c == 2042))
                : (c <= 2069 || (c < 2084
                  ? c == 2074
                  : c <= 2084)))
              : (c <= 2088 || (c < 2160
                ? (c < 2144
                  ? (c >= 2112 && c <= 2136)
                  : c <= 2154)
                : (c <= 2183 || (c < 2208
                  ? (c >= 2185 && c <= 2190)
                  : c <= 2249)))))))))
        : (c <= 2361 || (c < 2693
          ? (c < 2527
            ? (c < 2451
              ? (c < 2417
                ? (c < 2384
                  ? c == 2365
                  : (c <= 2384 || (c >= 2392 && c <= 2401)))
                : (c <= 2432 || (c < 2447
                  ? (c >= 2437 && c <= 2444)
                  : c <= 2448)))
              : (c <= 2472 || (c < 2493
                ? (c < 2482
                  ? (c >= 2474 && c <= 2480)
                  : (c <= 2482 || (c >= 2486 && c <= 2489)))
                : (c <= 2493 || (c < 2524
                  ? c == 2510
                  : c <= 2525)))))
            : (c <= 2529 || (c < 2610
              ? (c < 2575
                ? (c < 2556
                  ? (c >= 2544 && c <= 2545)
                  : (c <= 2556 || (c >= 2565 && c <= 2570)))
                : (c <= 2576 || (c < 2602
                  ? (c >= 2579 && c <= 2600)
                  : c <= 2608)))
              : (c <= 2611 || (c < 2649
                ? (c < 2616
                  ? (c >= 2613 && c <= 2614)
                  : c <= 2617)
                : (c <= 2652 || (c < 2674
                  ? c == 2654
                  : c <= 2676)))))))
          : (c <= 2701 || (c < 2866
            ? (c < 2768
              ? (c < 2738
                ? (c < 2707
                  ? (c >= 2703 && c <= 2705)
                  : (c <= 2728 || (c >= 2730 && c <= 2736)))
                : (c <= 2739 || (c < 2749
                  ? (c >= 2741 && c <= 2745)
                  : c <= 2749)))
              : (c <= 2768 || (c < 2831
                ? (c < 2809
                  ? (c >= 2784 && c <= 2785)
                  : (c <= 2809 || (c >= 2821 && c <= 2828)))
                : (c <= 2832 || (c < 2858
                  ? (c >= 2835 && c <= 2856)
                  : c <= 2864)))))
            : (c <= 2867 || (c < 2949
              ? (c < 2911
                ? (c < 2877
                  ? (c >= 2869 && c <= 2873)
                  : (c <= 2877 || (c >= 2908 && c <= 2909)))
                : (c <= 2913 || (c < 2947
                  ? c == 2929
                  : c <= 2947)))
              : (c <= 2954 || (c < 2969
                ? (c < 2962
                  ? (c >= 2958 && c <= 2960)
                  : c <= 2965)
                : (c <= 2970 || (c < 2974
                  ? c == 2972
                  : c <= 2975)))))))))))
      : (c <= 2980 || (c < 4159
        ? (c < 3412
          ? (c < 3214
            ? (c < 3114
              ? (c < 3077
                ? (c < 2990
                  ? (c >= 2984 && c <= 2986)
                  : (c <= 3001 || c == 3024))
                : (c <= 3084 || (c < 3090
                  ? (c >= 3086 && c <= 3088)
                  : c <= 3112)))
              : (c <= 3129 || (c < 3168
                ? (c < 3160
                  ? c == 3133
                  : (c <= 3162 || c == 3165))
                : (c <= 3169 || (c < 3205
                  ? c == 3200
                  : c <= 3212)))))
            : (c <= 3216 || (c < 3313
              ? (c < 3261
                ? (c < 3242
                  ? (c >= 3218 && c <= 3240)
                  : (c <= 3251 || (c >= 3253 && c <= 3257)))
                : (c <= 3261 || (c < 3296
                  ? (c >= 3293 && c <= 3294)
                  : c <= 3297)))
              : (c <= 3314 || (c < 3346
                ? (c < 3342
                  ? (c >= 3332 && c <= 3340)
                  : c <= 3344)
                : (c <= 3386 || (c < 3406
                  ? c == 3389
                  : c <= 3406)))))))
          : (c <= 3414 || (c < 3724
            ? (c < 3520
              ? (c < 3482
                ? (c < 3450
                  ? (c >= 3423 && c <= 3425)
                  : (c <= 3455 || (c >= 3461 && c <= 3478)))
                : (c <= 3505 || (c < 3517
                  ? (c >= 3507 && c <= 3515)
                  : c <= 3517)))
              : (c <= 3526 || (c < 3713
                ? (c < 3634
                  ? (c >= 3585 && c <= 3632)
                  : (c <= 3635 || (c >= 3648 && c <= 3654)))
                : (c <= 3714 || (c < 3718
                  ? c == 3716
                  : c <= 3722)))))
            : (c <= 3747 || (c < 3804
              ? (c < 3773
                ? (c < 3751
                  ? c == 3749
                  : (c <= 3760 || (c >= 3762 && c <= 3763)))
                : (c <= 3773 || (c < 3782
                  ? (c >= 3776 && c <= 3780)
                  : c <= 3782)))
              : (c <= 3807 || (c < 3913
                ? (c < 3904
                  ? c == 3840
                  : c <= 3911)
                : (c <= 3948 || (c < 4096
                  ? (c >= 3976 && c <= 3980)
                  : c <= 4138)))))))))
        : (c <= 4159 || (c < 4888
          ? (c < 4688
            ? (c < 4238
              ? (c < 4197
                ? (c < 4186
                  ? (c >= 4176 && c <= 4181)
                  : (c <= 4189 || c == 4193))
                : (c <= 4198 || (c < 4213
                  ? (c >= 4206 && c <= 4208)
                  : c <= 4225)))
              : (c <= 4238 || (c < 4304
                ? (c < 4295
                  ? (c >= 4256 && c <= 4293)
                  : (c <= 4295 || c == 4301))
                : (c <= 4346 || (c < 4682
                  ? (c >= 4348 && c <= 4680)
                  : c <= 4685)))))
            : (c <= 4694 || (c < 4792
              ? (c < 4746
                ? (c < 4698
                  ? c == 4696
                  : (c <= 4701 || (c >= 4704 && c <= 4744)))
                : (c <= 4749 || (c < 4786
                  ? (c >= 4752 && c <= 4784)
                  : c <= 4789)))
              : (c <= 4798 || (c < 4808
                ? (c < 4802
                  ? c == 4800
                  : c <= 4805)
                : (c <= 4822 || (c < 4882
                  ? (c >= 4824 && c <= 4880)
                  : c <= 4885)))))))
          : (c <= 4954 || (c < 6016
            ? (c < 5792
              ? (c < 5121
                ? (c < 5024
                  ? (c >= 4992 && c <= 5007)
                  : (c <= 5109 || (c >= 5112 && c <= 5117)))
                : (c <= 5740 || (c < 5761
                  ? (c >= 5743 && c <= 5759)
                  : c <= 5786)))
              : (c <= 5866 || (c < 5952
                ? (c < 5888
                  ? (c >= 5873 && c <= 5880)
                  : (c <= 5905 || (c >= 5919 && c <= 5937)))
                : (c <= 5969 || (c < 5998
                  ? (c >= 5984 && c <= 5996)
                  : c <= 6000)))))
            : (c <= 6067 || (c < 6320
              ? (c < 6272
                ? (c < 6108
                  ? c == 6103
                  : (c <= 6108 || (c >= 6176 && c <= 6264)))
                : (c <= 6276 || (c < 6314
                  ? (c >= 6279 && c <= 6312)
                  : c <= 6314)))
              : (c <= 6389 || (c < 6512
                ? (c < 6480
                  ? (c >= 6400 && c <= 6430)
                  : c <= 6509)
                : (c <= 6516 || (c < 6576
                  ? (c >= 6528 && c <= 6571)
                  : c <= 6601)))))))))))))
    : (c <= 6678 || (c < 43259
      ? (c < 8579
        ? (c < 8031
          ? (c < 7401
            ? (c < 7098
              ? (c < 6981
                ? (c < 6823
                  ? (c >= 6688 && c <= 6740)
                  : (c <= 6823 || (c >= 6917 && c <= 6963)))
                : (c <= 6988 || (c < 7086
                  ? (c >= 7043 && c <= 7072)
                  : c <= 7087)))
              : (c <= 7141 || (c < 7296
                ? (c < 7245
                  ? (c >= 7168 && c <= 7203)
                  : (c <= 7247 || (c >= 7258 && c <= 7293)))
                : (c <= 7304 || (c < 7357
                  ? (c >= 7312 && c <= 7354)
                  : c <= 7359)))))
            : (c <= 7404 || (c < 7968
              ? (c < 7424
                ? (c < 7413
                  ? (c >= 7406 && c <= 7411)
                  : (c <= 7414 || c == 7418))
                : (c <= 7615 || (c < 7960
                  ? (c >= 7680 && c <= 7957)
                  : c <= 7965)))
              : (c <= 8005 || (c < 8025
                ? (c < 8016
                  ? (c >= 8008 && c <= 8013)
                  : c <= 8023)
                : (c <= 8025 || (c < 8029
                  ? c == 8027
                  : c <= 8029)))))))
          : (c <= 8061 || (c < 8450
            ? (c < 8150
              ? (c < 8130
                ? (c < 8118
                  ? (c >= 8064 && c <= 8116)
                  : (c <= 8124 || c == 8126))
                : (c <= 8132 || (c < 8144
                  ? (c >= 8134 && c <= 8140)
                  : c <= 8147)))
              : (c <= 8155 || (c < 8305
                ? (c < 8178
                  ? (c >= 8160 && c <= 8172)
                  : (c <= 8180 || (c >= 8182 && c <= 8188)))
                : (c <= 8305 || (c < 8336
                  ? c == 8319
                  : c <= 8348)))))
            : (c <= 8450 || (c < 8488
              ? (c < 8473
                ? (c < 8458
                  ? c == 8455
                  : (c <= 8467 || c == 8469))
                : (c <= 8477 || (c < 8486
                  ? c == 8484
                  : c <= 8486)))
              : (c <= 8488 || (c < 8508
                ? (c < 8495
                  ? (c >= 8490 && c <= 8493)
                  : c <= 8505)
                : (c <= 8511 || (c < 8526
                  ? (c >= 8517 && c <= 8521)
                  : c <= 8526)))))))))
        : (c <= 8580 || (c < 12593
          ? (c < 11712
            ? (c < 11568
              ? (c < 11520
                ? (c < 11499
                  ? (c >= 11264 && c <= 11492)
                  : (c <= 11502 || (c >= 11506 && c <= 11507)))
                : (c <= 11557 || (c < 11565
                  ? c == 11559
                  : c <= 11565)))
              : (c <= 11623 || (c < 11688
                ? (c < 11648
                  ? c == 11631
                  : (c <= 11670 || (c >= 11680 && c <= 11686)))
                : (c <= 11694 || (c < 11704
                  ? (c >= 11696 && c <= 11702)
                  : c <= 11710)))))
            : (c <= 11718 || (c < 12347
              ? (c < 11823
                ? (c < 11728
                  ? (c >= 11720 && c <= 11726)
                  : (c <= 11734 || (c >= 11736 && c <= 11742)))
                : (c <= 11823 || (c < 12337
                  ? (c >= 12293 && c <= 12294)
                  : c <= 12341)))
              : (c <= 12348 || (c < 12449
                ? (c < 12445
                  ? (c >= 12353 && c <= 12438)
                  : c <= 12447)
                : (c <= 12538 || (c < 12549
                  ? (c >= 12540 && c <= 12543)
                  : c <= 12591)))))))
          : (c <= 12686 || (c < 42775
            ? (c < 42192
              ? (c < 19903
                ? (c < 12784
                  ? (c >= 12704 && c <= 12735)
                  : (c <= 12799 || c == 13312))
                : (c <= 19903 || (c < 40959
                  ? c == 19968
                  : c <= 42124)))
              : (c <= 42237 || (c < 42560
                ? (c < 42512
                  ? (c >= 42240 && c <= 42508)
                  : (c <= 42527 || (c >= 42538 && c <= 42539)))
                : (c <= 42606 || (c < 42656
                  ? (c >= 42623 && c <= 42653)
                  : c <= 42725)))))
            : (c <= 42783 || (c < 43011
              ? (c < 42963
                ? (c < 42891
                  ? (c >= 42786 && c <= 42888)
                  : (c <= 42954 || (c >= 42960 && c <= 42961)))
                : (c <= 42963 || (c < 42994
                  ? (c >= 42965 && c <= 42969)
                  : c <= 43009)))
              : (c <= 43013 || (c < 43072
                ? (c < 43020
                  ? (c >= 43015 && c <= 43018)
                  : c <= 43042)
                : (c <= 43123 || (c < 43250
                  ? (c >= 43138 && c <= 43187)
                  : c <= 43255)))))))))))
      : (c <= 43259 || (c < 65313
        ? (c < 43808
          ? (c < 43642
            ? (c < 43488
              ? (c < 43360
                ? (c < 43274
                  ? (c >= 43261 && c <= 43262)
                  : (c <= 43301 || (c >= 43312 && c <= 43334)))
                : (c <= 43388 || (c < 43471
                  ? (c >= 43396 && c <= 43442)
                  : c <= 43471)))
              : (c <= 43492 || (c < 43584
                ? (c < 43514
                  ? (c >= 43494 && c <= 43503)
                  : (c <= 43518 || (c >= 43520 && c <= 43560)))
                : (c <= 43586 || (c < 43616
                  ? (c >= 43588 && c <= 43595)
                  : c <= 43638)))))
            : (c <= 43642 || (c < 43739
              ? (c < 43705
                ? (c < 43697
                  ? (c >= 43646 && c <= 43695)
                  : (c <= 43697 || (c >= 43701 && c <= 43702)))
                : (c <= 43709 || (c < 43714
                  ? c == 43712
                  : c <= 43714)))
              : (c <= 43741 || (c < 43777
                ? (c < 43762
                  ? (c >= 43744 && c <= 43754)
                  : c <= 43764)
                : (c <= 43782 || (c < 43793
                  ? (c >= 43785 && c <= 43790)
                  : c <= 43798)))))))
          : (c <= 43814 || (c < 64287
            ? (c < 55216
              ? (c < 43888
                ? (c < 43824
                  ? (c >= 43816 && c <= 43822)
                  : (c <= 43866 || (c >= 43868 && c <= 43881)))
                : (c <= 44002 || (c < 55203
                  ? c == 44032
                  : c <= 55203)))
              : (c <= 55238 || (c < 64256
                ? (c < 63744
                  ? (c >= 55243 && c <= 55291)
                  : (c <= 64109 || (c >= 64112 && c <= 64217)))
                : (c <= 64262 || (c < 64285
                  ? (c >= 64275 && c <= 64279)
                  : c <= 64285)))))
            : (c <= 64296 || (c < 64467
              ? (c < 64320
                ? (c < 64312
                  ? (c >= 64298 && c <= 64310)
                  : (c <= 64316 || c == 64318))
                : (c <= 64321 || (c < 64326
                  ? (c >= 64323 && c <= 64324)
                  : c <= 64433)))
              : (c <= 64829 || (c < 65008
                ? (c < 64914
                  ? (c >= 64848 && c <= 64911)
                  : c <= 64967)
                : (c <= 65019 || (c < 65142
                  ? (c >= 65136 && c <= 65140)
                  : c <= 65276)))))))))
        : (c <= 65338 || (c < 66864
          ? (c < 66176
            ? (c < 65536
              ? (c < 65482
                ? (c < 65382
                  ? (c >= 65345 && c <= 65370)
                  : (c <= 65470 || (c >= 65474 && c <= 65479)))
                : (c <= 65487 || (c < 65498
                  ? (c >= 65490 && c <= 65495)
                  : c <= 65500)))
              : (c <= 65547 || (c < 65599
                ? (c < 65576
                  ? (c >= 65549 && c <= 65574)
                  : (c <= 65594 || (c >= 65596 && c <= 65597)))
                : (c <= 65613 || (c < 65664
                  ? (c >= 65616 && c <= 65629)
                  : c <= 65786)))))
            : (c <= 66204 || (c < 66464
              ? (c < 66370
                ? (c < 66304
                  ? (c >= 66208 && c <= 66256)
                  : (c <= 66335 || (c >= 66349 && c <= 66368)))
                : (c <= 66377 || (c < 66432
                  ? (c >= 66384 && c <= 66421)
                  : c <= 66461)))
              : (c <= 66499 || (c < 66736
                ? (c < 66560
                  ? (c >= 66504 && c <= 66511)
                  : c <= 66717)
                : (c <= 66771 || (c < 66816
                  ? (c >= 66776 && c <= 66811)
                  : c <= 66855)))))))
          : (c <= 66915 || (c < 67506
            ? (c < 66995
              ? (c < 66964
                ? (c < 66940
                  ? (c >= 66928 && c <= 66938)
                  : (c <= 66954 || (c >= 66956 && c <= 66962)))
                : (c <= 66965 || (c < 66979
                  ? (c >= 66967 && c <= 66977)
                  : c <= 66993)))
              : (c <= 67001 || (c < 67424
                ? (c < 67072
                  ? (c >= 67003 && c <= 67004)
                  : (c <= 67382 || (c >= 67392 && c <= 67413)))
                : (c <= 67431 || (c < 67463
                  ? (c >= 67456 && c <= 67461)
                  : c <= 67504)))))
            : (c <= 67514 || (c < 67680
              ? (c < 67639
                ? (c < 67592
                  ? (c >= 67584 && c <= 67589)
                  : (c <= 67592 || (c >= 67594 && c <= 67637)))
                : (c <= 67640 || (c < 67647
                  ? c == 67644
                  : c <= 67669)))
              : (c <= 67702 || (c < 67828
                ? (c < 67808
                  ? (c >= 67712 && c <= 67742)
                  : c <= 67826)
                : (c <= 67829 || (c < 67872
                  ? (c >= 67840 && c <= 67861)
                  : c <= 67883)))))))))))))));
}

static inline bool sym_rune_literal_character_set_1(int32_t c) {
  return (c < 'f'
    ? (c < '\\'
      ? (c < '\''
        ? c == '"'
        : c <= '\'')
      : (c <= '\\' || (c >= 'a' && c <= 'b')))
    : (c <= 'f' || (c < 't'
      ? (c < 'r'
        ? c == 'n'
        : c <= 'r')
      : (c <= 't' || c == 'v'))));
}

static bool ts_lex(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (eof) ADVANCE(77);
      if (lookahead == '!') ADVANCE(139);
      if (lookahead == '"') ADVANCE(165);
      if (lookahead == '#') ADVANCE(106);
      if (lookahead == '$') ADVANCE(93);
      if (lookahead == '%') ADVANCE(144);
      if (lookahead == '&') ADVANCE(121);
      if (lookahead == '\'') ADVANCE(24);
      if (lookahead == '(') ADVANCE(91);
      if (lookahead == ')') ADVANCE(92);
      if (lookahead == '*') ADVANCE(141);
      if (lookahead == '+') ADVANCE(132);
      if (lookahead == ',') ADVANCE(80);
      if (lookahead == '-') ADVANCE(135);
      if (lookahead == '.') ADVANCE(126);
      if (lookahead == '/') ADVANCE(97);
      if (lookahead == '0') ADVANCE(174);
      if (lookahead == ':') ADVANCE(83);
      if (lookahead == ';') ADVANCE(79);
      if (lookahead == '<') ADVANCE(153);
      if (lookahead == '=') ADVANCE(85);
      if (lookahead == '>') ADVANCE(158);
      if (lookahead == '?') ADVANCE(102);
      if (lookahead == '[') ADVANCE(98);
      if (lookahead == '\\') ADVANCE(23);
      if (lookahead == ']') ADVANCE(99);
      if (lookahead == '^') ADVANCE(101);
      if (sym_identifier_character_set_1(lookahead)) ADVANCE(163);
      if (lookahead == '`') ADVANCE(29);
      if (lookahead == '{') ADVANCE(89);
      if (lookahead == '|') ADVANCE(103);
      if (lookahead == '}') ADVANCE(90);
      if (lookahead == '~') ADVANCE(105);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(75)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(176);
      END_STATE();
    case 1:
      if (lookahead == '\n') ADVANCE(78);
      if (lookahead == '!') ADVANCE(20);
      if (lookahead == '%') ADVANCE(144);
      if (lookahead == '&') ADVANCE(121);
      if (lookahead == '(') ADVANCE(91);
      if (lookahead == '*') ADVANCE(141);
      if (lookahead == '+') ADVANCE(132);
      if (lookahead == ',') ADVANCE(80);
      if (lookahead == '-') ADVANCE(137);
      if (lookahead == '.') ADVANCE(124);
      if (lookahead == '/') ADVANCE(97);
      if (lookahead == ':') ADVANCE(83);
      if (lookahead == ';') ADVANCE(79);
      if (lookahead == '<') ADVANCE(155);
      if (lookahead == '=') ADVANCE(85);
      if (lookahead == '>') ADVANCE(158);
      if (lookahead == '[') ADVANCE(98);
      if (lookahead == '^') ADVANCE(101);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(163);
      if (lookahead == '{') ADVANCE(89);
      if (lookahead == '|') ADVANCE(103);
      if (lookahead == '}') ADVANCE(90);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(1)
      END_STATE();
    case 2:
      if (lookahead == '\n') ADVANCE(78);
      if (lookahead == '!') ADVANCE(20);
      if (lookahead == '%') ADVANCE(143);
      if (lookahead == '&') ADVANCE(122);
      if (lookahead == '(') ADVANCE(91);
      if (lookahead == '*') ADVANCE(140);
      if (lookahead == '+') ADVANCE(131);
      if (lookahead == ',') ADVANCE(80);
      if (lookahead == '-') ADVANCE(136);
      if (lookahead == '.') ADVANCE(124);
      if (lookahead == '/') ADVANCE(96);
      if (lookahead == ';') ADVANCE(79);
      if (lookahead == '<') ADVANCE(156);
      if (lookahead == '=') ADVANCE(22);
      if (lookahead == '>') ADVANCE(159);
      if (lookahead == '[') ADVANCE(98);
      if (lookahead == '^') ADVANCE(100);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(163);
      if (lookahead == '{') ADVANCE(89);
      if (lookahead == '|') ADVANCE(104);
      if (lookahead == '}') ADVANCE(90);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(2)
      END_STATE();
    case 3:
      if (lookahead == '\n') ADVANCE(78);
      if (lookahead == '!') ADVANCE(20);
      if (lookahead == '%') ADVANCE(143);
      if (lookahead == '&') ADVANCE(122);
      if (lookahead == '(') ADVANCE(91);
      if (lookahead == '*') ADVANCE(140);
      if (lookahead == '+') ADVANCE(131);
      if (lookahead == ',') ADVANCE(80);
      if (lookahead == '-') ADVANCE(133);
      if (lookahead == '.') ADVANCE(124);
      if (lookahead == '/') ADVANCE(96);
      if (lookahead == ';') ADVANCE(79);
      if (lookahead == '<') ADVANCE(156);
      if (lookahead == '=') ADVANCE(85);
      if (lookahead == '>') ADVANCE(159);
      if (lookahead == '[') ADVANCE(98);
      if (lookahead == '^') ADVANCE(100);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(163);
      if (lookahead == '{') ADVANCE(89);
      if (lookahead == '|') ADVANCE(104);
      if (lookahead == '}') ADVANCE(90);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(3)
      END_STATE();
    case 4:
      if (lookahead == '\n') SKIP(8)
      if (lookahead == '"') ADVANCE(165);
      if (lookahead == '/') ADVANCE(166);
      if (lookahead == '\\') ADVANCE(23);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(169);
      if (lookahead != 0) ADVANCE(170);
      END_STATE();
    case 5:
      if (lookahead == '!') ADVANCE(20);
      if (lookahead == '%') ADVANCE(144);
      if (lookahead == '&') ADVANCE(121);
      if (lookahead == '(') ADVANCE(91);
      if (lookahead == '*') ADVANCE(141);
      if (lookahead == '+') ADVANCE(132);
      if (lookahead == ',') ADVANCE(80);
      if (lookahead == '-') ADVANCE(137);
      if (lookahead == '.') ADVANCE(130);
      if (lookahead == '/') ADVANCE(97);
      if (lookahead == '0') ADVANCE(178);
      if (lookahead == ':') ADVANCE(21);
      if (lookahead == ';') ADVANCE(79);
      if (lookahead == '<') ADVANCE(155);
      if (lookahead == '=') ADVANCE(85);
      if (lookahead == '>') ADVANCE(158);
      if (lookahead == '[') ADVANCE(98);
      if (lookahead == '^') ADVANCE(101);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(163);
      if (lookahead == '{') ADVANCE(89);
      if (lookahead == '|') ADVANCE(103);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(5)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(180);
      END_STATE();
    case 6:
      if (lookahead == '!') ADVANCE(20);
      if (lookahead == '%') ADVANCE(143);
      if (lookahead == '&') ADVANCE(122);
      if (lookahead == '(') ADVANCE(91);
      if (lookahead == ')') ADVANCE(92);
      if (lookahead == '*') ADVANCE(140);
      if (lookahead == '+') ADVANCE(131);
      if (lookahead == ',') ADVANCE(80);
      if (lookahead == '-') ADVANCE(133);
      if (lookahead == '.') ADVANCE(128);
      if (lookahead == '/') ADVANCE(96);
      if (lookahead == ':') ADVANCE(82);
      if (lookahead == ';') ADVANCE(79);
      if (lookahead == '<') ADVANCE(156);
      if (lookahead == '=') ADVANCE(85);
      if (lookahead == '>') ADVANCE(159);
      if (lookahead == '[') ADVANCE(98);
      if (lookahead == ']') ADVANCE(99);
      if (lookahead == '^') ADVANCE(100);
      if (lookahead == '{') ADVANCE(89);
      if (lookahead == '|') ADVANCE(104);
      if (lookahead == '}') ADVANCE(90);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(6)
      END_STATE();
    case 7:
      if (lookahead == '!') ADVANCE(20);
      if (lookahead == '%') ADVANCE(143);
      if (lookahead == '&') ADVANCE(122);
      if (lookahead == '(') ADVANCE(91);
      if (lookahead == '*') ADVANCE(140);
      if (lookahead == '+') ADVANCE(131);
      if (lookahead == '-') ADVANCE(133);
      if (lookahead == '.') ADVANCE(125);
      if (lookahead == '/') ADVANCE(96);
      if (lookahead == '<') ADVANCE(156);
      if (lookahead == '=') ADVANCE(22);
      if (lookahead == '>') ADVANCE(159);
      if (lookahead == '[') ADVANCE(98);
      if (lookahead == '^') ADVANCE(100);
      if (lookahead == '{') ADVANCE(89);
      if (lookahead == '|') ADVANCE(104);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(7)
      END_STATE();
    case 8:
      if (lookahead == '"') ADVANCE(165);
      if (lookahead == '/') ADVANCE(10);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(8)
      END_STATE();
    case 9:
      if (lookahead == '\'') ADVANCE(193);
      END_STATE();
    case 10:
      if (lookahead == '*') ADVANCE(12);
      if (lookahead == '/') ADVANCE(195);
      END_STATE();
    case 11:
      if (lookahead == '*') ADVANCE(11);
      if (lookahead == '/') ADVANCE(194);
      if (lookahead != 0) ADVANCE(12);
      END_STATE();
    case 12:
      if (lookahead == '*') ADVANCE(11);
      if (lookahead != 0) ADVANCE(12);
      END_STATE();
    case 13:
      if (lookahead == '-') ADVANCE(142);
      END_STATE();
    case 14:
      if (lookahead == '-') ADVANCE(88);
      END_STATE();
    case 15:
      if (lookahead == '.') ADVANCE(189);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(30);
      if (lookahead == '_') ADVANCE(47);
      if (lookahead == 'i') ADVANCE(192);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(15);
      END_STATE();
    case 16:
      if (lookahead == '.') ADVANCE(191);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(31);
      if (lookahead == '_') ADVANCE(51);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(16);
      END_STATE();
    case 17:
      if (lookahead == '.') ADVANCE(123);
      END_STATE();
    case 18:
      if (lookahead == '.') ADVANCE(56);
      if (lookahead == '_') ADVANCE(55);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(177);
      END_STATE();
    case 19:
      if (lookahead == '.') ADVANCE(58);
      if (lookahead == '_') ADVANCE(57);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(181);
      END_STATE();
    case 20:
      if (lookahead == '=') ADVANCE(152);
      END_STATE();
    case 21:
      if (lookahead == '=') ADVANCE(86);
      END_STATE();
    case 22:
      if (lookahead == '=') ADVANCE(151);
      END_STATE();
    case 23:
      if (lookahead == 'U') ADVANCE(71);
      if (lookahead == 'u') ADVANCE(63);
      if (lookahead == 'x') ADVANCE(59);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(173);
      if (lookahead != 0) ADVANCE(171);
      END_STATE();
    case 24:
      if (lookahead == '\\') ADVANCE(44);
      if (lookahead != 0 &&
          lookahead != '\'') ADVANCE(9);
      END_STATE();
    case 25:
      if (lookahead == '_') ADVANCE(36);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(182);
      END_STATE();
    case 26:
      if (lookahead == '_') ADVANCE(41);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(183);
      END_STATE();
    case 27:
      if (lookahead == '_') ADVANCE(37);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(184);
      END_STATE();
    case 28:
      if (lookahead == '_') ADVANCE(42);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(185);
      END_STATE();
    case 29:
      if (lookahead == '`') ADVANCE(164);
      if (lookahead != 0) ADVANCE(29);
      END_STATE();
    case 30:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(48);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(186);
      END_STATE();
    case 31:
      if (lookahead == '+' ||
          lookahead == '-') ADVANCE(52);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(187);
      END_STATE();
    case 32:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(30);
      if (lookahead == '_') ADVANCE(56);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(32);
      END_STATE();
    case 33:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(30);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(32);
      END_STATE();
    case 34:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(31);
      if (lookahead == '_') ADVANCE(58);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(34);
      END_STATE();
    case 35:
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(31);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(34);
      END_STATE();
    case 36:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(182);
      END_STATE();
    case 37:
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(184);
      END_STATE();
    case 38:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(15);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(175);
      END_STATE();
    case 39:
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(16);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(179);
      END_STATE();
    case 40:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(9);
      END_STATE();
    case 41:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(183);
      END_STATE();
    case 42:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(185);
      END_STATE();
    case 43:
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(40);
      END_STATE();
    case 44:
      if (sym_rune_literal_character_set_1(lookahead)) ADVANCE(9);
      if (lookahead == 'U') ADVANCE(72);
      if (lookahead == 'u') ADVANCE(64);
      if (lookahead == 'x') ADVANCE(60);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(43);
      END_STATE();
    case 45:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(176);
      END_STATE();
    case 46:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(188);
      END_STATE();
    case 47:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(15);
      END_STATE();
    case 48:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(186);
      END_STATE();
    case 49:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(180);
      END_STATE();
    case 50:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(190);
      END_STATE();
    case 51:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(16);
      END_STATE();
    case 52:
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(187);
      END_STATE();
    case 53:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(9);
      END_STATE();
    case 54:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(171);
      END_STATE();
    case 55:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(177);
      END_STATE();
    case 56:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(32);
      END_STATE();
    case 57:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(181);
      END_STATE();
    case 58:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(34);
      END_STATE();
    case 59:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(54);
      END_STATE();
    case 60:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(53);
      END_STATE();
    case 61:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(59);
      END_STATE();
    case 62:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(60);
      END_STATE();
    case 63:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(61);
      END_STATE();
    case 64:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(62);
      END_STATE();
    case 65:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(63);
      END_STATE();
    case 66:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(64);
      END_STATE();
    case 67:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(65);
      END_STATE();
    case 68:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(66);
      END_STATE();
    case 69:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(67);
      END_STATE();
    case 70:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(68);
      END_STATE();
    case 71:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(69);
      END_STATE();
    case 72:
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(70);
      END_STATE();
    case 73:
      if (eof) ADVANCE(77);
      if (lookahead == '\n') ADVANCE(78);
      if (lookahead == '!') ADVANCE(139);
      if (lookahead == '"') ADVANCE(165);
      if (lookahead == '#') ADVANCE(106);
      if (lookahead == '%') ADVANCE(143);
      if (lookahead == '&') ADVANCE(122);
      if (lookahead == '\'') ADVANCE(24);
      if (lookahead == '(') ADVANCE(91);
      if (lookahead == '*') ADVANCE(140);
      if (lookahead == '+') ADVANCE(131);
      if (lookahead == ',') ADVANCE(80);
      if (lookahead == '-') ADVANCE(136);
      if (lookahead == '.') ADVANCE(129);
      if (lookahead == '/') ADVANCE(96);
      if (lookahead == '0') ADVANCE(174);
      if (lookahead == ';') ADVANCE(79);
      if (lookahead == '<') ADVANCE(154);
      if (lookahead == '=') ADVANCE(22);
      if (lookahead == '>') ADVANCE(159);
      if (lookahead == '[') ADVANCE(98);
      if (lookahead == '^') ADVANCE(100);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(163);
      if (lookahead == '`') ADVANCE(29);
      if (lookahead == '{') ADVANCE(89);
      if (lookahead == '|') ADVANCE(104);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(73)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(176);
      END_STATE();
    case 74:
      if (eof) ADVANCE(77);
      if (lookahead == '\n') ADVANCE(78);
      if (lookahead == '!') ADVANCE(138);
      if (lookahead == '"') ADVANCE(165);
      if (lookahead == '#') ADVANCE(106);
      if (lookahead == '&') ADVANCE(120);
      if (lookahead == '\'') ADVANCE(24);
      if (lookahead == '(') ADVANCE(91);
      if (lookahead == '*') ADVANCE(140);
      if (lookahead == '+') ADVANCE(131);
      if (lookahead == ',') ADVANCE(80);
      if (lookahead == '-') ADVANCE(136);
      if (lookahead == '.') ADVANCE(129);
      if (lookahead == '/') ADVANCE(10);
      if (lookahead == '0') ADVANCE(174);
      if (lookahead == ':') ADVANCE(82);
      if (lookahead == ';') ADVANCE(79);
      if (lookahead == '<') ADVANCE(13);
      if (lookahead == '=') ADVANCE(84);
      if (lookahead == '[') ADVANCE(98);
      if (lookahead == '^') ADVANCE(100);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(163);
      if (lookahead == '`') ADVANCE(29);
      if (lookahead == '{') ADVANCE(89);
      if (lookahead == '}') ADVANCE(90);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(74)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(176);
      END_STATE();
    case 75:
      if (eof) ADVANCE(77);
      if (lookahead == '!') ADVANCE(139);
      if (lookahead == '"') ADVANCE(165);
      if (lookahead == '#') ADVANCE(106);
      if (lookahead == '$') ADVANCE(93);
      if (lookahead == '%') ADVANCE(144);
      if (lookahead == '&') ADVANCE(121);
      if (lookahead == '\'') ADVANCE(24);
      if (lookahead == '(') ADVANCE(91);
      if (lookahead == ')') ADVANCE(92);
      if (lookahead == '*') ADVANCE(141);
      if (lookahead == '+') ADVANCE(132);
      if (lookahead == ',') ADVANCE(80);
      if (lookahead == '-') ADVANCE(135);
      if (lookahead == '.') ADVANCE(126);
      if (lookahead == '/') ADVANCE(97);
      if (lookahead == '0') ADVANCE(174);
      if (lookahead == ':') ADVANCE(83);
      if (lookahead == ';') ADVANCE(79);
      if (lookahead == '<') ADVANCE(153);
      if (lookahead == '=') ADVANCE(85);
      if (lookahead == '>') ADVANCE(158);
      if (lookahead == '?') ADVANCE(102);
      if (lookahead == '[') ADVANCE(98);
      if (lookahead == ']') ADVANCE(99);
      if (lookahead == '^') ADVANCE(101);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(163);
      if (lookahead == '`') ADVANCE(29);
      if (lookahead == '{') ADVANCE(89);
      if (lookahead == '|') ADVANCE(103);
      if (lookahead == '}') ADVANCE(90);
      if (lookahead == '~') ADVANCE(105);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(75)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(176);
      END_STATE();
    case 76:
      if (eof) ADVANCE(77);
      if (lookahead == '!') ADVANCE(138);
      if (lookahead == '"') ADVANCE(165);
      if (lookahead == '#') ADVANCE(106);
      if (lookahead == '$') ADVANCE(93);
      if (lookahead == '&') ADVANCE(120);
      if (lookahead == '\'') ADVANCE(24);
      if (lookahead == '(') ADVANCE(91);
      if (lookahead == ')') ADVANCE(92);
      if (lookahead == '*') ADVANCE(140);
      if (lookahead == '+') ADVANCE(131);
      if (lookahead == ',') ADVANCE(80);
      if (lookahead == '-') ADVANCE(134);
      if (lookahead == '.') ADVANCE(127);
      if (lookahead == '/') ADVANCE(10);
      if (lookahead == '0') ADVANCE(174);
      if (lookahead == ':') ADVANCE(82);
      if (lookahead == ';') ADVANCE(79);
      if (lookahead == '<') ADVANCE(13);
      if (lookahead == '?') ADVANCE(102);
      if (lookahead == '[') ADVANCE(98);
      if (lookahead == ']') ADVANCE(99);
      if (lookahead == '^') ADVANCE(100);
      if (sym_identifier_character_set_2(lookahead)) ADVANCE(163);
      if (lookahead == '`') ADVANCE(29);
      if (lookahead == '{') ADVANCE(89);
      if (lookahead == '}') ADVANCE(90);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(76)
      if (('1' <= lookahead && lookahead <= '9')) ADVANCE(176);
      END_STATE();
    case 77:
      ACCEPT_TOKEN(ts_builtin_sym_end);
      END_STATE();
    case 78:
      ACCEPT_TOKEN(anon_sym_LF);
      if (lookahead == '\n') ADVANCE(78);
      END_STATE();
    case 79:
      ACCEPT_TOKEN(anon_sym_SEMI);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_COMMA);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_COLON_COLON);
      END_STATE();
    case 82:
      ACCEPT_TOKEN(anon_sym_COLON);
      END_STATE();
    case 83:
      ACCEPT_TOKEN(anon_sym_COLON);
      if (lookahead == ':') ADVANCE(81);
      if (lookahead == '=') ADVANCE(86);
      END_STATE();
    case 84:
      ACCEPT_TOKEN(anon_sym_EQ);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_EQ);
      if (lookahead == '=') ADVANCE(151);
      END_STATE();
    case 86:
      ACCEPT_TOKEN(anon_sym_COLON_EQ);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_DASH_GT);
      END_STATE();
    case 88:
      ACCEPT_TOKEN(anon_sym_DASH_DASH_DASH);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_LBRACE);
      END_STATE();
    case 90:
      ACCEPT_TOKEN(anon_sym_RBRACE);
      END_STATE();
    case 91:
      ACCEPT_TOKEN(anon_sym_LPAREN);
      END_STATE();
    case 92:
      ACCEPT_TOKEN(anon_sym_RPAREN);
      END_STATE();
    case 93:
      ACCEPT_TOKEN(anon_sym_DOLLAR);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      END_STATE();
    case 95:
      ACCEPT_TOKEN(anon_sym_DOT_DOT);
      if (lookahead == '<') ADVANCE(118);
      if (lookahead == '=') ADVANCE(119);
      END_STATE();
    case 96:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(12);
      if (lookahead == '/') ADVANCE(195);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_SLASH);
      if (lookahead == '*') ADVANCE(12);
      if (lookahead == '/') ADVANCE(195);
      if (lookahead == '=') ADVANCE(108);
      END_STATE();
    case 98:
      ACCEPT_TOKEN(anon_sym_LBRACK);
      END_STATE();
    case 99:
      ACCEPT_TOKEN(anon_sym_RBRACK);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_CARET);
      END_STATE();
    case 101:
      ACCEPT_TOKEN(anon_sym_CARET);
      if (lookahead == '=') ADVANCE(117);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_QMARK);
      END_STATE();
    case 103:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '=') ADVANCE(116);
      if (lookahead == '|') ADVANCE(162);
      END_STATE();
    case 104:
      ACCEPT_TOKEN(anon_sym_PIPE);
      if (lookahead == '|') ADVANCE(162);
      END_STATE();
    case 105:
      ACCEPT_TOKEN(anon_sym_TILDE);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(anon_sym_POUND);
      END_STATE();
    case 107:
      ACCEPT_TOKEN(anon_sym_STAR_EQ);
      END_STATE();
    case 108:
      ACCEPT_TOKEN(anon_sym_SLASH_EQ);
      END_STATE();
    case 109:
      ACCEPT_TOKEN(anon_sym_PERCENT_EQ);
      END_STATE();
    case 110:
      ACCEPT_TOKEN(anon_sym_LT_LT_EQ);
      END_STATE();
    case 111:
      ACCEPT_TOKEN(anon_sym_GT_GT_EQ);
      END_STATE();
    case 112:
      ACCEPT_TOKEN(anon_sym_AMP_EQ);
      END_STATE();
    case 113:
      ACCEPT_TOKEN(anon_sym_AMP_CARET_EQ);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_PLUS_EQ);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_DASH_EQ);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_PIPE_EQ);
      END_STATE();
    case 117:
      ACCEPT_TOKEN(anon_sym_CARET_EQ);
      END_STATE();
    case 118:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_LT);
      END_STATE();
    case 119:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_EQ);
      END_STATE();
    case 120:
      ACCEPT_TOKEN(anon_sym_AMP);
      END_STATE();
    case 121:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(161);
      if (lookahead == '=') ADVANCE(112);
      if (lookahead == '^') ADVANCE(150);
      END_STATE();
    case 122:
      ACCEPT_TOKEN(anon_sym_AMP);
      if (lookahead == '&') ADVANCE(161);
      if (lookahead == '^') ADVANCE(149);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_DOT_DOT_DOT);
      END_STATE();
    case 124:
      ACCEPT_TOKEN(anon_sym_DOT);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(95);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(95);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(188);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(94);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(188);
      END_STATE();
    case 128:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (lookahead == '.') ADVANCE(17);
      END_STATE();
    case 129:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(188);
      END_STATE();
    case 130:
      ACCEPT_TOKEN(anon_sym_DOT);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(190);
      END_STATE();
    case 131:
      ACCEPT_TOKEN(anon_sym_PLUS);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_PLUS);
      if (lookahead == '=') ADVANCE(114);
      END_STATE();
    case 133:
      ACCEPT_TOKEN(anon_sym_DASH);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(14);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(14);
      if (lookahead == '=') ADVANCE(115);
      if (lookahead == '>') ADVANCE(87);
      END_STATE();
    case 136:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '-') ADVANCE(14);
      if (lookahead == '>') ADVANCE(87);
      END_STATE();
    case 137:
      ACCEPT_TOKEN(anon_sym_DASH);
      if (lookahead == '=') ADVANCE(115);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_BANG);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_BANG);
      if (lookahead == '=') ADVANCE(152);
      END_STATE();
    case 140:
      ACCEPT_TOKEN(anon_sym_STAR);
      END_STATE();
    case 141:
      ACCEPT_TOKEN(anon_sym_STAR);
      if (lookahead == '=') ADVANCE(107);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_LT_DASH);
      END_STATE();
    case 143:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_PERCENT);
      if (lookahead == '=') ADVANCE(109);
      END_STATE();
    case 145:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_LT_LT);
      if (lookahead == '=') ADVANCE(110);
      END_STATE();
    case 147:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      END_STATE();
    case 148:
      ACCEPT_TOKEN(anon_sym_GT_GT);
      if (lookahead == '=') ADVANCE(111);
      END_STATE();
    case 149:
      ACCEPT_TOKEN(anon_sym_AMP_CARET);
      END_STATE();
    case 150:
      ACCEPT_TOKEN(anon_sym_AMP_CARET);
      if (lookahead == '=') ADVANCE(113);
      END_STATE();
    case 151:
      ACCEPT_TOKEN(anon_sym_EQ_EQ);
      END_STATE();
    case 152:
      ACCEPT_TOKEN(anon_sym_BANG_EQ);
      END_STATE();
    case 153:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '-') ADVANCE(142);
      if (lookahead == '<') ADVANCE(146);
      if (lookahead == '=') ADVANCE(157);
      END_STATE();
    case 154:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '-') ADVANCE(142);
      if (lookahead == '<') ADVANCE(145);
      if (lookahead == '=') ADVANCE(157);
      END_STATE();
    case 155:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(146);
      if (lookahead == '=') ADVANCE(157);
      END_STATE();
    case 156:
      ACCEPT_TOKEN(anon_sym_LT);
      if (lookahead == '<') ADVANCE(145);
      if (lookahead == '=') ADVANCE(157);
      END_STATE();
    case 157:
      ACCEPT_TOKEN(anon_sym_LT_EQ);
      END_STATE();
    case 158:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(160);
      if (lookahead == '>') ADVANCE(148);
      END_STATE();
    case 159:
      ACCEPT_TOKEN(anon_sym_GT);
      if (lookahead == '=') ADVANCE(160);
      if (lookahead == '>') ADVANCE(147);
      END_STATE();
    case 160:
      ACCEPT_TOKEN(anon_sym_GT_EQ);
      END_STATE();
    case 161:
      ACCEPT_TOKEN(anon_sym_AMP_AMP);
      END_STATE();
    case 162:
      ACCEPT_TOKEN(anon_sym_PIPE_PIPE);
      END_STATE();
    case 163:
      ACCEPT_TOKEN(sym_identifier);
      if (sym_identifier_character_set_3(lookahead)) ADVANCE(163);
      END_STATE();
    case 164:
      ACCEPT_TOKEN(sym_raw_string_literal);
      END_STATE();
    case 165:
      ACCEPT_TOKEN(anon_sym_DQUOTE);
      END_STATE();
    case 166:
      ACCEPT_TOKEN(sym__interpreted_string_literal_basic_content);
      if (lookahead == '*') ADVANCE(168);
      if (lookahead == '/') ADVANCE(170);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(170);
      END_STATE();
    case 167:
      ACCEPT_TOKEN(sym__interpreted_string_literal_basic_content);
      if (lookahead == '*') ADVANCE(167);
      if (lookahead == '/') ADVANCE(170);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(168);
      END_STATE();
    case 168:
      ACCEPT_TOKEN(sym__interpreted_string_literal_basic_content);
      if (lookahead == '*') ADVANCE(167);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(168);
      END_STATE();
    case 169:
      ACCEPT_TOKEN(sym__interpreted_string_literal_basic_content);
      if (lookahead == '/') ADVANCE(166);
      if (lookahead == '\t' ||
          lookahead == '\r' ||
          lookahead == ' ') ADVANCE(169);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(170);
      END_STATE();
    case 170:
      ACCEPT_TOKEN(sym__interpreted_string_literal_basic_content);
      if (lookahead != 0 &&
          lookahead != '\n' &&
          lookahead != '"' &&
          lookahead != '\\') ADVANCE(170);
      END_STATE();
    case 171:
      ACCEPT_TOKEN(sym_escape_sequence);
      END_STATE();
    case 172:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(171);
      END_STATE();
    case 173:
      ACCEPT_TOKEN(sym_escape_sequence);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(172);
      END_STATE();
    case 174:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.') ADVANCE(189);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(25);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(30);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(26);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(18);
      if (lookahead == '_') ADVANCE(38);
      if (lookahead == 'i') ADVANCE(192);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(15);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(175);
      END_STATE();
    case 175:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.') ADVANCE(189);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(30);
      if (lookahead == '_') ADVANCE(38);
      if (lookahead == 'i') ADVANCE(192);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(15);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(175);
      END_STATE();
    case 176:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.') ADVANCE(189);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(30);
      if (lookahead == '_') ADVANCE(45);
      if (lookahead == 'i') ADVANCE(192);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(176);
      END_STATE();
    case 177:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.') ADVANCE(33);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(30);
      if (lookahead == '_') ADVANCE(55);
      if (lookahead == 'i') ADVANCE(192);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(177);
      END_STATE();
    case 178:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.') ADVANCE(191);
      if (lookahead == 'B' ||
          lookahead == 'b') ADVANCE(27);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(31);
      if (lookahead == 'O' ||
          lookahead == 'o') ADVANCE(28);
      if (lookahead == 'X' ||
          lookahead == 'x') ADVANCE(19);
      if (lookahead == '_') ADVANCE(39);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(16);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(179);
      END_STATE();
    case 179:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.') ADVANCE(191);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(31);
      if (lookahead == '_') ADVANCE(39);
      if (lookahead == '8' ||
          lookahead == '9') ADVANCE(16);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(179);
      END_STATE();
    case 180:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.') ADVANCE(191);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(31);
      if (lookahead == '_') ADVANCE(49);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(180);
      END_STATE();
    case 181:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '.') ADVANCE(35);
      if (lookahead == 'P' ||
          lookahead == 'p') ADVANCE(31);
      if (lookahead == '_') ADVANCE(57);
      if (('0' <= lookahead && lookahead <= '9') ||
          ('A' <= lookahead && lookahead <= 'F') ||
          ('a' <= lookahead && lookahead <= 'f')) ADVANCE(181);
      END_STATE();
    case 182:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '_') ADVANCE(36);
      if (lookahead == 'i') ADVANCE(192);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(182);
      END_STATE();
    case 183:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '_') ADVANCE(41);
      if (lookahead == 'i') ADVANCE(192);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(183);
      END_STATE();
    case 184:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '_') ADVANCE(37);
      if (lookahead == '0' ||
          lookahead == '1') ADVANCE(184);
      END_STATE();
    case 185:
      ACCEPT_TOKEN(sym_int_literal);
      if (lookahead == '_') ADVANCE(42);
      if (('0' <= lookahead && lookahead <= '7')) ADVANCE(185);
      END_STATE();
    case 186:
      ACCEPT_TOKEN(sym_float_literal);
      if (lookahead == '_') ADVANCE(48);
      if (lookahead == 'i') ADVANCE(192);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(186);
      END_STATE();
    case 187:
      ACCEPT_TOKEN(sym_float_literal);
      if (lookahead == '_') ADVANCE(52);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(187);
      END_STATE();
    case 188:
      ACCEPT_TOKEN(sym_float_literal);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(30);
      if (lookahead == '_') ADVANCE(46);
      if (lookahead == 'i') ADVANCE(192);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(188);
      END_STATE();
    case 189:
      ACCEPT_TOKEN(sym_float_literal);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(30);
      if (lookahead == 'i') ADVANCE(192);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(188);
      END_STATE();
    case 190:
      ACCEPT_TOKEN(sym_float_literal);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(31);
      if (lookahead == '_') ADVANCE(50);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(190);
      END_STATE();
    case 191:
      ACCEPT_TOKEN(sym_float_literal);
      if (lookahead == 'E' ||
          lookahead == 'e') ADVANCE(31);
      if (('0' <= lookahead && lookahead <= '9')) ADVANCE(190);
      END_STATE();
    case 192:
      ACCEPT_TOKEN(sym_imaginary_literal);
      END_STATE();
    case 193:
      ACCEPT_TOKEN(sym_rune_literal);
      END_STATE();
    case 194:
      ACCEPT_TOKEN(sym_comment);
      END_STATE();
    case 195:
      ACCEPT_TOKEN(sym_comment);
      if (lookahead != 0 &&
          lookahead != '\n') ADVANCE(195);
      END_STATE();
    default:
      return false;
  }
}

static bool ts_lex_keywords(TSLexer *lexer, TSStateId state) {
  START_LEXER();
  eof = lexer->eof(lexer);
  switch (state) {
    case 0:
      if (lookahead == 'a') ADVANCE(1);
      if (lookahead == 'b') ADVANCE(2);
      if (lookahead == 'c') ADVANCE(3);
      if (lookahead == 'd') ADVANCE(4);
      if (lookahead == 'e') ADVANCE(5);
      if (lookahead == 'f') ADVANCE(6);
      if (lookahead == 'i') ADVANCE(7);
      if (lookahead == 'm') ADVANCE(8);
      if (lookahead == 'n') ADVANCE(9);
      if (lookahead == 'p') ADVANCE(10);
      if (lookahead == 'r') ADVANCE(11);
      if (lookahead == 's') ADVANCE(12);
      if (lookahead == 't') ADVANCE(13);
      if (lookahead == 'u') ADVANCE(14);
      if (lookahead == 'w') ADVANCE(15);
      if (lookahead == '\t' ||
          lookahead == '\n' ||
          lookahead == '\r' ||
          lookahead == ' ') SKIP(0)
      END_STATE();
    case 1:
      if (lookahead == 'n') ADVANCE(16);
      if (lookahead == 'u') ADVANCE(17);
      END_STATE();
    case 2:
      if (lookahead == 'r') ADVANCE(18);
      END_STATE();
    case 3:
      if (lookahead == 'a') ADVANCE(19);
      if (lookahead == 'o') ADVANCE(20);
      END_STATE();
    case 4:
      if (lookahead == 'e') ADVANCE(21);
      if (lookahead == 'i') ADVANCE(22);
      if (lookahead == 'y') ADVANCE(23);
      END_STATE();
    case 5:
      if (lookahead == 'l') ADVANCE(24);
      if (lookahead == 'n') ADVANCE(25);
      END_STATE();
    case 6:
      if (lookahead == 'a') ADVANCE(26);
      if (lookahead == 'o') ADVANCE(27);
      if (lookahead == 'u') ADVANCE(28);
      END_STATE();
    case 7:
      if (lookahead == 'f') ADVANCE(29);
      if (lookahead == 'm') ADVANCE(30);
      if (lookahead == 'n') ADVANCE(31);
      END_STATE();
    case 8:
      if (lookahead == 'a') ADVANCE(32);
      END_STATE();
    case 9:
      if (lookahead == 'e') ADVANCE(33);
      if (lookahead == 'i') ADVANCE(34);
      END_STATE();
    case 10:
      if (lookahead == 'a') ADVANCE(35);
      if (lookahead == 'r') ADVANCE(36);
      END_STATE();
    case 11:
      if (lookahead == 'e') ADVANCE(37);
      END_STATE();
    case 12:
      if (lookahead == 't') ADVANCE(38);
      if (lookahead == 'w') ADVANCE(39);
      END_STATE();
    case 13:
      if (lookahead == 'r') ADVANCE(40);
      END_STATE();
    case 14:
      if (lookahead == 'n') ADVANCE(41);
      if (lookahead == 's') ADVANCE(42);
      END_STATE();
    case 15:
      if (lookahead == 'h') ADVANCE(43);
      END_STATE();
    case 16:
      if (lookahead == 'y') ADVANCE(44);
      END_STATE();
    case 17:
      if (lookahead == 't') ADVANCE(45);
      END_STATE();
    case 18:
      if (lookahead == 'e') ADVANCE(46);
      END_STATE();
    case 19:
      if (lookahead == 's') ADVANCE(47);
      END_STATE();
    case 20:
      if (lookahead == 'n') ADVANCE(48);
      END_STATE();
    case 21:
      if (lookahead == 'f') ADVANCE(49);
      END_STATE();
    case 22:
      if (lookahead == 's') ADVANCE(50);
      END_STATE();
    case 23:
      if (lookahead == 'n') ADVANCE(51);
      END_STATE();
    case 24:
      if (lookahead == 's') ADVANCE(52);
      END_STATE();
    case 25:
      if (lookahead == 'u') ADVANCE(53);
      END_STATE();
    case 26:
      if (lookahead == 'l') ADVANCE(54);
      END_STATE();
    case 27:
      if (lookahead == 'r') ADVANCE(55);
      END_STATE();
    case 28:
      if (lookahead == 'n') ADVANCE(56);
      END_STATE();
    case 29:
      ACCEPT_TOKEN(anon_sym_if);
      END_STATE();
    case 30:
      if (lookahead == 'p') ADVANCE(57);
      END_STATE();
    case 31:
      ACCEPT_TOKEN(anon_sym_in);
      END_STATE();
    case 32:
      if (lookahead == 'k') ADVANCE(58);
      if (lookahead == 'p') ADVANCE(59);
      END_STATE();
    case 33:
      if (lookahead == 'w') ADVANCE(60);
      END_STATE();
    case 34:
      if (lookahead == 'l') ADVANCE(61);
      END_STATE();
    case 35:
      if (lookahead == 'c') ADVANCE(62);
      END_STATE();
    case 36:
      if (lookahead == 'o') ADVANCE(63);
      END_STATE();
    case 37:
      if (lookahead == 't') ADVANCE(64);
      END_STATE();
    case 38:
      if (lookahead == 'r') ADVANCE(65);
      END_STATE();
    case 39:
      if (lookahead == 'i') ADVANCE(66);
      END_STATE();
    case 40:
      if (lookahead == 'a') ADVANCE(67);
      if (lookahead == 'u') ADVANCE(68);
      END_STATE();
    case 41:
      if (lookahead == 'i') ADVANCE(69);
      END_STATE();
    case 42:
      if (lookahead == 'i') ADVANCE(70);
      END_STATE();
    case 43:
      if (lookahead == 'e') ADVANCE(71);
      END_STATE();
    case 44:
      ACCEPT_TOKEN(anon_sym_any);
      END_STATE();
    case 45:
      if (lookahead == 'o') ADVANCE(72);
      END_STATE();
    case 46:
      if (lookahead == 'a') ADVANCE(73);
      END_STATE();
    case 47:
      if (lookahead == 'e') ADVANCE(74);
      if (lookahead == 't') ADVANCE(75);
      END_STATE();
    case 48:
      if (lookahead == 't') ADVANCE(76);
      END_STATE();
    case 49:
      if (lookahead == 'e') ADVANCE(77);
      END_STATE();
    case 50:
      if (lookahead == 't') ADVANCE(78);
      END_STATE();
    case 51:
      if (lookahead == 'a') ADVANCE(79);
      END_STATE();
    case 52:
      if (lookahead == 'e') ADVANCE(80);
      END_STATE();
    case 53:
      if (lookahead == 'm') ADVANCE(81);
      END_STATE();
    case 54:
      if (lookahead == 'l') ADVANCE(82);
      if (lookahead == 's') ADVANCE(83);
      END_STATE();
    case 55:
      ACCEPT_TOKEN(anon_sym_for);
      if (lookahead == 'e') ADVANCE(84);
      END_STATE();
    case 56:
      if (lookahead == 'c') ADVANCE(85);
      END_STATE();
    case 57:
      if (lookahead == 'o') ADVANCE(86);
      END_STATE();
    case 58:
      if (lookahead == 'e') ADVANCE(87);
      END_STATE();
    case 59:
      ACCEPT_TOKEN(anon_sym_map);
      END_STATE();
    case 60:
      ACCEPT_TOKEN(anon_sym_new);
      END_STATE();
    case 61:
      ACCEPT_TOKEN(sym_nil);
      END_STATE();
    case 62:
      if (lookahead == 'k') ADVANCE(88);
      END_STATE();
    case 63:
      if (lookahead == 'c') ADVANCE(89);
      END_STATE();
    case 64:
      if (lookahead == 'u') ADVANCE(90);
      END_STATE();
    case 65:
      if (lookahead == 'u') ADVANCE(91);
      END_STATE();
    case 66:
      if (lookahead == 't') ADVANCE(92);
      END_STATE();
    case 67:
      if (lookahead == 'n') ADVANCE(93);
      END_STATE();
    case 68:
      if (lookahead == 'e') ADVANCE(94);
      END_STATE();
    case 69:
      if (lookahead == 'o') ADVANCE(95);
      END_STATE();
    case 70:
      if (lookahead == 'n') ADVANCE(96);
      END_STATE();
    case 71:
      if (lookahead == 'n') ADVANCE(97);
      if (lookahead == 'r') ADVANCE(98);
      END_STATE();
    case 72:
      if (lookahead == '_') ADVANCE(99);
      END_STATE();
    case 73:
      if (lookahead == 'k') ADVANCE(100);
      END_STATE();
    case 74:
      ACCEPT_TOKEN(anon_sym_case);
      END_STATE();
    case 75:
      ACCEPT_TOKEN(anon_sym_cast);
      END_STATE();
    case 76:
      if (lookahead == 'i') ADVANCE(101);
      END_STATE();
    case 77:
      if (lookahead == 'r') ADVANCE(102);
      END_STATE();
    case 78:
      if (lookahead == 'i') ADVANCE(103);
      END_STATE();
    case 79:
      if (lookahead == 'm') ADVANCE(104);
      END_STATE();
    case 80:
      ACCEPT_TOKEN(anon_sym_else);
      END_STATE();
    case 81:
      ACCEPT_TOKEN(anon_sym_enum);
      END_STATE();
    case 82:
      if (lookahead == 't') ADVANCE(105);
      END_STATE();
    case 83:
      if (lookahead == 'e') ADVANCE(106);
      END_STATE();
    case 84:
      if (lookahead == 'i') ADVANCE(107);
      END_STATE();
    case 85:
      ACCEPT_TOKEN(anon_sym_func);
      END_STATE();
    case 86:
      if (lookahead == 'r') ADVANCE(108);
      END_STATE();
    case 87:
      ACCEPT_TOKEN(anon_sym_make);
      END_STATE();
    case 88:
      if (lookahead == 'a') ADVANCE(109);
      END_STATE();
    case 89:
      ACCEPT_TOKEN(anon_sym_proc);
      END_STATE();
    case 90:
      if (lookahead == 'r') ADVANCE(110);
      END_STATE();
    case 91:
      if (lookahead == 'c') ADVANCE(111);
      END_STATE();
    case 92:
      if (lookahead == 'c') ADVANCE(112);
      END_STATE();
    case 93:
      if (lookahead == 's') ADVANCE(113);
      END_STATE();
    case 94:
      ACCEPT_TOKEN(sym_true);
      END_STATE();
    case 95:
      if (lookahead == 'n') ADVANCE(114);
      END_STATE();
    case 96:
      if (lookahead == 'g') ADVANCE(115);
      END_STATE();
    case 97:
      ACCEPT_TOKEN(anon_sym_when);
      END_STATE();
    case 98:
      if (lookahead == 'e') ADVANCE(116);
      END_STATE();
    case 99:
      if (lookahead == 'c') ADVANCE(117);
      END_STATE();
    case 100:
      ACCEPT_TOKEN(anon_sym_break);
      END_STATE();
    case 101:
      if (lookahead == 'n') ADVANCE(118);
      END_STATE();
    case 102:
      ACCEPT_TOKEN(anon_sym_defer);
      END_STATE();
    case 103:
      if (lookahead == 'n') ADVANCE(119);
      END_STATE();
    case 104:
      if (lookahead == 'i') ADVANCE(120);
      END_STATE();
    case 105:
      if (lookahead == 'h') ADVANCE(121);
      END_STATE();
    case 106:
      ACCEPT_TOKEN(sym_false);
      END_STATE();
    case 107:
      if (lookahead == 'g') ADVANCE(122);
      END_STATE();
    case 108:
      if (lookahead == 't') ADVANCE(123);
      END_STATE();
    case 109:
      if (lookahead == 'g') ADVANCE(124);
      END_STATE();
    case 110:
      if (lookahead == 'n') ADVANCE(125);
      END_STATE();
    case 111:
      if (lookahead == 't') ADVANCE(126);
      END_STATE();
    case 112:
      if (lookahead == 'h') ADVANCE(127);
      END_STATE();
    case 113:
      if (lookahead == 'm') ADVANCE(128);
      END_STATE();
    case 114:
      ACCEPT_TOKEN(anon_sym_union);
      END_STATE();
    case 115:
      ACCEPT_TOKEN(anon_sym_using);
      END_STATE();
    case 116:
      ACCEPT_TOKEN(anon_sym_where);
      END_STATE();
    case 117:
      if (lookahead == 'a') ADVANCE(129);
      END_STATE();
    case 118:
      if (lookahead == 'u') ADVANCE(130);
      END_STATE();
    case 119:
      if (lookahead == 'c') ADVANCE(131);
      END_STATE();
    case 120:
      if (lookahead == 'c') ADVANCE(132);
      END_STATE();
    case 121:
      if (lookahead == 'r') ADVANCE(133);
      END_STATE();
    case 122:
      if (lookahead == 'n') ADVANCE(134);
      END_STATE();
    case 123:
      ACCEPT_TOKEN(anon_sym_import);
      END_STATE();
    case 124:
      if (lookahead == 'e') ADVANCE(135);
      END_STATE();
    case 125:
      ACCEPT_TOKEN(anon_sym_return);
      END_STATE();
    case 126:
      ACCEPT_TOKEN(anon_sym_struct);
      END_STATE();
    case 127:
      ACCEPT_TOKEN(anon_sym_switch);
      END_STATE();
    case 128:
      if (lookahead == 'u') ADVANCE(136);
      END_STATE();
    case 129:
      if (lookahead == 's') ADVANCE(137);
      END_STATE();
    case 130:
      if (lookahead == 'e') ADVANCE(138);
      END_STATE();
    case 131:
      if (lookahead == 't') ADVANCE(139);
      END_STATE();
    case 132:
      ACCEPT_TOKEN(anon_sym_dynamic);
      END_STATE();
    case 133:
      if (lookahead == 'o') ADVANCE(140);
      END_STATE();
    case 134:
      ACCEPT_TOKEN(anon_sym_foreign);
      END_STATE();
    case 135:
      ACCEPT_TOKEN(anon_sym_package);
      END_STATE();
    case 136:
      if (lookahead == 't') ADVANCE(141);
      END_STATE();
    case 137:
      if (lookahead == 't') ADVANCE(142);
      END_STATE();
    case 138:
      ACCEPT_TOKEN(anon_sym_continue);
      END_STATE();
    case 139:
      ACCEPT_TOKEN(anon_sym_distinct);
      END_STATE();
    case 140:
      if (lookahead == 'u') ADVANCE(143);
      END_STATE();
    case 141:
      if (lookahead == 'e') ADVANCE(144);
      END_STATE();
    case 142:
      ACCEPT_TOKEN(anon_sym_auto_cast);
      END_STATE();
    case 143:
      if (lookahead == 'g') ADVANCE(145);
      END_STATE();
    case 144:
      ACCEPT_TOKEN(anon_sym_transmute);
      END_STATE();
    case 145:
      if (lookahead == 'h') ADVANCE(146);
      END_STATE();
    case 146:
      ACCEPT_TOKEN(anon_sym_fallthrough);
      END_STATE();
    default:
      return false;
  }
}

static const TSLexMode ts_lex_modes[STATE_COUNT] = {
  [0] = {.lex_state = 0},
  [1] = {.lex_state = 76},
  [2] = {.lex_state = 76},
  [3] = {.lex_state = 76},
  [4] = {.lex_state = 76},
  [5] = {.lex_state = 76},
  [6] = {.lex_state = 76},
  [7] = {.lex_state = 76},
  [8] = {.lex_state = 76},
  [9] = {.lex_state = 76},
  [10] = {.lex_state = 76},
  [11] = {.lex_state = 76},
  [12] = {.lex_state = 76},
  [13] = {.lex_state = 76},
  [14] = {.lex_state = 76},
  [15] = {.lex_state = 76},
  [16] = {.lex_state = 76},
  [17] = {.lex_state = 76},
  [18] = {.lex_state = 76},
  [19] = {.lex_state = 76},
  [20] = {.lex_state = 76},
  [21] = {.lex_state = 76},
  [22] = {.lex_state = 74},
  [23] = {.lex_state = 76},
  [24] = {.lex_state = 76},
  [25] = {.lex_state = 76},
  [26] = {.lex_state = 76},
  [27] = {.lex_state = 76},
  [28] = {.lex_state = 76},
  [29] = {.lex_state = 76},
  [30] = {.lex_state = 76},
  [31] = {.lex_state = 76},
  [32] = {.lex_state = 76},
  [33] = {.lex_state = 76},
  [34] = {.lex_state = 76},
  [35] = {.lex_state = 76},
  [36] = {.lex_state = 76},
  [37] = {.lex_state = 76},
  [38] = {.lex_state = 76},
  [39] = {.lex_state = 73},
  [40] = {.lex_state = 76},
  [41] = {.lex_state = 76},
  [42] = {.lex_state = 76},
  [43] = {.lex_state = 76},
  [44] = {.lex_state = 76},
  [45] = {.lex_state = 76},
  [46] = {.lex_state = 76},
  [47] = {.lex_state = 76},
  [48] = {.lex_state = 76},
  [49] = {.lex_state = 76},
  [50] = {.lex_state = 76},
  [51] = {.lex_state = 73},
  [52] = {.lex_state = 76},
  [53] = {.lex_state = 76},
  [54] = {.lex_state = 76},
  [55] = {.lex_state = 76},
  [56] = {.lex_state = 76},
  [57] = {.lex_state = 76},
  [58] = {.lex_state = 74},
  [59] = {.lex_state = 76},
  [60] = {.lex_state = 73},
  [61] = {.lex_state = 73},
  [62] = {.lex_state = 73},
  [63] = {.lex_state = 76},
  [64] = {.lex_state = 76},
  [65] = {.lex_state = 76},
  [66] = {.lex_state = 76},
  [67] = {.lex_state = 76},
  [68] = {.lex_state = 76},
  [69] = {.lex_state = 73},
  [70] = {.lex_state = 76},
  [71] = {.lex_state = 76},
  [72] = {.lex_state = 76},
  [73] = {.lex_state = 73},
  [74] = {.lex_state = 76},
  [75] = {.lex_state = 76},
  [76] = {.lex_state = 76},
  [77] = {.lex_state = 76},
  [78] = {.lex_state = 73},
  [79] = {.lex_state = 76},
  [80] = {.lex_state = 73},
  [81] = {.lex_state = 73},
  [82] = {.lex_state = 74},
  [83] = {.lex_state = 73},
  [84] = {.lex_state = 73},
  [85] = {.lex_state = 76},
  [86] = {.lex_state = 73},
  [87] = {.lex_state = 76},
  [88] = {.lex_state = 76},
  [89] = {.lex_state = 76},
  [90] = {.lex_state = 76},
  [91] = {.lex_state = 76},
  [92] = {.lex_state = 76},
  [93] = {.lex_state = 76},
  [94] = {.lex_state = 76},
  [95] = {.lex_state = 76},
  [96] = {.lex_state = 76},
  [97] = {.lex_state = 76},
  [98] = {.lex_state = 76},
  [99] = {.lex_state = 76},
  [100] = {.lex_state = 76},
  [101] = {.lex_state = 76},
  [102] = {.lex_state = 76},
  [103] = {.lex_state = 76},
  [104] = {.lex_state = 76},
  [105] = {.lex_state = 76},
  [106] = {.lex_state = 76},
  [107] = {.lex_state = 76},
  [108] = {.lex_state = 76},
  [109] = {.lex_state = 76},
  [110] = {.lex_state = 76},
  [111] = {.lex_state = 76},
  [112] = {.lex_state = 76},
  [113] = {.lex_state = 76},
  [114] = {.lex_state = 76},
  [115] = {.lex_state = 76},
  [116] = {.lex_state = 76},
  [117] = {.lex_state = 76},
  [118] = {.lex_state = 76},
  [119] = {.lex_state = 76},
  [120] = {.lex_state = 76},
  [121] = {.lex_state = 76},
  [122] = {.lex_state = 76},
  [123] = {.lex_state = 76},
  [124] = {.lex_state = 76},
  [125] = {.lex_state = 76},
  [126] = {.lex_state = 76},
  [127] = {.lex_state = 76},
  [128] = {.lex_state = 76},
  [129] = {.lex_state = 76},
  [130] = {.lex_state = 76},
  [131] = {.lex_state = 76},
  [132] = {.lex_state = 76},
  [133] = {.lex_state = 76},
  [134] = {.lex_state = 76},
  [135] = {.lex_state = 76},
  [136] = {.lex_state = 76},
  [137] = {.lex_state = 76},
  [138] = {.lex_state = 76},
  [139] = {.lex_state = 76},
  [140] = {.lex_state = 76},
  [141] = {.lex_state = 76},
  [142] = {.lex_state = 73},
  [143] = {.lex_state = 76},
  [144] = {.lex_state = 76},
  [145] = {.lex_state = 76},
  [146] = {.lex_state = 76},
  [147] = {.lex_state = 76},
  [148] = {.lex_state = 76},
  [149] = {.lex_state = 76},
  [150] = {.lex_state = 76},
  [151] = {.lex_state = 76},
  [152] = {.lex_state = 76},
  [153] = {.lex_state = 76},
  [154] = {.lex_state = 76},
  [155] = {.lex_state = 76},
  [156] = {.lex_state = 76},
  [157] = {.lex_state = 76},
  [158] = {.lex_state = 76},
  [159] = {.lex_state = 76},
  [160] = {.lex_state = 76},
  [161] = {.lex_state = 76},
  [162] = {.lex_state = 76},
  [163] = {.lex_state = 76},
  [164] = {.lex_state = 76},
  [165] = {.lex_state = 76},
  [166] = {.lex_state = 76},
  [167] = {.lex_state = 73},
  [168] = {.lex_state = 76},
  [169] = {.lex_state = 73},
  [170] = {.lex_state = 76},
  [171] = {.lex_state = 76},
  [172] = {.lex_state = 76},
  [173] = {.lex_state = 76},
  [174] = {.lex_state = 76},
  [175] = {.lex_state = 76},
  [176] = {.lex_state = 76},
  [177] = {.lex_state = 76},
  [178] = {.lex_state = 76},
  [179] = {.lex_state = 76},
  [180] = {.lex_state = 76},
  [181] = {.lex_state = 76},
  [182] = {.lex_state = 76},
  [183] = {.lex_state = 76},
  [184] = {.lex_state = 76},
  [185] = {.lex_state = 73},
  [186] = {.lex_state = 76},
  [187] = {.lex_state = 73},
  [188] = {.lex_state = 76},
  [189] = {.lex_state = 73},
  [190] = {.lex_state = 76},
  [191] = {.lex_state = 73},
  [192] = {.lex_state = 76},
  [193] = {.lex_state = 76},
  [194] = {.lex_state = 76},
  [195] = {.lex_state = 76},
  [196] = {.lex_state = 76},
  [197] = {.lex_state = 73},
  [198] = {.lex_state = 73},
  [199] = {.lex_state = 73},
  [200] = {.lex_state = 73},
  [201] = {.lex_state = 76},
  [202] = {.lex_state = 76},
  [203] = {.lex_state = 76},
  [204] = {.lex_state = 76},
  [205] = {.lex_state = 76},
  [206] = {.lex_state = 74},
  [207] = {.lex_state = 76},
  [208] = {.lex_state = 76},
  [209] = {.lex_state = 73},
  [210] = {.lex_state = 73},
  [211] = {.lex_state = 76},
  [212] = {.lex_state = 73},
  [213] = {.lex_state = 76},
  [214] = {.lex_state = 76},
  [215] = {.lex_state = 76},
  [216] = {.lex_state = 76},
  [217] = {.lex_state = 76},
  [218] = {.lex_state = 76},
  [219] = {.lex_state = 76},
  [220] = {.lex_state = 76},
  [221] = {.lex_state = 76},
  [222] = {.lex_state = 76},
  [223] = {.lex_state = 76},
  [224] = {.lex_state = 73},
  [225] = {.lex_state = 73},
  [226] = {.lex_state = 76},
  [227] = {.lex_state = 76},
  [228] = {.lex_state = 76},
  [229] = {.lex_state = 76},
  [230] = {.lex_state = 76},
  [231] = {.lex_state = 76},
  [232] = {.lex_state = 76},
  [233] = {.lex_state = 73},
  [234] = {.lex_state = 76},
  [235] = {.lex_state = 73},
  [236] = {.lex_state = 76},
  [237] = {.lex_state = 73},
  [238] = {.lex_state = 76},
  [239] = {.lex_state = 76},
  [240] = {.lex_state = 76},
  [241] = {.lex_state = 76},
  [242] = {.lex_state = 76},
  [243] = {.lex_state = 73},
  [244] = {.lex_state = 74},
  [245] = {.lex_state = 76},
  [246] = {.lex_state = 73},
  [247] = {.lex_state = 76},
  [248] = {.lex_state = 76},
  [249] = {.lex_state = 76},
  [250] = {.lex_state = 76},
  [251] = {.lex_state = 76},
  [252] = {.lex_state = 76},
  [253] = {.lex_state = 76},
  [254] = {.lex_state = 76},
  [255] = {.lex_state = 76},
  [256] = {.lex_state = 76},
  [257] = {.lex_state = 73},
  [258] = {.lex_state = 73},
  [259] = {.lex_state = 76},
  [260] = {.lex_state = 73},
  [261] = {.lex_state = 76},
  [262] = {.lex_state = 76},
  [263] = {.lex_state = 76},
  [264] = {.lex_state = 76},
  [265] = {.lex_state = 76},
  [266] = {.lex_state = 73},
  [267] = {.lex_state = 73},
  [268] = {.lex_state = 73},
  [269] = {.lex_state = 76},
  [270] = {.lex_state = 73},
  [271] = {.lex_state = 76},
  [272] = {.lex_state = 76},
  [273] = {.lex_state = 73},
  [274] = {.lex_state = 76},
  [275] = {.lex_state = 76},
  [276] = {.lex_state = 76},
  [277] = {.lex_state = 76},
  [278] = {.lex_state = 76},
  [279] = {.lex_state = 73},
  [280] = {.lex_state = 76},
  [281] = {.lex_state = 76},
  [282] = {.lex_state = 76},
  [283] = {.lex_state = 73},
  [284] = {.lex_state = 76},
  [285] = {.lex_state = 73},
  [286] = {.lex_state = 76},
  [287] = {.lex_state = 76},
  [288] = {.lex_state = 76},
  [289] = {.lex_state = 73},
  [290] = {.lex_state = 76},
  [291] = {.lex_state = 73},
  [292] = {.lex_state = 73},
  [293] = {.lex_state = 76},
  [294] = {.lex_state = 74},
  [295] = {.lex_state = 74},
  [296] = {.lex_state = 74},
  [297] = {.lex_state = 74},
  [298] = {.lex_state = 74},
  [299] = {.lex_state = 74},
  [300] = {.lex_state = 74},
  [301] = {.lex_state = 74},
  [302] = {.lex_state = 74},
  [303] = {.lex_state = 74},
  [304] = {.lex_state = 74},
  [305] = {.lex_state = 74},
  [306] = {.lex_state = 74},
  [307] = {.lex_state = 74},
  [308] = {.lex_state = 74},
  [309] = {.lex_state = 74},
  [310] = {.lex_state = 74},
  [311] = {.lex_state = 74},
  [312] = {.lex_state = 74},
  [313] = {.lex_state = 74},
  [314] = {.lex_state = 74},
  [315] = {.lex_state = 74},
  [316] = {.lex_state = 74},
  [317] = {.lex_state = 74},
  [318] = {.lex_state = 74},
  [319] = {.lex_state = 74},
  [320] = {.lex_state = 74},
  [321] = {.lex_state = 74},
  [322] = {.lex_state = 74},
  [323] = {.lex_state = 74},
  [324] = {.lex_state = 74},
  [325] = {.lex_state = 74},
  [326] = {.lex_state = 74},
  [327] = {.lex_state = 74},
  [328] = {.lex_state = 74},
  [329] = {.lex_state = 74},
  [330] = {.lex_state = 74},
  [331] = {.lex_state = 74},
  [332] = {.lex_state = 74},
  [333] = {.lex_state = 74},
  [334] = {.lex_state = 74},
  [335] = {.lex_state = 74},
  [336] = {.lex_state = 74},
  [337] = {.lex_state = 74},
  [338] = {.lex_state = 74},
  [339] = {.lex_state = 74},
  [340] = {.lex_state = 74},
  [341] = {.lex_state = 74},
  [342] = {.lex_state = 74},
  [343] = {.lex_state = 74},
  [344] = {.lex_state = 74},
  [345] = {.lex_state = 74},
  [346] = {.lex_state = 74},
  [347] = {.lex_state = 74},
  [348] = {.lex_state = 74},
  [349] = {.lex_state = 74},
  [350] = {.lex_state = 74},
  [351] = {.lex_state = 74},
  [352] = {.lex_state = 74},
  [353] = {.lex_state = 74},
  [354] = {.lex_state = 74},
  [355] = {.lex_state = 74},
  [356] = {.lex_state = 74},
  [357] = {.lex_state = 74},
  [358] = {.lex_state = 74},
  [359] = {.lex_state = 74},
  [360] = {.lex_state = 74},
  [361] = {.lex_state = 74},
  [362] = {.lex_state = 74},
  [363] = {.lex_state = 74},
  [364] = {.lex_state = 74},
  [365] = {.lex_state = 74},
  [366] = {.lex_state = 74},
  [367] = {.lex_state = 74},
  [368] = {.lex_state = 74},
  [369] = {.lex_state = 74},
  [370] = {.lex_state = 74},
  [371] = {.lex_state = 74},
  [372] = {.lex_state = 74},
  [373] = {.lex_state = 74},
  [374] = {.lex_state = 74},
  [375] = {.lex_state = 74},
  [376] = {.lex_state = 74},
  [377] = {.lex_state = 74},
  [378] = {.lex_state = 76},
  [379] = {.lex_state = 1},
  [380] = {.lex_state = 1},
  [381] = {.lex_state = 1},
  [382] = {.lex_state = 1},
  [383] = {.lex_state = 5},
  [384] = {.lex_state = 5},
  [385] = {.lex_state = 5},
  [386] = {.lex_state = 5},
  [387] = {.lex_state = 5},
  [388] = {.lex_state = 2},
  [389] = {.lex_state = 2},
  [390] = {.lex_state = 2},
  [391] = {.lex_state = 2},
  [392] = {.lex_state = 2},
  [393] = {.lex_state = 2},
  [394] = {.lex_state = 2},
  [395] = {.lex_state = 2},
  [396] = {.lex_state = 2},
  [397] = {.lex_state = 2},
  [398] = {.lex_state = 2},
  [399] = {.lex_state = 2},
  [400] = {.lex_state = 2},
  [401] = {.lex_state = 2},
  [402] = {.lex_state = 2},
  [403] = {.lex_state = 2},
  [404] = {.lex_state = 2},
  [405] = {.lex_state = 2},
  [406] = {.lex_state = 2},
  [407] = {.lex_state = 2},
  [408] = {.lex_state = 2},
  [409] = {.lex_state = 2},
  [410] = {.lex_state = 2},
  [411] = {.lex_state = 2},
  [412] = {.lex_state = 2},
  [413] = {.lex_state = 2},
  [414] = {.lex_state = 2},
  [415] = {.lex_state = 2},
  [416] = {.lex_state = 2},
  [417] = {.lex_state = 2},
  [418] = {.lex_state = 2},
  [419] = {.lex_state = 2},
  [420] = {.lex_state = 2},
  [421] = {.lex_state = 2},
  [422] = {.lex_state = 2},
  [423] = {.lex_state = 2},
  [424] = {.lex_state = 2},
  [425] = {.lex_state = 2},
  [426] = {.lex_state = 2},
  [427] = {.lex_state = 2},
  [428] = {.lex_state = 2},
  [429] = {.lex_state = 2},
  [430] = {.lex_state = 2},
  [431] = {.lex_state = 2},
  [432] = {.lex_state = 2},
  [433] = {.lex_state = 2},
  [434] = {.lex_state = 2},
  [435] = {.lex_state = 2},
  [436] = {.lex_state = 6},
  [437] = {.lex_state = 74},
  [438] = {.lex_state = 6},
  [439] = {.lex_state = 6},
  [440] = {.lex_state = 74},
  [441] = {.lex_state = 6},
  [442] = {.lex_state = 6},
  [443] = {.lex_state = 6},
  [444] = {.lex_state = 6},
  [445] = {.lex_state = 6},
  [446] = {.lex_state = 6},
  [447] = {.lex_state = 6},
  [448] = {.lex_state = 6},
  [449] = {.lex_state = 6},
  [450] = {.lex_state = 6},
  [451] = {.lex_state = 6},
  [452] = {.lex_state = 6},
  [453] = {.lex_state = 6},
  [454] = {.lex_state = 6},
  [455] = {.lex_state = 6},
  [456] = {.lex_state = 6},
  [457] = {.lex_state = 6},
  [458] = {.lex_state = 74},
  [459] = {.lex_state = 6},
  [460] = {.lex_state = 6},
  [461] = {.lex_state = 6},
  [462] = {.lex_state = 6},
  [463] = {.lex_state = 74},
  [464] = {.lex_state = 6},
  [465] = {.lex_state = 6},
  [466] = {.lex_state = 3},
  [467] = {.lex_state = 6},
  [468] = {.lex_state = 6},
  [469] = {.lex_state = 6},
  [470] = {.lex_state = 6},
  [471] = {.lex_state = 6},
  [472] = {.lex_state = 6},
  [473] = {.lex_state = 6},
  [474] = {.lex_state = 6},
  [475] = {.lex_state = 6},
  [476] = {.lex_state = 6},
  [477] = {.lex_state = 6},
  [478] = {.lex_state = 6},
  [479] = {.lex_state = 6},
  [480] = {.lex_state = 74},
  [481] = {.lex_state = 6},
  [482] = {.lex_state = 6},
  [483] = {.lex_state = 6},
  [484] = {.lex_state = 6},
  [485] = {.lex_state = 6},
  [486] = {.lex_state = 6},
  [487] = {.lex_state = 3},
  [488] = {.lex_state = 3},
  [489] = {.lex_state = 3},
  [490] = {.lex_state = 3},
  [491] = {.lex_state = 3},
  [492] = {.lex_state = 3},
  [493] = {.lex_state = 3},
  [494] = {.lex_state = 3},
  [495] = {.lex_state = 3},
  [496] = {.lex_state = 3},
  [497] = {.lex_state = 74},
  [498] = {.lex_state = 0},
  [499] = {.lex_state = 74},
  [500] = {.lex_state = 74},
  [501] = {.lex_state = 3},
  [502] = {.lex_state = 74},
  [503] = {.lex_state = 3},
  [504] = {.lex_state = 3},
  [505] = {.lex_state = 3},
  [506] = {.lex_state = 0},
  [507] = {.lex_state = 3},
  [508] = {.lex_state = 3},
  [509] = {.lex_state = 3},
  [510] = {.lex_state = 7},
  [511] = {.lex_state = 3},
  [512] = {.lex_state = 7},
  [513] = {.lex_state = 6},
  [514] = {.lex_state = 6},
  [515] = {.lex_state = 3},
  [516] = {.lex_state = 3},
  [517] = {.lex_state = 6},
  [518] = {.lex_state = 3},
  [519] = {.lex_state = 3},
  [520] = {.lex_state = 3},
  [521] = {.lex_state = 3},
  [522] = {.lex_state = 3},
  [523] = {.lex_state = 3},
  [524] = {.lex_state = 3},
  [525] = {.lex_state = 3},
  [526] = {.lex_state = 3},
  [527] = {.lex_state = 3},
  [528] = {.lex_state = 3},
  [529] = {.lex_state = 3},
  [530] = {.lex_state = 3},
  [531] = {.lex_state = 7},
  [532] = {.lex_state = 3},
  [533] = {.lex_state = 3},
  [534] = {.lex_state = 3},
  [535] = {.lex_state = 3},
  [536] = {.lex_state = 6},
  [537] = {.lex_state = 3},
  [538] = {.lex_state = 3},
  [539] = {.lex_state = 3},
  [540] = {.lex_state = 3},
  [541] = {.lex_state = 3},
  [542] = {.lex_state = 6},
  [543] = {.lex_state = 6},
  [544] = {.lex_state = 3},
  [545] = {.lex_state = 6},
  [546] = {.lex_state = 3},
  [547] = {.lex_state = 7},
  [548] = {.lex_state = 3},
  [549] = {.lex_state = 7},
  [550] = {.lex_state = 3},
  [551] = {.lex_state = 3},
  [552] = {.lex_state = 3},
  [553] = {.lex_state = 3},
  [554] = {.lex_state = 3},
  [555] = {.lex_state = 6},
  [556] = {.lex_state = 74},
  [557] = {.lex_state = 3},
  [558] = {.lex_state = 7},
  [559] = {.lex_state = 6},
  [560] = {.lex_state = 3},
  [561] = {.lex_state = 6},
  [562] = {.lex_state = 7},
  [563] = {.lex_state = 6},
  [564] = {.lex_state = 7},
  [565] = {.lex_state = 6},
  [566] = {.lex_state = 6},
  [567] = {.lex_state = 6},
  [568] = {.lex_state = 3},
  [569] = {.lex_state = 6},
  [570] = {.lex_state = 6},
  [571] = {.lex_state = 3},
  [572] = {.lex_state = 3},
  [573] = {.lex_state = 6},
  [574] = {.lex_state = 7},
  [575] = {.lex_state = 0},
  [576] = {.lex_state = 6},
  [577] = {.lex_state = 3},
  [578] = {.lex_state = 7},
  [579] = {.lex_state = 7},
  [580] = {.lex_state = 7},
  [581] = {.lex_state = 6},
  [582] = {.lex_state = 3},
  [583] = {.lex_state = 7},
  [584] = {.lex_state = 0},
  [585] = {.lex_state = 7},
  [586] = {.lex_state = 7},
  [587] = {.lex_state = 6},
  [588] = {.lex_state = 6},
  [589] = {.lex_state = 7},
  [590] = {.lex_state = 3},
  [591] = {.lex_state = 6},
  [592] = {.lex_state = 6},
  [593] = {.lex_state = 6},
  [594] = {.lex_state = 6},
  [595] = {.lex_state = 6},
  [596] = {.lex_state = 76},
  [597] = {.lex_state = 6},
  [598] = {.lex_state = 6},
  [599] = {.lex_state = 6},
  [600] = {.lex_state = 6},
  [601] = {.lex_state = 6},
  [602] = {.lex_state = 6},
  [603] = {.lex_state = 6},
  [604] = {.lex_state = 6},
  [605] = {.lex_state = 6},
  [606] = {.lex_state = 6},
  [607] = {.lex_state = 6},
  [608] = {.lex_state = 7},
  [609] = {.lex_state = 6},
  [610] = {.lex_state = 6},
  [611] = {.lex_state = 6},
  [612] = {.lex_state = 6},
  [613] = {.lex_state = 6},
  [614] = {.lex_state = 6},
  [615] = {.lex_state = 6},
  [616] = {.lex_state = 6},
  [617] = {.lex_state = 6},
  [618] = {.lex_state = 6},
  [619] = {.lex_state = 6},
  [620] = {.lex_state = 7},
  [621] = {.lex_state = 7},
  [622] = {.lex_state = 7},
  [623] = {.lex_state = 7},
  [624] = {.lex_state = 6},
  [625] = {.lex_state = 6},
  [626] = {.lex_state = 6},
  [627] = {.lex_state = 7},
  [628] = {.lex_state = 6},
  [629] = {.lex_state = 6},
  [630] = {.lex_state = 6},
  [631] = {.lex_state = 6},
  [632] = {.lex_state = 6},
  [633] = {.lex_state = 7},
  [634] = {.lex_state = 6},
  [635] = {.lex_state = 6},
  [636] = {.lex_state = 6},
  [637] = {.lex_state = 6},
  [638] = {.lex_state = 7},
  [639] = {.lex_state = 7},
  [640] = {.lex_state = 6},
  [641] = {.lex_state = 6},
  [642] = {.lex_state = 7},
  [643] = {.lex_state = 6},
  [644] = {.lex_state = 6},
  [645] = {.lex_state = 6},
  [646] = {.lex_state = 6},
  [647] = {.lex_state = 6},
  [648] = {.lex_state = 6},
  [649] = {.lex_state = 7},
  [650] = {.lex_state = 7},
  [651] = {.lex_state = 7},
  [652] = {.lex_state = 7},
  [653] = {.lex_state = 6},
  [654] = {.lex_state = 7},
  [655] = {.lex_state = 7},
  [656] = {.lex_state = 7},
  [657] = {.lex_state = 6},
  [658] = {.lex_state = 7},
  [659] = {.lex_state = 6},
  [660] = {.lex_state = 6},
  [661] = {.lex_state = 7},
  [662] = {.lex_state = 7},
  [663] = {.lex_state = 7},
  [664] = {.lex_state = 7},
  [665] = {.lex_state = 7},
  [666] = {.lex_state = 7},
  [667] = {.lex_state = 7},
  [668] = {.lex_state = 6},
  [669] = {.lex_state = 7},
  [670] = {.lex_state = 7},
  [671] = {.lex_state = 7},
  [672] = {.lex_state = 7},
  [673] = {.lex_state = 7},
  [674] = {.lex_state = 7},
  [675] = {.lex_state = 6},
  [676] = {.lex_state = 7},
  [677] = {.lex_state = 6},
  [678] = {.lex_state = 6},
  [679] = {.lex_state = 6},
  [680] = {.lex_state = 7},
  [681] = {.lex_state = 7},
  [682] = {.lex_state = 7},
  [683] = {.lex_state = 0},
  [684] = {.lex_state = 0},
  [685] = {.lex_state = 6},
  [686] = {.lex_state = 0},
  [687] = {.lex_state = 0},
  [688] = {.lex_state = 0},
  [689] = {.lex_state = 0},
  [690] = {.lex_state = 0},
  [691] = {.lex_state = 0},
  [692] = {.lex_state = 0},
  [693] = {.lex_state = 0},
  [694] = {.lex_state = 0},
  [695] = {.lex_state = 0},
  [696] = {.lex_state = 0},
  [697] = {.lex_state = 0},
  [698] = {.lex_state = 0},
  [699] = {.lex_state = 0},
  [700] = {.lex_state = 0},
  [701] = {.lex_state = 0},
  [702] = {.lex_state = 0},
  [703] = {.lex_state = 0},
  [704] = {.lex_state = 0},
  [705] = {.lex_state = 0},
  [706] = {.lex_state = 0},
  [707] = {.lex_state = 0},
  [708] = {.lex_state = 0},
  [709] = {.lex_state = 0},
  [710] = {.lex_state = 0},
  [711] = {.lex_state = 0},
  [712] = {.lex_state = 0},
  [713] = {.lex_state = 0},
  [714] = {.lex_state = 0},
  [715] = {.lex_state = 0},
  [716] = {.lex_state = 0},
  [717] = {.lex_state = 0},
  [718] = {.lex_state = 0},
  [719] = {.lex_state = 0},
  [720] = {.lex_state = 0},
  [721] = {.lex_state = 0},
  [722] = {.lex_state = 0},
  [723] = {.lex_state = 0},
  [724] = {.lex_state = 0},
  [725] = {.lex_state = 0},
  [726] = {.lex_state = 0},
  [727] = {.lex_state = 0},
  [728] = {.lex_state = 0},
  [729] = {.lex_state = 0},
  [730] = {.lex_state = 0},
  [731] = {.lex_state = 0},
  [732] = {.lex_state = 0},
  [733] = {.lex_state = 0},
  [734] = {.lex_state = 0},
  [735] = {.lex_state = 0},
  [736] = {.lex_state = 0},
  [737] = {.lex_state = 0},
  [738] = {.lex_state = 0},
  [739] = {.lex_state = 0},
  [740] = {.lex_state = 0},
  [741] = {.lex_state = 0},
  [742] = {.lex_state = 0},
  [743] = {.lex_state = 0},
  [744] = {.lex_state = 0},
  [745] = {.lex_state = 0},
  [746] = {.lex_state = 0},
  [747] = {.lex_state = 0},
  [748] = {.lex_state = 0},
  [749] = {.lex_state = 0},
  [750] = {.lex_state = 0},
  [751] = {.lex_state = 0},
  [752] = {.lex_state = 0},
  [753] = {.lex_state = 0},
  [754] = {.lex_state = 0},
  [755] = {.lex_state = 0},
  [756] = {.lex_state = 0},
  [757] = {.lex_state = 0},
  [758] = {.lex_state = 0},
  [759] = {.lex_state = 0},
  [760] = {.lex_state = 0},
  [761] = {.lex_state = 0},
  [762] = {.lex_state = 0},
  [763] = {.lex_state = 0},
  [764] = {.lex_state = 0},
  [765] = {.lex_state = 0},
  [766] = {.lex_state = 0},
  [767] = {.lex_state = 0},
  [768] = {.lex_state = 0},
  [769] = {.lex_state = 0},
  [770] = {.lex_state = 0},
  [771] = {.lex_state = 0},
  [772] = {.lex_state = 0},
  [773] = {.lex_state = 0},
  [774] = {.lex_state = 0},
  [775] = {.lex_state = 0},
  [776] = {.lex_state = 0},
  [777] = {.lex_state = 0},
  [778] = {.lex_state = 74},
  [779] = {.lex_state = 74},
  [780] = {.lex_state = 74},
  [781] = {.lex_state = 74},
  [782] = {.lex_state = 74},
  [783] = {.lex_state = 74},
  [784] = {.lex_state = 0},
  [785] = {.lex_state = 74},
  [786] = {.lex_state = 0},
  [787] = {.lex_state = 0},
  [788] = {.lex_state = 0},
  [789] = {.lex_state = 0},
  [790] = {.lex_state = 0},
  [791] = {.lex_state = 0},
  [792] = {.lex_state = 0},
  [793] = {.lex_state = 0},
  [794] = {.lex_state = 0},
  [795] = {.lex_state = 74},
  [796] = {.lex_state = 0},
  [797] = {.lex_state = 74},
  [798] = {.lex_state = 0},
  [799] = {.lex_state = 0},
  [800] = {.lex_state = 74},
  [801] = {.lex_state = 0},
  [802] = {.lex_state = 0},
  [803] = {.lex_state = 0},
  [804] = {.lex_state = 0},
  [805] = {.lex_state = 0},
  [806] = {.lex_state = 0},
  [807] = {.lex_state = 0},
  [808] = {.lex_state = 0},
  [809] = {.lex_state = 0},
  [810] = {.lex_state = 74},
  [811] = {.lex_state = 0},
  [812] = {.lex_state = 74},
  [813] = {.lex_state = 74},
  [814] = {.lex_state = 0},
  [815] = {.lex_state = 74},
  [816] = {.lex_state = 74},
  [817] = {.lex_state = 0},
  [818] = {.lex_state = 74},
  [819] = {.lex_state = 74},
  [820] = {.lex_state = 0},
  [821] = {.lex_state = 0},
  [822] = {.lex_state = 74},
  [823] = {.lex_state = 74},
  [824] = {.lex_state = 0},
  [825] = {.lex_state = 74},
  [826] = {.lex_state = 0},
  [827] = {.lex_state = 0},
  [828] = {.lex_state = 0},
  [829] = {.lex_state = 0},
  [830] = {.lex_state = 74},
  [831] = {.lex_state = 74},
  [832] = {.lex_state = 0},
  [833] = {.lex_state = 74},
  [834] = {.lex_state = 0},
  [835] = {.lex_state = 74},
  [836] = {.lex_state = 0},
  [837] = {.lex_state = 74},
  [838] = {.lex_state = 74},
  [839] = {.lex_state = 74},
  [840] = {.lex_state = 74},
  [841] = {.lex_state = 0},
  [842] = {.lex_state = 0},
  [843] = {.lex_state = 74},
  [844] = {.lex_state = 74},
  [845] = {.lex_state = 0},
  [846] = {.lex_state = 0},
  [847] = {.lex_state = 74},
  [848] = {.lex_state = 74},
  [849] = {.lex_state = 0},
  [850] = {.lex_state = 74},
  [851] = {.lex_state = 74},
  [852] = {.lex_state = 0},
  [853] = {.lex_state = 0},
  [854] = {.lex_state = 0},
  [855] = {.lex_state = 0},
  [856] = {.lex_state = 0},
  [857] = {.lex_state = 0},
  [858] = {.lex_state = 74},
  [859] = {.lex_state = 74},
  [860] = {.lex_state = 0},
  [861] = {.lex_state = 74},
  [862] = {.lex_state = 74},
  [863] = {.lex_state = 74},
  [864] = {.lex_state = 74},
  [865] = {.lex_state = 74},
  [866] = {.lex_state = 74},
  [867] = {.lex_state = 74},
  [868] = {.lex_state = 74},
  [869] = {.lex_state = 5},
  [870] = {.lex_state = 74},
  [871] = {.lex_state = 74},
  [872] = {.lex_state = 74},
  [873] = {.lex_state = 5},
  [874] = {.lex_state = 74},
  [875] = {.lex_state = 0},
  [876] = {.lex_state = 74},
  [877] = {.lex_state = 0},
  [878] = {.lex_state = 0},
  [879] = {.lex_state = 74},
  [880] = {.lex_state = 0},
  [881] = {.lex_state = 74},
  [882] = {.lex_state = 74},
  [883] = {.lex_state = 5},
  [884] = {.lex_state = 0},
  [885] = {.lex_state = 0},
  [886] = {.lex_state = 74},
  [887] = {.lex_state = 0},
  [888] = {.lex_state = 74},
  [889] = {.lex_state = 0},
  [890] = {.lex_state = 0},
  [891] = {.lex_state = 0},
  [892] = {.lex_state = 0},
  [893] = {.lex_state = 0},
  [894] = {.lex_state = 74},
  [895] = {.lex_state = 74},
  [896] = {.lex_state = 74},
  [897] = {.lex_state = 74},
  [898] = {.lex_state = 0},
  [899] = {.lex_state = 0},
  [900] = {.lex_state = 0},
  [901] = {.lex_state = 0},
  [902] = {.lex_state = 0},
  [903] = {.lex_state = 0},
  [904] = {.lex_state = 0},
  [905] = {.lex_state = 0},
  [906] = {.lex_state = 0},
  [907] = {.lex_state = 74},
  [908] = {.lex_state = 74},
  [909] = {.lex_state = 0},
  [910] = {.lex_state = 74},
  [911] = {.lex_state = 0},
  [912] = {.lex_state = 74},
  [913] = {.lex_state = 0},
  [914] = {.lex_state = 74},
  [915] = {.lex_state = 0},
  [916] = {.lex_state = 74},
  [917] = {.lex_state = 0},
  [918] = {.lex_state = 74},
  [919] = {.lex_state = 0},
  [920] = {.lex_state = 74},
  [921] = {.lex_state = 74},
  [922] = {.lex_state = 74},
  [923] = {.lex_state = 0},
  [924] = {.lex_state = 74},
  [925] = {.lex_state = 0},
  [926] = {.lex_state = 0},
  [927] = {.lex_state = 74},
  [928] = {.lex_state = 0},
  [929] = {.lex_state = 74},
  [930] = {.lex_state = 0},
  [931] = {.lex_state = 0},
  [932] = {.lex_state = 74},
  [933] = {.lex_state = 5},
  [934] = {.lex_state = 0},
  [935] = {.lex_state = 74},
  [936] = {.lex_state = 74},
  [937] = {.lex_state = 74},
  [938] = {.lex_state = 74},
  [939] = {.lex_state = 74},
  [940] = {.lex_state = 4},
  [941] = {.lex_state = 0},
  [942] = {.lex_state = 74},
  [943] = {.lex_state = 0},
  [944] = {.lex_state = 0},
  [945] = {.lex_state = 4},
  [946] = {.lex_state = 0},
  [947] = {.lex_state = 0},
  [948] = {.lex_state = 0},
  [949] = {.lex_state = 4},
  [950] = {.lex_state = 0},
  [951] = {.lex_state = 0},
  [952] = {.lex_state = 0},
  [953] = {.lex_state = 0},
  [954] = {.lex_state = 0},
  [955] = {.lex_state = 4},
  [956] = {.lex_state = 0},
  [957] = {.lex_state = 0},
  [958] = {.lex_state = 74},
  [959] = {.lex_state = 4},
  [960] = {.lex_state = 74},
  [961] = {.lex_state = 74},
  [962] = {.lex_state = 74},
  [963] = {.lex_state = 74},
  [964] = {.lex_state = 0},
  [965] = {.lex_state = 74},
  [966] = {.lex_state = 74},
  [967] = {.lex_state = 0},
  [968] = {.lex_state = 74},
  [969] = {.lex_state = 74},
  [970] = {.lex_state = 74},
  [971] = {.lex_state = 74},
  [972] = {.lex_state = 0},
  [973] = {.lex_state = 74},
  [974] = {.lex_state = 74},
  [975] = {.lex_state = 74},
  [976] = {.lex_state = 74},
  [977] = {.lex_state = 74},
  [978] = {.lex_state = 74},
  [979] = {.lex_state = 74},
  [980] = {.lex_state = 0},
  [981] = {.lex_state = 0},
  [982] = {.lex_state = 74},
  [983] = {.lex_state = 74},
  [984] = {.lex_state = 74},
  [985] = {.lex_state = 74},
  [986] = {.lex_state = 74},
  [987] = {.lex_state = 0},
  [988] = {.lex_state = 0},
  [989] = {.lex_state = 74},
  [990] = {.lex_state = 4},
  [991] = {.lex_state = 74},
  [992] = {.lex_state = 0},
  [993] = {.lex_state = 74},
  [994] = {.lex_state = 0},
  [995] = {.lex_state = 0},
  [996] = {.lex_state = 74},
  [997] = {.lex_state = 74},
  [998] = {.lex_state = 74},
  [999] = {.lex_state = 74},
  [1000] = {.lex_state = 74},
  [1001] = {.lex_state = 74},
  [1002] = {.lex_state = 74},
  [1003] = {.lex_state = 74},
  [1004] = {.lex_state = 74},
  [1005] = {.lex_state = 74},
  [1006] = {.lex_state = 74},
  [1007] = {.lex_state = 74},
  [1008] = {.lex_state = 0},
  [1009] = {.lex_state = 74},
  [1010] = {.lex_state = 74},
  [1011] = {.lex_state = 74},
  [1012] = {.lex_state = 74},
  [1013] = {.lex_state = 4},
  [1014] = {.lex_state = 74},
  [1015] = {.lex_state = 74},
  [1016] = {.lex_state = 74},
  [1017] = {.lex_state = 74},
  [1018] = {.lex_state = 0},
  [1019] = {.lex_state = 4},
  [1020] = {.lex_state = 0},
  [1021] = {.lex_state = 74},
  [1022] = {.lex_state = 0},
  [1023] = {.lex_state = 4},
  [1024] = {.lex_state = 74},
  [1025] = {.lex_state = 4},
  [1026] = {.lex_state = 74},
  [1027] = {.lex_state = 74},
  [1028] = {.lex_state = 74},
  [1029] = {.lex_state = 74},
  [1030] = {.lex_state = 74},
  [1031] = {.lex_state = 74},
  [1032] = {.lex_state = 4},
  [1033] = {.lex_state = 4},
  [1034] = {.lex_state = 74},
  [1035] = {.lex_state = 74},
  [1036] = {.lex_state = 74},
  [1037] = {.lex_state = 4},
  [1038] = {.lex_state = 74},
  [1039] = {.lex_state = 0},
  [1040] = {.lex_state = 74},
  [1041] = {.lex_state = 0},
  [1042] = {.lex_state = 74},
  [1043] = {.lex_state = 74},
  [1044] = {.lex_state = 74},
  [1045] = {.lex_state = 0},
  [1046] = {.lex_state = 0},
  [1047] = {.lex_state = 0},
  [1048] = {.lex_state = 0},
  [1049] = {.lex_state = 0},
  [1050] = {.lex_state = 0},
  [1051] = {.lex_state = 0},
  [1052] = {.lex_state = 0},
  [1053] = {.lex_state = 0},
  [1054] = {.lex_state = 0},
  [1055] = {.lex_state = 0},
  [1056] = {.lex_state = 0},
  [1057] = {.lex_state = 0},
  [1058] = {.lex_state = 0},
  [1059] = {.lex_state = 0},
  [1060] = {.lex_state = 0},
  [1061] = {.lex_state = 0},
  [1062] = {.lex_state = 0},
  [1063] = {.lex_state = 0},
  [1064] = {.lex_state = 0},
  [1065] = {.lex_state = 0},
  [1066] = {.lex_state = 0},
  [1067] = {.lex_state = 0},
  [1068] = {.lex_state = 0},
  [1069] = {.lex_state = 0},
  [1070] = {.lex_state = 0},
  [1071] = {.lex_state = 0},
  [1072] = {.lex_state = 0},
  [1073] = {.lex_state = 0},
  [1074] = {.lex_state = 0},
  [1075] = {.lex_state = 0},
  [1076] = {.lex_state = 0},
  [1077] = {.lex_state = 0},
  [1078] = {.lex_state = 0},
  [1079] = {.lex_state = 0},
  [1080] = {.lex_state = 0},
  [1081] = {.lex_state = 0},
  [1082] = {.lex_state = 0},
  [1083] = {.lex_state = 0},
  [1084] = {.lex_state = 0},
  [1085] = {.lex_state = 0},
  [1086] = {.lex_state = 0},
  [1087] = {.lex_state = 0},
  [1088] = {.lex_state = 0},
  [1089] = {.lex_state = 0},
  [1090] = {.lex_state = 0},
  [1091] = {.lex_state = 0},
  [1092] = {.lex_state = 0},
  [1093] = {.lex_state = 0},
  [1094] = {.lex_state = 0},
  [1095] = {.lex_state = 0},
  [1096] = {.lex_state = 0},
  [1097] = {.lex_state = 0},
  [1098] = {.lex_state = 0},
  [1099] = {.lex_state = 0},
  [1100] = {.lex_state = 0},
  [1101] = {.lex_state = 0},
  [1102] = {.lex_state = 0},
  [1103] = {.lex_state = 0},
  [1104] = {.lex_state = 0},
  [1105] = {.lex_state = 0},
  [1106] = {.lex_state = 0},
  [1107] = {.lex_state = 0},
  [1108] = {.lex_state = 0},
  [1109] = {.lex_state = 0},
  [1110] = {.lex_state = 0},
  [1111] = {.lex_state = 0},
  [1112] = {.lex_state = 0},
  [1113] = {.lex_state = 0},
  [1114] = {.lex_state = 0},
  [1115] = {.lex_state = 0},
  [1116] = {.lex_state = 0},
  [1117] = {.lex_state = 0},
  [1118] = {.lex_state = 0},
  [1119] = {.lex_state = 0},
  [1120] = {.lex_state = 0},
  [1121] = {.lex_state = 76},
  [1122] = {.lex_state = 0},
  [1123] = {.lex_state = 0},
  [1124] = {.lex_state = 0},
  [1125] = {.lex_state = 0},
  [1126] = {.lex_state = 0},
  [1127] = {.lex_state = 0},
  [1128] = {.lex_state = 0},
  [1129] = {.lex_state = 0},
  [1130] = {.lex_state = 0},
  [1131] = {.lex_state = 0},
  [1132] = {.lex_state = 0},
  [1133] = {.lex_state = 0},
  [1134] = {.lex_state = 0},
  [1135] = {.lex_state = 0},
  [1136] = {.lex_state = 0},
  [1137] = {.lex_state = 0},
  [1138] = {.lex_state = 0},
  [1139] = {.lex_state = 0},
  [1140] = {.lex_state = 0},
  [1141] = {.lex_state = 0},
  [1142] = {.lex_state = 0},
  [1143] = {.lex_state = 0},
  [1144] = {.lex_state = 0},
  [1145] = {.lex_state = 0},
  [1146] = {.lex_state = 0},
  [1147] = {.lex_state = 0},
  [1148] = {.lex_state = 0},
  [1149] = {.lex_state = 0},
  [1150] = {.lex_state = 0},
  [1151] = {.lex_state = 0},
  [1152] = {.lex_state = 0},
  [1153] = {.lex_state = 0},
  [1154] = {.lex_state = 0},
  [1155] = {.lex_state = 0},
  [1156] = {.lex_state = 0},
  [1157] = {.lex_state = 0},
  [1158] = {.lex_state = 0},
  [1159] = {.lex_state = 0},
  [1160] = {.lex_state = 0},
  [1161] = {.lex_state = 0},
  [1162] = {.lex_state = 0},
  [1163] = {.lex_state = 0},
  [1164] = {.lex_state = 0},
  [1165] = {.lex_state = 0},
  [1166] = {.lex_state = 0},
  [1167] = {.lex_state = 0},
  [1168] = {.lex_state = 0},
  [1169] = {.lex_state = 0},
  [1170] = {.lex_state = 0},
  [1171] = {.lex_state = 0},
  [1172] = {.lex_state = 0},
  [1173] = {.lex_state = 0},
  [1174] = {.lex_state = 0},
  [1175] = {.lex_state = 0},
  [1176] = {.lex_state = 0},
  [1177] = {.lex_state = 0},
  [1178] = {.lex_state = 0},
  [1179] = {.lex_state = 0},
  [1180] = {.lex_state = 0},
  [1181] = {.lex_state = 0},
  [1182] = {.lex_state = 0},
  [1183] = {.lex_state = 0},
  [1184] = {.lex_state = 0},
  [1185] = {.lex_state = 0},
  [1186] = {.lex_state = 0},
  [1187] = {.lex_state = 0},
  [1188] = {.lex_state = 0},
  [1189] = {.lex_state = 0},
  [1190] = {.lex_state = 0},
  [1191] = {.lex_state = 0},
  [1192] = {.lex_state = 0},
  [1193] = {.lex_state = 0},
  [1194] = {.lex_state = 0},
  [1195] = {.lex_state = 0},
  [1196] = {.lex_state = 0},
  [1197] = {.lex_state = 0},
  [1198] = {.lex_state = 0},
  [1199] = {.lex_state = 0},
  [1200] = {.lex_state = 0},
  [1201] = {.lex_state = 0},
  [1202] = {.lex_state = 0},
  [1203] = {.lex_state = 0},
  [1204] = {.lex_state = 0},
  [1205] = {.lex_state = 74},
  [1206] = {.lex_state = 0},
  [1207] = {.lex_state = 0},
  [1208] = {.lex_state = 0},
  [1209] = {.lex_state = 0},
  [1210] = {.lex_state = 0},
  [1211] = {.lex_state = 0},
  [1212] = {.lex_state = 0},
  [1213] = {.lex_state = 0},
  [1214] = {.lex_state = 0},
  [1215] = {.lex_state = 0},
  [1216] = {.lex_state = 0},
  [1217] = {.lex_state = 0},
  [1218] = {.lex_state = 0},
  [1219] = {.lex_state = 0},
  [1220] = {.lex_state = 0},
  [1221] = {.lex_state = 0},
  [1222] = {.lex_state = 0},
  [1223] = {.lex_state = 0},
  [1224] = {.lex_state = 0},
  [1225] = {.lex_state = 0},
  [1226] = {.lex_state = 0},
  [1227] = {.lex_state = 0},
  [1228] = {.lex_state = 0},
  [1229] = {.lex_state = 0},
  [1230] = {.lex_state = 0},
  [1231] = {.lex_state = 0},
  [1232] = {.lex_state = 0},
  [1233] = {.lex_state = 0},
  [1234] = {.lex_state = 0},
  [1235] = {.lex_state = 0},
  [1236] = {.lex_state = 0},
  [1237] = {.lex_state = 0},
  [1238] = {.lex_state = 0},
  [1239] = {.lex_state = 0},
  [1240] = {.lex_state = 0},
  [1241] = {.lex_state = 0},
  [1242] = {.lex_state = 0},
  [1243] = {.lex_state = 0},
  [1244] = {.lex_state = 0},
  [1245] = {.lex_state = 0},
  [1246] = {.lex_state = 0},
  [1247] = {.lex_state = 0},
  [1248] = {.lex_state = 0},
  [1249] = {.lex_state = 0},
  [1250] = {.lex_state = 0},
  [1251] = {.lex_state = 0},
  [1252] = {.lex_state = 0},
  [1253] = {.lex_state = 0},
  [1254] = {.lex_state = 0},
  [1255] = {.lex_state = 0},
  [1256] = {.lex_state = 0},
  [1257] = {.lex_state = 0},
  [1258] = {.lex_state = 0},
  [1259] = {.lex_state = 0},
  [1260] = {.lex_state = 0},
  [1261] = {.lex_state = 0},
  [1262] = {.lex_state = 0},
  [1263] = {.lex_state = 0},
  [1264] = {.lex_state = 0},
  [1265] = {.lex_state = 0},
  [1266] = {.lex_state = 0},
  [1267] = {.lex_state = 0},
  [1268] = {.lex_state = 0},
  [1269] = {.lex_state = 0},
  [1270] = {.lex_state = 0},
  [1271] = {.lex_state = 0},
  [1272] = {.lex_state = 0},
  [1273] = {.lex_state = 0},
  [1274] = {.lex_state = 0},
  [1275] = {.lex_state = 0},
  [1276] = {.lex_state = 0},
  [1277] = {.lex_state = 0},
  [1278] = {.lex_state = 0},
  [1279] = {.lex_state = 0},
  [1280] = {.lex_state = 0},
  [1281] = {.lex_state = 0},
  [1282] = {.lex_state = 0},
  [1283] = {.lex_state = 0},
  [1284] = {.lex_state = 0},
  [1285] = {.lex_state = 0},
  [1286] = {.lex_state = 0},
  [1287] = {.lex_state = 0},
  [1288] = {.lex_state = 0},
  [1289] = {.lex_state = 0},
  [1290] = {.lex_state = 0},
  [1291] = {.lex_state = 0},
  [1292] = {.lex_state = 0},
  [1293] = {.lex_state = 0},
  [1294] = {.lex_state = 0},
  [1295] = {.lex_state = 0},
  [1296] = {.lex_state = 0},
  [1297] = {.lex_state = 0},
  [1298] = {.lex_state = 0},
  [1299] = {.lex_state = 0},
  [1300] = {.lex_state = 0},
  [1301] = {.lex_state = 0},
  [1302] = {.lex_state = 0},
  [1303] = {.lex_state = 0},
  [1304] = {.lex_state = 0},
  [1305] = {.lex_state = 0},
  [1306] = {.lex_state = 0},
  [1307] = {.lex_state = 0},
  [1308] = {.lex_state = 0},
  [1309] = {.lex_state = 0},
  [1310] = {.lex_state = 0},
  [1311] = {.lex_state = 0},
  [1312] = {.lex_state = 0},
  [1313] = {.lex_state = 0},
  [1314] = {.lex_state = 0},
  [1315] = {.lex_state = 0},
  [1316] = {.lex_state = 0},
  [1317] = {.lex_state = 0},
  [1318] = {.lex_state = 0},
  [1319] = {.lex_state = 0},
  [1320] = {.lex_state = 0},
  [1321] = {.lex_state = 0},
  [1322] = {.lex_state = 0},
  [1323] = {.lex_state = 0},
  [1324] = {.lex_state = 0},
  [1325] = {.lex_state = 0},
  [1326] = {.lex_state = 0},
  [1327] = {.lex_state = 0},
  [1328] = {.lex_state = 0},
  [1329] = {.lex_state = 0},
  [1330] = {.lex_state = 0},
  [1331] = {.lex_state = 0},
  [1332] = {.lex_state = 0},
  [1333] = {.lex_state = 0},
  [1334] = {.lex_state = 0},
  [1335] = {.lex_state = 0},
  [1336] = {.lex_state = 0},
  [1337] = {.lex_state = 0},
  [1338] = {.lex_state = 0},
  [1339] = {.lex_state = 0},
  [1340] = {.lex_state = 0},
  [1341] = {.lex_state = 0},
  [1342] = {.lex_state = 0},
  [1343] = {.lex_state = 0},
  [1344] = {.lex_state = 0},
  [1345] = {.lex_state = 0},
  [1346] = {.lex_state = 0},
  [1347] = {.lex_state = 0},
  [1348] = {.lex_state = 0},
  [1349] = {.lex_state = 0},
  [1350] = {.lex_state = 0},
  [1351] = {.lex_state = 0},
  [1352] = {.lex_state = 0},
  [1353] = {.lex_state = 0},
  [1354] = {.lex_state = 0},
  [1355] = {.lex_state = 0},
  [1356] = {.lex_state = 0},
  [1357] = {.lex_state = 0},
  [1358] = {.lex_state = 0},
  [1359] = {.lex_state = 0},
  [1360] = {.lex_state = 0},
  [1361] = {.lex_state = 0},
  [1362] = {.lex_state = 0},
  [1363] = {.lex_state = 0},
  [1364] = {.lex_state = 0},
  [1365] = {.lex_state = 0},
  [1366] = {.lex_state = 0},
  [1367] = {.lex_state = 0},
  [1368] = {.lex_state = 0},
  [1369] = {.lex_state = 0},
  [1370] = {.lex_state = 0},
  [1371] = {.lex_state = 0},
  [1372] = {.lex_state = 0},
  [1373] = {.lex_state = 0},
  [1374] = {.lex_state = 0},
  [1375] = {.lex_state = 0},
  [1376] = {.lex_state = 0},
  [1377] = {.lex_state = 0},
  [1378] = {.lex_state = 0},
  [1379] = {.lex_state = 0},
};

static const uint16_t ts_parse_table[LARGE_STATE_COUNT][SYMBOL_COUNT] = {
  [0] = {
    [ts_builtin_sym_end] = ACTIONS(1),
    [sym_identifier] = ACTIONS(1),
    [anon_sym_SEMI] = ACTIONS(1),
    [anon_sym_foreign] = ACTIONS(1),
    [anon_sym_import] = ACTIONS(1),
    [anon_sym_package] = ACTIONS(1),
    [anon_sym_COMMA] = ACTIONS(1),
    [anon_sym_COLON_COLON] = ACTIONS(1),
    [anon_sym_COLON] = ACTIONS(1),
    [anon_sym_EQ] = ACTIONS(1),
    [anon_sym_COLON_EQ] = ACTIONS(1),
    [anon_sym_struct] = ACTIONS(1),
    [anon_sym_enum] = ACTIONS(1),
    [anon_sym_union] = ACTIONS(1),
    [anon_sym_proc] = ACTIONS(1),
    [anon_sym_DASH_GT] = ACTIONS(1),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(1),
    [anon_sym_LBRACE] = ACTIONS(1),
    [anon_sym_RBRACE] = ACTIONS(1),
    [anon_sym_where] = ACTIONS(1),
    [anon_sym_LPAREN] = ACTIONS(1),
    [anon_sym_RPAREN] = ACTIONS(1),
    [anon_sym_using] = ACTIONS(1),
    [anon_sym_DOLLAR] = ACTIONS(1),
    [anon_sym_DOT_DOT] = ACTIONS(1),
    [anon_sym_any] = ACTIONS(1),
    [anon_sym_distinct] = ACTIONS(1),
    [anon_sym_SLASH] = ACTIONS(1),
    [anon_sym_LBRACK] = ACTIONS(1),
    [anon_sym_RBRACK] = ACTIONS(1),
    [anon_sym_CARET] = ACTIONS(1),
    [anon_sym_dynamic] = ACTIONS(1),
    [anon_sym_QMARK] = ACTIONS(1),
    [anon_sym_PIPE] = ACTIONS(1),
    [anon_sym_TILDE] = ACTIONS(1),
    [anon_sym_map] = ACTIONS(1),
    [anon_sym_func] = ACTIONS(1),
    [anon_sym_POUND] = ACTIONS(1),
    [anon_sym_STAR_EQ] = ACTIONS(1),
    [anon_sym_SLASH_EQ] = ACTIONS(1),
    [anon_sym_PERCENT_EQ] = ACTIONS(1),
    [anon_sym_LT_LT_EQ] = ACTIONS(1),
    [anon_sym_GT_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_EQ] = ACTIONS(1),
    [anon_sym_AMP_CARET_EQ] = ACTIONS(1),
    [anon_sym_PLUS_EQ] = ACTIONS(1),
    [anon_sym_DASH_EQ] = ACTIONS(1),
    [anon_sym_PIPE_EQ] = ACTIONS(1),
    [anon_sym_CARET_EQ] = ACTIONS(1),
    [anon_sym_fallthrough] = ACTIONS(1),
    [anon_sym_break] = ACTIONS(1),
    [anon_sym_continue] = ACTIONS(1),
    [anon_sym_return] = ACTIONS(1),
    [anon_sym_defer] = ACTIONS(1),
    [anon_sym_if] = ACTIONS(1),
    [anon_sym_else] = ACTIONS(1),
    [anon_sym_when] = ACTIONS(1),
    [anon_sym_for] = ACTIONS(1),
    [anon_sym_in] = ACTIONS(1),
    [anon_sym_DOT_DOT_LT] = ACTIONS(1),
    [anon_sym_DOT_DOT_EQ] = ACTIONS(1),
    [anon_sym_AMP] = ACTIONS(1),
    [anon_sym_switch] = ACTIONS(1),
    [anon_sym_case] = ACTIONS(1),
    [anon_sym_new] = ACTIONS(1),
    [anon_sym_make] = ACTIONS(1),
    [anon_sym_cast] = ACTIONS(1),
    [anon_sym_auto_cast] = ACTIONS(1),
    [anon_sym_transmute] = ACTIONS(1),
    [anon_sym_DOT] = ACTIONS(1),
    [anon_sym_PLUS] = ACTIONS(1),
    [anon_sym_DASH] = ACTIONS(1),
    [anon_sym_BANG] = ACTIONS(1),
    [anon_sym_STAR] = ACTIONS(1),
    [anon_sym_LT_DASH] = ACTIONS(1),
    [anon_sym_PERCENT] = ACTIONS(1),
    [anon_sym_LT_LT] = ACTIONS(1),
    [anon_sym_GT_GT] = ACTIONS(1),
    [anon_sym_AMP_CARET] = ACTIONS(1),
    [anon_sym_EQ_EQ] = ACTIONS(1),
    [anon_sym_BANG_EQ] = ACTIONS(1),
    [anon_sym_LT] = ACTIONS(1),
    [anon_sym_LT_EQ] = ACTIONS(1),
    [anon_sym_GT] = ACTIONS(1),
    [anon_sym_GT_EQ] = ACTIONS(1),
    [anon_sym_AMP_AMP] = ACTIONS(1),
    [anon_sym_PIPE_PIPE] = ACTIONS(1),
    [sym_raw_string_literal] = ACTIONS(1),
    [anon_sym_DQUOTE] = ACTIONS(1),
    [sym_escape_sequence] = ACTIONS(1),
    [sym_int_literal] = ACTIONS(1),
    [sym_float_literal] = ACTIONS(1),
    [sym_imaginary_literal] = ACTIONS(1),
    [sym_rune_literal] = ACTIONS(1),
    [sym_nil] = ACTIONS(1),
    [sym_true] = ACTIONS(1),
    [sym_false] = ACTIONS(1),
    [sym_comment] = ACTIONS(3),
  },
  [1] = {
    [sym_source_file] = STATE(1324),
    [sym_foreign_import] = STATE(322),
    [sym_foreign_block] = STATE(322),
    [sym_package_clause] = STATE(322),
    [sym_import_declaration] = STATE(322),
    [sym__declaration] = STATE(1016),
    [sym_const_declaration] = STATE(1016),
    [sym_const_declaration_with_type] = STATE(1016),
    [sym_var_declaration] = STATE(1016),
    [sym_var_declaration_and_assignment] = STATE(1016),
    [sym_struct_declaration] = STATE(1016),
    [sym_enum_declaration] = STATE(1016),
    [sym_union_declaration] = STATE(1016),
    [sym_function_declaration] = STATE(327),
    [sym_proc_group] = STATE(322),
    [sym_type_alias] = STATE(1016),
    [sym_parenthesized_type] = STATE(1316),
    [sym__simple_type] = STATE(1316),
    [sym_generic_type] = STATE(1132),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1132),
    [sym_dynamic_array_type] = STATE(1132),
    [sym_implicit_length_array_type] = STATE(1132),
    [sym_slice_type] = STATE(1132),
    [sym_struct_type] = STATE(1132),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1132),
    [sym_function_type] = STATE(814),
    [sym_block_with_directive] = STATE(1016),
    [sym_simple_directive] = STATE(1202),
    [sym_function_directive] = STATE(520),
    [sym__statement] = STATE(1205),
    [sym_empty_statement] = STATE(1016),
    [sym__simple_statement] = STATE(1016),
    [sym_assignment_statement] = STATE(977),
    [sym_labeled_statement] = STATE(1016),
    [sym_fallthrough_statement] = STATE(1016),
    [sym_break_statement] = STATE(1016),
    [sym_continue_statement] = STATE(1016),
    [sym_return_statement] = STATE(1016),
    [sym_defer_statement] = STATE(1016),
    [sym_if_statement] = STATE(1016),
    [sym_when_statement] = STATE(1016),
    [sym_for_statement] = STATE(1016),
    [sym_switch_statement] = STATE(1016),
    [sym_type_switch_statement] = STATE(1016),
    [sym__expression] = STATE(557),
    [sym_cast_expression] = STATE(520),
    [sym_transmute_expression] = STATE(520),
    [sym_parenthesized_expression] = STATE(520),
    [sym_call_expression] = STATE(520),
    [sym_selector_expression] = STATE(520),
    [sym_index_expression] = STATE(520),
    [sym_slice_expression] = STATE(520),
    [sym_type_assertion_expression] = STATE(520),
    [sym_type_conversion_expression] = STATE(520),
    [sym_composite_literal] = STATE(520),
    [sym_literal_value] = STATE(529),
    [sym_unary_expression] = STATE(520),
    [sym_binary_expression] = STATE(520),
    [sym_qualified_type] = STATE(1132),
    [sym_interpreted_string_literal] = STATE(520),
    [sym_undefined] = STATE(520),
    [aux_sym_source_file_repeat1] = STATE(2),
    [ts_builtin_sym_end] = ACTIONS(5),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_foreign] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_package] = ACTIONS(15),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(37),
    [anon_sym_fallthrough] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_continue] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_defer] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_when] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_AMP] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(59),
    [anon_sym_make] = ACTIONS(59),
    [anon_sym_cast] = ACTIONS(61),
    [anon_sym_auto_cast] = ACTIONS(63),
    [anon_sym_transmute] = ACTIONS(65),
    [anon_sym_DOT] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_LT_DASH] = ACTIONS(55),
    [sym_raw_string_literal] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [sym_int_literal] = ACTIONS(75),
    [sym_float_literal] = ACTIONS(75),
    [sym_imaginary_literal] = ACTIONS(71),
    [sym_rune_literal] = ACTIONS(71),
    [sym_nil] = ACTIONS(75),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
  },
  [2] = {
    [sym_foreign_import] = STATE(322),
    [sym_foreign_block] = STATE(322),
    [sym_package_clause] = STATE(322),
    [sym_import_declaration] = STATE(322),
    [sym__declaration] = STATE(1016),
    [sym_const_declaration] = STATE(1016),
    [sym_const_declaration_with_type] = STATE(1016),
    [sym_var_declaration] = STATE(1016),
    [sym_var_declaration_and_assignment] = STATE(1016),
    [sym_struct_declaration] = STATE(1016),
    [sym_enum_declaration] = STATE(1016),
    [sym_union_declaration] = STATE(1016),
    [sym_function_declaration] = STATE(327),
    [sym_proc_group] = STATE(322),
    [sym_type_alias] = STATE(1016),
    [sym_parenthesized_type] = STATE(1316),
    [sym__simple_type] = STATE(1316),
    [sym_generic_type] = STATE(1132),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1132),
    [sym_dynamic_array_type] = STATE(1132),
    [sym_implicit_length_array_type] = STATE(1132),
    [sym_slice_type] = STATE(1132),
    [sym_struct_type] = STATE(1132),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1132),
    [sym_function_type] = STATE(814),
    [sym_block_with_directive] = STATE(1016),
    [sym_simple_directive] = STATE(1202),
    [sym_function_directive] = STATE(520),
    [sym__statement] = STATE(1205),
    [sym_empty_statement] = STATE(1016),
    [sym__simple_statement] = STATE(1016),
    [sym_assignment_statement] = STATE(977),
    [sym_labeled_statement] = STATE(1016),
    [sym_fallthrough_statement] = STATE(1016),
    [sym_break_statement] = STATE(1016),
    [sym_continue_statement] = STATE(1016),
    [sym_return_statement] = STATE(1016),
    [sym_defer_statement] = STATE(1016),
    [sym_if_statement] = STATE(1016),
    [sym_when_statement] = STATE(1016),
    [sym_for_statement] = STATE(1016),
    [sym_switch_statement] = STATE(1016),
    [sym_type_switch_statement] = STATE(1016),
    [sym__expression] = STATE(557),
    [sym_cast_expression] = STATE(520),
    [sym_transmute_expression] = STATE(520),
    [sym_parenthesized_expression] = STATE(520),
    [sym_call_expression] = STATE(520),
    [sym_selector_expression] = STATE(520),
    [sym_index_expression] = STATE(520),
    [sym_slice_expression] = STATE(520),
    [sym_type_assertion_expression] = STATE(520),
    [sym_type_conversion_expression] = STATE(520),
    [sym_composite_literal] = STATE(520),
    [sym_literal_value] = STATE(529),
    [sym_unary_expression] = STATE(520),
    [sym_binary_expression] = STATE(520),
    [sym_qualified_type] = STATE(1132),
    [sym_interpreted_string_literal] = STATE(520),
    [sym_undefined] = STATE(520),
    [aux_sym_source_file_repeat1] = STATE(3),
    [ts_builtin_sym_end] = ACTIONS(77),
    [sym_identifier] = ACTIONS(7),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_foreign] = ACTIONS(11),
    [anon_sym_import] = ACTIONS(13),
    [anon_sym_package] = ACTIONS(15),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(37),
    [anon_sym_fallthrough] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_continue] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_defer] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_when] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_AMP] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(59),
    [anon_sym_make] = ACTIONS(59),
    [anon_sym_cast] = ACTIONS(61),
    [anon_sym_auto_cast] = ACTIONS(63),
    [anon_sym_transmute] = ACTIONS(65),
    [anon_sym_DOT] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_LT_DASH] = ACTIONS(55),
    [sym_raw_string_literal] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [sym_int_literal] = ACTIONS(75),
    [sym_float_literal] = ACTIONS(75),
    [sym_imaginary_literal] = ACTIONS(71),
    [sym_rune_literal] = ACTIONS(71),
    [sym_nil] = ACTIONS(75),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
  },
  [3] = {
    [sym_foreign_import] = STATE(322),
    [sym_foreign_block] = STATE(322),
    [sym_package_clause] = STATE(322),
    [sym_import_declaration] = STATE(322),
    [sym__declaration] = STATE(1016),
    [sym_const_declaration] = STATE(1016),
    [sym_const_declaration_with_type] = STATE(1016),
    [sym_var_declaration] = STATE(1016),
    [sym_var_declaration_and_assignment] = STATE(1016),
    [sym_struct_declaration] = STATE(1016),
    [sym_enum_declaration] = STATE(1016),
    [sym_union_declaration] = STATE(1016),
    [sym_function_declaration] = STATE(327),
    [sym_proc_group] = STATE(322),
    [sym_type_alias] = STATE(1016),
    [sym_parenthesized_type] = STATE(1316),
    [sym__simple_type] = STATE(1316),
    [sym_generic_type] = STATE(1132),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1132),
    [sym_dynamic_array_type] = STATE(1132),
    [sym_implicit_length_array_type] = STATE(1132),
    [sym_slice_type] = STATE(1132),
    [sym_struct_type] = STATE(1132),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1132),
    [sym_function_type] = STATE(814),
    [sym_block_with_directive] = STATE(1016),
    [sym_simple_directive] = STATE(1202),
    [sym_function_directive] = STATE(520),
    [sym__statement] = STATE(1205),
    [sym_empty_statement] = STATE(1016),
    [sym__simple_statement] = STATE(1016),
    [sym_assignment_statement] = STATE(977),
    [sym_labeled_statement] = STATE(1016),
    [sym_fallthrough_statement] = STATE(1016),
    [sym_break_statement] = STATE(1016),
    [sym_continue_statement] = STATE(1016),
    [sym_return_statement] = STATE(1016),
    [sym_defer_statement] = STATE(1016),
    [sym_if_statement] = STATE(1016),
    [sym_when_statement] = STATE(1016),
    [sym_for_statement] = STATE(1016),
    [sym_switch_statement] = STATE(1016),
    [sym_type_switch_statement] = STATE(1016),
    [sym__expression] = STATE(557),
    [sym_cast_expression] = STATE(520),
    [sym_transmute_expression] = STATE(520),
    [sym_parenthesized_expression] = STATE(520),
    [sym_call_expression] = STATE(520),
    [sym_selector_expression] = STATE(520),
    [sym_index_expression] = STATE(520),
    [sym_slice_expression] = STATE(520),
    [sym_type_assertion_expression] = STATE(520),
    [sym_type_conversion_expression] = STATE(520),
    [sym_composite_literal] = STATE(520),
    [sym_literal_value] = STATE(529),
    [sym_unary_expression] = STATE(520),
    [sym_binary_expression] = STATE(520),
    [sym_qualified_type] = STATE(1132),
    [sym_interpreted_string_literal] = STATE(520),
    [sym_undefined] = STATE(520),
    [aux_sym_source_file_repeat1] = STATE(3),
    [ts_builtin_sym_end] = ACTIONS(79),
    [sym_identifier] = ACTIONS(81),
    [anon_sym_SEMI] = ACTIONS(84),
    [anon_sym_foreign] = ACTIONS(87),
    [anon_sym_import] = ACTIONS(90),
    [anon_sym_package] = ACTIONS(93),
    [anon_sym_struct] = ACTIONS(96),
    [anon_sym_enum] = ACTIONS(99),
    [anon_sym_union] = ACTIONS(102),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(105),
    [anon_sym_LBRACE] = ACTIONS(108),
    [anon_sym_LPAREN] = ACTIONS(111),
    [anon_sym_LBRACK] = ACTIONS(114),
    [anon_sym_CARET] = ACTIONS(117),
    [anon_sym_map] = ACTIONS(120),
    [anon_sym_func] = ACTIONS(123),
    [anon_sym_POUND] = ACTIONS(126),
    [anon_sym_fallthrough] = ACTIONS(129),
    [anon_sym_break] = ACTIONS(132),
    [anon_sym_continue] = ACTIONS(135),
    [anon_sym_return] = ACTIONS(138),
    [anon_sym_defer] = ACTIONS(141),
    [anon_sym_if] = ACTIONS(144),
    [anon_sym_when] = ACTIONS(147),
    [anon_sym_for] = ACTIONS(150),
    [anon_sym_AMP] = ACTIONS(153),
    [anon_sym_switch] = ACTIONS(156),
    [anon_sym_new] = ACTIONS(159),
    [anon_sym_make] = ACTIONS(159),
    [anon_sym_cast] = ACTIONS(162),
    [anon_sym_auto_cast] = ACTIONS(165),
    [anon_sym_transmute] = ACTIONS(168),
    [anon_sym_DOT] = ACTIONS(171),
    [anon_sym_PLUS] = ACTIONS(153),
    [anon_sym_DASH] = ACTIONS(174),
    [anon_sym_BANG] = ACTIONS(153),
    [anon_sym_STAR] = ACTIONS(153),
    [anon_sym_LT_DASH] = ACTIONS(153),
    [sym_raw_string_literal] = ACTIONS(177),
    [anon_sym_DQUOTE] = ACTIONS(180),
    [sym_int_literal] = ACTIONS(183),
    [sym_float_literal] = ACTIONS(183),
    [sym_imaginary_literal] = ACTIONS(177),
    [sym_rune_literal] = ACTIONS(177),
    [sym_nil] = ACTIONS(183),
    [sym_true] = ACTIONS(183),
    [sym_false] = ACTIONS(183),
    [sym_comment] = ACTIONS(3),
  },
  [4] = {
    [sym__declaration] = STATE(1016),
    [sym_const_declaration] = STATE(1016),
    [sym_const_declaration_with_type] = STATE(1016),
    [sym_var_declaration] = STATE(1016),
    [sym_var_declaration_and_assignment] = STATE(1016),
    [sym_struct_declaration] = STATE(1016),
    [sym_enum_declaration] = STATE(1016),
    [sym_union_declaration] = STATE(1016),
    [sym_function_declaration] = STATE(1016),
    [sym_type_alias] = STATE(1016),
    [sym_parenthesized_type] = STATE(1316),
    [sym__simple_type] = STATE(1316),
    [sym_generic_type] = STATE(1132),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1132),
    [sym_dynamic_array_type] = STATE(1132),
    [sym_implicit_length_array_type] = STATE(1132),
    [sym_slice_type] = STATE(1132),
    [sym_struct_type] = STATE(1132),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1132),
    [sym_function_type] = STATE(814),
    [sym_block_with_directive] = STATE(1016),
    [sym_simple_directive] = STATE(1202),
    [sym_function_directive] = STATE(520),
    [sym__statement_list] = STATE(1348),
    [sym__statement] = STATE(907),
    [sym_empty_statement] = STATE(1016),
    [sym__simple_statement] = STATE(1016),
    [sym_assignment_statement] = STATE(977),
    [sym_labeled_statement] = STATE(1016),
    [sym_empty_labeled_statement] = STATE(1348),
    [sym_fallthrough_statement] = STATE(1016),
    [sym_break_statement] = STATE(1016),
    [sym_continue_statement] = STATE(1016),
    [sym_return_statement] = STATE(1016),
    [sym_defer_statement] = STATE(1016),
    [sym_if_statement] = STATE(1016),
    [sym_when_statement] = STATE(1016),
    [sym_for_statement] = STATE(1016),
    [sym_switch_statement] = STATE(1016),
    [sym_type_switch_statement] = STATE(1016),
    [sym__expression] = STATE(507),
    [sym_cast_expression] = STATE(520),
    [sym_transmute_expression] = STATE(520),
    [sym_parenthesized_expression] = STATE(520),
    [sym_call_expression] = STATE(520),
    [sym_selector_expression] = STATE(520),
    [sym_index_expression] = STATE(520),
    [sym_slice_expression] = STATE(520),
    [sym_type_assertion_expression] = STATE(520),
    [sym_type_conversion_expression] = STATE(520),
    [sym_composite_literal] = STATE(520),
    [sym_literal_value] = STATE(571),
    [sym_literal_element] = STATE(1041),
    [sym_keyed_element] = STATE(1052),
    [sym_unary_expression] = STATE(520),
    [sym_binary_expression] = STATE(520),
    [sym_qualified_type] = STATE(1132),
    [sym_interpreted_string_literal] = STATE(520),
    [sym_undefined] = STATE(520),
    [sym_identifier] = ACTIONS(186),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(188),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(25),
    [anon_sym_RBRACE] = ACTIONS(190),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(37),
    [anon_sym_fallthrough] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_continue] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_defer] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_when] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_AMP] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(59),
    [anon_sym_make] = ACTIONS(59),
    [anon_sym_cast] = ACTIONS(61),
    [anon_sym_auto_cast] = ACTIONS(63),
    [anon_sym_transmute] = ACTIONS(65),
    [anon_sym_DOT] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_LT_DASH] = ACTIONS(55),
    [sym_raw_string_literal] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [sym_int_literal] = ACTIONS(75),
    [sym_float_literal] = ACTIONS(75),
    [sym_imaginary_literal] = ACTIONS(71),
    [sym_rune_literal] = ACTIONS(71),
    [sym_nil] = ACTIONS(75),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
  },
  [5] = {
    [sym__declaration] = STATE(1016),
    [sym_const_declaration] = STATE(1016),
    [sym_const_declaration_with_type] = STATE(1016),
    [sym_var_declaration] = STATE(1016),
    [sym_var_declaration_and_assignment] = STATE(1016),
    [sym_struct_declaration] = STATE(1016),
    [sym_enum_declaration] = STATE(1016),
    [sym_union_declaration] = STATE(1016),
    [sym_function_declaration] = STATE(1016),
    [sym_type_alias] = STATE(1016),
    [sym_parenthesized_type] = STATE(1316),
    [sym__simple_type] = STATE(1316),
    [sym_generic_type] = STATE(1132),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1132),
    [sym_dynamic_array_type] = STATE(1132),
    [sym_implicit_length_array_type] = STATE(1132),
    [sym_slice_type] = STATE(1132),
    [sym_struct_type] = STATE(1132),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1132),
    [sym_function_type] = STATE(814),
    [sym_block_with_directive] = STATE(1016),
    [sym_simple_directive] = STATE(1202),
    [sym_function_directive] = STATE(520),
    [sym__statement_list] = STATE(1268),
    [sym__statement] = STATE(907),
    [sym_empty_statement] = STATE(1016),
    [sym__simple_statement] = STATE(1016),
    [sym_assignment_statement] = STATE(977),
    [sym_labeled_statement] = STATE(1016),
    [sym_empty_labeled_statement] = STATE(1268),
    [sym_fallthrough_statement] = STATE(1016),
    [sym_break_statement] = STATE(1016),
    [sym_continue_statement] = STATE(1016),
    [sym_return_statement] = STATE(1016),
    [sym_defer_statement] = STATE(1016),
    [sym_if_statement] = STATE(1016),
    [sym_when_statement] = STATE(1016),
    [sym_for_statement] = STATE(1016),
    [sym_switch_statement] = STATE(1016),
    [sym_type_switch_statement] = STATE(1016),
    [sym__expression] = STATE(507),
    [sym_cast_expression] = STATE(520),
    [sym_transmute_expression] = STATE(520),
    [sym_parenthesized_expression] = STATE(520),
    [sym_call_expression] = STATE(520),
    [sym_selector_expression] = STATE(520),
    [sym_index_expression] = STATE(520),
    [sym_slice_expression] = STATE(520),
    [sym_type_assertion_expression] = STATE(520),
    [sym_type_conversion_expression] = STATE(520),
    [sym_composite_literal] = STATE(520),
    [sym_literal_value] = STATE(571),
    [sym_literal_element] = STATE(925),
    [sym_keyed_element] = STATE(1097),
    [sym_unary_expression] = STATE(520),
    [sym_binary_expression] = STATE(520),
    [sym_qualified_type] = STATE(1132),
    [sym_interpreted_string_literal] = STATE(520),
    [sym_undefined] = STATE(520),
    [sym_identifier] = ACTIONS(186),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_COMMA] = ACTIONS(192),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(25),
    [anon_sym_RBRACE] = ACTIONS(194),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(37),
    [anon_sym_fallthrough] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_continue] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_defer] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_when] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_AMP] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(59),
    [anon_sym_make] = ACTIONS(59),
    [anon_sym_cast] = ACTIONS(61),
    [anon_sym_auto_cast] = ACTIONS(63),
    [anon_sym_transmute] = ACTIONS(65),
    [anon_sym_DOT] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_LT_DASH] = ACTIONS(55),
    [sym_raw_string_literal] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [sym_int_literal] = ACTIONS(75),
    [sym_float_literal] = ACTIONS(75),
    [sym_imaginary_literal] = ACTIONS(71),
    [sym_rune_literal] = ACTIONS(71),
    [sym_nil] = ACTIONS(75),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
  },
  [6] = {
    [sym__declaration] = STATE(1016),
    [sym_const_declaration] = STATE(1016),
    [sym_const_declaration_with_type] = STATE(1016),
    [sym_var_declaration] = STATE(1016),
    [sym_var_declaration_and_assignment] = STATE(1016),
    [sym_struct_declaration] = STATE(1016),
    [sym_enum_declaration] = STATE(1016),
    [sym_union_declaration] = STATE(1016),
    [sym_function_declaration] = STATE(1016),
    [sym_type_alias] = STATE(1016),
    [sym_parenthesized_type] = STATE(1316),
    [sym__simple_type] = STATE(1316),
    [sym_generic_type] = STATE(1132),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1132),
    [sym_dynamic_array_type] = STATE(1132),
    [sym_implicit_length_array_type] = STATE(1132),
    [sym_slice_type] = STATE(1132),
    [sym_struct_type] = STATE(1132),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1132),
    [sym_function_type] = STATE(814),
    [sym_block_with_directive] = STATE(1016),
    [sym_simple_directive] = STATE(1202),
    [sym_function_directive] = STATE(520),
    [sym__statement_list] = STATE(1224),
    [sym__statement] = STATE(907),
    [sym_empty_statement] = STATE(1016),
    [sym__simple_statement] = STATE(1016),
    [sym_assignment_statement] = STATE(977),
    [sym_labeled_statement] = STATE(1016),
    [sym_empty_labeled_statement] = STATE(1224),
    [sym_fallthrough_statement] = STATE(1016),
    [sym_break_statement] = STATE(1016),
    [sym_continue_statement] = STATE(1016),
    [sym_return_statement] = STATE(1016),
    [sym_defer_statement] = STATE(1016),
    [sym_if_statement] = STATE(1016),
    [sym_when_statement] = STATE(1016),
    [sym_for_statement] = STATE(1016),
    [sym_switch_statement] = STATE(1016),
    [sym_type_switch_statement] = STATE(1016),
    [sym__expression] = STATE(557),
    [sym_cast_expression] = STATE(520),
    [sym_transmute_expression] = STATE(520),
    [sym_parenthesized_expression] = STATE(520),
    [sym_call_expression] = STATE(520),
    [sym_selector_expression] = STATE(520),
    [sym_index_expression] = STATE(520),
    [sym_slice_expression] = STATE(520),
    [sym_type_assertion_expression] = STATE(520),
    [sym_type_conversion_expression] = STATE(520),
    [sym_composite_literal] = STATE(520),
    [sym_literal_value] = STATE(529),
    [sym_unary_expression] = STATE(520),
    [sym_binary_expression] = STATE(520),
    [sym_qualified_type] = STATE(1132),
    [sym_interpreted_string_literal] = STATE(520),
    [sym_undefined] = STATE(520),
    [sym_identifier] = ACTIONS(196),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(25),
    [anon_sym_RBRACE] = ACTIONS(198),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(37),
    [anon_sym_fallthrough] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_continue] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_defer] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_when] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_AMP] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(200),
    [anon_sym_new] = ACTIONS(59),
    [anon_sym_make] = ACTIONS(59),
    [anon_sym_cast] = ACTIONS(61),
    [anon_sym_auto_cast] = ACTIONS(63),
    [anon_sym_transmute] = ACTIONS(65),
    [anon_sym_DOT] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_LT_DASH] = ACTIONS(55),
    [sym_raw_string_literal] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [sym_int_literal] = ACTIONS(75),
    [sym_float_literal] = ACTIONS(75),
    [sym_imaginary_literal] = ACTIONS(71),
    [sym_rune_literal] = ACTIONS(71),
    [sym_nil] = ACTIONS(75),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
  },
  [7] = {
    [sym__declaration] = STATE(1016),
    [sym_const_declaration] = STATE(1016),
    [sym_const_declaration_with_type] = STATE(1016),
    [sym_var_declaration] = STATE(1016),
    [sym_var_declaration_and_assignment] = STATE(1016),
    [sym_struct_declaration] = STATE(1016),
    [sym_enum_declaration] = STATE(1016),
    [sym_union_declaration] = STATE(1016),
    [sym_function_declaration] = STATE(1016),
    [sym_type_alias] = STATE(1016),
    [sym_parenthesized_type] = STATE(1316),
    [sym__simple_type] = STATE(1316),
    [sym_generic_type] = STATE(1132),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1132),
    [sym_dynamic_array_type] = STATE(1132),
    [sym_implicit_length_array_type] = STATE(1132),
    [sym_slice_type] = STATE(1132),
    [sym_struct_type] = STATE(1132),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1132),
    [sym_function_type] = STATE(814),
    [sym_block_with_directive] = STATE(1016),
    [sym_simple_directive] = STATE(1202),
    [sym_function_directive] = STATE(520),
    [sym__statement_list] = STATE(1168),
    [sym__statement] = STATE(907),
    [sym_empty_statement] = STATE(1016),
    [sym__simple_statement] = STATE(1016),
    [sym_assignment_statement] = STATE(977),
    [sym_labeled_statement] = STATE(1016),
    [sym_empty_labeled_statement] = STATE(1168),
    [sym_fallthrough_statement] = STATE(1016),
    [sym_break_statement] = STATE(1016),
    [sym_continue_statement] = STATE(1016),
    [sym_return_statement] = STATE(1016),
    [sym_defer_statement] = STATE(1016),
    [sym_if_statement] = STATE(1016),
    [sym_when_statement] = STATE(1016),
    [sym_for_statement] = STATE(1016),
    [sym_switch_statement] = STATE(1016),
    [sym_type_switch_statement] = STATE(1016),
    [sym__expression] = STATE(557),
    [sym_cast_expression] = STATE(520),
    [sym_transmute_expression] = STATE(520),
    [sym_parenthesized_expression] = STATE(520),
    [sym_call_expression] = STATE(520),
    [sym_selector_expression] = STATE(520),
    [sym_index_expression] = STATE(520),
    [sym_slice_expression] = STATE(520),
    [sym_type_assertion_expression] = STATE(520),
    [sym_type_conversion_expression] = STATE(520),
    [sym_composite_literal] = STATE(520),
    [sym_literal_value] = STATE(529),
    [sym_unary_expression] = STATE(520),
    [sym_binary_expression] = STATE(520),
    [sym_qualified_type] = STATE(1132),
    [sym_interpreted_string_literal] = STATE(520),
    [sym_undefined] = STATE(520),
    [sym_identifier] = ACTIONS(196),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(25),
    [anon_sym_RBRACE] = ACTIONS(202),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(37),
    [anon_sym_fallthrough] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_continue] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_defer] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_when] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_AMP] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(204),
    [anon_sym_new] = ACTIONS(59),
    [anon_sym_make] = ACTIONS(59),
    [anon_sym_cast] = ACTIONS(61),
    [anon_sym_auto_cast] = ACTIONS(63),
    [anon_sym_transmute] = ACTIONS(65),
    [anon_sym_DOT] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_LT_DASH] = ACTIONS(55),
    [sym_raw_string_literal] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [sym_int_literal] = ACTIONS(75),
    [sym_float_literal] = ACTIONS(75),
    [sym_imaginary_literal] = ACTIONS(71),
    [sym_rune_literal] = ACTIONS(71),
    [sym_nil] = ACTIONS(75),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
  },
  [8] = {
    [sym__declaration] = STATE(1016),
    [sym_const_declaration] = STATE(1016),
    [sym_const_declaration_with_type] = STATE(1016),
    [sym_var_declaration] = STATE(1016),
    [sym_var_declaration_and_assignment] = STATE(1016),
    [sym_struct_declaration] = STATE(1016),
    [sym_enum_declaration] = STATE(1016),
    [sym_union_declaration] = STATE(1016),
    [sym_function_declaration] = STATE(1016),
    [sym_type_alias] = STATE(1016),
    [sym_parenthesized_type] = STATE(1316),
    [sym__simple_type] = STATE(1316),
    [sym_generic_type] = STATE(1132),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1132),
    [sym_dynamic_array_type] = STATE(1132),
    [sym_implicit_length_array_type] = STATE(1132),
    [sym_slice_type] = STATE(1132),
    [sym_struct_type] = STATE(1132),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1132),
    [sym_function_type] = STATE(814),
    [sym_block_with_directive] = STATE(1016),
    [sym_simple_directive] = STATE(1202),
    [sym_function_directive] = STATE(520),
    [sym__statement_list] = STATE(1240),
    [sym__statement] = STATE(907),
    [sym_empty_statement] = STATE(1016),
    [sym__simple_statement] = STATE(1016),
    [sym_assignment_statement] = STATE(977),
    [sym_labeled_statement] = STATE(1016),
    [sym_empty_labeled_statement] = STATE(1240),
    [sym_fallthrough_statement] = STATE(1016),
    [sym_break_statement] = STATE(1016),
    [sym_continue_statement] = STATE(1016),
    [sym_return_statement] = STATE(1016),
    [sym_defer_statement] = STATE(1016),
    [sym_if_statement] = STATE(1016),
    [sym_when_statement] = STATE(1016),
    [sym_for_statement] = STATE(1016),
    [sym_switch_statement] = STATE(1016),
    [sym_type_switch_statement] = STATE(1016),
    [sym__expression] = STATE(557),
    [sym_cast_expression] = STATE(520),
    [sym_transmute_expression] = STATE(520),
    [sym_parenthesized_expression] = STATE(520),
    [sym_call_expression] = STATE(520),
    [sym_selector_expression] = STATE(520),
    [sym_index_expression] = STATE(520),
    [sym_slice_expression] = STATE(520),
    [sym_type_assertion_expression] = STATE(520),
    [sym_type_conversion_expression] = STATE(520),
    [sym_composite_literal] = STATE(520),
    [sym_literal_value] = STATE(529),
    [sym_unary_expression] = STATE(520),
    [sym_binary_expression] = STATE(520),
    [sym_qualified_type] = STATE(1132),
    [sym_interpreted_string_literal] = STATE(520),
    [sym_undefined] = STATE(520),
    [sym_identifier] = ACTIONS(196),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(25),
    [anon_sym_RBRACE] = ACTIONS(206),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(37),
    [anon_sym_fallthrough] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_continue] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_defer] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_when] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_AMP] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(208),
    [anon_sym_new] = ACTIONS(59),
    [anon_sym_make] = ACTIONS(59),
    [anon_sym_cast] = ACTIONS(61),
    [anon_sym_auto_cast] = ACTIONS(63),
    [anon_sym_transmute] = ACTIONS(65),
    [anon_sym_DOT] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_LT_DASH] = ACTIONS(55),
    [sym_raw_string_literal] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [sym_int_literal] = ACTIONS(75),
    [sym_float_literal] = ACTIONS(75),
    [sym_imaginary_literal] = ACTIONS(71),
    [sym_rune_literal] = ACTIONS(71),
    [sym_nil] = ACTIONS(75),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
  },
  [9] = {
    [sym__declaration] = STATE(1016),
    [sym_const_declaration] = STATE(1016),
    [sym_const_declaration_with_type] = STATE(1016),
    [sym_var_declaration] = STATE(1016),
    [sym_var_declaration_and_assignment] = STATE(1016),
    [sym_struct_declaration] = STATE(1016),
    [sym_enum_declaration] = STATE(1016),
    [sym_union_declaration] = STATE(1016),
    [sym_function_declaration] = STATE(1016),
    [sym_type_alias] = STATE(1016),
    [sym_parenthesized_type] = STATE(1316),
    [sym__simple_type] = STATE(1316),
    [sym_generic_type] = STATE(1132),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1132),
    [sym_dynamic_array_type] = STATE(1132),
    [sym_implicit_length_array_type] = STATE(1132),
    [sym_slice_type] = STATE(1132),
    [sym_struct_type] = STATE(1132),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1132),
    [sym_function_type] = STATE(814),
    [sym_block_with_directive] = STATE(1016),
    [sym_simple_directive] = STATE(1202),
    [sym_function_directive] = STATE(520),
    [sym__statement_list] = STATE(1339),
    [sym__statement] = STATE(907),
    [sym_empty_statement] = STATE(1016),
    [sym__simple_statement] = STATE(1016),
    [sym_assignment_statement] = STATE(977),
    [sym_labeled_statement] = STATE(1016),
    [sym_empty_labeled_statement] = STATE(1339),
    [sym_fallthrough_statement] = STATE(1016),
    [sym_break_statement] = STATE(1016),
    [sym_continue_statement] = STATE(1016),
    [sym_return_statement] = STATE(1016),
    [sym_defer_statement] = STATE(1016),
    [sym_if_statement] = STATE(1016),
    [sym_when_statement] = STATE(1016),
    [sym_for_statement] = STATE(1016),
    [sym_switch_statement] = STATE(1016),
    [sym_type_switch_statement] = STATE(1016),
    [sym__expression] = STATE(557),
    [sym_cast_expression] = STATE(520),
    [sym_transmute_expression] = STATE(520),
    [sym_parenthesized_expression] = STATE(520),
    [sym_call_expression] = STATE(520),
    [sym_selector_expression] = STATE(520),
    [sym_index_expression] = STATE(520),
    [sym_slice_expression] = STATE(520),
    [sym_type_assertion_expression] = STATE(520),
    [sym_type_conversion_expression] = STATE(520),
    [sym_composite_literal] = STATE(520),
    [sym_literal_value] = STATE(529),
    [sym_unary_expression] = STATE(520),
    [sym_binary_expression] = STATE(520),
    [sym_qualified_type] = STATE(1132),
    [sym_interpreted_string_literal] = STATE(520),
    [sym_undefined] = STATE(520),
    [sym_identifier] = ACTIONS(196),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(25),
    [anon_sym_RBRACE] = ACTIONS(210),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(37),
    [anon_sym_fallthrough] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_continue] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_defer] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_when] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_AMP] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(59),
    [anon_sym_make] = ACTIONS(59),
    [anon_sym_cast] = ACTIONS(61),
    [anon_sym_auto_cast] = ACTIONS(63),
    [anon_sym_transmute] = ACTIONS(65),
    [anon_sym_DOT] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_LT_DASH] = ACTIONS(55),
    [sym_raw_string_literal] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [sym_int_literal] = ACTIONS(75),
    [sym_float_literal] = ACTIONS(75),
    [sym_imaginary_literal] = ACTIONS(71),
    [sym_rune_literal] = ACTIONS(71),
    [sym_nil] = ACTIONS(75),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
  },
  [10] = {
    [sym__declaration] = STATE(1016),
    [sym_const_declaration] = STATE(1016),
    [sym_const_declaration_with_type] = STATE(1016),
    [sym_var_declaration] = STATE(1016),
    [sym_var_declaration_and_assignment] = STATE(1016),
    [sym_struct_declaration] = STATE(1016),
    [sym_enum_declaration] = STATE(1016),
    [sym_union_declaration] = STATE(1016),
    [sym_function_declaration] = STATE(1016),
    [sym_type_alias] = STATE(1016),
    [sym_parenthesized_type] = STATE(1316),
    [sym__simple_type] = STATE(1316),
    [sym_generic_type] = STATE(1132),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1132),
    [sym_dynamic_array_type] = STATE(1132),
    [sym_implicit_length_array_type] = STATE(1132),
    [sym_slice_type] = STATE(1132),
    [sym_struct_type] = STATE(1132),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1132),
    [sym_function_type] = STATE(814),
    [sym_block_with_directive] = STATE(1016),
    [sym_simple_directive] = STATE(1202),
    [sym_function_directive] = STATE(520),
    [sym__statement_list] = STATE(1348),
    [sym__statement] = STATE(907),
    [sym_empty_statement] = STATE(1016),
    [sym__simple_statement] = STATE(1016),
    [sym_assignment_statement] = STATE(977),
    [sym_labeled_statement] = STATE(1016),
    [sym_empty_labeled_statement] = STATE(1348),
    [sym_fallthrough_statement] = STATE(1016),
    [sym_break_statement] = STATE(1016),
    [sym_continue_statement] = STATE(1016),
    [sym_return_statement] = STATE(1016),
    [sym_defer_statement] = STATE(1016),
    [sym_if_statement] = STATE(1016),
    [sym_when_statement] = STATE(1016),
    [sym_for_statement] = STATE(1016),
    [sym_switch_statement] = STATE(1016),
    [sym_type_switch_statement] = STATE(1016),
    [sym__expression] = STATE(557),
    [sym_cast_expression] = STATE(520),
    [sym_transmute_expression] = STATE(520),
    [sym_parenthesized_expression] = STATE(520),
    [sym_call_expression] = STATE(520),
    [sym_selector_expression] = STATE(520),
    [sym_index_expression] = STATE(520),
    [sym_slice_expression] = STATE(520),
    [sym_type_assertion_expression] = STATE(520),
    [sym_type_conversion_expression] = STATE(520),
    [sym_composite_literal] = STATE(520),
    [sym_literal_value] = STATE(529),
    [sym_unary_expression] = STATE(520),
    [sym_binary_expression] = STATE(520),
    [sym_qualified_type] = STATE(1132),
    [sym_interpreted_string_literal] = STATE(520),
    [sym_undefined] = STATE(520),
    [sym_identifier] = ACTIONS(196),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(25),
    [anon_sym_RBRACE] = ACTIONS(212),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(37),
    [anon_sym_fallthrough] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_continue] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_defer] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_when] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_AMP] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(59),
    [anon_sym_make] = ACTIONS(59),
    [anon_sym_cast] = ACTIONS(61),
    [anon_sym_auto_cast] = ACTIONS(63),
    [anon_sym_transmute] = ACTIONS(65),
    [anon_sym_DOT] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_LT_DASH] = ACTIONS(55),
    [sym_raw_string_literal] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [sym_int_literal] = ACTIONS(75),
    [sym_float_literal] = ACTIONS(75),
    [sym_imaginary_literal] = ACTIONS(71),
    [sym_rune_literal] = ACTIONS(71),
    [sym_nil] = ACTIONS(75),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
  },
  [11] = {
    [sym__declaration] = STATE(1016),
    [sym_const_declaration] = STATE(1016),
    [sym_const_declaration_with_type] = STATE(1016),
    [sym_var_declaration] = STATE(1016),
    [sym_var_declaration_and_assignment] = STATE(1016),
    [sym_struct_declaration] = STATE(1016),
    [sym_enum_declaration] = STATE(1016),
    [sym_union_declaration] = STATE(1016),
    [sym_function_declaration] = STATE(1016),
    [sym_type_alias] = STATE(1016),
    [sym_parenthesized_type] = STATE(1316),
    [sym__simple_type] = STATE(1316),
    [sym_generic_type] = STATE(1132),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1132),
    [sym_dynamic_array_type] = STATE(1132),
    [sym_implicit_length_array_type] = STATE(1132),
    [sym_slice_type] = STATE(1132),
    [sym_struct_type] = STATE(1132),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1132),
    [sym_function_type] = STATE(814),
    [sym_block_with_directive] = STATE(1016),
    [sym_simple_directive] = STATE(1202),
    [sym_function_directive] = STATE(520),
    [sym__statement_list] = STATE(1255),
    [sym__statement] = STATE(907),
    [sym_empty_statement] = STATE(1016),
    [sym__simple_statement] = STATE(1016),
    [sym_assignment_statement] = STATE(977),
    [sym_labeled_statement] = STATE(1016),
    [sym_empty_labeled_statement] = STATE(1255),
    [sym_fallthrough_statement] = STATE(1016),
    [sym_break_statement] = STATE(1016),
    [sym_continue_statement] = STATE(1016),
    [sym_return_statement] = STATE(1016),
    [sym_defer_statement] = STATE(1016),
    [sym_if_statement] = STATE(1016),
    [sym_when_statement] = STATE(1016),
    [sym_for_statement] = STATE(1016),
    [sym_switch_statement] = STATE(1016),
    [sym_type_switch_statement] = STATE(1016),
    [sym__expression] = STATE(557),
    [sym_cast_expression] = STATE(520),
    [sym_transmute_expression] = STATE(520),
    [sym_parenthesized_expression] = STATE(520),
    [sym_call_expression] = STATE(520),
    [sym_selector_expression] = STATE(520),
    [sym_index_expression] = STATE(520),
    [sym_slice_expression] = STATE(520),
    [sym_type_assertion_expression] = STATE(520),
    [sym_type_conversion_expression] = STATE(520),
    [sym_composite_literal] = STATE(520),
    [sym_literal_value] = STATE(529),
    [sym_unary_expression] = STATE(520),
    [sym_binary_expression] = STATE(520),
    [sym_qualified_type] = STATE(1132),
    [sym_interpreted_string_literal] = STATE(520),
    [sym_undefined] = STATE(520),
    [sym_identifier] = ACTIONS(196),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(25),
    [anon_sym_RBRACE] = ACTIONS(214),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(37),
    [anon_sym_fallthrough] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_continue] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_defer] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_when] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_AMP] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(59),
    [anon_sym_make] = ACTIONS(59),
    [anon_sym_cast] = ACTIONS(61),
    [anon_sym_auto_cast] = ACTIONS(63),
    [anon_sym_transmute] = ACTIONS(65),
    [anon_sym_DOT] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_LT_DASH] = ACTIONS(55),
    [sym_raw_string_literal] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [sym_int_literal] = ACTIONS(75),
    [sym_float_literal] = ACTIONS(75),
    [sym_imaginary_literal] = ACTIONS(71),
    [sym_rune_literal] = ACTIONS(71),
    [sym_nil] = ACTIONS(75),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
  },
  [12] = {
    [sym__declaration] = STATE(1016),
    [sym_const_declaration] = STATE(1016),
    [sym_const_declaration_with_type] = STATE(1016),
    [sym_var_declaration] = STATE(1016),
    [sym_var_declaration_and_assignment] = STATE(1016),
    [sym_struct_declaration] = STATE(1016),
    [sym_enum_declaration] = STATE(1016),
    [sym_union_declaration] = STATE(1016),
    [sym_function_declaration] = STATE(1016),
    [sym_type_alias] = STATE(1016),
    [sym_parenthesized_type] = STATE(1316),
    [sym__simple_type] = STATE(1316),
    [sym_generic_type] = STATE(1132),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1132),
    [sym_dynamic_array_type] = STATE(1132),
    [sym_implicit_length_array_type] = STATE(1132),
    [sym_slice_type] = STATE(1132),
    [sym_struct_type] = STATE(1132),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1132),
    [sym_function_type] = STATE(814),
    [sym_block_with_directive] = STATE(1016),
    [sym_simple_directive] = STATE(1202),
    [sym_function_directive] = STATE(520),
    [sym__statement] = STATE(1011),
    [sym_empty_statement] = STATE(1016),
    [sym__simple_statement] = STATE(1016),
    [sym_assignment_statement] = STATE(977),
    [sym_labeled_statement] = STATE(1016),
    [sym_empty_labeled_statement] = STATE(1251),
    [sym_fallthrough_statement] = STATE(1016),
    [sym_break_statement] = STATE(1016),
    [sym_continue_statement] = STATE(1016),
    [sym_return_statement] = STATE(1016),
    [sym_defer_statement] = STATE(1016),
    [sym_if_statement] = STATE(1016),
    [sym_when_statement] = STATE(1016),
    [sym_for_statement] = STATE(1016),
    [sym_switch_statement] = STATE(1016),
    [sym_type_switch_statement] = STATE(1016),
    [sym__expression] = STATE(557),
    [sym_cast_expression] = STATE(520),
    [sym_transmute_expression] = STATE(520),
    [sym_parenthesized_expression] = STATE(520),
    [sym_call_expression] = STATE(520),
    [sym_selector_expression] = STATE(520),
    [sym_index_expression] = STATE(520),
    [sym_slice_expression] = STATE(520),
    [sym_type_assertion_expression] = STATE(520),
    [sym_type_conversion_expression] = STATE(520),
    [sym_composite_literal] = STATE(520),
    [sym_literal_value] = STATE(529),
    [sym_unary_expression] = STATE(520),
    [sym_binary_expression] = STATE(520),
    [sym_qualified_type] = STATE(1132),
    [sym_interpreted_string_literal] = STATE(520),
    [sym_undefined] = STATE(520),
    [sym_identifier] = ACTIONS(196),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(25),
    [anon_sym_RBRACE] = ACTIONS(216),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(37),
    [anon_sym_fallthrough] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_continue] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_defer] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_when] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_AMP] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(218),
    [anon_sym_new] = ACTIONS(59),
    [anon_sym_make] = ACTIONS(59),
    [anon_sym_cast] = ACTIONS(61),
    [anon_sym_auto_cast] = ACTIONS(63),
    [anon_sym_transmute] = ACTIONS(65),
    [anon_sym_DOT] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_LT_DASH] = ACTIONS(55),
    [sym_raw_string_literal] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [sym_int_literal] = ACTIONS(75),
    [sym_float_literal] = ACTIONS(75),
    [sym_imaginary_literal] = ACTIONS(71),
    [sym_rune_literal] = ACTIONS(71),
    [sym_nil] = ACTIONS(75),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
  },
  [13] = {
    [sym__declaration] = STATE(1016),
    [sym_const_declaration] = STATE(1016),
    [sym_const_declaration_with_type] = STATE(1016),
    [sym_var_declaration] = STATE(1016),
    [sym_var_declaration_and_assignment] = STATE(1016),
    [sym_struct_declaration] = STATE(1016),
    [sym_enum_declaration] = STATE(1016),
    [sym_union_declaration] = STATE(1016),
    [sym_function_declaration] = STATE(1016),
    [sym_type_alias] = STATE(1016),
    [sym_parenthesized_type] = STATE(1316),
    [sym__simple_type] = STATE(1316),
    [sym_generic_type] = STATE(1132),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1132),
    [sym_dynamic_array_type] = STATE(1132),
    [sym_implicit_length_array_type] = STATE(1132),
    [sym_slice_type] = STATE(1132),
    [sym_struct_type] = STATE(1132),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1132),
    [sym_function_type] = STATE(814),
    [sym_block_with_directive] = STATE(1016),
    [sym_simple_directive] = STATE(1202),
    [sym_function_directive] = STATE(520),
    [sym__statement] = STATE(1011),
    [sym_empty_statement] = STATE(1016),
    [sym__simple_statement] = STATE(1016),
    [sym_assignment_statement] = STATE(977),
    [sym_labeled_statement] = STATE(1016),
    [sym_empty_labeled_statement] = STATE(1211),
    [sym_fallthrough_statement] = STATE(1016),
    [sym_break_statement] = STATE(1016),
    [sym_continue_statement] = STATE(1016),
    [sym_return_statement] = STATE(1016),
    [sym_defer_statement] = STATE(1016),
    [sym_if_statement] = STATE(1016),
    [sym_when_statement] = STATE(1016),
    [sym_for_statement] = STATE(1016),
    [sym_switch_statement] = STATE(1016),
    [sym_type_switch_statement] = STATE(1016),
    [sym__expression] = STATE(557),
    [sym_cast_expression] = STATE(520),
    [sym_transmute_expression] = STATE(520),
    [sym_parenthesized_expression] = STATE(520),
    [sym_call_expression] = STATE(520),
    [sym_selector_expression] = STATE(520),
    [sym_index_expression] = STATE(520),
    [sym_slice_expression] = STATE(520),
    [sym_type_assertion_expression] = STATE(520),
    [sym_type_conversion_expression] = STATE(520),
    [sym_composite_literal] = STATE(520),
    [sym_literal_value] = STATE(529),
    [sym_unary_expression] = STATE(520),
    [sym_binary_expression] = STATE(520),
    [sym_qualified_type] = STATE(1132),
    [sym_interpreted_string_literal] = STATE(520),
    [sym_undefined] = STATE(520),
    [sym_identifier] = ACTIONS(196),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(25),
    [anon_sym_RBRACE] = ACTIONS(220),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(37),
    [anon_sym_fallthrough] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_continue] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_defer] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_when] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_AMP] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_case] = ACTIONS(222),
    [anon_sym_new] = ACTIONS(59),
    [anon_sym_make] = ACTIONS(59),
    [anon_sym_cast] = ACTIONS(61),
    [anon_sym_auto_cast] = ACTIONS(63),
    [anon_sym_transmute] = ACTIONS(65),
    [anon_sym_DOT] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_LT_DASH] = ACTIONS(55),
    [sym_raw_string_literal] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [sym_int_literal] = ACTIONS(75),
    [sym_float_literal] = ACTIONS(75),
    [sym_imaginary_literal] = ACTIONS(71),
    [sym_rune_literal] = ACTIONS(71),
    [sym_nil] = ACTIONS(75),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
  },
  [14] = {
    [sym__declaration] = STATE(1016),
    [sym_const_declaration] = STATE(1016),
    [sym_const_declaration_with_type] = STATE(1016),
    [sym_var_declaration] = STATE(1016),
    [sym_var_declaration_and_assignment] = STATE(1016),
    [sym_struct_declaration] = STATE(1016),
    [sym_enum_declaration] = STATE(1016),
    [sym_union_declaration] = STATE(1016),
    [sym_function_declaration] = STATE(1016),
    [sym_type_alias] = STATE(1016),
    [sym_parenthesized_type] = STATE(1316),
    [sym__simple_type] = STATE(1316),
    [sym_generic_type] = STATE(1132),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1132),
    [sym_dynamic_array_type] = STATE(1132),
    [sym_implicit_length_array_type] = STATE(1132),
    [sym_slice_type] = STATE(1132),
    [sym_struct_type] = STATE(1132),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1132),
    [sym_function_type] = STATE(814),
    [sym_block_with_directive] = STATE(1016),
    [sym_simple_directive] = STATE(1202),
    [sym_function_directive] = STATE(520),
    [sym__statement] = STATE(979),
    [sym_empty_statement] = STATE(1016),
    [sym__simple_statement] = STATE(1016),
    [sym_assignment_statement] = STATE(977),
    [sym_labeled_statement] = STATE(1016),
    [sym_fallthrough_statement] = STATE(1016),
    [sym_break_statement] = STATE(1016),
    [sym_continue_statement] = STATE(1016),
    [sym_return_statement] = STATE(1016),
    [sym_defer_statement] = STATE(1016),
    [sym_if_statement] = STATE(1016),
    [sym_when_statement] = STATE(1016),
    [sym_for_statement] = STATE(1016),
    [sym_switch_statement] = STATE(1016),
    [sym_type_switch_statement] = STATE(1016),
    [sym__expression] = STATE(557),
    [sym_cast_expression] = STATE(520),
    [sym_transmute_expression] = STATE(520),
    [sym_parenthesized_expression] = STATE(520),
    [sym_call_expression] = STATE(520),
    [sym_selector_expression] = STATE(520),
    [sym_index_expression] = STATE(520),
    [sym_slice_expression] = STATE(520),
    [sym_type_assertion_expression] = STATE(520),
    [sym_type_conversion_expression] = STATE(520),
    [sym_composite_literal] = STATE(520),
    [sym_literal_value] = STATE(529),
    [sym_unary_expression] = STATE(520),
    [sym_binary_expression] = STATE(520),
    [sym_qualified_type] = STATE(1132),
    [sym_interpreted_string_literal] = STATE(520),
    [sym_undefined] = STATE(520),
    [sym_identifier] = ACTIONS(224),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(37),
    [anon_sym_fallthrough] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_continue] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_defer] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_when] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_AMP] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(59),
    [anon_sym_make] = ACTIONS(59),
    [anon_sym_cast] = ACTIONS(61),
    [anon_sym_auto_cast] = ACTIONS(63),
    [anon_sym_transmute] = ACTIONS(65),
    [anon_sym_DOT] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_LT_DASH] = ACTIONS(55),
    [sym_raw_string_literal] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [sym_int_literal] = ACTIONS(75),
    [sym_float_literal] = ACTIONS(75),
    [sym_imaginary_literal] = ACTIONS(71),
    [sym_rune_literal] = ACTIONS(71),
    [sym_nil] = ACTIONS(75),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
  },
  [15] = {
    [sym__declaration] = STATE(1016),
    [sym_const_declaration] = STATE(1016),
    [sym_const_declaration_with_type] = STATE(1016),
    [sym_var_declaration] = STATE(1016),
    [sym_var_declaration_and_assignment] = STATE(1016),
    [sym_struct_declaration] = STATE(1016),
    [sym_enum_declaration] = STATE(1016),
    [sym_union_declaration] = STATE(1016),
    [sym_function_declaration] = STATE(1016),
    [sym_type_alias] = STATE(1016),
    [sym_parenthesized_type] = STATE(1316),
    [sym__simple_type] = STATE(1316),
    [sym_generic_type] = STATE(1132),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1132),
    [sym_dynamic_array_type] = STATE(1132),
    [sym_implicit_length_array_type] = STATE(1132),
    [sym_slice_type] = STATE(1132),
    [sym_struct_type] = STATE(1132),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1132),
    [sym_function_type] = STATE(814),
    [sym_block_with_directive] = STATE(1016),
    [sym_simple_directive] = STATE(1202),
    [sym_function_directive] = STATE(520),
    [sym__statement] = STATE(1011),
    [sym_empty_statement] = STATE(1016),
    [sym__simple_statement] = STATE(1016),
    [sym_assignment_statement] = STATE(977),
    [sym_labeled_statement] = STATE(1016),
    [sym_fallthrough_statement] = STATE(1016),
    [sym_break_statement] = STATE(1016),
    [sym_continue_statement] = STATE(1016),
    [sym_return_statement] = STATE(1016),
    [sym_defer_statement] = STATE(1016),
    [sym_if_statement] = STATE(1016),
    [sym_when_statement] = STATE(1016),
    [sym_for_statement] = STATE(1016),
    [sym_switch_statement] = STATE(1016),
    [sym_type_switch_statement] = STATE(1016),
    [sym__expression] = STATE(557),
    [sym_cast_expression] = STATE(520),
    [sym_transmute_expression] = STATE(520),
    [sym_parenthesized_expression] = STATE(520),
    [sym_call_expression] = STATE(520),
    [sym_selector_expression] = STATE(520),
    [sym_index_expression] = STATE(520),
    [sym_slice_expression] = STATE(520),
    [sym_type_assertion_expression] = STATE(520),
    [sym_type_conversion_expression] = STATE(520),
    [sym_composite_literal] = STATE(520),
    [sym_literal_value] = STATE(529),
    [sym_unary_expression] = STATE(520),
    [sym_binary_expression] = STATE(520),
    [sym_qualified_type] = STATE(1132),
    [sym_interpreted_string_literal] = STATE(520),
    [sym_undefined] = STATE(520),
    [sym_identifier] = ACTIONS(224),
    [anon_sym_SEMI] = ACTIONS(9),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(25),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(37),
    [anon_sym_fallthrough] = ACTIONS(39),
    [anon_sym_break] = ACTIONS(41),
    [anon_sym_continue] = ACTIONS(43),
    [anon_sym_return] = ACTIONS(45),
    [anon_sym_defer] = ACTIONS(47),
    [anon_sym_if] = ACTIONS(49),
    [anon_sym_when] = ACTIONS(51),
    [anon_sym_for] = ACTIONS(53),
    [anon_sym_AMP] = ACTIONS(55),
    [anon_sym_switch] = ACTIONS(57),
    [anon_sym_new] = ACTIONS(59),
    [anon_sym_make] = ACTIONS(59),
    [anon_sym_cast] = ACTIONS(61),
    [anon_sym_auto_cast] = ACTIONS(63),
    [anon_sym_transmute] = ACTIONS(65),
    [anon_sym_DOT] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_LT_DASH] = ACTIONS(55),
    [sym_raw_string_literal] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [sym_int_literal] = ACTIONS(75),
    [sym_float_literal] = ACTIONS(75),
    [sym_imaginary_literal] = ACTIONS(71),
    [sym_rune_literal] = ACTIONS(71),
    [sym_nil] = ACTIONS(75),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
  },
  [16] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym_expression_case] = STATE(903),
    [sym_default_case] = STATE(903),
    [sym__expression] = STATE(559),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(659),
    [sym_literal_element] = STATE(1041),
    [sym_keyed_element] = STATE(1052),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [aux_sym_switch_statement_repeat1] = STATE(903),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_COMMA] = ACTIONS(188),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_RBRACE] = ACTIONS(232),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_case] = ACTIONS(242),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [17] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym_expression_case] = STATE(901),
    [sym_default_case] = STATE(901),
    [sym__expression] = STATE(559),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(659),
    [sym_literal_element] = STATE(1041),
    [sym_keyed_element] = STATE(1052),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [aux_sym_switch_statement_repeat1] = STATE(901),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_COMMA] = ACTIONS(188),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_RBRACE] = ACTIONS(262),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_case] = ACTIONS(242),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [18] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym_expression_case] = STATE(913),
    [sym_default_case] = STATE(913),
    [sym__expression] = STATE(559),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(659),
    [sym_literal_element] = STATE(1041),
    [sym_keyed_element] = STATE(1052),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [aux_sym_switch_statement_repeat1] = STATE(913),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_COMMA] = ACTIONS(188),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_RBRACE] = ACTIONS(264),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_case] = ACTIONS(242),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [19] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym_expression_case] = STATE(891),
    [sym_default_case] = STATE(891),
    [sym__expression] = STATE(559),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(659),
    [sym_literal_element] = STATE(1041),
    [sym_keyed_element] = STATE(1052),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [aux_sym_switch_statement_repeat1] = STATE(891),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_COMMA] = ACTIONS(188),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_RBRACE] = ACTIONS(266),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_case] = ACTIONS(242),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [20] = {
    [sym_var_declaration_and_assignment] = STATE(1146),
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_block] = STATE(983),
    [sym_function_directive] = STATE(474),
    [sym__simple_statement] = STATE(1291),
    [sym_assignment_statement] = STATE(1146),
    [sym_for_clause] = STATE(1222),
    [sym_iterator_clause] = STATE(1222),
    [sym__expression] = STATE(570),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(268),
    [anon_sym_SEMI] = ACTIONS(270),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(272),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(274),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(276),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(278),
    [anon_sym_auto_cast] = ACTIONS(280),
    [anon_sym_transmute] = ACTIONS(282),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(276),
    [anon_sym_DASH] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_STAR] = ACTIONS(276),
    [anon_sym_LT_DASH] = ACTIONS(276),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [21] = {
    [sym_const_expression_list] = STATE(1044),
    [sym_parenthesized_type] = STATE(888),
    [sym__simple_type] = STATE(888),
    [sym_generic_type] = STATE(859),
    [sym_pointer_type] = STATE(848),
    [sym_array_type] = STATE(859),
    [sym_dynamic_array_type] = STATE(859),
    [sym_implicit_length_array_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_struct_type] = STATE(859),
    [sym_enum_type] = STATE(848),
    [sym_union_type] = STATE(848),
    [sym_map_type] = STATE(859),
    [sym_function_type] = STATE(848),
    [sym_simple_directive] = STATE(1297),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(685),
    [sym__const_expression] = STATE(866),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(577),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(577),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(577),
    [sym_type_conversion_expression] = STATE(577),
    [sym_composite_literal] = STATE(577),
    [sym_literal_value] = STATE(529),
    [sym_unary_expression] = STATE(577),
    [sym_binary_expression] = STATE(577),
    [sym_qualified_type] = STATE(859),
    [sym_interpreted_string_literal] = STATE(577),
    [sym_undefined] = STATE(577),
    [sym_identifier] = ACTIONS(286),
    [anon_sym_struct] = ACTIONS(288),
    [anon_sym_enum] = ACTIONS(290),
    [anon_sym_union] = ACTIONS(292),
    [anon_sym_proc] = ACTIONS(294),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(296),
    [anon_sym_LPAREN] = ACTIONS(298),
    [anon_sym_distinct] = ACTIONS(300),
    [anon_sym_LBRACK] = ACTIONS(302),
    [anon_sym_CARET] = ACTIONS(304),
    [anon_sym_map] = ACTIONS(306),
    [anon_sym_func] = ACTIONS(308),
    [anon_sym_POUND] = ACTIONS(310),
    [anon_sym_AMP] = ACTIONS(55),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_LT_DASH] = ACTIONS(55),
    [sym_raw_string_literal] = ACTIONS(312),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [sym_int_literal] = ACTIONS(314),
    [sym_float_literal] = ACTIONS(314),
    [sym_imaginary_literal] = ACTIONS(312),
    [sym_rune_literal] = ACTIONS(312),
    [sym_nil] = ACTIONS(314),
    [sym_true] = ACTIONS(314),
    [sym_false] = ACTIONS(314),
    [sym_comment] = ACTIONS(3),
  },
  [22] = {
    [sym_expression_list] = STATE(975),
    [sym_parenthesized_type] = STATE(1316),
    [sym__simple_type] = STATE(1316),
    [sym_generic_type] = STATE(1132),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1132),
    [sym_dynamic_array_type] = STATE(1132),
    [sym_implicit_length_array_type] = STATE(1132),
    [sym_slice_type] = STATE(1132),
    [sym_struct_type] = STATE(1132),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1132),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(520),
    [sym__expression] = STATE(487),
    [sym_cast_expression] = STATE(520),
    [sym_transmute_expression] = STATE(520),
    [sym_parenthesized_expression] = STATE(520),
    [sym_call_expression] = STATE(520),
    [sym_selector_expression] = STATE(520),
    [sym_index_expression] = STATE(520),
    [sym_slice_expression] = STATE(520),
    [sym_type_assertion_expression] = STATE(520),
    [sym_type_conversion_expression] = STATE(520),
    [sym_composite_literal] = STATE(520),
    [sym_literal_value] = STATE(529),
    [sym_unary_expression] = STATE(520),
    [sym_binary_expression] = STATE(520),
    [sym_qualified_type] = STATE(1132),
    [sym_interpreted_string_literal] = STATE(520),
    [sym_undefined] = STATE(520),
    [sym_identifier] = ACTIONS(316),
    [anon_sym_LF] = ACTIONS(318),
    [anon_sym_SEMI] = ACTIONS(320),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(322),
    [anon_sym_LBRACE] = ACTIONS(324),
    [anon_sym_RBRACE] = ACTIONS(320),
    [anon_sym_LPAREN] = ACTIONS(326),
    [anon_sym_LBRACK] = ACTIONS(328),
    [anon_sym_CARET] = ACTIONS(330),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(332),
    [anon_sym_AMP] = ACTIONS(69),
    [anon_sym_case] = ACTIONS(320),
    [anon_sym_new] = ACTIONS(59),
    [anon_sym_make] = ACTIONS(59),
    [anon_sym_cast] = ACTIONS(61),
    [anon_sym_auto_cast] = ACTIONS(63),
    [anon_sym_transmute] = ACTIONS(65),
    [anon_sym_DOT] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(69),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(69),
    [anon_sym_STAR] = ACTIONS(69),
    [anon_sym_LT_DASH] = ACTIONS(69),
    [sym_raw_string_literal] = ACTIONS(75),
    [anon_sym_DQUOTE] = ACTIONS(334),
    [sym_int_literal] = ACTIONS(75),
    [sym_float_literal] = ACTIONS(75),
    [sym_imaginary_literal] = ACTIONS(75),
    [sym_rune_literal] = ACTIONS(75),
    [sym_nil] = ACTIONS(75),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_comment] = ACTIONS(336),
  },
  [23] = {
    [sym_const_expression_list] = STATE(1044),
    [sym_parenthesized_type] = STATE(888),
    [sym__simple_type] = STATE(888),
    [sym_generic_type] = STATE(859),
    [sym_pointer_type] = STATE(848),
    [sym_array_type] = STATE(859),
    [sym_dynamic_array_type] = STATE(859),
    [sym_implicit_length_array_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_struct_type] = STATE(859),
    [sym_enum_type] = STATE(848),
    [sym_union_type] = STATE(848),
    [sym_map_type] = STATE(859),
    [sym_function_type] = STATE(848),
    [sym_simple_directive] = STATE(1326),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(685),
    [sym__const_expression] = STATE(866),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(577),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(577),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(577),
    [sym_type_conversion_expression] = STATE(577),
    [sym_composite_literal] = STATE(577),
    [sym_literal_value] = STATE(529),
    [sym_unary_expression] = STATE(577),
    [sym_binary_expression] = STATE(577),
    [sym_qualified_type] = STATE(859),
    [sym_interpreted_string_literal] = STATE(577),
    [sym_undefined] = STATE(577),
    [sym_identifier] = ACTIONS(286),
    [anon_sym_struct] = ACTIONS(288),
    [anon_sym_enum] = ACTIONS(290),
    [anon_sym_union] = ACTIONS(292),
    [anon_sym_proc] = ACTIONS(338),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(296),
    [anon_sym_LPAREN] = ACTIONS(298),
    [anon_sym_distinct] = ACTIONS(300),
    [anon_sym_LBRACK] = ACTIONS(302),
    [anon_sym_CARET] = ACTIONS(304),
    [anon_sym_map] = ACTIONS(306),
    [anon_sym_func] = ACTIONS(308),
    [anon_sym_POUND] = ACTIONS(310),
    [anon_sym_AMP] = ACTIONS(55),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_LT_DASH] = ACTIONS(55),
    [sym_raw_string_literal] = ACTIONS(312),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [sym_int_literal] = ACTIONS(314),
    [sym_float_literal] = ACTIONS(314),
    [sym_imaginary_literal] = ACTIONS(312),
    [sym_rune_literal] = ACTIONS(312),
    [sym_nil] = ACTIONS(314),
    [sym_true] = ACTIONS(314),
    [sym_false] = ACTIONS(314),
    [sym_comment] = ACTIONS(3),
  },
  [24] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(559),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(659),
    [sym_literal_element] = STATE(1041),
    [sym_keyed_element] = STATE(1052),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_COMMA] = ACTIONS(188),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_RBRACE] = ACTIONS(340),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [25] = {
    [sym_var_declaration_and_assignment] = STATE(1146),
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__simple_statement] = STATE(1315),
    [sym_assignment_statement] = STATE(1146),
    [sym__expression] = STATE(605),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(342),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(344),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(274),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_in] = ACTIONS(346),
    [anon_sym_AMP] = ACTIONS(276),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(278),
    [anon_sym_auto_cast] = ACTIONS(280),
    [anon_sym_transmute] = ACTIONS(282),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(276),
    [anon_sym_DASH] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_STAR] = ACTIONS(276),
    [anon_sym_LT_DASH] = ACTIONS(276),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [26] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(559),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(659),
    [sym_literal_element] = STATE(1020),
    [sym_keyed_element] = STATE(1056),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_COMMA] = ACTIONS(348),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_RBRACE] = ACTIONS(350),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [27] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(559),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(659),
    [sym_literal_element] = STATE(967),
    [sym_keyed_element] = STATE(1128),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_COMMA] = ACTIONS(352),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_RBRACE] = ACTIONS(354),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [28] = {
    [sym_var_declaration_and_assignment] = STATE(1146),
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__simple_statement] = STATE(1294),
    [sym_assignment_statement] = STATE(1146),
    [sym__expression] = STATE(610),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(356),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(358),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(274),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_in] = ACTIONS(360),
    [anon_sym_AMP] = ACTIONS(276),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(278),
    [anon_sym_auto_cast] = ACTIONS(280),
    [anon_sym_transmute] = ACTIONS(282),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(276),
    [anon_sym_DASH] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_STAR] = ACTIONS(276),
    [anon_sym_LT_DASH] = ACTIONS(276),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [29] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(559),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(659),
    [sym_literal_element] = STATE(954),
    [sym_keyed_element] = STATE(1077),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_COMMA] = ACTIONS(362),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_RBRACE] = ACTIONS(364),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [30] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(559),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(659),
    [sym_literal_element] = STATE(925),
    [sym_keyed_element] = STATE(1097),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_COMMA] = ACTIONS(192),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_RBRACE] = ACTIONS(366),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [31] = {
    [sym_var_declaration_and_assignment] = STATE(1146),
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__simple_statement] = STATE(1288),
    [sym_assignment_statement] = STATE(1146),
    [sym__expression] = STATE(576),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(368),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(274),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(276),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(278),
    [anon_sym_auto_cast] = ACTIONS(280),
    [anon_sym_transmute] = ACTIONS(282),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(276),
    [anon_sym_DASH] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_STAR] = ACTIONS(276),
    [anon_sym_LT_DASH] = ACTIONS(276),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [32] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(559),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(659),
    [sym_literal_element] = STATE(1047),
    [sym_keyed_element] = STATE(1213),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_RBRACE] = ACTIONS(370),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [33] = {
    [sym_var_declaration_and_assignment] = STATE(1146),
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__simple_statement] = STATE(1290),
    [sym_assignment_statement] = STATE(1146),
    [sym__expression] = STATE(653),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(372),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(374),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(274),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(276),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(278),
    [anon_sym_auto_cast] = ACTIONS(280),
    [anon_sym_transmute] = ACTIONS(282),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(276),
    [anon_sym_DASH] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_STAR] = ACTIONS(276),
    [anon_sym_LT_DASH] = ACTIONS(276),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [34] = {
    [sym_var_declaration_and_assignment] = STATE(1146),
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__simple_statement] = STATE(1352),
    [sym_assignment_statement] = STATE(1146),
    [sym__expression] = STATE(653),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(372),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(274),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(276),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(278),
    [anon_sym_auto_cast] = ACTIONS(280),
    [anon_sym_transmute] = ACTIONS(282),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(276),
    [anon_sym_DASH] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_STAR] = ACTIONS(276),
    [anon_sym_LT_DASH] = ACTIONS(276),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [35] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(624),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_RBRACK] = ACTIONS(376),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_dynamic] = ACTIONS(378),
    [anon_sym_QMARK] = ACTIONS(380),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [36] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(559),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(659),
    [sym_literal_element] = STATE(1047),
    [sym_keyed_element] = STATE(1213),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_RBRACE] = ACTIONS(382),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [37] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(559),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(659),
    [sym_literal_element] = STATE(1047),
    [sym_keyed_element] = STATE(1213),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_RBRACE] = ACTIONS(384),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [38] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(559),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(659),
    [sym_literal_element] = STATE(1047),
    [sym_keyed_element] = STATE(1213),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_RBRACE] = ACTIONS(386),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [39] = {
    [sym_type_arguments] = STATE(1208),
    [sym_argument_list] = STATE(197),
    [aux_sym_where_clause_repeat1] = STATE(299),
    [ts_builtin_sym_end] = ACTIONS(388),
    [sym_identifier] = ACTIONS(390),
    [anon_sym_LF] = ACTIONS(388),
    [anon_sym_SEMI] = ACTIONS(390),
    [anon_sym_foreign] = ACTIONS(390),
    [anon_sym_import] = ACTIONS(390),
    [anon_sym_package] = ACTIONS(390),
    [anon_sym_COMMA] = ACTIONS(392),
    [anon_sym_struct] = ACTIONS(390),
    [anon_sym_enum] = ACTIONS(390),
    [anon_sym_union] = ACTIONS(390),
    [anon_sym_DASH_GT] = ACTIONS(390),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(390),
    [anon_sym_LBRACE] = ACTIONS(390),
    [anon_sym_LPAREN] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_LBRACK] = ACTIONS(398),
    [anon_sym_CARET] = ACTIONS(400),
    [anon_sym_PIPE] = ACTIONS(400),
    [anon_sym_map] = ACTIONS(390),
    [anon_sym_func] = ACTIONS(390),
    [anon_sym_POUND] = ACTIONS(390),
    [anon_sym_fallthrough] = ACTIONS(390),
    [anon_sym_break] = ACTIONS(390),
    [anon_sym_continue] = ACTIONS(390),
    [anon_sym_return] = ACTIONS(390),
    [anon_sym_defer] = ACTIONS(390),
    [anon_sym_if] = ACTIONS(390),
    [anon_sym_when] = ACTIONS(390),
    [anon_sym_for] = ACTIONS(390),
    [anon_sym_AMP] = ACTIONS(396),
    [anon_sym_switch] = ACTIONS(390),
    [anon_sym_new] = ACTIONS(390),
    [anon_sym_make] = ACTIONS(390),
    [anon_sym_cast] = ACTIONS(390),
    [anon_sym_auto_cast] = ACTIONS(390),
    [anon_sym_transmute] = ACTIONS(390),
    [anon_sym_DOT] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(400),
    [anon_sym_DASH] = ACTIONS(400),
    [anon_sym_BANG] = ACTIONS(390),
    [anon_sym_STAR] = ACTIONS(396),
    [anon_sym_LT_DASH] = ACTIONS(390),
    [anon_sym_PERCENT] = ACTIONS(396),
    [anon_sym_LT_LT] = ACTIONS(396),
    [anon_sym_GT_GT] = ACTIONS(396),
    [anon_sym_AMP_CARET] = ACTIONS(396),
    [anon_sym_EQ_EQ] = ACTIONS(404),
    [anon_sym_BANG_EQ] = ACTIONS(404),
    [anon_sym_LT] = ACTIONS(404),
    [anon_sym_LT_EQ] = ACTIONS(404),
    [anon_sym_GT] = ACTIONS(404),
    [anon_sym_GT_EQ] = ACTIONS(404),
    [anon_sym_AMP_AMP] = ACTIONS(406),
    [anon_sym_PIPE_PIPE] = ACTIONS(408),
    [sym_raw_string_literal] = ACTIONS(390),
    [anon_sym_DQUOTE] = ACTIONS(390),
    [sym_int_literal] = ACTIONS(390),
    [sym_float_literal] = ACTIONS(390),
    [sym_imaginary_literal] = ACTIONS(390),
    [sym_rune_literal] = ACTIONS(390),
    [sym_nil] = ACTIONS(390),
    [sym_true] = ACTIONS(390),
    [sym_false] = ACTIONS(390),
    [sym_comment] = ACTIONS(336),
  },
  [40] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(644),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_RBRACK] = ACTIONS(410),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_dynamic] = ACTIONS(412),
    [anon_sym_QMARK] = ACTIONS(414),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [41] = {
    [sym_var_declaration_and_assignment] = STATE(1146),
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__simple_statement] = STATE(1272),
    [sym_assignment_statement] = STATE(1146),
    [sym__expression] = STATE(653),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(372),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(274),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(276),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(278),
    [anon_sym_auto_cast] = ACTIONS(280),
    [anon_sym_transmute] = ACTIONS(282),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(276),
    [anon_sym_DASH] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_STAR] = ACTIONS(276),
    [anon_sym_LT_DASH] = ACTIONS(276),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [42] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(559),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(659),
    [sym_literal_element] = STATE(1047),
    [sym_keyed_element] = STATE(1213),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_RBRACE] = ACTIONS(416),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [43] = {
    [sym_var_declaration_and_assignment] = STATE(1146),
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__simple_statement] = STATE(1274),
    [sym_assignment_statement] = STATE(1146),
    [sym__expression] = STATE(653),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(372),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(274),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(276),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(278),
    [anon_sym_auto_cast] = ACTIONS(280),
    [anon_sym_transmute] = ACTIONS(282),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(276),
    [anon_sym_DASH] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_STAR] = ACTIONS(276),
    [anon_sym_LT_DASH] = ACTIONS(276),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [44] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(645),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_RBRACK] = ACTIONS(418),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_dynamic] = ACTIONS(420),
    [anon_sym_QMARK] = ACTIONS(422),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [45] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(559),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(659),
    [sym_literal_element] = STATE(1047),
    [sym_keyed_element] = STATE(1213),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_RBRACE] = ACTIONS(424),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [46] = {
    [sym_var_declaration_and_assignment] = STATE(1146),
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__simple_statement] = STATE(1282),
    [sym_assignment_statement] = STATE(1146),
    [sym__expression] = STATE(653),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(372),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(274),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(276),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(278),
    [anon_sym_auto_cast] = ACTIONS(280),
    [anon_sym_transmute] = ACTIONS(282),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(276),
    [anon_sym_DASH] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_STAR] = ACTIONS(276),
    [anon_sym_LT_DASH] = ACTIONS(276),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [47] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(559),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(659),
    [sym_literal_element] = STATE(1047),
    [sym_keyed_element] = STATE(1213),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_RBRACE] = ACTIONS(426),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [48] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(559),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(659),
    [sym_literal_element] = STATE(1047),
    [sym_keyed_element] = STATE(1213),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_RBRACE] = ACTIONS(428),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [49] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(559),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(659),
    [sym_literal_element] = STATE(1047),
    [sym_keyed_element] = STATE(1213),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_RBRACE] = ACTIONS(430),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [50] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(679),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_RBRACK] = ACTIONS(432),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_dynamic] = ACTIONS(434),
    [anon_sym_QMARK] = ACTIONS(436),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [51] = {
    [sym_type_arguments] = STATE(1208),
    [sym_argument_list] = STATE(197),
    [aux_sym_where_clause_repeat1] = STATE(301),
    [ts_builtin_sym_end] = ACTIONS(438),
    [sym_identifier] = ACTIONS(440),
    [anon_sym_LF] = ACTIONS(438),
    [anon_sym_SEMI] = ACTIONS(440),
    [anon_sym_foreign] = ACTIONS(440),
    [anon_sym_import] = ACTIONS(440),
    [anon_sym_package] = ACTIONS(440),
    [anon_sym_COMMA] = ACTIONS(392),
    [anon_sym_struct] = ACTIONS(440),
    [anon_sym_enum] = ACTIONS(440),
    [anon_sym_union] = ACTIONS(440),
    [anon_sym_DASH_GT] = ACTIONS(440),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(440),
    [anon_sym_LBRACE] = ACTIONS(440),
    [anon_sym_LPAREN] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_LBRACK] = ACTIONS(398),
    [anon_sym_CARET] = ACTIONS(400),
    [anon_sym_PIPE] = ACTIONS(400),
    [anon_sym_map] = ACTIONS(440),
    [anon_sym_func] = ACTIONS(440),
    [anon_sym_POUND] = ACTIONS(440),
    [anon_sym_fallthrough] = ACTIONS(440),
    [anon_sym_break] = ACTIONS(440),
    [anon_sym_continue] = ACTIONS(440),
    [anon_sym_return] = ACTIONS(440),
    [anon_sym_defer] = ACTIONS(440),
    [anon_sym_if] = ACTIONS(440),
    [anon_sym_when] = ACTIONS(440),
    [anon_sym_for] = ACTIONS(440),
    [anon_sym_AMP] = ACTIONS(396),
    [anon_sym_switch] = ACTIONS(440),
    [anon_sym_new] = ACTIONS(440),
    [anon_sym_make] = ACTIONS(440),
    [anon_sym_cast] = ACTIONS(440),
    [anon_sym_auto_cast] = ACTIONS(440),
    [anon_sym_transmute] = ACTIONS(440),
    [anon_sym_DOT] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(400),
    [anon_sym_DASH] = ACTIONS(400),
    [anon_sym_BANG] = ACTIONS(440),
    [anon_sym_STAR] = ACTIONS(396),
    [anon_sym_LT_DASH] = ACTIONS(440),
    [anon_sym_PERCENT] = ACTIONS(396),
    [anon_sym_LT_LT] = ACTIONS(396),
    [anon_sym_GT_GT] = ACTIONS(396),
    [anon_sym_AMP_CARET] = ACTIONS(396),
    [anon_sym_EQ_EQ] = ACTIONS(404),
    [anon_sym_BANG_EQ] = ACTIONS(404),
    [anon_sym_LT] = ACTIONS(404),
    [anon_sym_LT_EQ] = ACTIONS(404),
    [anon_sym_GT] = ACTIONS(404),
    [anon_sym_GT_EQ] = ACTIONS(404),
    [anon_sym_AMP_AMP] = ACTIONS(406),
    [anon_sym_PIPE_PIPE] = ACTIONS(408),
    [sym_raw_string_literal] = ACTIONS(440),
    [anon_sym_DQUOTE] = ACTIONS(440),
    [sym_int_literal] = ACTIONS(440),
    [sym_float_literal] = ACTIONS(440),
    [sym_imaginary_literal] = ACTIONS(440),
    [sym_rune_literal] = ACTIONS(440),
    [sym_nil] = ACTIONS(440),
    [sym_true] = ACTIONS(440),
    [sym_false] = ACTIONS(440),
    [sym_comment] = ACTIONS(336),
  },
  [52] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(629),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_RBRACK] = ACTIONS(442),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_dynamic] = ACTIONS(444),
    [anon_sym_QMARK] = ACTIONS(446),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [53] = {
    [sym_var_declaration_and_assignment] = STATE(1146),
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__simple_statement] = STATE(1289),
    [sym_assignment_statement] = STATE(1146),
    [sym__expression] = STATE(653),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(372),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(448),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(274),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(276),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(278),
    [anon_sym_auto_cast] = ACTIONS(280),
    [anon_sym_transmute] = ACTIONS(282),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(276),
    [anon_sym_DASH] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_STAR] = ACTIONS(276),
    [anon_sym_LT_DASH] = ACTIONS(276),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [54] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(559),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(659),
    [sym_literal_element] = STATE(1047),
    [sym_keyed_element] = STATE(1213),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_RBRACE] = ACTIONS(450),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [55] = {
    [sym_var_declaration_and_assignment] = STATE(1146),
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__simple_statement] = STATE(1267),
    [sym_assignment_statement] = STATE(1146),
    [sym__expression] = STATE(653),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(372),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(452),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(274),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(276),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(278),
    [anon_sym_auto_cast] = ACTIONS(280),
    [anon_sym_transmute] = ACTIONS(282),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(276),
    [anon_sym_DASH] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_STAR] = ACTIONS(276),
    [anon_sym_LT_DASH] = ACTIONS(276),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [56] = {
    [sym_var_declaration_and_assignment] = STATE(1146),
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__simple_statement] = STATE(1266),
    [sym_assignment_statement] = STATE(1146),
    [sym__expression] = STATE(653),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(372),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(454),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(274),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(276),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(278),
    [anon_sym_auto_cast] = ACTIONS(280),
    [anon_sym_transmute] = ACTIONS(282),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(276),
    [anon_sym_DASH] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_STAR] = ACTIONS(276),
    [anon_sym_LT_DASH] = ACTIONS(276),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [57] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(569),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_variadic_argument] = STATE(1238),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_RPAREN] = ACTIONS(456),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [58] = {
    [sym_where_clause] = STATE(206),
    [sym_parameter_list] = STATE(310),
    [sym__simple_type] = STATE(310),
    [sym_generic_type] = STATE(376),
    [sym_pointer_type] = STATE(376),
    [sym_array_type] = STATE(376),
    [sym_dynamic_array_type] = STATE(376),
    [sym_implicit_length_array_type] = STATE(376),
    [sym_slice_type] = STATE(376),
    [sym_struct_type] = STATE(376),
    [sym_enum_type] = STATE(376),
    [sym_union_type] = STATE(376),
    [sym_map_type] = STATE(376),
    [sym_function_type] = STATE(376),
    [sym_block] = STATE(361),
    [sym_qualified_type] = STATE(376),
    [ts_builtin_sym_end] = ACTIONS(458),
    [sym_identifier] = ACTIONS(460),
    [anon_sym_LF] = ACTIONS(462),
    [anon_sym_SEMI] = ACTIONS(464),
    [anon_sym_foreign] = ACTIONS(466),
    [anon_sym_import] = ACTIONS(466),
    [anon_sym_package] = ACTIONS(466),
    [anon_sym_struct] = ACTIONS(468),
    [anon_sym_enum] = ACTIONS(470),
    [anon_sym_union] = ACTIONS(472),
    [anon_sym_DASH_GT] = ACTIONS(474),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(476),
    [anon_sym_LBRACE] = ACTIONS(478),
    [anon_sym_where] = ACTIONS(480),
    [anon_sym_LPAREN] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(484),
    [anon_sym_CARET] = ACTIONS(486),
    [anon_sym_map] = ACTIONS(488),
    [anon_sym_func] = ACTIONS(490),
    [anon_sym_POUND] = ACTIONS(466),
    [anon_sym_fallthrough] = ACTIONS(466),
    [anon_sym_break] = ACTIONS(466),
    [anon_sym_continue] = ACTIONS(466),
    [anon_sym_return] = ACTIONS(466),
    [anon_sym_defer] = ACTIONS(466),
    [anon_sym_if] = ACTIONS(466),
    [anon_sym_when] = ACTIONS(466),
    [anon_sym_for] = ACTIONS(466),
    [anon_sym_AMP] = ACTIONS(466),
    [anon_sym_switch] = ACTIONS(466),
    [anon_sym_new] = ACTIONS(466),
    [anon_sym_make] = ACTIONS(466),
    [anon_sym_cast] = ACTIONS(466),
    [anon_sym_auto_cast] = ACTIONS(466),
    [anon_sym_transmute] = ACTIONS(466),
    [anon_sym_DOT] = ACTIONS(466),
    [anon_sym_PLUS] = ACTIONS(466),
    [anon_sym_DASH] = ACTIONS(466),
    [anon_sym_BANG] = ACTIONS(466),
    [anon_sym_STAR] = ACTIONS(466),
    [anon_sym_LT_DASH] = ACTIONS(466),
    [sym_raw_string_literal] = ACTIONS(466),
    [anon_sym_DQUOTE] = ACTIONS(466),
    [sym_int_literal] = ACTIONS(466),
    [sym_float_literal] = ACTIONS(466),
    [sym_imaginary_literal] = ACTIONS(466),
    [sym_rune_literal] = ACTIONS(466),
    [sym_nil] = ACTIONS(466),
    [sym_true] = ACTIONS(466),
    [sym_false] = ACTIONS(466),
    [sym_comment] = ACTIONS(336),
  },
  [59] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(569),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_variadic_argument] = STATE(1238),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_RPAREN] = ACTIONS(492),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [60] = {
    [sym_type_arguments] = STATE(1208),
    [sym_argument_list] = STATE(197),
    [ts_builtin_sym_end] = ACTIONS(494),
    [sym_identifier] = ACTIONS(496),
    [anon_sym_LF] = ACTIONS(494),
    [anon_sym_SEMI] = ACTIONS(496),
    [anon_sym_foreign] = ACTIONS(496),
    [anon_sym_import] = ACTIONS(496),
    [anon_sym_package] = ACTIONS(496),
    [anon_sym_COMMA] = ACTIONS(496),
    [anon_sym_struct] = ACTIONS(496),
    [anon_sym_enum] = ACTIONS(496),
    [anon_sym_union] = ACTIONS(496),
    [anon_sym_DASH_GT] = ACTIONS(496),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(496),
    [anon_sym_LBRACE] = ACTIONS(496),
    [anon_sym_LPAREN] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_LBRACK] = ACTIONS(398),
    [anon_sym_CARET] = ACTIONS(400),
    [anon_sym_PIPE] = ACTIONS(400),
    [anon_sym_map] = ACTIONS(496),
    [anon_sym_func] = ACTIONS(496),
    [anon_sym_POUND] = ACTIONS(496),
    [anon_sym_fallthrough] = ACTIONS(496),
    [anon_sym_break] = ACTIONS(496),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_return] = ACTIONS(496),
    [anon_sym_defer] = ACTIONS(496),
    [anon_sym_if] = ACTIONS(496),
    [anon_sym_when] = ACTIONS(496),
    [anon_sym_for] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(396),
    [anon_sym_switch] = ACTIONS(496),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_make] = ACTIONS(496),
    [anon_sym_cast] = ACTIONS(496),
    [anon_sym_auto_cast] = ACTIONS(496),
    [anon_sym_transmute] = ACTIONS(496),
    [anon_sym_DOT] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(400),
    [anon_sym_DASH] = ACTIONS(400),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_STAR] = ACTIONS(396),
    [anon_sym_LT_DASH] = ACTIONS(496),
    [anon_sym_PERCENT] = ACTIONS(396),
    [anon_sym_LT_LT] = ACTIONS(396),
    [anon_sym_GT_GT] = ACTIONS(396),
    [anon_sym_AMP_CARET] = ACTIONS(396),
    [anon_sym_EQ_EQ] = ACTIONS(496),
    [anon_sym_BANG_EQ] = ACTIONS(496),
    [anon_sym_LT] = ACTIONS(496),
    [anon_sym_LT_EQ] = ACTIONS(496),
    [anon_sym_GT] = ACTIONS(496),
    [anon_sym_GT_EQ] = ACTIONS(496),
    [anon_sym_AMP_AMP] = ACTIONS(496),
    [anon_sym_PIPE_PIPE] = ACTIONS(496),
    [sym_raw_string_literal] = ACTIONS(496),
    [anon_sym_DQUOTE] = ACTIONS(496),
    [sym_int_literal] = ACTIONS(496),
    [sym_float_literal] = ACTIONS(496),
    [sym_imaginary_literal] = ACTIONS(496),
    [sym_rune_literal] = ACTIONS(496),
    [sym_nil] = ACTIONS(496),
    [sym_true] = ACTIONS(496),
    [sym_false] = ACTIONS(496),
    [sym_comment] = ACTIONS(336),
  },
  [61] = {
    [sym_type_arguments] = STATE(1208),
    [sym_argument_list] = STATE(197),
    [ts_builtin_sym_end] = ACTIONS(498),
    [sym_identifier] = ACTIONS(500),
    [anon_sym_LF] = ACTIONS(498),
    [anon_sym_SEMI] = ACTIONS(500),
    [anon_sym_foreign] = ACTIONS(500),
    [anon_sym_import] = ACTIONS(500),
    [anon_sym_package] = ACTIONS(500),
    [anon_sym_COMMA] = ACTIONS(500),
    [anon_sym_struct] = ACTIONS(500),
    [anon_sym_enum] = ACTIONS(500),
    [anon_sym_union] = ACTIONS(500),
    [anon_sym_DASH_GT] = ACTIONS(500),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(500),
    [anon_sym_LBRACE] = ACTIONS(500),
    [anon_sym_LPAREN] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(500),
    [anon_sym_LBRACK] = ACTIONS(398),
    [anon_sym_CARET] = ACTIONS(500),
    [anon_sym_PIPE] = ACTIONS(500),
    [anon_sym_map] = ACTIONS(500),
    [anon_sym_func] = ACTIONS(500),
    [anon_sym_POUND] = ACTIONS(500),
    [anon_sym_fallthrough] = ACTIONS(500),
    [anon_sym_break] = ACTIONS(500),
    [anon_sym_continue] = ACTIONS(500),
    [anon_sym_return] = ACTIONS(500),
    [anon_sym_defer] = ACTIONS(500),
    [anon_sym_if] = ACTIONS(500),
    [anon_sym_when] = ACTIONS(500),
    [anon_sym_for] = ACTIONS(500),
    [anon_sym_AMP] = ACTIONS(500),
    [anon_sym_switch] = ACTIONS(500),
    [anon_sym_new] = ACTIONS(500),
    [anon_sym_make] = ACTIONS(500),
    [anon_sym_cast] = ACTIONS(500),
    [anon_sym_auto_cast] = ACTIONS(500),
    [anon_sym_transmute] = ACTIONS(500),
    [anon_sym_DOT] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(500),
    [anon_sym_DASH] = ACTIONS(500),
    [anon_sym_BANG] = ACTIONS(500),
    [anon_sym_STAR] = ACTIONS(500),
    [anon_sym_LT_DASH] = ACTIONS(500),
    [anon_sym_PERCENT] = ACTIONS(500),
    [anon_sym_LT_LT] = ACTIONS(500),
    [anon_sym_GT_GT] = ACTIONS(500),
    [anon_sym_AMP_CARET] = ACTIONS(500),
    [anon_sym_EQ_EQ] = ACTIONS(500),
    [anon_sym_BANG_EQ] = ACTIONS(500),
    [anon_sym_LT] = ACTIONS(500),
    [anon_sym_LT_EQ] = ACTIONS(500),
    [anon_sym_GT] = ACTIONS(500),
    [anon_sym_GT_EQ] = ACTIONS(500),
    [anon_sym_AMP_AMP] = ACTIONS(500),
    [anon_sym_PIPE_PIPE] = ACTIONS(500),
    [sym_raw_string_literal] = ACTIONS(500),
    [anon_sym_DQUOTE] = ACTIONS(500),
    [sym_int_literal] = ACTIONS(500),
    [sym_float_literal] = ACTIONS(500),
    [sym_imaginary_literal] = ACTIONS(500),
    [sym_rune_literal] = ACTIONS(500),
    [sym_nil] = ACTIONS(500),
    [sym_true] = ACTIONS(500),
    [sym_false] = ACTIONS(500),
    [sym_comment] = ACTIONS(336),
  },
  [62] = {
    [sym_type_arguments] = STATE(1208),
    [sym_argument_list] = STATE(197),
    [ts_builtin_sym_end] = ACTIONS(502),
    [sym_identifier] = ACTIONS(504),
    [anon_sym_LF] = ACTIONS(502),
    [anon_sym_SEMI] = ACTIONS(504),
    [anon_sym_foreign] = ACTIONS(504),
    [anon_sym_import] = ACTIONS(504),
    [anon_sym_package] = ACTIONS(504),
    [anon_sym_COMMA] = ACTIONS(504),
    [anon_sym_struct] = ACTIONS(504),
    [anon_sym_enum] = ACTIONS(504),
    [anon_sym_union] = ACTIONS(504),
    [anon_sym_DASH_GT] = ACTIONS(504),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(504),
    [anon_sym_LBRACE] = ACTIONS(504),
    [anon_sym_LPAREN] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_LBRACK] = ACTIONS(398),
    [anon_sym_CARET] = ACTIONS(400),
    [anon_sym_PIPE] = ACTIONS(400),
    [anon_sym_map] = ACTIONS(504),
    [anon_sym_func] = ACTIONS(504),
    [anon_sym_POUND] = ACTIONS(504),
    [anon_sym_fallthrough] = ACTIONS(504),
    [anon_sym_break] = ACTIONS(504),
    [anon_sym_continue] = ACTIONS(504),
    [anon_sym_return] = ACTIONS(504),
    [anon_sym_defer] = ACTIONS(504),
    [anon_sym_if] = ACTIONS(504),
    [anon_sym_when] = ACTIONS(504),
    [anon_sym_for] = ACTIONS(504),
    [anon_sym_AMP] = ACTIONS(396),
    [anon_sym_switch] = ACTIONS(504),
    [anon_sym_new] = ACTIONS(504),
    [anon_sym_make] = ACTIONS(504),
    [anon_sym_cast] = ACTIONS(504),
    [anon_sym_auto_cast] = ACTIONS(504),
    [anon_sym_transmute] = ACTIONS(504),
    [anon_sym_DOT] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(400),
    [anon_sym_DASH] = ACTIONS(400),
    [anon_sym_BANG] = ACTIONS(504),
    [anon_sym_STAR] = ACTIONS(396),
    [anon_sym_LT_DASH] = ACTIONS(504),
    [anon_sym_PERCENT] = ACTIONS(396),
    [anon_sym_LT_LT] = ACTIONS(396),
    [anon_sym_GT_GT] = ACTIONS(396),
    [anon_sym_AMP_CARET] = ACTIONS(396),
    [anon_sym_EQ_EQ] = ACTIONS(404),
    [anon_sym_BANG_EQ] = ACTIONS(404),
    [anon_sym_LT] = ACTIONS(404),
    [anon_sym_LT_EQ] = ACTIONS(404),
    [anon_sym_GT] = ACTIONS(404),
    [anon_sym_GT_EQ] = ACTIONS(404),
    [anon_sym_AMP_AMP] = ACTIONS(406),
    [anon_sym_PIPE_PIPE] = ACTIONS(408),
    [sym_raw_string_literal] = ACTIONS(504),
    [anon_sym_DQUOTE] = ACTIONS(504),
    [sym_int_literal] = ACTIONS(504),
    [sym_float_literal] = ACTIONS(504),
    [sym_imaginary_literal] = ACTIONS(504),
    [sym_rune_literal] = ACTIONS(504),
    [sym_nil] = ACTIONS(504),
    [sym_true] = ACTIONS(504),
    [sym_false] = ACTIONS(504),
    [sym_comment] = ACTIONS(336),
  },
  [63] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(569),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_variadic_argument] = STATE(1238),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_RPAREN] = ACTIONS(506),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [64] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(569),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_variadic_argument] = STATE(1238),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_RPAREN] = ACTIONS(508),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [65] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(569),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_variadic_argument] = STATE(1238),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_RPAREN] = ACTIONS(510),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [66] = {
    [sym_expression_list] = STATE(1285),
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(514),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_COLON] = ACTIONS(512),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [67] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(569),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_variadic_argument] = STATE(1238),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_RPAREN] = ACTIONS(514),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [68] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(559),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(659),
    [sym_literal_element] = STATE(1047),
    [sym_keyed_element] = STATE(1213),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [69] = {
    [sym_type_arguments] = STATE(1208),
    [sym_argument_list] = STATE(197),
    [ts_builtin_sym_end] = ACTIONS(494),
    [sym_identifier] = ACTIONS(496),
    [anon_sym_LF] = ACTIONS(494),
    [anon_sym_SEMI] = ACTIONS(496),
    [anon_sym_foreign] = ACTIONS(496),
    [anon_sym_import] = ACTIONS(496),
    [anon_sym_package] = ACTIONS(496),
    [anon_sym_COMMA] = ACTIONS(496),
    [anon_sym_struct] = ACTIONS(496),
    [anon_sym_enum] = ACTIONS(496),
    [anon_sym_union] = ACTIONS(496),
    [anon_sym_DASH_GT] = ACTIONS(496),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(496),
    [anon_sym_LBRACE] = ACTIONS(496),
    [anon_sym_LPAREN] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_LBRACK] = ACTIONS(398),
    [anon_sym_CARET] = ACTIONS(496),
    [anon_sym_PIPE] = ACTIONS(496),
    [anon_sym_map] = ACTIONS(496),
    [anon_sym_func] = ACTIONS(496),
    [anon_sym_POUND] = ACTIONS(496),
    [anon_sym_fallthrough] = ACTIONS(496),
    [anon_sym_break] = ACTIONS(496),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_return] = ACTIONS(496),
    [anon_sym_defer] = ACTIONS(496),
    [anon_sym_if] = ACTIONS(496),
    [anon_sym_when] = ACTIONS(496),
    [anon_sym_for] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(396),
    [anon_sym_switch] = ACTIONS(496),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_make] = ACTIONS(496),
    [anon_sym_cast] = ACTIONS(496),
    [anon_sym_auto_cast] = ACTIONS(496),
    [anon_sym_transmute] = ACTIONS(496),
    [anon_sym_DOT] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_STAR] = ACTIONS(396),
    [anon_sym_LT_DASH] = ACTIONS(496),
    [anon_sym_PERCENT] = ACTIONS(396),
    [anon_sym_LT_LT] = ACTIONS(396),
    [anon_sym_GT_GT] = ACTIONS(396),
    [anon_sym_AMP_CARET] = ACTIONS(396),
    [anon_sym_EQ_EQ] = ACTIONS(496),
    [anon_sym_BANG_EQ] = ACTIONS(496),
    [anon_sym_LT] = ACTIONS(496),
    [anon_sym_LT_EQ] = ACTIONS(496),
    [anon_sym_GT] = ACTIONS(496),
    [anon_sym_GT_EQ] = ACTIONS(496),
    [anon_sym_AMP_AMP] = ACTIONS(496),
    [anon_sym_PIPE_PIPE] = ACTIONS(496),
    [sym_raw_string_literal] = ACTIONS(496),
    [anon_sym_DQUOTE] = ACTIONS(496),
    [sym_int_literal] = ACTIONS(496),
    [sym_float_literal] = ACTIONS(496),
    [sym_imaginary_literal] = ACTIONS(496),
    [sym_rune_literal] = ACTIONS(496),
    [sym_nil] = ACTIONS(496),
    [sym_true] = ACTIONS(496),
    [sym_false] = ACTIONS(496),
    [sym_comment] = ACTIONS(336),
  },
  [70] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(536),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_variadic_argument] = STATE(1049),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_RPAREN] = ACTIONS(516),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [71] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(569),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_variadic_argument] = STATE(1238),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_RPAREN] = ACTIONS(518),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [72] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(569),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_variadic_argument] = STATE(1238),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_RPAREN] = ACTIONS(520),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [73] = {
    [sym_type_arguments] = STATE(828),
    [sym_literal_value] = STATE(209),
    [ts_builtin_sym_end] = ACTIONS(522),
    [sym_identifier] = ACTIONS(524),
    [anon_sym_LF] = ACTIONS(522),
    [anon_sym_SEMI] = ACTIONS(524),
    [anon_sym_foreign] = ACTIONS(524),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_package] = ACTIONS(524),
    [anon_sym_COMMA] = ACTIONS(524),
    [anon_sym_struct] = ACTIONS(524),
    [anon_sym_enum] = ACTIONS(524),
    [anon_sym_union] = ACTIONS(524),
    [anon_sym_DASH_GT] = ACTIONS(524),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(524),
    [anon_sym_LBRACE] = ACTIONS(524),
    [anon_sym_LPAREN] = ACTIONS(524),
    [anon_sym_SLASH] = ACTIONS(524),
    [anon_sym_LBRACK] = ACTIONS(524),
    [anon_sym_CARET] = ACTIONS(524),
    [anon_sym_PIPE] = ACTIONS(524),
    [anon_sym_map] = ACTIONS(524),
    [anon_sym_func] = ACTIONS(524),
    [anon_sym_POUND] = ACTIONS(524),
    [anon_sym_fallthrough] = ACTIONS(524),
    [anon_sym_break] = ACTIONS(524),
    [anon_sym_continue] = ACTIONS(524),
    [anon_sym_return] = ACTIONS(524),
    [anon_sym_defer] = ACTIONS(524),
    [anon_sym_if] = ACTIONS(524),
    [anon_sym_when] = ACTIONS(524),
    [anon_sym_for] = ACTIONS(524),
    [anon_sym_AMP] = ACTIONS(524),
    [anon_sym_switch] = ACTIONS(524),
    [anon_sym_new] = ACTIONS(524),
    [anon_sym_make] = ACTIONS(524),
    [anon_sym_cast] = ACTIONS(524),
    [anon_sym_auto_cast] = ACTIONS(524),
    [anon_sym_transmute] = ACTIONS(524),
    [anon_sym_DOT] = ACTIONS(524),
    [anon_sym_PLUS] = ACTIONS(524),
    [anon_sym_DASH] = ACTIONS(524),
    [anon_sym_BANG] = ACTIONS(524),
    [anon_sym_STAR] = ACTIONS(524),
    [anon_sym_LT_DASH] = ACTIONS(524),
    [anon_sym_PERCENT] = ACTIONS(524),
    [anon_sym_LT_LT] = ACTIONS(524),
    [anon_sym_GT_GT] = ACTIONS(524),
    [anon_sym_AMP_CARET] = ACTIONS(524),
    [anon_sym_EQ_EQ] = ACTIONS(524),
    [anon_sym_BANG_EQ] = ACTIONS(524),
    [anon_sym_LT] = ACTIONS(524),
    [anon_sym_LT_EQ] = ACTIONS(524),
    [anon_sym_GT] = ACTIONS(524),
    [anon_sym_GT_EQ] = ACTIONS(524),
    [anon_sym_AMP_AMP] = ACTIONS(524),
    [anon_sym_PIPE_PIPE] = ACTIONS(524),
    [sym_raw_string_literal] = ACTIONS(524),
    [anon_sym_DQUOTE] = ACTIONS(524),
    [sym_int_literal] = ACTIONS(524),
    [sym_float_literal] = ACTIONS(524),
    [sym_imaginary_literal] = ACTIONS(524),
    [sym_rune_literal] = ACTIONS(524),
    [sym_nil] = ACTIONS(524),
    [sym_true] = ACTIONS(524),
    [sym_false] = ACTIONS(524),
    [sym_comment] = ACTIONS(336),
  },
  [74] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(555),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_variadic_argument] = STATE(1089),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_RPAREN] = ACTIONS(526),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [75] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(569),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_variadic_argument] = STATE(1238),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_RPAREN] = ACTIONS(528),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [76] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(569),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_variadic_argument] = STATE(1238),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_RPAREN] = ACTIONS(530),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [77] = {
    [sym_const_expression_list] = STATE(963),
    [sym_parenthesized_type] = STATE(1316),
    [sym__simple_type] = STATE(1316),
    [sym_generic_type] = STATE(1132),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1132),
    [sym_dynamic_array_type] = STATE(1132),
    [sym_implicit_length_array_type] = STATE(1132),
    [sym_slice_type] = STATE(1132),
    [sym_struct_type] = STATE(1132),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1132),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(685),
    [sym__const_expression] = STATE(866),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(577),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(577),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(577),
    [sym_type_conversion_expression] = STATE(577),
    [sym_composite_literal] = STATE(577),
    [sym_literal_value] = STATE(529),
    [sym_unary_expression] = STATE(577),
    [sym_binary_expression] = STATE(577),
    [sym_qualified_type] = STATE(1132),
    [sym_interpreted_string_literal] = STATE(577),
    [sym_undefined] = STATE(577),
    [sym_identifier] = ACTIONS(532),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(296),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(55),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_LT_DASH] = ACTIONS(55),
    [sym_raw_string_literal] = ACTIONS(312),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [sym_int_literal] = ACTIONS(314),
    [sym_float_literal] = ACTIONS(314),
    [sym_imaginary_literal] = ACTIONS(312),
    [sym_rune_literal] = ACTIONS(312),
    [sym_nil] = ACTIONS(314),
    [sym_true] = ACTIONS(314),
    [sym_false] = ACTIONS(314),
    [sym_comment] = ACTIONS(3),
  },
  [78] = {
    [sym_type_arguments] = STATE(1208),
    [sym_argument_list] = STATE(197),
    [ts_builtin_sym_end] = ACTIONS(534),
    [sym_identifier] = ACTIONS(536),
    [anon_sym_LF] = ACTIONS(534),
    [anon_sym_SEMI] = ACTIONS(536),
    [anon_sym_foreign] = ACTIONS(536),
    [anon_sym_import] = ACTIONS(536),
    [anon_sym_package] = ACTIONS(536),
    [anon_sym_COMMA] = ACTIONS(536),
    [anon_sym_struct] = ACTIONS(536),
    [anon_sym_enum] = ACTIONS(536),
    [anon_sym_union] = ACTIONS(536),
    [anon_sym_DASH_GT] = ACTIONS(536),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(536),
    [anon_sym_LBRACE] = ACTIONS(536),
    [anon_sym_LPAREN] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_LBRACK] = ACTIONS(398),
    [anon_sym_CARET] = ACTIONS(400),
    [anon_sym_PIPE] = ACTIONS(400),
    [anon_sym_map] = ACTIONS(536),
    [anon_sym_func] = ACTIONS(536),
    [anon_sym_POUND] = ACTIONS(536),
    [anon_sym_fallthrough] = ACTIONS(536),
    [anon_sym_break] = ACTIONS(536),
    [anon_sym_continue] = ACTIONS(536),
    [anon_sym_return] = ACTIONS(536),
    [anon_sym_defer] = ACTIONS(536),
    [anon_sym_if] = ACTIONS(536),
    [anon_sym_when] = ACTIONS(536),
    [anon_sym_for] = ACTIONS(536),
    [anon_sym_AMP] = ACTIONS(396),
    [anon_sym_switch] = ACTIONS(536),
    [anon_sym_new] = ACTIONS(536),
    [anon_sym_make] = ACTIONS(536),
    [anon_sym_cast] = ACTIONS(536),
    [anon_sym_auto_cast] = ACTIONS(536),
    [anon_sym_transmute] = ACTIONS(536),
    [anon_sym_DOT] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(400),
    [anon_sym_DASH] = ACTIONS(400),
    [anon_sym_BANG] = ACTIONS(536),
    [anon_sym_STAR] = ACTIONS(396),
    [anon_sym_LT_DASH] = ACTIONS(536),
    [anon_sym_PERCENT] = ACTIONS(396),
    [anon_sym_LT_LT] = ACTIONS(396),
    [anon_sym_GT_GT] = ACTIONS(396),
    [anon_sym_AMP_CARET] = ACTIONS(396),
    [anon_sym_EQ_EQ] = ACTIONS(404),
    [anon_sym_BANG_EQ] = ACTIONS(404),
    [anon_sym_LT] = ACTIONS(404),
    [anon_sym_LT_EQ] = ACTIONS(404),
    [anon_sym_GT] = ACTIONS(404),
    [anon_sym_GT_EQ] = ACTIONS(404),
    [anon_sym_AMP_AMP] = ACTIONS(406),
    [anon_sym_PIPE_PIPE] = ACTIONS(408),
    [sym_raw_string_literal] = ACTIONS(536),
    [anon_sym_DQUOTE] = ACTIONS(536),
    [sym_int_literal] = ACTIONS(536),
    [sym_float_literal] = ACTIONS(536),
    [sym_imaginary_literal] = ACTIONS(536),
    [sym_rune_literal] = ACTIONS(536),
    [sym_nil] = ACTIONS(536),
    [sym_true] = ACTIONS(536),
    [sym_false] = ACTIONS(536),
    [sym_comment] = ACTIONS(336),
  },
  [79] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(545),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_variadic_argument] = STATE(1095),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_RPAREN] = ACTIONS(538),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [80] = {
    [sym_type_arguments] = STATE(1208),
    [sym_argument_list] = STATE(197),
    [ts_builtin_sym_end] = ACTIONS(540),
    [sym_identifier] = ACTIONS(542),
    [anon_sym_LF] = ACTIONS(540),
    [anon_sym_SEMI] = ACTIONS(542),
    [anon_sym_foreign] = ACTIONS(542),
    [anon_sym_import] = ACTIONS(542),
    [anon_sym_package] = ACTIONS(542),
    [anon_sym_COMMA] = ACTIONS(542),
    [anon_sym_struct] = ACTIONS(542),
    [anon_sym_enum] = ACTIONS(542),
    [anon_sym_union] = ACTIONS(542),
    [anon_sym_DASH_GT] = ACTIONS(542),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(542),
    [anon_sym_LBRACE] = ACTIONS(542),
    [anon_sym_LPAREN] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_LBRACK] = ACTIONS(398),
    [anon_sym_CARET] = ACTIONS(400),
    [anon_sym_PIPE] = ACTIONS(400),
    [anon_sym_map] = ACTIONS(542),
    [anon_sym_func] = ACTIONS(542),
    [anon_sym_POUND] = ACTIONS(542),
    [anon_sym_fallthrough] = ACTIONS(542),
    [anon_sym_break] = ACTIONS(542),
    [anon_sym_continue] = ACTIONS(542),
    [anon_sym_return] = ACTIONS(542),
    [anon_sym_defer] = ACTIONS(542),
    [anon_sym_if] = ACTIONS(542),
    [anon_sym_when] = ACTIONS(542),
    [anon_sym_for] = ACTIONS(542),
    [anon_sym_AMP] = ACTIONS(396),
    [anon_sym_switch] = ACTIONS(542),
    [anon_sym_new] = ACTIONS(542),
    [anon_sym_make] = ACTIONS(542),
    [anon_sym_cast] = ACTIONS(542),
    [anon_sym_auto_cast] = ACTIONS(542),
    [anon_sym_transmute] = ACTIONS(542),
    [anon_sym_DOT] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(400),
    [anon_sym_DASH] = ACTIONS(400),
    [anon_sym_BANG] = ACTIONS(542),
    [anon_sym_STAR] = ACTIONS(396),
    [anon_sym_LT_DASH] = ACTIONS(542),
    [anon_sym_PERCENT] = ACTIONS(396),
    [anon_sym_LT_LT] = ACTIONS(396),
    [anon_sym_GT_GT] = ACTIONS(396),
    [anon_sym_AMP_CARET] = ACTIONS(396),
    [anon_sym_EQ_EQ] = ACTIONS(404),
    [anon_sym_BANG_EQ] = ACTIONS(404),
    [anon_sym_LT] = ACTIONS(404),
    [anon_sym_LT_EQ] = ACTIONS(404),
    [anon_sym_GT] = ACTIONS(404),
    [anon_sym_GT_EQ] = ACTIONS(404),
    [anon_sym_AMP_AMP] = ACTIONS(406),
    [anon_sym_PIPE_PIPE] = ACTIONS(408),
    [sym_raw_string_literal] = ACTIONS(542),
    [anon_sym_DQUOTE] = ACTIONS(542),
    [sym_int_literal] = ACTIONS(542),
    [sym_float_literal] = ACTIONS(542),
    [sym_imaginary_literal] = ACTIONS(542),
    [sym_rune_literal] = ACTIONS(542),
    [sym_nil] = ACTIONS(542),
    [sym_true] = ACTIONS(542),
    [sym_false] = ACTIONS(542),
    [sym_comment] = ACTIONS(336),
  },
  [81] = {
    [sym_type_arguments] = STATE(1208),
    [sym_argument_list] = STATE(197),
    [ts_builtin_sym_end] = ACTIONS(494),
    [sym_identifier] = ACTIONS(496),
    [anon_sym_LF] = ACTIONS(494),
    [anon_sym_SEMI] = ACTIONS(496),
    [anon_sym_foreign] = ACTIONS(496),
    [anon_sym_import] = ACTIONS(496),
    [anon_sym_package] = ACTIONS(496),
    [anon_sym_COMMA] = ACTIONS(496),
    [anon_sym_struct] = ACTIONS(496),
    [anon_sym_enum] = ACTIONS(496),
    [anon_sym_union] = ACTIONS(496),
    [anon_sym_DASH_GT] = ACTIONS(496),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(496),
    [anon_sym_LBRACE] = ACTIONS(496),
    [anon_sym_LPAREN] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(496),
    [anon_sym_LBRACK] = ACTIONS(398),
    [anon_sym_CARET] = ACTIONS(496),
    [anon_sym_PIPE] = ACTIONS(496),
    [anon_sym_map] = ACTIONS(496),
    [anon_sym_func] = ACTIONS(496),
    [anon_sym_POUND] = ACTIONS(496),
    [anon_sym_fallthrough] = ACTIONS(496),
    [anon_sym_break] = ACTIONS(496),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_return] = ACTIONS(496),
    [anon_sym_defer] = ACTIONS(496),
    [anon_sym_if] = ACTIONS(496),
    [anon_sym_when] = ACTIONS(496),
    [anon_sym_for] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(496),
    [anon_sym_switch] = ACTIONS(496),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_make] = ACTIONS(496),
    [anon_sym_cast] = ACTIONS(496),
    [anon_sym_auto_cast] = ACTIONS(496),
    [anon_sym_transmute] = ACTIONS(496),
    [anon_sym_DOT] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(496),
    [anon_sym_DASH] = ACTIONS(496),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_STAR] = ACTIONS(496),
    [anon_sym_LT_DASH] = ACTIONS(496),
    [anon_sym_PERCENT] = ACTIONS(496),
    [anon_sym_LT_LT] = ACTIONS(496),
    [anon_sym_GT_GT] = ACTIONS(496),
    [anon_sym_AMP_CARET] = ACTIONS(496),
    [anon_sym_EQ_EQ] = ACTIONS(496),
    [anon_sym_BANG_EQ] = ACTIONS(496),
    [anon_sym_LT] = ACTIONS(496),
    [anon_sym_LT_EQ] = ACTIONS(496),
    [anon_sym_GT] = ACTIONS(496),
    [anon_sym_GT_EQ] = ACTIONS(496),
    [anon_sym_AMP_AMP] = ACTIONS(496),
    [anon_sym_PIPE_PIPE] = ACTIONS(496),
    [sym_raw_string_literal] = ACTIONS(496),
    [anon_sym_DQUOTE] = ACTIONS(496),
    [sym_int_literal] = ACTIONS(496),
    [sym_float_literal] = ACTIONS(496),
    [sym_imaginary_literal] = ACTIONS(496),
    [sym_rune_literal] = ACTIONS(496),
    [sym_nil] = ACTIONS(496),
    [sym_true] = ACTIONS(496),
    [sym_false] = ACTIONS(496),
    [sym_comment] = ACTIONS(336),
  },
  [82] = {
    [sym_where_clause] = STATE(244),
    [sym_parameter_list] = STATE(311),
    [sym__simple_type] = STATE(311),
    [sym_generic_type] = STATE(376),
    [sym_pointer_type] = STATE(376),
    [sym_array_type] = STATE(376),
    [sym_dynamic_array_type] = STATE(376),
    [sym_implicit_length_array_type] = STATE(376),
    [sym_slice_type] = STATE(376),
    [sym_struct_type] = STATE(376),
    [sym_enum_type] = STATE(376),
    [sym_union_type] = STATE(376),
    [sym_map_type] = STATE(376),
    [sym_function_type] = STATE(376),
    [sym_block] = STATE(335),
    [sym_qualified_type] = STATE(376),
    [ts_builtin_sym_end] = ACTIONS(544),
    [sym_identifier] = ACTIONS(460),
    [anon_sym_LF] = ACTIONS(462),
    [anon_sym_SEMI] = ACTIONS(464),
    [anon_sym_foreign] = ACTIONS(546),
    [anon_sym_import] = ACTIONS(546),
    [anon_sym_package] = ACTIONS(546),
    [anon_sym_struct] = ACTIONS(468),
    [anon_sym_enum] = ACTIONS(470),
    [anon_sym_union] = ACTIONS(472),
    [anon_sym_DASH_GT] = ACTIONS(548),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(550),
    [anon_sym_LBRACE] = ACTIONS(478),
    [anon_sym_where] = ACTIONS(480),
    [anon_sym_LPAREN] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(484),
    [anon_sym_CARET] = ACTIONS(486),
    [anon_sym_map] = ACTIONS(488),
    [anon_sym_func] = ACTIONS(490),
    [anon_sym_POUND] = ACTIONS(546),
    [anon_sym_fallthrough] = ACTIONS(546),
    [anon_sym_break] = ACTIONS(546),
    [anon_sym_continue] = ACTIONS(546),
    [anon_sym_return] = ACTIONS(546),
    [anon_sym_defer] = ACTIONS(546),
    [anon_sym_if] = ACTIONS(546),
    [anon_sym_when] = ACTIONS(546),
    [anon_sym_for] = ACTIONS(546),
    [anon_sym_AMP] = ACTIONS(546),
    [anon_sym_switch] = ACTIONS(546),
    [anon_sym_new] = ACTIONS(546),
    [anon_sym_make] = ACTIONS(546),
    [anon_sym_cast] = ACTIONS(546),
    [anon_sym_auto_cast] = ACTIONS(546),
    [anon_sym_transmute] = ACTIONS(546),
    [anon_sym_DOT] = ACTIONS(546),
    [anon_sym_PLUS] = ACTIONS(546),
    [anon_sym_DASH] = ACTIONS(546),
    [anon_sym_BANG] = ACTIONS(546),
    [anon_sym_STAR] = ACTIONS(546),
    [anon_sym_LT_DASH] = ACTIONS(546),
    [sym_raw_string_literal] = ACTIONS(546),
    [anon_sym_DQUOTE] = ACTIONS(546),
    [sym_int_literal] = ACTIONS(546),
    [sym_float_literal] = ACTIONS(546),
    [sym_imaginary_literal] = ACTIONS(546),
    [sym_rune_literal] = ACTIONS(546),
    [sym_nil] = ACTIONS(546),
    [sym_true] = ACTIONS(546),
    [sym_false] = ACTIONS(546),
    [sym_comment] = ACTIONS(336),
  },
  [83] = {
    [sym_type_arguments] = STATE(1208),
    [sym_argument_list] = STATE(197),
    [ts_builtin_sym_end] = ACTIONS(494),
    [sym_identifier] = ACTIONS(496),
    [anon_sym_LF] = ACTIONS(494),
    [anon_sym_SEMI] = ACTIONS(496),
    [anon_sym_foreign] = ACTIONS(496),
    [anon_sym_import] = ACTIONS(496),
    [anon_sym_package] = ACTIONS(496),
    [anon_sym_COMMA] = ACTIONS(496),
    [anon_sym_struct] = ACTIONS(496),
    [anon_sym_enum] = ACTIONS(496),
    [anon_sym_union] = ACTIONS(496),
    [anon_sym_DASH_GT] = ACTIONS(496),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(496),
    [anon_sym_LBRACE] = ACTIONS(496),
    [anon_sym_LPAREN] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_LBRACK] = ACTIONS(398),
    [anon_sym_CARET] = ACTIONS(400),
    [anon_sym_PIPE] = ACTIONS(400),
    [anon_sym_map] = ACTIONS(496),
    [anon_sym_func] = ACTIONS(496),
    [anon_sym_POUND] = ACTIONS(496),
    [anon_sym_fallthrough] = ACTIONS(496),
    [anon_sym_break] = ACTIONS(496),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_return] = ACTIONS(496),
    [anon_sym_defer] = ACTIONS(496),
    [anon_sym_if] = ACTIONS(496),
    [anon_sym_when] = ACTIONS(496),
    [anon_sym_for] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(396),
    [anon_sym_switch] = ACTIONS(496),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_make] = ACTIONS(496),
    [anon_sym_cast] = ACTIONS(496),
    [anon_sym_auto_cast] = ACTIONS(496),
    [anon_sym_transmute] = ACTIONS(496),
    [anon_sym_DOT] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(400),
    [anon_sym_DASH] = ACTIONS(400),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_STAR] = ACTIONS(396),
    [anon_sym_LT_DASH] = ACTIONS(496),
    [anon_sym_PERCENT] = ACTIONS(396),
    [anon_sym_LT_LT] = ACTIONS(396),
    [anon_sym_GT_GT] = ACTIONS(396),
    [anon_sym_AMP_CARET] = ACTIONS(396),
    [anon_sym_EQ_EQ] = ACTIONS(404),
    [anon_sym_BANG_EQ] = ACTIONS(404),
    [anon_sym_LT] = ACTIONS(404),
    [anon_sym_LT_EQ] = ACTIONS(404),
    [anon_sym_GT] = ACTIONS(404),
    [anon_sym_GT_EQ] = ACTIONS(404),
    [anon_sym_AMP_AMP] = ACTIONS(406),
    [anon_sym_PIPE_PIPE] = ACTIONS(496),
    [sym_raw_string_literal] = ACTIONS(496),
    [anon_sym_DQUOTE] = ACTIONS(496),
    [sym_int_literal] = ACTIONS(496),
    [sym_float_literal] = ACTIONS(496),
    [sym_imaginary_literal] = ACTIONS(496),
    [sym_rune_literal] = ACTIONS(496),
    [sym_nil] = ACTIONS(496),
    [sym_true] = ACTIONS(496),
    [sym_false] = ACTIONS(496),
    [sym_comment] = ACTIONS(336),
  },
  [84] = {
    [sym_type_arguments] = STATE(1208),
    [sym_argument_list] = STATE(197),
    [ts_builtin_sym_end] = ACTIONS(552),
    [sym_identifier] = ACTIONS(554),
    [anon_sym_LF] = ACTIONS(552),
    [anon_sym_SEMI] = ACTIONS(554),
    [anon_sym_foreign] = ACTIONS(554),
    [anon_sym_import] = ACTIONS(554),
    [anon_sym_package] = ACTIONS(554),
    [anon_sym_COMMA] = ACTIONS(554),
    [anon_sym_struct] = ACTIONS(554),
    [anon_sym_enum] = ACTIONS(554),
    [anon_sym_union] = ACTIONS(554),
    [anon_sym_DASH_GT] = ACTIONS(554),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(554),
    [anon_sym_LBRACE] = ACTIONS(554),
    [anon_sym_LPAREN] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_LBRACK] = ACTIONS(398),
    [anon_sym_CARET] = ACTIONS(400),
    [anon_sym_PIPE] = ACTIONS(400),
    [anon_sym_map] = ACTIONS(554),
    [anon_sym_func] = ACTIONS(554),
    [anon_sym_POUND] = ACTIONS(554),
    [anon_sym_fallthrough] = ACTIONS(554),
    [anon_sym_break] = ACTIONS(554),
    [anon_sym_continue] = ACTIONS(554),
    [anon_sym_return] = ACTIONS(554),
    [anon_sym_defer] = ACTIONS(554),
    [anon_sym_if] = ACTIONS(554),
    [anon_sym_when] = ACTIONS(554),
    [anon_sym_for] = ACTIONS(554),
    [anon_sym_AMP] = ACTIONS(396),
    [anon_sym_switch] = ACTIONS(554),
    [anon_sym_new] = ACTIONS(554),
    [anon_sym_make] = ACTIONS(554),
    [anon_sym_cast] = ACTIONS(554),
    [anon_sym_auto_cast] = ACTIONS(554),
    [anon_sym_transmute] = ACTIONS(554),
    [anon_sym_DOT] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(400),
    [anon_sym_DASH] = ACTIONS(400),
    [anon_sym_BANG] = ACTIONS(554),
    [anon_sym_STAR] = ACTIONS(396),
    [anon_sym_LT_DASH] = ACTIONS(554),
    [anon_sym_PERCENT] = ACTIONS(396),
    [anon_sym_LT_LT] = ACTIONS(396),
    [anon_sym_GT_GT] = ACTIONS(396),
    [anon_sym_AMP_CARET] = ACTIONS(396),
    [anon_sym_EQ_EQ] = ACTIONS(404),
    [anon_sym_BANG_EQ] = ACTIONS(404),
    [anon_sym_LT] = ACTIONS(404),
    [anon_sym_LT_EQ] = ACTIONS(404),
    [anon_sym_GT] = ACTIONS(404),
    [anon_sym_GT_EQ] = ACTIONS(404),
    [anon_sym_AMP_AMP] = ACTIONS(406),
    [anon_sym_PIPE_PIPE] = ACTIONS(408),
    [sym_raw_string_literal] = ACTIONS(554),
    [anon_sym_DQUOTE] = ACTIONS(554),
    [sym_int_literal] = ACTIONS(554),
    [sym_float_literal] = ACTIONS(554),
    [sym_imaginary_literal] = ACTIONS(554),
    [sym_rune_literal] = ACTIONS(554),
    [sym_nil] = ACTIONS(554),
    [sym_true] = ACTIONS(554),
    [sym_false] = ACTIONS(554),
    [sym_comment] = ACTIONS(336),
  },
  [85] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(517),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_variadic_argument] = STATE(1062),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_RPAREN] = ACTIONS(556),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [86] = {
    [sym_type_arguments] = STATE(1208),
    [sym_argument_list] = STATE(197),
    [ts_builtin_sym_end] = ACTIONS(494),
    [sym_identifier] = ACTIONS(496),
    [anon_sym_LF] = ACTIONS(494),
    [anon_sym_SEMI] = ACTIONS(496),
    [anon_sym_foreign] = ACTIONS(496),
    [anon_sym_import] = ACTIONS(496),
    [anon_sym_package] = ACTIONS(496),
    [anon_sym_COMMA] = ACTIONS(496),
    [anon_sym_struct] = ACTIONS(496),
    [anon_sym_enum] = ACTIONS(496),
    [anon_sym_union] = ACTIONS(496),
    [anon_sym_DASH_GT] = ACTIONS(496),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(496),
    [anon_sym_LBRACE] = ACTIONS(496),
    [anon_sym_LPAREN] = ACTIONS(394),
    [anon_sym_SLASH] = ACTIONS(396),
    [anon_sym_LBRACK] = ACTIONS(398),
    [anon_sym_CARET] = ACTIONS(400),
    [anon_sym_PIPE] = ACTIONS(400),
    [anon_sym_map] = ACTIONS(496),
    [anon_sym_func] = ACTIONS(496),
    [anon_sym_POUND] = ACTIONS(496),
    [anon_sym_fallthrough] = ACTIONS(496),
    [anon_sym_break] = ACTIONS(496),
    [anon_sym_continue] = ACTIONS(496),
    [anon_sym_return] = ACTIONS(496),
    [anon_sym_defer] = ACTIONS(496),
    [anon_sym_if] = ACTIONS(496),
    [anon_sym_when] = ACTIONS(496),
    [anon_sym_for] = ACTIONS(496),
    [anon_sym_AMP] = ACTIONS(396),
    [anon_sym_switch] = ACTIONS(496),
    [anon_sym_new] = ACTIONS(496),
    [anon_sym_make] = ACTIONS(496),
    [anon_sym_cast] = ACTIONS(496),
    [anon_sym_auto_cast] = ACTIONS(496),
    [anon_sym_transmute] = ACTIONS(496),
    [anon_sym_DOT] = ACTIONS(402),
    [anon_sym_PLUS] = ACTIONS(400),
    [anon_sym_DASH] = ACTIONS(400),
    [anon_sym_BANG] = ACTIONS(496),
    [anon_sym_STAR] = ACTIONS(396),
    [anon_sym_LT_DASH] = ACTIONS(496),
    [anon_sym_PERCENT] = ACTIONS(396),
    [anon_sym_LT_LT] = ACTIONS(396),
    [anon_sym_GT_GT] = ACTIONS(396),
    [anon_sym_AMP_CARET] = ACTIONS(396),
    [anon_sym_EQ_EQ] = ACTIONS(404),
    [anon_sym_BANG_EQ] = ACTIONS(404),
    [anon_sym_LT] = ACTIONS(404),
    [anon_sym_LT_EQ] = ACTIONS(404),
    [anon_sym_GT] = ACTIONS(404),
    [anon_sym_GT_EQ] = ACTIONS(404),
    [anon_sym_AMP_AMP] = ACTIONS(496),
    [anon_sym_PIPE_PIPE] = ACTIONS(496),
    [sym_raw_string_literal] = ACTIONS(496),
    [anon_sym_DQUOTE] = ACTIONS(496),
    [sym_int_literal] = ACTIONS(496),
    [sym_float_literal] = ACTIONS(496),
    [sym_imaginary_literal] = ACTIONS(496),
    [sym_rune_literal] = ACTIONS(496),
    [sym_nil] = ACTIONS(496),
    [sym_true] = ACTIONS(496),
    [sym_false] = ACTIONS(496),
    [sym_comment] = ACTIONS(336),
  },
  [87] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(543),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_variadic_argument] = STATE(1090),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_RPAREN] = ACTIONS(558),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [88] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(513),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_RPAREN] = ACTIONS(560),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [89] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(600),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_RBRACK] = ACTIONS(562),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [90] = {
    [sym_expression_list] = STATE(1225),
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(565),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [91] = {
    [sym_expression_list] = STATE(1228),
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(565),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [92] = {
    [sym_expression_list] = STATE(1236),
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(565),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [93] = {
    [sym_parenthesized_type] = STATE(1022),
    [sym__simple_type] = STATE(1022),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(611),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(564),
    [anon_sym_COLON] = ACTIONS(566),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(568),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [94] = {
    [sym_expression_list] = STATE(1154),
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(565),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [95] = {
    [sym_expression_list] = STATE(1141),
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(565),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [96] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(513),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_RPAREN] = ACTIONS(570),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [97] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(614),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_RBRACK] = ACTIONS(572),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [98] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(513),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_RPAREN] = ACTIONS(574),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [99] = {
    [sym_expression_list] = STATE(1142),
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(514),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [100] = {
    [sym_expression_list] = STATE(1143),
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(514),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [101] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(617),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_RBRACK] = ACTIONS(576),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [102] = {
    [sym_expression_list] = STATE(970),
    [sym_parenthesized_type] = STATE(1316),
    [sym__simple_type] = STATE(1316),
    [sym_generic_type] = STATE(1132),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1132),
    [sym_dynamic_array_type] = STATE(1132),
    [sym_implicit_length_array_type] = STATE(1132),
    [sym_slice_type] = STATE(1132),
    [sym_struct_type] = STATE(1132),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1132),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(520),
    [sym__expression] = STATE(487),
    [sym_cast_expression] = STATE(520),
    [sym_transmute_expression] = STATE(520),
    [sym_parenthesized_expression] = STATE(520),
    [sym_call_expression] = STATE(520),
    [sym_selector_expression] = STATE(520),
    [sym_index_expression] = STATE(520),
    [sym_slice_expression] = STATE(520),
    [sym_type_assertion_expression] = STATE(520),
    [sym_type_conversion_expression] = STATE(520),
    [sym_composite_literal] = STATE(520),
    [sym_literal_value] = STATE(529),
    [sym_unary_expression] = STATE(520),
    [sym_binary_expression] = STATE(520),
    [sym_qualified_type] = STATE(1132),
    [sym_interpreted_string_literal] = STATE(520),
    [sym_undefined] = STATE(520),
    [sym_identifier] = ACTIONS(316),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(296),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(578),
    [anon_sym_AMP] = ACTIONS(55),
    [anon_sym_new] = ACTIONS(59),
    [anon_sym_make] = ACTIONS(59),
    [anon_sym_cast] = ACTIONS(61),
    [anon_sym_auto_cast] = ACTIONS(63),
    [anon_sym_transmute] = ACTIONS(65),
    [anon_sym_DOT] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_LT_DASH] = ACTIONS(55),
    [sym_raw_string_literal] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [sym_int_literal] = ACTIONS(75),
    [sym_float_literal] = ACTIONS(75),
    [sym_imaginary_literal] = ACTIONS(71),
    [sym_rune_literal] = ACTIONS(71),
    [sym_nil] = ACTIONS(75),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
  },
  [103] = {
    [sym_expression_list] = STATE(971),
    [sym_parenthesized_type] = STATE(1316),
    [sym__simple_type] = STATE(1316),
    [sym_generic_type] = STATE(1132),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1132),
    [sym_dynamic_array_type] = STATE(1132),
    [sym_implicit_length_array_type] = STATE(1132),
    [sym_slice_type] = STATE(1132),
    [sym_struct_type] = STATE(1132),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1132),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(520),
    [sym__expression] = STATE(487),
    [sym_cast_expression] = STATE(520),
    [sym_transmute_expression] = STATE(520),
    [sym_parenthesized_expression] = STATE(520),
    [sym_call_expression] = STATE(520),
    [sym_selector_expression] = STATE(520),
    [sym_index_expression] = STATE(520),
    [sym_slice_expression] = STATE(520),
    [sym_type_assertion_expression] = STATE(520),
    [sym_type_conversion_expression] = STATE(520),
    [sym_composite_literal] = STATE(520),
    [sym_literal_value] = STATE(529),
    [sym_unary_expression] = STATE(520),
    [sym_binary_expression] = STATE(520),
    [sym_qualified_type] = STATE(1132),
    [sym_interpreted_string_literal] = STATE(520),
    [sym_undefined] = STATE(520),
    [sym_identifier] = ACTIONS(316),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(296),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(578),
    [anon_sym_AMP] = ACTIONS(55),
    [anon_sym_new] = ACTIONS(59),
    [anon_sym_make] = ACTIONS(59),
    [anon_sym_cast] = ACTIONS(61),
    [anon_sym_auto_cast] = ACTIONS(63),
    [anon_sym_transmute] = ACTIONS(65),
    [anon_sym_DOT] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_LT_DASH] = ACTIONS(55),
    [sym_raw_string_literal] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [sym_int_literal] = ACTIONS(75),
    [sym_float_literal] = ACTIONS(75),
    [sym_imaginary_literal] = ACTIONS(71),
    [sym_rune_literal] = ACTIONS(71),
    [sym_nil] = ACTIONS(75),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
  },
  [104] = {
    [sym_expression_list] = STATE(938),
    [sym_parenthesized_type] = STATE(1316),
    [sym__simple_type] = STATE(1316),
    [sym_generic_type] = STATE(1132),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1132),
    [sym_dynamic_array_type] = STATE(1132),
    [sym_implicit_length_array_type] = STATE(1132),
    [sym_slice_type] = STATE(1132),
    [sym_struct_type] = STATE(1132),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1132),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(520),
    [sym__expression] = STATE(487),
    [sym_cast_expression] = STATE(520),
    [sym_transmute_expression] = STATE(520),
    [sym_parenthesized_expression] = STATE(520),
    [sym_call_expression] = STATE(520),
    [sym_selector_expression] = STATE(520),
    [sym_index_expression] = STATE(520),
    [sym_slice_expression] = STATE(520),
    [sym_type_assertion_expression] = STATE(520),
    [sym_type_conversion_expression] = STATE(520),
    [sym_composite_literal] = STATE(520),
    [sym_literal_value] = STATE(529),
    [sym_unary_expression] = STATE(520),
    [sym_binary_expression] = STATE(520),
    [sym_qualified_type] = STATE(1132),
    [sym_interpreted_string_literal] = STATE(520),
    [sym_undefined] = STATE(520),
    [sym_identifier] = ACTIONS(316),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(296),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(578),
    [anon_sym_AMP] = ACTIONS(55),
    [anon_sym_new] = ACTIONS(59),
    [anon_sym_make] = ACTIONS(59),
    [anon_sym_cast] = ACTIONS(61),
    [anon_sym_auto_cast] = ACTIONS(63),
    [anon_sym_transmute] = ACTIONS(65),
    [anon_sym_DOT] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_LT_DASH] = ACTIONS(55),
    [sym_raw_string_literal] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [sym_int_literal] = ACTIONS(75),
    [sym_float_literal] = ACTIONS(75),
    [sym_imaginary_literal] = ACTIONS(71),
    [sym_rune_literal] = ACTIONS(71),
    [sym_nil] = ACTIONS(75),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
  },
  [105] = {
    [sym_expression_list] = STATE(937),
    [sym_parenthesized_type] = STATE(1316),
    [sym__simple_type] = STATE(1316),
    [sym_generic_type] = STATE(1132),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1132),
    [sym_dynamic_array_type] = STATE(1132),
    [sym_implicit_length_array_type] = STATE(1132),
    [sym_slice_type] = STATE(1132),
    [sym_struct_type] = STATE(1132),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1132),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(520),
    [sym__expression] = STATE(487),
    [sym_cast_expression] = STATE(520),
    [sym_transmute_expression] = STATE(520),
    [sym_parenthesized_expression] = STATE(520),
    [sym_call_expression] = STATE(520),
    [sym_selector_expression] = STATE(520),
    [sym_index_expression] = STATE(520),
    [sym_slice_expression] = STATE(520),
    [sym_type_assertion_expression] = STATE(520),
    [sym_type_conversion_expression] = STATE(520),
    [sym_composite_literal] = STATE(520),
    [sym_literal_value] = STATE(529),
    [sym_unary_expression] = STATE(520),
    [sym_binary_expression] = STATE(520),
    [sym_qualified_type] = STATE(1132),
    [sym_interpreted_string_literal] = STATE(520),
    [sym_undefined] = STATE(520),
    [sym_identifier] = ACTIONS(316),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(296),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(578),
    [anon_sym_AMP] = ACTIONS(55),
    [anon_sym_new] = ACTIONS(59),
    [anon_sym_make] = ACTIONS(59),
    [anon_sym_cast] = ACTIONS(61),
    [anon_sym_auto_cast] = ACTIONS(63),
    [anon_sym_transmute] = ACTIONS(65),
    [anon_sym_DOT] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_LT_DASH] = ACTIONS(55),
    [sym_raw_string_literal] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [sym_int_literal] = ACTIONS(75),
    [sym_float_literal] = ACTIONS(75),
    [sym_imaginary_literal] = ACTIONS(71),
    [sym_rune_literal] = ACTIONS(71),
    [sym_nil] = ACTIONS(75),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
  },
  [106] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(640),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_SEMI] = ACTIONS(580),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [107] = {
    [sym_parenthesized_type] = STATE(1316),
    [sym__simple_type] = STATE(1316),
    [sym_generic_type] = STATE(1132),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1132),
    [sym_dynamic_array_type] = STATE(1132),
    [sym_implicit_length_array_type] = STATE(1132),
    [sym_slice_type] = STATE(1132),
    [sym_struct_type] = STATE(1132),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1132),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(685),
    [sym__const_expression] = STATE(894),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(577),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(577),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(577),
    [sym_type_conversion_expression] = STATE(577),
    [sym_composite_literal] = STATE(577),
    [sym_literal_value] = STATE(529),
    [sym_unary_expression] = STATE(577),
    [sym_binary_expression] = STATE(577),
    [sym_qualified_type] = STATE(1132),
    [sym_interpreted_string_literal] = STATE(577),
    [sym_undefined] = STATE(577),
    [sym_identifier] = ACTIONS(532),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(296),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(55),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_LT_DASH] = ACTIONS(55),
    [sym_raw_string_literal] = ACTIONS(312),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [sym_int_literal] = ACTIONS(314),
    [sym_float_literal] = ACTIONS(314),
    [sym_imaginary_literal] = ACTIONS(312),
    [sym_rune_literal] = ACTIONS(312),
    [sym_nil] = ACTIONS(314),
    [sym_true] = ACTIONS(314),
    [sym_false] = ACTIONS(314),
    [sym_comment] = ACTIONS(3),
  },
  [108] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(513),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_RPAREN] = ACTIONS(582),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [109] = {
    [sym_parenthesized_type] = STATE(1022),
    [sym__simple_type] = STATE(1022),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(604),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(564),
    [anon_sym_COLON] = ACTIONS(584),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(568),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [110] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(513),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_RPAREN] = ACTIONS(586),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [111] = {
    [sym_expression_list] = STATE(1199),
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(565),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [112] = {
    [sym_expression_list] = STATE(1156),
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(565),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [113] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(615),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_RBRACK] = ACTIONS(588),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [114] = {
    [sym_expression_list] = STATE(1157),
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(565),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [115] = {
    [sym_expression_list] = STATE(1161),
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(565),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [116] = {
    [sym_expression_list] = STATE(1163),
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(565),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [117] = {
    [sym_expression_list] = STATE(1191),
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(565),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [118] = {
    [sym_expression_list] = STATE(1244),
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(565),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [119] = {
    [sym_expression_list] = STATE(1166),
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(565),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [120] = {
    [sym_expression_list] = STATE(1030),
    [sym_parenthesized_type] = STATE(1316),
    [sym__simple_type] = STATE(1316),
    [sym_generic_type] = STATE(1132),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1132),
    [sym_dynamic_array_type] = STATE(1132),
    [sym_implicit_length_array_type] = STATE(1132),
    [sym_slice_type] = STATE(1132),
    [sym_struct_type] = STATE(1132),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1132),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(520),
    [sym__expression] = STATE(487),
    [sym_cast_expression] = STATE(520),
    [sym_transmute_expression] = STATE(520),
    [sym_parenthesized_expression] = STATE(520),
    [sym_call_expression] = STATE(520),
    [sym_selector_expression] = STATE(520),
    [sym_index_expression] = STATE(520),
    [sym_slice_expression] = STATE(520),
    [sym_type_assertion_expression] = STATE(520),
    [sym_type_conversion_expression] = STATE(520),
    [sym_composite_literal] = STATE(520),
    [sym_literal_value] = STATE(529),
    [sym_unary_expression] = STATE(520),
    [sym_binary_expression] = STATE(520),
    [sym_qualified_type] = STATE(1132),
    [sym_interpreted_string_literal] = STATE(520),
    [sym_undefined] = STATE(520),
    [sym_identifier] = ACTIONS(316),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(296),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(578),
    [anon_sym_AMP] = ACTIONS(55),
    [anon_sym_new] = ACTIONS(59),
    [anon_sym_make] = ACTIONS(59),
    [anon_sym_cast] = ACTIONS(61),
    [anon_sym_auto_cast] = ACTIONS(63),
    [anon_sym_transmute] = ACTIONS(65),
    [anon_sym_DOT] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_LT_DASH] = ACTIONS(55),
    [sym_raw_string_literal] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [sym_int_literal] = ACTIONS(75),
    [sym_float_literal] = ACTIONS(75),
    [sym_imaginary_literal] = ACTIONS(71),
    [sym_rune_literal] = ACTIONS(71),
    [sym_nil] = ACTIONS(75),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
  },
  [121] = {
    [sym_expression_list] = STATE(1029),
    [sym_parenthesized_type] = STATE(1316),
    [sym__simple_type] = STATE(1316),
    [sym_generic_type] = STATE(1132),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1132),
    [sym_dynamic_array_type] = STATE(1132),
    [sym_implicit_length_array_type] = STATE(1132),
    [sym_slice_type] = STATE(1132),
    [sym_struct_type] = STATE(1132),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1132),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(520),
    [sym__expression] = STATE(487),
    [sym_cast_expression] = STATE(520),
    [sym_transmute_expression] = STATE(520),
    [sym_parenthesized_expression] = STATE(520),
    [sym_call_expression] = STATE(520),
    [sym_selector_expression] = STATE(520),
    [sym_index_expression] = STATE(520),
    [sym_slice_expression] = STATE(520),
    [sym_type_assertion_expression] = STATE(520),
    [sym_type_conversion_expression] = STATE(520),
    [sym_composite_literal] = STATE(520),
    [sym_literal_value] = STATE(529),
    [sym_unary_expression] = STATE(520),
    [sym_binary_expression] = STATE(520),
    [sym_qualified_type] = STATE(1132),
    [sym_interpreted_string_literal] = STATE(520),
    [sym_undefined] = STATE(520),
    [sym_identifier] = ACTIONS(316),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(296),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(578),
    [anon_sym_AMP] = ACTIONS(55),
    [anon_sym_new] = ACTIONS(59),
    [anon_sym_make] = ACTIONS(59),
    [anon_sym_cast] = ACTIONS(61),
    [anon_sym_auto_cast] = ACTIONS(63),
    [anon_sym_transmute] = ACTIONS(65),
    [anon_sym_DOT] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_LT_DASH] = ACTIONS(55),
    [sym_raw_string_literal] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [sym_int_literal] = ACTIONS(75),
    [sym_float_literal] = ACTIONS(75),
    [sym_imaginary_literal] = ACTIONS(71),
    [sym_rune_literal] = ACTIONS(71),
    [sym_nil] = ACTIONS(75),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
  },
  [122] = {
    [sym_expression_list] = STATE(1190),
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(565),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [123] = {
    [sym_expression_list] = STATE(1189),
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(565),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [124] = {
    [sym_expression_list] = STATE(1143),
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(588),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(590),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(274),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(276),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(278),
    [anon_sym_auto_cast] = ACTIONS(280),
    [anon_sym_transmute] = ACTIONS(282),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(276),
    [anon_sym_DASH] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_STAR] = ACTIONS(276),
    [anon_sym_LT_DASH] = ACTIONS(276),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [125] = {
    [sym_parenthesized_type] = STATE(1022),
    [sym__simple_type] = STATE(1022),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(612),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(564),
    [anon_sym_COLON] = ACTIONS(592),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(568),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [126] = {
    [sym_expression_list] = STATE(1142),
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(588),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(590),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(274),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(276),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(278),
    [anon_sym_auto_cast] = ACTIONS(280),
    [anon_sym_transmute] = ACTIONS(282),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(276),
    [anon_sym_DASH] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_STAR] = ACTIONS(276),
    [anon_sym_LT_DASH] = ACTIONS(276),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [127] = {
    [sym_parenthesized_type] = STATE(1022),
    [sym__simple_type] = STATE(1022),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(603),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(564),
    [anon_sym_COLON] = ACTIONS(594),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(568),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [128] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(595),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_RBRACK] = ACTIONS(596),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [129] = {
    [sym_expression_list] = STATE(960),
    [sym_parenthesized_type] = STATE(1316),
    [sym__simple_type] = STATE(1316),
    [sym_generic_type] = STATE(1132),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1132),
    [sym_dynamic_array_type] = STATE(1132),
    [sym_implicit_length_array_type] = STATE(1132),
    [sym_slice_type] = STATE(1132),
    [sym_struct_type] = STATE(1132),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1132),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(520),
    [sym__expression] = STATE(487),
    [sym_cast_expression] = STATE(520),
    [sym_transmute_expression] = STATE(520),
    [sym_parenthesized_expression] = STATE(520),
    [sym_call_expression] = STATE(520),
    [sym_selector_expression] = STATE(520),
    [sym_index_expression] = STATE(520),
    [sym_slice_expression] = STATE(520),
    [sym_type_assertion_expression] = STATE(520),
    [sym_type_conversion_expression] = STATE(520),
    [sym_composite_literal] = STATE(520),
    [sym_literal_value] = STATE(529),
    [sym_unary_expression] = STATE(520),
    [sym_binary_expression] = STATE(520),
    [sym_qualified_type] = STATE(1132),
    [sym_interpreted_string_literal] = STATE(520),
    [sym_undefined] = STATE(520),
    [sym_identifier] = ACTIONS(316),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(296),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(578),
    [anon_sym_AMP] = ACTIONS(55),
    [anon_sym_new] = ACTIONS(59),
    [anon_sym_make] = ACTIONS(59),
    [anon_sym_cast] = ACTIONS(61),
    [anon_sym_auto_cast] = ACTIONS(63),
    [anon_sym_transmute] = ACTIONS(65),
    [anon_sym_DOT] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_LT_DASH] = ACTIONS(55),
    [sym_raw_string_literal] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [sym_int_literal] = ACTIONS(75),
    [sym_float_literal] = ACTIONS(75),
    [sym_imaginary_literal] = ACTIONS(71),
    [sym_rune_literal] = ACTIONS(71),
    [sym_nil] = ACTIONS(75),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
  },
  [130] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(601),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_RBRACK] = ACTIONS(598),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [131] = {
    [sym_expression_list] = STATE(961),
    [sym_parenthesized_type] = STATE(1316),
    [sym__simple_type] = STATE(1316),
    [sym_generic_type] = STATE(1132),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1132),
    [sym_dynamic_array_type] = STATE(1132),
    [sym_implicit_length_array_type] = STATE(1132),
    [sym_slice_type] = STATE(1132),
    [sym_struct_type] = STATE(1132),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1132),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(520),
    [sym__expression] = STATE(487),
    [sym_cast_expression] = STATE(520),
    [sym_transmute_expression] = STATE(520),
    [sym_parenthesized_expression] = STATE(520),
    [sym_call_expression] = STATE(520),
    [sym_selector_expression] = STATE(520),
    [sym_index_expression] = STATE(520),
    [sym_slice_expression] = STATE(520),
    [sym_type_assertion_expression] = STATE(520),
    [sym_type_conversion_expression] = STATE(520),
    [sym_composite_literal] = STATE(520),
    [sym_literal_value] = STATE(529),
    [sym_unary_expression] = STATE(520),
    [sym_binary_expression] = STATE(520),
    [sym_qualified_type] = STATE(1132),
    [sym_interpreted_string_literal] = STATE(520),
    [sym_undefined] = STATE(520),
    [sym_identifier] = ACTIONS(316),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(296),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(578),
    [anon_sym_AMP] = ACTIONS(55),
    [anon_sym_new] = ACTIONS(59),
    [anon_sym_make] = ACTIONS(59),
    [anon_sym_cast] = ACTIONS(61),
    [anon_sym_auto_cast] = ACTIONS(63),
    [anon_sym_transmute] = ACTIONS(65),
    [anon_sym_DOT] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_LT_DASH] = ACTIONS(55),
    [sym_raw_string_literal] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [sym_int_literal] = ACTIONS(75),
    [sym_float_literal] = ACTIONS(75),
    [sym_imaginary_literal] = ACTIONS(71),
    [sym_rune_literal] = ACTIONS(71),
    [sym_nil] = ACTIONS(75),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
  },
  [132] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(513),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_RPAREN] = ACTIONS(600),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [133] = {
    [sym_parenthesized_type] = STATE(1022),
    [sym__simple_type] = STATE(1022),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(599),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(564),
    [anon_sym_COLON] = ACTIONS(602),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(568),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [134] = {
    [sym_expression_list] = STATE(1216),
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(514),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [135] = {
    [sym_expression_list] = STATE(1140),
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(514),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [136] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(619),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_RBRACK] = ACTIONS(604),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [137] = {
    [sym_expression_list] = STATE(1171),
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(565),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [138] = {
    [sym_expression_list] = STATE(1216),
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(588),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(590),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(274),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(276),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(278),
    [anon_sym_auto_cast] = ACTIONS(280),
    [anon_sym_transmute] = ACTIONS(282),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(276),
    [anon_sym_DASH] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_STAR] = ACTIONS(276),
    [anon_sym_LT_DASH] = ACTIONS(276),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [139] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(616),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_RBRACK] = ACTIONS(606),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [140] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(559),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(659),
    [sym_literal_element] = STATE(1217),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [141] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(594),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_RBRACK] = ACTIONS(608),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [142] = {
    [sym_special_argument_list] = STATE(197),
    [ts_builtin_sym_end] = ACTIONS(522),
    [sym_identifier] = ACTIONS(524),
    [anon_sym_LF] = ACTIONS(522),
    [anon_sym_SEMI] = ACTIONS(524),
    [anon_sym_foreign] = ACTIONS(524),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_package] = ACTIONS(524),
    [anon_sym_COMMA] = ACTIONS(524),
    [anon_sym_struct] = ACTIONS(524),
    [anon_sym_enum] = ACTIONS(524),
    [anon_sym_union] = ACTIONS(524),
    [anon_sym_DASH_GT] = ACTIONS(524),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(524),
    [anon_sym_LBRACE] = ACTIONS(524),
    [anon_sym_LPAREN] = ACTIONS(610),
    [anon_sym_SLASH] = ACTIONS(524),
    [anon_sym_LBRACK] = ACTIONS(524),
    [anon_sym_CARET] = ACTIONS(524),
    [anon_sym_PIPE] = ACTIONS(524),
    [anon_sym_map] = ACTIONS(524),
    [anon_sym_func] = ACTIONS(524),
    [anon_sym_POUND] = ACTIONS(524),
    [anon_sym_fallthrough] = ACTIONS(524),
    [anon_sym_break] = ACTIONS(524),
    [anon_sym_continue] = ACTIONS(524),
    [anon_sym_return] = ACTIONS(524),
    [anon_sym_defer] = ACTIONS(524),
    [anon_sym_if] = ACTIONS(524),
    [anon_sym_when] = ACTIONS(524),
    [anon_sym_for] = ACTIONS(524),
    [anon_sym_AMP] = ACTIONS(524),
    [anon_sym_switch] = ACTIONS(524),
    [anon_sym_new] = ACTIONS(524),
    [anon_sym_make] = ACTIONS(524),
    [anon_sym_cast] = ACTIONS(524),
    [anon_sym_auto_cast] = ACTIONS(524),
    [anon_sym_transmute] = ACTIONS(524),
    [anon_sym_DOT] = ACTIONS(524),
    [anon_sym_PLUS] = ACTIONS(524),
    [anon_sym_DASH] = ACTIONS(524),
    [anon_sym_BANG] = ACTIONS(524),
    [anon_sym_STAR] = ACTIONS(524),
    [anon_sym_LT_DASH] = ACTIONS(524),
    [anon_sym_PERCENT] = ACTIONS(524),
    [anon_sym_LT_LT] = ACTIONS(524),
    [anon_sym_GT_GT] = ACTIONS(524),
    [anon_sym_AMP_CARET] = ACTIONS(524),
    [anon_sym_EQ_EQ] = ACTIONS(524),
    [anon_sym_BANG_EQ] = ACTIONS(524),
    [anon_sym_LT] = ACTIONS(524),
    [anon_sym_LT_EQ] = ACTIONS(524),
    [anon_sym_GT] = ACTIONS(524),
    [anon_sym_GT_EQ] = ACTIONS(524),
    [anon_sym_AMP_AMP] = ACTIONS(524),
    [anon_sym_PIPE_PIPE] = ACTIONS(524),
    [sym_raw_string_literal] = ACTIONS(524),
    [anon_sym_DQUOTE] = ACTIONS(524),
    [sym_int_literal] = ACTIONS(524),
    [sym_float_literal] = ACTIONS(524),
    [sym_imaginary_literal] = ACTIONS(524),
    [sym_rune_literal] = ACTIONS(524),
    [sym_nil] = ACTIONS(524),
    [sym_true] = ACTIONS(524),
    [sym_false] = ACTIONS(524),
    [sym_comment] = ACTIONS(336),
  },
  [143] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(513),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_RPAREN] = ACTIONS(612),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [144] = {
    [sym_parenthesized_type] = STATE(1022),
    [sym__simple_type] = STATE(1022),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(597),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(564),
    [anon_sym_COLON] = ACTIONS(592),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(568),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [145] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(675),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_SEMI] = ACTIONS(614),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [146] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(513),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_RPAREN] = ACTIONS(616),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [147] = {
    [sym_expression_list] = STATE(1172),
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(565),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [148] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(592),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_RBRACK] = ACTIONS(618),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [149] = {
    [sym_expression_list] = STATE(1169),
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(565),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [150] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(513),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_RPAREN] = ACTIONS(620),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [151] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(569),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_variadic_argument] = STATE(1238),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [152] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(513),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_RPAREN] = ACTIONS(622),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [153] = {
    [sym_expression_list] = STATE(1170),
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(565),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [154] = {
    [sym_expression_list] = STATE(1178),
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(565),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [155] = {
    [sym_expression_list] = STATE(1140),
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(588),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(590),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(274),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(276),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(278),
    [anon_sym_auto_cast] = ACTIONS(280),
    [anon_sym_transmute] = ACTIONS(282),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(276),
    [anon_sym_DASH] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_STAR] = ACTIONS(276),
    [anon_sym_LT_DASH] = ACTIONS(276),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [156] = {
    [sym_parenthesized_type] = STATE(1376),
    [sym__simple_type] = STATE(1376),
    [sym_generic_type] = STATE(1075),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1075),
    [sym_dynamic_array_type] = STATE(1075),
    [sym_implicit_length_array_type] = STATE(1075),
    [sym_slice_type] = STATE(1075),
    [sym_struct_type] = STATE(1075),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1075),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(403),
    [sym__expression] = STATE(392),
    [sym_cast_expression] = STATE(403),
    [sym_transmute_expression] = STATE(403),
    [sym_parenthesized_expression] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_selector_expression] = STATE(403),
    [sym_index_expression] = STATE(403),
    [sym_slice_expression] = STATE(403),
    [sym_type_assertion_expression] = STATE(403),
    [sym_type_conversion_expression] = STATE(403),
    [sym_composite_literal] = STATE(403),
    [sym_literal_value] = STATE(423),
    [sym_unary_expression] = STATE(403),
    [sym_binary_expression] = STATE(403),
    [sym_qualified_type] = STATE(1075),
    [sym_interpreted_string_literal] = STATE(403),
    [sym_undefined] = STATE(403),
    [sym_identifier] = ACTIONS(624),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(626),
    [anon_sym_LBRACE] = ACTIONS(628),
    [anon_sym_LPAREN] = ACTIONS(630),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(632),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(634),
    [anon_sym_AMP] = ACTIONS(636),
    [anon_sym_new] = ACTIONS(638),
    [anon_sym_make] = ACTIONS(638),
    [anon_sym_cast] = ACTIONS(640),
    [anon_sym_auto_cast] = ACTIONS(642),
    [anon_sym_transmute] = ACTIONS(644),
    [anon_sym_DOT] = ACTIONS(646),
    [anon_sym_PLUS] = ACTIONS(636),
    [anon_sym_DASH] = ACTIONS(648),
    [anon_sym_BANG] = ACTIONS(636),
    [anon_sym_STAR] = ACTIONS(636),
    [anon_sym_LT_DASH] = ACTIONS(636),
    [sym_raw_string_literal] = ACTIONS(650),
    [anon_sym_DQUOTE] = ACTIONS(652),
    [sym_int_literal] = ACTIONS(654),
    [sym_float_literal] = ACTIONS(654),
    [sym_imaginary_literal] = ACTIONS(650),
    [sym_rune_literal] = ACTIONS(650),
    [sym_nil] = ACTIONS(654),
    [sym_true] = ACTIONS(654),
    [sym_false] = ACTIONS(654),
    [sym_comment] = ACTIONS(3),
  },
  [157] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(513),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [158] = {
    [sym_parenthesized_type] = STATE(1316),
    [sym__simple_type] = STATE(1316),
    [sym_generic_type] = STATE(1132),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1132),
    [sym_dynamic_array_type] = STATE(1132),
    [sym_implicit_length_array_type] = STATE(1132),
    [sym_slice_type] = STATE(1132),
    [sym_struct_type] = STATE(1132),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1132),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(520),
    [sym__expression] = STATE(489),
    [sym_cast_expression] = STATE(520),
    [sym_transmute_expression] = STATE(520),
    [sym_parenthesized_expression] = STATE(520),
    [sym_call_expression] = STATE(520),
    [sym_selector_expression] = STATE(520),
    [sym_index_expression] = STATE(520),
    [sym_slice_expression] = STATE(520),
    [sym_type_assertion_expression] = STATE(520),
    [sym_type_conversion_expression] = STATE(520),
    [sym_composite_literal] = STATE(520),
    [sym_literal_value] = STATE(529),
    [sym_unary_expression] = STATE(520),
    [sym_binary_expression] = STATE(520),
    [sym_qualified_type] = STATE(1132),
    [sym_interpreted_string_literal] = STATE(520),
    [sym_undefined] = STATE(520),
    [sym_identifier] = ACTIONS(316),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(296),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(578),
    [anon_sym_AMP] = ACTIONS(55),
    [anon_sym_new] = ACTIONS(59),
    [anon_sym_make] = ACTIONS(59),
    [anon_sym_cast] = ACTIONS(61),
    [anon_sym_auto_cast] = ACTIONS(63),
    [anon_sym_transmute] = ACTIONS(65),
    [anon_sym_DOT] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_LT_DASH] = ACTIONS(55),
    [sym_raw_string_literal] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [sym_int_literal] = ACTIONS(75),
    [sym_float_literal] = ACTIONS(75),
    [sym_imaginary_literal] = ACTIONS(71),
    [sym_rune_literal] = ACTIONS(71),
    [sym_nil] = ACTIONS(75),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
  },
  [159] = {
    [sym_parenthesized_type] = STATE(1369),
    [sym__simple_type] = STATE(1369),
    [sym_generic_type] = STATE(1123),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1123),
    [sym_dynamic_array_type] = STATE(1123),
    [sym_implicit_length_array_type] = STATE(1123),
    [sym_slice_type] = STATE(1123),
    [sym_struct_type] = STATE(1123),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1123),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(627),
    [sym__expression] = STATE(562),
    [sym_cast_expression] = STATE(627),
    [sym_transmute_expression] = STATE(627),
    [sym_parenthesized_expression] = STATE(627),
    [sym_call_expression] = STATE(627),
    [sym_selector_expression] = STATE(627),
    [sym_index_expression] = STATE(627),
    [sym_slice_expression] = STATE(627),
    [sym_type_assertion_expression] = STATE(627),
    [sym_type_conversion_expression] = STATE(627),
    [sym_composite_literal] = STATE(627),
    [sym_literal_value] = STATE(633),
    [sym_unary_expression] = STATE(627),
    [sym_binary_expression] = STATE(627),
    [sym_qualified_type] = STATE(1123),
    [sym_interpreted_string_literal] = STATE(627),
    [sym_undefined] = STATE(627),
    [sym_identifier] = ACTIONS(656),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(658),
    [anon_sym_LBRACE] = ACTIONS(660),
    [anon_sym_LPAREN] = ACTIONS(662),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(664),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(666),
    [anon_sym_AMP] = ACTIONS(668),
    [anon_sym_new] = ACTIONS(670),
    [anon_sym_make] = ACTIONS(670),
    [anon_sym_cast] = ACTIONS(672),
    [anon_sym_auto_cast] = ACTIONS(674),
    [anon_sym_transmute] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(678),
    [anon_sym_PLUS] = ACTIONS(668),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_BANG] = ACTIONS(668),
    [anon_sym_STAR] = ACTIONS(668),
    [anon_sym_LT_DASH] = ACTIONS(668),
    [sym_raw_string_literal] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [sym_int_literal] = ACTIONS(686),
    [sym_float_literal] = ACTIONS(686),
    [sym_imaginary_literal] = ACTIONS(682),
    [sym_rune_literal] = ACTIONS(682),
    [sym_nil] = ACTIONS(686),
    [sym_true] = ACTIONS(686),
    [sym_false] = ACTIONS(686),
    [sym_comment] = ACTIONS(3),
  },
  [160] = {
    [sym_parenthesized_type] = STATE(1316),
    [sym__simple_type] = STATE(1316),
    [sym_generic_type] = STATE(1132),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1132),
    [sym_dynamic_array_type] = STATE(1132),
    [sym_implicit_length_array_type] = STATE(1132),
    [sym_slice_type] = STATE(1132),
    [sym_struct_type] = STATE(1132),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1132),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(520),
    [sym__expression] = STATE(488),
    [sym_cast_expression] = STATE(520),
    [sym_transmute_expression] = STATE(520),
    [sym_parenthesized_expression] = STATE(520),
    [sym_call_expression] = STATE(520),
    [sym_selector_expression] = STATE(520),
    [sym_index_expression] = STATE(520),
    [sym_slice_expression] = STATE(520),
    [sym_type_assertion_expression] = STATE(520),
    [sym_type_conversion_expression] = STATE(520),
    [sym_composite_literal] = STATE(520),
    [sym_literal_value] = STATE(529),
    [sym_unary_expression] = STATE(520),
    [sym_binary_expression] = STATE(520),
    [sym_qualified_type] = STATE(1132),
    [sym_interpreted_string_literal] = STATE(520),
    [sym_undefined] = STATE(520),
    [sym_identifier] = ACTIONS(316),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(296),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(578),
    [anon_sym_AMP] = ACTIONS(55),
    [anon_sym_new] = ACTIONS(59),
    [anon_sym_make] = ACTIONS(59),
    [anon_sym_cast] = ACTIONS(61),
    [anon_sym_auto_cast] = ACTIONS(63),
    [anon_sym_transmute] = ACTIONS(65),
    [anon_sym_DOT] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_LT_DASH] = ACTIONS(55),
    [sym_raw_string_literal] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [sym_int_literal] = ACTIONS(75),
    [sym_float_literal] = ACTIONS(75),
    [sym_imaginary_literal] = ACTIONS(71),
    [sym_rune_literal] = ACTIONS(71),
    [sym_nil] = ACTIONS(75),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
  },
  [161] = {
    [sym_parenthesized_type] = STATE(1316),
    [sym__simple_type] = STATE(1316),
    [sym_generic_type] = STATE(1132),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1132),
    [sym_dynamic_array_type] = STATE(1132),
    [sym_implicit_length_array_type] = STATE(1132),
    [sym_slice_type] = STATE(1132),
    [sym_struct_type] = STATE(1132),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1132),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(520),
    [sym__expression] = STATE(494),
    [sym_cast_expression] = STATE(520),
    [sym_transmute_expression] = STATE(520),
    [sym_parenthesized_expression] = STATE(520),
    [sym_call_expression] = STATE(520),
    [sym_selector_expression] = STATE(520),
    [sym_index_expression] = STATE(520),
    [sym_slice_expression] = STATE(520),
    [sym_type_assertion_expression] = STATE(520),
    [sym_type_conversion_expression] = STATE(520),
    [sym_composite_literal] = STATE(520),
    [sym_literal_value] = STATE(529),
    [sym_unary_expression] = STATE(520),
    [sym_binary_expression] = STATE(520),
    [sym_qualified_type] = STATE(1132),
    [sym_interpreted_string_literal] = STATE(520),
    [sym_undefined] = STATE(520),
    [sym_identifier] = ACTIONS(316),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(296),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(578),
    [anon_sym_AMP] = ACTIONS(55),
    [anon_sym_new] = ACTIONS(59),
    [anon_sym_make] = ACTIONS(59),
    [anon_sym_cast] = ACTIONS(61),
    [anon_sym_auto_cast] = ACTIONS(63),
    [anon_sym_transmute] = ACTIONS(65),
    [anon_sym_DOT] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_LT_DASH] = ACTIONS(55),
    [sym_raw_string_literal] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [sym_int_literal] = ACTIONS(75),
    [sym_float_literal] = ACTIONS(75),
    [sym_imaginary_literal] = ACTIONS(71),
    [sym_rune_literal] = ACTIONS(71),
    [sym_nil] = ACTIONS(75),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
  },
  [162] = {
    [sym_parenthesized_type] = STATE(1316),
    [sym__simple_type] = STATE(1316),
    [sym_generic_type] = STATE(1132),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1132),
    [sym_dynamic_array_type] = STATE(1132),
    [sym_implicit_length_array_type] = STATE(1132),
    [sym_slice_type] = STATE(1132),
    [sym_struct_type] = STATE(1132),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1132),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(520),
    [sym__expression] = STATE(490),
    [sym_cast_expression] = STATE(520),
    [sym_transmute_expression] = STATE(520),
    [sym_parenthesized_expression] = STATE(520),
    [sym_call_expression] = STATE(520),
    [sym_selector_expression] = STATE(520),
    [sym_index_expression] = STATE(520),
    [sym_slice_expression] = STATE(520),
    [sym_type_assertion_expression] = STATE(520),
    [sym_type_conversion_expression] = STATE(520),
    [sym_composite_literal] = STATE(520),
    [sym_literal_value] = STATE(529),
    [sym_unary_expression] = STATE(520),
    [sym_binary_expression] = STATE(520),
    [sym_qualified_type] = STATE(1132),
    [sym_interpreted_string_literal] = STATE(520),
    [sym_undefined] = STATE(520),
    [sym_identifier] = ACTIONS(316),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(296),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(578),
    [anon_sym_AMP] = ACTIONS(55),
    [anon_sym_new] = ACTIONS(59),
    [anon_sym_make] = ACTIONS(59),
    [anon_sym_cast] = ACTIONS(61),
    [anon_sym_auto_cast] = ACTIONS(63),
    [anon_sym_transmute] = ACTIONS(65),
    [anon_sym_DOT] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_LT_DASH] = ACTIONS(55),
    [sym_raw_string_literal] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [sym_int_literal] = ACTIONS(75),
    [sym_float_literal] = ACTIONS(75),
    [sym_imaginary_literal] = ACTIONS(71),
    [sym_rune_literal] = ACTIONS(71),
    [sym_nil] = ACTIONS(75),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
  },
  [163] = {
    [sym_parenthesized_type] = STATE(1369),
    [sym__simple_type] = STATE(1369),
    [sym_generic_type] = STATE(1123),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1123),
    [sym_dynamic_array_type] = STATE(1123),
    [sym_implicit_length_array_type] = STATE(1123),
    [sym_slice_type] = STATE(1123),
    [sym_struct_type] = STATE(1123),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1123),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(627),
    [sym__expression] = STATE(574),
    [sym_cast_expression] = STATE(627),
    [sym_transmute_expression] = STATE(627),
    [sym_parenthesized_expression] = STATE(627),
    [sym_call_expression] = STATE(627),
    [sym_selector_expression] = STATE(627),
    [sym_index_expression] = STATE(627),
    [sym_slice_expression] = STATE(627),
    [sym_type_assertion_expression] = STATE(627),
    [sym_type_conversion_expression] = STATE(627),
    [sym_composite_literal] = STATE(627),
    [sym_literal_value] = STATE(633),
    [sym_unary_expression] = STATE(627),
    [sym_binary_expression] = STATE(627),
    [sym_qualified_type] = STATE(1123),
    [sym_interpreted_string_literal] = STATE(627),
    [sym_undefined] = STATE(627),
    [sym_identifier] = ACTIONS(656),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(658),
    [anon_sym_LBRACE] = ACTIONS(660),
    [anon_sym_LPAREN] = ACTIONS(662),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(664),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(666),
    [anon_sym_AMP] = ACTIONS(668),
    [anon_sym_new] = ACTIONS(670),
    [anon_sym_make] = ACTIONS(670),
    [anon_sym_cast] = ACTIONS(672),
    [anon_sym_auto_cast] = ACTIONS(674),
    [anon_sym_transmute] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(678),
    [anon_sym_PLUS] = ACTIONS(668),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_BANG] = ACTIONS(668),
    [anon_sym_STAR] = ACTIONS(668),
    [anon_sym_LT_DASH] = ACTIONS(668),
    [sym_raw_string_literal] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [sym_int_literal] = ACTIONS(686),
    [sym_float_literal] = ACTIONS(686),
    [sym_imaginary_literal] = ACTIONS(682),
    [sym_rune_literal] = ACTIONS(682),
    [sym_nil] = ACTIONS(686),
    [sym_true] = ACTIONS(686),
    [sym_false] = ACTIONS(686),
    [sym_comment] = ACTIONS(3),
  },
  [164] = {
    [sym_parenthesized_type] = STATE(1369),
    [sym__simple_type] = STATE(1369),
    [sym_generic_type] = STATE(1123),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1123),
    [sym_dynamic_array_type] = STATE(1123),
    [sym_implicit_length_array_type] = STATE(1123),
    [sym_slice_type] = STATE(1123),
    [sym_struct_type] = STATE(1123),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1123),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(627),
    [sym__expression] = STATE(558),
    [sym_cast_expression] = STATE(627),
    [sym_transmute_expression] = STATE(627),
    [sym_parenthesized_expression] = STATE(627),
    [sym_call_expression] = STATE(627),
    [sym_selector_expression] = STATE(627),
    [sym_index_expression] = STATE(627),
    [sym_slice_expression] = STATE(627),
    [sym_type_assertion_expression] = STATE(627),
    [sym_type_conversion_expression] = STATE(627),
    [sym_composite_literal] = STATE(627),
    [sym_literal_value] = STATE(633),
    [sym_unary_expression] = STATE(627),
    [sym_binary_expression] = STATE(627),
    [sym_qualified_type] = STATE(1123),
    [sym_interpreted_string_literal] = STATE(627),
    [sym_undefined] = STATE(627),
    [sym_identifier] = ACTIONS(656),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(658),
    [anon_sym_LBRACE] = ACTIONS(660),
    [anon_sym_LPAREN] = ACTIONS(662),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(664),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(666),
    [anon_sym_AMP] = ACTIONS(668),
    [anon_sym_new] = ACTIONS(670),
    [anon_sym_make] = ACTIONS(670),
    [anon_sym_cast] = ACTIONS(672),
    [anon_sym_auto_cast] = ACTIONS(674),
    [anon_sym_transmute] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(678),
    [anon_sym_PLUS] = ACTIONS(668),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_BANG] = ACTIONS(668),
    [anon_sym_STAR] = ACTIONS(668),
    [anon_sym_LT_DASH] = ACTIONS(668),
    [sym_raw_string_literal] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [sym_int_literal] = ACTIONS(686),
    [sym_float_literal] = ACTIONS(686),
    [sym_imaginary_literal] = ACTIONS(682),
    [sym_rune_literal] = ACTIONS(682),
    [sym_nil] = ACTIONS(686),
    [sym_true] = ACTIONS(686),
    [sym_false] = ACTIONS(686),
    [sym_comment] = ACTIONS(3),
  },
  [165] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(442),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [166] = {
    [sym_parenthesized_type] = STATE(1373),
    [sym__simple_type] = STATE(1373),
    [sym_generic_type] = STATE(1051),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1051),
    [sym_dynamic_array_type] = STATE(1051),
    [sym_implicit_length_array_type] = STATE(1051),
    [sym_slice_type] = STATE(1051),
    [sym_struct_type] = STATE(1051),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1051),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(185),
    [sym__expression] = STATE(84),
    [sym_cast_expression] = STATE(185),
    [sym_transmute_expression] = STATE(185),
    [sym_parenthesized_expression] = STATE(185),
    [sym_call_expression] = STATE(185),
    [sym_selector_expression] = STATE(185),
    [sym_index_expression] = STATE(185),
    [sym_slice_expression] = STATE(185),
    [sym_type_assertion_expression] = STATE(185),
    [sym_type_conversion_expression] = STATE(185),
    [sym_composite_literal] = STATE(185),
    [sym_literal_value] = STATE(187),
    [sym_unary_expression] = STATE(185),
    [sym_binary_expression] = STATE(185),
    [sym_qualified_type] = STATE(1051),
    [sym_interpreted_string_literal] = STATE(185),
    [sym_undefined] = STATE(185),
    [sym_identifier] = ACTIONS(688),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(690),
    [anon_sym_LBRACE] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(696),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(698),
    [anon_sym_AMP] = ACTIONS(700),
    [anon_sym_new] = ACTIONS(702),
    [anon_sym_make] = ACTIONS(702),
    [anon_sym_cast] = ACTIONS(704),
    [anon_sym_auto_cast] = ACTIONS(706),
    [anon_sym_transmute] = ACTIONS(708),
    [anon_sym_DOT] = ACTIONS(710),
    [anon_sym_PLUS] = ACTIONS(700),
    [anon_sym_DASH] = ACTIONS(712),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_STAR] = ACTIONS(700),
    [anon_sym_LT_DASH] = ACTIONS(700),
    [sym_raw_string_literal] = ACTIONS(714),
    [anon_sym_DQUOTE] = ACTIONS(716),
    [sym_int_literal] = ACTIONS(718),
    [sym_float_literal] = ACTIONS(718),
    [sym_imaginary_literal] = ACTIONS(714),
    [sym_rune_literal] = ACTIONS(714),
    [sym_nil] = ACTIONS(718),
    [sym_true] = ACTIONS(718),
    [sym_false] = ACTIONS(718),
    [sym_comment] = ACTIONS(3),
  },
  [167] = {
    [ts_builtin_sym_end] = ACTIONS(720),
    [sym_identifier] = ACTIONS(722),
    [anon_sym_LF] = ACTIONS(720),
    [anon_sym_SEMI] = ACTIONS(722),
    [anon_sym_foreign] = ACTIONS(722),
    [anon_sym_import] = ACTIONS(722),
    [anon_sym_package] = ACTIONS(722),
    [anon_sym_COMMA] = ACTIONS(722),
    [anon_sym_struct] = ACTIONS(722),
    [anon_sym_enum] = ACTIONS(722),
    [anon_sym_union] = ACTIONS(722),
    [anon_sym_DASH_GT] = ACTIONS(722),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(722),
    [anon_sym_LBRACE] = ACTIONS(722),
    [anon_sym_LPAREN] = ACTIONS(722),
    [anon_sym_SLASH] = ACTIONS(722),
    [anon_sym_LBRACK] = ACTIONS(722),
    [anon_sym_CARET] = ACTIONS(722),
    [anon_sym_PIPE] = ACTIONS(722),
    [anon_sym_map] = ACTIONS(722),
    [anon_sym_func] = ACTIONS(722),
    [anon_sym_POUND] = ACTIONS(722),
    [anon_sym_fallthrough] = ACTIONS(722),
    [anon_sym_break] = ACTIONS(722),
    [anon_sym_continue] = ACTIONS(722),
    [anon_sym_return] = ACTIONS(722),
    [anon_sym_defer] = ACTIONS(722),
    [anon_sym_if] = ACTIONS(722),
    [anon_sym_when] = ACTIONS(722),
    [anon_sym_for] = ACTIONS(722),
    [anon_sym_AMP] = ACTIONS(722),
    [anon_sym_switch] = ACTIONS(722),
    [anon_sym_new] = ACTIONS(722),
    [anon_sym_make] = ACTIONS(722),
    [anon_sym_cast] = ACTIONS(722),
    [anon_sym_auto_cast] = ACTIONS(722),
    [anon_sym_transmute] = ACTIONS(722),
    [anon_sym_DOT] = ACTIONS(722),
    [anon_sym_PLUS] = ACTIONS(722),
    [anon_sym_DASH] = ACTIONS(722),
    [anon_sym_BANG] = ACTIONS(722),
    [anon_sym_STAR] = ACTIONS(722),
    [anon_sym_LT_DASH] = ACTIONS(722),
    [anon_sym_PERCENT] = ACTIONS(722),
    [anon_sym_LT_LT] = ACTIONS(722),
    [anon_sym_GT_GT] = ACTIONS(722),
    [anon_sym_AMP_CARET] = ACTIONS(722),
    [anon_sym_EQ_EQ] = ACTIONS(722),
    [anon_sym_BANG_EQ] = ACTIONS(722),
    [anon_sym_LT] = ACTIONS(722),
    [anon_sym_LT_EQ] = ACTIONS(722),
    [anon_sym_GT] = ACTIONS(722),
    [anon_sym_GT_EQ] = ACTIONS(722),
    [anon_sym_AMP_AMP] = ACTIONS(722),
    [anon_sym_PIPE_PIPE] = ACTIONS(722),
    [sym_raw_string_literal] = ACTIONS(722),
    [anon_sym_DQUOTE] = ACTIONS(722),
    [sym_int_literal] = ACTIONS(722),
    [sym_float_literal] = ACTIONS(722),
    [sym_imaginary_literal] = ACTIONS(722),
    [sym_rune_literal] = ACTIONS(722),
    [sym_nil] = ACTIONS(722),
    [sym_true] = ACTIONS(722),
    [sym_false] = ACTIONS(722),
    [sym_comment] = ACTIONS(336),
  },
  [168] = {
    [sym_parenthesized_type] = STATE(1369),
    [sym__simple_type] = STATE(1369),
    [sym_generic_type] = STATE(1123),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1123),
    [sym_dynamic_array_type] = STATE(1123),
    [sym_implicit_length_array_type] = STATE(1123),
    [sym_slice_type] = STATE(1123),
    [sym_struct_type] = STATE(1123),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1123),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(627),
    [sym__expression] = STATE(589),
    [sym_cast_expression] = STATE(627),
    [sym_transmute_expression] = STATE(627),
    [sym_parenthesized_expression] = STATE(627),
    [sym_call_expression] = STATE(627),
    [sym_selector_expression] = STATE(627),
    [sym_index_expression] = STATE(627),
    [sym_slice_expression] = STATE(627),
    [sym_type_assertion_expression] = STATE(627),
    [sym_type_conversion_expression] = STATE(627),
    [sym_composite_literal] = STATE(627),
    [sym_literal_value] = STATE(633),
    [sym_unary_expression] = STATE(627),
    [sym_binary_expression] = STATE(627),
    [sym_qualified_type] = STATE(1123),
    [sym_interpreted_string_literal] = STATE(627),
    [sym_undefined] = STATE(627),
    [sym_identifier] = ACTIONS(656),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(658),
    [anon_sym_LBRACE] = ACTIONS(660),
    [anon_sym_LPAREN] = ACTIONS(662),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(664),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(666),
    [anon_sym_AMP] = ACTIONS(668),
    [anon_sym_new] = ACTIONS(670),
    [anon_sym_make] = ACTIONS(670),
    [anon_sym_cast] = ACTIONS(672),
    [anon_sym_auto_cast] = ACTIONS(674),
    [anon_sym_transmute] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(678),
    [anon_sym_PLUS] = ACTIONS(668),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_BANG] = ACTIONS(668),
    [anon_sym_STAR] = ACTIONS(668),
    [anon_sym_LT_DASH] = ACTIONS(668),
    [sym_raw_string_literal] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [sym_int_literal] = ACTIONS(686),
    [sym_float_literal] = ACTIONS(686),
    [sym_imaginary_literal] = ACTIONS(682),
    [sym_rune_literal] = ACTIONS(682),
    [sym_nil] = ACTIONS(686),
    [sym_true] = ACTIONS(686),
    [sym_false] = ACTIONS(686),
    [sym_comment] = ACTIONS(3),
  },
  [169] = {
    [ts_builtin_sym_end] = ACTIONS(724),
    [sym_identifier] = ACTIONS(726),
    [anon_sym_LF] = ACTIONS(724),
    [anon_sym_SEMI] = ACTIONS(726),
    [anon_sym_foreign] = ACTIONS(726),
    [anon_sym_import] = ACTIONS(726),
    [anon_sym_package] = ACTIONS(726),
    [anon_sym_COMMA] = ACTIONS(726),
    [anon_sym_struct] = ACTIONS(726),
    [anon_sym_enum] = ACTIONS(726),
    [anon_sym_union] = ACTIONS(726),
    [anon_sym_DASH_GT] = ACTIONS(726),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(726),
    [anon_sym_LBRACE] = ACTIONS(726),
    [anon_sym_LPAREN] = ACTIONS(726),
    [anon_sym_SLASH] = ACTIONS(726),
    [anon_sym_LBRACK] = ACTIONS(726),
    [anon_sym_CARET] = ACTIONS(726),
    [anon_sym_PIPE] = ACTIONS(726),
    [anon_sym_map] = ACTIONS(726),
    [anon_sym_func] = ACTIONS(726),
    [anon_sym_POUND] = ACTIONS(726),
    [anon_sym_fallthrough] = ACTIONS(726),
    [anon_sym_break] = ACTIONS(726),
    [anon_sym_continue] = ACTIONS(726),
    [anon_sym_return] = ACTIONS(726),
    [anon_sym_defer] = ACTIONS(726),
    [anon_sym_if] = ACTIONS(726),
    [anon_sym_when] = ACTIONS(726),
    [anon_sym_for] = ACTIONS(726),
    [anon_sym_AMP] = ACTIONS(726),
    [anon_sym_switch] = ACTIONS(726),
    [anon_sym_new] = ACTIONS(726),
    [anon_sym_make] = ACTIONS(726),
    [anon_sym_cast] = ACTIONS(726),
    [anon_sym_auto_cast] = ACTIONS(726),
    [anon_sym_transmute] = ACTIONS(726),
    [anon_sym_DOT] = ACTIONS(726),
    [anon_sym_PLUS] = ACTIONS(726),
    [anon_sym_DASH] = ACTIONS(726),
    [anon_sym_BANG] = ACTIONS(726),
    [anon_sym_STAR] = ACTIONS(726),
    [anon_sym_LT_DASH] = ACTIONS(726),
    [anon_sym_PERCENT] = ACTIONS(726),
    [anon_sym_LT_LT] = ACTIONS(726),
    [anon_sym_GT_GT] = ACTIONS(726),
    [anon_sym_AMP_CARET] = ACTIONS(726),
    [anon_sym_EQ_EQ] = ACTIONS(726),
    [anon_sym_BANG_EQ] = ACTIONS(726),
    [anon_sym_LT] = ACTIONS(726),
    [anon_sym_LT_EQ] = ACTIONS(726),
    [anon_sym_GT] = ACTIONS(726),
    [anon_sym_GT_EQ] = ACTIONS(726),
    [anon_sym_AMP_AMP] = ACTIONS(726),
    [anon_sym_PIPE_PIPE] = ACTIONS(726),
    [sym_raw_string_literal] = ACTIONS(726),
    [anon_sym_DQUOTE] = ACTIONS(726),
    [sym_int_literal] = ACTIONS(726),
    [sym_float_literal] = ACTIONS(726),
    [sym_imaginary_literal] = ACTIONS(726),
    [sym_rune_literal] = ACTIONS(726),
    [sym_nil] = ACTIONS(726),
    [sym_true] = ACTIONS(726),
    [sym_false] = ACTIONS(726),
    [sym_comment] = ACTIONS(336),
  },
  [170] = {
    [sym_parenthesized_type] = STATE(1369),
    [sym__simple_type] = STATE(1369),
    [sym_generic_type] = STATE(1123),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1123),
    [sym_dynamic_array_type] = STATE(1123),
    [sym_implicit_length_array_type] = STATE(1123),
    [sym_slice_type] = STATE(1123),
    [sym_struct_type] = STATE(1123),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1123),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(627),
    [sym__expression] = STATE(578),
    [sym_cast_expression] = STATE(627),
    [sym_transmute_expression] = STATE(627),
    [sym_parenthesized_expression] = STATE(627),
    [sym_call_expression] = STATE(627),
    [sym_selector_expression] = STATE(627),
    [sym_index_expression] = STATE(627),
    [sym_slice_expression] = STATE(627),
    [sym_type_assertion_expression] = STATE(627),
    [sym_type_conversion_expression] = STATE(627),
    [sym_composite_literal] = STATE(627),
    [sym_literal_value] = STATE(633),
    [sym_unary_expression] = STATE(627),
    [sym_binary_expression] = STATE(627),
    [sym_qualified_type] = STATE(1123),
    [sym_interpreted_string_literal] = STATE(627),
    [sym_undefined] = STATE(627),
    [sym_identifier] = ACTIONS(728),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(658),
    [anon_sym_LBRACE] = ACTIONS(660),
    [anon_sym_LPAREN] = ACTIONS(662),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(664),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(666),
    [anon_sym_AMP] = ACTIONS(730),
    [anon_sym_new] = ACTIONS(670),
    [anon_sym_make] = ACTIONS(670),
    [anon_sym_cast] = ACTIONS(672),
    [anon_sym_auto_cast] = ACTIONS(674),
    [anon_sym_transmute] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(678),
    [anon_sym_PLUS] = ACTIONS(668),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_BANG] = ACTIONS(668),
    [anon_sym_STAR] = ACTIONS(668),
    [anon_sym_LT_DASH] = ACTIONS(668),
    [sym_raw_string_literal] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [sym_int_literal] = ACTIONS(686),
    [sym_float_literal] = ACTIONS(686),
    [sym_imaginary_literal] = ACTIONS(682),
    [sym_rune_literal] = ACTIONS(682),
    [sym_nil] = ACTIONS(686),
    [sym_true] = ACTIONS(686),
    [sym_false] = ACTIONS(686),
    [sym_comment] = ACTIONS(3),
  },
  [171] = {
    [sym_parenthesized_type] = STATE(1254),
    [sym__simple_type] = STATE(1254),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(641),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [172] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(668),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(590),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(274),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(276),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(278),
    [anon_sym_auto_cast] = ACTIONS(280),
    [anon_sym_transmute] = ACTIONS(282),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(276),
    [anon_sym_DASH] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_STAR] = ACTIONS(276),
    [anon_sym_LT_DASH] = ACTIONS(276),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [173] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(443),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [174] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(678),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [175] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(677),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [176] = {
    [sym_parenthesized_type] = STATE(1369),
    [sym__simple_type] = STATE(1369),
    [sym_generic_type] = STATE(1123),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1123),
    [sym_dynamic_array_type] = STATE(1123),
    [sym_implicit_length_array_type] = STATE(1123),
    [sym_slice_type] = STATE(1123),
    [sym_struct_type] = STATE(1123),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1123),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(627),
    [sym__expression] = STATE(580),
    [sym_cast_expression] = STATE(627),
    [sym_transmute_expression] = STATE(627),
    [sym_parenthesized_expression] = STATE(627),
    [sym_call_expression] = STATE(627),
    [sym_selector_expression] = STATE(627),
    [sym_index_expression] = STATE(627),
    [sym_slice_expression] = STATE(627),
    [sym_type_assertion_expression] = STATE(627),
    [sym_type_conversion_expression] = STATE(627),
    [sym_composite_literal] = STATE(627),
    [sym_literal_value] = STATE(633),
    [sym_unary_expression] = STATE(627),
    [sym_binary_expression] = STATE(627),
    [sym_qualified_type] = STATE(1123),
    [sym_interpreted_string_literal] = STATE(627),
    [sym_undefined] = STATE(627),
    [sym_identifier] = ACTIONS(656),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(658),
    [anon_sym_LBRACE] = ACTIONS(660),
    [anon_sym_LPAREN] = ACTIONS(662),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(664),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(666),
    [anon_sym_AMP] = ACTIONS(668),
    [anon_sym_new] = ACTIONS(670),
    [anon_sym_make] = ACTIONS(670),
    [anon_sym_cast] = ACTIONS(672),
    [anon_sym_auto_cast] = ACTIONS(674),
    [anon_sym_transmute] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(678),
    [anon_sym_PLUS] = ACTIONS(668),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_BANG] = ACTIONS(668),
    [anon_sym_STAR] = ACTIONS(668),
    [anon_sym_LT_DASH] = ACTIONS(668),
    [sym_raw_string_literal] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [sym_int_literal] = ACTIONS(686),
    [sym_float_literal] = ACTIONS(686),
    [sym_imaginary_literal] = ACTIONS(682),
    [sym_rune_literal] = ACTIONS(682),
    [sym_nil] = ACTIONS(686),
    [sym_true] = ACTIONS(686),
    [sym_false] = ACTIONS(686),
    [sym_comment] = ACTIONS(3),
  },
  [177] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(609),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [178] = {
    [sym_parenthesized_type] = STATE(1369),
    [sym__simple_type] = STATE(1369),
    [sym_generic_type] = STATE(1123),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1123),
    [sym_dynamic_array_type] = STATE(1123),
    [sym_implicit_length_array_type] = STATE(1123),
    [sym_slice_type] = STATE(1123),
    [sym_struct_type] = STATE(1123),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1123),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(627),
    [sym__expression] = STATE(583),
    [sym_cast_expression] = STATE(627),
    [sym_transmute_expression] = STATE(627),
    [sym_parenthesized_expression] = STATE(627),
    [sym_call_expression] = STATE(627),
    [sym_selector_expression] = STATE(627),
    [sym_index_expression] = STATE(627),
    [sym_slice_expression] = STATE(627),
    [sym_type_assertion_expression] = STATE(627),
    [sym_type_conversion_expression] = STATE(627),
    [sym_composite_literal] = STATE(627),
    [sym_literal_value] = STATE(633),
    [sym_unary_expression] = STATE(627),
    [sym_binary_expression] = STATE(627),
    [sym_qualified_type] = STATE(1123),
    [sym_interpreted_string_literal] = STATE(627),
    [sym_undefined] = STATE(627),
    [sym_identifier] = ACTIONS(656),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(658),
    [anon_sym_LBRACE] = ACTIONS(660),
    [anon_sym_LPAREN] = ACTIONS(662),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(664),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(666),
    [anon_sym_AMP] = ACTIONS(668),
    [anon_sym_new] = ACTIONS(670),
    [anon_sym_make] = ACTIONS(670),
    [anon_sym_cast] = ACTIONS(672),
    [anon_sym_auto_cast] = ACTIONS(674),
    [anon_sym_transmute] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(678),
    [anon_sym_PLUS] = ACTIONS(668),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_BANG] = ACTIONS(668),
    [anon_sym_STAR] = ACTIONS(668),
    [anon_sym_LT_DASH] = ACTIONS(668),
    [sym_raw_string_literal] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [sym_int_literal] = ACTIONS(686),
    [sym_float_literal] = ACTIONS(686),
    [sym_imaginary_literal] = ACTIONS(682),
    [sym_rune_literal] = ACTIONS(682),
    [sym_nil] = ACTIONS(686),
    [sym_true] = ACTIONS(686),
    [sym_false] = ACTIONS(686),
    [sym_comment] = ACTIONS(3),
  },
  [179] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(439),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(590),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(274),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(276),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(278),
    [anon_sym_auto_cast] = ACTIONS(280),
    [anon_sym_transmute] = ACTIONS(282),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(276),
    [anon_sym_DASH] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_STAR] = ACTIONS(276),
    [anon_sym_LT_DASH] = ACTIONS(276),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [180] = {
    [sym_parenthesized_type] = STATE(1369),
    [sym__simple_type] = STATE(1369),
    [sym_generic_type] = STATE(1123),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1123),
    [sym_dynamic_array_type] = STATE(1123),
    [sym_implicit_length_array_type] = STATE(1123),
    [sym_slice_type] = STATE(1123),
    [sym_struct_type] = STATE(1123),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1123),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(627),
    [sym__expression] = STATE(585),
    [sym_cast_expression] = STATE(627),
    [sym_transmute_expression] = STATE(627),
    [sym_parenthesized_expression] = STATE(627),
    [sym_call_expression] = STATE(627),
    [sym_selector_expression] = STATE(627),
    [sym_index_expression] = STATE(627),
    [sym_slice_expression] = STATE(627),
    [sym_type_assertion_expression] = STATE(627),
    [sym_type_conversion_expression] = STATE(627),
    [sym_composite_literal] = STATE(627),
    [sym_literal_value] = STATE(633),
    [sym_unary_expression] = STATE(627),
    [sym_binary_expression] = STATE(627),
    [sym_qualified_type] = STATE(1123),
    [sym_interpreted_string_literal] = STATE(627),
    [sym_undefined] = STATE(627),
    [sym_identifier] = ACTIONS(656),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(658),
    [anon_sym_LBRACE] = ACTIONS(660),
    [anon_sym_LPAREN] = ACTIONS(662),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(664),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(666),
    [anon_sym_AMP] = ACTIONS(668),
    [anon_sym_new] = ACTIONS(670),
    [anon_sym_make] = ACTIONS(670),
    [anon_sym_cast] = ACTIONS(672),
    [anon_sym_auto_cast] = ACTIONS(674),
    [anon_sym_transmute] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(678),
    [anon_sym_PLUS] = ACTIONS(668),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_BANG] = ACTIONS(668),
    [anon_sym_STAR] = ACTIONS(668),
    [anon_sym_LT_DASH] = ACTIONS(668),
    [sym_raw_string_literal] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [sym_int_literal] = ACTIONS(686),
    [sym_float_literal] = ACTIONS(686),
    [sym_imaginary_literal] = ACTIONS(682),
    [sym_rune_literal] = ACTIONS(682),
    [sym_nil] = ACTIONS(686),
    [sym_true] = ACTIONS(686),
    [sym_false] = ACTIONS(686),
    [sym_comment] = ACTIONS(3),
  },
  [181] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(436),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [182] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(632),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(590),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(274),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(276),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(278),
    [anon_sym_auto_cast] = ACTIONS(280),
    [anon_sym_transmute] = ACTIONS(282),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(276),
    [anon_sym_DASH] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_STAR] = ACTIONS(276),
    [anon_sym_LT_DASH] = ACTIONS(276),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [183] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(573),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(590),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(274),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(276),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(278),
    [anon_sym_auto_cast] = ACTIONS(280),
    [anon_sym_transmute] = ACTIONS(282),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(276),
    [anon_sym_DASH] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_STAR] = ACTIONS(276),
    [anon_sym_LT_DASH] = ACTIONS(276),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [184] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(447),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [185] = {
    [ts_builtin_sym_end] = ACTIONS(522),
    [sym_identifier] = ACTIONS(524),
    [anon_sym_LF] = ACTIONS(522),
    [anon_sym_SEMI] = ACTIONS(524),
    [anon_sym_foreign] = ACTIONS(524),
    [anon_sym_import] = ACTIONS(524),
    [anon_sym_package] = ACTIONS(524),
    [anon_sym_COMMA] = ACTIONS(524),
    [anon_sym_struct] = ACTIONS(524),
    [anon_sym_enum] = ACTIONS(524),
    [anon_sym_union] = ACTIONS(524),
    [anon_sym_DASH_GT] = ACTIONS(524),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(524),
    [anon_sym_LBRACE] = ACTIONS(524),
    [anon_sym_LPAREN] = ACTIONS(524),
    [anon_sym_SLASH] = ACTIONS(524),
    [anon_sym_LBRACK] = ACTIONS(524),
    [anon_sym_CARET] = ACTIONS(524),
    [anon_sym_PIPE] = ACTIONS(524),
    [anon_sym_map] = ACTIONS(524),
    [anon_sym_func] = ACTIONS(524),
    [anon_sym_POUND] = ACTIONS(524),
    [anon_sym_fallthrough] = ACTIONS(524),
    [anon_sym_break] = ACTIONS(524),
    [anon_sym_continue] = ACTIONS(524),
    [anon_sym_return] = ACTIONS(524),
    [anon_sym_defer] = ACTIONS(524),
    [anon_sym_if] = ACTIONS(524),
    [anon_sym_when] = ACTIONS(524),
    [anon_sym_for] = ACTIONS(524),
    [anon_sym_AMP] = ACTIONS(524),
    [anon_sym_switch] = ACTIONS(524),
    [anon_sym_new] = ACTIONS(524),
    [anon_sym_make] = ACTIONS(524),
    [anon_sym_cast] = ACTIONS(524),
    [anon_sym_auto_cast] = ACTIONS(524),
    [anon_sym_transmute] = ACTIONS(524),
    [anon_sym_DOT] = ACTIONS(524),
    [anon_sym_PLUS] = ACTIONS(524),
    [anon_sym_DASH] = ACTIONS(524),
    [anon_sym_BANG] = ACTIONS(524),
    [anon_sym_STAR] = ACTIONS(524),
    [anon_sym_LT_DASH] = ACTIONS(524),
    [anon_sym_PERCENT] = ACTIONS(524),
    [anon_sym_LT_LT] = ACTIONS(524),
    [anon_sym_GT_GT] = ACTIONS(524),
    [anon_sym_AMP_CARET] = ACTIONS(524),
    [anon_sym_EQ_EQ] = ACTIONS(524),
    [anon_sym_BANG_EQ] = ACTIONS(524),
    [anon_sym_LT] = ACTIONS(524),
    [anon_sym_LT_EQ] = ACTIONS(524),
    [anon_sym_GT] = ACTIONS(524),
    [anon_sym_GT_EQ] = ACTIONS(524),
    [anon_sym_AMP_AMP] = ACTIONS(524),
    [anon_sym_PIPE_PIPE] = ACTIONS(524),
    [sym_raw_string_literal] = ACTIONS(524),
    [anon_sym_DQUOTE] = ACTIONS(524),
    [sym_int_literal] = ACTIONS(524),
    [sym_float_literal] = ACTIONS(524),
    [sym_imaginary_literal] = ACTIONS(524),
    [sym_rune_literal] = ACTIONS(524),
    [sym_nil] = ACTIONS(524),
    [sym_true] = ACTIONS(524),
    [sym_false] = ACTIONS(524),
    [sym_comment] = ACTIONS(336),
  },
  [186] = {
    [sym_parenthesized_type] = STATE(1369),
    [sym__simple_type] = STATE(1369),
    [sym_generic_type] = STATE(1123),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1123),
    [sym_dynamic_array_type] = STATE(1123),
    [sym_implicit_length_array_type] = STATE(1123),
    [sym_slice_type] = STATE(1123),
    [sym_struct_type] = STATE(1123),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1123),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(627),
    [sym__expression] = STATE(564),
    [sym_cast_expression] = STATE(627),
    [sym_transmute_expression] = STATE(627),
    [sym_parenthesized_expression] = STATE(627),
    [sym_call_expression] = STATE(627),
    [sym_selector_expression] = STATE(627),
    [sym_index_expression] = STATE(627),
    [sym_slice_expression] = STATE(627),
    [sym_type_assertion_expression] = STATE(627),
    [sym_type_conversion_expression] = STATE(627),
    [sym_composite_literal] = STATE(627),
    [sym_literal_value] = STATE(633),
    [sym_unary_expression] = STATE(627),
    [sym_binary_expression] = STATE(627),
    [sym_qualified_type] = STATE(1123),
    [sym_interpreted_string_literal] = STATE(627),
    [sym_undefined] = STATE(627),
    [sym_identifier] = ACTIONS(656),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(658),
    [anon_sym_LBRACE] = ACTIONS(660),
    [anon_sym_LPAREN] = ACTIONS(662),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(664),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(666),
    [anon_sym_AMP] = ACTIONS(668),
    [anon_sym_new] = ACTIONS(670),
    [anon_sym_make] = ACTIONS(670),
    [anon_sym_cast] = ACTIONS(672),
    [anon_sym_auto_cast] = ACTIONS(674),
    [anon_sym_transmute] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(678),
    [anon_sym_PLUS] = ACTIONS(668),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_BANG] = ACTIONS(668),
    [anon_sym_STAR] = ACTIONS(668),
    [anon_sym_LT_DASH] = ACTIONS(668),
    [sym_raw_string_literal] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [sym_int_literal] = ACTIONS(686),
    [sym_float_literal] = ACTIONS(686),
    [sym_imaginary_literal] = ACTIONS(682),
    [sym_rune_literal] = ACTIONS(682),
    [sym_nil] = ACTIONS(686),
    [sym_true] = ACTIONS(686),
    [sym_false] = ACTIONS(686),
    [sym_comment] = ACTIONS(3),
  },
  [187] = {
    [ts_builtin_sym_end] = ACTIONS(732),
    [sym_identifier] = ACTIONS(734),
    [anon_sym_LF] = ACTIONS(732),
    [anon_sym_SEMI] = ACTIONS(734),
    [anon_sym_foreign] = ACTIONS(734),
    [anon_sym_import] = ACTIONS(734),
    [anon_sym_package] = ACTIONS(734),
    [anon_sym_COMMA] = ACTIONS(734),
    [anon_sym_struct] = ACTIONS(734),
    [anon_sym_enum] = ACTIONS(734),
    [anon_sym_union] = ACTIONS(734),
    [anon_sym_DASH_GT] = ACTIONS(734),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(734),
    [anon_sym_LBRACE] = ACTIONS(734),
    [anon_sym_LPAREN] = ACTIONS(734),
    [anon_sym_SLASH] = ACTIONS(734),
    [anon_sym_LBRACK] = ACTIONS(734),
    [anon_sym_CARET] = ACTIONS(734),
    [anon_sym_PIPE] = ACTIONS(734),
    [anon_sym_map] = ACTIONS(734),
    [anon_sym_func] = ACTIONS(734),
    [anon_sym_POUND] = ACTIONS(734),
    [anon_sym_fallthrough] = ACTIONS(734),
    [anon_sym_break] = ACTIONS(734),
    [anon_sym_continue] = ACTIONS(734),
    [anon_sym_return] = ACTIONS(734),
    [anon_sym_defer] = ACTIONS(734),
    [anon_sym_if] = ACTIONS(734),
    [anon_sym_when] = ACTIONS(734),
    [anon_sym_for] = ACTIONS(734),
    [anon_sym_AMP] = ACTIONS(734),
    [anon_sym_switch] = ACTIONS(734),
    [anon_sym_new] = ACTIONS(734),
    [anon_sym_make] = ACTIONS(734),
    [anon_sym_cast] = ACTIONS(734),
    [anon_sym_auto_cast] = ACTIONS(734),
    [anon_sym_transmute] = ACTIONS(734),
    [anon_sym_DOT] = ACTIONS(734),
    [anon_sym_PLUS] = ACTIONS(734),
    [anon_sym_DASH] = ACTIONS(734),
    [anon_sym_BANG] = ACTIONS(734),
    [anon_sym_STAR] = ACTIONS(734),
    [anon_sym_LT_DASH] = ACTIONS(734),
    [anon_sym_PERCENT] = ACTIONS(734),
    [anon_sym_LT_LT] = ACTIONS(734),
    [anon_sym_GT_GT] = ACTIONS(734),
    [anon_sym_AMP_CARET] = ACTIONS(734),
    [anon_sym_EQ_EQ] = ACTIONS(734),
    [anon_sym_BANG_EQ] = ACTIONS(734),
    [anon_sym_LT] = ACTIONS(734),
    [anon_sym_LT_EQ] = ACTIONS(734),
    [anon_sym_GT] = ACTIONS(734),
    [anon_sym_GT_EQ] = ACTIONS(734),
    [anon_sym_AMP_AMP] = ACTIONS(734),
    [anon_sym_PIPE_PIPE] = ACTIONS(734),
    [sym_raw_string_literal] = ACTIONS(734),
    [anon_sym_DQUOTE] = ACTIONS(734),
    [sym_int_literal] = ACTIONS(734),
    [sym_float_literal] = ACTIONS(734),
    [sym_imaginary_literal] = ACTIONS(734),
    [sym_rune_literal] = ACTIONS(734),
    [sym_nil] = ACTIONS(734),
    [sym_true] = ACTIONS(734),
    [sym_false] = ACTIONS(734),
    [sym_comment] = ACTIONS(336),
  },
  [188] = {
    [sym_parenthesized_type] = STATE(934),
    [sym__simple_type] = STATE(934),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(439),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(564),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(568),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [189] = {
    [ts_builtin_sym_end] = ACTIONS(736),
    [sym_identifier] = ACTIONS(738),
    [anon_sym_LF] = ACTIONS(736),
    [anon_sym_SEMI] = ACTIONS(738),
    [anon_sym_foreign] = ACTIONS(738),
    [anon_sym_import] = ACTIONS(738),
    [anon_sym_package] = ACTIONS(738),
    [anon_sym_COMMA] = ACTIONS(738),
    [anon_sym_struct] = ACTIONS(738),
    [anon_sym_enum] = ACTIONS(738),
    [anon_sym_union] = ACTIONS(738),
    [anon_sym_DASH_GT] = ACTIONS(738),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(738),
    [anon_sym_LBRACE] = ACTIONS(738),
    [anon_sym_LPAREN] = ACTIONS(738),
    [anon_sym_SLASH] = ACTIONS(738),
    [anon_sym_LBRACK] = ACTIONS(738),
    [anon_sym_CARET] = ACTIONS(738),
    [anon_sym_PIPE] = ACTIONS(738),
    [anon_sym_map] = ACTIONS(738),
    [anon_sym_func] = ACTIONS(738),
    [anon_sym_POUND] = ACTIONS(738),
    [anon_sym_fallthrough] = ACTIONS(738),
    [anon_sym_break] = ACTIONS(738),
    [anon_sym_continue] = ACTIONS(738),
    [anon_sym_return] = ACTIONS(738),
    [anon_sym_defer] = ACTIONS(738),
    [anon_sym_if] = ACTIONS(738),
    [anon_sym_when] = ACTIONS(738),
    [anon_sym_for] = ACTIONS(738),
    [anon_sym_AMP] = ACTIONS(738),
    [anon_sym_switch] = ACTIONS(738),
    [anon_sym_new] = ACTIONS(738),
    [anon_sym_make] = ACTIONS(738),
    [anon_sym_cast] = ACTIONS(738),
    [anon_sym_auto_cast] = ACTIONS(738),
    [anon_sym_transmute] = ACTIONS(738),
    [anon_sym_DOT] = ACTIONS(738),
    [anon_sym_PLUS] = ACTIONS(738),
    [anon_sym_DASH] = ACTIONS(738),
    [anon_sym_BANG] = ACTIONS(738),
    [anon_sym_STAR] = ACTIONS(738),
    [anon_sym_LT_DASH] = ACTIONS(738),
    [anon_sym_PERCENT] = ACTIONS(738),
    [anon_sym_LT_LT] = ACTIONS(738),
    [anon_sym_GT_GT] = ACTIONS(738),
    [anon_sym_AMP_CARET] = ACTIONS(738),
    [anon_sym_EQ_EQ] = ACTIONS(738),
    [anon_sym_BANG_EQ] = ACTIONS(738),
    [anon_sym_LT] = ACTIONS(738),
    [anon_sym_LT_EQ] = ACTIONS(738),
    [anon_sym_GT] = ACTIONS(738),
    [anon_sym_GT_EQ] = ACTIONS(738),
    [anon_sym_AMP_AMP] = ACTIONS(738),
    [anon_sym_PIPE_PIPE] = ACTIONS(738),
    [sym_raw_string_literal] = ACTIONS(738),
    [anon_sym_DQUOTE] = ACTIONS(738),
    [sym_int_literal] = ACTIONS(738),
    [sym_float_literal] = ACTIONS(738),
    [sym_imaginary_literal] = ACTIONS(738),
    [sym_rune_literal] = ACTIONS(738),
    [sym_nil] = ACTIONS(738),
    [sym_true] = ACTIONS(738),
    [sym_false] = ACTIONS(738),
    [sym_comment] = ACTIONS(336),
  },
  [190] = {
    [sym_parenthesized_type] = STATE(1376),
    [sym__simple_type] = STATE(1376),
    [sym_generic_type] = STATE(1075),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1075),
    [sym_dynamic_array_type] = STATE(1075),
    [sym_implicit_length_array_type] = STATE(1075),
    [sym_slice_type] = STATE(1075),
    [sym_struct_type] = STATE(1075),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1075),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(403),
    [sym__expression] = STATE(389),
    [sym_cast_expression] = STATE(403),
    [sym_transmute_expression] = STATE(403),
    [sym_parenthesized_expression] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_selector_expression] = STATE(403),
    [sym_index_expression] = STATE(403),
    [sym_slice_expression] = STATE(403),
    [sym_type_assertion_expression] = STATE(403),
    [sym_type_conversion_expression] = STATE(403),
    [sym_composite_literal] = STATE(403),
    [sym_literal_value] = STATE(423),
    [sym_unary_expression] = STATE(403),
    [sym_binary_expression] = STATE(403),
    [sym_qualified_type] = STATE(1075),
    [sym_interpreted_string_literal] = STATE(403),
    [sym_undefined] = STATE(403),
    [sym_identifier] = ACTIONS(624),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(626),
    [anon_sym_LBRACE] = ACTIONS(628),
    [anon_sym_LPAREN] = ACTIONS(630),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(632),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(634),
    [anon_sym_AMP] = ACTIONS(636),
    [anon_sym_new] = ACTIONS(638),
    [anon_sym_make] = ACTIONS(638),
    [anon_sym_cast] = ACTIONS(640),
    [anon_sym_auto_cast] = ACTIONS(642),
    [anon_sym_transmute] = ACTIONS(644),
    [anon_sym_DOT] = ACTIONS(646),
    [anon_sym_PLUS] = ACTIONS(636),
    [anon_sym_DASH] = ACTIONS(648),
    [anon_sym_BANG] = ACTIONS(636),
    [anon_sym_STAR] = ACTIONS(636),
    [anon_sym_LT_DASH] = ACTIONS(636),
    [sym_raw_string_literal] = ACTIONS(650),
    [anon_sym_DQUOTE] = ACTIONS(652),
    [sym_int_literal] = ACTIONS(654),
    [sym_float_literal] = ACTIONS(654),
    [sym_imaginary_literal] = ACTIONS(650),
    [sym_rune_literal] = ACTIONS(650),
    [sym_nil] = ACTIONS(654),
    [sym_true] = ACTIONS(654),
    [sym_false] = ACTIONS(654),
    [sym_comment] = ACTIONS(3),
  },
  [191] = {
    [ts_builtin_sym_end] = ACTIONS(740),
    [sym_identifier] = ACTIONS(742),
    [anon_sym_LF] = ACTIONS(740),
    [anon_sym_SEMI] = ACTIONS(742),
    [anon_sym_foreign] = ACTIONS(742),
    [anon_sym_import] = ACTIONS(742),
    [anon_sym_package] = ACTIONS(742),
    [anon_sym_COMMA] = ACTIONS(742),
    [anon_sym_struct] = ACTIONS(742),
    [anon_sym_enum] = ACTIONS(742),
    [anon_sym_union] = ACTIONS(742),
    [anon_sym_DASH_GT] = ACTIONS(742),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(742),
    [anon_sym_LBRACE] = ACTIONS(742),
    [anon_sym_LPAREN] = ACTIONS(742),
    [anon_sym_SLASH] = ACTIONS(742),
    [anon_sym_LBRACK] = ACTIONS(742),
    [anon_sym_CARET] = ACTIONS(742),
    [anon_sym_PIPE] = ACTIONS(742),
    [anon_sym_map] = ACTIONS(742),
    [anon_sym_func] = ACTIONS(742),
    [anon_sym_POUND] = ACTIONS(742),
    [anon_sym_fallthrough] = ACTIONS(742),
    [anon_sym_break] = ACTIONS(742),
    [anon_sym_continue] = ACTIONS(742),
    [anon_sym_return] = ACTIONS(742),
    [anon_sym_defer] = ACTIONS(742),
    [anon_sym_if] = ACTIONS(742),
    [anon_sym_when] = ACTIONS(742),
    [anon_sym_for] = ACTIONS(742),
    [anon_sym_AMP] = ACTIONS(742),
    [anon_sym_switch] = ACTIONS(742),
    [anon_sym_new] = ACTIONS(742),
    [anon_sym_make] = ACTIONS(742),
    [anon_sym_cast] = ACTIONS(742),
    [anon_sym_auto_cast] = ACTIONS(742),
    [anon_sym_transmute] = ACTIONS(742),
    [anon_sym_DOT] = ACTIONS(742),
    [anon_sym_PLUS] = ACTIONS(742),
    [anon_sym_DASH] = ACTIONS(742),
    [anon_sym_BANG] = ACTIONS(742),
    [anon_sym_STAR] = ACTIONS(742),
    [anon_sym_LT_DASH] = ACTIONS(742),
    [anon_sym_PERCENT] = ACTIONS(742),
    [anon_sym_LT_LT] = ACTIONS(742),
    [anon_sym_GT_GT] = ACTIONS(742),
    [anon_sym_AMP_CARET] = ACTIONS(742),
    [anon_sym_EQ_EQ] = ACTIONS(742),
    [anon_sym_BANG_EQ] = ACTIONS(742),
    [anon_sym_LT] = ACTIONS(742),
    [anon_sym_LT_EQ] = ACTIONS(742),
    [anon_sym_GT] = ACTIONS(742),
    [anon_sym_GT_EQ] = ACTIONS(742),
    [anon_sym_AMP_AMP] = ACTIONS(742),
    [anon_sym_PIPE_PIPE] = ACTIONS(742),
    [sym_raw_string_literal] = ACTIONS(742),
    [anon_sym_DQUOTE] = ACTIONS(742),
    [sym_int_literal] = ACTIONS(742),
    [sym_float_literal] = ACTIONS(742),
    [sym_imaginary_literal] = ACTIONS(742),
    [sym_rune_literal] = ACTIONS(742),
    [sym_nil] = ACTIONS(742),
    [sym_true] = ACTIONS(742),
    [sym_false] = ACTIONS(742),
    [sym_comment] = ACTIONS(336),
  },
  [192] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(446),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [193] = {
    [sym_parenthesized_type] = STATE(1376),
    [sym__simple_type] = STATE(1376),
    [sym_generic_type] = STATE(1075),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1075),
    [sym_dynamic_array_type] = STATE(1075),
    [sym_implicit_length_array_type] = STATE(1075),
    [sym_slice_type] = STATE(1075),
    [sym_struct_type] = STATE(1075),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1075),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(403),
    [sym__expression] = STATE(388),
    [sym_cast_expression] = STATE(403),
    [sym_transmute_expression] = STATE(403),
    [sym_parenthesized_expression] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_selector_expression] = STATE(403),
    [sym_index_expression] = STATE(403),
    [sym_slice_expression] = STATE(403),
    [sym_type_assertion_expression] = STATE(403),
    [sym_type_conversion_expression] = STATE(403),
    [sym_composite_literal] = STATE(403),
    [sym_literal_value] = STATE(423),
    [sym_unary_expression] = STATE(403),
    [sym_binary_expression] = STATE(403),
    [sym_qualified_type] = STATE(1075),
    [sym_interpreted_string_literal] = STATE(403),
    [sym_undefined] = STATE(403),
    [sym_identifier] = ACTIONS(624),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(626),
    [anon_sym_LBRACE] = ACTIONS(628),
    [anon_sym_LPAREN] = ACTIONS(630),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(632),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(634),
    [anon_sym_AMP] = ACTIONS(636),
    [anon_sym_new] = ACTIONS(638),
    [anon_sym_make] = ACTIONS(638),
    [anon_sym_cast] = ACTIONS(640),
    [anon_sym_auto_cast] = ACTIONS(642),
    [anon_sym_transmute] = ACTIONS(644),
    [anon_sym_DOT] = ACTIONS(646),
    [anon_sym_PLUS] = ACTIONS(636),
    [anon_sym_DASH] = ACTIONS(648),
    [anon_sym_BANG] = ACTIONS(636),
    [anon_sym_STAR] = ACTIONS(636),
    [anon_sym_LT_DASH] = ACTIONS(636),
    [sym_raw_string_literal] = ACTIONS(650),
    [anon_sym_DQUOTE] = ACTIONS(652),
    [sym_int_literal] = ACTIONS(654),
    [sym_float_literal] = ACTIONS(654),
    [sym_imaginary_literal] = ACTIONS(650),
    [sym_rune_literal] = ACTIONS(650),
    [sym_nil] = ACTIONS(654),
    [sym_true] = ACTIONS(654),
    [sym_false] = ACTIONS(654),
    [sym_comment] = ACTIONS(3),
  },
  [194] = {
    [sym_parenthesized_type] = STATE(1316),
    [sym__simple_type] = STATE(1316),
    [sym_generic_type] = STATE(1132),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1132),
    [sym_dynamic_array_type] = STATE(1132),
    [sym_implicit_length_array_type] = STATE(1132),
    [sym_slice_type] = STATE(1132),
    [sym_struct_type] = STATE(1132),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1132),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(520),
    [sym__expression] = STATE(505),
    [sym_cast_expression] = STATE(520),
    [sym_transmute_expression] = STATE(520),
    [sym_parenthesized_expression] = STATE(520),
    [sym_call_expression] = STATE(520),
    [sym_selector_expression] = STATE(520),
    [sym_index_expression] = STATE(520),
    [sym_slice_expression] = STATE(520),
    [sym_type_assertion_expression] = STATE(520),
    [sym_type_conversion_expression] = STATE(520),
    [sym_composite_literal] = STATE(520),
    [sym_literal_value] = STATE(529),
    [sym_unary_expression] = STATE(520),
    [sym_binary_expression] = STATE(520),
    [sym_qualified_type] = STATE(1132),
    [sym_interpreted_string_literal] = STATE(520),
    [sym_undefined] = STATE(520),
    [sym_identifier] = ACTIONS(316),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(296),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(578),
    [anon_sym_AMP] = ACTIONS(55),
    [anon_sym_new] = ACTIONS(59),
    [anon_sym_make] = ACTIONS(59),
    [anon_sym_cast] = ACTIONS(61),
    [anon_sym_auto_cast] = ACTIONS(63),
    [anon_sym_transmute] = ACTIONS(65),
    [anon_sym_DOT] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_LT_DASH] = ACTIONS(55),
    [sym_raw_string_literal] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [sym_int_literal] = ACTIONS(75),
    [sym_float_literal] = ACTIONS(75),
    [sym_imaginary_literal] = ACTIONS(71),
    [sym_rune_literal] = ACTIONS(71),
    [sym_nil] = ACTIONS(75),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
  },
  [195] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(441),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [196] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(593),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(590),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(274),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(276),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(278),
    [anon_sym_auto_cast] = ACTIONS(280),
    [anon_sym_transmute] = ACTIONS(282),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(276),
    [anon_sym_DASH] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_STAR] = ACTIONS(276),
    [anon_sym_LT_DASH] = ACTIONS(276),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [197] = {
    [ts_builtin_sym_end] = ACTIONS(744),
    [sym_identifier] = ACTIONS(746),
    [anon_sym_LF] = ACTIONS(744),
    [anon_sym_SEMI] = ACTIONS(746),
    [anon_sym_foreign] = ACTIONS(746),
    [anon_sym_import] = ACTIONS(746),
    [anon_sym_package] = ACTIONS(746),
    [anon_sym_COMMA] = ACTIONS(746),
    [anon_sym_struct] = ACTIONS(746),
    [anon_sym_enum] = ACTIONS(746),
    [anon_sym_union] = ACTIONS(746),
    [anon_sym_DASH_GT] = ACTIONS(746),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(746),
    [anon_sym_LBRACE] = ACTIONS(746),
    [anon_sym_LPAREN] = ACTIONS(746),
    [anon_sym_SLASH] = ACTIONS(746),
    [anon_sym_LBRACK] = ACTIONS(746),
    [anon_sym_CARET] = ACTIONS(746),
    [anon_sym_PIPE] = ACTIONS(746),
    [anon_sym_map] = ACTIONS(746),
    [anon_sym_func] = ACTIONS(746),
    [anon_sym_POUND] = ACTIONS(746),
    [anon_sym_fallthrough] = ACTIONS(746),
    [anon_sym_break] = ACTIONS(746),
    [anon_sym_continue] = ACTIONS(746),
    [anon_sym_return] = ACTIONS(746),
    [anon_sym_defer] = ACTIONS(746),
    [anon_sym_if] = ACTIONS(746),
    [anon_sym_when] = ACTIONS(746),
    [anon_sym_for] = ACTIONS(746),
    [anon_sym_AMP] = ACTIONS(746),
    [anon_sym_switch] = ACTIONS(746),
    [anon_sym_new] = ACTIONS(746),
    [anon_sym_make] = ACTIONS(746),
    [anon_sym_cast] = ACTIONS(746),
    [anon_sym_auto_cast] = ACTIONS(746),
    [anon_sym_transmute] = ACTIONS(746),
    [anon_sym_DOT] = ACTIONS(746),
    [anon_sym_PLUS] = ACTIONS(746),
    [anon_sym_DASH] = ACTIONS(746),
    [anon_sym_BANG] = ACTIONS(746),
    [anon_sym_STAR] = ACTIONS(746),
    [anon_sym_LT_DASH] = ACTIONS(746),
    [anon_sym_PERCENT] = ACTIONS(746),
    [anon_sym_LT_LT] = ACTIONS(746),
    [anon_sym_GT_GT] = ACTIONS(746),
    [anon_sym_AMP_CARET] = ACTIONS(746),
    [anon_sym_EQ_EQ] = ACTIONS(746),
    [anon_sym_BANG_EQ] = ACTIONS(746),
    [anon_sym_LT] = ACTIONS(746),
    [anon_sym_LT_EQ] = ACTIONS(746),
    [anon_sym_GT] = ACTIONS(746),
    [anon_sym_GT_EQ] = ACTIONS(746),
    [anon_sym_AMP_AMP] = ACTIONS(746),
    [anon_sym_PIPE_PIPE] = ACTIONS(746),
    [sym_raw_string_literal] = ACTIONS(746),
    [anon_sym_DQUOTE] = ACTIONS(746),
    [sym_int_literal] = ACTIONS(746),
    [sym_float_literal] = ACTIONS(746),
    [sym_imaginary_literal] = ACTIONS(746),
    [sym_rune_literal] = ACTIONS(746),
    [sym_nil] = ACTIONS(746),
    [sym_true] = ACTIONS(746),
    [sym_false] = ACTIONS(746),
    [sym_comment] = ACTIONS(336),
  },
  [198] = {
    [ts_builtin_sym_end] = ACTIONS(748),
    [sym_identifier] = ACTIONS(750),
    [anon_sym_LF] = ACTIONS(748),
    [anon_sym_SEMI] = ACTIONS(750),
    [anon_sym_foreign] = ACTIONS(750),
    [anon_sym_import] = ACTIONS(750),
    [anon_sym_package] = ACTIONS(750),
    [anon_sym_COMMA] = ACTIONS(750),
    [anon_sym_struct] = ACTIONS(750),
    [anon_sym_enum] = ACTIONS(750),
    [anon_sym_union] = ACTIONS(750),
    [anon_sym_DASH_GT] = ACTIONS(750),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(750),
    [anon_sym_LBRACE] = ACTIONS(750),
    [anon_sym_LPAREN] = ACTIONS(750),
    [anon_sym_SLASH] = ACTIONS(750),
    [anon_sym_LBRACK] = ACTIONS(750),
    [anon_sym_CARET] = ACTIONS(750),
    [anon_sym_PIPE] = ACTIONS(750),
    [anon_sym_map] = ACTIONS(750),
    [anon_sym_func] = ACTIONS(750),
    [anon_sym_POUND] = ACTIONS(750),
    [anon_sym_fallthrough] = ACTIONS(750),
    [anon_sym_break] = ACTIONS(750),
    [anon_sym_continue] = ACTIONS(750),
    [anon_sym_return] = ACTIONS(750),
    [anon_sym_defer] = ACTIONS(750),
    [anon_sym_if] = ACTIONS(750),
    [anon_sym_when] = ACTIONS(750),
    [anon_sym_for] = ACTIONS(750),
    [anon_sym_AMP] = ACTIONS(750),
    [anon_sym_switch] = ACTIONS(750),
    [anon_sym_new] = ACTIONS(750),
    [anon_sym_make] = ACTIONS(750),
    [anon_sym_cast] = ACTIONS(750),
    [anon_sym_auto_cast] = ACTIONS(750),
    [anon_sym_transmute] = ACTIONS(750),
    [anon_sym_DOT] = ACTIONS(750),
    [anon_sym_PLUS] = ACTIONS(750),
    [anon_sym_DASH] = ACTIONS(750),
    [anon_sym_BANG] = ACTIONS(750),
    [anon_sym_STAR] = ACTIONS(750),
    [anon_sym_LT_DASH] = ACTIONS(750),
    [anon_sym_PERCENT] = ACTIONS(750),
    [anon_sym_LT_LT] = ACTIONS(750),
    [anon_sym_GT_GT] = ACTIONS(750),
    [anon_sym_AMP_CARET] = ACTIONS(750),
    [anon_sym_EQ_EQ] = ACTIONS(750),
    [anon_sym_BANG_EQ] = ACTIONS(750),
    [anon_sym_LT] = ACTIONS(750),
    [anon_sym_LT_EQ] = ACTIONS(750),
    [anon_sym_GT] = ACTIONS(750),
    [anon_sym_GT_EQ] = ACTIONS(750),
    [anon_sym_AMP_AMP] = ACTIONS(750),
    [anon_sym_PIPE_PIPE] = ACTIONS(750),
    [sym_raw_string_literal] = ACTIONS(750),
    [anon_sym_DQUOTE] = ACTIONS(750),
    [sym_int_literal] = ACTIONS(750),
    [sym_float_literal] = ACTIONS(750),
    [sym_imaginary_literal] = ACTIONS(750),
    [sym_rune_literal] = ACTIONS(750),
    [sym_nil] = ACTIONS(750),
    [sym_true] = ACTIONS(750),
    [sym_false] = ACTIONS(750),
    [sym_comment] = ACTIONS(336),
  },
  [199] = {
    [ts_builtin_sym_end] = ACTIONS(752),
    [sym_identifier] = ACTIONS(754),
    [anon_sym_LF] = ACTIONS(752),
    [anon_sym_SEMI] = ACTIONS(754),
    [anon_sym_foreign] = ACTIONS(754),
    [anon_sym_import] = ACTIONS(754),
    [anon_sym_package] = ACTIONS(754),
    [anon_sym_COMMA] = ACTIONS(754),
    [anon_sym_struct] = ACTIONS(754),
    [anon_sym_enum] = ACTIONS(754),
    [anon_sym_union] = ACTIONS(754),
    [anon_sym_DASH_GT] = ACTIONS(754),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(754),
    [anon_sym_LBRACE] = ACTIONS(754),
    [anon_sym_LPAREN] = ACTIONS(754),
    [anon_sym_SLASH] = ACTIONS(754),
    [anon_sym_LBRACK] = ACTIONS(754),
    [anon_sym_CARET] = ACTIONS(754),
    [anon_sym_PIPE] = ACTIONS(754),
    [anon_sym_map] = ACTIONS(754),
    [anon_sym_func] = ACTIONS(754),
    [anon_sym_POUND] = ACTIONS(754),
    [anon_sym_fallthrough] = ACTIONS(754),
    [anon_sym_break] = ACTIONS(754),
    [anon_sym_continue] = ACTIONS(754),
    [anon_sym_return] = ACTIONS(754),
    [anon_sym_defer] = ACTIONS(754),
    [anon_sym_if] = ACTIONS(754),
    [anon_sym_when] = ACTIONS(754),
    [anon_sym_for] = ACTIONS(754),
    [anon_sym_AMP] = ACTIONS(754),
    [anon_sym_switch] = ACTIONS(754),
    [anon_sym_new] = ACTIONS(754),
    [anon_sym_make] = ACTIONS(754),
    [anon_sym_cast] = ACTIONS(754),
    [anon_sym_auto_cast] = ACTIONS(754),
    [anon_sym_transmute] = ACTIONS(754),
    [anon_sym_DOT] = ACTIONS(754),
    [anon_sym_PLUS] = ACTIONS(754),
    [anon_sym_DASH] = ACTIONS(754),
    [anon_sym_BANG] = ACTIONS(754),
    [anon_sym_STAR] = ACTIONS(754),
    [anon_sym_LT_DASH] = ACTIONS(754),
    [anon_sym_PERCENT] = ACTIONS(754),
    [anon_sym_LT_LT] = ACTIONS(754),
    [anon_sym_GT_GT] = ACTIONS(754),
    [anon_sym_AMP_CARET] = ACTIONS(754),
    [anon_sym_EQ_EQ] = ACTIONS(754),
    [anon_sym_BANG_EQ] = ACTIONS(754),
    [anon_sym_LT] = ACTIONS(754),
    [anon_sym_LT_EQ] = ACTIONS(754),
    [anon_sym_GT] = ACTIONS(754),
    [anon_sym_GT_EQ] = ACTIONS(754),
    [anon_sym_AMP_AMP] = ACTIONS(754),
    [anon_sym_PIPE_PIPE] = ACTIONS(754),
    [sym_raw_string_literal] = ACTIONS(754),
    [anon_sym_DQUOTE] = ACTIONS(754),
    [sym_int_literal] = ACTIONS(754),
    [sym_float_literal] = ACTIONS(754),
    [sym_imaginary_literal] = ACTIONS(754),
    [sym_rune_literal] = ACTIONS(754),
    [sym_nil] = ACTIONS(754),
    [sym_true] = ACTIONS(754),
    [sym_false] = ACTIONS(754),
    [sym_comment] = ACTIONS(336),
  },
  [200] = {
    [ts_builtin_sym_end] = ACTIONS(756),
    [sym_identifier] = ACTIONS(758),
    [anon_sym_LF] = ACTIONS(756),
    [anon_sym_SEMI] = ACTIONS(758),
    [anon_sym_foreign] = ACTIONS(758),
    [anon_sym_import] = ACTIONS(758),
    [anon_sym_package] = ACTIONS(758),
    [anon_sym_COMMA] = ACTIONS(758),
    [anon_sym_struct] = ACTIONS(758),
    [anon_sym_enum] = ACTIONS(758),
    [anon_sym_union] = ACTIONS(758),
    [anon_sym_DASH_GT] = ACTIONS(758),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(758),
    [anon_sym_LBRACE] = ACTIONS(758),
    [anon_sym_LPAREN] = ACTIONS(758),
    [anon_sym_SLASH] = ACTIONS(758),
    [anon_sym_LBRACK] = ACTIONS(758),
    [anon_sym_CARET] = ACTIONS(758),
    [anon_sym_PIPE] = ACTIONS(758),
    [anon_sym_map] = ACTIONS(758),
    [anon_sym_func] = ACTIONS(758),
    [anon_sym_POUND] = ACTIONS(758),
    [anon_sym_fallthrough] = ACTIONS(758),
    [anon_sym_break] = ACTIONS(758),
    [anon_sym_continue] = ACTIONS(758),
    [anon_sym_return] = ACTIONS(758),
    [anon_sym_defer] = ACTIONS(758),
    [anon_sym_if] = ACTIONS(758),
    [anon_sym_when] = ACTIONS(758),
    [anon_sym_for] = ACTIONS(758),
    [anon_sym_AMP] = ACTIONS(758),
    [anon_sym_switch] = ACTIONS(758),
    [anon_sym_new] = ACTIONS(758),
    [anon_sym_make] = ACTIONS(758),
    [anon_sym_cast] = ACTIONS(758),
    [anon_sym_auto_cast] = ACTIONS(758),
    [anon_sym_transmute] = ACTIONS(758),
    [anon_sym_DOT] = ACTIONS(758),
    [anon_sym_PLUS] = ACTIONS(758),
    [anon_sym_DASH] = ACTIONS(758),
    [anon_sym_BANG] = ACTIONS(758),
    [anon_sym_STAR] = ACTIONS(758),
    [anon_sym_LT_DASH] = ACTIONS(758),
    [anon_sym_PERCENT] = ACTIONS(758),
    [anon_sym_LT_LT] = ACTIONS(758),
    [anon_sym_GT_GT] = ACTIONS(758),
    [anon_sym_AMP_CARET] = ACTIONS(758),
    [anon_sym_EQ_EQ] = ACTIONS(758),
    [anon_sym_BANG_EQ] = ACTIONS(758),
    [anon_sym_LT] = ACTIONS(758),
    [anon_sym_LT_EQ] = ACTIONS(758),
    [anon_sym_GT] = ACTIONS(758),
    [anon_sym_GT_EQ] = ACTIONS(758),
    [anon_sym_AMP_AMP] = ACTIONS(758),
    [anon_sym_PIPE_PIPE] = ACTIONS(758),
    [sym_raw_string_literal] = ACTIONS(758),
    [anon_sym_DQUOTE] = ACTIONS(758),
    [sym_int_literal] = ACTIONS(758),
    [sym_float_literal] = ACTIONS(758),
    [sym_imaginary_literal] = ACTIONS(758),
    [sym_rune_literal] = ACTIONS(758),
    [sym_nil] = ACTIONS(758),
    [sym_true] = ACTIONS(758),
    [sym_false] = ACTIONS(758),
    [sym_comment] = ACTIONS(336),
  },
  [201] = {
    [sym_parenthesized_type] = STATE(1373),
    [sym__simple_type] = STATE(1373),
    [sym_generic_type] = STATE(1051),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1051),
    [sym_dynamic_array_type] = STATE(1051),
    [sym_implicit_length_array_type] = STATE(1051),
    [sym_slice_type] = STATE(1051),
    [sym_struct_type] = STATE(1051),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1051),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(185),
    [sym__expression] = STATE(39),
    [sym_cast_expression] = STATE(185),
    [sym_transmute_expression] = STATE(185),
    [sym_parenthesized_expression] = STATE(185),
    [sym_call_expression] = STATE(185),
    [sym_selector_expression] = STATE(185),
    [sym_index_expression] = STATE(185),
    [sym_slice_expression] = STATE(185),
    [sym_type_assertion_expression] = STATE(185),
    [sym_type_conversion_expression] = STATE(185),
    [sym_composite_literal] = STATE(185),
    [sym_literal_value] = STATE(187),
    [sym_unary_expression] = STATE(185),
    [sym_binary_expression] = STATE(185),
    [sym_qualified_type] = STATE(1051),
    [sym_interpreted_string_literal] = STATE(185),
    [sym_undefined] = STATE(185),
    [sym_identifier] = ACTIONS(688),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(690),
    [anon_sym_LBRACE] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(696),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(698),
    [anon_sym_AMP] = ACTIONS(700),
    [anon_sym_new] = ACTIONS(702),
    [anon_sym_make] = ACTIONS(702),
    [anon_sym_cast] = ACTIONS(704),
    [anon_sym_auto_cast] = ACTIONS(706),
    [anon_sym_transmute] = ACTIONS(708),
    [anon_sym_DOT] = ACTIONS(710),
    [anon_sym_PLUS] = ACTIONS(700),
    [anon_sym_DASH] = ACTIONS(712),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_STAR] = ACTIONS(700),
    [anon_sym_LT_DASH] = ACTIONS(700),
    [sym_raw_string_literal] = ACTIONS(714),
    [anon_sym_DQUOTE] = ACTIONS(716),
    [sym_int_literal] = ACTIONS(718),
    [sym_float_literal] = ACTIONS(718),
    [sym_imaginary_literal] = ACTIONS(714),
    [sym_rune_literal] = ACTIONS(714),
    [sym_nil] = ACTIONS(718),
    [sym_true] = ACTIONS(718),
    [sym_false] = ACTIONS(718),
    [sym_comment] = ACTIONS(3),
  },
  [202] = {
    [sym_parenthesized_type] = STATE(1369),
    [sym__simple_type] = STATE(1369),
    [sym_generic_type] = STATE(1123),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1123),
    [sym_dynamic_array_type] = STATE(1123),
    [sym_implicit_length_array_type] = STATE(1123),
    [sym_slice_type] = STATE(1123),
    [sym_struct_type] = STATE(1123),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1123),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(627),
    [sym__expression] = STATE(586),
    [sym_cast_expression] = STATE(627),
    [sym_transmute_expression] = STATE(627),
    [sym_parenthesized_expression] = STATE(627),
    [sym_call_expression] = STATE(627),
    [sym_selector_expression] = STATE(627),
    [sym_index_expression] = STATE(627),
    [sym_slice_expression] = STATE(627),
    [sym_type_assertion_expression] = STATE(627),
    [sym_type_conversion_expression] = STATE(627),
    [sym_composite_literal] = STATE(627),
    [sym_literal_value] = STATE(633),
    [sym_unary_expression] = STATE(627),
    [sym_binary_expression] = STATE(627),
    [sym_qualified_type] = STATE(1123),
    [sym_interpreted_string_literal] = STATE(627),
    [sym_undefined] = STATE(627),
    [sym_identifier] = ACTIONS(760),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(658),
    [anon_sym_LBRACE] = ACTIONS(660),
    [anon_sym_LPAREN] = ACTIONS(662),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(664),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(666),
    [anon_sym_AMP] = ACTIONS(762),
    [anon_sym_new] = ACTIONS(670),
    [anon_sym_make] = ACTIONS(670),
    [anon_sym_cast] = ACTIONS(672),
    [anon_sym_auto_cast] = ACTIONS(674),
    [anon_sym_transmute] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(678),
    [anon_sym_PLUS] = ACTIONS(668),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_BANG] = ACTIONS(668),
    [anon_sym_STAR] = ACTIONS(668),
    [anon_sym_LT_DASH] = ACTIONS(668),
    [sym_raw_string_literal] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [sym_int_literal] = ACTIONS(686),
    [sym_float_literal] = ACTIONS(686),
    [sym_imaginary_literal] = ACTIONS(682),
    [sym_rune_literal] = ACTIONS(682),
    [sym_nil] = ACTIONS(686),
    [sym_true] = ACTIONS(686),
    [sym_false] = ACTIONS(686),
    [sym_comment] = ACTIONS(3),
  },
  [203] = {
    [sym_parenthesized_type] = STATE(1369),
    [sym__simple_type] = STATE(1369),
    [sym_generic_type] = STATE(1123),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1123),
    [sym_dynamic_array_type] = STATE(1123),
    [sym_implicit_length_array_type] = STATE(1123),
    [sym_slice_type] = STATE(1123),
    [sym_struct_type] = STATE(1123),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1123),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(627),
    [sym__expression] = STATE(579),
    [sym_cast_expression] = STATE(627),
    [sym_transmute_expression] = STATE(627),
    [sym_parenthesized_expression] = STATE(627),
    [sym_call_expression] = STATE(627),
    [sym_selector_expression] = STATE(627),
    [sym_index_expression] = STATE(627),
    [sym_slice_expression] = STATE(627),
    [sym_type_assertion_expression] = STATE(627),
    [sym_type_conversion_expression] = STATE(627),
    [sym_composite_literal] = STATE(627),
    [sym_literal_value] = STATE(633),
    [sym_unary_expression] = STATE(627),
    [sym_binary_expression] = STATE(627),
    [sym_qualified_type] = STATE(1123),
    [sym_interpreted_string_literal] = STATE(627),
    [sym_undefined] = STATE(627),
    [sym_identifier] = ACTIONS(656),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(658),
    [anon_sym_LBRACE] = ACTIONS(660),
    [anon_sym_LPAREN] = ACTIONS(662),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(664),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(666),
    [anon_sym_AMP] = ACTIONS(668),
    [anon_sym_new] = ACTIONS(670),
    [anon_sym_make] = ACTIONS(670),
    [anon_sym_cast] = ACTIONS(672),
    [anon_sym_auto_cast] = ACTIONS(674),
    [anon_sym_transmute] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(678),
    [anon_sym_PLUS] = ACTIONS(668),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_BANG] = ACTIONS(668),
    [anon_sym_STAR] = ACTIONS(668),
    [anon_sym_LT_DASH] = ACTIONS(668),
    [sym_raw_string_literal] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [sym_int_literal] = ACTIONS(686),
    [sym_float_literal] = ACTIONS(686),
    [sym_imaginary_literal] = ACTIONS(682),
    [sym_rune_literal] = ACTIONS(682),
    [sym_nil] = ACTIONS(686),
    [sym_true] = ACTIONS(686),
    [sym_false] = ACTIONS(686),
    [sym_comment] = ACTIONS(3),
  },
  [204] = {
    [sym_parenthesized_type] = STATE(1254),
    [sym__simple_type] = STATE(1254),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(647),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [205] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(445),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [206] = {
    [sym_parameter_list] = STATE(312),
    [sym__simple_type] = STATE(312),
    [sym_generic_type] = STATE(376),
    [sym_pointer_type] = STATE(376),
    [sym_array_type] = STATE(376),
    [sym_dynamic_array_type] = STATE(376),
    [sym_implicit_length_array_type] = STATE(376),
    [sym_slice_type] = STATE(376),
    [sym_struct_type] = STATE(376),
    [sym_enum_type] = STATE(376),
    [sym_union_type] = STATE(376),
    [sym_map_type] = STATE(376),
    [sym_function_type] = STATE(376),
    [sym_block] = STATE(326),
    [sym_qualified_type] = STATE(376),
    [ts_builtin_sym_end] = ACTIONS(764),
    [sym_identifier] = ACTIONS(460),
    [anon_sym_LF] = ACTIONS(764),
    [anon_sym_SEMI] = ACTIONS(766),
    [anon_sym_foreign] = ACTIONS(766),
    [anon_sym_import] = ACTIONS(766),
    [anon_sym_package] = ACTIONS(766),
    [anon_sym_struct] = ACTIONS(468),
    [anon_sym_enum] = ACTIONS(470),
    [anon_sym_union] = ACTIONS(472),
    [anon_sym_DASH_GT] = ACTIONS(768),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(770),
    [anon_sym_LBRACE] = ACTIONS(478),
    [anon_sym_LPAREN] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(484),
    [anon_sym_CARET] = ACTIONS(486),
    [anon_sym_map] = ACTIONS(488),
    [anon_sym_func] = ACTIONS(490),
    [anon_sym_POUND] = ACTIONS(766),
    [anon_sym_fallthrough] = ACTIONS(766),
    [anon_sym_break] = ACTIONS(766),
    [anon_sym_continue] = ACTIONS(766),
    [anon_sym_return] = ACTIONS(766),
    [anon_sym_defer] = ACTIONS(766),
    [anon_sym_if] = ACTIONS(766),
    [anon_sym_when] = ACTIONS(766),
    [anon_sym_for] = ACTIONS(766),
    [anon_sym_AMP] = ACTIONS(766),
    [anon_sym_switch] = ACTIONS(766),
    [anon_sym_new] = ACTIONS(766),
    [anon_sym_make] = ACTIONS(766),
    [anon_sym_cast] = ACTIONS(766),
    [anon_sym_auto_cast] = ACTIONS(766),
    [anon_sym_transmute] = ACTIONS(766),
    [anon_sym_DOT] = ACTIONS(766),
    [anon_sym_PLUS] = ACTIONS(766),
    [anon_sym_DASH] = ACTIONS(766),
    [anon_sym_BANG] = ACTIONS(766),
    [anon_sym_STAR] = ACTIONS(766),
    [anon_sym_LT_DASH] = ACTIONS(766),
    [sym_raw_string_literal] = ACTIONS(766),
    [anon_sym_DQUOTE] = ACTIONS(766),
    [sym_int_literal] = ACTIONS(766),
    [sym_float_literal] = ACTIONS(766),
    [sym_imaginary_literal] = ACTIONS(766),
    [sym_rune_literal] = ACTIONS(766),
    [sym_nil] = ACTIONS(766),
    [sym_true] = ACTIONS(766),
    [sym_false] = ACTIONS(766),
    [sym_comment] = ACTIONS(336),
  },
  [207] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(618),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [208] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(643),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(590),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(772),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(274),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(276),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(278),
    [anon_sym_auto_cast] = ACTIONS(280),
    [anon_sym_transmute] = ACTIONS(282),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(276),
    [anon_sym_DASH] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_STAR] = ACTIONS(276),
    [anon_sym_LT_DASH] = ACTIONS(276),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [209] = {
    [ts_builtin_sym_end] = ACTIONS(774),
    [sym_identifier] = ACTIONS(776),
    [anon_sym_LF] = ACTIONS(774),
    [anon_sym_SEMI] = ACTIONS(776),
    [anon_sym_foreign] = ACTIONS(776),
    [anon_sym_import] = ACTIONS(776),
    [anon_sym_package] = ACTIONS(776),
    [anon_sym_COMMA] = ACTIONS(776),
    [anon_sym_struct] = ACTIONS(776),
    [anon_sym_enum] = ACTIONS(776),
    [anon_sym_union] = ACTIONS(776),
    [anon_sym_DASH_GT] = ACTIONS(776),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(776),
    [anon_sym_LBRACE] = ACTIONS(776),
    [anon_sym_LPAREN] = ACTIONS(776),
    [anon_sym_SLASH] = ACTIONS(776),
    [anon_sym_LBRACK] = ACTIONS(776),
    [anon_sym_CARET] = ACTIONS(776),
    [anon_sym_PIPE] = ACTIONS(776),
    [anon_sym_map] = ACTIONS(776),
    [anon_sym_func] = ACTIONS(776),
    [anon_sym_POUND] = ACTIONS(776),
    [anon_sym_fallthrough] = ACTIONS(776),
    [anon_sym_break] = ACTIONS(776),
    [anon_sym_continue] = ACTIONS(776),
    [anon_sym_return] = ACTIONS(776),
    [anon_sym_defer] = ACTIONS(776),
    [anon_sym_if] = ACTIONS(776),
    [anon_sym_when] = ACTIONS(776),
    [anon_sym_for] = ACTIONS(776),
    [anon_sym_AMP] = ACTIONS(776),
    [anon_sym_switch] = ACTIONS(776),
    [anon_sym_new] = ACTIONS(776),
    [anon_sym_make] = ACTIONS(776),
    [anon_sym_cast] = ACTIONS(776),
    [anon_sym_auto_cast] = ACTIONS(776),
    [anon_sym_transmute] = ACTIONS(776),
    [anon_sym_DOT] = ACTIONS(776),
    [anon_sym_PLUS] = ACTIONS(776),
    [anon_sym_DASH] = ACTIONS(776),
    [anon_sym_BANG] = ACTIONS(776),
    [anon_sym_STAR] = ACTIONS(776),
    [anon_sym_LT_DASH] = ACTIONS(776),
    [anon_sym_PERCENT] = ACTIONS(776),
    [anon_sym_LT_LT] = ACTIONS(776),
    [anon_sym_GT_GT] = ACTIONS(776),
    [anon_sym_AMP_CARET] = ACTIONS(776),
    [anon_sym_EQ_EQ] = ACTIONS(776),
    [anon_sym_BANG_EQ] = ACTIONS(776),
    [anon_sym_LT] = ACTIONS(776),
    [anon_sym_LT_EQ] = ACTIONS(776),
    [anon_sym_GT] = ACTIONS(776),
    [anon_sym_GT_EQ] = ACTIONS(776),
    [anon_sym_AMP_AMP] = ACTIONS(776),
    [anon_sym_PIPE_PIPE] = ACTIONS(776),
    [sym_raw_string_literal] = ACTIONS(776),
    [anon_sym_DQUOTE] = ACTIONS(776),
    [sym_int_literal] = ACTIONS(776),
    [sym_float_literal] = ACTIONS(776),
    [sym_imaginary_literal] = ACTIONS(776),
    [sym_rune_literal] = ACTIONS(776),
    [sym_nil] = ACTIONS(776),
    [sym_true] = ACTIONS(776),
    [sym_false] = ACTIONS(776),
    [sym_comment] = ACTIONS(336),
  },
  [210] = {
    [ts_builtin_sym_end] = ACTIONS(778),
    [sym_identifier] = ACTIONS(780),
    [anon_sym_LF] = ACTIONS(778),
    [anon_sym_SEMI] = ACTIONS(780),
    [anon_sym_foreign] = ACTIONS(780),
    [anon_sym_import] = ACTIONS(780),
    [anon_sym_package] = ACTIONS(780),
    [anon_sym_COMMA] = ACTIONS(780),
    [anon_sym_struct] = ACTIONS(780),
    [anon_sym_enum] = ACTIONS(780),
    [anon_sym_union] = ACTIONS(780),
    [anon_sym_DASH_GT] = ACTIONS(780),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(780),
    [anon_sym_LBRACE] = ACTIONS(780),
    [anon_sym_LPAREN] = ACTIONS(780),
    [anon_sym_SLASH] = ACTIONS(780),
    [anon_sym_LBRACK] = ACTIONS(780),
    [anon_sym_CARET] = ACTIONS(780),
    [anon_sym_PIPE] = ACTIONS(780),
    [anon_sym_map] = ACTIONS(780),
    [anon_sym_func] = ACTIONS(780),
    [anon_sym_POUND] = ACTIONS(780),
    [anon_sym_fallthrough] = ACTIONS(780),
    [anon_sym_break] = ACTIONS(780),
    [anon_sym_continue] = ACTIONS(780),
    [anon_sym_return] = ACTIONS(780),
    [anon_sym_defer] = ACTIONS(780),
    [anon_sym_if] = ACTIONS(780),
    [anon_sym_when] = ACTIONS(780),
    [anon_sym_for] = ACTIONS(780),
    [anon_sym_AMP] = ACTIONS(780),
    [anon_sym_switch] = ACTIONS(780),
    [anon_sym_new] = ACTIONS(780),
    [anon_sym_make] = ACTIONS(780),
    [anon_sym_cast] = ACTIONS(780),
    [anon_sym_auto_cast] = ACTIONS(780),
    [anon_sym_transmute] = ACTIONS(780),
    [anon_sym_DOT] = ACTIONS(780),
    [anon_sym_PLUS] = ACTIONS(780),
    [anon_sym_DASH] = ACTIONS(780),
    [anon_sym_BANG] = ACTIONS(780),
    [anon_sym_STAR] = ACTIONS(780),
    [anon_sym_LT_DASH] = ACTIONS(780),
    [anon_sym_PERCENT] = ACTIONS(780),
    [anon_sym_LT_LT] = ACTIONS(780),
    [anon_sym_GT_GT] = ACTIONS(780),
    [anon_sym_AMP_CARET] = ACTIONS(780),
    [anon_sym_EQ_EQ] = ACTIONS(780),
    [anon_sym_BANG_EQ] = ACTIONS(780),
    [anon_sym_LT] = ACTIONS(780),
    [anon_sym_LT_EQ] = ACTIONS(780),
    [anon_sym_GT] = ACTIONS(780),
    [anon_sym_GT_EQ] = ACTIONS(780),
    [anon_sym_AMP_AMP] = ACTIONS(780),
    [anon_sym_PIPE_PIPE] = ACTIONS(780),
    [sym_raw_string_literal] = ACTIONS(780),
    [anon_sym_DQUOTE] = ACTIONS(780),
    [sym_int_literal] = ACTIONS(780),
    [sym_float_literal] = ACTIONS(780),
    [sym_imaginary_literal] = ACTIONS(780),
    [sym_rune_literal] = ACTIONS(780),
    [sym_nil] = ACTIONS(780),
    [sym_true] = ACTIONS(780),
    [sym_false] = ACTIONS(780),
    [sym_comment] = ACTIONS(336),
  },
  [211] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(626),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [212] = {
    [ts_builtin_sym_end] = ACTIONS(782),
    [sym_identifier] = ACTIONS(784),
    [anon_sym_LF] = ACTIONS(782),
    [anon_sym_SEMI] = ACTIONS(784),
    [anon_sym_foreign] = ACTIONS(784),
    [anon_sym_import] = ACTIONS(784),
    [anon_sym_package] = ACTIONS(784),
    [anon_sym_COMMA] = ACTIONS(784),
    [anon_sym_struct] = ACTIONS(784),
    [anon_sym_enum] = ACTIONS(784),
    [anon_sym_union] = ACTIONS(784),
    [anon_sym_DASH_GT] = ACTIONS(784),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(784),
    [anon_sym_LBRACE] = ACTIONS(784),
    [anon_sym_LPAREN] = ACTIONS(784),
    [anon_sym_SLASH] = ACTIONS(784),
    [anon_sym_LBRACK] = ACTIONS(784),
    [anon_sym_CARET] = ACTIONS(784),
    [anon_sym_PIPE] = ACTIONS(784),
    [anon_sym_map] = ACTIONS(784),
    [anon_sym_func] = ACTIONS(784),
    [anon_sym_POUND] = ACTIONS(784),
    [anon_sym_fallthrough] = ACTIONS(784),
    [anon_sym_break] = ACTIONS(784),
    [anon_sym_continue] = ACTIONS(784),
    [anon_sym_return] = ACTIONS(784),
    [anon_sym_defer] = ACTIONS(784),
    [anon_sym_if] = ACTIONS(784),
    [anon_sym_when] = ACTIONS(784),
    [anon_sym_for] = ACTIONS(784),
    [anon_sym_AMP] = ACTIONS(784),
    [anon_sym_switch] = ACTIONS(784),
    [anon_sym_new] = ACTIONS(784),
    [anon_sym_make] = ACTIONS(784),
    [anon_sym_cast] = ACTIONS(784),
    [anon_sym_auto_cast] = ACTIONS(784),
    [anon_sym_transmute] = ACTIONS(784),
    [anon_sym_DOT] = ACTIONS(784),
    [anon_sym_PLUS] = ACTIONS(784),
    [anon_sym_DASH] = ACTIONS(784),
    [anon_sym_BANG] = ACTIONS(784),
    [anon_sym_STAR] = ACTIONS(784),
    [anon_sym_LT_DASH] = ACTIONS(784),
    [anon_sym_PERCENT] = ACTIONS(784),
    [anon_sym_LT_LT] = ACTIONS(784),
    [anon_sym_GT_GT] = ACTIONS(784),
    [anon_sym_AMP_CARET] = ACTIONS(784),
    [anon_sym_EQ_EQ] = ACTIONS(784),
    [anon_sym_BANG_EQ] = ACTIONS(784),
    [anon_sym_LT] = ACTIONS(784),
    [anon_sym_LT_EQ] = ACTIONS(784),
    [anon_sym_GT] = ACTIONS(784),
    [anon_sym_GT_EQ] = ACTIONS(784),
    [anon_sym_AMP_AMP] = ACTIONS(784),
    [anon_sym_PIPE_PIPE] = ACTIONS(784),
    [sym_raw_string_literal] = ACTIONS(784),
    [anon_sym_DQUOTE] = ACTIONS(784),
    [sym_int_literal] = ACTIONS(784),
    [sym_float_literal] = ACTIONS(784),
    [sym_imaginary_literal] = ACTIONS(784),
    [sym_rune_literal] = ACTIONS(784),
    [sym_nil] = ACTIONS(784),
    [sym_true] = ACTIONS(784),
    [sym_false] = ACTIONS(784),
    [sym_comment] = ACTIONS(336),
  },
  [213] = {
    [sym_parenthesized_type] = STATE(1254),
    [sym__simple_type] = STATE(1254),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(657),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [214] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(630),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(590),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(786),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(274),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(276),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(278),
    [anon_sym_auto_cast] = ACTIONS(280),
    [anon_sym_transmute] = ACTIONS(282),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(276),
    [anon_sym_DASH] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_STAR] = ACTIONS(276),
    [anon_sym_LT_DASH] = ACTIONS(276),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [215] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(436),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(590),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(274),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(276),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(278),
    [anon_sym_auto_cast] = ACTIONS(280),
    [anon_sym_transmute] = ACTIONS(282),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(276),
    [anon_sym_DASH] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_STAR] = ACTIONS(276),
    [anon_sym_LT_DASH] = ACTIONS(276),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [216] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(563),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(590),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(274),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(276),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(278),
    [anon_sym_auto_cast] = ACTIONS(280),
    [anon_sym_transmute] = ACTIONS(282),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(276),
    [anon_sym_DASH] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_STAR] = ACTIONS(276),
    [anon_sym_LT_DASH] = ACTIONS(276),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [217] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(591),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(590),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(274),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(276),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(278),
    [anon_sym_auto_cast] = ACTIONS(280),
    [anon_sym_transmute] = ACTIONS(282),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(276),
    [anon_sym_DASH] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_STAR] = ACTIONS(276),
    [anon_sym_LT_DASH] = ACTIONS(276),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [218] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(637),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [219] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(581),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(590),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(274),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(276),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(278),
    [anon_sym_auto_cast] = ACTIONS(280),
    [anon_sym_transmute] = ACTIONS(282),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(276),
    [anon_sym_DASH] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_STAR] = ACTIONS(276),
    [anon_sym_LT_DASH] = ACTIONS(276),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [220] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(587),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(590),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(274),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(276),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(278),
    [anon_sym_auto_cast] = ACTIONS(280),
    [anon_sym_transmute] = ACTIONS(282),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(276),
    [anon_sym_DASH] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_STAR] = ACTIONS(276),
    [anon_sym_LT_DASH] = ACTIONS(276),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [221] = {
    [sym_parenthesized_type] = STATE(879),
    [sym__simple_type] = STATE(879),
    [sym_generic_type] = STATE(859),
    [sym_pointer_type] = STATE(848),
    [sym_array_type] = STATE(859),
    [sym_dynamic_array_type] = STATE(859),
    [sym_implicit_length_array_type] = STATE(859),
    [sym_slice_type] = STATE(859),
    [sym_struct_type] = STATE(859),
    [sym_enum_type] = STATE(848),
    [sym_union_type] = STATE(848),
    [sym_map_type] = STATE(859),
    [sym_function_type] = STATE(848),
    [sym_function_directive] = STATE(520),
    [sym__expression] = STATE(493),
    [sym_cast_expression] = STATE(520),
    [sym_transmute_expression] = STATE(520),
    [sym_parenthesized_expression] = STATE(520),
    [sym_call_expression] = STATE(520),
    [sym_selector_expression] = STATE(520),
    [sym_index_expression] = STATE(520),
    [sym_slice_expression] = STATE(520),
    [sym_type_assertion_expression] = STATE(520),
    [sym_type_conversion_expression] = STATE(520),
    [sym_composite_literal] = STATE(520),
    [sym_literal_value] = STATE(529),
    [sym_unary_expression] = STATE(520),
    [sym_binary_expression] = STATE(520),
    [sym_qualified_type] = STATE(859),
    [sym_interpreted_string_literal] = STATE(520),
    [sym_undefined] = STATE(520),
    [sym_identifier] = ACTIONS(788),
    [anon_sym_struct] = ACTIONS(790),
    [anon_sym_enum] = ACTIONS(792),
    [anon_sym_union] = ACTIONS(794),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(296),
    [anon_sym_LPAREN] = ACTIONS(298),
    [anon_sym_LBRACK] = ACTIONS(302),
    [anon_sym_CARET] = ACTIONS(304),
    [anon_sym_map] = ACTIONS(306),
    [anon_sym_func] = ACTIONS(308),
    [anon_sym_POUND] = ACTIONS(578),
    [anon_sym_AMP] = ACTIONS(55),
    [anon_sym_new] = ACTIONS(59),
    [anon_sym_make] = ACTIONS(59),
    [anon_sym_cast] = ACTIONS(61),
    [anon_sym_auto_cast] = ACTIONS(63),
    [anon_sym_transmute] = ACTIONS(65),
    [anon_sym_DOT] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_LT_DASH] = ACTIONS(55),
    [sym_raw_string_literal] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [sym_int_literal] = ACTIONS(75),
    [sym_float_literal] = ACTIONS(75),
    [sym_imaginary_literal] = ACTIONS(71),
    [sym_rune_literal] = ACTIONS(71),
    [sym_nil] = ACTIONS(75),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
  },
  [222] = {
    [sym_parenthesized_type] = STATE(934),
    [sym__simple_type] = STATE(934),
    [sym_generic_type] = STATE(1132),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1132),
    [sym_dynamic_array_type] = STATE(1132),
    [sym_implicit_length_array_type] = STATE(1132),
    [sym_slice_type] = STATE(1132),
    [sym_struct_type] = STATE(1132),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1132),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(520),
    [sym__expression] = STATE(493),
    [sym_cast_expression] = STATE(520),
    [sym_transmute_expression] = STATE(520),
    [sym_parenthesized_expression] = STATE(520),
    [sym_call_expression] = STATE(520),
    [sym_selector_expression] = STATE(520),
    [sym_index_expression] = STATE(520),
    [sym_slice_expression] = STATE(520),
    [sym_type_assertion_expression] = STATE(520),
    [sym_type_conversion_expression] = STATE(520),
    [sym_composite_literal] = STATE(520),
    [sym_literal_value] = STATE(529),
    [sym_unary_expression] = STATE(520),
    [sym_binary_expression] = STATE(520),
    [sym_qualified_type] = STATE(1132),
    [sym_interpreted_string_literal] = STATE(520),
    [sym_undefined] = STATE(520),
    [sym_identifier] = ACTIONS(316),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(296),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(578),
    [anon_sym_AMP] = ACTIONS(55),
    [anon_sym_new] = ACTIONS(59),
    [anon_sym_make] = ACTIONS(59),
    [anon_sym_cast] = ACTIONS(61),
    [anon_sym_auto_cast] = ACTIONS(63),
    [anon_sym_transmute] = ACTIONS(65),
    [anon_sym_DOT] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_LT_DASH] = ACTIONS(55),
    [sym_raw_string_literal] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [sym_int_literal] = ACTIONS(75),
    [sym_float_literal] = ACTIONS(75),
    [sym_imaginary_literal] = ACTIONS(71),
    [sym_rune_literal] = ACTIONS(71),
    [sym_nil] = ACTIONS(75),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
  },
  [223] = {
    [sym_parenthesized_type] = STATE(934),
    [sym__simple_type] = STATE(934),
    [sym_generic_type] = STATE(1075),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1075),
    [sym_dynamic_array_type] = STATE(1075),
    [sym_implicit_length_array_type] = STATE(1075),
    [sym_slice_type] = STATE(1075),
    [sym_struct_type] = STATE(1075),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1075),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(403),
    [sym__expression] = STATE(397),
    [sym_cast_expression] = STATE(403),
    [sym_transmute_expression] = STATE(403),
    [sym_parenthesized_expression] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_selector_expression] = STATE(403),
    [sym_index_expression] = STATE(403),
    [sym_slice_expression] = STATE(403),
    [sym_type_assertion_expression] = STATE(403),
    [sym_type_conversion_expression] = STATE(403),
    [sym_composite_literal] = STATE(403),
    [sym_literal_value] = STATE(423),
    [sym_unary_expression] = STATE(403),
    [sym_binary_expression] = STATE(403),
    [sym_qualified_type] = STATE(1075),
    [sym_interpreted_string_literal] = STATE(403),
    [sym_undefined] = STATE(403),
    [sym_identifier] = ACTIONS(624),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(626),
    [anon_sym_LBRACE] = ACTIONS(628),
    [anon_sym_LPAREN] = ACTIONS(630),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(632),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(634),
    [anon_sym_AMP] = ACTIONS(636),
    [anon_sym_new] = ACTIONS(638),
    [anon_sym_make] = ACTIONS(638),
    [anon_sym_cast] = ACTIONS(640),
    [anon_sym_auto_cast] = ACTIONS(642),
    [anon_sym_transmute] = ACTIONS(644),
    [anon_sym_DOT] = ACTIONS(646),
    [anon_sym_PLUS] = ACTIONS(636),
    [anon_sym_DASH] = ACTIONS(648),
    [anon_sym_BANG] = ACTIONS(636),
    [anon_sym_STAR] = ACTIONS(636),
    [anon_sym_LT_DASH] = ACTIONS(636),
    [sym_raw_string_literal] = ACTIONS(650),
    [anon_sym_DQUOTE] = ACTIONS(652),
    [sym_int_literal] = ACTIONS(654),
    [sym_float_literal] = ACTIONS(654),
    [sym_imaginary_literal] = ACTIONS(650),
    [sym_rune_literal] = ACTIONS(650),
    [sym_nil] = ACTIONS(654),
    [sym_true] = ACTIONS(654),
    [sym_false] = ACTIONS(654),
    [sym_comment] = ACTIONS(3),
  },
  [224] = {
    [ts_builtin_sym_end] = ACTIONS(796),
    [sym_identifier] = ACTIONS(798),
    [anon_sym_LF] = ACTIONS(796),
    [anon_sym_SEMI] = ACTIONS(798),
    [anon_sym_foreign] = ACTIONS(798),
    [anon_sym_import] = ACTIONS(798),
    [anon_sym_package] = ACTIONS(798),
    [anon_sym_COMMA] = ACTIONS(798),
    [anon_sym_struct] = ACTIONS(798),
    [anon_sym_enum] = ACTIONS(798),
    [anon_sym_union] = ACTIONS(798),
    [anon_sym_DASH_GT] = ACTIONS(798),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(798),
    [anon_sym_LBRACE] = ACTIONS(798),
    [anon_sym_LPAREN] = ACTIONS(798),
    [anon_sym_SLASH] = ACTIONS(798),
    [anon_sym_LBRACK] = ACTIONS(798),
    [anon_sym_CARET] = ACTIONS(798),
    [anon_sym_PIPE] = ACTIONS(798),
    [anon_sym_map] = ACTIONS(798),
    [anon_sym_func] = ACTIONS(798),
    [anon_sym_POUND] = ACTIONS(798),
    [anon_sym_fallthrough] = ACTIONS(798),
    [anon_sym_break] = ACTIONS(798),
    [anon_sym_continue] = ACTIONS(798),
    [anon_sym_return] = ACTIONS(798),
    [anon_sym_defer] = ACTIONS(798),
    [anon_sym_if] = ACTIONS(798),
    [anon_sym_when] = ACTIONS(798),
    [anon_sym_for] = ACTIONS(798),
    [anon_sym_AMP] = ACTIONS(798),
    [anon_sym_switch] = ACTIONS(798),
    [anon_sym_new] = ACTIONS(798),
    [anon_sym_make] = ACTIONS(798),
    [anon_sym_cast] = ACTIONS(798),
    [anon_sym_auto_cast] = ACTIONS(798),
    [anon_sym_transmute] = ACTIONS(798),
    [anon_sym_DOT] = ACTIONS(798),
    [anon_sym_PLUS] = ACTIONS(798),
    [anon_sym_DASH] = ACTIONS(798),
    [anon_sym_BANG] = ACTIONS(798),
    [anon_sym_STAR] = ACTIONS(798),
    [anon_sym_LT_DASH] = ACTIONS(798),
    [anon_sym_PERCENT] = ACTIONS(798),
    [anon_sym_LT_LT] = ACTIONS(798),
    [anon_sym_GT_GT] = ACTIONS(798),
    [anon_sym_AMP_CARET] = ACTIONS(798),
    [anon_sym_EQ_EQ] = ACTIONS(798),
    [anon_sym_BANG_EQ] = ACTIONS(798),
    [anon_sym_LT] = ACTIONS(798),
    [anon_sym_LT_EQ] = ACTIONS(798),
    [anon_sym_GT] = ACTIONS(798),
    [anon_sym_GT_EQ] = ACTIONS(798),
    [anon_sym_AMP_AMP] = ACTIONS(798),
    [anon_sym_PIPE_PIPE] = ACTIONS(798),
    [sym_raw_string_literal] = ACTIONS(798),
    [anon_sym_DQUOTE] = ACTIONS(798),
    [sym_int_literal] = ACTIONS(798),
    [sym_float_literal] = ACTIONS(798),
    [sym_imaginary_literal] = ACTIONS(798),
    [sym_rune_literal] = ACTIONS(798),
    [sym_nil] = ACTIONS(798),
    [sym_true] = ACTIONS(798),
    [sym_false] = ACTIONS(798),
    [sym_comment] = ACTIONS(336),
  },
  [225] = {
    [ts_builtin_sym_end] = ACTIONS(800),
    [sym_identifier] = ACTIONS(802),
    [anon_sym_LF] = ACTIONS(800),
    [anon_sym_SEMI] = ACTIONS(802),
    [anon_sym_foreign] = ACTIONS(802),
    [anon_sym_import] = ACTIONS(802),
    [anon_sym_package] = ACTIONS(802),
    [anon_sym_COMMA] = ACTIONS(802),
    [anon_sym_struct] = ACTIONS(802),
    [anon_sym_enum] = ACTIONS(802),
    [anon_sym_union] = ACTIONS(802),
    [anon_sym_DASH_GT] = ACTIONS(802),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(802),
    [anon_sym_LBRACE] = ACTIONS(802),
    [anon_sym_LPAREN] = ACTIONS(802),
    [anon_sym_SLASH] = ACTIONS(802),
    [anon_sym_LBRACK] = ACTIONS(802),
    [anon_sym_CARET] = ACTIONS(802),
    [anon_sym_PIPE] = ACTIONS(802),
    [anon_sym_map] = ACTIONS(802),
    [anon_sym_func] = ACTIONS(802),
    [anon_sym_POUND] = ACTIONS(802),
    [anon_sym_fallthrough] = ACTIONS(802),
    [anon_sym_break] = ACTIONS(802),
    [anon_sym_continue] = ACTIONS(802),
    [anon_sym_return] = ACTIONS(802),
    [anon_sym_defer] = ACTIONS(802),
    [anon_sym_if] = ACTIONS(802),
    [anon_sym_when] = ACTIONS(802),
    [anon_sym_for] = ACTIONS(802),
    [anon_sym_AMP] = ACTIONS(802),
    [anon_sym_switch] = ACTIONS(802),
    [anon_sym_new] = ACTIONS(802),
    [anon_sym_make] = ACTIONS(802),
    [anon_sym_cast] = ACTIONS(802),
    [anon_sym_auto_cast] = ACTIONS(802),
    [anon_sym_transmute] = ACTIONS(802),
    [anon_sym_DOT] = ACTIONS(802),
    [anon_sym_PLUS] = ACTIONS(802),
    [anon_sym_DASH] = ACTIONS(802),
    [anon_sym_BANG] = ACTIONS(802),
    [anon_sym_STAR] = ACTIONS(802),
    [anon_sym_LT_DASH] = ACTIONS(802),
    [anon_sym_PERCENT] = ACTIONS(802),
    [anon_sym_LT_LT] = ACTIONS(802),
    [anon_sym_GT_GT] = ACTIONS(802),
    [anon_sym_AMP_CARET] = ACTIONS(802),
    [anon_sym_EQ_EQ] = ACTIONS(802),
    [anon_sym_BANG_EQ] = ACTIONS(802),
    [anon_sym_LT] = ACTIONS(802),
    [anon_sym_LT_EQ] = ACTIONS(802),
    [anon_sym_GT] = ACTIONS(802),
    [anon_sym_GT_EQ] = ACTIONS(802),
    [anon_sym_AMP_AMP] = ACTIONS(802),
    [anon_sym_PIPE_PIPE] = ACTIONS(802),
    [sym_raw_string_literal] = ACTIONS(802),
    [anon_sym_DQUOTE] = ACTIONS(802),
    [sym_int_literal] = ACTIONS(802),
    [sym_float_literal] = ACTIONS(802),
    [sym_imaginary_literal] = ACTIONS(802),
    [sym_rune_literal] = ACTIONS(802),
    [sym_nil] = ACTIONS(802),
    [sym_true] = ACTIONS(802),
    [sym_false] = ACTIONS(802),
    [sym_comment] = ACTIONS(336),
  },
  [226] = {
    [sym_parenthesized_type] = STATE(1376),
    [sym__simple_type] = STATE(1376),
    [sym_generic_type] = STATE(1075),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1075),
    [sym_dynamic_array_type] = STATE(1075),
    [sym_implicit_length_array_type] = STATE(1075),
    [sym_slice_type] = STATE(1075),
    [sym_struct_type] = STATE(1075),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1075),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(403),
    [sym__expression] = STATE(398),
    [sym_cast_expression] = STATE(403),
    [sym_transmute_expression] = STATE(403),
    [sym_parenthesized_expression] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_selector_expression] = STATE(403),
    [sym_index_expression] = STATE(403),
    [sym_slice_expression] = STATE(403),
    [sym_type_assertion_expression] = STATE(403),
    [sym_type_conversion_expression] = STATE(403),
    [sym_composite_literal] = STATE(403),
    [sym_literal_value] = STATE(423),
    [sym_unary_expression] = STATE(403),
    [sym_binary_expression] = STATE(403),
    [sym_qualified_type] = STATE(1075),
    [sym_interpreted_string_literal] = STATE(403),
    [sym_undefined] = STATE(403),
    [sym_identifier] = ACTIONS(624),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(626),
    [anon_sym_LBRACE] = ACTIONS(628),
    [anon_sym_LPAREN] = ACTIONS(630),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(632),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(634),
    [anon_sym_AMP] = ACTIONS(636),
    [anon_sym_new] = ACTIONS(638),
    [anon_sym_make] = ACTIONS(638),
    [anon_sym_cast] = ACTIONS(640),
    [anon_sym_auto_cast] = ACTIONS(642),
    [anon_sym_transmute] = ACTIONS(644),
    [anon_sym_DOT] = ACTIONS(646),
    [anon_sym_PLUS] = ACTIONS(636),
    [anon_sym_DASH] = ACTIONS(648),
    [anon_sym_BANG] = ACTIONS(636),
    [anon_sym_STAR] = ACTIONS(636),
    [anon_sym_LT_DASH] = ACTIONS(636),
    [sym_raw_string_literal] = ACTIONS(650),
    [anon_sym_DQUOTE] = ACTIONS(652),
    [sym_int_literal] = ACTIONS(654),
    [sym_float_literal] = ACTIONS(654),
    [sym_imaginary_literal] = ACTIONS(650),
    [sym_rune_literal] = ACTIONS(650),
    [sym_nil] = ACTIONS(654),
    [sym_true] = ACTIONS(654),
    [sym_false] = ACTIONS(654),
    [sym_comment] = ACTIONS(3),
  },
  [227] = {
    [sym_parenthesized_type] = STATE(1376),
    [sym__simple_type] = STATE(1376),
    [sym_generic_type] = STATE(1075),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1075),
    [sym_dynamic_array_type] = STATE(1075),
    [sym_implicit_length_array_type] = STATE(1075),
    [sym_slice_type] = STATE(1075),
    [sym_struct_type] = STATE(1075),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1075),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(403),
    [sym__expression] = STATE(390),
    [sym_cast_expression] = STATE(403),
    [sym_transmute_expression] = STATE(403),
    [sym_parenthesized_expression] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_selector_expression] = STATE(403),
    [sym_index_expression] = STATE(403),
    [sym_slice_expression] = STATE(403),
    [sym_type_assertion_expression] = STATE(403),
    [sym_type_conversion_expression] = STATE(403),
    [sym_composite_literal] = STATE(403),
    [sym_literal_value] = STATE(423),
    [sym_unary_expression] = STATE(403),
    [sym_binary_expression] = STATE(403),
    [sym_qualified_type] = STATE(1075),
    [sym_interpreted_string_literal] = STATE(403),
    [sym_undefined] = STATE(403),
    [sym_identifier] = ACTIONS(624),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(626),
    [anon_sym_LBRACE] = ACTIONS(628),
    [anon_sym_LPAREN] = ACTIONS(630),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(632),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(634),
    [anon_sym_AMP] = ACTIONS(636),
    [anon_sym_new] = ACTIONS(638),
    [anon_sym_make] = ACTIONS(638),
    [anon_sym_cast] = ACTIONS(640),
    [anon_sym_auto_cast] = ACTIONS(642),
    [anon_sym_transmute] = ACTIONS(644),
    [anon_sym_DOT] = ACTIONS(646),
    [anon_sym_PLUS] = ACTIONS(636),
    [anon_sym_DASH] = ACTIONS(648),
    [anon_sym_BANG] = ACTIONS(636),
    [anon_sym_STAR] = ACTIONS(636),
    [anon_sym_LT_DASH] = ACTIONS(636),
    [sym_raw_string_literal] = ACTIONS(650),
    [anon_sym_DQUOTE] = ACTIONS(652),
    [sym_int_literal] = ACTIONS(654),
    [sym_float_literal] = ACTIONS(654),
    [sym_imaginary_literal] = ACTIONS(650),
    [sym_rune_literal] = ACTIONS(650),
    [sym_nil] = ACTIONS(654),
    [sym_true] = ACTIONS(654),
    [sym_false] = ACTIONS(654),
    [sym_comment] = ACTIONS(3),
  },
  [228] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(636),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [229] = {
    [sym_parenthesized_type] = STATE(934),
    [sym__simple_type] = STATE(934),
    [sym_generic_type] = STATE(1123),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1123),
    [sym_dynamic_array_type] = STATE(1123),
    [sym_implicit_length_array_type] = STATE(1123),
    [sym_slice_type] = STATE(1123),
    [sym_struct_type] = STATE(1123),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1123),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(627),
    [sym__expression] = STATE(564),
    [sym_cast_expression] = STATE(627),
    [sym_transmute_expression] = STATE(627),
    [sym_parenthesized_expression] = STATE(627),
    [sym_call_expression] = STATE(627),
    [sym_selector_expression] = STATE(627),
    [sym_index_expression] = STATE(627),
    [sym_slice_expression] = STATE(627),
    [sym_type_assertion_expression] = STATE(627),
    [sym_type_conversion_expression] = STATE(627),
    [sym_composite_literal] = STATE(627),
    [sym_literal_value] = STATE(633),
    [sym_unary_expression] = STATE(627),
    [sym_binary_expression] = STATE(627),
    [sym_qualified_type] = STATE(1123),
    [sym_interpreted_string_literal] = STATE(627),
    [sym_undefined] = STATE(627),
    [sym_identifier] = ACTIONS(656),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(658),
    [anon_sym_LBRACE] = ACTIONS(660),
    [anon_sym_LPAREN] = ACTIONS(662),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(664),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(666),
    [anon_sym_AMP] = ACTIONS(668),
    [anon_sym_new] = ACTIONS(670),
    [anon_sym_make] = ACTIONS(670),
    [anon_sym_cast] = ACTIONS(672),
    [anon_sym_auto_cast] = ACTIONS(674),
    [anon_sym_transmute] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(678),
    [anon_sym_PLUS] = ACTIONS(668),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_BANG] = ACTIONS(668),
    [anon_sym_STAR] = ACTIONS(668),
    [anon_sym_LT_DASH] = ACTIONS(668),
    [sym_raw_string_literal] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [sym_int_literal] = ACTIONS(686),
    [sym_float_literal] = ACTIONS(686),
    [sym_imaginary_literal] = ACTIONS(682),
    [sym_rune_literal] = ACTIONS(682),
    [sym_nil] = ACTIONS(686),
    [sym_true] = ACTIONS(686),
    [sym_false] = ACTIONS(686),
    [sym_comment] = ACTIONS(3),
  },
  [230] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(606),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [231] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(448),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [232] = {
    [sym_parenthesized_type] = STATE(1373),
    [sym__simple_type] = STATE(1373),
    [sym_generic_type] = STATE(1051),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1051),
    [sym_dynamic_array_type] = STATE(1051),
    [sym_implicit_length_array_type] = STATE(1051),
    [sym_slice_type] = STATE(1051),
    [sym_struct_type] = STATE(1051),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1051),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(185),
    [sym__expression] = STATE(61),
    [sym_cast_expression] = STATE(185),
    [sym_transmute_expression] = STATE(185),
    [sym_parenthesized_expression] = STATE(185),
    [sym_call_expression] = STATE(185),
    [sym_selector_expression] = STATE(185),
    [sym_index_expression] = STATE(185),
    [sym_slice_expression] = STATE(185),
    [sym_type_assertion_expression] = STATE(185),
    [sym_type_conversion_expression] = STATE(185),
    [sym_composite_literal] = STATE(185),
    [sym_literal_value] = STATE(187),
    [sym_unary_expression] = STATE(185),
    [sym_binary_expression] = STATE(185),
    [sym_qualified_type] = STATE(1051),
    [sym_interpreted_string_literal] = STATE(185),
    [sym_undefined] = STATE(185),
    [sym_identifier] = ACTIONS(688),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(690),
    [anon_sym_LBRACE] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(696),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(698),
    [anon_sym_AMP] = ACTIONS(700),
    [anon_sym_new] = ACTIONS(702),
    [anon_sym_make] = ACTIONS(702),
    [anon_sym_cast] = ACTIONS(704),
    [anon_sym_auto_cast] = ACTIONS(706),
    [anon_sym_transmute] = ACTIONS(708),
    [anon_sym_DOT] = ACTIONS(710),
    [anon_sym_PLUS] = ACTIONS(700),
    [anon_sym_DASH] = ACTIONS(712),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_STAR] = ACTIONS(700),
    [anon_sym_LT_DASH] = ACTIONS(700),
    [sym_raw_string_literal] = ACTIONS(714),
    [anon_sym_DQUOTE] = ACTIONS(716),
    [sym_int_literal] = ACTIONS(718),
    [sym_float_literal] = ACTIONS(718),
    [sym_imaginary_literal] = ACTIONS(714),
    [sym_rune_literal] = ACTIONS(714),
    [sym_nil] = ACTIONS(718),
    [sym_true] = ACTIONS(718),
    [sym_false] = ACTIONS(718),
    [sym_comment] = ACTIONS(3),
  },
  [233] = {
    [ts_builtin_sym_end] = ACTIONS(804),
    [sym_identifier] = ACTIONS(806),
    [anon_sym_LF] = ACTIONS(804),
    [anon_sym_SEMI] = ACTIONS(806),
    [anon_sym_foreign] = ACTIONS(806),
    [anon_sym_import] = ACTIONS(806),
    [anon_sym_package] = ACTIONS(806),
    [anon_sym_COMMA] = ACTIONS(806),
    [anon_sym_struct] = ACTIONS(806),
    [anon_sym_enum] = ACTIONS(806),
    [anon_sym_union] = ACTIONS(806),
    [anon_sym_DASH_GT] = ACTIONS(806),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(806),
    [anon_sym_LBRACE] = ACTIONS(806),
    [anon_sym_LPAREN] = ACTIONS(806),
    [anon_sym_SLASH] = ACTIONS(806),
    [anon_sym_LBRACK] = ACTIONS(806),
    [anon_sym_CARET] = ACTIONS(806),
    [anon_sym_PIPE] = ACTIONS(806),
    [anon_sym_map] = ACTIONS(806),
    [anon_sym_func] = ACTIONS(806),
    [anon_sym_POUND] = ACTIONS(806),
    [anon_sym_fallthrough] = ACTIONS(806),
    [anon_sym_break] = ACTIONS(806),
    [anon_sym_continue] = ACTIONS(806),
    [anon_sym_return] = ACTIONS(806),
    [anon_sym_defer] = ACTIONS(806),
    [anon_sym_if] = ACTIONS(806),
    [anon_sym_when] = ACTIONS(806),
    [anon_sym_for] = ACTIONS(806),
    [anon_sym_AMP] = ACTIONS(806),
    [anon_sym_switch] = ACTIONS(806),
    [anon_sym_new] = ACTIONS(806),
    [anon_sym_make] = ACTIONS(806),
    [anon_sym_cast] = ACTIONS(806),
    [anon_sym_auto_cast] = ACTIONS(806),
    [anon_sym_transmute] = ACTIONS(806),
    [anon_sym_DOT] = ACTIONS(806),
    [anon_sym_PLUS] = ACTIONS(806),
    [anon_sym_DASH] = ACTIONS(806),
    [anon_sym_BANG] = ACTIONS(806),
    [anon_sym_STAR] = ACTIONS(806),
    [anon_sym_LT_DASH] = ACTIONS(806),
    [anon_sym_PERCENT] = ACTIONS(806),
    [anon_sym_LT_LT] = ACTIONS(806),
    [anon_sym_GT_GT] = ACTIONS(806),
    [anon_sym_AMP_CARET] = ACTIONS(806),
    [anon_sym_EQ_EQ] = ACTIONS(806),
    [anon_sym_BANG_EQ] = ACTIONS(806),
    [anon_sym_LT] = ACTIONS(806),
    [anon_sym_LT_EQ] = ACTIONS(806),
    [anon_sym_GT] = ACTIONS(806),
    [anon_sym_GT_EQ] = ACTIONS(806),
    [anon_sym_AMP_AMP] = ACTIONS(806),
    [anon_sym_PIPE_PIPE] = ACTIONS(806),
    [sym_raw_string_literal] = ACTIONS(806),
    [anon_sym_DQUOTE] = ACTIONS(806),
    [sym_int_literal] = ACTIONS(806),
    [sym_float_literal] = ACTIONS(806),
    [sym_imaginary_literal] = ACTIONS(806),
    [sym_rune_literal] = ACTIONS(806),
    [sym_nil] = ACTIONS(806),
    [sym_true] = ACTIONS(806),
    [sym_false] = ACTIONS(806),
    [sym_comment] = ACTIONS(336),
  },
  [234] = {
    [sym_parenthesized_type] = STATE(1373),
    [sym__simple_type] = STATE(1373),
    [sym_generic_type] = STATE(1051),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1051),
    [sym_dynamic_array_type] = STATE(1051),
    [sym_implicit_length_array_type] = STATE(1051),
    [sym_slice_type] = STATE(1051),
    [sym_struct_type] = STATE(1051),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1051),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(185),
    [sym__expression] = STATE(62),
    [sym_cast_expression] = STATE(185),
    [sym_transmute_expression] = STATE(185),
    [sym_parenthesized_expression] = STATE(185),
    [sym_call_expression] = STATE(185),
    [sym_selector_expression] = STATE(185),
    [sym_index_expression] = STATE(185),
    [sym_slice_expression] = STATE(185),
    [sym_type_assertion_expression] = STATE(185),
    [sym_type_conversion_expression] = STATE(185),
    [sym_composite_literal] = STATE(185),
    [sym_literal_value] = STATE(187),
    [sym_unary_expression] = STATE(185),
    [sym_binary_expression] = STATE(185),
    [sym_qualified_type] = STATE(1051),
    [sym_interpreted_string_literal] = STATE(185),
    [sym_undefined] = STATE(185),
    [sym_identifier] = ACTIONS(688),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(690),
    [anon_sym_LBRACE] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(696),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(698),
    [anon_sym_AMP] = ACTIONS(700),
    [anon_sym_new] = ACTIONS(702),
    [anon_sym_make] = ACTIONS(702),
    [anon_sym_cast] = ACTIONS(704),
    [anon_sym_auto_cast] = ACTIONS(706),
    [anon_sym_transmute] = ACTIONS(708),
    [anon_sym_DOT] = ACTIONS(710),
    [anon_sym_PLUS] = ACTIONS(700),
    [anon_sym_DASH] = ACTIONS(712),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_STAR] = ACTIONS(700),
    [anon_sym_LT_DASH] = ACTIONS(700),
    [sym_raw_string_literal] = ACTIONS(714),
    [anon_sym_DQUOTE] = ACTIONS(716),
    [sym_int_literal] = ACTIONS(718),
    [sym_float_literal] = ACTIONS(718),
    [sym_imaginary_literal] = ACTIONS(714),
    [sym_rune_literal] = ACTIONS(714),
    [sym_nil] = ACTIONS(718),
    [sym_true] = ACTIONS(718),
    [sym_false] = ACTIONS(718),
    [sym_comment] = ACTIONS(3),
  },
  [235] = {
    [ts_builtin_sym_end] = ACTIONS(808),
    [sym_identifier] = ACTIONS(810),
    [anon_sym_LF] = ACTIONS(808),
    [anon_sym_SEMI] = ACTIONS(810),
    [anon_sym_foreign] = ACTIONS(810),
    [anon_sym_import] = ACTIONS(810),
    [anon_sym_package] = ACTIONS(810),
    [anon_sym_COMMA] = ACTIONS(810),
    [anon_sym_struct] = ACTIONS(810),
    [anon_sym_enum] = ACTIONS(810),
    [anon_sym_union] = ACTIONS(810),
    [anon_sym_DASH_GT] = ACTIONS(810),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(810),
    [anon_sym_LBRACE] = ACTIONS(810),
    [anon_sym_LPAREN] = ACTIONS(810),
    [anon_sym_SLASH] = ACTIONS(810),
    [anon_sym_LBRACK] = ACTIONS(810),
    [anon_sym_CARET] = ACTIONS(810),
    [anon_sym_PIPE] = ACTIONS(810),
    [anon_sym_map] = ACTIONS(810),
    [anon_sym_func] = ACTIONS(810),
    [anon_sym_POUND] = ACTIONS(810),
    [anon_sym_fallthrough] = ACTIONS(810),
    [anon_sym_break] = ACTIONS(810),
    [anon_sym_continue] = ACTIONS(810),
    [anon_sym_return] = ACTIONS(810),
    [anon_sym_defer] = ACTIONS(810),
    [anon_sym_if] = ACTIONS(810),
    [anon_sym_when] = ACTIONS(810),
    [anon_sym_for] = ACTIONS(810),
    [anon_sym_AMP] = ACTIONS(810),
    [anon_sym_switch] = ACTIONS(810),
    [anon_sym_new] = ACTIONS(810),
    [anon_sym_make] = ACTIONS(810),
    [anon_sym_cast] = ACTIONS(810),
    [anon_sym_auto_cast] = ACTIONS(810),
    [anon_sym_transmute] = ACTIONS(810),
    [anon_sym_DOT] = ACTIONS(810),
    [anon_sym_PLUS] = ACTIONS(810),
    [anon_sym_DASH] = ACTIONS(810),
    [anon_sym_BANG] = ACTIONS(810),
    [anon_sym_STAR] = ACTIONS(810),
    [anon_sym_LT_DASH] = ACTIONS(810),
    [anon_sym_PERCENT] = ACTIONS(810),
    [anon_sym_LT_LT] = ACTIONS(810),
    [anon_sym_GT_GT] = ACTIONS(810),
    [anon_sym_AMP_CARET] = ACTIONS(810),
    [anon_sym_EQ_EQ] = ACTIONS(810),
    [anon_sym_BANG_EQ] = ACTIONS(810),
    [anon_sym_LT] = ACTIONS(810),
    [anon_sym_LT_EQ] = ACTIONS(810),
    [anon_sym_GT] = ACTIONS(810),
    [anon_sym_GT_EQ] = ACTIONS(810),
    [anon_sym_AMP_AMP] = ACTIONS(810),
    [anon_sym_PIPE_PIPE] = ACTIONS(810),
    [sym_raw_string_literal] = ACTIONS(810),
    [anon_sym_DQUOTE] = ACTIONS(810),
    [sym_int_literal] = ACTIONS(810),
    [sym_float_literal] = ACTIONS(810),
    [sym_imaginary_literal] = ACTIONS(810),
    [sym_rune_literal] = ACTIONS(810),
    [sym_nil] = ACTIONS(810),
    [sym_true] = ACTIONS(810),
    [sym_false] = ACTIONS(810),
    [sym_comment] = ACTIONS(336),
  },
  [236] = {
    [sym_parenthesized_type] = STATE(1254),
    [sym__simple_type] = STATE(1254),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(631),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [237] = {
    [ts_builtin_sym_end] = ACTIONS(812),
    [sym_identifier] = ACTIONS(814),
    [anon_sym_LF] = ACTIONS(812),
    [anon_sym_SEMI] = ACTIONS(814),
    [anon_sym_foreign] = ACTIONS(814),
    [anon_sym_import] = ACTIONS(814),
    [anon_sym_package] = ACTIONS(814),
    [anon_sym_COMMA] = ACTIONS(814),
    [anon_sym_struct] = ACTIONS(814),
    [anon_sym_enum] = ACTIONS(814),
    [anon_sym_union] = ACTIONS(814),
    [anon_sym_DASH_GT] = ACTIONS(814),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(814),
    [anon_sym_LBRACE] = ACTIONS(814),
    [anon_sym_LPAREN] = ACTIONS(814),
    [anon_sym_SLASH] = ACTIONS(814),
    [anon_sym_LBRACK] = ACTIONS(814),
    [anon_sym_CARET] = ACTIONS(814),
    [anon_sym_PIPE] = ACTIONS(814),
    [anon_sym_map] = ACTIONS(814),
    [anon_sym_func] = ACTIONS(814),
    [anon_sym_POUND] = ACTIONS(814),
    [anon_sym_fallthrough] = ACTIONS(814),
    [anon_sym_break] = ACTIONS(814),
    [anon_sym_continue] = ACTIONS(814),
    [anon_sym_return] = ACTIONS(814),
    [anon_sym_defer] = ACTIONS(814),
    [anon_sym_if] = ACTIONS(814),
    [anon_sym_when] = ACTIONS(814),
    [anon_sym_for] = ACTIONS(814),
    [anon_sym_AMP] = ACTIONS(814),
    [anon_sym_switch] = ACTIONS(814),
    [anon_sym_new] = ACTIONS(814),
    [anon_sym_make] = ACTIONS(814),
    [anon_sym_cast] = ACTIONS(814),
    [anon_sym_auto_cast] = ACTIONS(814),
    [anon_sym_transmute] = ACTIONS(814),
    [anon_sym_DOT] = ACTIONS(814),
    [anon_sym_PLUS] = ACTIONS(814),
    [anon_sym_DASH] = ACTIONS(814),
    [anon_sym_BANG] = ACTIONS(814),
    [anon_sym_STAR] = ACTIONS(814),
    [anon_sym_LT_DASH] = ACTIONS(814),
    [anon_sym_PERCENT] = ACTIONS(814),
    [anon_sym_LT_LT] = ACTIONS(814),
    [anon_sym_GT_GT] = ACTIONS(814),
    [anon_sym_AMP_CARET] = ACTIONS(814),
    [anon_sym_EQ_EQ] = ACTIONS(814),
    [anon_sym_BANG_EQ] = ACTIONS(814),
    [anon_sym_LT] = ACTIONS(814),
    [anon_sym_LT_EQ] = ACTIONS(814),
    [anon_sym_GT] = ACTIONS(814),
    [anon_sym_GT_EQ] = ACTIONS(814),
    [anon_sym_AMP_AMP] = ACTIONS(814),
    [anon_sym_PIPE_PIPE] = ACTIONS(814),
    [sym_raw_string_literal] = ACTIONS(814),
    [anon_sym_DQUOTE] = ACTIONS(814),
    [sym_int_literal] = ACTIONS(814),
    [sym_float_literal] = ACTIONS(814),
    [sym_imaginary_literal] = ACTIONS(814),
    [sym_rune_literal] = ACTIONS(814),
    [sym_nil] = ACTIONS(814),
    [sym_true] = ACTIONS(814),
    [sym_false] = ACTIONS(814),
    [sym_comment] = ACTIONS(336),
  },
  [238] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(635),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [239] = {
    [sym_parenthesized_type] = STATE(1187),
    [sym__simple_type] = STATE(1187),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(657),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [240] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(634),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [241] = {
    [sym_parenthesized_type] = STATE(1376),
    [sym__simple_type] = STATE(1376),
    [sym_generic_type] = STATE(1075),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1075),
    [sym_dynamic_array_type] = STATE(1075),
    [sym_implicit_length_array_type] = STATE(1075),
    [sym_slice_type] = STATE(1075),
    [sym_struct_type] = STATE(1075),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1075),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(403),
    [sym__expression] = STATE(391),
    [sym_cast_expression] = STATE(403),
    [sym_transmute_expression] = STATE(403),
    [sym_parenthesized_expression] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_selector_expression] = STATE(403),
    [sym_index_expression] = STATE(403),
    [sym_slice_expression] = STATE(403),
    [sym_type_assertion_expression] = STATE(403),
    [sym_type_conversion_expression] = STATE(403),
    [sym_composite_literal] = STATE(403),
    [sym_literal_value] = STATE(423),
    [sym_unary_expression] = STATE(403),
    [sym_binary_expression] = STATE(403),
    [sym_qualified_type] = STATE(1075),
    [sym_interpreted_string_literal] = STATE(403),
    [sym_undefined] = STATE(403),
    [sym_identifier] = ACTIONS(624),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(626),
    [anon_sym_LBRACE] = ACTIONS(628),
    [anon_sym_LPAREN] = ACTIONS(630),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(632),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(634),
    [anon_sym_AMP] = ACTIONS(636),
    [anon_sym_new] = ACTIONS(638),
    [anon_sym_make] = ACTIONS(638),
    [anon_sym_cast] = ACTIONS(640),
    [anon_sym_auto_cast] = ACTIONS(642),
    [anon_sym_transmute] = ACTIONS(644),
    [anon_sym_DOT] = ACTIONS(646),
    [anon_sym_PLUS] = ACTIONS(636),
    [anon_sym_DASH] = ACTIONS(648),
    [anon_sym_BANG] = ACTIONS(636),
    [anon_sym_STAR] = ACTIONS(636),
    [anon_sym_LT_DASH] = ACTIONS(636),
    [sym_raw_string_literal] = ACTIONS(650),
    [anon_sym_DQUOTE] = ACTIONS(652),
    [sym_int_literal] = ACTIONS(654),
    [sym_float_literal] = ACTIONS(654),
    [sym_imaginary_literal] = ACTIONS(650),
    [sym_rune_literal] = ACTIONS(650),
    [sym_nil] = ACTIONS(654),
    [sym_true] = ACTIONS(654),
    [sym_false] = ACTIONS(654),
    [sym_comment] = ACTIONS(3),
  },
  [242] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(646),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [243] = {
    [ts_builtin_sym_end] = ACTIONS(816),
    [sym_identifier] = ACTIONS(818),
    [anon_sym_LF] = ACTIONS(816),
    [anon_sym_SEMI] = ACTIONS(818),
    [anon_sym_foreign] = ACTIONS(818),
    [anon_sym_import] = ACTIONS(818),
    [anon_sym_package] = ACTIONS(818),
    [anon_sym_COMMA] = ACTIONS(818),
    [anon_sym_struct] = ACTIONS(818),
    [anon_sym_enum] = ACTIONS(818),
    [anon_sym_union] = ACTIONS(818),
    [anon_sym_DASH_GT] = ACTIONS(818),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(818),
    [anon_sym_LBRACE] = ACTIONS(818),
    [anon_sym_LPAREN] = ACTIONS(818),
    [anon_sym_SLASH] = ACTIONS(818),
    [anon_sym_LBRACK] = ACTIONS(818),
    [anon_sym_CARET] = ACTIONS(818),
    [anon_sym_PIPE] = ACTIONS(818),
    [anon_sym_map] = ACTIONS(818),
    [anon_sym_func] = ACTIONS(818),
    [anon_sym_POUND] = ACTIONS(818),
    [anon_sym_fallthrough] = ACTIONS(818),
    [anon_sym_break] = ACTIONS(818),
    [anon_sym_continue] = ACTIONS(818),
    [anon_sym_return] = ACTIONS(818),
    [anon_sym_defer] = ACTIONS(818),
    [anon_sym_if] = ACTIONS(818),
    [anon_sym_when] = ACTIONS(818),
    [anon_sym_for] = ACTIONS(818),
    [anon_sym_AMP] = ACTIONS(818),
    [anon_sym_switch] = ACTIONS(818),
    [anon_sym_new] = ACTIONS(818),
    [anon_sym_make] = ACTIONS(818),
    [anon_sym_cast] = ACTIONS(818),
    [anon_sym_auto_cast] = ACTIONS(818),
    [anon_sym_transmute] = ACTIONS(818),
    [anon_sym_DOT] = ACTIONS(818),
    [anon_sym_PLUS] = ACTIONS(818),
    [anon_sym_DASH] = ACTIONS(818),
    [anon_sym_BANG] = ACTIONS(818),
    [anon_sym_STAR] = ACTIONS(818),
    [anon_sym_LT_DASH] = ACTIONS(818),
    [anon_sym_PERCENT] = ACTIONS(818),
    [anon_sym_LT_LT] = ACTIONS(818),
    [anon_sym_GT_GT] = ACTIONS(818),
    [anon_sym_AMP_CARET] = ACTIONS(818),
    [anon_sym_EQ_EQ] = ACTIONS(818),
    [anon_sym_BANG_EQ] = ACTIONS(818),
    [anon_sym_LT] = ACTIONS(818),
    [anon_sym_LT_EQ] = ACTIONS(818),
    [anon_sym_GT] = ACTIONS(818),
    [anon_sym_GT_EQ] = ACTIONS(818),
    [anon_sym_AMP_AMP] = ACTIONS(818),
    [anon_sym_PIPE_PIPE] = ACTIONS(818),
    [sym_raw_string_literal] = ACTIONS(818),
    [anon_sym_DQUOTE] = ACTIONS(818),
    [sym_int_literal] = ACTIONS(818),
    [sym_float_literal] = ACTIONS(818),
    [sym_imaginary_literal] = ACTIONS(818),
    [sym_rune_literal] = ACTIONS(818),
    [sym_nil] = ACTIONS(818),
    [sym_true] = ACTIONS(818),
    [sym_false] = ACTIONS(818),
    [sym_comment] = ACTIONS(336),
  },
  [244] = {
    [sym_parameter_list] = STATE(307),
    [sym__simple_type] = STATE(307),
    [sym_generic_type] = STATE(376),
    [sym_pointer_type] = STATE(376),
    [sym_array_type] = STATE(376),
    [sym_dynamic_array_type] = STATE(376),
    [sym_implicit_length_array_type] = STATE(376),
    [sym_slice_type] = STATE(376),
    [sym_struct_type] = STATE(376),
    [sym_enum_type] = STATE(376),
    [sym_union_type] = STATE(376),
    [sym_map_type] = STATE(376),
    [sym_function_type] = STATE(376),
    [sym_block] = STATE(315),
    [sym_qualified_type] = STATE(376),
    [ts_builtin_sym_end] = ACTIONS(820),
    [sym_identifier] = ACTIONS(460),
    [anon_sym_LF] = ACTIONS(820),
    [anon_sym_SEMI] = ACTIONS(822),
    [anon_sym_foreign] = ACTIONS(822),
    [anon_sym_import] = ACTIONS(822),
    [anon_sym_package] = ACTIONS(822),
    [anon_sym_struct] = ACTIONS(468),
    [anon_sym_enum] = ACTIONS(470),
    [anon_sym_union] = ACTIONS(472),
    [anon_sym_DASH_GT] = ACTIONS(824),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(826),
    [anon_sym_LBRACE] = ACTIONS(478),
    [anon_sym_LPAREN] = ACTIONS(482),
    [anon_sym_LBRACK] = ACTIONS(484),
    [anon_sym_CARET] = ACTIONS(486),
    [anon_sym_map] = ACTIONS(488),
    [anon_sym_func] = ACTIONS(490),
    [anon_sym_POUND] = ACTIONS(822),
    [anon_sym_fallthrough] = ACTIONS(822),
    [anon_sym_break] = ACTIONS(822),
    [anon_sym_continue] = ACTIONS(822),
    [anon_sym_return] = ACTIONS(822),
    [anon_sym_defer] = ACTIONS(822),
    [anon_sym_if] = ACTIONS(822),
    [anon_sym_when] = ACTIONS(822),
    [anon_sym_for] = ACTIONS(822),
    [anon_sym_AMP] = ACTIONS(822),
    [anon_sym_switch] = ACTIONS(822),
    [anon_sym_new] = ACTIONS(822),
    [anon_sym_make] = ACTIONS(822),
    [anon_sym_cast] = ACTIONS(822),
    [anon_sym_auto_cast] = ACTIONS(822),
    [anon_sym_transmute] = ACTIONS(822),
    [anon_sym_DOT] = ACTIONS(822),
    [anon_sym_PLUS] = ACTIONS(822),
    [anon_sym_DASH] = ACTIONS(822),
    [anon_sym_BANG] = ACTIONS(822),
    [anon_sym_STAR] = ACTIONS(822),
    [anon_sym_LT_DASH] = ACTIONS(822),
    [sym_raw_string_literal] = ACTIONS(822),
    [anon_sym_DQUOTE] = ACTIONS(822),
    [sym_int_literal] = ACTIONS(822),
    [sym_float_literal] = ACTIONS(822),
    [sym_imaginary_literal] = ACTIONS(822),
    [sym_rune_literal] = ACTIONS(822),
    [sym_nil] = ACTIONS(822),
    [sym_true] = ACTIONS(822),
    [sym_false] = ACTIONS(822),
    [sym_comment] = ACTIONS(336),
  },
  [245] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(439),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [246] = {
    [ts_builtin_sym_end] = ACTIONS(828),
    [sym_identifier] = ACTIONS(830),
    [anon_sym_LF] = ACTIONS(828),
    [anon_sym_SEMI] = ACTIONS(830),
    [anon_sym_foreign] = ACTIONS(830),
    [anon_sym_import] = ACTIONS(830),
    [anon_sym_package] = ACTIONS(830),
    [anon_sym_COMMA] = ACTIONS(830),
    [anon_sym_struct] = ACTIONS(830),
    [anon_sym_enum] = ACTIONS(830),
    [anon_sym_union] = ACTIONS(830),
    [anon_sym_DASH_GT] = ACTIONS(830),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(830),
    [anon_sym_LBRACE] = ACTIONS(830),
    [anon_sym_LPAREN] = ACTIONS(830),
    [anon_sym_SLASH] = ACTIONS(830),
    [anon_sym_LBRACK] = ACTIONS(830),
    [anon_sym_CARET] = ACTIONS(830),
    [anon_sym_PIPE] = ACTIONS(830),
    [anon_sym_map] = ACTIONS(830),
    [anon_sym_func] = ACTIONS(830),
    [anon_sym_POUND] = ACTIONS(830),
    [anon_sym_fallthrough] = ACTIONS(830),
    [anon_sym_break] = ACTIONS(830),
    [anon_sym_continue] = ACTIONS(830),
    [anon_sym_return] = ACTIONS(830),
    [anon_sym_defer] = ACTIONS(830),
    [anon_sym_if] = ACTIONS(830),
    [anon_sym_when] = ACTIONS(830),
    [anon_sym_for] = ACTIONS(830),
    [anon_sym_AMP] = ACTIONS(830),
    [anon_sym_switch] = ACTIONS(830),
    [anon_sym_new] = ACTIONS(830),
    [anon_sym_make] = ACTIONS(830),
    [anon_sym_cast] = ACTIONS(830),
    [anon_sym_auto_cast] = ACTIONS(830),
    [anon_sym_transmute] = ACTIONS(830),
    [anon_sym_DOT] = ACTIONS(830),
    [anon_sym_PLUS] = ACTIONS(830),
    [anon_sym_DASH] = ACTIONS(830),
    [anon_sym_BANG] = ACTIONS(830),
    [anon_sym_STAR] = ACTIONS(830),
    [anon_sym_LT_DASH] = ACTIONS(830),
    [anon_sym_PERCENT] = ACTIONS(830),
    [anon_sym_LT_LT] = ACTIONS(830),
    [anon_sym_GT_GT] = ACTIONS(830),
    [anon_sym_AMP_CARET] = ACTIONS(830),
    [anon_sym_EQ_EQ] = ACTIONS(830),
    [anon_sym_BANG_EQ] = ACTIONS(830),
    [anon_sym_LT] = ACTIONS(830),
    [anon_sym_LT_EQ] = ACTIONS(830),
    [anon_sym_GT] = ACTIONS(830),
    [anon_sym_GT_EQ] = ACTIONS(830),
    [anon_sym_AMP_AMP] = ACTIONS(830),
    [anon_sym_PIPE_PIPE] = ACTIONS(830),
    [sym_raw_string_literal] = ACTIONS(830),
    [anon_sym_DQUOTE] = ACTIONS(830),
    [sym_int_literal] = ACTIONS(830),
    [sym_float_literal] = ACTIONS(830),
    [sym_imaginary_literal] = ACTIONS(830),
    [sym_rune_literal] = ACTIONS(830),
    [sym_nil] = ACTIONS(830),
    [sym_true] = ACTIONS(830),
    [sym_false] = ACTIONS(830),
    [sym_comment] = ACTIONS(336),
  },
  [247] = {
    [sym_parenthesized_type] = STATE(1316),
    [sym__simple_type] = STATE(1316),
    [sym_generic_type] = STATE(1132),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1132),
    [sym_dynamic_array_type] = STATE(1132),
    [sym_implicit_length_array_type] = STATE(1132),
    [sym_slice_type] = STATE(1132),
    [sym_struct_type] = STATE(1132),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1132),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(520),
    [sym__expression] = STATE(496),
    [sym_cast_expression] = STATE(520),
    [sym_transmute_expression] = STATE(520),
    [sym_parenthesized_expression] = STATE(520),
    [sym_call_expression] = STATE(520),
    [sym_selector_expression] = STATE(520),
    [sym_index_expression] = STATE(520),
    [sym_slice_expression] = STATE(520),
    [sym_type_assertion_expression] = STATE(520),
    [sym_type_conversion_expression] = STATE(520),
    [sym_composite_literal] = STATE(520),
    [sym_literal_value] = STATE(529),
    [sym_unary_expression] = STATE(520),
    [sym_binary_expression] = STATE(520),
    [sym_qualified_type] = STATE(1132),
    [sym_interpreted_string_literal] = STATE(520),
    [sym_undefined] = STATE(520),
    [sym_identifier] = ACTIONS(316),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(296),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(578),
    [anon_sym_AMP] = ACTIONS(55),
    [anon_sym_new] = ACTIONS(59),
    [anon_sym_make] = ACTIONS(59),
    [anon_sym_cast] = ACTIONS(61),
    [anon_sym_auto_cast] = ACTIONS(63),
    [anon_sym_transmute] = ACTIONS(65),
    [anon_sym_DOT] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_LT_DASH] = ACTIONS(55),
    [sym_raw_string_literal] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [sym_int_literal] = ACTIONS(75),
    [sym_float_literal] = ACTIONS(75),
    [sym_imaginary_literal] = ACTIONS(71),
    [sym_rune_literal] = ACTIONS(71),
    [sym_nil] = ACTIONS(75),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
  },
  [248] = {
    [sym_parenthesized_type] = STATE(1376),
    [sym__simple_type] = STATE(1376),
    [sym_generic_type] = STATE(1075),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1075),
    [sym_dynamic_array_type] = STATE(1075),
    [sym_implicit_length_array_type] = STATE(1075),
    [sym_slice_type] = STATE(1075),
    [sym_struct_type] = STATE(1075),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1075),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(403),
    [sym__expression] = STATE(394),
    [sym_cast_expression] = STATE(403),
    [sym_transmute_expression] = STATE(403),
    [sym_parenthesized_expression] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_selector_expression] = STATE(403),
    [sym_index_expression] = STATE(403),
    [sym_slice_expression] = STATE(403),
    [sym_type_assertion_expression] = STATE(403),
    [sym_type_conversion_expression] = STATE(403),
    [sym_composite_literal] = STATE(403),
    [sym_literal_value] = STATE(423),
    [sym_unary_expression] = STATE(403),
    [sym_binary_expression] = STATE(403),
    [sym_qualified_type] = STATE(1075),
    [sym_interpreted_string_literal] = STATE(403),
    [sym_undefined] = STATE(403),
    [sym_identifier] = ACTIONS(624),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(626),
    [anon_sym_LBRACE] = ACTIONS(628),
    [anon_sym_LPAREN] = ACTIONS(630),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(632),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(634),
    [anon_sym_AMP] = ACTIONS(636),
    [anon_sym_new] = ACTIONS(638),
    [anon_sym_make] = ACTIONS(638),
    [anon_sym_cast] = ACTIONS(640),
    [anon_sym_auto_cast] = ACTIONS(642),
    [anon_sym_transmute] = ACTIONS(644),
    [anon_sym_DOT] = ACTIONS(646),
    [anon_sym_PLUS] = ACTIONS(636),
    [anon_sym_DASH] = ACTIONS(648),
    [anon_sym_BANG] = ACTIONS(636),
    [anon_sym_STAR] = ACTIONS(636),
    [anon_sym_LT_DASH] = ACTIONS(636),
    [sym_raw_string_literal] = ACTIONS(650),
    [anon_sym_DQUOTE] = ACTIONS(652),
    [sym_int_literal] = ACTIONS(654),
    [sym_float_literal] = ACTIONS(654),
    [sym_imaginary_literal] = ACTIONS(650),
    [sym_rune_literal] = ACTIONS(650),
    [sym_nil] = ACTIONS(654),
    [sym_true] = ACTIONS(654),
    [sym_false] = ACTIONS(654),
    [sym_comment] = ACTIONS(3),
  },
  [249] = {
    [sym_parenthesized_type] = STATE(1316),
    [sym__simple_type] = STATE(1316),
    [sym_generic_type] = STATE(1132),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1132),
    [sym_dynamic_array_type] = STATE(1132),
    [sym_implicit_length_array_type] = STATE(1132),
    [sym_slice_type] = STATE(1132),
    [sym_struct_type] = STATE(1132),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1132),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(520),
    [sym__expression] = STATE(495),
    [sym_cast_expression] = STATE(520),
    [sym_transmute_expression] = STATE(520),
    [sym_parenthesized_expression] = STATE(520),
    [sym_call_expression] = STATE(520),
    [sym_selector_expression] = STATE(520),
    [sym_index_expression] = STATE(520),
    [sym_slice_expression] = STATE(520),
    [sym_type_assertion_expression] = STATE(520),
    [sym_type_conversion_expression] = STATE(520),
    [sym_composite_literal] = STATE(520),
    [sym_literal_value] = STATE(529),
    [sym_unary_expression] = STATE(520),
    [sym_binary_expression] = STATE(520),
    [sym_qualified_type] = STATE(1132),
    [sym_interpreted_string_literal] = STATE(520),
    [sym_undefined] = STATE(520),
    [sym_identifier] = ACTIONS(316),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(296),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(578),
    [anon_sym_AMP] = ACTIONS(55),
    [anon_sym_new] = ACTIONS(59),
    [anon_sym_make] = ACTIONS(59),
    [anon_sym_cast] = ACTIONS(61),
    [anon_sym_auto_cast] = ACTIONS(63),
    [anon_sym_transmute] = ACTIONS(65),
    [anon_sym_DOT] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_LT_DASH] = ACTIONS(55),
    [sym_raw_string_literal] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [sym_int_literal] = ACTIONS(75),
    [sym_float_literal] = ACTIONS(75),
    [sym_imaginary_literal] = ACTIONS(71),
    [sym_rune_literal] = ACTIONS(71),
    [sym_nil] = ACTIONS(75),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
  },
  [250] = {
    [sym_parenthesized_type] = STATE(1373),
    [sym__simple_type] = STATE(1373),
    [sym_generic_type] = STATE(1051),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1051),
    [sym_dynamic_array_type] = STATE(1051),
    [sym_implicit_length_array_type] = STATE(1051),
    [sym_slice_type] = STATE(1051),
    [sym_struct_type] = STATE(1051),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1051),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(185),
    [sym__expression] = STATE(81),
    [sym_cast_expression] = STATE(185),
    [sym_transmute_expression] = STATE(185),
    [sym_parenthesized_expression] = STATE(185),
    [sym_call_expression] = STATE(185),
    [sym_selector_expression] = STATE(185),
    [sym_index_expression] = STATE(185),
    [sym_slice_expression] = STATE(185),
    [sym_type_assertion_expression] = STATE(185),
    [sym_type_conversion_expression] = STATE(185),
    [sym_composite_literal] = STATE(185),
    [sym_literal_value] = STATE(187),
    [sym_unary_expression] = STATE(185),
    [sym_binary_expression] = STATE(185),
    [sym_qualified_type] = STATE(1051),
    [sym_interpreted_string_literal] = STATE(185),
    [sym_undefined] = STATE(185),
    [sym_identifier] = ACTIONS(688),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(690),
    [anon_sym_LBRACE] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(696),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(698),
    [anon_sym_AMP] = ACTIONS(700),
    [anon_sym_new] = ACTIONS(702),
    [anon_sym_make] = ACTIONS(702),
    [anon_sym_cast] = ACTIONS(704),
    [anon_sym_auto_cast] = ACTIONS(706),
    [anon_sym_transmute] = ACTIONS(708),
    [anon_sym_DOT] = ACTIONS(710),
    [anon_sym_PLUS] = ACTIONS(700),
    [anon_sym_DASH] = ACTIONS(712),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_STAR] = ACTIONS(700),
    [anon_sym_LT_DASH] = ACTIONS(700),
    [sym_raw_string_literal] = ACTIONS(714),
    [anon_sym_DQUOTE] = ACTIONS(716),
    [sym_int_literal] = ACTIONS(718),
    [sym_float_literal] = ACTIONS(718),
    [sym_imaginary_literal] = ACTIONS(714),
    [sym_rune_literal] = ACTIONS(714),
    [sym_nil] = ACTIONS(718),
    [sym_true] = ACTIONS(718),
    [sym_false] = ACTIONS(718),
    [sym_comment] = ACTIONS(3),
  },
  [251] = {
    [sym_parenthesized_type] = STATE(1376),
    [sym__simple_type] = STATE(1376),
    [sym_generic_type] = STATE(1075),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1075),
    [sym_dynamic_array_type] = STATE(1075),
    [sym_implicit_length_array_type] = STATE(1075),
    [sym_slice_type] = STATE(1075),
    [sym_struct_type] = STATE(1075),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1075),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(403),
    [sym__expression] = STATE(395),
    [sym_cast_expression] = STATE(403),
    [sym_transmute_expression] = STATE(403),
    [sym_parenthesized_expression] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_selector_expression] = STATE(403),
    [sym_index_expression] = STATE(403),
    [sym_slice_expression] = STATE(403),
    [sym_type_assertion_expression] = STATE(403),
    [sym_type_conversion_expression] = STATE(403),
    [sym_composite_literal] = STATE(403),
    [sym_literal_value] = STATE(423),
    [sym_unary_expression] = STATE(403),
    [sym_binary_expression] = STATE(403),
    [sym_qualified_type] = STATE(1075),
    [sym_interpreted_string_literal] = STATE(403),
    [sym_undefined] = STATE(403),
    [sym_identifier] = ACTIONS(624),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(626),
    [anon_sym_LBRACE] = ACTIONS(628),
    [anon_sym_LPAREN] = ACTIONS(630),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(632),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(634),
    [anon_sym_AMP] = ACTIONS(636),
    [anon_sym_new] = ACTIONS(638),
    [anon_sym_make] = ACTIONS(638),
    [anon_sym_cast] = ACTIONS(640),
    [anon_sym_auto_cast] = ACTIONS(642),
    [anon_sym_transmute] = ACTIONS(644),
    [anon_sym_DOT] = ACTIONS(646),
    [anon_sym_PLUS] = ACTIONS(636),
    [anon_sym_DASH] = ACTIONS(648),
    [anon_sym_BANG] = ACTIONS(636),
    [anon_sym_STAR] = ACTIONS(636),
    [anon_sym_LT_DASH] = ACTIONS(636),
    [sym_raw_string_literal] = ACTIONS(650),
    [anon_sym_DQUOTE] = ACTIONS(652),
    [sym_int_literal] = ACTIONS(654),
    [sym_float_literal] = ACTIONS(654),
    [sym_imaginary_literal] = ACTIONS(650),
    [sym_rune_literal] = ACTIONS(650),
    [sym_nil] = ACTIONS(654),
    [sym_true] = ACTIONS(654),
    [sym_false] = ACTIONS(654),
    [sym_comment] = ACTIONS(3),
  },
  [252] = {
    [sym_parenthesized_type] = STATE(1373),
    [sym__simple_type] = STATE(1373),
    [sym_generic_type] = STATE(1051),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1051),
    [sym_dynamic_array_type] = STATE(1051),
    [sym_implicit_length_array_type] = STATE(1051),
    [sym_slice_type] = STATE(1051),
    [sym_struct_type] = STATE(1051),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1051),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(185),
    [sym__expression] = STATE(69),
    [sym_cast_expression] = STATE(185),
    [sym_transmute_expression] = STATE(185),
    [sym_parenthesized_expression] = STATE(185),
    [sym_call_expression] = STATE(185),
    [sym_selector_expression] = STATE(185),
    [sym_index_expression] = STATE(185),
    [sym_slice_expression] = STATE(185),
    [sym_type_assertion_expression] = STATE(185),
    [sym_type_conversion_expression] = STATE(185),
    [sym_composite_literal] = STATE(185),
    [sym_literal_value] = STATE(187),
    [sym_unary_expression] = STATE(185),
    [sym_binary_expression] = STATE(185),
    [sym_qualified_type] = STATE(1051),
    [sym_interpreted_string_literal] = STATE(185),
    [sym_undefined] = STATE(185),
    [sym_identifier] = ACTIONS(688),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(690),
    [anon_sym_LBRACE] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(696),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(698),
    [anon_sym_AMP] = ACTIONS(700),
    [anon_sym_new] = ACTIONS(702),
    [anon_sym_make] = ACTIONS(702),
    [anon_sym_cast] = ACTIONS(704),
    [anon_sym_auto_cast] = ACTIONS(706),
    [anon_sym_transmute] = ACTIONS(708),
    [anon_sym_DOT] = ACTIONS(710),
    [anon_sym_PLUS] = ACTIONS(700),
    [anon_sym_DASH] = ACTIONS(712),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_STAR] = ACTIONS(700),
    [anon_sym_LT_DASH] = ACTIONS(700),
    [sym_raw_string_literal] = ACTIONS(714),
    [anon_sym_DQUOTE] = ACTIONS(716),
    [sym_int_literal] = ACTIONS(718),
    [sym_float_literal] = ACTIONS(718),
    [sym_imaginary_literal] = ACTIONS(714),
    [sym_rune_literal] = ACTIONS(714),
    [sym_nil] = ACTIONS(718),
    [sym_true] = ACTIONS(718),
    [sym_false] = ACTIONS(718),
    [sym_comment] = ACTIONS(3),
  },
  [253] = {
    [sym_parenthesized_type] = STATE(1373),
    [sym__simple_type] = STATE(1373),
    [sym_generic_type] = STATE(1051),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1051),
    [sym_dynamic_array_type] = STATE(1051),
    [sym_implicit_length_array_type] = STATE(1051),
    [sym_slice_type] = STATE(1051),
    [sym_struct_type] = STATE(1051),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1051),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(185),
    [sym__expression] = STATE(60),
    [sym_cast_expression] = STATE(185),
    [sym_transmute_expression] = STATE(185),
    [sym_parenthesized_expression] = STATE(185),
    [sym_call_expression] = STATE(185),
    [sym_selector_expression] = STATE(185),
    [sym_index_expression] = STATE(185),
    [sym_slice_expression] = STATE(185),
    [sym_type_assertion_expression] = STATE(185),
    [sym_type_conversion_expression] = STATE(185),
    [sym_composite_literal] = STATE(185),
    [sym_literal_value] = STATE(187),
    [sym_unary_expression] = STATE(185),
    [sym_binary_expression] = STATE(185),
    [sym_qualified_type] = STATE(1051),
    [sym_interpreted_string_literal] = STATE(185),
    [sym_undefined] = STATE(185),
    [sym_identifier] = ACTIONS(688),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(690),
    [anon_sym_LBRACE] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(696),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(698),
    [anon_sym_AMP] = ACTIONS(700),
    [anon_sym_new] = ACTIONS(702),
    [anon_sym_make] = ACTIONS(702),
    [anon_sym_cast] = ACTIONS(704),
    [anon_sym_auto_cast] = ACTIONS(706),
    [anon_sym_transmute] = ACTIONS(708),
    [anon_sym_DOT] = ACTIONS(710),
    [anon_sym_PLUS] = ACTIONS(700),
    [anon_sym_DASH] = ACTIONS(712),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_STAR] = ACTIONS(700),
    [anon_sym_LT_DASH] = ACTIONS(700),
    [sym_raw_string_literal] = ACTIONS(714),
    [anon_sym_DQUOTE] = ACTIONS(716),
    [sym_int_literal] = ACTIONS(718),
    [sym_float_literal] = ACTIONS(718),
    [sym_imaginary_literal] = ACTIONS(714),
    [sym_rune_literal] = ACTIONS(714),
    [sym_nil] = ACTIONS(718),
    [sym_true] = ACTIONS(718),
    [sym_false] = ACTIONS(718),
    [sym_comment] = ACTIONS(3),
  },
  [254] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(602),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [255] = {
    [sym_parenthesized_type] = STATE(1373),
    [sym__simple_type] = STATE(1373),
    [sym_generic_type] = STATE(1051),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1051),
    [sym_dynamic_array_type] = STATE(1051),
    [sym_implicit_length_array_type] = STATE(1051),
    [sym_slice_type] = STATE(1051),
    [sym_struct_type] = STATE(1051),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1051),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(185),
    [sym__expression] = STATE(86),
    [sym_cast_expression] = STATE(185),
    [sym_transmute_expression] = STATE(185),
    [sym_parenthesized_expression] = STATE(185),
    [sym_call_expression] = STATE(185),
    [sym_selector_expression] = STATE(185),
    [sym_index_expression] = STATE(185),
    [sym_slice_expression] = STATE(185),
    [sym_type_assertion_expression] = STATE(185),
    [sym_type_conversion_expression] = STATE(185),
    [sym_composite_literal] = STATE(185),
    [sym_literal_value] = STATE(187),
    [sym_unary_expression] = STATE(185),
    [sym_binary_expression] = STATE(185),
    [sym_qualified_type] = STATE(1051),
    [sym_interpreted_string_literal] = STATE(185),
    [sym_undefined] = STATE(185),
    [sym_identifier] = ACTIONS(688),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(690),
    [anon_sym_LBRACE] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(696),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(698),
    [anon_sym_AMP] = ACTIONS(700),
    [anon_sym_new] = ACTIONS(702),
    [anon_sym_make] = ACTIONS(702),
    [anon_sym_cast] = ACTIONS(704),
    [anon_sym_auto_cast] = ACTIONS(706),
    [anon_sym_transmute] = ACTIONS(708),
    [anon_sym_DOT] = ACTIONS(710),
    [anon_sym_PLUS] = ACTIONS(700),
    [anon_sym_DASH] = ACTIONS(712),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_STAR] = ACTIONS(700),
    [anon_sym_LT_DASH] = ACTIONS(700),
    [sym_raw_string_literal] = ACTIONS(714),
    [anon_sym_DQUOTE] = ACTIONS(716),
    [sym_int_literal] = ACTIONS(718),
    [sym_float_literal] = ACTIONS(718),
    [sym_imaginary_literal] = ACTIONS(714),
    [sym_rune_literal] = ACTIONS(714),
    [sym_nil] = ACTIONS(718),
    [sym_true] = ACTIONS(718),
    [sym_false] = ACTIONS(718),
    [sym_comment] = ACTIONS(3),
  },
  [256] = {
    [sym_parenthesized_type] = STATE(1373),
    [sym__simple_type] = STATE(1373),
    [sym_generic_type] = STATE(1051),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1051),
    [sym_dynamic_array_type] = STATE(1051),
    [sym_implicit_length_array_type] = STATE(1051),
    [sym_slice_type] = STATE(1051),
    [sym_struct_type] = STATE(1051),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1051),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(185),
    [sym__expression] = STATE(83),
    [sym_cast_expression] = STATE(185),
    [sym_transmute_expression] = STATE(185),
    [sym_parenthesized_expression] = STATE(185),
    [sym_call_expression] = STATE(185),
    [sym_selector_expression] = STATE(185),
    [sym_index_expression] = STATE(185),
    [sym_slice_expression] = STATE(185),
    [sym_type_assertion_expression] = STATE(185),
    [sym_type_conversion_expression] = STATE(185),
    [sym_composite_literal] = STATE(185),
    [sym_literal_value] = STATE(187),
    [sym_unary_expression] = STATE(185),
    [sym_binary_expression] = STATE(185),
    [sym_qualified_type] = STATE(1051),
    [sym_interpreted_string_literal] = STATE(185),
    [sym_undefined] = STATE(185),
    [sym_identifier] = ACTIONS(688),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(690),
    [anon_sym_LBRACE] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(696),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(698),
    [anon_sym_AMP] = ACTIONS(700),
    [anon_sym_new] = ACTIONS(702),
    [anon_sym_make] = ACTIONS(702),
    [anon_sym_cast] = ACTIONS(704),
    [anon_sym_auto_cast] = ACTIONS(706),
    [anon_sym_transmute] = ACTIONS(708),
    [anon_sym_DOT] = ACTIONS(710),
    [anon_sym_PLUS] = ACTIONS(700),
    [anon_sym_DASH] = ACTIONS(712),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_STAR] = ACTIONS(700),
    [anon_sym_LT_DASH] = ACTIONS(700),
    [sym_raw_string_literal] = ACTIONS(714),
    [anon_sym_DQUOTE] = ACTIONS(716),
    [sym_int_literal] = ACTIONS(718),
    [sym_float_literal] = ACTIONS(718),
    [sym_imaginary_literal] = ACTIONS(714),
    [sym_rune_literal] = ACTIONS(714),
    [sym_nil] = ACTIONS(718),
    [sym_true] = ACTIONS(718),
    [sym_false] = ACTIONS(718),
    [sym_comment] = ACTIONS(3),
  },
  [257] = {
    [ts_builtin_sym_end] = ACTIONS(832),
    [sym_identifier] = ACTIONS(834),
    [anon_sym_LF] = ACTIONS(832),
    [anon_sym_SEMI] = ACTIONS(834),
    [anon_sym_foreign] = ACTIONS(834),
    [anon_sym_import] = ACTIONS(834),
    [anon_sym_package] = ACTIONS(834),
    [anon_sym_COMMA] = ACTIONS(834),
    [anon_sym_struct] = ACTIONS(834),
    [anon_sym_enum] = ACTIONS(834),
    [anon_sym_union] = ACTIONS(834),
    [anon_sym_DASH_GT] = ACTIONS(834),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(834),
    [anon_sym_LBRACE] = ACTIONS(834),
    [anon_sym_LPAREN] = ACTIONS(834),
    [anon_sym_SLASH] = ACTIONS(834),
    [anon_sym_LBRACK] = ACTIONS(834),
    [anon_sym_CARET] = ACTIONS(834),
    [anon_sym_PIPE] = ACTIONS(834),
    [anon_sym_map] = ACTIONS(834),
    [anon_sym_func] = ACTIONS(834),
    [anon_sym_POUND] = ACTIONS(834),
    [anon_sym_fallthrough] = ACTIONS(834),
    [anon_sym_break] = ACTIONS(834),
    [anon_sym_continue] = ACTIONS(834),
    [anon_sym_return] = ACTIONS(834),
    [anon_sym_defer] = ACTIONS(834),
    [anon_sym_if] = ACTIONS(834),
    [anon_sym_when] = ACTIONS(834),
    [anon_sym_for] = ACTIONS(834),
    [anon_sym_AMP] = ACTIONS(834),
    [anon_sym_switch] = ACTIONS(834),
    [anon_sym_new] = ACTIONS(834),
    [anon_sym_make] = ACTIONS(834),
    [anon_sym_cast] = ACTIONS(834),
    [anon_sym_auto_cast] = ACTIONS(834),
    [anon_sym_transmute] = ACTIONS(834),
    [anon_sym_DOT] = ACTIONS(834),
    [anon_sym_PLUS] = ACTIONS(834),
    [anon_sym_DASH] = ACTIONS(834),
    [anon_sym_BANG] = ACTIONS(834),
    [anon_sym_STAR] = ACTIONS(834),
    [anon_sym_LT_DASH] = ACTIONS(834),
    [anon_sym_PERCENT] = ACTIONS(834),
    [anon_sym_LT_LT] = ACTIONS(834),
    [anon_sym_GT_GT] = ACTIONS(834),
    [anon_sym_AMP_CARET] = ACTIONS(834),
    [anon_sym_EQ_EQ] = ACTIONS(834),
    [anon_sym_BANG_EQ] = ACTIONS(834),
    [anon_sym_LT] = ACTIONS(834),
    [anon_sym_LT_EQ] = ACTIONS(834),
    [anon_sym_GT] = ACTIONS(834),
    [anon_sym_GT_EQ] = ACTIONS(834),
    [anon_sym_AMP_AMP] = ACTIONS(834),
    [anon_sym_PIPE_PIPE] = ACTIONS(834),
    [sym_raw_string_literal] = ACTIONS(834),
    [anon_sym_DQUOTE] = ACTIONS(834),
    [sym_int_literal] = ACTIONS(834),
    [sym_float_literal] = ACTIONS(834),
    [sym_imaginary_literal] = ACTIONS(834),
    [sym_rune_literal] = ACTIONS(834),
    [sym_nil] = ACTIONS(834),
    [sym_true] = ACTIONS(834),
    [sym_false] = ACTIONS(834),
    [sym_comment] = ACTIONS(336),
  },
  [258] = {
    [ts_builtin_sym_end] = ACTIONS(836),
    [sym_identifier] = ACTIONS(838),
    [anon_sym_LF] = ACTIONS(836),
    [anon_sym_SEMI] = ACTIONS(838),
    [anon_sym_foreign] = ACTIONS(838),
    [anon_sym_import] = ACTIONS(838),
    [anon_sym_package] = ACTIONS(838),
    [anon_sym_COMMA] = ACTIONS(838),
    [anon_sym_struct] = ACTIONS(838),
    [anon_sym_enum] = ACTIONS(838),
    [anon_sym_union] = ACTIONS(838),
    [anon_sym_DASH_GT] = ACTIONS(838),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(838),
    [anon_sym_LBRACE] = ACTIONS(838),
    [anon_sym_LPAREN] = ACTIONS(838),
    [anon_sym_SLASH] = ACTIONS(838),
    [anon_sym_LBRACK] = ACTIONS(838),
    [anon_sym_CARET] = ACTIONS(838),
    [anon_sym_PIPE] = ACTIONS(838),
    [anon_sym_map] = ACTIONS(838),
    [anon_sym_func] = ACTIONS(838),
    [anon_sym_POUND] = ACTIONS(838),
    [anon_sym_fallthrough] = ACTIONS(838),
    [anon_sym_break] = ACTIONS(838),
    [anon_sym_continue] = ACTIONS(838),
    [anon_sym_return] = ACTIONS(838),
    [anon_sym_defer] = ACTIONS(838),
    [anon_sym_if] = ACTIONS(838),
    [anon_sym_when] = ACTIONS(838),
    [anon_sym_for] = ACTIONS(838),
    [anon_sym_AMP] = ACTIONS(838),
    [anon_sym_switch] = ACTIONS(838),
    [anon_sym_new] = ACTIONS(838),
    [anon_sym_make] = ACTIONS(838),
    [anon_sym_cast] = ACTIONS(838),
    [anon_sym_auto_cast] = ACTIONS(838),
    [anon_sym_transmute] = ACTIONS(838),
    [anon_sym_DOT] = ACTIONS(838),
    [anon_sym_PLUS] = ACTIONS(838),
    [anon_sym_DASH] = ACTIONS(838),
    [anon_sym_BANG] = ACTIONS(838),
    [anon_sym_STAR] = ACTIONS(838),
    [anon_sym_LT_DASH] = ACTIONS(838),
    [anon_sym_PERCENT] = ACTIONS(838),
    [anon_sym_LT_LT] = ACTIONS(838),
    [anon_sym_GT_GT] = ACTIONS(838),
    [anon_sym_AMP_CARET] = ACTIONS(838),
    [anon_sym_EQ_EQ] = ACTIONS(838),
    [anon_sym_BANG_EQ] = ACTIONS(838),
    [anon_sym_LT] = ACTIONS(838),
    [anon_sym_LT_EQ] = ACTIONS(838),
    [anon_sym_GT] = ACTIONS(838),
    [anon_sym_GT_EQ] = ACTIONS(838),
    [anon_sym_AMP_AMP] = ACTIONS(838),
    [anon_sym_PIPE_PIPE] = ACTIONS(838),
    [sym_raw_string_literal] = ACTIONS(838),
    [anon_sym_DQUOTE] = ACTIONS(838),
    [sym_int_literal] = ACTIONS(838),
    [sym_float_literal] = ACTIONS(838),
    [sym_imaginary_literal] = ACTIONS(838),
    [sym_rune_literal] = ACTIONS(838),
    [sym_nil] = ACTIONS(838),
    [sym_true] = ACTIONS(838),
    [sym_false] = ACTIONS(838),
    [sym_comment] = ACTIONS(336),
  },
  [259] = {
    [sym_parenthesized_type] = STATE(1376),
    [sym__simple_type] = STATE(1376),
    [sym_generic_type] = STATE(1075),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1075),
    [sym_dynamic_array_type] = STATE(1075),
    [sym_implicit_length_array_type] = STATE(1075),
    [sym_slice_type] = STATE(1075),
    [sym_struct_type] = STATE(1075),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1075),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(403),
    [sym__expression] = STATE(396),
    [sym_cast_expression] = STATE(403),
    [sym_transmute_expression] = STATE(403),
    [sym_parenthesized_expression] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_selector_expression] = STATE(403),
    [sym_index_expression] = STATE(403),
    [sym_slice_expression] = STATE(403),
    [sym_type_assertion_expression] = STATE(403),
    [sym_type_conversion_expression] = STATE(403),
    [sym_composite_literal] = STATE(403),
    [sym_literal_value] = STATE(423),
    [sym_unary_expression] = STATE(403),
    [sym_binary_expression] = STATE(403),
    [sym_qualified_type] = STATE(1075),
    [sym_interpreted_string_literal] = STATE(403),
    [sym_undefined] = STATE(403),
    [sym_identifier] = ACTIONS(624),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(626),
    [anon_sym_LBRACE] = ACTIONS(628),
    [anon_sym_LPAREN] = ACTIONS(630),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(632),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(634),
    [anon_sym_AMP] = ACTIONS(636),
    [anon_sym_new] = ACTIONS(638),
    [anon_sym_make] = ACTIONS(638),
    [anon_sym_cast] = ACTIONS(640),
    [anon_sym_auto_cast] = ACTIONS(642),
    [anon_sym_transmute] = ACTIONS(644),
    [anon_sym_DOT] = ACTIONS(646),
    [anon_sym_PLUS] = ACTIONS(636),
    [anon_sym_DASH] = ACTIONS(648),
    [anon_sym_BANG] = ACTIONS(636),
    [anon_sym_STAR] = ACTIONS(636),
    [anon_sym_LT_DASH] = ACTIONS(636),
    [sym_raw_string_literal] = ACTIONS(650),
    [anon_sym_DQUOTE] = ACTIONS(652),
    [sym_int_literal] = ACTIONS(654),
    [sym_float_literal] = ACTIONS(654),
    [sym_imaginary_literal] = ACTIONS(650),
    [sym_rune_literal] = ACTIONS(650),
    [sym_nil] = ACTIONS(654),
    [sym_true] = ACTIONS(654),
    [sym_false] = ACTIONS(654),
    [sym_comment] = ACTIONS(3),
  },
  [260] = {
    [ts_builtin_sym_end] = ACTIONS(840),
    [sym_identifier] = ACTIONS(842),
    [anon_sym_LF] = ACTIONS(840),
    [anon_sym_SEMI] = ACTIONS(842),
    [anon_sym_foreign] = ACTIONS(842),
    [anon_sym_import] = ACTIONS(842),
    [anon_sym_package] = ACTIONS(842),
    [anon_sym_COMMA] = ACTIONS(842),
    [anon_sym_struct] = ACTIONS(842),
    [anon_sym_enum] = ACTIONS(842),
    [anon_sym_union] = ACTIONS(842),
    [anon_sym_DASH_GT] = ACTIONS(842),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(842),
    [anon_sym_LBRACE] = ACTIONS(842),
    [anon_sym_LPAREN] = ACTIONS(842),
    [anon_sym_SLASH] = ACTIONS(842),
    [anon_sym_LBRACK] = ACTIONS(842),
    [anon_sym_CARET] = ACTIONS(842),
    [anon_sym_PIPE] = ACTIONS(842),
    [anon_sym_map] = ACTIONS(842),
    [anon_sym_func] = ACTIONS(842),
    [anon_sym_POUND] = ACTIONS(842),
    [anon_sym_fallthrough] = ACTIONS(842),
    [anon_sym_break] = ACTIONS(842),
    [anon_sym_continue] = ACTIONS(842),
    [anon_sym_return] = ACTIONS(842),
    [anon_sym_defer] = ACTIONS(842),
    [anon_sym_if] = ACTIONS(842),
    [anon_sym_when] = ACTIONS(842),
    [anon_sym_for] = ACTIONS(842),
    [anon_sym_AMP] = ACTIONS(842),
    [anon_sym_switch] = ACTIONS(842),
    [anon_sym_new] = ACTIONS(842),
    [anon_sym_make] = ACTIONS(842),
    [anon_sym_cast] = ACTIONS(842),
    [anon_sym_auto_cast] = ACTIONS(842),
    [anon_sym_transmute] = ACTIONS(842),
    [anon_sym_DOT] = ACTIONS(842),
    [anon_sym_PLUS] = ACTIONS(842),
    [anon_sym_DASH] = ACTIONS(842),
    [anon_sym_BANG] = ACTIONS(842),
    [anon_sym_STAR] = ACTIONS(842),
    [anon_sym_LT_DASH] = ACTIONS(842),
    [anon_sym_PERCENT] = ACTIONS(842),
    [anon_sym_LT_LT] = ACTIONS(842),
    [anon_sym_GT_GT] = ACTIONS(842),
    [anon_sym_AMP_CARET] = ACTIONS(842),
    [anon_sym_EQ_EQ] = ACTIONS(842),
    [anon_sym_BANG_EQ] = ACTIONS(842),
    [anon_sym_LT] = ACTIONS(842),
    [anon_sym_LT_EQ] = ACTIONS(842),
    [anon_sym_GT] = ACTIONS(842),
    [anon_sym_GT_EQ] = ACTIONS(842),
    [anon_sym_AMP_AMP] = ACTIONS(842),
    [anon_sym_PIPE_PIPE] = ACTIONS(842),
    [sym_raw_string_literal] = ACTIONS(842),
    [anon_sym_DQUOTE] = ACTIONS(842),
    [sym_int_literal] = ACTIONS(842),
    [sym_float_literal] = ACTIONS(842),
    [sym_imaginary_literal] = ACTIONS(842),
    [sym_rune_literal] = ACTIONS(842),
    [sym_nil] = ACTIONS(842),
    [sym_true] = ACTIONS(842),
    [sym_false] = ACTIONS(842),
    [sym_comment] = ACTIONS(336),
  },
  [261] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(613),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(590),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(274),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(276),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(278),
    [anon_sym_auto_cast] = ACTIONS(280),
    [anon_sym_transmute] = ACTIONS(282),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(276),
    [anon_sym_DASH] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_STAR] = ACTIONS(276),
    [anon_sym_LT_DASH] = ACTIONS(276),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [262] = {
    [sym_parenthesized_type] = STATE(1376),
    [sym__simple_type] = STATE(1376),
    [sym_generic_type] = STATE(1075),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1075),
    [sym_dynamic_array_type] = STATE(1075),
    [sym_implicit_length_array_type] = STATE(1075),
    [sym_slice_type] = STATE(1075),
    [sym_struct_type] = STATE(1075),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1075),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(403),
    [sym__expression] = STATE(393),
    [sym_cast_expression] = STATE(403),
    [sym_transmute_expression] = STATE(403),
    [sym_parenthesized_expression] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_selector_expression] = STATE(403),
    [sym_index_expression] = STATE(403),
    [sym_slice_expression] = STATE(403),
    [sym_type_assertion_expression] = STATE(403),
    [sym_type_conversion_expression] = STATE(403),
    [sym_composite_literal] = STATE(403),
    [sym_literal_value] = STATE(423),
    [sym_unary_expression] = STATE(403),
    [sym_binary_expression] = STATE(403),
    [sym_qualified_type] = STATE(1075),
    [sym_interpreted_string_literal] = STATE(403),
    [sym_undefined] = STATE(403),
    [sym_identifier] = ACTIONS(624),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(626),
    [anon_sym_LBRACE] = ACTIONS(628),
    [anon_sym_LPAREN] = ACTIONS(630),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(632),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(634),
    [anon_sym_AMP] = ACTIONS(636),
    [anon_sym_new] = ACTIONS(638),
    [anon_sym_make] = ACTIONS(638),
    [anon_sym_cast] = ACTIONS(640),
    [anon_sym_auto_cast] = ACTIONS(642),
    [anon_sym_transmute] = ACTIONS(644),
    [anon_sym_DOT] = ACTIONS(646),
    [anon_sym_PLUS] = ACTIONS(636),
    [anon_sym_DASH] = ACTIONS(648),
    [anon_sym_BANG] = ACTIONS(636),
    [anon_sym_STAR] = ACTIONS(636),
    [anon_sym_LT_DASH] = ACTIONS(636),
    [sym_raw_string_literal] = ACTIONS(650),
    [anon_sym_DQUOTE] = ACTIONS(652),
    [sym_int_literal] = ACTIONS(654),
    [sym_float_literal] = ACTIONS(654),
    [sym_imaginary_literal] = ACTIONS(650),
    [sym_rune_literal] = ACTIONS(650),
    [sym_nil] = ACTIONS(654),
    [sym_true] = ACTIONS(654),
    [sym_false] = ACTIONS(654),
    [sym_comment] = ACTIONS(3),
  },
  [263] = {
    [sym_parenthesized_type] = STATE(1376),
    [sym__simple_type] = STATE(1376),
    [sym_generic_type] = STATE(1075),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1075),
    [sym_dynamic_array_type] = STATE(1075),
    [sym_implicit_length_array_type] = STATE(1075),
    [sym_slice_type] = STATE(1075),
    [sym_struct_type] = STATE(1075),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1075),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(403),
    [sym__expression] = STATE(397),
    [sym_cast_expression] = STATE(403),
    [sym_transmute_expression] = STATE(403),
    [sym_parenthesized_expression] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_selector_expression] = STATE(403),
    [sym_index_expression] = STATE(403),
    [sym_slice_expression] = STATE(403),
    [sym_type_assertion_expression] = STATE(403),
    [sym_type_conversion_expression] = STATE(403),
    [sym_composite_literal] = STATE(403),
    [sym_literal_value] = STATE(423),
    [sym_unary_expression] = STATE(403),
    [sym_binary_expression] = STATE(403),
    [sym_qualified_type] = STATE(1075),
    [sym_interpreted_string_literal] = STATE(403),
    [sym_undefined] = STATE(403),
    [sym_identifier] = ACTIONS(624),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(626),
    [anon_sym_LBRACE] = ACTIONS(628),
    [anon_sym_LPAREN] = ACTIONS(630),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(632),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(634),
    [anon_sym_AMP] = ACTIONS(636),
    [anon_sym_new] = ACTIONS(638),
    [anon_sym_make] = ACTIONS(638),
    [anon_sym_cast] = ACTIONS(640),
    [anon_sym_auto_cast] = ACTIONS(642),
    [anon_sym_transmute] = ACTIONS(644),
    [anon_sym_DOT] = ACTIONS(646),
    [anon_sym_PLUS] = ACTIONS(636),
    [anon_sym_DASH] = ACTIONS(648),
    [anon_sym_BANG] = ACTIONS(636),
    [anon_sym_STAR] = ACTIONS(636),
    [anon_sym_LT_DASH] = ACTIONS(636),
    [sym_raw_string_literal] = ACTIONS(650),
    [anon_sym_DQUOTE] = ACTIONS(652),
    [sym_int_literal] = ACTIONS(654),
    [sym_float_literal] = ACTIONS(654),
    [sym_imaginary_literal] = ACTIONS(650),
    [sym_rune_literal] = ACTIONS(650),
    [sym_nil] = ACTIONS(654),
    [sym_true] = ACTIONS(654),
    [sym_false] = ACTIONS(654),
    [sym_comment] = ACTIONS(3),
  },
  [264] = {
    [sym_parenthesized_type] = STATE(934),
    [sym__simple_type] = STATE(934),
    [sym_generic_type] = STATE(1051),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1051),
    [sym_dynamic_array_type] = STATE(1051),
    [sym_implicit_length_array_type] = STATE(1051),
    [sym_slice_type] = STATE(1051),
    [sym_struct_type] = STATE(1051),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1051),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(185),
    [sym__expression] = STATE(61),
    [sym_cast_expression] = STATE(185),
    [sym_transmute_expression] = STATE(185),
    [sym_parenthesized_expression] = STATE(185),
    [sym_call_expression] = STATE(185),
    [sym_selector_expression] = STATE(185),
    [sym_index_expression] = STATE(185),
    [sym_slice_expression] = STATE(185),
    [sym_type_assertion_expression] = STATE(185),
    [sym_type_conversion_expression] = STATE(185),
    [sym_composite_literal] = STATE(185),
    [sym_literal_value] = STATE(187),
    [sym_unary_expression] = STATE(185),
    [sym_binary_expression] = STATE(185),
    [sym_qualified_type] = STATE(1051),
    [sym_interpreted_string_literal] = STATE(185),
    [sym_undefined] = STATE(185),
    [sym_identifier] = ACTIONS(688),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(690),
    [anon_sym_LBRACE] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(696),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(698),
    [anon_sym_AMP] = ACTIONS(700),
    [anon_sym_new] = ACTIONS(702),
    [anon_sym_make] = ACTIONS(702),
    [anon_sym_cast] = ACTIONS(704),
    [anon_sym_auto_cast] = ACTIONS(706),
    [anon_sym_transmute] = ACTIONS(708),
    [anon_sym_DOT] = ACTIONS(710),
    [anon_sym_PLUS] = ACTIONS(700),
    [anon_sym_DASH] = ACTIONS(712),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_STAR] = ACTIONS(700),
    [anon_sym_LT_DASH] = ACTIONS(700),
    [sym_raw_string_literal] = ACTIONS(714),
    [anon_sym_DQUOTE] = ACTIONS(716),
    [sym_int_literal] = ACTIONS(718),
    [sym_float_literal] = ACTIONS(718),
    [sym_imaginary_literal] = ACTIONS(714),
    [sym_rune_literal] = ACTIONS(714),
    [sym_nil] = ACTIONS(718),
    [sym_true] = ACTIONS(718),
    [sym_false] = ACTIONS(718),
    [sym_comment] = ACTIONS(3),
  },
  [265] = {
    [sym_parenthesized_type] = STATE(1373),
    [sym__simple_type] = STATE(1373),
    [sym_generic_type] = STATE(1051),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1051),
    [sym_dynamic_array_type] = STATE(1051),
    [sym_implicit_length_array_type] = STATE(1051),
    [sym_slice_type] = STATE(1051),
    [sym_struct_type] = STATE(1051),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1051),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(185),
    [sym__expression] = STATE(51),
    [sym_cast_expression] = STATE(185),
    [sym_transmute_expression] = STATE(185),
    [sym_parenthesized_expression] = STATE(185),
    [sym_call_expression] = STATE(185),
    [sym_selector_expression] = STATE(185),
    [sym_index_expression] = STATE(185),
    [sym_slice_expression] = STATE(185),
    [sym_type_assertion_expression] = STATE(185),
    [sym_type_conversion_expression] = STATE(185),
    [sym_composite_literal] = STATE(185),
    [sym_literal_value] = STATE(187),
    [sym_unary_expression] = STATE(185),
    [sym_binary_expression] = STATE(185),
    [sym_qualified_type] = STATE(1051),
    [sym_interpreted_string_literal] = STATE(185),
    [sym_undefined] = STATE(185),
    [sym_identifier] = ACTIONS(688),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(690),
    [anon_sym_LBRACE] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(696),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(698),
    [anon_sym_AMP] = ACTIONS(700),
    [anon_sym_new] = ACTIONS(702),
    [anon_sym_make] = ACTIONS(702),
    [anon_sym_cast] = ACTIONS(704),
    [anon_sym_auto_cast] = ACTIONS(706),
    [anon_sym_transmute] = ACTIONS(708),
    [anon_sym_DOT] = ACTIONS(710),
    [anon_sym_PLUS] = ACTIONS(700),
    [anon_sym_DASH] = ACTIONS(712),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_STAR] = ACTIONS(700),
    [anon_sym_LT_DASH] = ACTIONS(700),
    [sym_raw_string_literal] = ACTIONS(714),
    [anon_sym_DQUOTE] = ACTIONS(716),
    [sym_int_literal] = ACTIONS(718),
    [sym_float_literal] = ACTIONS(718),
    [sym_imaginary_literal] = ACTIONS(714),
    [sym_rune_literal] = ACTIONS(714),
    [sym_nil] = ACTIONS(718),
    [sym_true] = ACTIONS(718),
    [sym_false] = ACTIONS(718),
    [sym_comment] = ACTIONS(3),
  },
  [266] = {
    [ts_builtin_sym_end] = ACTIONS(844),
    [sym_identifier] = ACTIONS(846),
    [anon_sym_LF] = ACTIONS(844),
    [anon_sym_SEMI] = ACTIONS(846),
    [anon_sym_foreign] = ACTIONS(846),
    [anon_sym_import] = ACTIONS(846),
    [anon_sym_package] = ACTIONS(846),
    [anon_sym_COMMA] = ACTIONS(846),
    [anon_sym_struct] = ACTIONS(846),
    [anon_sym_enum] = ACTIONS(846),
    [anon_sym_union] = ACTIONS(846),
    [anon_sym_DASH_GT] = ACTIONS(846),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(846),
    [anon_sym_LBRACE] = ACTIONS(846),
    [anon_sym_LPAREN] = ACTIONS(846),
    [anon_sym_SLASH] = ACTIONS(846),
    [anon_sym_LBRACK] = ACTIONS(846),
    [anon_sym_CARET] = ACTIONS(846),
    [anon_sym_PIPE] = ACTIONS(846),
    [anon_sym_map] = ACTIONS(846),
    [anon_sym_func] = ACTIONS(846),
    [anon_sym_POUND] = ACTIONS(846),
    [anon_sym_fallthrough] = ACTIONS(846),
    [anon_sym_break] = ACTIONS(846),
    [anon_sym_continue] = ACTIONS(846),
    [anon_sym_return] = ACTIONS(846),
    [anon_sym_defer] = ACTIONS(846),
    [anon_sym_if] = ACTIONS(846),
    [anon_sym_when] = ACTIONS(846),
    [anon_sym_for] = ACTIONS(846),
    [anon_sym_AMP] = ACTIONS(846),
    [anon_sym_switch] = ACTIONS(846),
    [anon_sym_new] = ACTIONS(846),
    [anon_sym_make] = ACTIONS(846),
    [anon_sym_cast] = ACTIONS(846),
    [anon_sym_auto_cast] = ACTIONS(846),
    [anon_sym_transmute] = ACTIONS(846),
    [anon_sym_DOT] = ACTIONS(846),
    [anon_sym_PLUS] = ACTIONS(846),
    [anon_sym_DASH] = ACTIONS(846),
    [anon_sym_BANG] = ACTIONS(846),
    [anon_sym_STAR] = ACTIONS(846),
    [anon_sym_LT_DASH] = ACTIONS(846),
    [anon_sym_PERCENT] = ACTIONS(846),
    [anon_sym_LT_LT] = ACTIONS(846),
    [anon_sym_GT_GT] = ACTIONS(846),
    [anon_sym_AMP_CARET] = ACTIONS(846),
    [anon_sym_EQ_EQ] = ACTIONS(846),
    [anon_sym_BANG_EQ] = ACTIONS(846),
    [anon_sym_LT] = ACTIONS(846),
    [anon_sym_LT_EQ] = ACTIONS(846),
    [anon_sym_GT] = ACTIONS(846),
    [anon_sym_GT_EQ] = ACTIONS(846),
    [anon_sym_AMP_AMP] = ACTIONS(846),
    [anon_sym_PIPE_PIPE] = ACTIONS(846),
    [sym_raw_string_literal] = ACTIONS(846),
    [anon_sym_DQUOTE] = ACTIONS(846),
    [sym_int_literal] = ACTIONS(846),
    [sym_float_literal] = ACTIONS(846),
    [sym_imaginary_literal] = ACTIONS(846),
    [sym_rune_literal] = ACTIONS(846),
    [sym_nil] = ACTIONS(846),
    [sym_true] = ACTIONS(846),
    [sym_false] = ACTIONS(846),
    [sym_comment] = ACTIONS(336),
  },
  [267] = {
    [ts_builtin_sym_end] = ACTIONS(848),
    [sym_identifier] = ACTIONS(850),
    [anon_sym_LF] = ACTIONS(848),
    [anon_sym_SEMI] = ACTIONS(850),
    [anon_sym_foreign] = ACTIONS(850),
    [anon_sym_import] = ACTIONS(850),
    [anon_sym_package] = ACTIONS(850),
    [anon_sym_COMMA] = ACTIONS(850),
    [anon_sym_struct] = ACTIONS(850),
    [anon_sym_enum] = ACTIONS(850),
    [anon_sym_union] = ACTIONS(850),
    [anon_sym_DASH_GT] = ACTIONS(850),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(850),
    [anon_sym_LBRACE] = ACTIONS(850),
    [anon_sym_LPAREN] = ACTIONS(850),
    [anon_sym_SLASH] = ACTIONS(850),
    [anon_sym_LBRACK] = ACTIONS(850),
    [anon_sym_CARET] = ACTIONS(850),
    [anon_sym_PIPE] = ACTIONS(850),
    [anon_sym_map] = ACTIONS(850),
    [anon_sym_func] = ACTIONS(850),
    [anon_sym_POUND] = ACTIONS(850),
    [anon_sym_fallthrough] = ACTIONS(850),
    [anon_sym_break] = ACTIONS(850),
    [anon_sym_continue] = ACTIONS(850),
    [anon_sym_return] = ACTIONS(850),
    [anon_sym_defer] = ACTIONS(850),
    [anon_sym_if] = ACTIONS(850),
    [anon_sym_when] = ACTIONS(850),
    [anon_sym_for] = ACTIONS(850),
    [anon_sym_AMP] = ACTIONS(850),
    [anon_sym_switch] = ACTIONS(850),
    [anon_sym_new] = ACTIONS(850),
    [anon_sym_make] = ACTIONS(850),
    [anon_sym_cast] = ACTIONS(850),
    [anon_sym_auto_cast] = ACTIONS(850),
    [anon_sym_transmute] = ACTIONS(850),
    [anon_sym_DOT] = ACTIONS(850),
    [anon_sym_PLUS] = ACTIONS(850),
    [anon_sym_DASH] = ACTIONS(850),
    [anon_sym_BANG] = ACTIONS(850),
    [anon_sym_STAR] = ACTIONS(850),
    [anon_sym_LT_DASH] = ACTIONS(850),
    [anon_sym_PERCENT] = ACTIONS(850),
    [anon_sym_LT_LT] = ACTIONS(850),
    [anon_sym_GT_GT] = ACTIONS(850),
    [anon_sym_AMP_CARET] = ACTIONS(850),
    [anon_sym_EQ_EQ] = ACTIONS(850),
    [anon_sym_BANG_EQ] = ACTIONS(850),
    [anon_sym_LT] = ACTIONS(850),
    [anon_sym_LT_EQ] = ACTIONS(850),
    [anon_sym_GT] = ACTIONS(850),
    [anon_sym_GT_EQ] = ACTIONS(850),
    [anon_sym_AMP_AMP] = ACTIONS(850),
    [anon_sym_PIPE_PIPE] = ACTIONS(850),
    [sym_raw_string_literal] = ACTIONS(850),
    [anon_sym_DQUOTE] = ACTIONS(850),
    [sym_int_literal] = ACTIONS(850),
    [sym_float_literal] = ACTIONS(850),
    [sym_imaginary_literal] = ACTIONS(850),
    [sym_rune_literal] = ACTIONS(850),
    [sym_nil] = ACTIONS(850),
    [sym_true] = ACTIONS(850),
    [sym_false] = ACTIONS(850),
    [sym_comment] = ACTIONS(336),
  },
  [268] = {
    [ts_builtin_sym_end] = ACTIONS(852),
    [sym_identifier] = ACTIONS(854),
    [anon_sym_LF] = ACTIONS(852),
    [anon_sym_SEMI] = ACTIONS(854),
    [anon_sym_foreign] = ACTIONS(854),
    [anon_sym_import] = ACTIONS(854),
    [anon_sym_package] = ACTIONS(854),
    [anon_sym_COMMA] = ACTIONS(854),
    [anon_sym_struct] = ACTIONS(854),
    [anon_sym_enum] = ACTIONS(854),
    [anon_sym_union] = ACTIONS(854),
    [anon_sym_DASH_GT] = ACTIONS(854),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(854),
    [anon_sym_LBRACE] = ACTIONS(854),
    [anon_sym_LPAREN] = ACTIONS(854),
    [anon_sym_SLASH] = ACTIONS(854),
    [anon_sym_LBRACK] = ACTIONS(854),
    [anon_sym_CARET] = ACTIONS(854),
    [anon_sym_PIPE] = ACTIONS(854),
    [anon_sym_map] = ACTIONS(854),
    [anon_sym_func] = ACTIONS(854),
    [anon_sym_POUND] = ACTIONS(854),
    [anon_sym_fallthrough] = ACTIONS(854),
    [anon_sym_break] = ACTIONS(854),
    [anon_sym_continue] = ACTIONS(854),
    [anon_sym_return] = ACTIONS(854),
    [anon_sym_defer] = ACTIONS(854),
    [anon_sym_if] = ACTIONS(854),
    [anon_sym_when] = ACTIONS(854),
    [anon_sym_for] = ACTIONS(854),
    [anon_sym_AMP] = ACTIONS(854),
    [anon_sym_switch] = ACTIONS(854),
    [anon_sym_new] = ACTIONS(854),
    [anon_sym_make] = ACTIONS(854),
    [anon_sym_cast] = ACTIONS(854),
    [anon_sym_auto_cast] = ACTIONS(854),
    [anon_sym_transmute] = ACTIONS(854),
    [anon_sym_DOT] = ACTIONS(854),
    [anon_sym_PLUS] = ACTIONS(854),
    [anon_sym_DASH] = ACTIONS(854),
    [anon_sym_BANG] = ACTIONS(854),
    [anon_sym_STAR] = ACTIONS(854),
    [anon_sym_LT_DASH] = ACTIONS(854),
    [anon_sym_PERCENT] = ACTIONS(854),
    [anon_sym_LT_LT] = ACTIONS(854),
    [anon_sym_GT_GT] = ACTIONS(854),
    [anon_sym_AMP_CARET] = ACTIONS(854),
    [anon_sym_EQ_EQ] = ACTIONS(854),
    [anon_sym_BANG_EQ] = ACTIONS(854),
    [anon_sym_LT] = ACTIONS(854),
    [anon_sym_LT_EQ] = ACTIONS(854),
    [anon_sym_GT] = ACTIONS(854),
    [anon_sym_GT_EQ] = ACTIONS(854),
    [anon_sym_AMP_AMP] = ACTIONS(854),
    [anon_sym_PIPE_PIPE] = ACTIONS(854),
    [sym_raw_string_literal] = ACTIONS(854),
    [anon_sym_DQUOTE] = ACTIONS(854),
    [sym_int_literal] = ACTIONS(854),
    [sym_float_literal] = ACTIONS(854),
    [sym_imaginary_literal] = ACTIONS(854),
    [sym_rune_literal] = ACTIONS(854),
    [sym_nil] = ACTIONS(854),
    [sym_true] = ACTIONS(854),
    [sym_false] = ACTIONS(854),
    [sym_comment] = ACTIONS(336),
  },
  [269] = {
    [sym_parenthesized_type] = STATE(1316),
    [sym__simple_type] = STATE(1316),
    [sym_generic_type] = STATE(1132),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1132),
    [sym_dynamic_array_type] = STATE(1132),
    [sym_implicit_length_array_type] = STATE(1132),
    [sym_slice_type] = STATE(1132),
    [sym_struct_type] = STATE(1132),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1132),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(520),
    [sym__expression] = STATE(493),
    [sym_cast_expression] = STATE(520),
    [sym_transmute_expression] = STATE(520),
    [sym_parenthesized_expression] = STATE(520),
    [sym_call_expression] = STATE(520),
    [sym_selector_expression] = STATE(520),
    [sym_index_expression] = STATE(520),
    [sym_slice_expression] = STATE(520),
    [sym_type_assertion_expression] = STATE(520),
    [sym_type_conversion_expression] = STATE(520),
    [sym_composite_literal] = STATE(520),
    [sym_literal_value] = STATE(529),
    [sym_unary_expression] = STATE(520),
    [sym_binary_expression] = STATE(520),
    [sym_qualified_type] = STATE(1132),
    [sym_interpreted_string_literal] = STATE(520),
    [sym_undefined] = STATE(520),
    [sym_identifier] = ACTIONS(316),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(296),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(578),
    [anon_sym_AMP] = ACTIONS(55),
    [anon_sym_new] = ACTIONS(59),
    [anon_sym_make] = ACTIONS(59),
    [anon_sym_cast] = ACTIONS(61),
    [anon_sym_auto_cast] = ACTIONS(63),
    [anon_sym_transmute] = ACTIONS(65),
    [anon_sym_DOT] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_LT_DASH] = ACTIONS(55),
    [sym_raw_string_literal] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [sym_int_literal] = ACTIONS(75),
    [sym_float_literal] = ACTIONS(75),
    [sym_imaginary_literal] = ACTIONS(71),
    [sym_rune_literal] = ACTIONS(71),
    [sym_nil] = ACTIONS(75),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
  },
  [270] = {
    [ts_builtin_sym_end] = ACTIONS(856),
    [sym_identifier] = ACTIONS(858),
    [anon_sym_LF] = ACTIONS(856),
    [anon_sym_SEMI] = ACTIONS(858),
    [anon_sym_foreign] = ACTIONS(858),
    [anon_sym_import] = ACTIONS(858),
    [anon_sym_package] = ACTIONS(858),
    [anon_sym_COMMA] = ACTIONS(858),
    [anon_sym_struct] = ACTIONS(858),
    [anon_sym_enum] = ACTIONS(858),
    [anon_sym_union] = ACTIONS(858),
    [anon_sym_DASH_GT] = ACTIONS(858),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(858),
    [anon_sym_LBRACE] = ACTIONS(858),
    [anon_sym_LPAREN] = ACTIONS(858),
    [anon_sym_SLASH] = ACTIONS(858),
    [anon_sym_LBRACK] = ACTIONS(858),
    [anon_sym_CARET] = ACTIONS(858),
    [anon_sym_PIPE] = ACTIONS(858),
    [anon_sym_map] = ACTIONS(858),
    [anon_sym_func] = ACTIONS(858),
    [anon_sym_POUND] = ACTIONS(858),
    [anon_sym_fallthrough] = ACTIONS(858),
    [anon_sym_break] = ACTIONS(858),
    [anon_sym_continue] = ACTIONS(858),
    [anon_sym_return] = ACTIONS(858),
    [anon_sym_defer] = ACTIONS(858),
    [anon_sym_if] = ACTIONS(858),
    [anon_sym_when] = ACTIONS(858),
    [anon_sym_for] = ACTIONS(858),
    [anon_sym_AMP] = ACTIONS(858),
    [anon_sym_switch] = ACTIONS(858),
    [anon_sym_new] = ACTIONS(858),
    [anon_sym_make] = ACTIONS(858),
    [anon_sym_cast] = ACTIONS(858),
    [anon_sym_auto_cast] = ACTIONS(858),
    [anon_sym_transmute] = ACTIONS(858),
    [anon_sym_DOT] = ACTIONS(858),
    [anon_sym_PLUS] = ACTIONS(858),
    [anon_sym_DASH] = ACTIONS(858),
    [anon_sym_BANG] = ACTIONS(858),
    [anon_sym_STAR] = ACTIONS(858),
    [anon_sym_LT_DASH] = ACTIONS(858),
    [anon_sym_PERCENT] = ACTIONS(858),
    [anon_sym_LT_LT] = ACTIONS(858),
    [anon_sym_GT_GT] = ACTIONS(858),
    [anon_sym_AMP_CARET] = ACTIONS(858),
    [anon_sym_EQ_EQ] = ACTIONS(858),
    [anon_sym_BANG_EQ] = ACTIONS(858),
    [anon_sym_LT] = ACTIONS(858),
    [anon_sym_LT_EQ] = ACTIONS(858),
    [anon_sym_GT] = ACTIONS(858),
    [anon_sym_GT_EQ] = ACTIONS(858),
    [anon_sym_AMP_AMP] = ACTIONS(858),
    [anon_sym_PIPE_PIPE] = ACTIONS(858),
    [sym_raw_string_literal] = ACTIONS(858),
    [anon_sym_DQUOTE] = ACTIONS(858),
    [sym_int_literal] = ACTIONS(858),
    [sym_float_literal] = ACTIONS(858),
    [sym_imaginary_literal] = ACTIONS(858),
    [sym_rune_literal] = ACTIONS(858),
    [sym_nil] = ACTIONS(858),
    [sym_true] = ACTIONS(858),
    [sym_false] = ACTIONS(858),
    [sym_comment] = ACTIONS(336),
  },
  [271] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(567),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(590),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(274),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(276),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(278),
    [anon_sym_auto_cast] = ACTIONS(280),
    [anon_sym_transmute] = ACTIONS(282),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(276),
    [anon_sym_DASH] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_STAR] = ACTIONS(276),
    [anon_sym_LT_DASH] = ACTIONS(276),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [272] = {
    [sym_parenthesized_type] = STATE(1369),
    [sym__simple_type] = STATE(1369),
    [sym_generic_type] = STATE(1123),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1123),
    [sym_dynamic_array_type] = STATE(1123),
    [sym_implicit_length_array_type] = STATE(1123),
    [sym_slice_type] = STATE(1123),
    [sym_struct_type] = STATE(1123),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1123),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(627),
    [sym__expression] = STATE(564),
    [sym_cast_expression] = STATE(627),
    [sym_transmute_expression] = STATE(627),
    [sym_parenthesized_expression] = STATE(627),
    [sym_call_expression] = STATE(627),
    [sym_selector_expression] = STATE(627),
    [sym_index_expression] = STATE(627),
    [sym_slice_expression] = STATE(627),
    [sym_type_assertion_expression] = STATE(627),
    [sym_type_conversion_expression] = STATE(627),
    [sym_composite_literal] = STATE(627),
    [sym_literal_value] = STATE(633),
    [sym_unary_expression] = STATE(627),
    [sym_binary_expression] = STATE(627),
    [sym_qualified_type] = STATE(1123),
    [sym_interpreted_string_literal] = STATE(627),
    [sym_undefined] = STATE(627),
    [sym_identifier] = ACTIONS(860),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(658),
    [anon_sym_LBRACE] = ACTIONS(660),
    [anon_sym_LPAREN] = ACTIONS(662),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(664),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(666),
    [anon_sym_AMP] = ACTIONS(668),
    [anon_sym_new] = ACTIONS(670),
    [anon_sym_make] = ACTIONS(670),
    [anon_sym_cast] = ACTIONS(672),
    [anon_sym_auto_cast] = ACTIONS(674),
    [anon_sym_transmute] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(678),
    [anon_sym_PLUS] = ACTIONS(668),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_BANG] = ACTIONS(668),
    [anon_sym_STAR] = ACTIONS(668),
    [anon_sym_LT_DASH] = ACTIONS(668),
    [sym_raw_string_literal] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [sym_int_literal] = ACTIONS(686),
    [sym_float_literal] = ACTIONS(686),
    [sym_imaginary_literal] = ACTIONS(682),
    [sym_rune_literal] = ACTIONS(682),
    [sym_nil] = ACTIONS(686),
    [sym_true] = ACTIONS(686),
    [sym_false] = ACTIONS(686),
    [sym_comment] = ACTIONS(3),
  },
  [273] = {
    [ts_builtin_sym_end] = ACTIONS(862),
    [sym_identifier] = ACTIONS(864),
    [anon_sym_LF] = ACTIONS(862),
    [anon_sym_SEMI] = ACTIONS(864),
    [anon_sym_foreign] = ACTIONS(864),
    [anon_sym_import] = ACTIONS(864),
    [anon_sym_package] = ACTIONS(864),
    [anon_sym_COMMA] = ACTIONS(864),
    [anon_sym_struct] = ACTIONS(864),
    [anon_sym_enum] = ACTIONS(864),
    [anon_sym_union] = ACTIONS(864),
    [anon_sym_DASH_GT] = ACTIONS(864),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(864),
    [anon_sym_LBRACE] = ACTIONS(864),
    [anon_sym_LPAREN] = ACTIONS(864),
    [anon_sym_SLASH] = ACTIONS(864),
    [anon_sym_LBRACK] = ACTIONS(864),
    [anon_sym_CARET] = ACTIONS(864),
    [anon_sym_PIPE] = ACTIONS(864),
    [anon_sym_map] = ACTIONS(864),
    [anon_sym_func] = ACTIONS(864),
    [anon_sym_POUND] = ACTIONS(864),
    [anon_sym_fallthrough] = ACTIONS(864),
    [anon_sym_break] = ACTIONS(864),
    [anon_sym_continue] = ACTIONS(864),
    [anon_sym_return] = ACTIONS(864),
    [anon_sym_defer] = ACTIONS(864),
    [anon_sym_if] = ACTIONS(864),
    [anon_sym_when] = ACTIONS(864),
    [anon_sym_for] = ACTIONS(864),
    [anon_sym_AMP] = ACTIONS(864),
    [anon_sym_switch] = ACTIONS(864),
    [anon_sym_new] = ACTIONS(864),
    [anon_sym_make] = ACTIONS(864),
    [anon_sym_cast] = ACTIONS(864),
    [anon_sym_auto_cast] = ACTIONS(864),
    [anon_sym_transmute] = ACTIONS(864),
    [anon_sym_DOT] = ACTIONS(864),
    [anon_sym_PLUS] = ACTIONS(864),
    [anon_sym_DASH] = ACTIONS(864),
    [anon_sym_BANG] = ACTIONS(864),
    [anon_sym_STAR] = ACTIONS(864),
    [anon_sym_LT_DASH] = ACTIONS(864),
    [anon_sym_PERCENT] = ACTIONS(864),
    [anon_sym_LT_LT] = ACTIONS(864),
    [anon_sym_GT_GT] = ACTIONS(864),
    [anon_sym_AMP_CARET] = ACTIONS(864),
    [anon_sym_EQ_EQ] = ACTIONS(864),
    [anon_sym_BANG_EQ] = ACTIONS(864),
    [anon_sym_LT] = ACTIONS(864),
    [anon_sym_LT_EQ] = ACTIONS(864),
    [anon_sym_GT] = ACTIONS(864),
    [anon_sym_GT_EQ] = ACTIONS(864),
    [anon_sym_AMP_AMP] = ACTIONS(864),
    [anon_sym_PIPE_PIPE] = ACTIONS(864),
    [sym_raw_string_literal] = ACTIONS(864),
    [anon_sym_DQUOTE] = ACTIONS(864),
    [sym_int_literal] = ACTIONS(864),
    [sym_float_literal] = ACTIONS(864),
    [sym_imaginary_literal] = ACTIONS(864),
    [sym_rune_literal] = ACTIONS(864),
    [sym_nil] = ACTIONS(864),
    [sym_true] = ACTIONS(864),
    [sym_false] = ACTIONS(864),
    [sym_comment] = ACTIONS(336),
  },
  [274] = {
    [sym_parenthesized_type] = STATE(934),
    [sym__simple_type] = STATE(934),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(439),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [275] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(598),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(590),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(274),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(276),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(278),
    [anon_sym_auto_cast] = ACTIONS(280),
    [anon_sym_transmute] = ACTIONS(282),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(276),
    [anon_sym_DASH] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_STAR] = ACTIONS(276),
    [anon_sym_LT_DASH] = ACTIONS(276),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [276] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(561),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(590),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(274),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(276),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(278),
    [anon_sym_auto_cast] = ACTIONS(280),
    [anon_sym_transmute] = ACTIONS(282),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(276),
    [anon_sym_DASH] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_STAR] = ACTIONS(276),
    [anon_sym_LT_DASH] = ACTIONS(276),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [277] = {
    [sym_parenthesized_type] = STATE(1376),
    [sym__simple_type] = STATE(1376),
    [sym_generic_type] = STATE(1075),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1075),
    [sym_dynamic_array_type] = STATE(1075),
    [sym_implicit_length_array_type] = STATE(1075),
    [sym_slice_type] = STATE(1075),
    [sym_struct_type] = STATE(1075),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1075),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(403),
    [sym__expression] = STATE(400),
    [sym_cast_expression] = STATE(403),
    [sym_transmute_expression] = STATE(403),
    [sym_parenthesized_expression] = STATE(403),
    [sym_call_expression] = STATE(403),
    [sym_selector_expression] = STATE(403),
    [sym_index_expression] = STATE(403),
    [sym_slice_expression] = STATE(403),
    [sym_type_assertion_expression] = STATE(403),
    [sym_type_conversion_expression] = STATE(403),
    [sym_composite_literal] = STATE(403),
    [sym_literal_value] = STATE(423),
    [sym_unary_expression] = STATE(403),
    [sym_binary_expression] = STATE(403),
    [sym_qualified_type] = STATE(1075),
    [sym_interpreted_string_literal] = STATE(403),
    [sym_undefined] = STATE(403),
    [sym_identifier] = ACTIONS(624),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(626),
    [anon_sym_LBRACE] = ACTIONS(628),
    [anon_sym_LPAREN] = ACTIONS(630),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(632),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(634),
    [anon_sym_AMP] = ACTIONS(636),
    [anon_sym_new] = ACTIONS(638),
    [anon_sym_make] = ACTIONS(638),
    [anon_sym_cast] = ACTIONS(640),
    [anon_sym_auto_cast] = ACTIONS(642),
    [anon_sym_transmute] = ACTIONS(644),
    [anon_sym_DOT] = ACTIONS(646),
    [anon_sym_PLUS] = ACTIONS(636),
    [anon_sym_DASH] = ACTIONS(648),
    [anon_sym_BANG] = ACTIONS(636),
    [anon_sym_STAR] = ACTIONS(636),
    [anon_sym_LT_DASH] = ACTIONS(636),
    [sym_raw_string_literal] = ACTIONS(650),
    [anon_sym_DQUOTE] = ACTIONS(652),
    [sym_int_literal] = ACTIONS(654),
    [sym_float_literal] = ACTIONS(654),
    [sym_imaginary_literal] = ACTIONS(650),
    [sym_rune_literal] = ACTIONS(650),
    [sym_nil] = ACTIONS(654),
    [sym_true] = ACTIONS(654),
    [sym_false] = ACTIONS(654),
    [sym_comment] = ACTIONS(3),
  },
  [278] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(607),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [279] = {
    [ts_builtin_sym_end] = ACTIONS(866),
    [sym_identifier] = ACTIONS(868),
    [anon_sym_LF] = ACTIONS(866),
    [anon_sym_SEMI] = ACTIONS(868),
    [anon_sym_foreign] = ACTIONS(868),
    [anon_sym_import] = ACTIONS(868),
    [anon_sym_package] = ACTIONS(868),
    [anon_sym_COMMA] = ACTIONS(868),
    [anon_sym_struct] = ACTIONS(868),
    [anon_sym_enum] = ACTIONS(868),
    [anon_sym_union] = ACTIONS(868),
    [anon_sym_DASH_GT] = ACTIONS(868),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(868),
    [anon_sym_LBRACE] = ACTIONS(868),
    [anon_sym_LPAREN] = ACTIONS(868),
    [anon_sym_SLASH] = ACTIONS(868),
    [anon_sym_LBRACK] = ACTIONS(868),
    [anon_sym_CARET] = ACTIONS(868),
    [anon_sym_PIPE] = ACTIONS(868),
    [anon_sym_map] = ACTIONS(868),
    [anon_sym_func] = ACTIONS(868),
    [anon_sym_POUND] = ACTIONS(868),
    [anon_sym_fallthrough] = ACTIONS(868),
    [anon_sym_break] = ACTIONS(868),
    [anon_sym_continue] = ACTIONS(868),
    [anon_sym_return] = ACTIONS(868),
    [anon_sym_defer] = ACTIONS(868),
    [anon_sym_if] = ACTIONS(868),
    [anon_sym_when] = ACTIONS(868),
    [anon_sym_for] = ACTIONS(868),
    [anon_sym_AMP] = ACTIONS(868),
    [anon_sym_switch] = ACTIONS(868),
    [anon_sym_new] = ACTIONS(868),
    [anon_sym_make] = ACTIONS(868),
    [anon_sym_cast] = ACTIONS(868),
    [anon_sym_auto_cast] = ACTIONS(868),
    [anon_sym_transmute] = ACTIONS(868),
    [anon_sym_DOT] = ACTIONS(868),
    [anon_sym_PLUS] = ACTIONS(868),
    [anon_sym_DASH] = ACTIONS(868),
    [anon_sym_BANG] = ACTIONS(868),
    [anon_sym_STAR] = ACTIONS(868),
    [anon_sym_LT_DASH] = ACTIONS(868),
    [anon_sym_PERCENT] = ACTIONS(868),
    [anon_sym_LT_LT] = ACTIONS(868),
    [anon_sym_GT_GT] = ACTIONS(868),
    [anon_sym_AMP_CARET] = ACTIONS(868),
    [anon_sym_EQ_EQ] = ACTIONS(868),
    [anon_sym_BANG_EQ] = ACTIONS(868),
    [anon_sym_LT] = ACTIONS(868),
    [anon_sym_LT_EQ] = ACTIONS(868),
    [anon_sym_GT] = ACTIONS(868),
    [anon_sym_GT_EQ] = ACTIONS(868),
    [anon_sym_AMP_AMP] = ACTIONS(868),
    [anon_sym_PIPE_PIPE] = ACTIONS(868),
    [sym_raw_string_literal] = ACTIONS(868),
    [anon_sym_DQUOTE] = ACTIONS(868),
    [sym_int_literal] = ACTIONS(868),
    [sym_float_literal] = ACTIONS(868),
    [sym_imaginary_literal] = ACTIONS(868),
    [sym_rune_literal] = ACTIONS(868),
    [sym_nil] = ACTIONS(868),
    [sym_true] = ACTIONS(868),
    [sym_false] = ACTIONS(868),
    [sym_comment] = ACTIONS(336),
  },
  [280] = {
    [sym_parenthesized_type] = STATE(1316),
    [sym__simple_type] = STATE(1316),
    [sym_generic_type] = STATE(1132),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1132),
    [sym_dynamic_array_type] = STATE(1132),
    [sym_implicit_length_array_type] = STATE(1132),
    [sym_slice_type] = STATE(1132),
    [sym_struct_type] = STATE(1132),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1132),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(520),
    [sym__expression] = STATE(491),
    [sym_cast_expression] = STATE(520),
    [sym_transmute_expression] = STATE(520),
    [sym_parenthesized_expression] = STATE(520),
    [sym_call_expression] = STATE(520),
    [sym_selector_expression] = STATE(520),
    [sym_index_expression] = STATE(520),
    [sym_slice_expression] = STATE(520),
    [sym_type_assertion_expression] = STATE(520),
    [sym_type_conversion_expression] = STATE(520),
    [sym_composite_literal] = STATE(520),
    [sym_literal_value] = STATE(529),
    [sym_unary_expression] = STATE(520),
    [sym_binary_expression] = STATE(520),
    [sym_qualified_type] = STATE(1132),
    [sym_interpreted_string_literal] = STATE(520),
    [sym_undefined] = STATE(520),
    [sym_identifier] = ACTIONS(316),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(296),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(578),
    [anon_sym_AMP] = ACTIONS(55),
    [anon_sym_new] = ACTIONS(59),
    [anon_sym_make] = ACTIONS(59),
    [anon_sym_cast] = ACTIONS(61),
    [anon_sym_auto_cast] = ACTIONS(63),
    [anon_sym_transmute] = ACTIONS(65),
    [anon_sym_DOT] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_LT_DASH] = ACTIONS(55),
    [sym_raw_string_literal] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [sym_int_literal] = ACTIONS(75),
    [sym_float_literal] = ACTIONS(75),
    [sym_imaginary_literal] = ACTIONS(71),
    [sym_rune_literal] = ACTIONS(71),
    [sym_nil] = ACTIONS(75),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
  },
  [281] = {
    [sym_parenthesized_type] = STATE(1254),
    [sym__simple_type] = STATE(1254),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(660),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [282] = {
    [sym_parenthesized_type] = STATE(1369),
    [sym__simple_type] = STATE(1369),
    [sym_generic_type] = STATE(1123),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1123),
    [sym_dynamic_array_type] = STATE(1123),
    [sym_implicit_length_array_type] = STATE(1123),
    [sym_slice_type] = STATE(1123),
    [sym_struct_type] = STATE(1123),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1123),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(627),
    [sym__expression] = STATE(564),
    [sym_cast_expression] = STATE(627),
    [sym_transmute_expression] = STATE(627),
    [sym_parenthesized_expression] = STATE(627),
    [sym_call_expression] = STATE(627),
    [sym_selector_expression] = STATE(627),
    [sym_index_expression] = STATE(627),
    [sym_slice_expression] = STATE(627),
    [sym_type_assertion_expression] = STATE(627),
    [sym_type_conversion_expression] = STATE(627),
    [sym_composite_literal] = STATE(627),
    [sym_literal_value] = STATE(633),
    [sym_unary_expression] = STATE(627),
    [sym_binary_expression] = STATE(627),
    [sym_qualified_type] = STATE(1123),
    [sym_interpreted_string_literal] = STATE(627),
    [sym_undefined] = STATE(627),
    [sym_identifier] = ACTIONS(870),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(658),
    [anon_sym_LBRACE] = ACTIONS(660),
    [anon_sym_LPAREN] = ACTIONS(662),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(664),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(666),
    [anon_sym_AMP] = ACTIONS(668),
    [anon_sym_new] = ACTIONS(670),
    [anon_sym_make] = ACTIONS(670),
    [anon_sym_cast] = ACTIONS(672),
    [anon_sym_auto_cast] = ACTIONS(674),
    [anon_sym_transmute] = ACTIONS(676),
    [anon_sym_DOT] = ACTIONS(678),
    [anon_sym_PLUS] = ACTIONS(668),
    [anon_sym_DASH] = ACTIONS(680),
    [anon_sym_BANG] = ACTIONS(668),
    [anon_sym_STAR] = ACTIONS(668),
    [anon_sym_LT_DASH] = ACTIONS(668),
    [sym_raw_string_literal] = ACTIONS(682),
    [anon_sym_DQUOTE] = ACTIONS(684),
    [sym_int_literal] = ACTIONS(686),
    [sym_float_literal] = ACTIONS(686),
    [sym_imaginary_literal] = ACTIONS(682),
    [sym_rune_literal] = ACTIONS(682),
    [sym_nil] = ACTIONS(686),
    [sym_true] = ACTIONS(686),
    [sym_false] = ACTIONS(686),
    [sym_comment] = ACTIONS(3),
  },
  [283] = {
    [ts_builtin_sym_end] = ACTIONS(872),
    [sym_identifier] = ACTIONS(874),
    [anon_sym_LF] = ACTIONS(872),
    [anon_sym_SEMI] = ACTIONS(874),
    [anon_sym_foreign] = ACTIONS(874),
    [anon_sym_import] = ACTIONS(874),
    [anon_sym_package] = ACTIONS(874),
    [anon_sym_COMMA] = ACTIONS(874),
    [anon_sym_struct] = ACTIONS(874),
    [anon_sym_enum] = ACTIONS(874),
    [anon_sym_union] = ACTIONS(874),
    [anon_sym_DASH_GT] = ACTIONS(874),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(874),
    [anon_sym_LBRACE] = ACTIONS(874),
    [anon_sym_LPAREN] = ACTIONS(874),
    [anon_sym_SLASH] = ACTIONS(874),
    [anon_sym_LBRACK] = ACTIONS(874),
    [anon_sym_CARET] = ACTIONS(874),
    [anon_sym_PIPE] = ACTIONS(874),
    [anon_sym_map] = ACTIONS(874),
    [anon_sym_func] = ACTIONS(874),
    [anon_sym_POUND] = ACTIONS(874),
    [anon_sym_fallthrough] = ACTIONS(874),
    [anon_sym_break] = ACTIONS(874),
    [anon_sym_continue] = ACTIONS(874),
    [anon_sym_return] = ACTIONS(874),
    [anon_sym_defer] = ACTIONS(874),
    [anon_sym_if] = ACTIONS(874),
    [anon_sym_when] = ACTIONS(874),
    [anon_sym_for] = ACTIONS(874),
    [anon_sym_AMP] = ACTIONS(874),
    [anon_sym_switch] = ACTIONS(874),
    [anon_sym_new] = ACTIONS(874),
    [anon_sym_make] = ACTIONS(874),
    [anon_sym_cast] = ACTIONS(874),
    [anon_sym_auto_cast] = ACTIONS(874),
    [anon_sym_transmute] = ACTIONS(874),
    [anon_sym_DOT] = ACTIONS(874),
    [anon_sym_PLUS] = ACTIONS(874),
    [anon_sym_DASH] = ACTIONS(874),
    [anon_sym_BANG] = ACTIONS(874),
    [anon_sym_STAR] = ACTIONS(874),
    [anon_sym_LT_DASH] = ACTIONS(874),
    [anon_sym_PERCENT] = ACTIONS(874),
    [anon_sym_LT_LT] = ACTIONS(874),
    [anon_sym_GT_GT] = ACTIONS(874),
    [anon_sym_AMP_CARET] = ACTIONS(874),
    [anon_sym_EQ_EQ] = ACTIONS(874),
    [anon_sym_BANG_EQ] = ACTIONS(874),
    [anon_sym_LT] = ACTIONS(874),
    [anon_sym_LT_EQ] = ACTIONS(874),
    [anon_sym_GT] = ACTIONS(874),
    [anon_sym_GT_EQ] = ACTIONS(874),
    [anon_sym_AMP_AMP] = ACTIONS(874),
    [anon_sym_PIPE_PIPE] = ACTIONS(874),
    [sym_raw_string_literal] = ACTIONS(874),
    [anon_sym_DQUOTE] = ACTIONS(874),
    [sym_int_literal] = ACTIONS(874),
    [sym_float_literal] = ACTIONS(874),
    [sym_imaginary_literal] = ACTIONS(874),
    [sym_rune_literal] = ACTIONS(874),
    [sym_nil] = ACTIONS(874),
    [sym_true] = ACTIONS(874),
    [sym_false] = ACTIONS(874),
    [sym_comment] = ACTIONS(336),
  },
  [284] = {
    [sym_parenthesized_type] = STATE(1316),
    [sym__simple_type] = STATE(1316),
    [sym_generic_type] = STATE(1132),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1132),
    [sym_dynamic_array_type] = STATE(1132),
    [sym_implicit_length_array_type] = STATE(1132),
    [sym_slice_type] = STATE(1132),
    [sym_struct_type] = STATE(1132),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1132),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(520),
    [sym__expression] = STATE(492),
    [sym_cast_expression] = STATE(520),
    [sym_transmute_expression] = STATE(520),
    [sym_parenthesized_expression] = STATE(520),
    [sym_call_expression] = STATE(520),
    [sym_selector_expression] = STATE(520),
    [sym_index_expression] = STATE(520),
    [sym_slice_expression] = STATE(520),
    [sym_type_assertion_expression] = STATE(520),
    [sym_type_conversion_expression] = STATE(520),
    [sym_composite_literal] = STATE(520),
    [sym_literal_value] = STATE(529),
    [sym_unary_expression] = STATE(520),
    [sym_binary_expression] = STATE(520),
    [sym_qualified_type] = STATE(1132),
    [sym_interpreted_string_literal] = STATE(520),
    [sym_undefined] = STATE(520),
    [sym_identifier] = ACTIONS(316),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(23),
    [anon_sym_LBRACE] = ACTIONS(296),
    [anon_sym_LPAREN] = ACTIONS(27),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(31),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(578),
    [anon_sym_AMP] = ACTIONS(55),
    [anon_sym_new] = ACTIONS(59),
    [anon_sym_make] = ACTIONS(59),
    [anon_sym_cast] = ACTIONS(61),
    [anon_sym_auto_cast] = ACTIONS(63),
    [anon_sym_transmute] = ACTIONS(65),
    [anon_sym_DOT] = ACTIONS(67),
    [anon_sym_PLUS] = ACTIONS(55),
    [anon_sym_DASH] = ACTIONS(69),
    [anon_sym_BANG] = ACTIONS(55),
    [anon_sym_STAR] = ACTIONS(55),
    [anon_sym_LT_DASH] = ACTIONS(55),
    [sym_raw_string_literal] = ACTIONS(71),
    [anon_sym_DQUOTE] = ACTIONS(73),
    [sym_int_literal] = ACTIONS(75),
    [sym_float_literal] = ACTIONS(75),
    [sym_imaginary_literal] = ACTIONS(71),
    [sym_rune_literal] = ACTIONS(71),
    [sym_nil] = ACTIONS(75),
    [sym_true] = ACTIONS(75),
    [sym_false] = ACTIONS(75),
    [sym_comment] = ACTIONS(3),
  },
  [285] = {
    [ts_builtin_sym_end] = ACTIONS(876),
    [sym_identifier] = ACTIONS(878),
    [anon_sym_LF] = ACTIONS(876),
    [anon_sym_SEMI] = ACTIONS(878),
    [anon_sym_foreign] = ACTIONS(878),
    [anon_sym_import] = ACTIONS(878),
    [anon_sym_package] = ACTIONS(878),
    [anon_sym_COMMA] = ACTIONS(878),
    [anon_sym_struct] = ACTIONS(878),
    [anon_sym_enum] = ACTIONS(878),
    [anon_sym_union] = ACTIONS(878),
    [anon_sym_DASH_GT] = ACTIONS(878),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(878),
    [anon_sym_LBRACE] = ACTIONS(878),
    [anon_sym_LPAREN] = ACTIONS(878),
    [anon_sym_SLASH] = ACTIONS(878),
    [anon_sym_LBRACK] = ACTIONS(878),
    [anon_sym_CARET] = ACTIONS(878),
    [anon_sym_PIPE] = ACTIONS(878),
    [anon_sym_map] = ACTIONS(878),
    [anon_sym_func] = ACTIONS(878),
    [anon_sym_POUND] = ACTIONS(878),
    [anon_sym_fallthrough] = ACTIONS(878),
    [anon_sym_break] = ACTIONS(878),
    [anon_sym_continue] = ACTIONS(878),
    [anon_sym_return] = ACTIONS(878),
    [anon_sym_defer] = ACTIONS(878),
    [anon_sym_if] = ACTIONS(878),
    [anon_sym_when] = ACTIONS(878),
    [anon_sym_for] = ACTIONS(878),
    [anon_sym_AMP] = ACTIONS(878),
    [anon_sym_switch] = ACTIONS(878),
    [anon_sym_new] = ACTIONS(878),
    [anon_sym_make] = ACTIONS(878),
    [anon_sym_cast] = ACTIONS(878),
    [anon_sym_auto_cast] = ACTIONS(878),
    [anon_sym_transmute] = ACTIONS(878),
    [anon_sym_DOT] = ACTIONS(878),
    [anon_sym_PLUS] = ACTIONS(878),
    [anon_sym_DASH] = ACTIONS(878),
    [anon_sym_BANG] = ACTIONS(878),
    [anon_sym_STAR] = ACTIONS(878),
    [anon_sym_LT_DASH] = ACTIONS(878),
    [anon_sym_PERCENT] = ACTIONS(878),
    [anon_sym_LT_LT] = ACTIONS(878),
    [anon_sym_GT_GT] = ACTIONS(878),
    [anon_sym_AMP_CARET] = ACTIONS(878),
    [anon_sym_EQ_EQ] = ACTIONS(878),
    [anon_sym_BANG_EQ] = ACTIONS(878),
    [anon_sym_LT] = ACTIONS(878),
    [anon_sym_LT_EQ] = ACTIONS(878),
    [anon_sym_GT] = ACTIONS(878),
    [anon_sym_GT_EQ] = ACTIONS(878),
    [anon_sym_AMP_AMP] = ACTIONS(878),
    [anon_sym_PIPE_PIPE] = ACTIONS(878),
    [sym_raw_string_literal] = ACTIONS(878),
    [anon_sym_DQUOTE] = ACTIONS(878),
    [sym_int_literal] = ACTIONS(878),
    [sym_float_literal] = ACTIONS(878),
    [sym_imaginary_literal] = ACTIONS(878),
    [sym_rune_literal] = ACTIONS(878),
    [sym_nil] = ACTIONS(878),
    [sym_true] = ACTIONS(878),
    [sym_false] = ACTIONS(878),
    [sym_comment] = ACTIONS(336),
  },
  [286] = {
    [sym_parenthesized_type] = STATE(934),
    [sym__simple_type] = STATE(934),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(439),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(590),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(274),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(276),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(278),
    [anon_sym_auto_cast] = ACTIONS(280),
    [anon_sym_transmute] = ACTIONS(282),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(276),
    [anon_sym_DASH] = ACTIONS(284),
    [anon_sym_BANG] = ACTIONS(276),
    [anon_sym_STAR] = ACTIONS(276),
    [anon_sym_LT_DASH] = ACTIONS(276),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [287] = {
    [sym_parenthesized_type] = STATE(1373),
    [sym__simple_type] = STATE(1373),
    [sym_generic_type] = STATE(1051),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1051),
    [sym_dynamic_array_type] = STATE(1051),
    [sym_implicit_length_array_type] = STATE(1051),
    [sym_slice_type] = STATE(1051),
    [sym_struct_type] = STATE(1051),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1051),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(185),
    [sym__expression] = STATE(78),
    [sym_cast_expression] = STATE(185),
    [sym_transmute_expression] = STATE(185),
    [sym_parenthesized_expression] = STATE(185),
    [sym_call_expression] = STATE(185),
    [sym_selector_expression] = STATE(185),
    [sym_index_expression] = STATE(185),
    [sym_slice_expression] = STATE(185),
    [sym_type_assertion_expression] = STATE(185),
    [sym_type_conversion_expression] = STATE(185),
    [sym_composite_literal] = STATE(185),
    [sym_literal_value] = STATE(187),
    [sym_unary_expression] = STATE(185),
    [sym_binary_expression] = STATE(185),
    [sym_qualified_type] = STATE(1051),
    [sym_interpreted_string_literal] = STATE(185),
    [sym_undefined] = STATE(185),
    [sym_identifier] = ACTIONS(688),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(690),
    [anon_sym_LBRACE] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(696),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(698),
    [anon_sym_AMP] = ACTIONS(700),
    [anon_sym_new] = ACTIONS(702),
    [anon_sym_make] = ACTIONS(702),
    [anon_sym_cast] = ACTIONS(704),
    [anon_sym_auto_cast] = ACTIONS(706),
    [anon_sym_transmute] = ACTIONS(708),
    [anon_sym_DOT] = ACTIONS(710),
    [anon_sym_PLUS] = ACTIONS(700),
    [anon_sym_DASH] = ACTIONS(712),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_STAR] = ACTIONS(700),
    [anon_sym_LT_DASH] = ACTIONS(700),
    [sym_raw_string_literal] = ACTIONS(714),
    [anon_sym_DQUOTE] = ACTIONS(716),
    [sym_int_literal] = ACTIONS(718),
    [sym_float_literal] = ACTIONS(718),
    [sym_imaginary_literal] = ACTIONS(714),
    [sym_rune_literal] = ACTIONS(714),
    [sym_nil] = ACTIONS(718),
    [sym_true] = ACTIONS(718),
    [sym_false] = ACTIONS(718),
    [sym_comment] = ACTIONS(3),
  },
  [288] = {
    [sym_parenthesized_type] = STATE(1373),
    [sym__simple_type] = STATE(1373),
    [sym_generic_type] = STATE(1051),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(1051),
    [sym_dynamic_array_type] = STATE(1051),
    [sym_implicit_length_array_type] = STATE(1051),
    [sym_slice_type] = STATE(1051),
    [sym_struct_type] = STATE(1051),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(1051),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(185),
    [sym__expression] = STATE(80),
    [sym_cast_expression] = STATE(185),
    [sym_transmute_expression] = STATE(185),
    [sym_parenthesized_expression] = STATE(185),
    [sym_call_expression] = STATE(185),
    [sym_selector_expression] = STATE(185),
    [sym_index_expression] = STATE(185),
    [sym_slice_expression] = STATE(185),
    [sym_type_assertion_expression] = STATE(185),
    [sym_type_conversion_expression] = STATE(185),
    [sym_composite_literal] = STATE(185),
    [sym_literal_value] = STATE(187),
    [sym_unary_expression] = STATE(185),
    [sym_binary_expression] = STATE(185),
    [sym_qualified_type] = STATE(1051),
    [sym_interpreted_string_literal] = STATE(185),
    [sym_undefined] = STATE(185),
    [sym_identifier] = ACTIONS(688),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(690),
    [anon_sym_LBRACE] = ACTIONS(692),
    [anon_sym_LPAREN] = ACTIONS(694),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(696),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(698),
    [anon_sym_AMP] = ACTIONS(700),
    [anon_sym_new] = ACTIONS(702),
    [anon_sym_make] = ACTIONS(702),
    [anon_sym_cast] = ACTIONS(704),
    [anon_sym_auto_cast] = ACTIONS(706),
    [anon_sym_transmute] = ACTIONS(708),
    [anon_sym_DOT] = ACTIONS(710),
    [anon_sym_PLUS] = ACTIONS(700),
    [anon_sym_DASH] = ACTIONS(712),
    [anon_sym_BANG] = ACTIONS(700),
    [anon_sym_STAR] = ACTIONS(700),
    [anon_sym_LT_DASH] = ACTIONS(700),
    [sym_raw_string_literal] = ACTIONS(714),
    [anon_sym_DQUOTE] = ACTIONS(716),
    [sym_int_literal] = ACTIONS(718),
    [sym_float_literal] = ACTIONS(718),
    [sym_imaginary_literal] = ACTIONS(714),
    [sym_rune_literal] = ACTIONS(714),
    [sym_nil] = ACTIONS(718),
    [sym_true] = ACTIONS(718),
    [sym_false] = ACTIONS(718),
    [sym_comment] = ACTIONS(3),
  },
  [289] = {
    [ts_builtin_sym_end] = ACTIONS(880),
    [sym_identifier] = ACTIONS(882),
    [anon_sym_LF] = ACTIONS(880),
    [anon_sym_SEMI] = ACTIONS(882),
    [anon_sym_foreign] = ACTIONS(882),
    [anon_sym_import] = ACTIONS(882),
    [anon_sym_package] = ACTIONS(882),
    [anon_sym_COMMA] = ACTIONS(882),
    [anon_sym_struct] = ACTIONS(882),
    [anon_sym_enum] = ACTIONS(882),
    [anon_sym_union] = ACTIONS(882),
    [anon_sym_DASH_GT] = ACTIONS(882),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(882),
    [anon_sym_LBRACE] = ACTIONS(882),
    [anon_sym_LPAREN] = ACTIONS(882),
    [anon_sym_SLASH] = ACTIONS(882),
    [anon_sym_LBRACK] = ACTIONS(882),
    [anon_sym_CARET] = ACTIONS(882),
    [anon_sym_PIPE] = ACTIONS(882),
    [anon_sym_map] = ACTIONS(882),
    [anon_sym_func] = ACTIONS(882),
    [anon_sym_POUND] = ACTIONS(882),
    [anon_sym_fallthrough] = ACTIONS(882),
    [anon_sym_break] = ACTIONS(882),
    [anon_sym_continue] = ACTIONS(882),
    [anon_sym_return] = ACTIONS(882),
    [anon_sym_defer] = ACTIONS(882),
    [anon_sym_if] = ACTIONS(882),
    [anon_sym_when] = ACTIONS(882),
    [anon_sym_for] = ACTIONS(882),
    [anon_sym_AMP] = ACTIONS(882),
    [anon_sym_switch] = ACTIONS(882),
    [anon_sym_new] = ACTIONS(882),
    [anon_sym_make] = ACTIONS(882),
    [anon_sym_cast] = ACTIONS(882),
    [anon_sym_auto_cast] = ACTIONS(882),
    [anon_sym_transmute] = ACTIONS(882),
    [anon_sym_DOT] = ACTIONS(882),
    [anon_sym_PLUS] = ACTIONS(882),
    [anon_sym_DASH] = ACTIONS(882),
    [anon_sym_BANG] = ACTIONS(882),
    [anon_sym_STAR] = ACTIONS(882),
    [anon_sym_LT_DASH] = ACTIONS(882),
    [anon_sym_PERCENT] = ACTIONS(882),
    [anon_sym_LT_LT] = ACTIONS(882),
    [anon_sym_GT_GT] = ACTIONS(882),
    [anon_sym_AMP_CARET] = ACTIONS(882),
    [anon_sym_EQ_EQ] = ACTIONS(882),
    [anon_sym_BANG_EQ] = ACTIONS(882),
    [anon_sym_LT] = ACTIONS(882),
    [anon_sym_LT_EQ] = ACTIONS(882),
    [anon_sym_GT] = ACTIONS(882),
    [anon_sym_GT_EQ] = ACTIONS(882),
    [anon_sym_AMP_AMP] = ACTIONS(882),
    [anon_sym_PIPE_PIPE] = ACTIONS(882),
    [sym_raw_string_literal] = ACTIONS(882),
    [anon_sym_DQUOTE] = ACTIONS(882),
    [sym_int_literal] = ACTIONS(882),
    [sym_float_literal] = ACTIONS(882),
    [sym_imaginary_literal] = ACTIONS(882),
    [sym_rune_literal] = ACTIONS(882),
    [sym_nil] = ACTIONS(882),
    [sym_true] = ACTIONS(882),
    [sym_false] = ACTIONS(882),
    [sym_comment] = ACTIONS(336),
  },
  [290] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(628),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
  [291] = {
    [ts_builtin_sym_end] = ACTIONS(884),
    [sym_identifier] = ACTIONS(886),
    [anon_sym_LF] = ACTIONS(884),
    [anon_sym_SEMI] = ACTIONS(886),
    [anon_sym_foreign] = ACTIONS(886),
    [anon_sym_import] = ACTIONS(886),
    [anon_sym_package] = ACTIONS(886),
    [anon_sym_COMMA] = ACTIONS(886),
    [anon_sym_struct] = ACTIONS(886),
    [anon_sym_enum] = ACTIONS(886),
    [anon_sym_union] = ACTIONS(886),
    [anon_sym_DASH_GT] = ACTIONS(886),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(886),
    [anon_sym_LBRACE] = ACTIONS(886),
    [anon_sym_LPAREN] = ACTIONS(886),
    [anon_sym_SLASH] = ACTIONS(886),
    [anon_sym_LBRACK] = ACTIONS(886),
    [anon_sym_CARET] = ACTIONS(886),
    [anon_sym_PIPE] = ACTIONS(886),
    [anon_sym_map] = ACTIONS(886),
    [anon_sym_func] = ACTIONS(886),
    [anon_sym_POUND] = ACTIONS(886),
    [anon_sym_fallthrough] = ACTIONS(886),
    [anon_sym_break] = ACTIONS(886),
    [anon_sym_continue] = ACTIONS(886),
    [anon_sym_return] = ACTIONS(886),
    [anon_sym_defer] = ACTIONS(886),
    [anon_sym_if] = ACTIONS(886),
    [anon_sym_when] = ACTIONS(886),
    [anon_sym_for] = ACTIONS(886),
    [anon_sym_AMP] = ACTIONS(886),
    [anon_sym_switch] = ACTIONS(886),
    [anon_sym_new] = ACTIONS(886),
    [anon_sym_make] = ACTIONS(886),
    [anon_sym_cast] = ACTIONS(886),
    [anon_sym_auto_cast] = ACTIONS(886),
    [anon_sym_transmute] = ACTIONS(886),
    [anon_sym_DOT] = ACTIONS(886),
    [anon_sym_PLUS] = ACTIONS(886),
    [anon_sym_DASH] = ACTIONS(886),
    [anon_sym_BANG] = ACTIONS(886),
    [anon_sym_STAR] = ACTIONS(886),
    [anon_sym_LT_DASH] = ACTIONS(886),
    [anon_sym_PERCENT] = ACTIONS(886),
    [anon_sym_LT_LT] = ACTIONS(886),
    [anon_sym_GT_GT] = ACTIONS(886),
    [anon_sym_AMP_CARET] = ACTIONS(886),
    [anon_sym_EQ_EQ] = ACTIONS(886),
    [anon_sym_BANG_EQ] = ACTIONS(886),
    [anon_sym_LT] = ACTIONS(886),
    [anon_sym_LT_EQ] = ACTIONS(886),
    [anon_sym_GT] = ACTIONS(886),
    [anon_sym_GT_EQ] = ACTIONS(886),
    [anon_sym_AMP_AMP] = ACTIONS(886),
    [anon_sym_PIPE_PIPE] = ACTIONS(886),
    [sym_raw_string_literal] = ACTIONS(886),
    [anon_sym_DQUOTE] = ACTIONS(886),
    [sym_int_literal] = ACTIONS(886),
    [sym_float_literal] = ACTIONS(886),
    [sym_imaginary_literal] = ACTIONS(886),
    [sym_rune_literal] = ACTIONS(886),
    [sym_nil] = ACTIONS(886),
    [sym_true] = ACTIONS(886),
    [sym_false] = ACTIONS(886),
    [sym_comment] = ACTIONS(336),
  },
  [292] = {
    [ts_builtin_sym_end] = ACTIONS(888),
    [sym_identifier] = ACTIONS(890),
    [anon_sym_LF] = ACTIONS(888),
    [anon_sym_SEMI] = ACTIONS(890),
    [anon_sym_foreign] = ACTIONS(890),
    [anon_sym_import] = ACTIONS(890),
    [anon_sym_package] = ACTIONS(890),
    [anon_sym_COMMA] = ACTIONS(890),
    [anon_sym_struct] = ACTIONS(890),
    [anon_sym_enum] = ACTIONS(890),
    [anon_sym_union] = ACTIONS(890),
    [anon_sym_DASH_GT] = ACTIONS(890),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(890),
    [anon_sym_LBRACE] = ACTIONS(890),
    [anon_sym_LPAREN] = ACTIONS(890),
    [anon_sym_SLASH] = ACTIONS(890),
    [anon_sym_LBRACK] = ACTIONS(890),
    [anon_sym_CARET] = ACTIONS(890),
    [anon_sym_PIPE] = ACTIONS(890),
    [anon_sym_map] = ACTIONS(890),
    [anon_sym_func] = ACTIONS(890),
    [anon_sym_POUND] = ACTIONS(890),
    [anon_sym_fallthrough] = ACTIONS(890),
    [anon_sym_break] = ACTIONS(890),
    [anon_sym_continue] = ACTIONS(890),
    [anon_sym_return] = ACTIONS(890),
    [anon_sym_defer] = ACTIONS(890),
    [anon_sym_if] = ACTIONS(890),
    [anon_sym_when] = ACTIONS(890),
    [anon_sym_for] = ACTIONS(890),
    [anon_sym_AMP] = ACTIONS(890),
    [anon_sym_switch] = ACTIONS(890),
    [anon_sym_new] = ACTIONS(890),
    [anon_sym_make] = ACTIONS(890),
    [anon_sym_cast] = ACTIONS(890),
    [anon_sym_auto_cast] = ACTIONS(890),
    [anon_sym_transmute] = ACTIONS(890),
    [anon_sym_DOT] = ACTIONS(890),
    [anon_sym_PLUS] = ACTIONS(890),
    [anon_sym_DASH] = ACTIONS(890),
    [anon_sym_BANG] = ACTIONS(890),
    [anon_sym_STAR] = ACTIONS(890),
    [anon_sym_LT_DASH] = ACTIONS(890),
    [anon_sym_PERCENT] = ACTIONS(890),
    [anon_sym_LT_LT] = ACTIONS(890),
    [anon_sym_GT_GT] = ACTIONS(890),
    [anon_sym_AMP_CARET] = ACTIONS(890),
    [anon_sym_EQ_EQ] = ACTIONS(890),
    [anon_sym_BANG_EQ] = ACTIONS(890),
    [anon_sym_LT] = ACTIONS(890),
    [anon_sym_LT_EQ] = ACTIONS(890),
    [anon_sym_GT] = ACTIONS(890),
    [anon_sym_GT_EQ] = ACTIONS(890),
    [anon_sym_AMP_AMP] = ACTIONS(890),
    [anon_sym_PIPE_PIPE] = ACTIONS(890),
    [sym_raw_string_literal] = ACTIONS(890),
    [anon_sym_DQUOTE] = ACTIONS(890),
    [sym_int_literal] = ACTIONS(890),
    [sym_float_literal] = ACTIONS(890),
    [sym_imaginary_literal] = ACTIONS(890),
    [sym_rune_literal] = ACTIONS(890),
    [sym_nil] = ACTIONS(890),
    [sym_true] = ACTIONS(890),
    [sym_false] = ACTIONS(890),
    [sym_comment] = ACTIONS(336),
  },
  [293] = {
    [sym_parenthesized_type] = STATE(1364),
    [sym__simple_type] = STATE(1364),
    [sym_generic_type] = STATE(875),
    [sym_pointer_type] = STATE(814),
    [sym_array_type] = STATE(875),
    [sym_dynamic_array_type] = STATE(875),
    [sym_implicit_length_array_type] = STATE(875),
    [sym_slice_type] = STATE(875),
    [sym_struct_type] = STATE(875),
    [sym_enum_type] = STATE(814),
    [sym_union_type] = STATE(814),
    [sym_map_type] = STATE(875),
    [sym_function_type] = STATE(814),
    [sym_function_directive] = STATE(474),
    [sym__expression] = STATE(625),
    [sym_cast_expression] = STATE(474),
    [sym_transmute_expression] = STATE(474),
    [sym_parenthesized_expression] = STATE(474),
    [sym_call_expression] = STATE(474),
    [sym_selector_expression] = STATE(474),
    [sym_index_expression] = STATE(474),
    [sym_slice_expression] = STATE(474),
    [sym_type_assertion_expression] = STATE(474),
    [sym_type_conversion_expression] = STATE(474),
    [sym_composite_literal] = STATE(474),
    [sym_literal_value] = STATE(478),
    [sym_unary_expression] = STATE(474),
    [sym_binary_expression] = STATE(474),
    [sym_qualified_type] = STATE(875),
    [sym_interpreted_string_literal] = STATE(474),
    [sym_undefined] = STATE(474),
    [sym_identifier] = ACTIONS(226),
    [anon_sym_struct] = ACTIONS(17),
    [anon_sym_enum] = ACTIONS(19),
    [anon_sym_union] = ACTIONS(21),
    [anon_sym_DASH_DASH_DASH] = ACTIONS(228),
    [anon_sym_LBRACE] = ACTIONS(230),
    [anon_sym_LPAREN] = ACTIONS(234),
    [anon_sym_LBRACK] = ACTIONS(29),
    [anon_sym_CARET] = ACTIONS(236),
    [anon_sym_map] = ACTIONS(33),
    [anon_sym_func] = ACTIONS(35),
    [anon_sym_POUND] = ACTIONS(238),
    [anon_sym_AMP] = ACTIONS(240),
    [anon_sym_new] = ACTIONS(244),
    [anon_sym_make] = ACTIONS(244),
    [anon_sym_cast] = ACTIONS(246),
    [anon_sym_auto_cast] = ACTIONS(248),
    [anon_sym_transmute] = ACTIONS(250),
    [anon_sym_DOT] = ACTIONS(252),
    [anon_sym_PLUS] = ACTIONS(240),
    [anon_sym_DASH] = ACTIONS(254),
    [anon_sym_BANG] = ACTIONS(240),
    [anon_sym_STAR] = ACTIONS(240),
    [anon_sym_LT_DASH] = ACTIONS(240),
    [sym_raw_string_literal] = ACTIONS(256),
    [anon_sym_DQUOTE] = ACTIONS(258),
    [sym_int_literal] = ACTIONS(260),
    [sym_float_literal] = ACTIONS(260),
    [sym_imaginary_literal] = ACTIONS(256),
    [sym_rune_literal] = ACTIONS(256),
    [sym_nil] = ACTIONS(260),
    [sym_true] = ACTIONS(260),
    [sym_false] = ACTIONS(260),
    [sym_comment] = ACTIONS(3),
  },
};

static const uint16_t ts_small_parse_table[] = {
  [0] = 17,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(460), 1,
      sym_identifier,
    ACTIONS(468), 1,
      anon_sym_struct,
    ACTIONS(470), 1,
      anon_sym_enum,
    ACTIONS(472), 1,
      anon_sym_union,
    ACTIONS(478), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      anon_sym_LPAREN,
    ACTIONS(484), 1,
      anon_sym_LBRACK,
    ACTIONS(486), 1,
      anon_sym_CARET,
    ACTIONS(488), 1,
      anon_sym_map,
    ACTIONS(490), 1,
      anon_sym_func,
    ACTIONS(770), 1,
      anon_sym_DASH_DASH_DASH,
    STATE(326), 1,
      sym_block,
    ACTIONS(764), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(312), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(376), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
    ACTIONS(766), 35,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [99] = 17,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(460), 1,
      sym_identifier,
    ACTIONS(468), 1,
      anon_sym_struct,
    ACTIONS(470), 1,
      anon_sym_enum,
    ACTIONS(472), 1,
      anon_sym_union,
    ACTIONS(478), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      anon_sym_LPAREN,
    ACTIONS(484), 1,
      anon_sym_LBRACK,
    ACTIONS(486), 1,
      anon_sym_CARET,
    ACTIONS(488), 1,
      anon_sym_map,
    ACTIONS(490), 1,
      anon_sym_func,
    ACTIONS(826), 1,
      anon_sym_DASH_DASH_DASH,
    STATE(315), 1,
      sym_block,
    ACTIONS(820), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(307), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(376), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
    ACTIONS(822), 35,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [198] = 17,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(460), 1,
      sym_identifier,
    ACTIONS(468), 1,
      anon_sym_struct,
    ACTIONS(470), 1,
      anon_sym_enum,
    ACTIONS(472), 1,
      anon_sym_union,
    ACTIONS(478), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      anon_sym_LPAREN,
    ACTIONS(484), 1,
      anon_sym_LBRACK,
    ACTIONS(486), 1,
      anon_sym_CARET,
    ACTIONS(488), 1,
      anon_sym_map,
    ACTIONS(490), 1,
      anon_sym_func,
    ACTIONS(896), 1,
      anon_sym_DASH_DASH_DASH,
    STATE(352), 1,
      sym_block,
    ACTIONS(892), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(309), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(376), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
    ACTIONS(894), 35,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [297] = 17,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(460), 1,
      sym_identifier,
    ACTIONS(468), 1,
      anon_sym_struct,
    ACTIONS(470), 1,
      anon_sym_enum,
    ACTIONS(472), 1,
      anon_sym_union,
    ACTIONS(478), 1,
      anon_sym_LBRACE,
    ACTIONS(482), 1,
      anon_sym_LPAREN,
    ACTIONS(484), 1,
      anon_sym_LBRACK,
    ACTIONS(486), 1,
      anon_sym_CARET,
    ACTIONS(488), 1,
      anon_sym_map,
    ACTIONS(490), 1,
      anon_sym_func,
    ACTIONS(902), 1,
      anon_sym_DASH_DASH_DASH,
    STATE(346), 1,
      sym_block,
    ACTIONS(898), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(308), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(376), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
    ACTIONS(900), 35,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [396] = 14,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(906), 1,
      sym_identifier,
    ACTIONS(911), 1,
      anon_sym_struct,
    ACTIONS(914), 1,
      anon_sym_enum,
    ACTIONS(917), 1,
      anon_sym_union,
    ACTIONS(920), 1,
      anon_sym_LPAREN,
    ACTIONS(923), 1,
      anon_sym_LBRACK,
    ACTIONS(926), 1,
      anon_sym_CARET,
    ACTIONS(929), 1,
      anon_sym_map,
    ACTIONS(932), 1,
      anon_sym_func,
    ACTIONS(904), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    STATE(317), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(376), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
    ACTIONS(909), 37,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [488] = 5,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(392), 1,
      anon_sym_COMMA,
    STATE(300), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(438), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(440), 47,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [551] = 5,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(935), 1,
      anon_sym_COMMA,
    STATE(300), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(552), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(554), 47,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [614] = 5,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(392), 1,
      anon_sym_COMMA,
    STATE(300), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(938), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(940), 47,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [677] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(942), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(944), 48,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [735] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(946), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(948), 48,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [793] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(950), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(952), 48,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [851] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(954), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(956), 48,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [909] = 6,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(962), 1,
      anon_sym_LBRACK,
    ACTIONS(965), 1,
      anon_sym_DOT,
    STATE(363), 1,
      sym_type_arguments,
    ACTIONS(958), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(960), 44,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [972] = 6,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(478), 1,
      anon_sym_LBRACE,
    ACTIONS(972), 1,
      anon_sym_DASH_DASH_DASH,
    STATE(350), 1,
      sym_block,
    ACTIONS(968), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(970), 44,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [1035] = 6,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(478), 1,
      anon_sym_LBRACE,
    ACTIONS(978), 1,
      anon_sym_DASH_DASH_DASH,
    STATE(341), 1,
      sym_block,
    ACTIONS(974), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(976), 44,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [1098] = 6,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(478), 1,
      anon_sym_LBRACE,
    ACTIONS(984), 1,
      anon_sym_DASH_DASH_DASH,
    STATE(336), 1,
      sym_block,
    ACTIONS(980), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(982), 44,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [1161] = 6,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(478), 1,
      anon_sym_LBRACE,
    ACTIONS(990), 1,
      anon_sym_DASH_DASH_DASH,
    STATE(331), 1,
      sym_block,
    ACTIONS(986), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(988), 44,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [1224] = 6,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(478), 1,
      anon_sym_LBRACE,
    ACTIONS(996), 1,
      anon_sym_DASH_DASH_DASH,
    STATE(362), 1,
      sym_block,
    ACTIONS(992), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(994), 44,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [1287] = 6,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(478), 1,
      anon_sym_LBRACE,
    ACTIONS(1002), 1,
      anon_sym_DASH_DASH_DASH,
    STATE(351), 1,
      sym_block,
    ACTIONS(998), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1000), 44,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [1350] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1004), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1006), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [1406] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1008), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1010), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [1462] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1012), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1014), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [1518] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1016), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1018), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [1574] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1020), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1022), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [1630] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1024), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1026), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [1686] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1028), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1030), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [1742] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1032), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1034), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [1798] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1036), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1038), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [1854] = 5,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1040), 1,
      ts_builtin_sym_end,
    ACTIONS(1044), 1,
      anon_sym_LF,
    ACTIONS(1046), 1,
      anon_sym_SEMI,
    ACTIONS(1042), 45,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [1914] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(898), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(900), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [1970] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1049), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1051), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [2026] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1053), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1055), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [2082] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1057), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1059), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [2138] = 5,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1040), 1,
      ts_builtin_sym_end,
    ACTIONS(1061), 1,
      anon_sym_LF,
    ACTIONS(1063), 1,
      anon_sym_SEMI,
    ACTIONS(1042), 45,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [2198] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1065), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1067), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [2254] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1069), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1071), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [2310] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1073), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1075), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [2366] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1077), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1079), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [2422] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1081), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1083), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [2478] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(820), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(822), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [2534] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1085), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1087), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [2590] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1089), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1091), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [2646] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1093), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1095), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [2702] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1097), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1099), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [2758] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1101), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1103), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [2814] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1105), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1107), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [2870] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1109), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1111), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [2926] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1113), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1115), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [2982] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1117), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1119), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [3038] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1121), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1123), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [3094] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(892), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(894), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [3150] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1125), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1127), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [3206] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1129), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1131), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [3262] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1133), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1135), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [3318] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1137), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1139), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [3374] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1141), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1143), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [3430] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1145), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1147), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [3486] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1149), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1151), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [3542] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1153), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1155), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [3598] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1157), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1159), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [3654] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1161), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1163), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [3710] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1165), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1167), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [3766] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1169), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1171), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [3822] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1173), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1175), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [3878] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(720), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(722), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [3934] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1177), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1179), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [3990] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1181), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1183), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [4046] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1185), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1187), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [4102] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1189), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1191), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [4158] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1193), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1195), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [4214] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1197), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1199), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [4270] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1201), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1203), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [4326] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(764), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(766), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [4382] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1205), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1207), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [4438] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1209), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1211), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [4494] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1213), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1215), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [4550] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1217), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1219), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [4606] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1221), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1223), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [4662] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1225), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1227), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [4718] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1229), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1231), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [4774] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1233), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1235), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [4830] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1237), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1239), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [4886] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1241), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(1243), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [4942] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(724), 2,
      ts_builtin_sym_end,
      anon_sym_LF,
    ACTIONS(726), 46,
      anon_sym_SEMI,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_POUND,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_AMP,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_identifier,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_int_literal,
      sym_float_literal,
      sym_imaginary_literal,
      sym_rune_literal,
      sym_nil,
      sym_true,
      sym_false,
  [4998] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(79), 17,
      ts_builtin_sym_end,
      anon_sym_SEMI,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_POUND,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_BANG,
      anon_sym_STAR,
      anon_sym_LT_DASH,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
      sym_imaginary_literal,
      sym_rune_literal,
    ACTIONS(1245), 30,
      anon_sym_foreign,
      anon_sym_import,
      anon_sym_package,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_map,
      anon_sym_func,
      anon_sym_fallthrough,
      anon_sym_break,
      anon_sym_continue,
      anon_sym_return,
      anon_sym_defer,
      anon_sym_if,
      anon_sym_when,
      anon_sym_for,
      anon_sym_switch,
      anon_sym_new,
      anon_sym_make,
      anon_sym_cast,
      anon_sym_auto_cast,
      anon_sym_transmute,
      anon_sym_DOT,
      anon_sym_DASH,
      sym_identifier,
      sym_int_literal,
      sym_float_literal,
      sym_nil,
      sym_true,
      sym_false,
  [5053] = 12,
    ACTIONS(324), 1,
      anon_sym_LBRACE,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(522), 1,
      anon_sym_LF,
    ACTIONS(1247), 1,
      anon_sym_COMMA,
    ACTIONS(1249), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1251), 1,
      anon_sym_COLON,
    ACTIONS(1255), 1,
      anon_sym_COLON_EQ,
    STATE(526), 1,
      sym_literal_value,
    STATE(791), 1,
      aux_sym_const_declaration_repeat1,
    STATE(828), 1,
      sym_type_arguments,
    ACTIONS(1253), 12,
      anon_sym_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(524), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [5125] = 12,
    ACTIONS(324), 1,
      anon_sym_LBRACE,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(522), 1,
      anon_sym_LF,
    ACTIONS(1247), 1,
      anon_sym_COMMA,
    ACTIONS(1249), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1255), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1257), 1,
      anon_sym_COLON,
    STATE(526), 1,
      sym_literal_value,
    STATE(791), 1,
      aux_sym_const_declaration_repeat1,
    STATE(828), 1,
      sym_type_arguments,
    ACTIONS(1253), 12,
      anon_sym_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(524), 25,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [5197] = 11,
    ACTIONS(324), 1,
      anon_sym_LBRACE,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(522), 1,
      anon_sym_LF,
    ACTIONS(1249), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1255), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1257), 1,
      anon_sym_COLON,
    STATE(526), 1,
      sym_literal_value,
    STATE(791), 1,
      aux_sym_const_declaration_repeat1,
    STATE(828), 1,
      sym_type_arguments,
    ACTIONS(1253), 11,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(524), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [5266] = 12,
    ACTIONS(324), 1,
      anon_sym_LBRACE,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(522), 1,
      anon_sym_LF,
    ACTIONS(1247), 1,
      anon_sym_COMMA,
    ACTIONS(1251), 1,
      anon_sym_COLON,
    ACTIONS(1255), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1259), 1,
      anon_sym_COLON_COLON,
    STATE(526), 1,
      sym_literal_value,
    STATE(791), 1,
      aux_sym_const_declaration_repeat1,
    STATE(828), 1,
      sym_type_arguments,
    ACTIONS(1253), 12,
      anon_sym_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(524), 23,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [5336] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1261), 1,
      anon_sym_COMMA,
    ACTIONS(1263), 1,
      anon_sym_EQ,
    ACTIONS(1265), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1269), 1,
      anon_sym_in,
    STATE(462), 1,
      sym_literal_value,
    STATE(794), 1,
      aux_sym_const_declaration_repeat1,
    STATE(828), 1,
      sym_type_arguments,
    ACTIONS(522), 11,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1267), 11,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(524), 13,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
  [5402] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1263), 1,
      anon_sym_EQ,
    ACTIONS(1265), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1271), 1,
      anon_sym_COMMA,
    ACTIONS(1273), 1,
      anon_sym_in,
    STATE(462), 1,
      sym_literal_value,
    STATE(794), 1,
      aux_sym_const_declaration_repeat1,
    STATE(828), 1,
      sym_type_arguments,
    ACTIONS(522), 11,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1267), 11,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(524), 13,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
  [5468] = 11,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1263), 1,
      anon_sym_EQ,
    ACTIONS(1265), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1271), 1,
      anon_sym_COMMA,
    ACTIONS(1275), 1,
      anon_sym_in,
    STATE(462), 1,
      sym_literal_value,
    STATE(794), 1,
      aux_sym_const_declaration_repeat1,
    STATE(828), 1,
      sym_type_arguments,
    ACTIONS(522), 11,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1267), 11,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(524), 13,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
  [5534] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1263), 1,
      anon_sym_EQ,
    ACTIONS(1265), 1,
      anon_sym_COLON_EQ,
    ACTIONS(1271), 1,
      anon_sym_COMMA,
    STATE(462), 1,
      sym_literal_value,
    STATE(794), 1,
      aux_sym_const_declaration_repeat1,
    STATE(828), 1,
      sym_type_arguments,
    ACTIONS(522), 11,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1267), 11,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(524), 13,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
  [5597] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1271), 1,
      anon_sym_COMMA,
    ACTIONS(1277), 1,
      anon_sym_EQ,
    ACTIONS(1279), 1,
      anon_sym_COLON_EQ,
    STATE(462), 1,
      sym_literal_value,
    STATE(793), 1,
      aux_sym_const_declaration_repeat1,
    STATE(828), 1,
      sym_type_arguments,
    ACTIONS(522), 10,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_DOT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1281), 11,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
    ACTIONS(524), 13,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_LT,
      anon_sym_GT,
  [5659] = 15,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(388), 1,
      anon_sym_LF,
    ACTIONS(1283), 1,
      anon_sym_COMMA,
    ACTIONS(1285), 1,
      anon_sym_LPAREN,
    ACTIONS(1289), 1,
      anon_sym_LBRACK,
    ACTIONS(1293), 1,
      anon_sym_DOT,
    ACTIONS(1297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1299), 1,
      anon_sym_PIPE_PIPE,
    STATE(414), 1,
      sym_argument_list,
    STATE(782), 1,
      aux_sym_where_clause_repeat1,
    STATE(1248), 1,
      sym_type_arguments,
    ACTIONS(1291), 4,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1295), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1287), 7,
      anon_sym_SLASH,
      anon_sym_AMP,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(390), 12,
      anon_sym_SEMI,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_map,
      anon_sym_func,
      anon_sym_case,
      sym_identifier,
  [5730] = 15,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(438), 1,
      anon_sym_LF,
    ACTIONS(1283), 1,
      anon_sym_COMMA,
    ACTIONS(1285), 1,
      anon_sym_LPAREN,
    ACTIONS(1289), 1,
      anon_sym_LBRACK,
    ACTIONS(1293), 1,
      anon_sym_DOT,
    ACTIONS(1297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1299), 1,
      anon_sym_PIPE_PIPE,
    STATE(414), 1,
      sym_argument_list,
    STATE(783), 1,
      aux_sym_where_clause_repeat1,
    STATE(1248), 1,
      sym_type_arguments,
    ACTIONS(1291), 4,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1295), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1287), 7,
      anon_sym_SLASH,
      anon_sym_AMP,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(440), 12,
      anon_sym_SEMI,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_map,
      anon_sym_func,
      anon_sym_case,
      sym_identifier,
  [5801] = 13,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LF,
    ACTIONS(1285), 1,
      anon_sym_LPAREN,
    ACTIONS(1289), 1,
      anon_sym_LBRACK,
    ACTIONS(1293), 1,
      anon_sym_DOT,
    ACTIONS(1297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1299), 1,
      anon_sym_PIPE_PIPE,
    STATE(414), 1,
      sym_argument_list,
    STATE(1248), 1,
      sym_type_arguments,
    ACTIONS(1291), 4,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1295), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1287), 7,
      anon_sym_SLASH,
      anon_sym_AMP,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(542), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_map,
      anon_sym_func,
      anon_sym_case,
      sym_identifier,
  [5867] = 12,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(494), 1,
      anon_sym_LF,
    ACTIONS(1285), 1,
      anon_sym_LPAREN,
    ACTIONS(1289), 1,
      anon_sym_LBRACK,
    ACTIONS(1293), 1,
      anon_sym_DOT,
    ACTIONS(1297), 1,
      anon_sym_AMP_AMP,
    STATE(414), 1,
      sym_argument_list,
    STATE(1248), 1,
      sym_type_arguments,
    ACTIONS(1291), 4,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1295), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1287), 7,
      anon_sym_SLASH,
      anon_sym_AMP,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(496), 14,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_map,
      anon_sym_func,
      anon_sym_case,
      anon_sym_PIPE_PIPE,
      sym_identifier,
  [5931] = 11,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(494), 1,
      anon_sym_LF,
    ACTIONS(1285), 1,
      anon_sym_LPAREN,
    ACTIONS(1289), 1,
      anon_sym_LBRACK,
    ACTIONS(1293), 1,
      anon_sym_DOT,
    STATE(414), 1,
      sym_argument_list,
    STATE(1248), 1,
      sym_type_arguments,
    ACTIONS(1291), 4,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1295), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1287), 7,
      anon_sym_SLASH,
      anon_sym_AMP,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(496), 15,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_map,
      anon_sym_func,
      anon_sym_case,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      sym_identifier,
  [5993] = 13,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(502), 1,
      anon_sym_LF,
    ACTIONS(1285), 1,
      anon_sym_LPAREN,
    ACTIONS(1289), 1,
      anon_sym_LBRACK,
    ACTIONS(1293), 1,
      anon_sym_DOT,
    ACTIONS(1297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1299), 1,
      anon_sym_PIPE_PIPE,
    STATE(414), 1,
      sym_argument_list,
    STATE(1248), 1,
      sym_type_arguments,
    ACTIONS(1291), 4,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1295), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1287), 7,
      anon_sym_SLASH,
      anon_sym_AMP,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(504), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_map,
      anon_sym_func,
      anon_sym_case,
      sym_identifier,
  [6059] = 10,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(494), 1,
      anon_sym_LF,
    ACTIONS(1285), 1,
      anon_sym_LPAREN,
    ACTIONS(1289), 1,
      anon_sym_LBRACK,
    ACTIONS(1293), 1,
      anon_sym_DOT,
    STATE(414), 1,
      sym_argument_list,
    STATE(1248), 1,
      sym_type_arguments,
    ACTIONS(1291), 4,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1287), 7,
      anon_sym_SLASH,
      anon_sym_AMP,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(496), 21,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_map,
      anon_sym_func,
      anon_sym_case,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      sym_identifier,
  [6119] = 9,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(494), 1,
      anon_sym_LF,
    ACTIONS(1285), 1,
      anon_sym_LPAREN,
    ACTIONS(1289), 1,
      anon_sym_LBRACK,
    ACTIONS(1293), 1,
      anon_sym_DOT,
    STATE(414), 1,
      sym_argument_list,
    STATE(1248), 1,
      sym_type_arguments,
    ACTIONS(1287), 7,
      anon_sym_SLASH,
      anon_sym_AMP,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(496), 25,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_func,
      anon_sym_case,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      sym_identifier,
  [6177] = 8,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(494), 1,
      anon_sym_LF,
    ACTIONS(1285), 1,
      anon_sym_LPAREN,
    ACTIONS(1289), 1,
      anon_sym_LBRACK,
    ACTIONS(1293), 1,
      anon_sym_DOT,
    STATE(414), 1,
      sym_argument_list,
    STATE(1248), 1,
      sym_type_arguments,
    ACTIONS(496), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_func,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      sym_identifier,
  [6233] = 8,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(498), 1,
      anon_sym_LF,
    ACTIONS(1285), 1,
      anon_sym_LPAREN,
    ACTIONS(1289), 1,
      anon_sym_LBRACK,
    ACTIONS(1293), 1,
      anon_sym_DOT,
    STATE(414), 1,
      sym_argument_list,
    STATE(1248), 1,
      sym_type_arguments,
    ACTIONS(500), 32,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_func,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      sym_identifier,
  [6289] = 13,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(534), 1,
      anon_sym_LF,
    ACTIONS(1285), 1,
      anon_sym_LPAREN,
    ACTIONS(1289), 1,
      anon_sym_LBRACK,
    ACTIONS(1293), 1,
      anon_sym_DOT,
    ACTIONS(1297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1299), 1,
      anon_sym_PIPE_PIPE,
    STATE(414), 1,
      sym_argument_list,
    STATE(1248), 1,
      sym_type_arguments,
    ACTIONS(1291), 4,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1295), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1287), 7,
      anon_sym_SLASH,
      anon_sym_AMP,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(536), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_map,
      anon_sym_func,
      anon_sym_case,
      sym_identifier,
  [6355] = 5,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(522), 1,
      anon_sym_LF,
    STATE(411), 1,
      sym_literal_value,
    STATE(828), 1,
      sym_type_arguments,
    ACTIONS(524), 35,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_func,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      sym_identifier,
  [6405] = 13,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(552), 1,
      anon_sym_LF,
    ACTIONS(1285), 1,
      anon_sym_LPAREN,
    ACTIONS(1289), 1,
      anon_sym_LBRACK,
    ACTIONS(1293), 1,
      anon_sym_DOT,
    ACTIONS(1297), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1299), 1,
      anon_sym_PIPE_PIPE,
    STATE(414), 1,
      sym_argument_list,
    STATE(1248), 1,
      sym_type_arguments,
    ACTIONS(1291), 4,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1295), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1287), 7,
      anon_sym_SLASH,
      anon_sym_AMP,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(554), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_map,
      anon_sym_func,
      anon_sym_case,
      sym_identifier,
  [6471] = 5,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(522), 1,
      anon_sym_LF,
    ACTIONS(1301), 1,
      anon_sym_LPAREN,
    STATE(414), 1,
      sym_special_argument_list,
    ACTIONS(524), 34,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_func,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      sym_identifier,
  [6520] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(740), 1,
      anon_sym_LF,
    ACTIONS(742), 35,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_func,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      sym_identifier,
  [6564] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(522), 1,
      anon_sym_LF,
    ACTIONS(524), 35,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_func,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      sym_identifier,
  [6608] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(862), 1,
      anon_sym_LF,
    ACTIONS(864), 35,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_func,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      sym_identifier,
  [6652] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(856), 1,
      anon_sym_LF,
    ACTIONS(858), 35,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_func,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      sym_identifier,
  [6696] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(852), 1,
      anon_sym_LF,
    ACTIONS(854), 35,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_func,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      sym_identifier,
  [6740] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(844), 1,
      anon_sym_LF,
    ACTIONS(846), 35,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_func,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      sym_identifier,
  [6784] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(804), 1,
      anon_sym_LF,
    ACTIONS(806), 35,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_func,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      sym_identifier,
  [6828] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(778), 1,
      anon_sym_LF,
    ACTIONS(780), 35,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_func,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      sym_identifier,
  [6872] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(800), 1,
      anon_sym_LF,
    ACTIONS(802), 35,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_func,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      sym_identifier,
  [6916] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(774), 1,
      anon_sym_LF,
    ACTIONS(776), 35,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_func,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      sym_identifier,
  [6960] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(756), 1,
      anon_sym_LF,
    ACTIONS(758), 35,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_func,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      sym_identifier,
  [7004] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(876), 1,
      anon_sym_LF,
    ACTIONS(878), 35,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_func,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      sym_identifier,
  [7048] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(744), 1,
      anon_sym_LF,
    ACTIONS(746), 35,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_func,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      sym_identifier,
  [7092] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(748), 1,
      anon_sym_LF,
    ACTIONS(750), 35,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_func,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      sym_identifier,
  [7136] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(752), 1,
      anon_sym_LF,
    ACTIONS(754), 35,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_func,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      sym_identifier,
  [7180] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(782), 1,
      anon_sym_LF,
    ACTIONS(784), 35,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_func,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      sym_identifier,
  [7224] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(720), 1,
      anon_sym_LF,
    ACTIONS(722), 35,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_func,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      sym_identifier,
  [7268] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(808), 1,
      anon_sym_LF,
    ACTIONS(810), 35,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_func,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      sym_identifier,
  [7312] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(812), 1,
      anon_sym_LF,
    ACTIONS(814), 35,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_func,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      sym_identifier,
  [7356] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(724), 1,
      anon_sym_LF,
    ACTIONS(726), 35,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_func,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      sym_identifier,
  [7400] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(880), 1,
      anon_sym_LF,
    ACTIONS(882), 35,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_func,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      sym_identifier,
  [7444] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(732), 1,
      anon_sym_LF,
    ACTIONS(734), 35,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_func,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      sym_identifier,
  [7488] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(736), 1,
      anon_sym_LF,
    ACTIONS(738), 35,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_func,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      sym_identifier,
  [7532] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_LF,
    ACTIONS(798), 35,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_func,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      sym_identifier,
  [7576] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(872), 1,
      anon_sym_LF,
    ACTIONS(874), 35,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_func,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      sym_identifier,
  [7620] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(816), 1,
      anon_sym_LF,
    ACTIONS(818), 35,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_func,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      sym_identifier,
  [7664] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(888), 1,
      anon_sym_LF,
    ACTIONS(890), 35,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_func,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      sym_identifier,
  [7708] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(866), 1,
      anon_sym_LF,
    ACTIONS(868), 35,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_func,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      sym_identifier,
  [7752] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(848), 1,
      anon_sym_LF,
    ACTIONS(850), 35,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_func,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      sym_identifier,
  [7796] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(828), 1,
      anon_sym_LF,
    ACTIONS(830), 35,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_func,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      sym_identifier,
  [7840] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(840), 1,
      anon_sym_LF,
    ACTIONS(842), 35,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_func,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      sym_identifier,
  [7884] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(832), 1,
      anon_sym_LF,
    ACTIONS(834), 35,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_func,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      sym_identifier,
  [7928] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(836), 1,
      anon_sym_LF,
    ACTIONS(838), 35,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_func,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      sym_identifier,
  [7972] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(884), 1,
      anon_sym_LF,
    ACTIONS(886), 35,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_map,
      anon_sym_func,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
      sym_identifier,
  [8016] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1307), 1,
      anon_sym_DOT,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(496), 6,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(494), 22,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [8067] = 21,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(790), 1,
      anon_sym_struct,
    ACTIONS(792), 1,
      anon_sym_enum,
    ACTIONS(794), 1,
      anon_sym_union,
    ACTIONS(1309), 1,
      sym_identifier,
    ACTIONS(1311), 1,
      anon_sym_LF,
    ACTIONS(1313), 1,
      anon_sym_SEMI,
    ACTIONS(1315), 1,
      anon_sym_DASH_GT,
    ACTIONS(1317), 1,
      anon_sym_DASH_DASH_DASH,
    ACTIONS(1319), 1,
      anon_sym_LBRACE,
    ACTIONS(1321), 1,
      anon_sym_where,
    ACTIONS(1323), 1,
      anon_sym_LPAREN,
    ACTIONS(1325), 1,
      anon_sym_LBRACK,
    ACTIONS(1327), 1,
      anon_sym_CARET,
    ACTIONS(1329), 1,
      anon_sym_map,
    ACTIONS(1331), 1,
      anon_sym_func,
    STATE(463), 1,
      sym_where_clause,
    STATE(1038), 1,
      sym_block,
    ACTIONS(466), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    STATE(858), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(848), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [8144] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_LBRACE,
    STATE(462), 1,
      sym_literal_value,
    STATE(828), 1,
      sym_type_arguments,
    ACTIONS(524), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(522), 23,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [8191] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1307), 1,
      anon_sym_DOT,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(500), 6,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(498), 22,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [8242] = 21,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(790), 1,
      anon_sym_struct,
    ACTIONS(792), 1,
      anon_sym_enum,
    ACTIONS(794), 1,
      anon_sym_union,
    ACTIONS(1309), 1,
      sym_identifier,
    ACTIONS(1311), 1,
      anon_sym_LF,
    ACTIONS(1313), 1,
      anon_sym_SEMI,
    ACTIONS(1319), 1,
      anon_sym_LBRACE,
    ACTIONS(1321), 1,
      anon_sym_where,
    ACTIONS(1323), 1,
      anon_sym_LPAREN,
    ACTIONS(1325), 1,
      anon_sym_LBRACK,
    ACTIONS(1327), 1,
      anon_sym_CARET,
    ACTIONS(1329), 1,
      anon_sym_map,
    ACTIONS(1331), 1,
      anon_sym_func,
    ACTIONS(1333), 1,
      anon_sym_DASH_GT,
    ACTIONS(1335), 1,
      anon_sym_DASH_DASH_DASH,
    STATE(480), 1,
      sym_where_clause,
    STATE(1015), 1,
      sym_block,
    ACTIONS(546), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    STATE(863), 2,
      sym_parameter_list,
      sym__simple_type,
    STATE(848), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [8319] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(496), 1,
      anon_sym_EQ,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1307), 1,
      anon_sym_DOT,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(494), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [8381] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(536), 1,
      anon_sym_EQ,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1307), 1,
      anon_sym_DOT,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(534), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
  [8447] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(542), 1,
      anon_sym_EQ,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1307), 1,
      anon_sym_DOT,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(540), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
  [8513] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1353), 1,
      anon_sym_LPAREN,
    STATE(464), 1,
      sym_special_argument_list,
    ACTIONS(524), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(522), 23,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [8557] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(496), 1,
      anon_sym_EQ,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1307), 1,
      anon_sym_DOT,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(494), 8,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PIPE_PIPE,
  [8621] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1307), 1,
      anon_sym_DOT,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(496), 3,
      anon_sym_EQ,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(494), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [8679] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1307), 1,
      anon_sym_DOT,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(496), 4,
      anon_sym_EQ,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(494), 16,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [8733] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(504), 1,
      anon_sym_EQ,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1307), 1,
      anon_sym_DOT,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(502), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      anon_sym_DOT_DOT_DOT,
  [8799] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(738), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(736), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [8838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(842), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(840), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [8877] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(754), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(752), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [8916] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(750), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(748), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [8955] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(722), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(720), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [8994] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(742), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(740), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [9033] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(890), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(888), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [9072] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(868), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(866), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [9111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(854), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(852), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [9150] = 14,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(790), 1,
      anon_sym_struct,
    ACTIONS(792), 1,
      anon_sym_enum,
    ACTIONS(794), 1,
      anon_sym_union,
    ACTIONS(904), 1,
      anon_sym_LF,
    ACTIONS(1309), 1,
      sym_identifier,
    ACTIONS(1323), 1,
      anon_sym_LPAREN,
    ACTIONS(1325), 1,
      anon_sym_LBRACK,
    ACTIONS(1327), 1,
      anon_sym_CARET,
    ACTIONS(1329), 1,
      anon_sym_map,
    ACTIONS(1331), 1,
      anon_sym_func,
    STATE(840), 2,
      sym_parameter_list,
      sym__simple_type,
    ACTIONS(909), 7,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
    STATE(848), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [9211] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(882), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(880), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [9250] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(758), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(756), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [9289] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(864), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(862), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [9328] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(776), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(774), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [9367] = 18,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(764), 1,
      anon_sym_LF,
    ACTIONS(790), 1,
      anon_sym_struct,
    ACTIONS(792), 1,
      anon_sym_enum,
    ACTIONS(794), 1,
      anon_sym_union,
    ACTIONS(1309), 1,
      sym_identifier,
    ACTIONS(1319), 1,
      anon_sym_LBRACE,
    ACTIONS(1323), 1,
      anon_sym_LPAREN,
    ACTIONS(1325), 1,
      anon_sym_LBRACK,
    ACTIONS(1327), 1,
      anon_sym_CARET,
    ACTIONS(1329), 1,
      anon_sym_map,
    ACTIONS(1331), 1,
      anon_sym_func,
    ACTIONS(1355), 1,
      anon_sym_DASH_GT,
    ACTIONS(1357), 1,
      anon_sym_DASH_DASH_DASH,
    STATE(1027), 1,
      sym_block,
    STATE(864), 2,
      sym_parameter_list,
      sym__simple_type,
    ACTIONS(766), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
    STATE(848), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [9436] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(746), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(744), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [9475] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(814), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(812), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [9514] = 6,
    ACTIONS(324), 1,
      anon_sym_LBRACE,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(522), 1,
      anon_sym_LF,
    STATE(526), 1,
      sym_literal_value,
    STATE(828), 1,
      sym_type_arguments,
    ACTIONS(524), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [9559] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(780), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(778), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [9598] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(818), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(816), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [9637] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(810), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(808), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [9676] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(726), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(724), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [9715] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(830), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(828), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [9754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(886), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(884), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [9793] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(784), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(782), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [9832] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(524), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(522), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [9871] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(834), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(832), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [9910] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(848), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [9949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(798), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(796), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [9988] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(734), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(732), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [10027] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(878), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(876), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [10066] = 18,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(790), 1,
      anon_sym_struct,
    ACTIONS(792), 1,
      anon_sym_enum,
    ACTIONS(794), 1,
      anon_sym_union,
    ACTIONS(820), 1,
      anon_sym_LF,
    ACTIONS(1309), 1,
      sym_identifier,
    ACTIONS(1319), 1,
      anon_sym_LBRACE,
    ACTIONS(1323), 1,
      anon_sym_LPAREN,
    ACTIONS(1325), 1,
      anon_sym_LBRACK,
    ACTIONS(1327), 1,
      anon_sym_CARET,
    ACTIONS(1329), 1,
      anon_sym_map,
    ACTIONS(1331), 1,
      anon_sym_func,
    ACTIONS(1359), 1,
      anon_sym_DASH_GT,
    ACTIONS(1361), 1,
      anon_sym_DASH_DASH_DASH,
    STATE(1006), 1,
      sym_block,
    STATE(865), 2,
      sym_parameter_list,
      sym__simple_type,
    ACTIONS(822), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
    STATE(848), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [10135] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(858), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(856), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [10174] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(838), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(836), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [10213] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(806), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(804), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [10252] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(846), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(844), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [10291] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(802), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(800), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [10330] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(874), 7,
      anon_sym_EQ,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(872), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [10369] = 15,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1363), 1,
      anon_sym_LF,
    ACTIONS(1367), 1,
      anon_sym_COMMA,
    ACTIONS(1369), 1,
      anon_sym_LPAREN,
    ACTIONS(1373), 1,
      anon_sym_LBRACK,
    ACTIONS(1377), 1,
      anon_sym_DOT,
    ACTIONS(1381), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1383), 1,
      anon_sym_PIPE_PIPE,
    STATE(516), 1,
      sym_argument_list,
    STATE(872), 1,
      aux_sym_where_clause_repeat1,
    STATE(1192), 1,
      sym_type_arguments,
    ACTIONS(1365), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(1375), 4,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1379), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1371), 7,
      anon_sym_SLASH,
      anon_sym_AMP,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [10431] = 10,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(494), 1,
      anon_sym_LF,
    ACTIONS(1369), 1,
      anon_sym_LPAREN,
    ACTIONS(1373), 1,
      anon_sym_LBRACK,
    ACTIONS(1377), 1,
      anon_sym_DOT,
    STATE(516), 1,
      sym_argument_list,
    STATE(1192), 1,
      sym_type_arguments,
    ACTIONS(1375), 4,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1371), 7,
      anon_sym_SLASH,
      anon_sym_AMP,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(496), 13,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [10483] = 9,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(494), 1,
      anon_sym_LF,
    ACTIONS(1369), 1,
      anon_sym_LPAREN,
    ACTIONS(1373), 1,
      anon_sym_LBRACK,
    ACTIONS(1377), 1,
      anon_sym_DOT,
    STATE(516), 1,
      sym_argument_list,
    STATE(1192), 1,
      sym_type_arguments,
    ACTIONS(1371), 7,
      anon_sym_SLASH,
      anon_sym_AMP,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(496), 17,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_case,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [10533] = 12,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(494), 1,
      anon_sym_LF,
    ACTIONS(1369), 1,
      anon_sym_LPAREN,
    ACTIONS(1373), 1,
      anon_sym_LBRACK,
    ACTIONS(1377), 1,
      anon_sym_DOT,
    ACTIONS(1381), 1,
      anon_sym_AMP_AMP,
    STATE(516), 1,
      sym_argument_list,
    STATE(1192), 1,
      sym_type_arguments,
    ACTIONS(1375), 4,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(496), 6,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_PIPE_PIPE,
    ACTIONS(1379), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1371), 7,
      anon_sym_SLASH,
      anon_sym_AMP,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [10589] = 8,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(494), 1,
      anon_sym_LF,
    ACTIONS(1369), 1,
      anon_sym_LPAREN,
    ACTIONS(1373), 1,
      anon_sym_LBRACK,
    ACTIONS(1377), 1,
      anon_sym_DOT,
    STATE(516), 1,
      sym_argument_list,
    STATE(1192), 1,
      sym_type_arguments,
    ACTIONS(496), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [10637] = 13,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(502), 1,
      anon_sym_LF,
    ACTIONS(1369), 1,
      anon_sym_LPAREN,
    ACTIONS(1373), 1,
      anon_sym_LBRACK,
    ACTIONS(1377), 1,
      anon_sym_DOT,
    ACTIONS(1381), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1383), 1,
      anon_sym_PIPE_PIPE,
    STATE(516), 1,
      sym_argument_list,
    STATE(1192), 1,
      sym_type_arguments,
    ACTIONS(1375), 4,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(504), 5,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(1379), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1371), 7,
      anon_sym_SLASH,
      anon_sym_AMP,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [10695] = 8,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(498), 1,
      anon_sym_LF,
    ACTIONS(1369), 1,
      anon_sym_LPAREN,
    ACTIONS(1373), 1,
      anon_sym_LBRACK,
    ACTIONS(1377), 1,
      anon_sym_DOT,
    STATE(516), 1,
      sym_argument_list,
    STATE(1192), 1,
      sym_type_arguments,
    ACTIONS(500), 24,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_SLASH,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [10743] = 11,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(494), 1,
      anon_sym_LF,
    ACTIONS(1369), 1,
      anon_sym_LPAREN,
    ACTIONS(1373), 1,
      anon_sym_LBRACK,
    ACTIONS(1377), 1,
      anon_sym_DOT,
    STATE(516), 1,
      sym_argument_list,
    STATE(1192), 1,
      sym_type_arguments,
    ACTIONS(1375), 4,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1379), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(496), 7,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1371), 7,
      anon_sym_SLASH,
      anon_sym_AMP,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [10797] = 13,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(540), 1,
      anon_sym_LF,
    ACTIONS(1369), 1,
      anon_sym_LPAREN,
    ACTIONS(1373), 1,
      anon_sym_LBRACK,
    ACTIONS(1377), 1,
      anon_sym_DOT,
    ACTIONS(1381), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1383), 1,
      anon_sym_PIPE_PIPE,
    STATE(516), 1,
      sym_argument_list,
    STATE(1192), 1,
      sym_type_arguments,
    ACTIONS(1375), 4,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(542), 5,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(1379), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1371), 7,
      anon_sym_SLASH,
      anon_sym_AMP,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [10855] = 13,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(534), 1,
      anon_sym_LF,
    ACTIONS(1369), 1,
      anon_sym_LPAREN,
    ACTIONS(1373), 1,
      anon_sym_LBRACK,
    ACTIONS(1377), 1,
      anon_sym_DOT,
    ACTIONS(1381), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1383), 1,
      anon_sym_PIPE_PIPE,
    STATE(516), 1,
      sym_argument_list,
    STATE(1192), 1,
      sym_type_arguments,
    ACTIONS(1375), 4,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(536), 5,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(1379), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1371), 7,
      anon_sym_SLASH,
      anon_sym_AMP,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [10913] = 17,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(764), 1,
      anon_sym_LF,
    ACTIONS(790), 1,
      anon_sym_struct,
    ACTIONS(792), 1,
      anon_sym_enum,
    ACTIONS(794), 1,
      anon_sym_union,
    ACTIONS(1309), 1,
      sym_identifier,
    ACTIONS(1319), 1,
      anon_sym_LBRACE,
    ACTIONS(1323), 1,
      anon_sym_LPAREN,
    ACTIONS(1325), 1,
      anon_sym_LBRACK,
    ACTIONS(1327), 1,
      anon_sym_CARET,
    ACTIONS(1329), 1,
      anon_sym_map,
    ACTIONS(1331), 1,
      anon_sym_func,
    ACTIONS(1357), 1,
      anon_sym_DASH_DASH_DASH,
    STATE(1027), 1,
      sym_block,
    STATE(864), 2,
      sym_parameter_list,
      sym__simple_type,
    ACTIONS(766), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
    STATE(848), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [10979] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1387), 1,
      anon_sym_LPAREN,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    STATE(836), 2,
      sym_parameter_list,
      sym__simple_type,
    ACTIONS(904), 7,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [11037] = 17,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(790), 1,
      anon_sym_struct,
    ACTIONS(792), 1,
      anon_sym_enum,
    ACTIONS(794), 1,
      anon_sym_union,
    ACTIONS(898), 1,
      anon_sym_LF,
    ACTIONS(1309), 1,
      sym_identifier,
    ACTIONS(1319), 1,
      anon_sym_LBRACE,
    ACTIONS(1323), 1,
      anon_sym_LPAREN,
    ACTIONS(1325), 1,
      anon_sym_LBRACK,
    ACTIONS(1327), 1,
      anon_sym_CARET,
    ACTIONS(1329), 1,
      anon_sym_map,
    ACTIONS(1331), 1,
      anon_sym_func,
    ACTIONS(1397), 1,
      anon_sym_DASH_DASH_DASH,
    STATE(1009), 1,
      sym_block,
    STATE(861), 2,
      sym_parameter_list,
      sym__simple_type,
    ACTIONS(900), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
    STATE(848), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [11103] = 17,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(790), 1,
      anon_sym_struct,
    ACTIONS(792), 1,
      anon_sym_enum,
    ACTIONS(794), 1,
      anon_sym_union,
    ACTIONS(820), 1,
      anon_sym_LF,
    ACTIONS(1309), 1,
      sym_identifier,
    ACTIONS(1319), 1,
      anon_sym_LBRACE,
    ACTIONS(1323), 1,
      anon_sym_LPAREN,
    ACTIONS(1325), 1,
      anon_sym_LBRACK,
    ACTIONS(1327), 1,
      anon_sym_CARET,
    ACTIONS(1329), 1,
      anon_sym_map,
    ACTIONS(1331), 1,
      anon_sym_func,
    ACTIONS(1361), 1,
      anon_sym_DASH_DASH_DASH,
    STATE(1006), 1,
      sym_block,
    STATE(865), 2,
      sym_parameter_list,
      sym__simple_type,
    ACTIONS(822), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
    STATE(848), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [11169] = 6,
    ACTIONS(324), 1,
      anon_sym_LBRACE,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(522), 1,
      anon_sym_LF,
    STATE(526), 1,
      sym_literal_value,
    STATE(831), 1,
      sym_type_arguments,
    ACTIONS(524), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [11213] = 17,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(790), 1,
      anon_sym_struct,
    ACTIONS(792), 1,
      anon_sym_enum,
    ACTIONS(794), 1,
      anon_sym_union,
    ACTIONS(892), 1,
      anon_sym_LF,
    ACTIONS(1309), 1,
      sym_identifier,
    ACTIONS(1319), 1,
      anon_sym_LBRACE,
    ACTIONS(1323), 1,
      anon_sym_LPAREN,
    ACTIONS(1325), 1,
      anon_sym_LBRACK,
    ACTIONS(1327), 1,
      anon_sym_CARET,
    ACTIONS(1329), 1,
      anon_sym_map,
    ACTIONS(1331), 1,
      anon_sym_func,
    ACTIONS(1399), 1,
      anon_sym_DASH_DASH_DASH,
    STATE(998), 1,
      sym_block,
    STATE(862), 2,
      sym_parameter_list,
      sym__simple_type,
    ACTIONS(894), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
    STATE(848), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [11279] = 7,
    ACTIONS(324), 1,
      anon_sym_LBRACE,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(958), 1,
      anon_sym_LF,
    STATE(526), 1,
      sym_literal_value,
    STATE(831), 1,
      sym_type_arguments,
    ACTIONS(960), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(524), 22,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [11324] = 5,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(522), 1,
      anon_sym_LF,
    ACTIONS(1401), 1,
      anon_sym_LPAREN,
    STATE(516), 1,
      sym_special_argument_list,
    ACTIONS(524), 26,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [11365] = 13,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(552), 1,
      anon_sym_LF,
    ACTIONS(1369), 1,
      anon_sym_LPAREN,
    ACTIONS(1373), 1,
      anon_sym_LBRACK,
    ACTIONS(1377), 1,
      anon_sym_DOT,
    ACTIONS(1381), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1383), 1,
      anon_sym_PIPE_PIPE,
    STATE(516), 1,
      sym_argument_list,
    STATE(1192), 1,
      sym_type_arguments,
    ACTIONS(554), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(1375), 4,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1379), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1371), 7,
      anon_sym_SLASH,
      anon_sym_AMP,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [11422] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_for,
    ACTIONS(790), 1,
      anon_sym_struct,
    ACTIONS(792), 1,
      anon_sym_enum,
    ACTIONS(794), 1,
      anon_sym_union,
    ACTIONS(1309), 1,
      sym_identifier,
    ACTIONS(1329), 1,
      anon_sym_map,
    ACTIONS(1331), 1,
      anon_sym_func,
    ACTIONS(1403), 1,
      anon_sym_LBRACE,
    ACTIONS(1405), 1,
      anon_sym_RBRACE,
    ACTIONS(1407), 1,
      anon_sym_LPAREN,
    ACTIONS(1409), 1,
      anon_sym_LBRACK,
    ACTIONS(1411), 1,
      anon_sym_CARET,
    ACTIONS(1413), 1,
      anon_sym_case,
    STATE(870), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1031), 2,
      sym_block,
      sym_for_statement,
    STATE(848), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [11487] = 15,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1369), 1,
      anon_sym_LPAREN,
    ACTIONS(1373), 1,
      anon_sym_LBRACK,
    ACTIONS(1377), 1,
      anon_sym_DOT,
    ACTIONS(1381), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1383), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1415), 1,
      anon_sym_LF,
    ACTIONS(1417), 1,
      anon_sym_SEMI,
    ACTIONS(1421), 1,
      anon_sym_RBRACE,
    STATE(516), 1,
      sym_argument_list,
    STATE(1192), 1,
      sym_type_arguments,
    ACTIONS(1419), 2,
      anon_sym_COMMA,
      anon_sym_EQ,
    ACTIONS(1375), 4,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1379), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1371), 7,
      anon_sym_SLASH,
      anon_sym_AMP,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [11548] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(848), 1,
      anon_sym_LF,
    ACTIONS(850), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [11584] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(840), 1,
      anon_sym_LF,
    ACTIONS(842), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [11620] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1424), 1,
      anon_sym_LBRACE,
    STATE(639), 1,
      sym_literal_value,
    STATE(828), 1,
      sym_type_arguments,
    ACTIONS(524), 7,
      anon_sym_DOT_DOT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(522), 18,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_LT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [11662] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(828), 1,
      anon_sym_LF,
    ACTIONS(830), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [11698] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1426), 1,
      anon_sym_LBRACE,
    STATE(639), 1,
      sym_literal_value,
    STATE(828), 1,
      sym_type_arguments,
    ACTIONS(524), 7,
      anon_sym_DOT_DOT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(522), 18,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_LT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [11740] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(552), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_RPAREN,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [11800] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_COMMA,
    STATE(464), 1,
      sym_argument_list,
    STATE(964), 1,
      aux_sym_where_clause_repeat1,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1363), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [11864] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(888), 1,
      anon_sym_LF,
    ACTIONS(890), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [11900] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(744), 1,
      anon_sym_LF,
    ACTIONS(746), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [11936] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1307), 1,
      anon_sym_DOT,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1432), 1,
      anon_sym_COMMA,
    ACTIONS(1434), 1,
      anon_sym_RPAREN,
    ACTIONS(1436), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(464), 1,
      sym_argument_list,
    STATE(1069), 1,
      aux_sym_argument_list_repeat1,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [12002] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(816), 1,
      anon_sym_LF,
    ACTIONS(818), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [12038] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(756), 1,
      anon_sym_LF,
    ACTIONS(758), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [12074] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(522), 1,
      anon_sym_LF,
    ACTIONS(524), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [12110] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(782), 1,
      anon_sym_LF,
    ACTIONS(784), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [12146] = 4,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1438), 1,
      anon_sym_LF,
    ACTIONS(1441), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(854), 24,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [12184] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(832), 1,
      anon_sym_LF,
    ACTIONS(834), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [12220] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(836), 1,
      anon_sym_LF,
    ACTIONS(838), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [12256] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(740), 1,
      anon_sym_LF,
    ACTIONS(742), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [12292] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(774), 1,
      anon_sym_LF,
    ACTIONS(776), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [12328] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(736), 1,
      anon_sym_LF,
    ACTIONS(738), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [12364] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(880), 1,
      anon_sym_LF,
    ACTIONS(882), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [12400] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(732), 1,
      anon_sym_LF,
    ACTIONS(734), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [12436] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(724), 1,
      anon_sym_LF,
    ACTIONS(726), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [12472] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1444), 1,
      anon_sym_LBRACE,
    STATE(639), 1,
      sym_literal_value,
    STATE(828), 1,
      sym_type_arguments,
    ACTIONS(524), 7,
      anon_sym_DOT_DOT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(522), 18,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_LT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [12514] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(876), 1,
      anon_sym_LF,
    ACTIONS(878), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [12550] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(778), 1,
      anon_sym_LF,
    ACTIONS(780), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [12586] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(884), 1,
      anon_sym_LF,
    ACTIONS(886), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [12622] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(852), 1,
      anon_sym_LF,
    ACTIONS(854), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [12658] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1307), 1,
      anon_sym_DOT,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1436), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1446), 1,
      anon_sym_COMMA,
    ACTIONS(1448), 1,
      anon_sym_RPAREN,
    STATE(464), 1,
      sym_argument_list,
    STATE(1076), 1,
      aux_sym_argument_list_repeat1,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [12724] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(872), 1,
      anon_sym_LF,
    ACTIONS(874), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [12760] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(844), 1,
      anon_sym_LF,
    ACTIONS(846), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [12796] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(866), 1,
      anon_sym_LF,
    ACTIONS(868), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [12832] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(812), 1,
      anon_sym_LF,
    ACTIONS(814), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [12868] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(720), 1,
      anon_sym_LF,
    ACTIONS(722), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [12904] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_LBRACE,
    ACTIONS(958), 1,
      anon_sym_COMMA,
    STATE(462), 1,
      sym_literal_value,
    STATE(828), 1,
      sym_type_arguments,
    ACTIONS(524), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(522), 19,
      anon_sym_COLON,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_CARET,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [12948] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1307), 1,
      anon_sym_DOT,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1436), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1450), 1,
      anon_sym_COMMA,
    ACTIONS(1452), 1,
      anon_sym_RPAREN,
    STATE(464), 1,
      sym_argument_list,
    STATE(1064), 1,
      aux_sym_argument_list_repeat1,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [13014] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(856), 1,
      anon_sym_LF,
    ACTIONS(858), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [13050] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1307), 1,
      anon_sym_DOT,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1436), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1454), 1,
      anon_sym_COMMA,
    ACTIONS(1456), 1,
      anon_sym_RPAREN,
    STATE(464), 1,
      sym_argument_list,
    STATE(1108), 1,
      aux_sym_argument_list_repeat1,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [13116] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(796), 1,
      anon_sym_LF,
    ACTIONS(798), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [13152] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1458), 1,
      anon_sym_LBRACE,
    STATE(639), 1,
      sym_literal_value,
    STATE(828), 1,
      sym_type_arguments,
    ACTIONS(524), 7,
      anon_sym_DOT_DOT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(522), 18,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_LT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [13194] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(752), 1,
      anon_sym_LF,
    ACTIONS(754), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [13230] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(660), 1,
      anon_sym_LBRACE,
    STATE(639), 1,
      sym_literal_value,
    STATE(828), 1,
      sym_type_arguments,
    ACTIONS(524), 7,
      anon_sym_DOT_DOT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(522), 18,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_LT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [13272] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(808), 1,
      anon_sym_LF,
    ACTIONS(810), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [13308] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(800), 1,
      anon_sym_LF,
    ACTIONS(802), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [13344] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(748), 1,
      anon_sym_LF,
    ACTIONS(750), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [13380] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(862), 1,
      anon_sym_LF,
    ACTIONS(864), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [13416] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(804), 1,
      anon_sym_LF,
    ACTIONS(806), 27,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_case,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [13452] = 18,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1307), 1,
      anon_sym_DOT,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1436), 1,
      anon_sym_DOT_DOT_DOT,
    ACTIONS(1460), 1,
      anon_sym_COMMA,
    ACTIONS(1462), 1,
      anon_sym_RPAREN,
    STATE(464), 1,
      sym_argument_list,
    STATE(1106), 1,
      aux_sym_argument_list_repeat1,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [13518] = 14,
    ACTIONS(306), 1,
      anon_sym_map,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(790), 1,
      anon_sym_struct,
    ACTIONS(792), 1,
      anon_sym_enum,
    ACTIONS(794), 1,
      anon_sym_union,
    ACTIONS(904), 1,
      anon_sym_LF,
    ACTIONS(1309), 1,
      sym_identifier,
    ACTIONS(1464), 1,
      anon_sym_LPAREN,
    ACTIONS(1467), 1,
      anon_sym_LBRACK,
    ACTIONS(1469), 1,
      anon_sym_CARET,
    STATE(840), 2,
      sym_parameter_list,
      sym__simple_type,
    ACTIONS(909), 4,
      anon_sym_SEMI,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_case,
    STATE(848), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [13576] = 13,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1369), 1,
      anon_sym_LPAREN,
    ACTIONS(1373), 1,
      anon_sym_LBRACK,
    ACTIONS(1377), 1,
      anon_sym_DOT,
    ACTIONS(1381), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1383), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1415), 1,
      anon_sym_LF,
    STATE(516), 1,
      sym_argument_list,
    STATE(1192), 1,
      sym_type_arguments,
    ACTIONS(1417), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(1375), 4,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1379), 6,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
    ACTIONS(1371), 7,
      anon_sym_SLASH,
      anon_sym_AMP,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [13632] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(496), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1471), 1,
      anon_sym_LPAREN,
    ACTIONS(1475), 1,
      anon_sym_LBRACK,
    ACTIONS(1479), 1,
      anon_sym_PIPE,
    ACTIONS(1481), 1,
      anon_sym_DOT,
    ACTIONS(1489), 1,
      anon_sym_AMP_AMP,
    STATE(638), 1,
      sym_argument_list,
    STATE(1150), 1,
      sym_type_arguments,
    ACTIONS(1473), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1487), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(494), 3,
      anon_sym_DOT_DOT_LT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_PIPE_PIPE,
    ACTIONS(1477), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1485), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1483), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [13691] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1419), 1,
      anon_sym_EQ,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1491), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [13752] = 5,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1049), 1,
      anon_sym_LF,
    ACTIONS(1493), 1,
      anon_sym_SEMI,
    ACTIONS(1051), 2,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(854), 23,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [13791] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1500), 1,
      anon_sym_PIPE,
    ACTIONS(1508), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1510), 1,
      anon_sym_PIPE_PIPE,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1496), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1506), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(540), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
    ACTIONS(1498), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1504), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1502), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [13850] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1471), 1,
      anon_sym_LPAREN,
    ACTIONS(1475), 1,
      anon_sym_LBRACK,
    ACTIONS(1479), 1,
      anon_sym_PIPE,
    ACTIONS(1481), 1,
      anon_sym_DOT,
    STATE(638), 1,
      sym_argument_list,
    STATE(1150), 1,
      sym_type_arguments,
    ACTIONS(1473), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(496), 3,
      anon_sym_DOT_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1477), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1483), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(494), 8,
      anon_sym_DOT_DOT_LT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [13903] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1496), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(496), 3,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1502), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(494), 12,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [13952] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1471), 1,
      anon_sym_LPAREN,
    ACTIONS(1475), 1,
      anon_sym_LBRACK,
    ACTIONS(1481), 1,
      anon_sym_DOT,
    STATE(638), 1,
      sym_argument_list,
    STATE(1150), 1,
      sym_type_arguments,
    ACTIONS(500), 6,
      anon_sym_DOT_DOT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(498), 16,
      anon_sym_CARET,
      anon_sym_DOT_DOT_LT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [13997] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1363), 1,
      anon_sym_RPAREN,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1430), 1,
      anon_sym_COMMA,
    STATE(464), 1,
      sym_argument_list,
    STATE(1071), 1,
      aux_sym_where_clause_repeat1,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [14060] = 5,
    ACTIONS(3), 1,
      sym_comment,
    STATE(462), 1,
      sym_literal_value,
    STATE(828), 1,
      sym_type_arguments,
    ACTIONS(524), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(522), 20,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [14099] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1500), 1,
      anon_sym_PIPE,
    ACTIONS(1508), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1510), 1,
      anon_sym_PIPE_PIPE,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1496), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1506), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(534), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
    ACTIONS(1498), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1504), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1502), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [14158] = 4,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1512), 1,
      anon_sym_LF,
    ACTIONS(1514), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(854), 23,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [14195] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1307), 1,
      anon_sym_DOT,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1436), 1,
      anon_sym_DOT_DOT_DOT,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1516), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [14256] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1403), 1,
      anon_sym_LBRACE,
    ACTIONS(1415), 1,
      anon_sym_SEMI,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1500), 1,
      anon_sym_PIPE,
    ACTIONS(1508), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1510), 1,
      anon_sym_PIPE_PIPE,
    STATE(464), 1,
      sym_argument_list,
    STATE(927), 1,
      sym_block,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1496), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1506), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1498), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1504), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1502), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [14319] = 4,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(732), 1,
      anon_sym_LF,
    ACTIONS(1419), 3,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_RBRACE,
    ACTIONS(734), 23,
      anon_sym_SEMI,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [14356] = 4,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1518), 1,
      anon_sym_LF,
    ACTIONS(1520), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(854), 23,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [14393] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1500), 1,
      anon_sym_PIPE,
    ACTIONS(1508), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1510), 1,
      anon_sym_PIPE_PIPE,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1496), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1506), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(502), 3,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
    ACTIONS(1498), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1504), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1502), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [14452] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(496), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1471), 1,
      anon_sym_LPAREN,
    ACTIONS(1475), 1,
      anon_sym_LBRACK,
    ACTIONS(1479), 1,
      anon_sym_PIPE,
    ACTIONS(1481), 1,
      anon_sym_DOT,
    STATE(638), 1,
      sym_argument_list,
    STATE(1150), 1,
      sym_type_arguments,
    ACTIONS(1473), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1487), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1477), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(494), 4,
      anon_sym_DOT_DOT_LT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1485), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1483), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [14509] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(29), 1,
      anon_sym_LBRACK,
    ACTIONS(33), 1,
      anon_sym_map,
    ACTIONS(35), 1,
      anon_sym_func,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1522), 1,
      anon_sym_LPAREN,
    ACTIONS(1525), 1,
      anon_sym_CARET,
    STATE(836), 2,
      sym_parameter_list,
      sym__simple_type,
    ACTIONS(904), 4,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [14564] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1403), 1,
      anon_sym_LBRACE,
    ACTIONS(1415), 1,
      anon_sym_SEMI,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1500), 1,
      anon_sym_PIPE,
    ACTIONS(1508), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1510), 1,
      anon_sym_PIPE_PIPE,
    STATE(464), 1,
      sym_argument_list,
    STATE(882), 1,
      sym_block,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1496), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1506), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1498), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1504), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1502), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [14627] = 4,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1527), 1,
      anon_sym_LF,
    ACTIONS(1529), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(524), 22,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [14664] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1471), 1,
      anon_sym_LPAREN,
    ACTIONS(1475), 1,
      anon_sym_LBRACK,
    ACTIONS(1479), 1,
      anon_sym_PIPE,
    ACTIONS(1481), 1,
      anon_sym_DOT,
    ACTIONS(1489), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1531), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1535), 1,
      anon_sym_PIPE_PIPE,
    STATE(638), 1,
      sym_argument_list,
    STATE(1150), 1,
      sym_type_arguments,
    ACTIONS(1473), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1487), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1533), 2,
      anon_sym_DOT_DOT_LT,
      anon_sym_DOT_DOT_EQ,
    ACTIONS(1477), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1485), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1483), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [14725] = 10,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1471), 1,
      anon_sym_LPAREN,
    ACTIONS(1475), 1,
      anon_sym_LBRACK,
    ACTIONS(1481), 1,
      anon_sym_DOT,
    STATE(638), 1,
      sym_argument_list,
    STATE(1150), 1,
      sym_type_arguments,
    ACTIONS(1473), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(496), 4,
      anon_sym_DOT_DOT,
      anon_sym_PIPE,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1483), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(494), 11,
      anon_sym_CARET,
      anon_sym_DOT_DOT_LT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [14774] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(504), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1471), 1,
      anon_sym_LPAREN,
    ACTIONS(1475), 1,
      anon_sym_LBRACK,
    ACTIONS(1479), 1,
      anon_sym_PIPE,
    ACTIONS(1481), 1,
      anon_sym_DOT,
    ACTIONS(1489), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1535), 1,
      anon_sym_PIPE_PIPE,
    STATE(638), 1,
      sym_argument_list,
    STATE(1150), 1,
      sym_type_arguments,
    ACTIONS(502), 2,
      anon_sym_DOT_DOT_LT,
      anon_sym_DOT_DOT_EQ,
    ACTIONS(1473), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1487), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1477), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1485), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1483), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [14835] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1500), 1,
      anon_sym_PIPE,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1496), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1506), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1498), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1504), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(494), 5,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
    ACTIONS(1502), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [14890] = 4,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1537), 1,
      anon_sym_LF,
    ACTIONS(1539), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(854), 23,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [14927] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(542), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1471), 1,
      anon_sym_LPAREN,
    ACTIONS(1475), 1,
      anon_sym_LBRACK,
    ACTIONS(1479), 1,
      anon_sym_PIPE,
    ACTIONS(1481), 1,
      anon_sym_DOT,
    ACTIONS(1489), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1535), 1,
      anon_sym_PIPE_PIPE,
    STATE(638), 1,
      sym_argument_list,
    STATE(1150), 1,
      sym_type_arguments,
    ACTIONS(540), 2,
      anon_sym_DOT_DOT_LT,
      anon_sym_DOT_DOT_EQ,
    ACTIONS(1473), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1487), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1477), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1485), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1483), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [14988] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(53), 1,
      anon_sym_for,
    ACTIONS(790), 1,
      anon_sym_struct,
    ACTIONS(792), 1,
      anon_sym_enum,
    ACTIONS(794), 1,
      anon_sym_union,
    ACTIONS(1309), 1,
      sym_identifier,
    ACTIONS(1329), 1,
      anon_sym_map,
    ACTIONS(1331), 1,
      anon_sym_func,
    ACTIONS(1403), 1,
      anon_sym_LBRACE,
    ACTIONS(1407), 1,
      anon_sym_LPAREN,
    ACTIONS(1409), 1,
      anon_sym_LBRACK,
    ACTIONS(1411), 1,
      anon_sym_CARET,
    STATE(870), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(1031), 2,
      sym_block,
      sym_for_statement,
    STATE(848), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [15047] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(536), 1,
      anon_sym_DOT_DOT,
    ACTIONS(1471), 1,
      anon_sym_LPAREN,
    ACTIONS(1475), 1,
      anon_sym_LBRACK,
    ACTIONS(1479), 1,
      anon_sym_PIPE,
    ACTIONS(1481), 1,
      anon_sym_DOT,
    ACTIONS(1489), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1535), 1,
      anon_sym_PIPE_PIPE,
    STATE(638), 1,
      sym_argument_list,
    STATE(1150), 1,
      sym_type_arguments,
    ACTIONS(534), 2,
      anon_sym_DOT_DOT_LT,
      anon_sym_DOT_DOT_EQ,
    ACTIONS(1473), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1487), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1477), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1485), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1483), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [15108] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1471), 1,
      anon_sym_LPAREN,
    ACTIONS(1475), 1,
      anon_sym_LBRACK,
    ACTIONS(1479), 1,
      anon_sym_PIPE,
    ACTIONS(1481), 1,
      anon_sym_DOT,
    ACTIONS(1489), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1535), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1541), 1,
      anon_sym_DOT_DOT,
    STATE(638), 1,
      sym_argument_list,
    STATE(1150), 1,
      sym_type_arguments,
    ACTIONS(1473), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1487), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1543), 2,
      anon_sym_DOT_DOT_LT,
      anon_sym_DOT_DOT_EQ,
    ACTIONS(1477), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1485), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1483), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [15169] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1500), 1,
      anon_sym_PIPE,
    ACTIONS(1508), 1,
      anon_sym_AMP_AMP,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1496), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1506), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1498), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(494), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_PIPE_PIPE,
    ACTIONS(1504), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1502), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [15226] = 17,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1363), 1,
      anon_sym_LBRACE,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1500), 1,
      anon_sym_PIPE,
    ACTIONS(1508), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1510), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1545), 1,
      anon_sym_COMMA,
    STATE(464), 1,
      sym_argument_list,
    STATE(1088), 1,
      aux_sym_where_clause_repeat1,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1496), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1506), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1498), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1504), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1502), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [15289] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1471), 1,
      anon_sym_LPAREN,
    ACTIONS(1475), 1,
      anon_sym_LBRACK,
    ACTIONS(1481), 1,
      anon_sym_DOT,
    STATE(638), 1,
      sym_argument_list,
    STATE(1150), 1,
      sym_type_arguments,
    ACTIONS(496), 6,
      anon_sym_DOT_DOT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(494), 16,
      anon_sym_CARET,
      anon_sym_DOT_DOT_LT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [15334] = 4,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1547), 1,
      anon_sym_LF,
    ACTIONS(1549), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
    ACTIONS(854), 23,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_SLASH,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT,
      anon_sym_LT_EQ,
      anon_sym_GT,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [15371] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1500), 1,
      anon_sym_PIPE,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(496), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1496), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1498), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1502), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
    ACTIONS(494), 9,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_LBRACE,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [15424] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1551), 1,
      anon_sym_COLON,
    ACTIONS(1553), 1,
      anon_sym_RBRACK,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [15484] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1403), 1,
      anon_sym_LBRACE,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1500), 1,
      anon_sym_PIPE,
    ACTIONS(1508), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1510), 1,
      anon_sym_PIPE_PIPE,
    STATE(464), 1,
      sym_argument_list,
    STATE(912), 1,
      sym_block,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1496), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1506), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1498), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1504), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1502), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [15544] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1555), 1,
      anon_sym_COLON,
    ACTIONS(1557), 1,
      anon_sym_RBRACK,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [15604] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1559), 1,
      anon_sym_COLON,
    ACTIONS(1561), 1,
      anon_sym_RBRACK,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [15664] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    ACTIONS(1565), 1,
      anon_sym_DOLLAR,
    ACTIONS(1567), 1,
      anon_sym_DOT_DOT,
    STATE(1246), 1,
      sym_polymorphic_type,
    STATE(1096), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [15722] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1569), 1,
      anon_sym_COLON,
    ACTIONS(1571), 1,
      anon_sym_RBRACK,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [15782] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1500), 1,
      anon_sym_PIPE,
    ACTIONS(1508), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1510), 1,
      anon_sym_PIPE_PIPE,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(552), 2,
      anon_sym_COMMA,
      anon_sym_LBRACE,
    ACTIONS(1496), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1506), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1498), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1504), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1502), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [15840] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1573), 1,
      anon_sym_COLON,
    ACTIONS(1575), 1,
      anon_sym_RBRACK,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [15900] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1577), 1,
      anon_sym_COLON,
    ACTIONS(1579), 1,
      anon_sym_RBRACK,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [15960] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1581), 1,
      anon_sym_COLON,
    ACTIONS(1583), 1,
      anon_sym_RBRACK,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [16020] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1585), 1,
      anon_sym_COMMA,
    ACTIONS(1587), 1,
      anon_sym_RPAREN,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [16080] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1589), 1,
      anon_sym_COLON,
    ACTIONS(1591), 1,
      anon_sym_RBRACK,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [16140] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1593), 1,
      anon_sym_COLON,
    ACTIONS(1595), 1,
      anon_sym_RBRACK,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [16200] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1415), 1,
      anon_sym_SEMI,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1500), 1,
      anon_sym_PIPE,
    ACTIONS(1508), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1510), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1597), 1,
      anon_sym_LBRACE,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1496), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1506), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1498), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1504), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1502), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [16260] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1599), 1,
      anon_sym_COMMA,
    ACTIONS(1601), 1,
      anon_sym_RPAREN,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [16320] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1603), 1,
      anon_sym_COMMA,
    ACTIONS(1605), 1,
      anon_sym_RPAREN,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [16380] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1607), 1,
      anon_sym_LPAREN,
    STATE(638), 1,
      sym_special_argument_list,
    ACTIONS(524), 7,
      anon_sym_DOT_DOT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(522), 17,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_LT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [16418] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1609), 1,
      anon_sym_COMMA,
    ACTIONS(1611), 1,
      anon_sym_RPAREN,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [16478] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1415), 1,
      anon_sym_SEMI,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1500), 1,
      anon_sym_PIPE,
    ACTIONS(1508), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1510), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1613), 1,
      anon_sym_LBRACE,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1496), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1506), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1498), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1504), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1502), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [16538] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1615), 1,
      anon_sym_COLON,
    ACTIONS(1617), 1,
      anon_sym_RBRACK,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [16598] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1569), 1,
      anon_sym_COLON,
    ACTIONS(1575), 1,
      anon_sym_RBRACK,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [16658] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1403), 1,
      anon_sym_LBRACE,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1500), 1,
      anon_sym_PIPE,
    ACTIONS(1508), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1510), 1,
      anon_sym_PIPE_PIPE,
    STATE(464), 1,
      sym_argument_list,
    STATE(896), 1,
      sym_block,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1496), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1506), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1498), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1504), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1502), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [16718] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1619), 1,
      anon_sym_COLON,
    ACTIONS(1621), 1,
      anon_sym_RBRACK,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [16778] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1623), 1,
      anon_sym_COLON,
    ACTIONS(1625), 1,
      anon_sym_RBRACK,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [16838] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1627), 1,
      anon_sym_COLON,
    ACTIONS(1629), 1,
      anon_sym_RBRACK,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [16898] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1631), 1,
      anon_sym_COLON,
    ACTIONS(1633), 1,
      anon_sym_RBRACK,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [16958] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1635), 1,
      anon_sym_COMMA,
    ACTIONS(1637), 1,
      anon_sym_RPAREN,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [17018] = 16,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1639), 1,
      anon_sym_COLON,
    ACTIONS(1641), 1,
      anon_sym_RBRACK,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [17078] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(758), 7,
      anon_sym_DOT_DOT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(756), 18,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_LT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [17111] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(784), 7,
      anon_sym_DOT_DOT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(782), 18,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_LT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [17144] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(738), 7,
      anon_sym_DOT_DOT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(736), 18,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_LT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [17177] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(886), 7,
      anon_sym_DOT_DOT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(884), 18,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_LT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [17210] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1643), 1,
      anon_sym_RBRACK,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [17267] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1645), 1,
      anon_sym_RBRACK,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [17324] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1647), 1,
      anon_sym_RBRACK,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [17381] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(524), 7,
      anon_sym_DOT_DOT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(522), 18,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_LT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [17414] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1649), 1,
      anon_sym_RBRACK,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [17471] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1651), 1,
      anon_sym_RBRACK,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [17528] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1500), 1,
      anon_sym_PIPE,
    ACTIONS(1508), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1510), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1653), 1,
      anon_sym_LBRACE,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1496), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1506), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1498), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1504), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1502), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [17585] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1655), 1,
      anon_sym_RPAREN,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [17642] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1500), 1,
      anon_sym_PIPE,
    ACTIONS(1508), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1510), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1657), 1,
      anon_sym_LBRACE,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1496), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1506), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1498), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1504), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1502), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [17699] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(734), 7,
      anon_sym_DOT_DOT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(732), 18,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_LT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [17732] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1659), 1,
      anon_sym_RBRACK,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [17789] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1661), 1,
      anon_sym_RBRACK,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [17846] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1663), 1,
      anon_sym_RBRACK,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [17903] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1665), 1,
      anon_sym_RBRACK,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [17960] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(746), 7,
      anon_sym_DOT_DOT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(744), 18,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_LT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [17993] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(776), 7,
      anon_sym_DOT_DOT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(774), 18,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_LT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [18026] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1667), 1,
      anon_sym_SEMI,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [18083] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1669), 1,
      anon_sym_RPAREN,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [18140] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(780), 7,
      anon_sym_DOT_DOT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(778), 18,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_LT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [18173] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1500), 1,
      anon_sym_PIPE,
    ACTIONS(1508), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1510), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1671), 1,
      anon_sym_LBRACE,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1496), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1506), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1498), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1504), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1502), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [18230] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1673), 1,
      anon_sym_RBRACK,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [18287] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1675), 1,
      anon_sym_RBRACK,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [18344] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1677), 1,
      anon_sym_RBRACK,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [18401] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1679), 1,
      anon_sym_RPAREN,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [18458] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(296), 1,
      anon_sym_LBRACE,
    STATE(526), 1,
      sym_literal_value,
    STATE(828), 1,
      sym_type_arguments,
    ACTIONS(524), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(522), 17,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [18497] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(846), 7,
      anon_sym_DOT_DOT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(844), 18,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_LT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [18530] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(854), 7,
      anon_sym_DOT_DOT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(852), 18,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_LT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [18563] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(722), 7,
      anon_sym_DOT_DOT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(720), 18,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_LT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [18596] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(726), 7,
      anon_sym_DOT_DOT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(724), 18,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_LT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [18629] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1415), 1,
      anon_sym_LBRACE,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1500), 1,
      anon_sym_PIPE,
    ACTIONS(1508), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1510), 1,
      anon_sym_PIPE_PIPE,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1496), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1506), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1498), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1504), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1502), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [18686] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(742), 7,
      anon_sym_DOT_DOT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(740), 18,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_LT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [18719] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(750), 7,
      anon_sym_DOT_DOT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(748), 18,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_LT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [18752] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(754), 7,
      anon_sym_DOT_DOT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(752), 18,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_LT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [18785] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1681), 1,
      anon_sym_RPAREN,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [18842] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(858), 7,
      anon_sym_DOT_DOT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(856), 18,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_LT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [18875] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1419), 1,
      anon_sym_EQ,
    ACTIONS(1491), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
    ACTIONS(734), 5,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(732), 17,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_DOT,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [18912] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1683), 1,
      anon_sym_RPAREN,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [18969] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(798), 7,
      anon_sym_DOT_DOT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(796), 18,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_LT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [19002] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(802), 7,
      anon_sym_DOT_DOT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(800), 18,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_LT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [19035] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(806), 7,
      anon_sym_DOT_DOT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(804), 18,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_LT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [19068] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(810), 7,
      anon_sym_DOT_DOT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(808), 18,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_LT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [19101] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(814), 7,
      anon_sym_DOT_DOT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(812), 18,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_LT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [19134] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(818), 7,
      anon_sym_DOT_DOT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(816), 18,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_LT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [19167] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(830), 7,
      anon_sym_DOT_DOT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(828), 18,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_LT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [19200] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1500), 1,
      anon_sym_PIPE,
    ACTIONS(1508), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1510), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1685), 1,
      anon_sym_LBRACE,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1496), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1506), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1498), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1504), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1502), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [19257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(834), 7,
      anon_sym_DOT_DOT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(832), 18,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_LT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [19290] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(838), 7,
      anon_sym_DOT_DOT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(836), 18,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_LT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [19323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(842), 7,
      anon_sym_DOT_DOT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(840), 18,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_LT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [19356] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(850), 7,
      anon_sym_DOT_DOT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(848), 18,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_LT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [19389] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(868), 7,
      anon_sym_DOT_DOT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(866), 18,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_LT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [19422] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(890), 7,
      anon_sym_DOT_DOT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(888), 18,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_LT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [19455] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1687), 1,
      anon_sym_SEMI,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [19512] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(882), 7,
      anon_sym_DOT_DOT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(880), 18,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_LT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [19545] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1689), 1,
      anon_sym_RBRACK,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [19602] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1691), 1,
      anon_sym_RBRACK,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [19659] = 15,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1305), 1,
      anon_sym_LBRACK,
    ACTIONS(1341), 1,
      anon_sym_PIPE,
    ACTIONS(1349), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1351), 1,
      anon_sym_PIPE_PIPE,
    ACTIONS(1428), 1,
      anon_sym_DOT,
    ACTIONS(1693), 1,
      anon_sym_RBRACK,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1337), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1347), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1339), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1345), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1343), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [19716] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(878), 7,
      anon_sym_DOT_DOT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(876), 18,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_LT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [19749] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(874), 7,
      anon_sym_DOT_DOT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(872), 18,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_LT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [19782] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(864), 7,
      anon_sym_DOT_DOT,
      anon_sym_SLASH,
      anon_sym_PIPE,
      anon_sym_AMP,
      anon_sym_DOT,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(862), 18,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_DOT_DOT_LT,
      anon_sym_DOT_DOT_EQ,
      anon_sym_PLUS,
      anon_sym_DASH,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
      anon_sym_AMP_AMP,
      anon_sym_PIPE_PIPE,
  [19815] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    ACTIONS(1695), 1,
      anon_sym_RBRACE,
    STATE(1167), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [19867] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    ACTIONS(1697), 1,
      anon_sym_RBRACE,
    STATE(1250), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [19919] = 14,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1375), 1,
      anon_sym_PIPE,
    ACTIONS(1699), 1,
      anon_sym_LBRACK,
    ACTIONS(1703), 1,
      anon_sym_DOT,
    ACTIONS(1709), 1,
      anon_sym_AMP_AMP,
    ACTIONS(1711), 1,
      anon_sym_PIPE_PIPE,
    STATE(464), 1,
      sym_argument_list,
    STATE(1176), 1,
      sym_type_arguments,
    ACTIONS(1371), 2,
      anon_sym_SLASH,
      anon_sym_AMP,
    ACTIONS(1379), 2,
      anon_sym_LT,
      anon_sym_GT,
    ACTIONS(1701), 3,
      anon_sym_CARET,
      anon_sym_PLUS,
      anon_sym_DASH,
    ACTIONS(1707), 4,
      anon_sym_EQ_EQ,
      anon_sym_BANG_EQ,
      anon_sym_LT_EQ,
      anon_sym_GT_EQ,
    ACTIONS(1705), 5,
      anon_sym_STAR,
      anon_sym_PERCENT,
      anon_sym_LT_LT,
      anon_sym_GT_GT,
      anon_sym_AMP_CARET,
  [19973] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    ACTIONS(1713), 1,
      anon_sym_RBRACE,
    STATE(1218), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [20025] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(512), 1,
      anon_sym_COLON,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(1279), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [20077] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    ACTIONS(1715), 1,
      anon_sym_RBRACK,
    STATE(1250), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [20129] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    ACTIONS(1717), 1,
      anon_sym_RBRACE,
    STATE(1250), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [20181] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    ACTIONS(1719), 1,
      anon_sym_RBRACK,
    STATE(1250), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [20233] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    ACTIONS(1721), 1,
      anon_sym_RBRACE,
    STATE(1250), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [20285] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    ACTIONS(1723), 1,
      anon_sym_RBRACK,
    STATE(1250), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [20337] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    ACTIONS(1725), 1,
      anon_sym_RBRACK,
    STATE(1250), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [20389] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    ACTIONS(1727), 1,
      anon_sym_RBRACE,
    STATE(1250), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [20441] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    ACTIONS(1729), 1,
      anon_sym_RBRACE,
    STATE(1184), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [20493] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    ACTIONS(1731), 1,
      anon_sym_RBRACK,
    STATE(1250), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [20545] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    ACTIONS(1733), 1,
      anon_sym_RBRACK,
    STATE(1250), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [20597] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    ACTIONS(1735), 1,
      anon_sym_RBRACE,
    STATE(1250), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [20649] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    ACTIONS(1737), 1,
      anon_sym_RBRACE,
    STATE(1250), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [20701] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(302), 1,
      anon_sym_LBRACK,
    ACTIONS(306), 1,
      anon_sym_map,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(790), 1,
      anon_sym_struct,
    ACTIONS(792), 1,
      anon_sym_enum,
    ACTIONS(794), 1,
      anon_sym_union,
    ACTIONS(1309), 1,
      sym_identifier,
    ACTIONS(1407), 1,
      anon_sym_LPAREN,
    ACTIONS(1739), 1,
      anon_sym_CARET,
    STATE(819), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(848), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [20750] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(799), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [20799] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(1122), 1,
      sym_parenthesized_type,
    STATE(1124), 1,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [20850] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(29), 1,
      anon_sym_LBRACK,
    ACTIONS(33), 1,
      anon_sym_map,
    ACTIONS(35), 1,
      anon_sym_func,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1525), 1,
      anon_sym_CARET,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(809), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [20899] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(1117), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [20948] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(1115), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [20997] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(302), 1,
      anon_sym_LBRACK,
    ACTIONS(306), 1,
      anon_sym_map,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(790), 1,
      anon_sym_struct,
    ACTIONS(792), 1,
      anon_sym_enum,
    ACTIONS(794), 1,
      anon_sym_union,
    ACTIONS(1309), 1,
      sym_identifier,
    ACTIONS(1407), 1,
      anon_sym_LPAREN,
    ACTIONS(1739), 1,
      anon_sym_CARET,
    STATE(810), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(848), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [21046] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(302), 1,
      anon_sym_LBRACK,
    ACTIONS(306), 1,
      anon_sym_map,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(790), 1,
      anon_sym_struct,
    ACTIONS(792), 1,
      anon_sym_enum,
    ACTIONS(794), 1,
      anon_sym_union,
    ACTIONS(1309), 1,
      sym_identifier,
    ACTIONS(1407), 1,
      anon_sym_LPAREN,
    ACTIONS(1739), 1,
      anon_sym_CARET,
    STATE(822), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(848), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [21095] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(302), 1,
      anon_sym_LBRACK,
    ACTIONS(306), 1,
      anon_sym_map,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(790), 1,
      anon_sym_struct,
    ACTIONS(792), 1,
      anon_sym_enum,
    ACTIONS(794), 1,
      anon_sym_union,
    ACTIONS(1309), 1,
      sym_identifier,
    ACTIONS(1407), 1,
      anon_sym_LPAREN,
    ACTIONS(1739), 1,
      anon_sym_CARET,
    STATE(838), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(848), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [21144] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(1354), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [21193] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(1296), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [21242] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(1287), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [21291] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(798), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [21340] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(460), 1,
      sym_identifier,
    ACTIONS(468), 1,
      anon_sym_struct,
    ACTIONS(470), 1,
      anon_sym_enum,
    ACTIONS(472), 1,
      anon_sym_union,
    ACTIONS(488), 1,
      anon_sym_map,
    ACTIONS(490), 1,
      anon_sym_func,
    ACTIONS(1741), 1,
      anon_sym_LPAREN,
    ACTIONS(1743), 1,
      anon_sym_LBRACK,
    ACTIONS(1745), 1,
      anon_sym_CARET,
    STATE(318), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(376), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [21389] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(1278), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [21438] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(980), 1,
      sym_parenthesized_type,
    STATE(981), 1,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [21489] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(946), 1,
      sym_parenthesized_type,
    STATE(947), 1,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [21540] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(1250), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [21589] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(1201), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [21638] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(302), 1,
      anon_sym_LBRACK,
    ACTIONS(306), 1,
      anon_sym_map,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(790), 1,
      anon_sym_struct,
    ACTIONS(792), 1,
      anon_sym_enum,
    ACTIONS(794), 1,
      anon_sym_union,
    ACTIONS(1309), 1,
      sym_identifier,
    ACTIONS(1407), 1,
      anon_sym_LPAREN,
    ACTIONS(1739), 1,
      anon_sym_CARET,
    STATE(839), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(848), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [21687] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(1130), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [21736] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(1277), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [21785] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(846), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [21834] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(460), 1,
      sym_identifier,
    ACTIONS(468), 1,
      anon_sym_struct,
    ACTIONS(470), 1,
      anon_sym_enum,
    ACTIONS(472), 1,
      anon_sym_union,
    ACTIONS(488), 1,
      anon_sym_map,
    ACTIONS(490), 1,
      anon_sym_func,
    ACTIONS(1741), 1,
      anon_sym_LPAREN,
    ACTIONS(1743), 1,
      anon_sym_LBRACK,
    ACTIONS(1745), 1,
      anon_sym_CARET,
    STATE(334), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(376), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [21883] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(1045), 1,
      sym__simple_type,
    STATE(1131), 1,
      sym_parenthesized_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [21934] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(944), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [21983] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(1133), 1,
      sym_parenthesized_type,
    STATE(1134), 1,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [22034] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(827), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [22083] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(1269), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [22132] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(1337), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [22181] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(1083), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [22230] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(1261), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [22279] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(821), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [22328] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(1340), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [22377] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(1341), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [22426] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(1086), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [22475] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(29), 1,
      anon_sym_LBRACK,
    ACTIONS(33), 1,
      anon_sym_map,
    ACTIONS(35), 1,
      anon_sym_func,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1525), 1,
      anon_sym_CARET,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(799), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [22524] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(460), 1,
      sym_identifier,
    ACTIONS(468), 1,
      anon_sym_struct,
    ACTIONS(470), 1,
      anon_sym_enum,
    ACTIONS(472), 1,
      anon_sym_union,
    ACTIONS(488), 1,
      anon_sym_map,
    ACTIONS(490), 1,
      anon_sym_func,
    ACTIONS(1741), 1,
      anon_sym_LPAREN,
    ACTIONS(1743), 1,
      anon_sym_LBRACK,
    ACTIONS(1745), 1,
      anon_sym_CARET,
    STATE(367), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(376), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [22573] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(1260), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [22622] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(460), 1,
      sym_identifier,
    ACTIONS(468), 1,
      anon_sym_struct,
    ACTIONS(470), 1,
      anon_sym_enum,
    ACTIONS(472), 1,
      anon_sym_union,
    ACTIONS(488), 1,
      anon_sym_map,
    ACTIONS(490), 1,
      anon_sym_func,
    ACTIONS(1741), 1,
      anon_sym_LPAREN,
    ACTIONS(1743), 1,
      anon_sym_LBRACK,
    ACTIONS(1745), 1,
      anon_sym_CARET,
    STATE(374), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(376), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [22671] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(1092), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [22720] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(460), 1,
      sym_identifier,
    ACTIONS(468), 1,
      anon_sym_struct,
    ACTIONS(470), 1,
      anon_sym_enum,
    ACTIONS(472), 1,
      anon_sym_union,
    ACTIONS(488), 1,
      anon_sym_map,
    ACTIONS(490), 1,
      anon_sym_func,
    ACTIONS(1741), 1,
      anon_sym_LPAREN,
    ACTIONS(1743), 1,
      anon_sym_LBRACK,
    ACTIONS(1745), 1,
      anon_sym_CARET,
    STATE(347), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(376), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [22769] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(1286), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [22818] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(29), 1,
      anon_sym_LBRACK,
    ACTIONS(33), 1,
      anon_sym_map,
    ACTIONS(35), 1,
      anon_sym_func,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1525), 1,
      anon_sym_CARET,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(798), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [22867] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(1360), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [22916] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(1305), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [22965] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(1349), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [23014] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(790), 1,
      anon_sym_struct,
    ACTIONS(792), 1,
      anon_sym_enum,
    ACTIONS(794), 1,
      anon_sym_union,
    ACTIONS(1309), 1,
      sym_identifier,
    ACTIONS(1329), 1,
      anon_sym_map,
    ACTIONS(1331), 1,
      anon_sym_func,
    ACTIONS(1407), 1,
      anon_sym_LPAREN,
    ACTIONS(1409), 1,
      anon_sym_LBRACK,
    ACTIONS(1411), 1,
      anon_sym_CARET,
    STATE(810), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(848), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [23063] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(790), 1,
      anon_sym_struct,
    ACTIONS(792), 1,
      anon_sym_enum,
    ACTIONS(794), 1,
      anon_sym_union,
    ACTIONS(1309), 1,
      sym_identifier,
    ACTIONS(1329), 1,
      anon_sym_map,
    ACTIONS(1331), 1,
      anon_sym_func,
    ACTIONS(1407), 1,
      anon_sym_LPAREN,
    ACTIONS(1409), 1,
      anon_sym_LBRACK,
    ACTIONS(1411), 1,
      anon_sym_CARET,
    STATE(819), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(848), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [23112] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(790), 1,
      anon_sym_struct,
    ACTIONS(792), 1,
      anon_sym_enum,
    ACTIONS(794), 1,
      anon_sym_union,
    ACTIONS(1309), 1,
      sym_identifier,
    ACTIONS(1329), 1,
      anon_sym_map,
    ACTIONS(1331), 1,
      anon_sym_func,
    ACTIONS(1407), 1,
      anon_sym_LPAREN,
    ACTIONS(1409), 1,
      anon_sym_LBRACK,
    ACTIONS(1411), 1,
      anon_sym_CARET,
    STATE(822), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(848), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [23161] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(790), 1,
      anon_sym_struct,
    ACTIONS(792), 1,
      anon_sym_enum,
    ACTIONS(794), 1,
      anon_sym_union,
    ACTIONS(1309), 1,
      sym_identifier,
    ACTIONS(1329), 1,
      anon_sym_map,
    ACTIONS(1331), 1,
      anon_sym_func,
    ACTIONS(1407), 1,
      anon_sym_LPAREN,
    ACTIONS(1409), 1,
      anon_sym_LBRACK,
    ACTIONS(1411), 1,
      anon_sym_CARET,
    STATE(839), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(848), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [23210] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(1301), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [23259] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(1302), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [23308] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(1060), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [23357] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(29), 1,
      anon_sym_LBRACK,
    ACTIONS(33), 1,
      anon_sym_map,
    ACTIONS(35), 1,
      anon_sym_func,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1525), 1,
      anon_sym_CARET,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(827), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [23406] = 13,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(1135), 1,
      sym_parenthesized_type,
    STATE(1136), 1,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [23457] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(29), 1,
      anon_sym_LBRACK,
    ACTIONS(33), 1,
      anon_sym_map,
    ACTIONS(35), 1,
      anon_sym_func,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1525), 1,
      anon_sym_CARET,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(821), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [23506] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(1351), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [23555] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(790), 1,
      anon_sym_struct,
    ACTIONS(792), 1,
      anon_sym_enum,
    ACTIONS(794), 1,
      anon_sym_union,
    ACTIONS(1309), 1,
      sym_identifier,
    ACTIONS(1329), 1,
      anon_sym_map,
    ACTIONS(1331), 1,
      anon_sym_func,
    ACTIONS(1407), 1,
      anon_sym_LPAREN,
    ACTIONS(1409), 1,
      anon_sym_LBRACK,
    ACTIONS(1411), 1,
      anon_sym_CARET,
    STATE(838), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(848), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [23604] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(790), 1,
      anon_sym_struct,
    ACTIONS(792), 1,
      anon_sym_enum,
    ACTIONS(794), 1,
      anon_sym_union,
    ACTIONS(1309), 1,
      sym_identifier,
    ACTIONS(1329), 1,
      anon_sym_map,
    ACTIONS(1331), 1,
      anon_sym_func,
    ACTIONS(1407), 1,
      anon_sym_LPAREN,
    ACTIONS(1409), 1,
      anon_sym_LBRACK,
    ACTIONS(1411), 1,
      anon_sym_CARET,
    STATE(868), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(848), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [23653] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(302), 1,
      anon_sym_LBRACK,
    ACTIONS(306), 1,
      anon_sym_map,
    ACTIONS(308), 1,
      anon_sym_func,
    ACTIONS(790), 1,
      anon_sym_struct,
    ACTIONS(792), 1,
      anon_sym_enum,
    ACTIONS(794), 1,
      anon_sym_union,
    ACTIONS(1309), 1,
      sym_identifier,
    ACTIONS(1407), 1,
      anon_sym_LPAREN,
    ACTIONS(1739), 1,
      anon_sym_CARET,
    STATE(825), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(848), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [23702] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(1314), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [23751] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(1330), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [23800] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(1105), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [23849] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(1271), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [23898] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(948), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [23947] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(1091), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [23996] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(1343), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [24045] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(790), 1,
      anon_sym_struct,
    ACTIONS(792), 1,
      anon_sym_enum,
    ACTIONS(794), 1,
      anon_sym_union,
    ACTIONS(1309), 1,
      sym_identifier,
    ACTIONS(1329), 1,
      anon_sym_map,
    ACTIONS(1331), 1,
      anon_sym_func,
    ACTIONS(1407), 1,
      anon_sym_LPAREN,
    ACTIONS(1409), 1,
      anon_sym_LBRACK,
    ACTIONS(1411), 1,
      anon_sym_CARET,
    STATE(825), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(848), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [24094] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(1342), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [24143] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(29), 1,
      anon_sym_LBRACK,
    ACTIONS(33), 1,
      anon_sym_map,
    ACTIONS(35), 1,
      anon_sym_func,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1525), 1,
      anon_sym_CARET,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(846), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [24192] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(809), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [24241] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(1104), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [24290] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(1345), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [24339] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(1346), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [24388] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(460), 1,
      sym_identifier,
    ACTIONS(468), 1,
      anon_sym_struct,
    ACTIONS(470), 1,
      anon_sym_enum,
    ACTIONS(472), 1,
      anon_sym_union,
    ACTIONS(488), 1,
      anon_sym_map,
    ACTIONS(490), 1,
      anon_sym_func,
    ACTIONS(1741), 1,
      anon_sym_LPAREN,
    ACTIONS(1743), 1,
      anon_sym_LBRACK,
    ACTIONS(1745), 1,
      anon_sym_CARET,
    STATE(375), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(376), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [24437] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(17), 1,
      anon_sym_struct,
    ACTIONS(19), 1,
      anon_sym_enum,
    ACTIONS(21), 1,
      anon_sym_union,
    ACTIONS(1385), 1,
      sym_identifier,
    ACTIONS(1389), 1,
      anon_sym_LBRACK,
    ACTIONS(1391), 1,
      anon_sym_CARET,
    ACTIONS(1393), 1,
      anon_sym_map,
    ACTIONS(1395), 1,
      anon_sym_func,
    ACTIONS(1563), 1,
      anon_sym_LPAREN,
    STATE(1053), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(814), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [24486] = 12,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(790), 1,
      anon_sym_struct,
    ACTIONS(792), 1,
      anon_sym_enum,
    ACTIONS(794), 1,
      anon_sym_union,
    ACTIONS(1309), 1,
      sym_identifier,
    ACTIONS(1329), 1,
      anon_sym_map,
    ACTIONS(1331), 1,
      anon_sym_func,
    ACTIONS(1407), 1,
      anon_sym_LPAREN,
    ACTIONS(1409), 1,
      anon_sym_LBRACK,
    ACTIONS(1411), 1,
      anon_sym_CARET,
    STATE(968), 2,
      sym_parenthesized_type,
      sym__simple_type,
    STATE(848), 12,
      sym_generic_type,
      sym_pointer_type,
      sym_array_type,
      sym_dynamic_array_type,
      sym_implicit_length_array_type,
      sym_slice_type,
      sym_struct_type,
      sym_enum_type,
      sym_union_type,
      sym_map_type,
      sym_function_type,
      sym_qualified_type,
  [24535] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(946), 1,
      anon_sym_LF,
    ACTIONS(948), 18,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_case,
      sym_identifier,
  [24562] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(942), 1,
      anon_sym_LF,
    ACTIONS(944), 18,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_case,
      sym_identifier,
  [24589] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(950), 1,
      anon_sym_LF,
    ACTIONS(952), 18,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_case,
      sym_identifier,
  [24616] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(954), 1,
      anon_sym_LF,
    ACTIONS(956), 18,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_where,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_case,
      sym_identifier,
  [24643] = 5,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(438), 1,
      anon_sym_LF,
    ACTIONS(1283), 1,
      anon_sym_COMMA,
    STATE(785), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(440), 15,
      anon_sym_SEMI,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_case,
      sym_identifier,
  [24673] = 5,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(938), 1,
      anon_sym_LF,
    ACTIONS(1283), 1,
      anon_sym_COMMA,
    STATE(785), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(940), 15,
      anon_sym_SEMI,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_case,
      sym_identifier,
  [24703] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1747), 1,
      anon_sym_COMMA,
    ACTIONS(1752), 1,
      anon_sym_COLON,
    STATE(784), 1,
      aux_sym_const_declaration_repeat1,
    ACTIONS(1750), 15,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACE,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [24733] = 5,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(552), 1,
      anon_sym_LF,
    ACTIONS(1754), 1,
      anon_sym_COMMA,
    STATE(785), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(554), 15,
      anon_sym_SEMI,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_DASH_GT,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_LBRACK,
      anon_sym_CARET,
      anon_sym_map,
      anon_sym_func,
      anon_sym_case,
      sym_identifier,
  [24763] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(944), 6,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_map,
      anon_sym_func,
      sym_identifier,
    ACTIONS(942), 11,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_CARET,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [24788] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1752), 1,
      anon_sym_COLON,
    ACTIONS(1750), 16,
      anon_sym_COMMA,
      anon_sym_COLON_COLON,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_RBRACE,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [24813] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(952), 6,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_map,
      anon_sym_func,
      sym_identifier,
    ACTIONS(950), 11,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_CARET,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [24838] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(956), 6,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_map,
      anon_sym_func,
      sym_identifier,
    ACTIONS(954), 11,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_CARET,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [24863] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(948), 6,
      anon_sym_struct,
      anon_sym_enum,
      anon_sym_union,
      anon_sym_map,
      anon_sym_func,
      sym_identifier,
    ACTIONS(946), 11,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_LBRACK,
      anon_sym_RBRACK,
      anon_sym_CARET,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [24888] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1271), 1,
      anon_sym_COMMA,
    ACTIONS(1757), 1,
      anon_sym_COLON_COLON,
    ACTIONS(1759), 1,
      anon_sym_COLON,
    ACTIONS(1763), 1,
      anon_sym_COLON_EQ,
    STATE(784), 1,
      aux_sym_const_declaration_repeat1,
    ACTIONS(1761), 12,
      anon_sym_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [24921] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1765), 1,
      anon_sym_in,
    ACTIONS(1750), 14,
      anon_sym_COMMA,
      anon_sym_EQ,
      anon_sym_COLON_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [24944] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1271), 1,
      anon_sym_COMMA,
    ACTIONS(1769), 1,
      anon_sym_COLON_EQ,
    STATE(784), 1,
      aux_sym_const_declaration_repeat1,
    ACTIONS(1767), 12,
      anon_sym_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [24971] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1271), 1,
      anon_sym_COMMA,
    ACTIONS(1773), 1,
      anon_sym_COLON_EQ,
    STATE(784), 1,
      aux_sym_const_declaration_repeat1,
    ACTIONS(1771), 12,
      anon_sym_EQ,
      anon_sym_STAR_EQ,
      anon_sym_SLASH_EQ,
      anon_sym_PERCENT_EQ,
      anon_sym_LT_LT_EQ,
      anon_sym_GT_GT_EQ,
      anon_sym_AMP_EQ,
      anon_sym_AMP_CARET_EQ,
      anon_sym_PLUS_EQ,
      anon_sym_DASH_EQ,
      anon_sym_PIPE_EQ,
      anon_sym_CARET_EQ,
  [24998] = 6,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(958), 1,
      anon_sym_LF,
    ACTIONS(1775), 1,
      anon_sym_LBRACK,
    ACTIONS(1777), 1,
      anon_sym_DOT,
    STATE(831), 1,
      sym_type_arguments,
    ACTIONS(960), 8,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_case,
  [25024] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1779), 1,
      anon_sym_LBRACK,
    ACTIONS(1781), 1,
      anon_sym_DOT,
    STATE(828), 1,
      sym_type_arguments,
    ACTIONS(958), 9,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [25048] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1073), 1,
      anon_sym_LF,
    ACTIONS(1075), 8,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_case,
  [25065] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1237), 9,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [25080] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1205), 9,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [25095] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1121), 1,
      anon_sym_LF,
    ACTIONS(1123), 8,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_case,
  [25112] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      sym_identifier,
    ACTIONS(1785), 1,
      anon_sym_COMMA,
    ACTIONS(1787), 1,
      anon_sym_COLON,
    ACTIONS(1789), 1,
      anon_sym_RPAREN,
    ACTIONS(1791), 1,
      anon_sym_using,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR,
    STATE(1118), 3,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
      sym_poly_parameter_declaration,
  [25139] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1125), 9,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [25154] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1065), 9,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [25169] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1121), 9,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [25184] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1157), 9,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [25199] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1161), 9,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [25214] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1032), 9,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [25229] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      sym_identifier,
    ACTIONS(1787), 1,
      anon_sym_COLON,
    ACTIONS(1791), 1,
      anon_sym_using,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR,
    ACTIONS(1795), 1,
      anon_sym_COMMA,
    ACTIONS(1797), 1,
      anon_sym_RPAREN,
    STATE(1107), 3,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
      sym_poly_parameter_declaration,
  [25256] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1024), 9,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [25271] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1133), 1,
      anon_sym_LF,
    ACTIONS(1135), 8,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_case,
  [25288] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1016), 9,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [25303] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1173), 1,
      anon_sym_LF,
    ACTIONS(1175), 8,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_case,
  [25320] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1161), 1,
      anon_sym_LF,
    ACTIONS(1163), 8,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_case,
  [25337] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1241), 9,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [25352] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1157), 1,
      anon_sym_LF,
    ACTIONS(1159), 8,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_case,
  [25369] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1125), 1,
      anon_sym_LF,
    ACTIONS(1127), 8,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_case,
  [25386] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1173), 9,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [25401] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1101), 1,
      anon_sym_LF,
    ACTIONS(1103), 8,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_case,
  [25418] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1233), 1,
      anon_sym_LF,
    ACTIONS(1235), 8,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_case,
  [25435] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1165), 9,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [25450] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1133), 9,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [25465] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1205), 1,
      anon_sym_LF,
    ACTIONS(1207), 8,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_case,
  [25482] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1032), 1,
      anon_sym_LF,
    ACTIONS(1034), 8,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_case,
  [25499] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1004), 9,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [25514] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1024), 1,
      anon_sym_LF,
    ACTIONS(1026), 8,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_case,
  [25531] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1225), 9,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [25546] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1233), 9,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [25561] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1193), 9,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [25576] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1229), 9,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [25591] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1165), 1,
      anon_sym_LF,
    ACTIONS(1167), 8,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_case,
  [25608] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1193), 1,
      anon_sym_LF,
    ACTIONS(1195), 8,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_case,
  [25625] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1209), 9,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [25640] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1225), 1,
      anon_sym_LF,
    ACTIONS(1227), 8,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_case,
  [25657] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1028), 9,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [25672] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1209), 1,
      anon_sym_LF,
    ACTIONS(1211), 8,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_case,
  [25689] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1020), 9,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [25704] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1028), 1,
      anon_sym_LF,
    ACTIONS(1030), 8,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_case,
  [25721] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1237), 1,
      anon_sym_LF,
    ACTIONS(1239), 8,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_case,
  [25738] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1085), 1,
      anon_sym_LF,
    ACTIONS(1087), 8,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_case,
  [25755] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1020), 1,
      anon_sym_LF,
    ACTIONS(1022), 8,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_case,
  [25772] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1081), 9,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [25787] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1101), 9,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [25802] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1016), 1,
      anon_sym_LF,
    ACTIONS(1018), 8,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_case,
  [25819] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1081), 1,
      anon_sym_LF,
    ACTIONS(1083), 8,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_case,
  [25836] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1073), 9,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [25851] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1085), 9,
      anon_sym_COMMA,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [25866] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1065), 1,
      anon_sym_LF,
    ACTIONS(1067), 8,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_case,
  [25883] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_LF,
    ACTIONS(1243), 8,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_case,
  [25900] = 8,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      sym_identifier,
    ACTIONS(1787), 1,
      anon_sym_COLON,
    ACTIONS(1791), 1,
      anon_sym_using,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR,
    ACTIONS(1799), 1,
      anon_sym_COMMA,
    ACTIONS(1801), 1,
      anon_sym_RPAREN,
    STATE(1080), 3,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
      sym_poly_parameter_declaration,
  [25927] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1004), 1,
      anon_sym_LF,
    ACTIONS(1006), 8,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_case,
  [25944] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1229), 1,
      anon_sym_LF,
    ACTIONS(1231), 8,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_EQ,
      anon_sym_DASH_DASH_DASH,
      anon_sym_LBRACE,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_case,
  [25961] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      sym_identifier,
    ACTIONS(1787), 1,
      anon_sym_COLON,
    ACTIONS(1791), 1,
      anon_sym_using,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR,
    ACTIONS(1803), 1,
      anon_sym_RPAREN,
    STATE(1242), 3,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
      sym_poly_parameter_declaration,
  [25985] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      sym_identifier,
    ACTIONS(1787), 1,
      anon_sym_COLON,
    ACTIONS(1791), 1,
      anon_sym_using,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR,
    ACTIONS(1805), 1,
      anon_sym_RPAREN,
    STATE(1242), 3,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
      sym_poly_parameter_declaration,
  [26009] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      sym_identifier,
    ACTIONS(1787), 1,
      anon_sym_COLON,
    ACTIONS(1791), 1,
      anon_sym_using,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR,
    ACTIONS(1807), 1,
      anon_sym_RPAREN,
    STATE(1242), 3,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
      sym_poly_parameter_declaration,
  [26033] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      sym_identifier,
    ACTIONS(1787), 1,
      anon_sym_COLON,
    ACTIONS(1791), 1,
      anon_sym_using,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR,
    ACTIONS(1809), 1,
      anon_sym_RPAREN,
    STATE(1242), 3,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
      sym_poly_parameter_declaration,
  [26057] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      sym_identifier,
    ACTIONS(1787), 1,
      anon_sym_COLON,
    ACTIONS(1791), 1,
      anon_sym_using,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR,
    ACTIONS(1811), 1,
      anon_sym_RPAREN,
    STATE(1242), 3,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
      sym_poly_parameter_declaration,
  [26081] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      sym_identifier,
    ACTIONS(1787), 1,
      anon_sym_COLON,
    ACTIONS(1791), 1,
      anon_sym_using,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR,
    ACTIONS(1813), 1,
      anon_sym_RPAREN,
    STATE(1242), 3,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
      sym_poly_parameter_declaration,
  [26105] = 6,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(986), 1,
      anon_sym_LF,
    ACTIONS(1319), 1,
      anon_sym_LBRACE,
    ACTIONS(1815), 1,
      anon_sym_DASH_DASH_DASH,
    STATE(1021), 1,
      sym_block,
    ACTIONS(988), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [26126] = 5,
    ACTIONS(324), 1,
      anon_sym_LBRACE,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1241), 1,
      anon_sym_LF,
    STATE(533), 1,
      sym_literal_value,
    ACTIONS(1243), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_case,
  [26145] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1783), 1,
      sym_identifier,
    ACTIONS(1787), 1,
      anon_sym_COLON,
    ACTIONS(1791), 1,
      anon_sym_using,
    ACTIONS(1793), 1,
      anon_sym_DOLLAR,
    STATE(1242), 3,
      sym_parameter_declaration,
      sym_variadic_parameter_declaration,
      sym_poly_parameter_declaration,
  [26166] = 6,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(974), 1,
      anon_sym_LF,
    ACTIONS(1319), 1,
      anon_sym_LBRACE,
    ACTIONS(1817), 1,
      anon_sym_DASH_DASH_DASH,
    STATE(1002), 1,
      sym_block,
    ACTIONS(976), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [26187] = 6,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(980), 1,
      anon_sym_LF,
    ACTIONS(1319), 1,
      anon_sym_LBRACE,
    ACTIONS(1819), 1,
      anon_sym_DASH_DASH_DASH,
    STATE(993), 1,
      sym_block,
    ACTIONS(982), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [26208] = 6,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(992), 1,
      anon_sym_LF,
    ACTIONS(1319), 1,
      anon_sym_LBRACE,
    ACTIONS(1821), 1,
      anon_sym_DASH_DASH_DASH,
    STATE(918), 1,
      sym_block,
    ACTIONS(994), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [26229] = 6,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(998), 1,
      anon_sym_LF,
    ACTIONS(1319), 1,
      anon_sym_LBRACE,
    ACTIONS(1823), 1,
      anon_sym_DASH_DASH_DASH,
    STATE(1012), 1,
      sym_block,
    ACTIONS(1000), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [26250] = 6,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(968), 1,
      anon_sym_LF,
    ACTIONS(1319), 1,
      anon_sym_LBRACE,
    ACTIONS(1825), 1,
      anon_sym_DASH_DASH_DASH,
    STATE(1000), 1,
      sym_block,
    ACTIONS(970), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [26271] = 5,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1827), 1,
      anon_sym_LF,
    ACTIONS(1831), 1,
      anon_sym_COMMA,
    STATE(874), 1,
      aux_sym_const_expression_list_repeat1,
    ACTIONS(1829), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [26289] = 4,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1833), 1,
      anon_sym_LF,
    ACTIONS(1006), 2,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
    ACTIONS(1835), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [26305] = 5,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1837), 1,
      anon_sym_LF,
    ACTIONS(1841), 1,
      anon_sym_COLON,
    ACTIONS(1843), 1,
      anon_sym_EQ,
    ACTIONS(1839), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [26323] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1847), 1,
      sym_int_literal,
    ACTIONS(1845), 5,
      anon_sym_proc,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_switch,
      sym_float_literal,
  [26337] = 5,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1849), 1,
      anon_sym_LF,
    ACTIONS(1853), 1,
      anon_sym_COLON,
    ACTIONS(1855), 1,
      anon_sym_EQ,
    ACTIONS(1851), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [26355] = 5,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1857), 1,
      anon_sym_LF,
    ACTIONS(1861), 1,
      anon_sym_COMMA,
    STATE(871), 1,
      aux_sym_const_expression_list_repeat1,
    ACTIONS(1859), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [26373] = 5,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1367), 1,
      anon_sym_COMMA,
    ACTIONS(1864), 1,
      anon_sym_LF,
    STATE(876), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(1866), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [26391] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    ACTIONS(1872), 1,
      sym_int_literal,
    ACTIONS(1874), 1,
      sym_float_literal,
    STATE(553), 1,
      sym_argument_list,
    ACTIONS(1868), 2,
      anon_sym_LBRACE,
      anon_sym_switch,
  [26411] = 5,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1831), 1,
      anon_sym_COMMA,
    ACTIONS(1876), 1,
      anon_sym_LF,
    STATE(871), 1,
      aux_sym_const_expression_list_repeat1,
    ACTIONS(1878), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [26429] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(230), 1,
      anon_sym_LBRACE,
    STATE(467), 1,
      sym_literal_value,
    ACTIONS(1241), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [26445] = 5,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(552), 1,
      anon_sym_LF,
    ACTIONS(1880), 1,
      anon_sym_COMMA,
    STATE(876), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(554), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [26463] = 7,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 1,
      anon_sym_LPAREN,
    ACTIONS(1883), 1,
      anon_sym_LBRACE,
    ACTIONS(1885), 1,
      anon_sym_POUND,
    STATE(867), 1,
      sym_field_declaration_list,
    STATE(972), 1,
      sym_simple_directive,
    STATE(1233), 1,
      sym_parameter_list,
  [26485] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1887), 1,
      anon_sym_RBRACE,
    ACTIONS(1889), 1,
      anon_sym_case,
    STATE(890), 3,
      sym_type_expression_case,
      sym_default_case,
      aux_sym_type_switch_statement_repeat1,
  [26500] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1237), 1,
      anon_sym_LF,
    ACTIONS(1239), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_LPAREN,
      anon_sym_case,
  [26513] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1891), 1,
      anon_sym_COMMA,
    STATE(880), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(552), 3,
      anon_sym_SEMI,
      anon_sym_COLON,
      anon_sym_RPAREN,
  [26528] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1049), 1,
      anon_sym_LF,
    ACTIONS(1051), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_case,
  [26541] = 4,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1894), 1,
      anon_sym_LF,
    ACTIONS(1898), 1,
      anon_sym_else,
    ACTIONS(1896), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [26556] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    ACTIONS(1868), 1,
      anon_sym_proc,
    ACTIONS(1872), 1,
      sym_int_literal,
    ACTIONS(1874), 1,
      sym_float_literal,
    STATE(461), 1,
      sym_argument_list,
  [26575] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1900), 1,
      anon_sym_RBRACE,
    ACTIONS(1902), 1,
      anon_sym_case,
    STATE(915), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_switch_statement_repeat1,
  [26590] = 6,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1904), 1,
      sym_identifier,
    ACTIONS(1906), 1,
      sym_raw_string_literal,
    ACTIONS(1908), 1,
      anon_sym_DQUOTE,
    STATE(365), 1,
      sym_interpreted_string_literal,
    STATE(369), 1,
      sym_import_spec,
  [26609] = 5,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1910), 1,
      anon_sym_LF,
    ACTIONS(1913), 1,
      anon_sym_SEMI,
    STATE(886), 1,
      aux_sym__statement_list_repeat1,
    ACTIONS(1916), 2,
      anon_sym_RBRACE,
      anon_sym_case,
  [26626] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1889), 1,
      anon_sym_case,
    ACTIONS(1918), 1,
      anon_sym_RBRACE,
    STATE(878), 3,
      sym_type_expression_case,
      sym_default_case,
      aux_sym_type_switch_statement_repeat1,
  [26641] = 4,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1920), 1,
      anon_sym_LF,
    ACTIONS(1924), 1,
      anon_sym_LPAREN,
    ACTIONS(1922), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [26656] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1902), 1,
      anon_sym_case,
    ACTIONS(1926), 1,
      anon_sym_RBRACE,
    STATE(884), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_switch_statement_repeat1,
  [26671] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1928), 1,
      anon_sym_RBRACE,
    ACTIONS(1930), 1,
      anon_sym_case,
    STATE(890), 3,
      sym_type_expression_case,
      sym_default_case,
      aux_sym_type_switch_statement_repeat1,
  [26686] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1902), 1,
      anon_sym_case,
    ACTIONS(1933), 1,
      anon_sym_RBRACE,
    STATE(915), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_switch_statement_repeat1,
  [26701] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1889), 1,
      anon_sym_case,
    ACTIONS(1935), 1,
      anon_sym_RBRACE,
    STATE(890), 3,
      sym_type_expression_case,
      sym_default_case,
      aux_sym_type_switch_statement_repeat1,
  [26716] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1902), 1,
      anon_sym_case,
    ACTIONS(1937), 1,
      anon_sym_RBRACE,
    STATE(915), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_switch_statement_repeat1,
  [26731] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1857), 1,
      anon_sym_LF,
    ACTIONS(1859), 4,
      anon_sym_SEMI,
      anon_sym_COMMA,
      anon_sym_RBRACE,
      anon_sym_case,
  [26744] = 4,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1227), 1,
      anon_sym_LPAREN,
    ACTIONS(1939), 1,
      anon_sym_LF,
    ACTIONS(1941), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [26759] = 4,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1943), 1,
      anon_sym_LF,
    ACTIONS(1947), 1,
      anon_sym_else,
    ACTIONS(1945), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [26774] = 4,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1231), 1,
      anon_sym_LPAREN,
    ACTIONS(1949), 1,
      anon_sym_LF,
    ACTIONS(1951), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [26789] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1889), 1,
      anon_sym_case,
    ACTIONS(1953), 1,
      anon_sym_RBRACE,
    STATE(917), 3,
      sym_type_expression_case,
      sym_default_case,
      aux_sym_type_switch_statement_repeat1,
  [26804] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1902), 1,
      anon_sym_case,
    ACTIONS(1955), 1,
      anon_sym_RBRACE,
    STATE(915), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_switch_statement_repeat1,
  [26819] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1902), 1,
      anon_sym_case,
    ACTIONS(1957), 1,
      anon_sym_RBRACE,
    STATE(915), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_switch_statement_repeat1,
  [26834] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1902), 1,
      anon_sym_case,
    ACTIONS(1959), 1,
      anon_sym_RBRACE,
    STATE(915), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_switch_statement_repeat1,
  [26849] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1902), 1,
      anon_sym_case,
    ACTIONS(1961), 1,
      anon_sym_RBRACE,
    STATE(893), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_switch_statement_repeat1,
  [26864] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1902), 1,
      anon_sym_case,
    ACTIONS(1963), 1,
      anon_sym_RBRACE,
    STATE(915), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_switch_statement_repeat1,
  [26879] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1889), 1,
      anon_sym_case,
    ACTIONS(1965), 1,
      anon_sym_RBRACE,
    STATE(892), 3,
      sym_type_expression_case,
      sym_default_case,
      aux_sym_type_switch_statement_repeat1,
  [26894] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1889), 1,
      anon_sym_case,
    ACTIONS(1967), 1,
      anon_sym_RBRACE,
    STATE(890), 3,
      sym_type_expression_case,
      sym_default_case,
      aux_sym_type_switch_statement_repeat1,
  [26909] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1902), 1,
      anon_sym_case,
    ACTIONS(1969), 1,
      anon_sym_RBRACE,
    STATE(900), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_switch_statement_repeat1,
  [26924] = 5,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1971), 1,
      anon_sym_LF,
    ACTIONS(1973), 1,
      anon_sym_SEMI,
    STATE(910), 1,
      aux_sym__statement_list_repeat1,
    ACTIONS(1975), 2,
      anon_sym_RBRACE,
      anon_sym_case,
  [26941] = 4,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1977), 1,
      sym_identifier,
    ACTIONS(1979), 1,
      anon_sym_LF,
    ACTIONS(1981), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [26956] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1902), 1,
      anon_sym_case,
    ACTIONS(1983), 1,
      anon_sym_RBRACE,
    STATE(899), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_switch_statement_repeat1,
  [26971] = 5,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1985), 1,
      anon_sym_LF,
    ACTIONS(1987), 1,
      anon_sym_SEMI,
    STATE(886), 1,
      aux_sym__statement_list_repeat1,
    ACTIONS(222), 2,
      anon_sym_RBRACE,
      anon_sym_case,
  [26988] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1889), 1,
      anon_sym_case,
    ACTIONS(1989), 1,
      anon_sym_RBRACE,
    STATE(905), 3,
      sym_type_expression_case,
      sym_default_case,
      aux_sym_type_switch_statement_repeat1,
  [27003] = 4,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1991), 1,
      anon_sym_LF,
    ACTIONS(1995), 1,
      anon_sym_else,
    ACTIONS(1993), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [27018] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1902), 1,
      anon_sym_case,
    ACTIONS(1997), 1,
      anon_sym_RBRACE,
    STATE(915), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_switch_statement_repeat1,
  [27033] = 4,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1999), 1,
      sym_identifier,
    ACTIONS(2001), 1,
      anon_sym_LF,
    ACTIONS(2003), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [27048] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2005), 1,
      anon_sym_RBRACE,
    ACTIONS(2007), 1,
      anon_sym_case,
    STATE(915), 3,
      sym_expression_case,
      sym_default_case,
      aux_sym_switch_statement_repeat1,
  [27063] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1177), 1,
      anon_sym_LF,
    ACTIONS(1179), 4,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_else,
      anon_sym_case,
  [27076] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1889), 1,
      anon_sym_case,
    ACTIONS(2010), 1,
      anon_sym_RBRACE,
    STATE(890), 3,
      sym_type_expression_case,
      sym_default_case,
      aux_sym_type_switch_statement_repeat1,
  [27091] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1189), 1,
      anon_sym_LF,
    ACTIONS(1191), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [27103] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2012), 1,
      anon_sym_COMMA,
    ACTIONS(2015), 1,
      anon_sym_COLON,
    ACTIONS(2017), 1,
      anon_sym_COLON_EQ,
    STATE(919), 1,
      aux_sym_parameter_declaration_repeat1,
  [27119] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2019), 1,
      anon_sym_LF,
    ACTIONS(2021), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [27131] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2023), 1,
      anon_sym_LF,
    ACTIONS(2025), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [27143] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2027), 1,
      anon_sym_LF,
    ACTIONS(2029), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [27155] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      sym_identifier,
    ACTIONS(2033), 1,
      anon_sym_RBRACE,
    ACTIONS(2035), 1,
      anon_sym_using,
    STATE(1265), 1,
      sym_field_declaration,
  [27171] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2037), 1,
      anon_sym_LF,
    ACTIONS(2039), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [27183] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2041), 1,
      anon_sym_COMMA,
    ACTIONS(2043), 1,
      anon_sym_EQ,
    ACTIONS(2045), 1,
      anon_sym_RBRACE,
    STATE(1101), 1,
      aux_sym_literal_value_repeat1,
  [27199] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2047), 1,
      anon_sym_COMMA,
    ACTIONS(2049), 1,
      anon_sym_COLON,
    ACTIONS(2051), 1,
      anon_sym_COLON_EQ,
    STATE(919), 1,
      aux_sym_parameter_declaration_repeat1,
  [27215] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2053), 1,
      anon_sym_LF,
    ACTIONS(2055), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [27227] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2047), 1,
      anon_sym_COMMA,
    ACTIONS(2057), 1,
      anon_sym_COLON,
    ACTIONS(2059), 1,
      anon_sym_COLON_EQ,
    STATE(919), 1,
      aux_sym_parameter_declaration_repeat1,
  [27243] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2061), 1,
      anon_sym_LF,
    ACTIONS(2063), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [27255] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2047), 1,
      anon_sym_COMMA,
    ACTIONS(2065), 1,
      anon_sym_COLON,
    ACTIONS(2067), 1,
      anon_sym_COLON_EQ,
    STATE(950), 1,
      aux_sym_parameter_declaration_repeat1,
  [27271] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      sym_identifier,
    ACTIONS(2035), 1,
      anon_sym_using,
    ACTIONS(2069), 1,
      anon_sym_RBRACE,
    STATE(1265), 1,
      sym_field_declaration,
  [27287] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2071), 1,
      anon_sym_LF,
    ACTIONS(2073), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [27299] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1872), 1,
      sym_int_literal,
    ACTIONS(1874), 1,
      sym_float_literal,
    ACTIONS(1868), 2,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
  [27313] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1237), 4,
      anon_sym_COMMA,
      anon_sym_LPAREN,
      anon_sym_RPAREN,
      anon_sym_RBRACK,
  [27323] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2075), 1,
      anon_sym_LF,
    ACTIONS(2077), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [27335] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2079), 1,
      anon_sym_LF,
    ACTIONS(2081), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [27347] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2083), 1,
      anon_sym_LF,
    ACTIONS(2085), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [27359] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2087), 1,
      anon_sym_LF,
    ACTIONS(2089), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [27371] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2091), 1,
      anon_sym_LF,
    ACTIONS(2093), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [27383] = 4,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2095), 1,
      anon_sym_DQUOTE,
    STATE(1025), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2097), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [27397] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      sym_identifier,
    ACTIONS(2035), 1,
      anon_sym_using,
    ACTIONS(2099), 1,
      anon_sym_RBRACE,
    STATE(1265), 1,
      sym_field_declaration,
  [27413] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2101), 1,
      anon_sym_LF,
    ACTIONS(2103), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [27425] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      sym_identifier,
    ACTIONS(2035), 1,
      anon_sym_using,
    ACTIONS(2105), 1,
      anon_sym_RBRACE,
    STATE(1265), 1,
      sym_field_declaration,
  [27441] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(258), 1,
      anon_sym_DQUOTE,
    ACTIONS(2107), 1,
      anon_sym_COMMA,
    ACTIONS(2109), 1,
      sym_raw_string_literal,
    STATE(1299), 1,
      sym_interpreted_string_literal,
  [27457] = 4,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2111), 1,
      anon_sym_DQUOTE,
    STATE(949), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2113), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [27471] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(258), 1,
      anon_sym_DQUOTE,
    ACTIONS(2115), 1,
      anon_sym_COMMA,
    ACTIONS(2117), 1,
      sym_raw_string_literal,
    STATE(1307), 1,
      sym_interpreted_string_literal,
  [27487] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(258), 1,
      anon_sym_DQUOTE,
    ACTIONS(2115), 1,
      anon_sym_COMMA,
    ACTIONS(2119), 1,
      sym_raw_string_literal,
    STATE(1309), 1,
      sym_interpreted_string_literal,
  [27503] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(258), 1,
      anon_sym_DQUOTE,
    ACTIONS(2121), 1,
      anon_sym_COMMA,
    ACTIONS(2123), 1,
      sym_raw_string_literal,
    STATE(1276), 1,
      sym_interpreted_string_literal,
  [27519] = 4,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2125), 1,
      anon_sym_DQUOTE,
    STATE(1025), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2097), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [27533] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2047), 1,
      anon_sym_COMMA,
    ACTIONS(2127), 1,
      anon_sym_COLON,
    ACTIONS(2129), 1,
      anon_sym_COLON_EQ,
    STATE(919), 1,
      aux_sym_parameter_declaration_repeat1,
  [27549] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      sym_identifier,
    ACTIONS(2035), 1,
      anon_sym_using,
    ACTIONS(2131), 1,
      anon_sym_RBRACE,
    STATE(1186), 1,
      sym_field_declaration,
  [27565] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2133), 4,
      anon_sym_proc,
      anon_sym_LBRACE,
      anon_sym_LPAREN,
      anon_sym_switch,
  [27575] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2047), 1,
      anon_sym_COMMA,
    ACTIONS(2135), 1,
      anon_sym_COLON,
    ACTIONS(2137), 1,
      anon_sym_COLON_EQ,
    STATE(992), 1,
      aux_sym_parameter_declaration_repeat1,
  [27591] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2043), 1,
      anon_sym_EQ,
    ACTIONS(2139), 1,
      anon_sym_COMMA,
    ACTIONS(2141), 1,
      anon_sym_RBRACE,
    STATE(1087), 1,
      aux_sym_literal_value_repeat1,
  [27607] = 4,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2143), 1,
      anon_sym_DQUOTE,
    STATE(1019), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2145), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [27621] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      sym_identifier,
    ACTIONS(2035), 1,
      anon_sym_using,
    ACTIONS(2147), 1,
      anon_sym_RBRACE,
    STATE(1188), 1,
      sym_field_declaration,
  [27637] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 1,
      anon_sym_LBRACE,
    ACTIONS(2149), 1,
      anon_sym_if,
    STATE(984), 2,
      sym_block,
      sym_if_statement,
  [27651] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2151), 1,
      anon_sym_LF,
    ACTIONS(2153), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [27663] = 4,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2155), 1,
      anon_sym_DQUOTE,
    STATE(940), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2157), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [27677] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2159), 1,
      anon_sym_LF,
    ACTIONS(2161), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [27689] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2163), 1,
      anon_sym_LF,
    ACTIONS(2165), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [27701] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2167), 1,
      anon_sym_LF,
    ACTIONS(2169), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [27713] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2171), 1,
      anon_sym_LF,
    ACTIONS(2173), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [27725] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1430), 1,
      anon_sym_COMMA,
    STATE(880), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(1864), 2,
      anon_sym_SEMI,
      anon_sym_COLON,
  [27739] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2175), 1,
      anon_sym_LF,
    ACTIONS(2177), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [27751] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2179), 1,
      anon_sym_LF,
    ACTIONS(2181), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [27763] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2043), 1,
      anon_sym_EQ,
    ACTIONS(2183), 1,
      anon_sym_COMMA,
    ACTIONS(2185), 1,
      anon_sym_RBRACE,
    STATE(1109), 1,
      aux_sym_literal_value_repeat1,
  [27779] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2187), 1,
      anon_sym_LF,
    ACTIONS(2189), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [27791] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2191), 1,
      anon_sym_LF,
    ACTIONS(2193), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [27803] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2195), 1,
      anon_sym_LF,
    ACTIONS(2197), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [27815] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2199), 1,
      anon_sym_LF,
    ACTIONS(2201), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [27827] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 1,
      anon_sym_LPAREN,
    ACTIONS(1883), 1,
      anon_sym_LBRACE,
    STATE(936), 1,
      sym_field_declaration_list,
    STATE(1239), 1,
      sym_parameter_list,
  [27843] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2203), 1,
      anon_sym_LF,
    ACTIONS(2205), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [27855] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2207), 1,
      anon_sym_LF,
    ACTIONS(2209), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [27867] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2211), 1,
      anon_sym_LF,
    ACTIONS(2213), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [27879] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2215), 1,
      anon_sym_LF,
    ACTIONS(2217), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [27891] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1415), 1,
      anon_sym_LF,
    ACTIONS(1417), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [27903] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2219), 1,
      anon_sym_LF,
    ACTIONS(2221), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [27915] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2223), 1,
      anon_sym_LF,
    ACTIONS(2225), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [27927] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(258), 1,
      anon_sym_DQUOTE,
    ACTIONS(2227), 1,
      anon_sym_COMMA,
    ACTIONS(2229), 1,
      sym_raw_string_literal,
    STATE(1322), 1,
      sym_interpreted_string_literal,
  [27943] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(258), 1,
      anon_sym_DQUOTE,
    ACTIONS(2227), 1,
      anon_sym_COMMA,
    ACTIONS(2231), 1,
      sym_raw_string_literal,
    STATE(1328), 1,
      sym_interpreted_string_literal,
  [27959] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1547), 1,
      anon_sym_LF,
    ACTIONS(1549), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [27971] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2233), 1,
      anon_sym_LF,
    ACTIONS(2235), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [27983] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2237), 1,
      anon_sym_LF,
    ACTIONS(2239), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [27995] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2241), 1,
      anon_sym_LF,
    ACTIONS(2243), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [28007] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2245), 1,
      anon_sym_LF,
    ACTIONS(2247), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [28019] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 1,
      anon_sym_LBRACE,
    ACTIONS(2249), 1,
      anon_sym_when,
    STATE(922), 2,
      sym_block,
      sym_when_statement,
  [28033] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 1,
      anon_sym_LBRACE,
    ACTIONS(2149), 1,
      anon_sym_if,
    STATE(921), 2,
      sym_block,
      sym_if_statement,
  [28047] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2251), 1,
      anon_sym_LF,
    ACTIONS(2253), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [28059] = 4,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2255), 1,
      anon_sym_DQUOTE,
    STATE(1025), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2097), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [28073] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2257), 1,
      anon_sym_LF,
    ACTIONS(2259), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [28085] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2047), 1,
      anon_sym_COMMA,
    ACTIONS(2261), 1,
      anon_sym_COLON,
    ACTIONS(2263), 1,
      anon_sym_COLON_EQ,
    STATE(919), 1,
      aux_sym_parameter_declaration_repeat1,
  [28101] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1093), 1,
      anon_sym_LF,
    ACTIONS(1095), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [28113] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2047), 1,
      anon_sym_COMMA,
    ACTIONS(2265), 1,
      anon_sym_COLON,
    ACTIONS(2267), 1,
      anon_sym_COLON_EQ,
    STATE(926), 1,
      aux_sym_parameter_declaration_repeat1,
  [28129] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2047), 1,
      anon_sym_COMMA,
    ACTIONS(2269), 1,
      anon_sym_COLON,
    ACTIONS(2271), 1,
      anon_sym_COLON_EQ,
    STATE(928), 1,
      aux_sym_parameter_declaration_repeat1,
  [28145] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1109), 1,
      anon_sym_LF,
    ACTIONS(1111), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [28157] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2273), 1,
      anon_sym_LF,
    ACTIONS(2275), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [28169] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1153), 1,
      anon_sym_LF,
    ACTIONS(1155), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [28181] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1197), 1,
      anon_sym_LF,
    ACTIONS(1199), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [28193] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1145), 1,
      anon_sym_LF,
    ACTIONS(1147), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [28205] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1141), 1,
      anon_sym_LF,
    ACTIONS(1143), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [28217] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1113), 1,
      anon_sym_LF,
    ACTIONS(1115), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [28229] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1105), 1,
      anon_sym_LF,
    ACTIONS(1107), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [28241] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2277), 1,
      anon_sym_LF,
    ACTIONS(2279), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [28253] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1181), 1,
      anon_sym_LF,
    ACTIONS(1183), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [28265] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1012), 1,
      anon_sym_LF,
    ACTIONS(1014), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [28277] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(892), 1,
      anon_sym_LF,
    ACTIONS(894), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [28289] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      sym_identifier,
    ACTIONS(2035), 1,
      anon_sym_using,
    ACTIONS(2281), 1,
      anon_sym_RBRACE,
    STATE(1265), 1,
      sym_field_declaration,
  [28305] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1129), 1,
      anon_sym_LF,
    ACTIONS(1131), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [28317] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1137), 1,
      anon_sym_LF,
    ACTIONS(1139), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [28329] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2283), 1,
      anon_sym_LF,
    ACTIONS(1916), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [28341] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1149), 1,
      anon_sym_LF,
    ACTIONS(1151), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [28353] = 4,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2285), 1,
      anon_sym_DQUOTE,
    STATE(1025), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2097), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [28367] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1169), 1,
      anon_sym_LF,
    ACTIONS(1171), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [28379] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1089), 1,
      anon_sym_LF,
    ACTIONS(1091), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [28391] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2287), 1,
      anon_sym_LF,
    ACTIONS(2289), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [28403] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(820), 1,
      anon_sym_LF,
    ACTIONS(822), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [28415] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      sym_identifier,
    ACTIONS(2035), 1,
      anon_sym_using,
    ACTIONS(2291), 1,
      anon_sym_RBRACE,
    STATE(1265), 1,
      sym_field_declaration,
  [28431] = 4,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2293), 1,
      anon_sym_DQUOTE,
    STATE(1025), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2097), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [28445] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2043), 1,
      anon_sym_EQ,
    ACTIONS(2295), 1,
      anon_sym_COMMA,
    ACTIONS(2297), 1,
      anon_sym_RBRACE,
    STATE(1059), 1,
      aux_sym_literal_value_repeat1,
  [28461] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1077), 1,
      anon_sym_LF,
    ACTIONS(1079), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [28473] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2299), 1,
      anon_sym_COMMA,
    ACTIONS(2301), 1,
      anon_sym_LPAREN,
    ACTIONS(2303), 1,
      anon_sym_RBRACK,
    STATE(1072), 1,
      aux_sym_type_arguments_repeat1,
  [28489] = 4,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2305), 1,
      anon_sym_DQUOTE,
    STATE(1013), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2307), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [28503] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2309), 1,
      anon_sym_LF,
    ACTIONS(2311), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [28515] = 4,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2313), 1,
      anon_sym_DQUOTE,
    STATE(1025), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2315), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [28529] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1069), 1,
      anon_sym_LF,
    ACTIONS(1071), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [28541] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1057), 1,
      anon_sym_LF,
    ACTIONS(1059), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [28553] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(898), 1,
      anon_sym_LF,
    ACTIONS(900), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [28565] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2318), 1,
      anon_sym_LF,
    ACTIONS(2320), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [28577] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2322), 1,
      anon_sym_LF,
    ACTIONS(2324), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [28589] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2326), 1,
      anon_sym_LF,
    ACTIONS(2328), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [28601] = 4,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2330), 1,
      anon_sym_DQUOTE,
    STATE(1033), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2332), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [28615] = 4,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2334), 1,
      anon_sym_DQUOTE,
    STATE(1025), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2097), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [28629] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2336), 1,
      anon_sym_LF,
    ACTIONS(2338), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [28641] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2340), 1,
      anon_sym_LF,
    ACTIONS(2342), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [28653] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2344), 1,
      anon_sym_LF,
    ACTIONS(2346), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [28665] = 4,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2348), 1,
      anon_sym_DQUOTE,
    STATE(990), 1,
      aux_sym_interpreted_string_literal_repeat1,
    ACTIONS(2350), 2,
      sym__interpreted_string_literal_basic_content,
      sym_escape_sequence,
  [28679] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1185), 1,
      anon_sym_LF,
    ACTIONS(1187), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [28691] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      sym_identifier,
    ACTIONS(2035), 1,
      anon_sym_using,
    ACTIONS(2352), 1,
      anon_sym_RBRACE,
    STATE(1221), 1,
      sym_field_declaration,
  [28707] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(764), 1,
      anon_sym_LF,
    ACTIONS(766), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [28719] = 5,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2043), 1,
      anon_sym_EQ,
    ACTIONS(2354), 1,
      anon_sym_COMMA,
    ACTIONS(2356), 1,
      anon_sym_RBRACE,
    STATE(1073), 1,
      aux_sym_literal_value_repeat1,
  [28735] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2358), 1,
      anon_sym_LF,
    ACTIONS(2360), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [28747] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2362), 1,
      anon_sym_LF,
    ACTIONS(2364), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [28759] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(2366), 1,
      anon_sym_LF,
    ACTIONS(2368), 3,
      anon_sym_SEMI,
      anon_sym_RBRACE,
      anon_sym_case,
  [28771] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2372), 1,
      anon_sym_EQ,
    ACTIONS(2370), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [28782] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2374), 1,
      anon_sym_COMMA,
    ACTIONS(2376), 1,
      anon_sym_COLON,
    STATE(1079), 1,
      aux_sym_field_declaration_repeat1,
  [28795] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2043), 1,
      anon_sym_EQ,
    ACTIONS(2378), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [28806] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2380), 1,
      sym_identifier,
    ACTIONS(2382), 1,
      anon_sym_RBRACE,
    STATE(1219), 1,
      sym__enum_value_identifier,
  [28819] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1446), 1,
      anon_sym_COMMA,
    ACTIONS(1448), 1,
      anon_sym_RPAREN,
    STATE(1076), 1,
      aux_sym_argument_list_repeat1,
  [28832] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2374), 1,
      anon_sym_COMMA,
    ACTIONS(2384), 1,
      anon_sym_COLON,
    STATE(1046), 1,
      aux_sym_field_declaration_repeat1,
  [28845] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(692), 1,
      anon_sym_LBRACE,
    ACTIONS(1241), 1,
      anon_sym_LPAREN,
    STATE(210), 1,
      sym_literal_value,
  [28858] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2354), 1,
      anon_sym_COMMA,
    ACTIONS(2356), 1,
      anon_sym_RBRACE,
    STATE(1073), 1,
      aux_sym_literal_value_repeat1,
  [28871] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2299), 1,
      anon_sym_COMMA,
    ACTIONS(2303), 1,
      anon_sym_RBRACK,
    STATE(1072), 1,
      aux_sym_type_arguments_repeat1,
  [28884] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1908), 1,
      anon_sym_DQUOTE,
    ACTIONS(2386), 1,
      sym_raw_string_literal,
    STATE(325), 1,
      sym_interpreted_string_literal,
  [28897] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2380), 1,
      sym_identifier,
    ACTIONS(2388), 1,
      anon_sym_RBRACE,
    STATE(1263), 1,
      sym__enum_value_identifier,
  [28910] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2295), 1,
      anon_sym_COMMA,
    ACTIONS(2297), 1,
      anon_sym_RBRACE,
    STATE(1059), 1,
      aux_sym_literal_value_repeat1,
  [28923] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2380), 1,
      sym_identifier,
    ACTIONS(2390), 1,
      anon_sym_RBRACE,
    STATE(1263), 1,
      sym__enum_value_identifier,
  [28936] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(586), 1,
      anon_sym_RPAREN,
    ACTIONS(2392), 1,
      anon_sym_COMMA,
    STATE(880), 1,
      aux_sym_where_clause_repeat1,
  [28949] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(384), 1,
      anon_sym_RBRACE,
    ACTIONS(2394), 1,
      anon_sym_COMMA,
    STATE(1061), 1,
      aux_sym_literal_value_repeat1,
  [28962] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2396), 1,
      anon_sym_COMMA,
    ACTIONS(2398), 1,
      anon_sym_RPAREN,
    STATE(1065), 1,
      aux_sym_where_clause_repeat1,
  [28975] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2378), 1,
      anon_sym_RBRACE,
    ACTIONS(2400), 1,
      anon_sym_COMMA,
    STATE(1061), 1,
      aux_sym_literal_value_repeat1,
  [28988] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1432), 1,
      anon_sym_COMMA,
    ACTIONS(1434), 1,
      anon_sym_RPAREN,
    STATE(1069), 1,
      aux_sym_argument_list_repeat1,
  [29001] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2403), 1,
      anon_sym_LBRACE,
    ACTIONS(2405), 1,
      anon_sym_LPAREN,
    STATE(58), 1,
      sym_parameter_list,
  [29014] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(514), 1,
      anon_sym_RPAREN,
    ACTIONS(2407), 1,
      anon_sym_COMMA,
    STATE(1113), 1,
      aux_sym_argument_list_repeat1,
  [29027] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(582), 1,
      anon_sym_RPAREN,
    ACTIONS(2409), 1,
      anon_sym_COMMA,
    STATE(880), 1,
      aux_sym_where_clause_repeat1,
  [29040] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1725), 1,
      anon_sym_RBRACK,
    ACTIONS(2411), 1,
      anon_sym_COMMA,
    STATE(1082), 1,
      aux_sym_type_arguments_repeat1,
  [29053] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1805), 1,
      anon_sym_RPAREN,
    ACTIONS(2413), 1,
      anon_sym_COMMA,
    STATE(1102), 1,
      aux_sym_parameter_list_repeat1,
  [29066] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(622), 1,
      anon_sym_RPAREN,
    ACTIONS(2415), 1,
      anon_sym_COMMA,
    STATE(880), 1,
      aux_sym_where_clause_repeat1,
  [29079] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(528), 1,
      anon_sym_RPAREN,
    ACTIONS(2417), 1,
      anon_sym_COMMA,
    STATE(1113), 1,
      aux_sym_argument_list_repeat1,
  [29092] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2374), 1,
      anon_sym_COMMA,
    ACTIONS(2419), 1,
      anon_sym_COLON,
    STATE(1078), 1,
      aux_sym_field_declaration_repeat1,
  [29105] = 3,
    ACTIONS(3), 1,
      sym_comment,
    STATE(880), 1,
      aux_sym_where_clause_repeat1,
    ACTIONS(1864), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [29116] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1723), 1,
      anon_sym_RBRACK,
    ACTIONS(2421), 1,
      anon_sym_COMMA,
    STATE(1082), 1,
      aux_sym_type_arguments_repeat1,
  [29129] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(424), 1,
      anon_sym_RBRACE,
    ACTIONS(2423), 1,
      anon_sym_COMMA,
    STATE(1061), 1,
      aux_sym_literal_value_repeat1,
  [29142] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1809), 1,
      anon_sym_RPAREN,
    ACTIONS(2425), 1,
      anon_sym_COMMA,
    STATE(1102), 1,
      aux_sym_parameter_list_repeat1,
  [29155] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(628), 1,
      anon_sym_LBRACE,
    ACTIONS(1241), 1,
      anon_sym_LPAREN,
    STATE(409), 1,
      sym_literal_value,
  [29168] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(530), 1,
      anon_sym_RPAREN,
    ACTIONS(2427), 1,
      anon_sym_COMMA,
    STATE(1113), 1,
      aux_sym_argument_list_repeat1,
  [29181] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2139), 1,
      anon_sym_COMMA,
    ACTIONS(2141), 1,
      anon_sym_RBRACE,
    STATE(1087), 1,
      aux_sym_literal_value_repeat1,
  [29194] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2374), 1,
      anon_sym_COMMA,
    ACTIONS(2429), 1,
      anon_sym_COLON,
    STATE(1079), 1,
      aux_sym_field_declaration_repeat1,
  [29207] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2431), 1,
      anon_sym_COMMA,
    ACTIONS(2434), 1,
      anon_sym_COLON,
    STATE(1079), 1,
      aux_sym_field_declaration_repeat1,
  [29220] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2436), 1,
      anon_sym_COMMA,
    ACTIONS(2438), 1,
      anon_sym_RPAREN,
    STATE(1098), 1,
      aux_sym_parameter_list_repeat1,
  [29233] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2380), 1,
      sym_identifier,
    ACTIONS(2440), 1,
      anon_sym_RBRACE,
    STATE(1263), 1,
      sym__enum_value_identifier,
  [29246] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2442), 1,
      anon_sym_COMMA,
    ACTIONS(2445), 1,
      anon_sym_RBRACK,
    STATE(1082), 1,
      aux_sym_type_arguments_repeat1,
  [29259] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2447), 1,
      anon_sym_COMMA,
    ACTIONS(2449), 1,
      anon_sym_RPAREN,
    STATE(1100), 1,
      aux_sym_where_clause_repeat1,
  [29272] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2380), 1,
      sym_identifier,
    ACTIONS(2451), 1,
      anon_sym_RBRACE,
    STATE(1263), 1,
      sym__enum_value_identifier,
  [29285] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2455), 1,
      anon_sym_SLASH,
    ACTIONS(2453), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [29296] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2457), 1,
      anon_sym_COMMA,
    ACTIONS(2459), 1,
      anon_sym_RBRACK,
    STATE(1103), 1,
      aux_sym_type_arguments_repeat1,
  [29309] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(416), 1,
      anon_sym_RBRACE,
    ACTIONS(2461), 1,
      anon_sym_COMMA,
    STATE(1061), 1,
      aux_sym_literal_value_repeat1,
  [29322] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1545), 1,
      anon_sym_COMMA,
    ACTIONS(1864), 1,
      anon_sym_LBRACE,
    STATE(1116), 1,
      aux_sym_where_clause_repeat1,
  [29335] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1460), 1,
      anon_sym_COMMA,
    ACTIONS(1462), 1,
      anon_sym_RPAREN,
    STATE(1106), 1,
      aux_sym_argument_list_repeat1,
  [29348] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1450), 1,
      anon_sym_COMMA,
    ACTIONS(1452), 1,
      anon_sym_RPAREN,
    STATE(1064), 1,
      aux_sym_argument_list_repeat1,
  [29361] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2463), 1,
      anon_sym_COMMA,
    ACTIONS(2465), 1,
      anon_sym_RPAREN,
    STATE(1058), 1,
      aux_sym_where_clause_repeat1,
  [29374] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2467), 1,
      anon_sym_COMMA,
    ACTIONS(2469), 1,
      anon_sym_RPAREN,
    STATE(1099), 1,
      aux_sym_where_clause_repeat1,
  [29387] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2380), 1,
      sym_identifier,
    ACTIONS(2471), 1,
      anon_sym_RBRACE,
    STATE(1263), 1,
      sym__enum_value_identifier,
  [29400] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2475), 1,
      anon_sym_COLON,
    ACTIONS(2473), 2,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
  [29411] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1454), 1,
      anon_sym_COMMA,
    ACTIONS(1456), 1,
      anon_sym_RPAREN,
    STATE(1108), 1,
      aux_sym_argument_list_repeat1,
  [29424] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2479), 1,
      anon_sym_EQ,
    ACTIONS(2477), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [29435] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2041), 1,
      anon_sym_COMMA,
    ACTIONS(2045), 1,
      anon_sym_RBRACE,
    STATE(1101), 1,
      aux_sym_literal_value_repeat1,
  [29448] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1807), 1,
      anon_sym_RPAREN,
    ACTIONS(2481), 1,
      anon_sym_COMMA,
    STATE(1102), 1,
      aux_sym_parameter_list_repeat1,
  [29461] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(620), 1,
      anon_sym_RPAREN,
    ACTIONS(2483), 1,
      anon_sym_COMMA,
    STATE(880), 1,
      aux_sym_where_clause_repeat1,
  [29474] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(560), 1,
      anon_sym_RPAREN,
    ACTIONS(2485), 1,
      anon_sym_COMMA,
    STATE(880), 1,
      aux_sym_where_clause_repeat1,
  [29487] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(450), 1,
      anon_sym_RBRACE,
    ACTIONS(2487), 1,
      anon_sym_COMMA,
    STATE(1061), 1,
      aux_sym_literal_value_repeat1,
  [29500] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2489), 1,
      anon_sym_COMMA,
    ACTIONS(2492), 1,
      anon_sym_RPAREN,
    STATE(1102), 1,
      aux_sym_parameter_list_repeat1,
  [29513] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1715), 1,
      anon_sym_RBRACK,
    ACTIONS(2494), 1,
      anon_sym_COMMA,
    STATE(1082), 1,
      aux_sym_type_arguments_repeat1,
  [29526] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2496), 1,
      anon_sym_COMMA,
    ACTIONS(2498), 1,
      anon_sym_RBRACK,
    STATE(1066), 1,
      aux_sym_type_arguments_repeat1,
  [29539] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2500), 1,
      anon_sym_COMMA,
    ACTIONS(2502), 1,
      anon_sym_RPAREN,
    STATE(1068), 1,
      aux_sym_where_clause_repeat1,
  [29552] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(506), 1,
      anon_sym_RPAREN,
    ACTIONS(2504), 1,
      anon_sym_COMMA,
    STATE(1113), 1,
      aux_sym_argument_list_repeat1,
  [29565] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2506), 1,
      anon_sym_COMMA,
    ACTIONS(2508), 1,
      anon_sym_RPAREN,
    STATE(1074), 1,
      aux_sym_parameter_list_repeat1,
  [29578] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(510), 1,
      anon_sym_RPAREN,
    ACTIONS(2510), 1,
      anon_sym_COMMA,
    STATE(1113), 1,
      aux_sym_argument_list_repeat1,
  [29591] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(370), 1,
      anon_sym_RBRACE,
    ACTIONS(2512), 1,
      anon_sym_COMMA,
    STATE(1061), 1,
      aux_sym_literal_value_repeat1,
  [29604] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1271), 1,
      anon_sym_COMMA,
    ACTIONS(2514), 1,
      anon_sym_RBRACE,
    STATE(1129), 1,
      aux_sym_const_declaration_repeat1,
  [29617] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2380), 1,
      sym_identifier,
    ACTIONS(2516), 1,
      anon_sym_RBRACE,
    STATE(1263), 1,
      sym__enum_value_identifier,
  [29630] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2380), 1,
      sym_identifier,
    ACTIONS(2518), 1,
      anon_sym_RBRACE,
    STATE(1179), 1,
      sym__enum_value_identifier,
  [29643] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1516), 1,
      anon_sym_RPAREN,
    ACTIONS(2520), 1,
      anon_sym_COMMA,
    STATE(1113), 1,
      aux_sym_argument_list_repeat1,
  [29656] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2031), 1,
      sym_identifier,
    ACTIONS(2035), 1,
      anon_sym_using,
    STATE(1265), 1,
      sym_field_declaration,
  [29669] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2525), 1,
      anon_sym_EQ,
    ACTIONS(2523), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [29680] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(552), 1,
      anon_sym_LBRACE,
    ACTIONS(2527), 1,
      anon_sym_COMMA,
    STATE(1116), 1,
      aux_sym_where_clause_repeat1,
  [29693] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2532), 1,
      anon_sym_EQ,
    ACTIONS(2530), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [29704] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2534), 1,
      anon_sym_COMMA,
    ACTIONS(2536), 1,
      anon_sym_RPAREN,
    STATE(1067), 1,
      aux_sym_parameter_list_repeat1,
  [29717] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1908), 1,
      anon_sym_DQUOTE,
    ACTIONS(2538), 1,
      sym_raw_string_literal,
    STATE(342), 1,
      sym_interpreted_string_literal,
  [29730] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2542), 1,
      anon_sym_COLON,
    ACTIONS(2540), 2,
      anon_sym_COMMA,
      anon_sym_COLON_EQ,
  [29741] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1565), 1,
      anon_sym_DOLLAR,
    ACTIONS(2544), 1,
      anon_sym_DOT_DOT,
    STATE(1220), 1,
      sym_polymorphic_type,
  [29754] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2548), 1,
      anon_sym_EQ,
    ACTIONS(2546), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [29765] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(660), 1,
      anon_sym_LBRACE,
    ACTIONS(1241), 1,
      anon_sym_LPAREN,
    STATE(642), 1,
      sym_literal_value,
  [29778] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2550), 1,
      anon_sym_EQ,
    ACTIONS(2546), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [29789] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2380), 1,
      sym_identifier,
    ACTIONS(2552), 1,
      anon_sym_RBRACE,
    STATE(1185), 1,
      sym__enum_value_identifier,
  [29802] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2554), 3,
      anon_sym_LBRACE,
      sym_raw_string_literal,
      anon_sym_DQUOTE,
  [29811] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2556), 1,
      sym_identifier,
    ACTIONS(2558), 1,
      anon_sym_import,
    STATE(1229), 1,
      sym__foreign_lib_identifier,
  [29824] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2183), 1,
      anon_sym_COMMA,
    ACTIONS(2185), 1,
      anon_sym_RBRACE,
    STATE(1109), 1,
      aux_sym_literal_value_repeat1,
  [29837] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1271), 1,
      anon_sym_COMMA,
    ACTIONS(2560), 1,
      anon_sym_RBRACE,
    STATE(784), 1,
      aux_sym_const_declaration_repeat1,
  [29850] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2564), 1,
      anon_sym_EQ,
    ACTIONS(2562), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [29861] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2566), 1,
      anon_sym_EQ,
    ACTIONS(2370), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [29872] = 4,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(296), 1,
      anon_sym_LBRACE,
    ACTIONS(1241), 1,
      anon_sym_LPAREN,
    STATE(533), 1,
      sym_literal_value,
  [29885] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2570), 1,
      anon_sym_EQ,
    ACTIONS(2568), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [29896] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2572), 1,
      anon_sym_EQ,
    ACTIONS(2568), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [29907] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2576), 1,
      anon_sym_EQ,
    ACTIONS(2574), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [29918] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2578), 1,
      anon_sym_EQ,
    ACTIONS(2574), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [29929] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1883), 1,
      anon_sym_LBRACE,
    STATE(850), 1,
      sym_field_declaration_list,
  [29939] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2580), 1,
      sym_identifier,
    STATE(1153), 1,
      sym__directive_identifier,
  [29949] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2582), 1,
      anon_sym_LPAREN,
    STATE(556), 1,
      sym_parameter_list,
  [29959] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2318), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [29967] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [29975] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2163), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [29983] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2159), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [29991] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2586), 1,
      sym_identifier,
    ACTIONS(2588), 1,
      anon_sym_DOLLAR,
  [30001] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2590), 1,
      anon_sym_LBRACE,
    STATE(824), 1,
      sym_field_declaration_list,
  [30011] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1415), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [30019] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2592), 1,
      anon_sym_LBRACE,
    STATE(829), 1,
      sym_enum_value_list,
  [30029] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2594), 1,
      anon_sym_LBRACE,
    STATE(313), 1,
      sym_field_declaration_list,
  [30039] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2596), 1,
      sym_identifier,
    ACTIONS(2598), 1,
      anon_sym_LPAREN,
  [30049] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1471), 1,
      anon_sym_LPAREN,
    STATE(676), 1,
      sym_argument_list,
  [30059] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2600), 1,
      anon_sym_LBRACE,
    STATE(826), 1,
      sym_union_value_list,
  [30069] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2602), 1,
      anon_sym_LBRACE,
    STATE(373), 1,
      sym_enum_value_list,
  [30079] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    STATE(461), 1,
      sym_argument_list,
  [30089] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2584), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [30097] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1471), 1,
      anon_sym_LPAREN,
    STATE(682), 1,
      sym_argument_list,
  [30107] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2604), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [30115] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2604), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [30123] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2580), 1,
      sym_identifier,
    STATE(1252), 1,
      sym__directive_identifier,
  [30133] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 1,
      anon_sym_LPAREN,
    STATE(575), 1,
      sym_parameter_list,
  [30143] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2580), 1,
      sym_identifier,
    STATE(873), 1,
      sym__directive_identifier,
  [30153] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [30161] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2608), 1,
      sym_identifier,
    ACTIONS(2610), 1,
      anon_sym_LPAREN,
  [30171] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2606), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [30179] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2582), 1,
      anon_sym_LPAREN,
    STATE(440), 1,
      sym_parameter_list,
  [30189] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2405), 1,
      anon_sym_LPAREN,
    STATE(82), 1,
      sym_parameter_list,
  [30199] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2612), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [30207] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2614), 1,
      anon_sym_COMMA,
    STATE(1209), 1,
      aux_sym_type_arguments_repeat1,
  [30217] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2616), 2,
      anon_sym_RBRACE,
      anon_sym_case,
  [30225] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2618), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [30233] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2618), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [30241] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2620), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [30249] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2622), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [30257] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2580), 1,
      sym_identifier,
    STATE(1212), 1,
      sym__directive_identifier,
  [30267] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    STATE(553), 1,
      sym_argument_list,
  [30277] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2624), 1,
      anon_sym_LBRACE,
    STATE(897), 1,
      sym_enum_value_list,
  [30287] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1303), 1,
      anon_sym_LPAREN,
    STATE(459), 1,
      sym_argument_list,
  [30297] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2626), 1,
      sym_identifier,
    ACTIONS(2628), 1,
      anon_sym_LPAREN,
  [30307] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2630), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [30315] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2632), 1,
      anon_sym_COMMA,
    STATE(1204), 1,
      aux_sym_enum_value_list_repeat1,
  [30325] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2634), 1,
      anon_sym_LBRACE,
    STATE(895), 1,
      sym_union_value_list,
  [30335] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2636), 1,
      anon_sym_COMMA,
    STATE(1082), 1,
      aux_sym_type_arguments_repeat1,
  [30345] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2638), 1,
      anon_sym_COMMA,
    STATE(1249), 1,
      aux_sym_enum_value_list_repeat1,
  [30355] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2640), 1,
      anon_sym_COMMA,
    STATE(1245), 1,
      aux_sym_field_declaration_list_repeat1,
  [30365] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2642), 1,
      anon_sym_COMMA,
    STATE(1181), 1,
      aux_sym_type_arguments_repeat1,
  [30375] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2644), 1,
      anon_sym_COMMA,
    STATE(1182), 1,
      aux_sym_enum_value_list_repeat1,
  [30385] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2646), 1,
      anon_sym_COMMA,
    STATE(1203), 1,
      aux_sym_field_declaration_list_repeat1,
  [30395] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2301), 1,
      anon_sym_LPAREN,
    ACTIONS(2648), 1,
      anon_sym_RPAREN,
  [30405] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2650), 1,
      anon_sym_COMMA,
    STATE(1183), 1,
      aux_sym_field_declaration_list_repeat1,
  [30415] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2652), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [30423] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2654), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [30431] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2656), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [30439] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1870), 1,
      anon_sym_LPAREN,
    STATE(528), 1,
      sym_argument_list,
  [30449] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1387), 1,
      anon_sym_LPAREN,
    STATE(498), 1,
      sym_parameter_list,
  [30459] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2634), 1,
      anon_sym_LBRACE,
    STATE(833), 1,
      sym_union_value_list,
  [30469] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2582), 1,
      anon_sym_LPAREN,
    STATE(458), 1,
      sym_parameter_list,
  [30479] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2580), 1,
      sym_identifier,
    STATE(1155), 1,
      sym__directive_identifier,
  [30489] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2624), 1,
      anon_sym_LBRACE,
    STATE(851), 1,
      sym_enum_value_list,
  [30499] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2658), 1,
      anon_sym_LBRACE,
    STATE(372), 1,
      sym_union_value_list,
  [30509] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2660), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [30517] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2610), 1,
      anon_sym_LPAREN,
    ACTIONS(2626), 1,
      sym_identifier,
  [30527] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2662), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [30535] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2664), 1,
      anon_sym_LBRACE,
    ACTIONS(2666), 1,
      anon_sym_switch,
  [30545] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2668), 1,
      anon_sym_COMMA,
    STATE(1245), 1,
      aux_sym_field_declaration_list_repeat1,
  [30555] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2670), 1,
      anon_sym_COMMA,
    STATE(1249), 1,
      aux_sym_enum_value_list_repeat1,
  [30565] = 3,
    ACTIONS(336), 1,
      sym_comment,
    ACTIONS(1044), 1,
      anon_sym_LF,
    ACTIONS(2672), 1,
      anon_sym_SEMI,
  [30575] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2674), 1,
      anon_sym_COMMA,
    STATE(1082), 1,
      aux_sym_type_arguments_repeat1,
  [30585] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2676), 1,
      sym_identifier,
    ACTIONS(2678), 1,
      anon_sym_LPAREN,
  [30595] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2680), 1,
      anon_sym_LPAREN,
    STATE(289), 1,
      sym_argument_list,
  [30605] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2682), 1,
      anon_sym_COMMA,
    STATE(1082), 1,
      aux_sym_type_arguments_repeat1,
  [30615] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2582), 1,
      anon_sym_LPAREN,
    STATE(437), 1,
      sym_parameter_list,
  [30625] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(216), 2,
      anon_sym_RBRACE,
      anon_sym_case,
  [30633] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2680), 1,
      anon_sym_LPAREN,
    STATE(273), 1,
      sym_argument_list,
  [30643] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2378), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [30651] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2684), 1,
      anon_sym_COMMA,
    STATE(1249), 1,
      aux_sym_enum_value_list_repeat1,
  [30661] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2686), 1,
      anon_sym_COMMA,
    STATE(1245), 1,
      aux_sym_field_declaration_list_repeat1,
  [30671] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2322), 2,
      anon_sym_SEMI,
      anon_sym_LBRACE,
  [30679] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2688), 2,
      anon_sym_COMMA,
      anon_sym_RBRACE,
  [30687] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2690), 1,
      anon_sym_COMMA,
    STATE(1206), 1,
      aux_sym_type_arguments_repeat1,
  [30697] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2692), 1,
      anon_sym_COMMA,
    STATE(1214), 1,
      aux_sym_enum_value_list_repeat1,
  [30707] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2694), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [30715] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2696), 1,
      anon_sym_COMMA,
    STATE(1215), 1,
      aux_sym_field_declaration_list_repeat1,
  [30725] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1403), 1,
      anon_sym_LBRACE,
    STATE(927), 1,
      sym_block,
  [30735] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2698), 1,
      sym_identifier,
    STATE(1054), 1,
      sym__foreign_lib_identifier,
  [30745] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2700), 2,
      anon_sym_RBRACE,
      anon_sym_case,
  [30753] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2702), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [30761] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2704), 1,
      sym_identifier,
    ACTIONS(2706), 1,
      anon_sym_DOLLAR,
  [30771] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2708), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [30779] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2710), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [30787] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2712), 1,
      anon_sym_LBRACE,
    STATE(337), 1,
      sym_block,
  [30797] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2580), 1,
      sym_identifier,
    STATE(1174), 1,
      sym__directive_identifier,
  [30807] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2580), 1,
      sym_identifier,
    STATE(883), 1,
      sym__directive_identifier,
  [30817] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2580), 1,
      sym_identifier,
    STATE(933), 1,
      sym__directive_identifier,
  [30827] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1883), 1,
      anon_sym_LBRACE,
    STATE(935), 1,
      sym_field_declaration_list,
  [30837] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2714), 1,
      sym_identifier,
    ACTIONS(2716), 1,
      anon_sym_RBRACE,
  [30847] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2405), 1,
      anon_sym_LPAREN,
    STATE(298), 1,
      sym_parameter_list,
  [30857] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2718), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [30865] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2380), 1,
      sym_identifier,
    STATE(1263), 1,
      sym__enum_value_identifier,
  [30875] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1516), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [30883] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(1883), 1,
      anon_sym_LBRACE,
    STATE(966), 1,
      sym_field_declaration_list,
  [30893] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2720), 2,
      anon_sym_RBRACE,
      anon_sym_case,
  [30901] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2722), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [30909] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2492), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [30917] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2724), 2,
      anon_sym_COMMA,
      anon_sym_COLON,
  [30925] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2726), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [30933] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2728), 1,
      anon_sym_COMMA,
    STATE(1245), 1,
      aux_sym_field_declaration_list_repeat1,
  [30943] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2731), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [30951] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2733), 1,
      sym_identifier,
    ACTIONS(2735), 1,
      anon_sym_LPAREN,
  [30961] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2737), 1,
      anon_sym_LPAREN,
    STATE(422), 1,
      sym_argument_list,
  [30971] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2739), 1,
      anon_sym_COMMA,
    STATE(1249), 1,
      aux_sym_enum_value_list_repeat1,
  [30981] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2445), 2,
      anon_sym_COMMA,
      anon_sym_RBRACK,
  [30989] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2742), 2,
      anon_sym_RBRACE,
      anon_sym_case,
  [30997] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2737), 1,
      anon_sym_LPAREN,
    STATE(404), 1,
      sym_argument_list,
  [31007] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2744), 2,
      anon_sym_COMMA,
      anon_sym_RPAREN,
  [31015] = 3,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2301), 1,
      anon_sym_LPAREN,
    ACTIONS(2746), 1,
      anon_sym_RPAREN,
  [31025] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2748), 1,
      anon_sym_RBRACE,
  [31032] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2750), 1,
      sym_identifier,
  [31039] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2752), 1,
      anon_sym_RBRACK,
  [31046] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2754), 1,
      sym_identifier,
  [31053] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2756), 1,
      anon_sym_any,
  [31060] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2758), 1,
      anon_sym_RPAREN,
  [31067] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2760), 1,
      anon_sym_RPAREN,
  [31074] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2762), 1,
      sym_identifier,
  [31081] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2764), 1,
      anon_sym_COMMA,
  [31088] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2766), 1,
      anon_sym_RPAREN,
  [31095] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2768), 1,
      anon_sym_COMMA,
  [31102] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2770), 1,
      anon_sym_LBRACE,
  [31109] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2772), 1,
      anon_sym_LBRACE,
  [31116] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2774), 1,
      anon_sym_RBRACE,
  [31123] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2776), 1,
      anon_sym_RPAREN,
  [31130] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2045), 1,
      anon_sym_RBRACE,
  [31137] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2778), 1,
      anon_sym_RPAREN,
  [31144] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2780), 1,
      anon_sym_LBRACE,
  [31151] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2782), 1,
      anon_sym_where,
  [31158] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2784), 1,
      anon_sym_LBRACE,
  [31165] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2141), 1,
      anon_sym_RBRACE,
  [31172] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2786), 1,
      anon_sym_COMMA,
  [31179] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2788), 1,
      anon_sym_RPAREN,
  [31186] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2790), 1,
      anon_sym_RPAREN,
  [31193] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2792), 1,
      anon_sym_COLON,
  [31200] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2794), 1,
      anon_sym_RPAREN,
  [31207] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2796), 1,
      sym_identifier,
  [31214] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2798), 1,
      anon_sym_LBRACE,
  [31221] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2800), 1,
      anon_sym_RBRACK,
  [31228] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2802), 1,
      anon_sym_RBRACK,
  [31235] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2804), 1,
      anon_sym_COLON,
  [31242] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2806), 1,
      anon_sym_RPAREN,
  [31249] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2808), 1,
      anon_sym_RPAREN,
  [31256] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2810), 1,
      anon_sym_SEMI,
  [31263] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2812), 1,
      anon_sym_LBRACE,
  [31270] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2814), 1,
      anon_sym_LBRACE,
  [31277] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2816), 1,
      anon_sym_SEMI,
  [31284] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2818), 1,
      anon_sym_RPAREN,
  [31291] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2820), 1,
      sym_identifier,
  [31298] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2822), 1,
      anon_sym_SEMI,
  [31305] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2824), 1,
      anon_sym_any,
  [31312] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2826), 1,
      anon_sym_RBRACK,
  [31319] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2828), 1,
      anon_sym_proc,
  [31326] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2830), 1,
      sym_identifier,
  [31333] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2832), 1,
      anon_sym_COMMA,
  [31340] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2834), 1,
      sym_identifier,
  [31347] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2836), 1,
      anon_sym_RPAREN,
  [31354] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2838), 1,
      anon_sym_RPAREN,
  [31361] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2840), 1,
      anon_sym_where,
  [31368] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2842), 1,
      sym_identifier,
  [31375] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2746), 1,
      anon_sym_RPAREN,
  [31382] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2844), 1,
      anon_sym_COMMA,
  [31389] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2844), 1,
      anon_sym_COMMA,
  [31396] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2844), 1,
      anon_sym_COMMA,
  [31403] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2844), 1,
      anon_sym_COMMA,
  [31410] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2846), 1,
      anon_sym_RBRACK,
  [31417] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2848), 1,
      anon_sym_RBRACK,
  [31424] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2850), 1,
      sym_identifier,
  [31431] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2852), 1,
      sym_identifier,
  [31438] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2854), 1,
      anon_sym_RBRACK,
  [31445] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2856), 1,
      anon_sym_SEMI,
  [31452] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2858), 1,
      anon_sym_LPAREN,
  [31459] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2297), 1,
      anon_sym_RBRACE,
  [31466] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2860), 1,
      anon_sym_RBRACK,
  [31473] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2862), 1,
      sym_identifier,
  [31480] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2356), 1,
      anon_sym_RBRACE,
  [31487] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2864), 1,
      anon_sym_COMMA,
  [31494] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2864), 1,
      anon_sym_COMMA,
  [31501] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2864), 1,
      anon_sym_COMMA,
  [31508] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2866), 1,
      ts_builtin_sym_end,
  [31515] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2868), 1,
      sym_identifier,
  [31522] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2870), 1,
      anon_sym_proc,
  [31529] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2872), 1,
      anon_sym_RBRACK,
  [31536] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2864), 1,
      anon_sym_COMMA,
  [31543] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2874), 1,
      anon_sym_RBRACK,
  [31550] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2876), 1,
      anon_sym_RPAREN,
  [31557] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2878), 1,
      sym_identifier,
  [31564] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2880), 1,
      anon_sym_COMMA,
  [31571] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2882), 1,
      sym_identifier,
  [31578] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2884), 1,
      anon_sym_LPAREN,
  [31585] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2886), 1,
      anon_sym_LPAREN,
  [31592] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2888), 1,
      anon_sym_RPAREN,
  [31599] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2890), 1,
      anon_sym_RBRACK,
  [31606] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2438), 1,
      anon_sym_RPAREN,
  [31613] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2892), 1,
      anon_sym_RBRACE,
  [31620] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2894), 1,
      anon_sym_RPAREN,
  [31627] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2896), 1,
      anon_sym_RPAREN,
  [31634] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2898), 1,
      anon_sym_RPAREN,
  [31641] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2900), 1,
      anon_sym_RPAREN,
  [31648] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2902), 1,
      anon_sym_RPAREN,
  [31655] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2904), 1,
      anon_sym_RPAREN,
  [31662] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2906), 1,
      anon_sym_RPAREN,
  [31669] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2908), 1,
      anon_sym_LBRACK,
  [31676] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2910), 1,
      anon_sym_RBRACE,
  [31683] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2912), 1,
      anon_sym_RPAREN,
  [31690] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2508), 1,
      anon_sym_RPAREN,
  [31697] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2914), 1,
      anon_sym_RBRACK,
  [31704] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2916), 1,
      anon_sym_LBRACE,
  [31711] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2185), 1,
      anon_sym_RBRACE,
  [31718] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2918), 1,
      anon_sym_RBRACK,
  [31725] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2920), 1,
      sym_identifier,
  [31732] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2922), 1,
      sym_identifier,
  [31739] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2536), 1,
      anon_sym_RPAREN,
  [31746] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2924), 1,
      anon_sym_RBRACK,
  [31753] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2926), 1,
      anon_sym_RBRACK,
  [31760] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2648), 1,
      anon_sym_RPAREN,
  [31767] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2928), 1,
      anon_sym_LBRACK,
  [31774] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2930), 1,
      anon_sym_LPAREN,
  [31781] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2932), 1,
      anon_sym_LPAREN,
  [31788] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2301), 1,
      anon_sym_LPAREN,
  [31795] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2934), 1,
      sym_identifier,
  [31802] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2936), 1,
      anon_sym_LBRACK,
  [31809] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2938), 1,
      anon_sym_LPAREN,
  [31816] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2940), 1,
      anon_sym_LPAREN,
  [31823] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2942), 1,
      anon_sym_LPAREN,
  [31830] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2944), 1,
      anon_sym_LBRACK,
  [31837] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2946), 1,
      anon_sym_LPAREN,
  [31844] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2948), 1,
      anon_sym_LPAREN,
  [31851] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2950), 1,
      anon_sym_LPAREN,
  [31858] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2952), 1,
      anon_sym_LPAREN,
  [31865] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2954), 1,
      anon_sym_LPAREN,
  [31872] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2956), 1,
      anon_sym_LPAREN,
  [31879] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2958), 1,
      anon_sym_LPAREN,
  [31886] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2960), 1,
      anon_sym_LPAREN,
  [31893] = 2,
    ACTIONS(3), 1,
      sym_comment,
    ACTIONS(2962), 1,
      anon_sym_LBRACK,
};

static const uint32_t ts_small_parse_table_map[] = {
  [SMALL_STATE(294)] = 0,
  [SMALL_STATE(295)] = 99,
  [SMALL_STATE(296)] = 198,
  [SMALL_STATE(297)] = 297,
  [SMALL_STATE(298)] = 396,
  [SMALL_STATE(299)] = 488,
  [SMALL_STATE(300)] = 551,
  [SMALL_STATE(301)] = 614,
  [SMALL_STATE(302)] = 677,
  [SMALL_STATE(303)] = 735,
  [SMALL_STATE(304)] = 793,
  [SMALL_STATE(305)] = 851,
  [SMALL_STATE(306)] = 909,
  [SMALL_STATE(307)] = 972,
  [SMALL_STATE(308)] = 1035,
  [SMALL_STATE(309)] = 1098,
  [SMALL_STATE(310)] = 1161,
  [SMALL_STATE(311)] = 1224,
  [SMALL_STATE(312)] = 1287,
  [SMALL_STATE(313)] = 1350,
  [SMALL_STATE(314)] = 1406,
  [SMALL_STATE(315)] = 1462,
  [SMALL_STATE(316)] = 1518,
  [SMALL_STATE(317)] = 1574,
  [SMALL_STATE(318)] = 1630,
  [SMALL_STATE(319)] = 1686,
  [SMALL_STATE(320)] = 1742,
  [SMALL_STATE(321)] = 1798,
  [SMALL_STATE(322)] = 1854,
  [SMALL_STATE(323)] = 1914,
  [SMALL_STATE(324)] = 1970,
  [SMALL_STATE(325)] = 2026,
  [SMALL_STATE(326)] = 2082,
  [SMALL_STATE(327)] = 2138,
  [SMALL_STATE(328)] = 2198,
  [SMALL_STATE(329)] = 2254,
  [SMALL_STATE(330)] = 2310,
  [SMALL_STATE(331)] = 2366,
  [SMALL_STATE(332)] = 2422,
  [SMALL_STATE(333)] = 2478,
  [SMALL_STATE(334)] = 2534,
  [SMALL_STATE(335)] = 2590,
  [SMALL_STATE(336)] = 2646,
  [SMALL_STATE(337)] = 2702,
  [SMALL_STATE(338)] = 2758,
  [SMALL_STATE(339)] = 2814,
  [SMALL_STATE(340)] = 2870,
  [SMALL_STATE(341)] = 2926,
  [SMALL_STATE(342)] = 2982,
  [SMALL_STATE(343)] = 3038,
  [SMALL_STATE(344)] = 3094,
  [SMALL_STATE(345)] = 3150,
  [SMALL_STATE(346)] = 3206,
  [SMALL_STATE(347)] = 3262,
  [SMALL_STATE(348)] = 3318,
  [SMALL_STATE(349)] = 3374,
  [SMALL_STATE(350)] = 3430,
  [SMALL_STATE(351)] = 3486,
  [SMALL_STATE(352)] = 3542,
  [SMALL_STATE(353)] = 3598,
  [SMALL_STATE(354)] = 3654,
  [SMALL_STATE(355)] = 3710,
  [SMALL_STATE(356)] = 3766,
  [SMALL_STATE(357)] = 3822,
  [SMALL_STATE(358)] = 3878,
  [SMALL_STATE(359)] = 3934,
  [SMALL_STATE(360)] = 3990,
  [SMALL_STATE(361)] = 4046,
  [SMALL_STATE(362)] = 4102,
  [SMALL_STATE(363)] = 4158,
  [SMALL_STATE(364)] = 4214,
  [SMALL_STATE(365)] = 4270,
  [SMALL_STATE(366)] = 4326,
  [SMALL_STATE(367)] = 4382,
  [SMALL_STATE(368)] = 4438,
  [SMALL_STATE(369)] = 4494,
  [SMALL_STATE(370)] = 4550,
  [SMALL_STATE(371)] = 4606,
  [SMALL_STATE(372)] = 4662,
  [SMALL_STATE(373)] = 4718,
  [SMALL_STATE(374)] = 4774,
  [SMALL_STATE(375)] = 4830,
  [SMALL_STATE(376)] = 4886,
  [SMALL_STATE(377)] = 4942,
  [SMALL_STATE(378)] = 4998,
  [SMALL_STATE(379)] = 5053,
  [SMALL_STATE(380)] = 5125,
  [SMALL_STATE(381)] = 5197,
  [SMALL_STATE(382)] = 5266,
  [SMALL_STATE(383)] = 5336,
  [SMALL_STATE(384)] = 5402,
  [SMALL_STATE(385)] = 5468,
  [SMALL_STATE(386)] = 5534,
  [SMALL_STATE(387)] = 5597,
  [SMALL_STATE(388)] = 5659,
  [SMALL_STATE(389)] = 5730,
  [SMALL_STATE(390)] = 5801,
  [SMALL_STATE(391)] = 5867,
  [SMALL_STATE(392)] = 5931,
  [SMALL_STATE(393)] = 5993,
  [SMALL_STATE(394)] = 6059,
  [SMALL_STATE(395)] = 6119,
  [SMALL_STATE(396)] = 6177,
  [SMALL_STATE(397)] = 6233,
  [SMALL_STATE(398)] = 6289,
  [SMALL_STATE(399)] = 6355,
  [SMALL_STATE(400)] = 6405,
  [SMALL_STATE(401)] = 6471,
  [SMALL_STATE(402)] = 6520,
  [SMALL_STATE(403)] = 6564,
  [SMALL_STATE(404)] = 6608,
  [SMALL_STATE(405)] = 6652,
  [SMALL_STATE(406)] = 6696,
  [SMALL_STATE(407)] = 6740,
  [SMALL_STATE(408)] = 6784,
  [SMALL_STATE(409)] = 6828,
  [SMALL_STATE(410)] = 6872,
  [SMALL_STATE(411)] = 6916,
  [SMALL_STATE(412)] = 6960,
  [SMALL_STATE(413)] = 7004,
  [SMALL_STATE(414)] = 7048,
  [SMALL_STATE(415)] = 7092,
  [SMALL_STATE(416)] = 7136,
  [SMALL_STATE(417)] = 7180,
  [SMALL_STATE(418)] = 7224,
  [SMALL_STATE(419)] = 7268,
  [SMALL_STATE(420)] = 7312,
  [SMALL_STATE(421)] = 7356,
  [SMALL_STATE(422)] = 7400,
  [SMALL_STATE(423)] = 7444,
  [SMALL_STATE(424)] = 7488,
  [SMALL_STATE(425)] = 7532,
  [SMALL_STATE(426)] = 7576,
  [SMALL_STATE(427)] = 7620,
  [SMALL_STATE(428)] = 7664,
  [SMALL_STATE(429)] = 7708,
  [SMALL_STATE(430)] = 7752,
  [SMALL_STATE(431)] = 7796,
  [SMALL_STATE(432)] = 7840,
  [SMALL_STATE(433)] = 7884,
  [SMALL_STATE(434)] = 7928,
  [SMALL_STATE(435)] = 7972,
  [SMALL_STATE(436)] = 8016,
  [SMALL_STATE(437)] = 8067,
  [SMALL_STATE(438)] = 8144,
  [SMALL_STATE(439)] = 8191,
  [SMALL_STATE(440)] = 8242,
  [SMALL_STATE(441)] = 8319,
  [SMALL_STATE(442)] = 8381,
  [SMALL_STATE(443)] = 8447,
  [SMALL_STATE(444)] = 8513,
  [SMALL_STATE(445)] = 8557,
  [SMALL_STATE(446)] = 8621,
  [SMALL_STATE(447)] = 8679,
  [SMALL_STATE(448)] = 8733,
  [SMALL_STATE(449)] = 8799,
  [SMALL_STATE(450)] = 8838,
  [SMALL_STATE(451)] = 8877,
  [SMALL_STATE(452)] = 8916,
  [SMALL_STATE(453)] = 8955,
  [SMALL_STATE(454)] = 8994,
  [SMALL_STATE(455)] = 9033,
  [SMALL_STATE(456)] = 9072,
  [SMALL_STATE(457)] = 9111,
  [SMALL_STATE(458)] = 9150,
  [SMALL_STATE(459)] = 9211,
  [SMALL_STATE(460)] = 9250,
  [SMALL_STATE(461)] = 9289,
  [SMALL_STATE(462)] = 9328,
  [SMALL_STATE(463)] = 9367,
  [SMALL_STATE(464)] = 9436,
  [SMALL_STATE(465)] = 9475,
  [SMALL_STATE(466)] = 9514,
  [SMALL_STATE(467)] = 9559,
  [SMALL_STATE(468)] = 9598,
  [SMALL_STATE(469)] = 9637,
  [SMALL_STATE(470)] = 9676,
  [SMALL_STATE(471)] = 9715,
  [SMALL_STATE(472)] = 9754,
  [SMALL_STATE(473)] = 9793,
  [SMALL_STATE(474)] = 9832,
  [SMALL_STATE(475)] = 9871,
  [SMALL_STATE(476)] = 9910,
  [SMALL_STATE(477)] = 9949,
  [SMALL_STATE(478)] = 9988,
  [SMALL_STATE(479)] = 10027,
  [SMALL_STATE(480)] = 10066,
  [SMALL_STATE(481)] = 10135,
  [SMALL_STATE(482)] = 10174,
  [SMALL_STATE(483)] = 10213,
  [SMALL_STATE(484)] = 10252,
  [SMALL_STATE(485)] = 10291,
  [SMALL_STATE(486)] = 10330,
  [SMALL_STATE(487)] = 10369,
  [SMALL_STATE(488)] = 10431,
  [SMALL_STATE(489)] = 10483,
  [SMALL_STATE(490)] = 10533,
  [SMALL_STATE(491)] = 10589,
  [SMALL_STATE(492)] = 10637,
  [SMALL_STATE(493)] = 10695,
  [SMALL_STATE(494)] = 10743,
  [SMALL_STATE(495)] = 10797,
  [SMALL_STATE(496)] = 10855,
  [SMALL_STATE(497)] = 10913,
  [SMALL_STATE(498)] = 10979,
  [SMALL_STATE(499)] = 11037,
  [SMALL_STATE(500)] = 11103,
  [SMALL_STATE(501)] = 11169,
  [SMALL_STATE(502)] = 11213,
  [SMALL_STATE(503)] = 11279,
  [SMALL_STATE(504)] = 11324,
  [SMALL_STATE(505)] = 11365,
  [SMALL_STATE(506)] = 11422,
  [SMALL_STATE(507)] = 11487,
  [SMALL_STATE(508)] = 11548,
  [SMALL_STATE(509)] = 11584,
  [SMALL_STATE(510)] = 11620,
  [SMALL_STATE(511)] = 11662,
  [SMALL_STATE(512)] = 11698,
  [SMALL_STATE(513)] = 11740,
  [SMALL_STATE(514)] = 11800,
  [SMALL_STATE(515)] = 11864,
  [SMALL_STATE(516)] = 11900,
  [SMALL_STATE(517)] = 11936,
  [SMALL_STATE(518)] = 12002,
  [SMALL_STATE(519)] = 12038,
  [SMALL_STATE(520)] = 12074,
  [SMALL_STATE(521)] = 12110,
  [SMALL_STATE(522)] = 12146,
  [SMALL_STATE(523)] = 12184,
  [SMALL_STATE(524)] = 12220,
  [SMALL_STATE(525)] = 12256,
  [SMALL_STATE(526)] = 12292,
  [SMALL_STATE(527)] = 12328,
  [SMALL_STATE(528)] = 12364,
  [SMALL_STATE(529)] = 12400,
  [SMALL_STATE(530)] = 12436,
  [SMALL_STATE(531)] = 12472,
  [SMALL_STATE(532)] = 12514,
  [SMALL_STATE(533)] = 12550,
  [SMALL_STATE(534)] = 12586,
  [SMALL_STATE(535)] = 12622,
  [SMALL_STATE(536)] = 12658,
  [SMALL_STATE(537)] = 12724,
  [SMALL_STATE(538)] = 12760,
  [SMALL_STATE(539)] = 12796,
  [SMALL_STATE(540)] = 12832,
  [SMALL_STATE(541)] = 12868,
  [SMALL_STATE(542)] = 12904,
  [SMALL_STATE(543)] = 12948,
  [SMALL_STATE(544)] = 13014,
  [SMALL_STATE(545)] = 13050,
  [SMALL_STATE(546)] = 13116,
  [SMALL_STATE(547)] = 13152,
  [SMALL_STATE(548)] = 13194,
  [SMALL_STATE(549)] = 13230,
  [SMALL_STATE(550)] = 13272,
  [SMALL_STATE(551)] = 13308,
  [SMALL_STATE(552)] = 13344,
  [SMALL_STATE(553)] = 13380,
  [SMALL_STATE(554)] = 13416,
  [SMALL_STATE(555)] = 13452,
  [SMALL_STATE(556)] = 13518,
  [SMALL_STATE(557)] = 13576,
  [SMALL_STATE(558)] = 13632,
  [SMALL_STATE(559)] = 13691,
  [SMALL_STATE(560)] = 13752,
  [SMALL_STATE(561)] = 13791,
  [SMALL_STATE(562)] = 13850,
  [SMALL_STATE(563)] = 13903,
  [SMALL_STATE(564)] = 13952,
  [SMALL_STATE(565)] = 13997,
  [SMALL_STATE(566)] = 14060,
  [SMALL_STATE(567)] = 14099,
  [SMALL_STATE(568)] = 14158,
  [SMALL_STATE(569)] = 14195,
  [SMALL_STATE(570)] = 14256,
  [SMALL_STATE(571)] = 14319,
  [SMALL_STATE(572)] = 14356,
  [SMALL_STATE(573)] = 14393,
  [SMALL_STATE(574)] = 14452,
  [SMALL_STATE(575)] = 14509,
  [SMALL_STATE(576)] = 14564,
  [SMALL_STATE(577)] = 14627,
  [SMALL_STATE(578)] = 14664,
  [SMALL_STATE(579)] = 14725,
  [SMALL_STATE(580)] = 14774,
  [SMALL_STATE(581)] = 14835,
  [SMALL_STATE(582)] = 14890,
  [SMALL_STATE(583)] = 14927,
  [SMALL_STATE(584)] = 14988,
  [SMALL_STATE(585)] = 15047,
  [SMALL_STATE(586)] = 15108,
  [SMALL_STATE(587)] = 15169,
  [SMALL_STATE(588)] = 15226,
  [SMALL_STATE(589)] = 15289,
  [SMALL_STATE(590)] = 15334,
  [SMALL_STATE(591)] = 15371,
  [SMALL_STATE(592)] = 15424,
  [SMALL_STATE(593)] = 15484,
  [SMALL_STATE(594)] = 15544,
  [SMALL_STATE(595)] = 15604,
  [SMALL_STATE(596)] = 15664,
  [SMALL_STATE(597)] = 15722,
  [SMALL_STATE(598)] = 15782,
  [SMALL_STATE(599)] = 15840,
  [SMALL_STATE(600)] = 15900,
  [SMALL_STATE(601)] = 15960,
  [SMALL_STATE(602)] = 16020,
  [SMALL_STATE(603)] = 16080,
  [SMALL_STATE(604)] = 16140,
  [SMALL_STATE(605)] = 16200,
  [SMALL_STATE(606)] = 16260,
  [SMALL_STATE(607)] = 16320,
  [SMALL_STATE(608)] = 16380,
  [SMALL_STATE(609)] = 16418,
  [SMALL_STATE(610)] = 16478,
  [SMALL_STATE(611)] = 16538,
  [SMALL_STATE(612)] = 16598,
  [SMALL_STATE(613)] = 16658,
  [SMALL_STATE(614)] = 16718,
  [SMALL_STATE(615)] = 16778,
  [SMALL_STATE(616)] = 16838,
  [SMALL_STATE(617)] = 16898,
  [SMALL_STATE(618)] = 16958,
  [SMALL_STATE(619)] = 17018,
  [SMALL_STATE(620)] = 17078,
  [SMALL_STATE(621)] = 17111,
  [SMALL_STATE(622)] = 17144,
  [SMALL_STATE(623)] = 17177,
  [SMALL_STATE(624)] = 17210,
  [SMALL_STATE(625)] = 17267,
  [SMALL_STATE(626)] = 17324,
  [SMALL_STATE(627)] = 17381,
  [SMALL_STATE(628)] = 17414,
  [SMALL_STATE(629)] = 17471,
  [SMALL_STATE(630)] = 17528,
  [SMALL_STATE(631)] = 17585,
  [SMALL_STATE(632)] = 17642,
  [SMALL_STATE(633)] = 17699,
  [SMALL_STATE(634)] = 17732,
  [SMALL_STATE(635)] = 17789,
  [SMALL_STATE(636)] = 17846,
  [SMALL_STATE(637)] = 17903,
  [SMALL_STATE(638)] = 17960,
  [SMALL_STATE(639)] = 17993,
  [SMALL_STATE(640)] = 18026,
  [SMALL_STATE(641)] = 18083,
  [SMALL_STATE(642)] = 18140,
  [SMALL_STATE(643)] = 18173,
  [SMALL_STATE(644)] = 18230,
  [SMALL_STATE(645)] = 18287,
  [SMALL_STATE(646)] = 18344,
  [SMALL_STATE(647)] = 18401,
  [SMALL_STATE(648)] = 18458,
  [SMALL_STATE(649)] = 18497,
  [SMALL_STATE(650)] = 18530,
  [SMALL_STATE(651)] = 18563,
  [SMALL_STATE(652)] = 18596,
  [SMALL_STATE(653)] = 18629,
  [SMALL_STATE(654)] = 18686,
  [SMALL_STATE(655)] = 18719,
  [SMALL_STATE(656)] = 18752,
  [SMALL_STATE(657)] = 18785,
  [SMALL_STATE(658)] = 18842,
  [SMALL_STATE(659)] = 18875,
  [SMALL_STATE(660)] = 18912,
  [SMALL_STATE(661)] = 18969,
  [SMALL_STATE(662)] = 19002,
  [SMALL_STATE(663)] = 19035,
  [SMALL_STATE(664)] = 19068,
  [SMALL_STATE(665)] = 19101,
  [SMALL_STATE(666)] = 19134,
  [SMALL_STATE(667)] = 19167,
  [SMALL_STATE(668)] = 19200,
  [SMALL_STATE(669)] = 19257,
  [SMALL_STATE(670)] = 19290,
  [SMALL_STATE(671)] = 19323,
  [SMALL_STATE(672)] = 19356,
  [SMALL_STATE(673)] = 19389,
  [SMALL_STATE(674)] = 19422,
  [SMALL_STATE(675)] = 19455,
  [SMALL_STATE(676)] = 19512,
  [SMALL_STATE(677)] = 19545,
  [SMALL_STATE(678)] = 19602,
  [SMALL_STATE(679)] = 19659,
  [SMALL_STATE(680)] = 19716,
  [SMALL_STATE(681)] = 19749,
  [SMALL_STATE(682)] = 19782,
  [SMALL_STATE(683)] = 19815,
  [SMALL_STATE(684)] = 19867,
  [SMALL_STATE(685)] = 19919,
  [SMALL_STATE(686)] = 19973,
  [SMALL_STATE(687)] = 20025,
  [SMALL_STATE(688)] = 20077,
  [SMALL_STATE(689)] = 20129,
  [SMALL_STATE(690)] = 20181,
  [SMALL_STATE(691)] = 20233,
  [SMALL_STATE(692)] = 20285,
  [SMALL_STATE(693)] = 20337,
  [SMALL_STATE(694)] = 20389,
  [SMALL_STATE(695)] = 20441,
  [SMALL_STATE(696)] = 20493,
  [SMALL_STATE(697)] = 20545,
  [SMALL_STATE(698)] = 20597,
  [SMALL_STATE(699)] = 20649,
  [SMALL_STATE(700)] = 20701,
  [SMALL_STATE(701)] = 20750,
  [SMALL_STATE(702)] = 20799,
  [SMALL_STATE(703)] = 20850,
  [SMALL_STATE(704)] = 20899,
  [SMALL_STATE(705)] = 20948,
  [SMALL_STATE(706)] = 20997,
  [SMALL_STATE(707)] = 21046,
  [SMALL_STATE(708)] = 21095,
  [SMALL_STATE(709)] = 21144,
  [SMALL_STATE(710)] = 21193,
  [SMALL_STATE(711)] = 21242,
  [SMALL_STATE(712)] = 21291,
  [SMALL_STATE(713)] = 21340,
  [SMALL_STATE(714)] = 21389,
  [SMALL_STATE(715)] = 21438,
  [SMALL_STATE(716)] = 21489,
  [SMALL_STATE(717)] = 21540,
  [SMALL_STATE(718)] = 21589,
  [SMALL_STATE(719)] = 21638,
  [SMALL_STATE(720)] = 21687,
  [SMALL_STATE(721)] = 21736,
  [SMALL_STATE(722)] = 21785,
  [SMALL_STATE(723)] = 21834,
  [SMALL_STATE(724)] = 21883,
  [SMALL_STATE(725)] = 21934,
  [SMALL_STATE(726)] = 21983,
  [SMALL_STATE(727)] = 22034,
  [SMALL_STATE(728)] = 22083,
  [SMALL_STATE(729)] = 22132,
  [SMALL_STATE(730)] = 22181,
  [SMALL_STATE(731)] = 22230,
  [SMALL_STATE(732)] = 22279,
  [SMALL_STATE(733)] = 22328,
  [SMALL_STATE(734)] = 22377,
  [SMALL_STATE(735)] = 22426,
  [SMALL_STATE(736)] = 22475,
  [SMALL_STATE(737)] = 22524,
  [SMALL_STATE(738)] = 22573,
  [SMALL_STATE(739)] = 22622,
  [SMALL_STATE(740)] = 22671,
  [SMALL_STATE(741)] = 22720,
  [SMALL_STATE(742)] = 22769,
  [SMALL_STATE(743)] = 22818,
  [SMALL_STATE(744)] = 22867,
  [SMALL_STATE(745)] = 22916,
  [SMALL_STATE(746)] = 22965,
  [SMALL_STATE(747)] = 23014,
  [SMALL_STATE(748)] = 23063,
  [SMALL_STATE(749)] = 23112,
  [SMALL_STATE(750)] = 23161,
  [SMALL_STATE(751)] = 23210,
  [SMALL_STATE(752)] = 23259,
  [SMALL_STATE(753)] = 23308,
  [SMALL_STATE(754)] = 23357,
  [SMALL_STATE(755)] = 23406,
  [SMALL_STATE(756)] = 23457,
  [SMALL_STATE(757)] = 23506,
  [SMALL_STATE(758)] = 23555,
  [SMALL_STATE(759)] = 23604,
  [SMALL_STATE(760)] = 23653,
  [SMALL_STATE(761)] = 23702,
  [SMALL_STATE(762)] = 23751,
  [SMALL_STATE(763)] = 23800,
  [SMALL_STATE(764)] = 23849,
  [SMALL_STATE(765)] = 23898,
  [SMALL_STATE(766)] = 23947,
  [SMALL_STATE(767)] = 23996,
  [SMALL_STATE(768)] = 24045,
  [SMALL_STATE(769)] = 24094,
  [SMALL_STATE(770)] = 24143,
  [SMALL_STATE(771)] = 24192,
  [SMALL_STATE(772)] = 24241,
  [SMALL_STATE(773)] = 24290,
  [SMALL_STATE(774)] = 24339,
  [SMALL_STATE(775)] = 24388,
  [SMALL_STATE(776)] = 24437,
  [SMALL_STATE(777)] = 24486,
  [SMALL_STATE(778)] = 24535,
  [SMALL_STATE(779)] = 24562,
  [SMALL_STATE(780)] = 24589,
  [SMALL_STATE(781)] = 24616,
  [SMALL_STATE(782)] = 24643,
  [SMALL_STATE(783)] = 24673,
  [SMALL_STATE(784)] = 24703,
  [SMALL_STATE(785)] = 24733,
  [SMALL_STATE(786)] = 24763,
  [SMALL_STATE(787)] = 24788,
  [SMALL_STATE(788)] = 24813,
  [SMALL_STATE(789)] = 24838,
  [SMALL_STATE(790)] = 24863,
  [SMALL_STATE(791)] = 24888,
  [SMALL_STATE(792)] = 24921,
  [SMALL_STATE(793)] = 24944,
  [SMALL_STATE(794)] = 24971,
  [SMALL_STATE(795)] = 24998,
  [SMALL_STATE(796)] = 25024,
  [SMALL_STATE(797)] = 25048,
  [SMALL_STATE(798)] = 25065,
  [SMALL_STATE(799)] = 25080,
  [SMALL_STATE(800)] = 25095,
  [SMALL_STATE(801)] = 25112,
  [SMALL_STATE(802)] = 25139,
  [SMALL_STATE(803)] = 25154,
  [SMALL_STATE(804)] = 25169,
  [SMALL_STATE(805)] = 25184,
  [SMALL_STATE(806)] = 25199,
  [SMALL_STATE(807)] = 25214,
  [SMALL_STATE(808)] = 25229,
  [SMALL_STATE(809)] = 25256,
  [SMALL_STATE(810)] = 25271,
  [SMALL_STATE(811)] = 25288,
  [SMALL_STATE(812)] = 25303,
  [SMALL_STATE(813)] = 25320,
  [SMALL_STATE(814)] = 25337,
  [SMALL_STATE(815)] = 25352,
  [SMALL_STATE(816)] = 25369,
  [SMALL_STATE(817)] = 25386,
  [SMALL_STATE(818)] = 25401,
  [SMALL_STATE(819)] = 25418,
  [SMALL_STATE(820)] = 25435,
  [SMALL_STATE(821)] = 25450,
  [SMALL_STATE(822)] = 25465,
  [SMALL_STATE(823)] = 25482,
  [SMALL_STATE(824)] = 25499,
  [SMALL_STATE(825)] = 25514,
  [SMALL_STATE(826)] = 25531,
  [SMALL_STATE(827)] = 25546,
  [SMALL_STATE(828)] = 25561,
  [SMALL_STATE(829)] = 25576,
  [SMALL_STATE(830)] = 25591,
  [SMALL_STATE(831)] = 25608,
  [SMALL_STATE(832)] = 25625,
  [SMALL_STATE(833)] = 25640,
  [SMALL_STATE(834)] = 25657,
  [SMALL_STATE(835)] = 25672,
  [SMALL_STATE(836)] = 25689,
  [SMALL_STATE(837)] = 25704,
  [SMALL_STATE(838)] = 25721,
  [SMALL_STATE(839)] = 25738,
  [SMALL_STATE(840)] = 25755,
  [SMALL_STATE(841)] = 25772,
  [SMALL_STATE(842)] = 25787,
  [SMALL_STATE(843)] = 25802,
  [SMALL_STATE(844)] = 25819,
  [SMALL_STATE(845)] = 25836,
  [SMALL_STATE(846)] = 25851,
  [SMALL_STATE(847)] = 25866,
  [SMALL_STATE(848)] = 25883,
  [SMALL_STATE(849)] = 25900,
  [SMALL_STATE(850)] = 25927,
  [SMALL_STATE(851)] = 25944,
  [SMALL_STATE(852)] = 25961,
  [SMALL_STATE(853)] = 25985,
  [SMALL_STATE(854)] = 26009,
  [SMALL_STATE(855)] = 26033,
  [SMALL_STATE(856)] = 26057,
  [SMALL_STATE(857)] = 26081,
  [SMALL_STATE(858)] = 26105,
  [SMALL_STATE(859)] = 26126,
  [SMALL_STATE(860)] = 26145,
  [SMALL_STATE(861)] = 26166,
  [SMALL_STATE(862)] = 26187,
  [SMALL_STATE(863)] = 26208,
  [SMALL_STATE(864)] = 26229,
  [SMALL_STATE(865)] = 26250,
  [SMALL_STATE(866)] = 26271,
  [SMALL_STATE(867)] = 26289,
  [SMALL_STATE(868)] = 26305,
  [SMALL_STATE(869)] = 26323,
  [SMALL_STATE(870)] = 26337,
  [SMALL_STATE(871)] = 26355,
  [SMALL_STATE(872)] = 26373,
  [SMALL_STATE(873)] = 26391,
  [SMALL_STATE(874)] = 26411,
  [SMALL_STATE(875)] = 26429,
  [SMALL_STATE(876)] = 26445,
  [SMALL_STATE(877)] = 26463,
  [SMALL_STATE(878)] = 26485,
  [SMALL_STATE(879)] = 26500,
  [SMALL_STATE(880)] = 26513,
  [SMALL_STATE(881)] = 26528,
  [SMALL_STATE(882)] = 26541,
  [SMALL_STATE(883)] = 26556,
  [SMALL_STATE(884)] = 26575,
  [SMALL_STATE(885)] = 26590,
  [SMALL_STATE(886)] = 26609,
  [SMALL_STATE(887)] = 26626,
  [SMALL_STATE(888)] = 26641,
  [SMALL_STATE(889)] = 26656,
  [SMALL_STATE(890)] = 26671,
  [SMALL_STATE(891)] = 26686,
  [SMALL_STATE(892)] = 26701,
  [SMALL_STATE(893)] = 26716,
  [SMALL_STATE(894)] = 26731,
  [SMALL_STATE(895)] = 26744,
  [SMALL_STATE(896)] = 26759,
  [SMALL_STATE(897)] = 26774,
  [SMALL_STATE(898)] = 26789,
  [SMALL_STATE(899)] = 26804,
  [SMALL_STATE(900)] = 26819,
  [SMALL_STATE(901)] = 26834,
  [SMALL_STATE(902)] = 26849,
  [SMALL_STATE(903)] = 26864,
  [SMALL_STATE(904)] = 26879,
  [SMALL_STATE(905)] = 26894,
  [SMALL_STATE(906)] = 26909,
  [SMALL_STATE(907)] = 26924,
  [SMALL_STATE(908)] = 26941,
  [SMALL_STATE(909)] = 26956,
  [SMALL_STATE(910)] = 26971,
  [SMALL_STATE(911)] = 26988,
  [SMALL_STATE(912)] = 27003,
  [SMALL_STATE(913)] = 27018,
  [SMALL_STATE(914)] = 27033,
  [SMALL_STATE(915)] = 27048,
  [SMALL_STATE(916)] = 27063,
  [SMALL_STATE(917)] = 27076,
  [SMALL_STATE(918)] = 27091,
  [SMALL_STATE(919)] = 27103,
  [SMALL_STATE(920)] = 27119,
  [SMALL_STATE(921)] = 27131,
  [SMALL_STATE(922)] = 27143,
  [SMALL_STATE(923)] = 27155,
  [SMALL_STATE(924)] = 27171,
  [SMALL_STATE(925)] = 27183,
  [SMALL_STATE(926)] = 27199,
  [SMALL_STATE(927)] = 27215,
  [SMALL_STATE(928)] = 27227,
  [SMALL_STATE(929)] = 27243,
  [SMALL_STATE(930)] = 27255,
  [SMALL_STATE(931)] = 27271,
  [SMALL_STATE(932)] = 27287,
  [SMALL_STATE(933)] = 27299,
  [SMALL_STATE(934)] = 27313,
  [SMALL_STATE(935)] = 27323,
  [SMALL_STATE(936)] = 27335,
  [SMALL_STATE(937)] = 27347,
  [SMALL_STATE(938)] = 27359,
  [SMALL_STATE(939)] = 27371,
  [SMALL_STATE(940)] = 27383,
  [SMALL_STATE(941)] = 27397,
  [SMALL_STATE(942)] = 27413,
  [SMALL_STATE(943)] = 27425,
  [SMALL_STATE(944)] = 27441,
  [SMALL_STATE(945)] = 27457,
  [SMALL_STATE(946)] = 27471,
  [SMALL_STATE(947)] = 27487,
  [SMALL_STATE(948)] = 27503,
  [SMALL_STATE(949)] = 27519,
  [SMALL_STATE(950)] = 27533,
  [SMALL_STATE(951)] = 27549,
  [SMALL_STATE(952)] = 27565,
  [SMALL_STATE(953)] = 27575,
  [SMALL_STATE(954)] = 27591,
  [SMALL_STATE(955)] = 27607,
  [SMALL_STATE(956)] = 27621,
  [SMALL_STATE(957)] = 27637,
  [SMALL_STATE(958)] = 27651,
  [SMALL_STATE(959)] = 27663,
  [SMALL_STATE(960)] = 27677,
  [SMALL_STATE(961)] = 27689,
  [SMALL_STATE(962)] = 27701,
  [SMALL_STATE(963)] = 27713,
  [SMALL_STATE(964)] = 27725,
  [SMALL_STATE(965)] = 27739,
  [SMALL_STATE(966)] = 27751,
  [SMALL_STATE(967)] = 27763,
  [SMALL_STATE(968)] = 27779,
  [SMALL_STATE(969)] = 27791,
  [SMALL_STATE(970)] = 27803,
  [SMALL_STATE(971)] = 27815,
  [SMALL_STATE(972)] = 27827,
  [SMALL_STATE(973)] = 27843,
  [SMALL_STATE(974)] = 27855,
  [SMALL_STATE(975)] = 27867,
  [SMALL_STATE(976)] = 27879,
  [SMALL_STATE(977)] = 27891,
  [SMALL_STATE(978)] = 27903,
  [SMALL_STATE(979)] = 27915,
  [SMALL_STATE(980)] = 27927,
  [SMALL_STATE(981)] = 27943,
  [SMALL_STATE(982)] = 27959,
  [SMALL_STATE(983)] = 27971,
  [SMALL_STATE(984)] = 27983,
  [SMALL_STATE(985)] = 27995,
  [SMALL_STATE(986)] = 28007,
  [SMALL_STATE(987)] = 28019,
  [SMALL_STATE(988)] = 28033,
  [SMALL_STATE(989)] = 28047,
  [SMALL_STATE(990)] = 28059,
  [SMALL_STATE(991)] = 28073,
  [SMALL_STATE(992)] = 28085,
  [SMALL_STATE(993)] = 28101,
  [SMALL_STATE(994)] = 28113,
  [SMALL_STATE(995)] = 28129,
  [SMALL_STATE(996)] = 28145,
  [SMALL_STATE(997)] = 28157,
  [SMALL_STATE(998)] = 28169,
  [SMALL_STATE(999)] = 28181,
  [SMALL_STATE(1000)] = 28193,
  [SMALL_STATE(1001)] = 28205,
  [SMALL_STATE(1002)] = 28217,
  [SMALL_STATE(1003)] = 28229,
  [SMALL_STATE(1004)] = 28241,
  [SMALL_STATE(1005)] = 28253,
  [SMALL_STATE(1006)] = 28265,
  [SMALL_STATE(1007)] = 28277,
  [SMALL_STATE(1008)] = 28289,
  [SMALL_STATE(1009)] = 28305,
  [SMALL_STATE(1010)] = 28317,
  [SMALL_STATE(1011)] = 28329,
  [SMALL_STATE(1012)] = 28341,
  [SMALL_STATE(1013)] = 28353,
  [SMALL_STATE(1014)] = 28367,
  [SMALL_STATE(1015)] = 28379,
  [SMALL_STATE(1016)] = 28391,
  [SMALL_STATE(1017)] = 28403,
  [SMALL_STATE(1018)] = 28415,
  [SMALL_STATE(1019)] = 28431,
  [SMALL_STATE(1020)] = 28445,
  [SMALL_STATE(1021)] = 28461,
  [SMALL_STATE(1022)] = 28473,
  [SMALL_STATE(1023)] = 28489,
  [SMALL_STATE(1024)] = 28503,
  [SMALL_STATE(1025)] = 28515,
  [SMALL_STATE(1026)] = 28529,
  [SMALL_STATE(1027)] = 28541,
  [SMALL_STATE(1028)] = 28553,
  [SMALL_STATE(1029)] = 28565,
  [SMALL_STATE(1030)] = 28577,
  [SMALL_STATE(1031)] = 28589,
  [SMALL_STATE(1032)] = 28601,
  [SMALL_STATE(1033)] = 28615,
  [SMALL_STATE(1034)] = 28629,
  [SMALL_STATE(1035)] = 28641,
  [SMALL_STATE(1036)] = 28653,
  [SMALL_STATE(1037)] = 28665,
  [SMALL_STATE(1038)] = 28679,
  [SMALL_STATE(1039)] = 28691,
  [SMALL_STATE(1040)] = 28707,
  [SMALL_STATE(1041)] = 28719,
  [SMALL_STATE(1042)] = 28735,
  [SMALL_STATE(1043)] = 28747,
  [SMALL_STATE(1044)] = 28759,
  [SMALL_STATE(1045)] = 28771,
  [SMALL_STATE(1046)] = 28782,
  [SMALL_STATE(1047)] = 28795,
  [SMALL_STATE(1048)] = 28806,
  [SMALL_STATE(1049)] = 28819,
  [SMALL_STATE(1050)] = 28832,
  [SMALL_STATE(1051)] = 28845,
  [SMALL_STATE(1052)] = 28858,
  [SMALL_STATE(1053)] = 28871,
  [SMALL_STATE(1054)] = 28884,
  [SMALL_STATE(1055)] = 28897,
  [SMALL_STATE(1056)] = 28910,
  [SMALL_STATE(1057)] = 28923,
  [SMALL_STATE(1058)] = 28936,
  [SMALL_STATE(1059)] = 28949,
  [SMALL_STATE(1060)] = 28962,
  [SMALL_STATE(1061)] = 28975,
  [SMALL_STATE(1062)] = 28988,
  [SMALL_STATE(1063)] = 29001,
  [SMALL_STATE(1064)] = 29014,
  [SMALL_STATE(1065)] = 29027,
  [SMALL_STATE(1066)] = 29040,
  [SMALL_STATE(1067)] = 29053,
  [SMALL_STATE(1068)] = 29066,
  [SMALL_STATE(1069)] = 29079,
  [SMALL_STATE(1070)] = 29092,
  [SMALL_STATE(1071)] = 29105,
  [SMALL_STATE(1072)] = 29116,
  [SMALL_STATE(1073)] = 29129,
  [SMALL_STATE(1074)] = 29142,
  [SMALL_STATE(1075)] = 29155,
  [SMALL_STATE(1076)] = 29168,
  [SMALL_STATE(1077)] = 29181,
  [SMALL_STATE(1078)] = 29194,
  [SMALL_STATE(1079)] = 29207,
  [SMALL_STATE(1080)] = 29220,
  [SMALL_STATE(1081)] = 29233,
  [SMALL_STATE(1082)] = 29246,
  [SMALL_STATE(1083)] = 29259,
  [SMALL_STATE(1084)] = 29272,
  [SMALL_STATE(1085)] = 29285,
  [SMALL_STATE(1086)] = 29296,
  [SMALL_STATE(1087)] = 29309,
  [SMALL_STATE(1088)] = 29322,
  [SMALL_STATE(1089)] = 29335,
  [SMALL_STATE(1090)] = 29348,
  [SMALL_STATE(1091)] = 29361,
  [SMALL_STATE(1092)] = 29374,
  [SMALL_STATE(1093)] = 29387,
  [SMALL_STATE(1094)] = 29400,
  [SMALL_STATE(1095)] = 29411,
  [SMALL_STATE(1096)] = 29424,
  [SMALL_STATE(1097)] = 29435,
  [SMALL_STATE(1098)] = 29448,
  [SMALL_STATE(1099)] = 29461,
  [SMALL_STATE(1100)] = 29474,
  [SMALL_STATE(1101)] = 29487,
  [SMALL_STATE(1102)] = 29500,
  [SMALL_STATE(1103)] = 29513,
  [SMALL_STATE(1104)] = 29526,
  [SMALL_STATE(1105)] = 29539,
  [SMALL_STATE(1106)] = 29552,
  [SMALL_STATE(1107)] = 29565,
  [SMALL_STATE(1108)] = 29578,
  [SMALL_STATE(1109)] = 29591,
  [SMALL_STATE(1110)] = 29604,
  [SMALL_STATE(1111)] = 29617,
  [SMALL_STATE(1112)] = 29630,
  [SMALL_STATE(1113)] = 29643,
  [SMALL_STATE(1114)] = 29656,
  [SMALL_STATE(1115)] = 29669,
  [SMALL_STATE(1116)] = 29680,
  [SMALL_STATE(1117)] = 29693,
  [SMALL_STATE(1118)] = 29704,
  [SMALL_STATE(1119)] = 29717,
  [SMALL_STATE(1120)] = 29730,
  [SMALL_STATE(1121)] = 29741,
  [SMALL_STATE(1122)] = 29754,
  [SMALL_STATE(1123)] = 29765,
  [SMALL_STATE(1124)] = 29778,
  [SMALL_STATE(1125)] = 29789,
  [SMALL_STATE(1126)] = 29802,
  [SMALL_STATE(1127)] = 29811,
  [SMALL_STATE(1128)] = 29824,
  [SMALL_STATE(1129)] = 29837,
  [SMALL_STATE(1130)] = 29850,
  [SMALL_STATE(1131)] = 29861,
  [SMALL_STATE(1132)] = 29872,
  [SMALL_STATE(1133)] = 29885,
  [SMALL_STATE(1134)] = 29896,
  [SMALL_STATE(1135)] = 29907,
  [SMALL_STATE(1136)] = 29918,
  [SMALL_STATE(1137)] = 29929,
  [SMALL_STATE(1138)] = 29939,
  [SMALL_STATE(1139)] = 29949,
  [SMALL_STATE(1140)] = 29959,
  [SMALL_STATE(1141)] = 29967,
  [SMALL_STATE(1142)] = 29975,
  [SMALL_STATE(1143)] = 29983,
  [SMALL_STATE(1144)] = 29991,
  [SMALL_STATE(1145)] = 30001,
  [SMALL_STATE(1146)] = 30011,
  [SMALL_STATE(1147)] = 30019,
  [SMALL_STATE(1148)] = 30029,
  [SMALL_STATE(1149)] = 30039,
  [SMALL_STATE(1150)] = 30049,
  [SMALL_STATE(1151)] = 30059,
  [SMALL_STATE(1152)] = 30069,
  [SMALL_STATE(1153)] = 30079,
  [SMALL_STATE(1154)] = 30089,
  [SMALL_STATE(1155)] = 30097,
  [SMALL_STATE(1156)] = 30107,
  [SMALL_STATE(1157)] = 30115,
  [SMALL_STATE(1158)] = 30123,
  [SMALL_STATE(1159)] = 30133,
  [SMALL_STATE(1160)] = 30143,
  [SMALL_STATE(1161)] = 30153,
  [SMALL_STATE(1162)] = 30161,
  [SMALL_STATE(1163)] = 30171,
  [SMALL_STATE(1164)] = 30179,
  [SMALL_STATE(1165)] = 30189,
  [SMALL_STATE(1166)] = 30199,
  [SMALL_STATE(1167)] = 30207,
  [SMALL_STATE(1168)] = 30217,
  [SMALL_STATE(1169)] = 30225,
  [SMALL_STATE(1170)] = 30233,
  [SMALL_STATE(1171)] = 30241,
  [SMALL_STATE(1172)] = 30249,
  [SMALL_STATE(1173)] = 30257,
  [SMALL_STATE(1174)] = 30267,
  [SMALL_STATE(1175)] = 30277,
  [SMALL_STATE(1176)] = 30287,
  [SMALL_STATE(1177)] = 30297,
  [SMALL_STATE(1178)] = 30307,
  [SMALL_STATE(1179)] = 30315,
  [SMALL_STATE(1180)] = 30325,
  [SMALL_STATE(1181)] = 30335,
  [SMALL_STATE(1182)] = 30345,
  [SMALL_STATE(1183)] = 30355,
  [SMALL_STATE(1184)] = 30365,
  [SMALL_STATE(1185)] = 30375,
  [SMALL_STATE(1186)] = 30385,
  [SMALL_STATE(1187)] = 30395,
  [SMALL_STATE(1188)] = 30405,
  [SMALL_STATE(1189)] = 30415,
  [SMALL_STATE(1190)] = 30423,
  [SMALL_STATE(1191)] = 30431,
  [SMALL_STATE(1192)] = 30439,
  [SMALL_STATE(1193)] = 30449,
  [SMALL_STATE(1194)] = 30459,
  [SMALL_STATE(1195)] = 30469,
  [SMALL_STATE(1196)] = 30479,
  [SMALL_STATE(1197)] = 30489,
  [SMALL_STATE(1198)] = 30499,
  [SMALL_STATE(1199)] = 30509,
  [SMALL_STATE(1200)] = 30517,
  [SMALL_STATE(1201)] = 30527,
  [SMALL_STATE(1202)] = 30535,
  [SMALL_STATE(1203)] = 30545,
  [SMALL_STATE(1204)] = 30555,
  [SMALL_STATE(1205)] = 30565,
  [SMALL_STATE(1206)] = 30575,
  [SMALL_STATE(1207)] = 30585,
  [SMALL_STATE(1208)] = 30595,
  [SMALL_STATE(1209)] = 30605,
  [SMALL_STATE(1210)] = 30615,
  [SMALL_STATE(1211)] = 30625,
  [SMALL_STATE(1212)] = 30633,
  [SMALL_STATE(1213)] = 30643,
  [SMALL_STATE(1214)] = 30651,
  [SMALL_STATE(1215)] = 30661,
  [SMALL_STATE(1216)] = 30671,
  [SMALL_STATE(1217)] = 30679,
  [SMALL_STATE(1218)] = 30687,
  [SMALL_STATE(1219)] = 30697,
  [SMALL_STATE(1220)] = 30707,
  [SMALL_STATE(1221)] = 30715,
  [SMALL_STATE(1222)] = 30725,
  [SMALL_STATE(1223)] = 30735,
  [SMALL_STATE(1224)] = 30745,
  [SMALL_STATE(1225)] = 30753,
  [SMALL_STATE(1226)] = 30761,
  [SMALL_STATE(1227)] = 30771,
  [SMALL_STATE(1228)] = 30779,
  [SMALL_STATE(1229)] = 30787,
  [SMALL_STATE(1230)] = 30797,
  [SMALL_STATE(1231)] = 30807,
  [SMALL_STATE(1232)] = 30817,
  [SMALL_STATE(1233)] = 30827,
  [SMALL_STATE(1234)] = 30837,
  [SMALL_STATE(1235)] = 30847,
  [SMALL_STATE(1236)] = 30857,
  [SMALL_STATE(1237)] = 30865,
  [SMALL_STATE(1238)] = 30875,
  [SMALL_STATE(1239)] = 30883,
  [SMALL_STATE(1240)] = 30893,
  [SMALL_STATE(1241)] = 30901,
  [SMALL_STATE(1242)] = 30909,
  [SMALL_STATE(1243)] = 30917,
  [SMALL_STATE(1244)] = 30925,
  [SMALL_STATE(1245)] = 30933,
  [SMALL_STATE(1246)] = 30943,
  [SMALL_STATE(1247)] = 30951,
  [SMALL_STATE(1248)] = 30961,
  [SMALL_STATE(1249)] = 30971,
  [SMALL_STATE(1250)] = 30981,
  [SMALL_STATE(1251)] = 30989,
  [SMALL_STATE(1252)] = 30997,
  [SMALL_STATE(1253)] = 31007,
  [SMALL_STATE(1254)] = 31015,
  [SMALL_STATE(1255)] = 31025,
  [SMALL_STATE(1256)] = 31032,
  [SMALL_STATE(1257)] = 31039,
  [SMALL_STATE(1258)] = 31046,
  [SMALL_STATE(1259)] = 31053,
  [SMALL_STATE(1260)] = 31060,
  [SMALL_STATE(1261)] = 31067,
  [SMALL_STATE(1262)] = 31074,
  [SMALL_STATE(1263)] = 31081,
  [SMALL_STATE(1264)] = 31088,
  [SMALL_STATE(1265)] = 31095,
  [SMALL_STATE(1266)] = 31102,
  [SMALL_STATE(1267)] = 31109,
  [SMALL_STATE(1268)] = 31116,
  [SMALL_STATE(1269)] = 31123,
  [SMALL_STATE(1270)] = 31130,
  [SMALL_STATE(1271)] = 31137,
  [SMALL_STATE(1272)] = 31144,
  [SMALL_STATE(1273)] = 31151,
  [SMALL_STATE(1274)] = 31158,
  [SMALL_STATE(1275)] = 31165,
  [SMALL_STATE(1276)] = 31172,
  [SMALL_STATE(1277)] = 31179,
  [SMALL_STATE(1278)] = 31186,
  [SMALL_STATE(1279)] = 31193,
  [SMALL_STATE(1280)] = 31200,
  [SMALL_STATE(1281)] = 31207,
  [SMALL_STATE(1282)] = 31214,
  [SMALL_STATE(1283)] = 31221,
  [SMALL_STATE(1284)] = 31228,
  [SMALL_STATE(1285)] = 31235,
  [SMALL_STATE(1286)] = 31242,
  [SMALL_STATE(1287)] = 31249,
  [SMALL_STATE(1288)] = 31256,
  [SMALL_STATE(1289)] = 31263,
  [SMALL_STATE(1290)] = 31270,
  [SMALL_STATE(1291)] = 31277,
  [SMALL_STATE(1292)] = 31284,
  [SMALL_STATE(1293)] = 31291,
  [SMALL_STATE(1294)] = 31298,
  [SMALL_STATE(1295)] = 31305,
  [SMALL_STATE(1296)] = 31312,
  [SMALL_STATE(1297)] = 31319,
  [SMALL_STATE(1298)] = 31326,
  [SMALL_STATE(1299)] = 31333,
  [SMALL_STATE(1300)] = 31340,
  [SMALL_STATE(1301)] = 31347,
  [SMALL_STATE(1302)] = 31354,
  [SMALL_STATE(1303)] = 31361,
  [SMALL_STATE(1304)] = 31368,
  [SMALL_STATE(1305)] = 31375,
  [SMALL_STATE(1306)] = 31382,
  [SMALL_STATE(1307)] = 31389,
  [SMALL_STATE(1308)] = 31396,
  [SMALL_STATE(1309)] = 31403,
  [SMALL_STATE(1310)] = 31410,
  [SMALL_STATE(1311)] = 31417,
  [SMALL_STATE(1312)] = 31424,
  [SMALL_STATE(1313)] = 31431,
  [SMALL_STATE(1314)] = 31438,
  [SMALL_STATE(1315)] = 31445,
  [SMALL_STATE(1316)] = 31452,
  [SMALL_STATE(1317)] = 31459,
  [SMALL_STATE(1318)] = 31466,
  [SMALL_STATE(1319)] = 31473,
  [SMALL_STATE(1320)] = 31480,
  [SMALL_STATE(1321)] = 31487,
  [SMALL_STATE(1322)] = 31494,
  [SMALL_STATE(1323)] = 31501,
  [SMALL_STATE(1324)] = 31508,
  [SMALL_STATE(1325)] = 31515,
  [SMALL_STATE(1326)] = 31522,
  [SMALL_STATE(1327)] = 31529,
  [SMALL_STATE(1328)] = 31536,
  [SMALL_STATE(1329)] = 31543,
  [SMALL_STATE(1330)] = 31550,
  [SMALL_STATE(1331)] = 31557,
  [SMALL_STATE(1332)] = 31564,
  [SMALL_STATE(1333)] = 31571,
  [SMALL_STATE(1334)] = 31578,
  [SMALL_STATE(1335)] = 31585,
  [SMALL_STATE(1336)] = 31592,
  [SMALL_STATE(1337)] = 31599,
  [SMALL_STATE(1338)] = 31606,
  [SMALL_STATE(1339)] = 31613,
  [SMALL_STATE(1340)] = 31620,
  [SMALL_STATE(1341)] = 31627,
  [SMALL_STATE(1342)] = 31634,
  [SMALL_STATE(1343)] = 31641,
  [SMALL_STATE(1344)] = 31648,
  [SMALL_STATE(1345)] = 31655,
  [SMALL_STATE(1346)] = 31662,
  [SMALL_STATE(1347)] = 31669,
  [SMALL_STATE(1348)] = 31676,
  [SMALL_STATE(1349)] = 31683,
  [SMALL_STATE(1350)] = 31690,
  [SMALL_STATE(1351)] = 31697,
  [SMALL_STATE(1352)] = 31704,
  [SMALL_STATE(1353)] = 31711,
  [SMALL_STATE(1354)] = 31718,
  [SMALL_STATE(1355)] = 31725,
  [SMALL_STATE(1356)] = 31732,
  [SMALL_STATE(1357)] = 31739,
  [SMALL_STATE(1358)] = 31746,
  [SMALL_STATE(1359)] = 31753,
  [SMALL_STATE(1360)] = 31760,
  [SMALL_STATE(1361)] = 31767,
  [SMALL_STATE(1362)] = 31774,
  [SMALL_STATE(1363)] = 31781,
  [SMALL_STATE(1364)] = 31788,
  [SMALL_STATE(1365)] = 31795,
  [SMALL_STATE(1366)] = 31802,
  [SMALL_STATE(1367)] = 31809,
  [SMALL_STATE(1368)] = 31816,
  [SMALL_STATE(1369)] = 31823,
  [SMALL_STATE(1370)] = 31830,
  [SMALL_STATE(1371)] = 31837,
  [SMALL_STATE(1372)] = 31844,
  [SMALL_STATE(1373)] = 31851,
  [SMALL_STATE(1374)] = 31858,
  [SMALL_STATE(1375)] = 31865,
  [SMALL_STATE(1376)] = 31872,
  [SMALL_STATE(1377)] = 31879,
  [SMALL_STATE(1378)] = 31886,
  [SMALL_STATE(1379)] = 31893,
};

static const TSParseActionEntry ts_parse_actions[] = {
  [0] = {.entry = {.count = 0, .reusable = false}},
  [1] = {.entry = {.count = 1, .reusable = false}}, RECOVER(),
  [3] = {.entry = {.count = 1, .reusable = true}}, SHIFT_EXTRA(),
  [5] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 0),
  [7] = {.entry = {.count = 1, .reusable = false}}, SHIFT(382),
  [9] = {.entry = {.count = 1, .reusable = true}}, SHIFT(969),
  [11] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1127),
  [13] = {.entry = {.count = 1, .reusable = false}}, SHIFT(885),
  [15] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1356),
  [17] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1145),
  [19] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1147),
  [21] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1151),
  [23] = {.entry = {.count = 1, .reusable = true}}, SHIFT(534),
  [25] = {.entry = {.count = 1, .reusable = true}}, SHIFT(5),
  [27] = {.entry = {.count = 1, .reusable = true}}, SHIFT(213),
  [29] = {.entry = {.count = 1, .reusable = true}}, SHIFT(44),
  [31] = {.entry = {.count = 1, .reusable = true}}, SHIFT(222),
  [33] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1347),
  [35] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1159),
  [37] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1160),
  [39] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1042),
  [41] = {.entry = {.count = 1, .reusable = false}}, SHIFT(908),
  [43] = {.entry = {.count = 1, .reusable = false}}, SHIFT(914),
  [45] = {.entry = {.count = 1, .reusable = false}}, SHIFT(22),
  [47] = {.entry = {.count = 1, .reusable = false}}, SHIFT(14),
  [49] = {.entry = {.count = 1, .reusable = false}}, SHIFT(31),
  [51] = {.entry = {.count = 1, .reusable = false}}, SHIFT(261),
  [53] = {.entry = {.count = 1, .reusable = false}}, SHIFT(20),
  [55] = {.entry = {.count = 1, .reusable = true}}, SHIFT(269),
  [57] = {.entry = {.count = 1, .reusable = false}}, SHIFT(28),
  [59] = {.entry = {.count = 1, .reusable = false}}, SHIFT(504),
  [61] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1335),
  [63] = {.entry = {.count = 1, .reusable = false}}, SHIFT(284),
  [65] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1334),
  [67] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1333),
  [69] = {.entry = {.count = 1, .reusable = false}}, SHIFT(269),
  [71] = {.entry = {.count = 1, .reusable = true}}, SHIFT(520),
  [73] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1032),
  [75] = {.entry = {.count = 1, .reusable = false}}, SHIFT(520),
  [77] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_source_file, 1),
  [79] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2),
  [81] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(382),
  [84] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(969),
  [87] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1127),
  [90] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(885),
  [93] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1356),
  [96] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1145),
  [99] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1147),
  [102] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1151),
  [105] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(534),
  [108] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(5),
  [111] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(213),
  [114] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(44),
  [117] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(222),
  [120] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1347),
  [123] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1159),
  [126] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1160),
  [129] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1042),
  [132] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(908),
  [135] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(914),
  [138] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(22),
  [141] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(14),
  [144] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(31),
  [147] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(261),
  [150] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(20),
  [153] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(269),
  [156] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(28),
  [159] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(504),
  [162] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1335),
  [165] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(284),
  [168] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1334),
  [171] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1333),
  [174] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(269),
  [177] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(520),
  [180] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(1032),
  [183] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2), SHIFT_REPEAT(520),
  [186] = {.entry = {.count = 1, .reusable = false}}, SHIFT(381),
  [188] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1320),
  [190] = {.entry = {.count = 1, .reusable = true}}, SHIFT(560),
  [192] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1270),
  [194] = {.entry = {.count = 1, .reusable = true}}, SHIFT(522),
  [196] = {.entry = {.count = 1, .reusable = false}}, SHIFT(380),
  [198] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_case, 3, .production_id = 42),
  [200] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_case, 3, .production_id = 42),
  [202] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_expression_case, 3, .production_id = 37),
  [204] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_expression_case, 3, .production_id = 37),
  [206] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_case, 2),
  [208] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_default_case, 2),
  [210] = {.entry = {.count = 1, .reusable = true}}, SHIFT(324),
  [212] = {.entry = {.count = 1, .reusable = true}}, SHIFT(881),
  [214] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1024),
  [216] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement_list, 3),
  [218] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement_list, 3),
  [220] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement_list, 2),
  [222] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement_list, 2),
  [224] = {.entry = {.count = 1, .reusable = false}}, SHIFT(379),
  [226] = {.entry = {.count = 1, .reusable = false}}, SHIFT(438),
  [228] = {.entry = {.count = 1, .reusable = true}}, SHIFT(472),
  [230] = {.entry = {.count = 1, .reusable = true}}, SHIFT(24),
  [232] = {.entry = {.count = 1, .reusable = true}}, SHIFT(582),
  [234] = {.entry = {.count = 1, .reusable = true}}, SHIFT(204),
  [236] = {.entry = {.count = 1, .reusable = true}}, SHIFT(274),
  [238] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1138),
  [240] = {.entry = {.count = 1, .reusable = true}}, SHIFT(245),
  [242] = {.entry = {.count = 1, .reusable = false}}, SHIFT(66),
  [244] = {.entry = {.count = 1, .reusable = false}}, SHIFT(444),
  [246] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1362),
  [248] = {.entry = {.count = 1, .reusable = false}}, SHIFT(231),
  [250] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1363),
  [252] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1319),
  [254] = {.entry = {.count = 1, .reusable = false}}, SHIFT(245),
  [256] = {.entry = {.count = 1, .reusable = true}}, SHIFT(474),
  [258] = {.entry = {.count = 1, .reusable = true}}, SHIFT(955),
  [260] = {.entry = {.count = 1, .reusable = false}}, SHIFT(474),
  [262] = {.entry = {.count = 1, .reusable = true}}, SHIFT(568),
  [264] = {.entry = {.count = 1, .reusable = true}}, SHIFT(572),
  [266] = {.entry = {.count = 1, .reusable = true}}, SHIFT(590),
  [268] = {.entry = {.count = 1, .reusable = false}}, SHIFT(383),
  [270] = {.entry = {.count = 1, .reusable = true}}, SHIFT(106),
  [272] = {.entry = {.count = 1, .reusable = true}}, SHIFT(4),
  [274] = {.entry = {.count = 1, .reusable = true}}, SHIFT(286),
  [276] = {.entry = {.count = 1, .reusable = true}}, SHIFT(179),
  [278] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1367),
  [280] = {.entry = {.count = 1, .reusable = false}}, SHIFT(183),
  [282] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1368),
  [284] = {.entry = {.count = 1, .reusable = false}}, SHIFT(179),
  [286] = {.entry = {.count = 1, .reusable = false}}, SHIFT(503),
  [288] = {.entry = {.count = 1, .reusable = false}}, SHIFT(877),
  [290] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1175),
  [292] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1180),
  [294] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1210),
  [296] = {.entry = {.count = 1, .reusable = true}}, SHIFT(30),
  [298] = {.entry = {.count = 1, .reusable = true}}, SHIFT(239),
  [300] = {.entry = {.count = 1, .reusable = false}}, SHIFT(777),
  [302] = {.entry = {.count = 1, .reusable = true}}, SHIFT(40),
  [304] = {.entry = {.count = 1, .reusable = true}}, SHIFT(221),
  [306] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1361),
  [308] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1139),
  [310] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1231),
  [312] = {.entry = {.count = 1, .reusable = true}}, SHIFT(577),
  [314] = {.entry = {.count = 1, .reusable = false}}, SHIFT(577),
  [316] = {.entry = {.count = 1, .reusable = false}}, SHIFT(466),
  [318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 1),
  [320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 1),
  [322] = {.entry = {.count = 1, .reusable = false}}, SHIFT(534),
  [324] = {.entry = {.count = 1, .reusable = false}}, SHIFT(30),
  [326] = {.entry = {.count = 1, .reusable = false}}, SHIFT(213),
  [328] = {.entry = {.count = 1, .reusable = false}}, SHIFT(44),
  [330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(222),
  [332] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1230),
  [334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1032),
  [336] = {.entry = {.count = 1, .reusable = false}}, SHIFT_EXTRA(),
  [338] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1063),
  [340] = {.entry = {.count = 1, .reusable = true}}, SHIFT(457),
  [342] = {.entry = {.count = 1, .reusable = false}}, SHIFT(385),
  [344] = {.entry = {.count = 1, .reusable = true}}, SHIFT(19),
  [346] = {.entry = {.count = 1, .reusable = false}}, SHIFT(41),
  [348] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1317),
  [350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(268),
  [352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1353),
  [354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(650),
  [356] = {.entry = {.count = 1, .reusable = false}}, SHIFT(384),
  [358] = {.entry = {.count = 1, .reusable = true}}, SHIFT(18),
  [360] = {.entry = {.count = 1, .reusable = false}}, SHIFT(34),
  [362] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1275),
  [364] = {.entry = {.count = 1, .reusable = true}}, SHIFT(406),
  [366] = {.entry = {.count = 1, .reusable = true}}, SHIFT(535),
  [368] = {.entry = {.count = 1, .reusable = false}}, SHIFT(386),
  [370] = {.entry = {.count = 1, .reusable = true}}, SHIFT(674),
  [372] = {.entry = {.count = 1, .reusable = false}}, SHIFT(387),
  [374] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 4, .production_id = 64),
  [376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(713),
  [378] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1359),
  [380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1358),
  [382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(511),
  [384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(292),
  [386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(246),
  [388] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_where_clause, 2),
  [390] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_where_clause, 2),
  [392] = {.entry = {.count = 1, .reusable = false}}, SHIFT(166),
  [394] = {.entry = {.count = 1, .reusable = false}}, SHIFT(85),
  [396] = {.entry = {.count = 1, .reusable = false}}, SHIFT(250),
  [398] = {.entry = {.count = 1, .reusable = false}}, SHIFT(93),
  [400] = {.entry = {.count = 1, .reusable = false}}, SHIFT(252),
  [402] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1207),
  [404] = {.entry = {.count = 1, .reusable = false}}, SHIFT(253),
  [406] = {.entry = {.count = 1, .reusable = false}}, SHIFT(255),
  [408] = {.entry = {.count = 1, .reusable = false}}, SHIFT(256),
  [410] = {.entry = {.count = 1, .reusable = true}}, SHIFT(760),
  [412] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1327),
  [414] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1329),
  [416] = {.entry = {.count = 1, .reusable = true}}, SHIFT(428),
  [418] = {.entry = {.count = 1, .reusable = true}}, SHIFT(703),
  [420] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1257),
  [422] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1318),
  [424] = {.entry = {.count = 1, .reusable = true}}, SHIFT(455),
  [426] = {.entry = {.count = 1, .reusable = true}}, SHIFT(431),
  [428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(471),
  [430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(667),
  [432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(771),
  [434] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1283),
  [436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1284),
  [438] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_where_clause, 3),
  [440] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_where_clause, 3),
  [442] = {.entry = {.count = 1, .reusable = true}}, SHIFT(768),
  [444] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1310),
  [446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1311),
  [448] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 2),
  [450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(515),
  [452] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 3, .production_id = 41),
  [454] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 3, .production_id = 39),
  [456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(656),
  [458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 4, .production_id = 45),
  [460] = {.entry = {.count = 1, .reusable = false}}, SHIFT(306),
  [462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1273),
  [464] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1273),
  [466] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 4, .production_id = 45),
  [468] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1148),
  [470] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1152),
  [472] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1198),
  [474] = {.entry = {.count = 1, .reusable = false}}, SHIFT(294),
  [476] = {.entry = {.count = 1, .reusable = false}}, SHIFT(366),
  [478] = {.entry = {.count = 1, .reusable = false}}, SHIFT(9),
  [480] = {.entry = {.count = 1, .reusable = false}}, SHIFT(201),
  [482] = {.entry = {.count = 1, .reusable = false}}, SHIFT(849),
  [484] = {.entry = {.count = 1, .reusable = false}}, SHIFT(35),
  [486] = {.entry = {.count = 1, .reusable = false}}, SHIFT(775),
  [488] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1370),
  [490] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1235),
  [492] = {.entry = {.count = 1, .reusable = true}}, SHIFT(451),
  [494] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_binary_expression, 3, .production_id = 31),
  [496] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_binary_expression, 3, .production_id = 31),
  [498] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_unary_expression, 2, .production_id = 6),
  [500] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_unary_expression, 2, .production_id = 6),
  [502] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 2, .production_id = 12),
  [504] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 2, .production_id = 12),
  [506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(469),
  [508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(548),
  [510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(419),
  [512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(8),
  [514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(664),
  [516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(537),
  [518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(199),
  [520] = {.entry = {.count = 1, .reusable = true}}, SHIFT(416),
  [522] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__expression, 1),
  [524] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__expression, 1),
  [526] = {.entry = {.count = 1, .reusable = true}}, SHIFT(486),
  [528] = {.entry = {.count = 1, .reusable = true}}, SHIFT(235),
  [530] = {.entry = {.count = 1, .reusable = true}}, SHIFT(550),
  [532] = {.entry = {.count = 1, .reusable = false}}, SHIFT(648),
  [534] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_transmute_expression, 5, .production_id = 67),
  [536] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_transmute_expression, 5, .production_id = 67),
  [538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(426),
  [540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_cast_expression, 5, .production_id = 67),
  [542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_cast_expression, 5, .production_id = 67),
  [544] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 73),
  [546] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 73),
  [548] = {.entry = {.count = 1, .reusable = false}}, SHIFT(295),
  [550] = {.entry = {.count = 1, .reusable = false}}, SHIFT(333),
  [552] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_where_clause_repeat1, 2),
  [554] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_where_clause_repeat1, 2),
  [556] = {.entry = {.count = 1, .reusable = true}}, SHIFT(283),
  [558] = {.entry = {.count = 1, .reusable = true}}, SHIFT(681),
  [560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(468),
  [562] = {.entry = {.count = 1, .reusable = true}}, SHIFT(670),
  [564] = {.entry = {.count = 1, .reusable = false}}, SHIFT(542),
  [566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(113),
  [568] = {.entry = {.count = 1, .reusable = true}}, SHIFT(188),
  [570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(521),
  [572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(551),
  [574] = {.entry = {.count = 1, .reusable = true}}, SHIFT(212),
  [576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(225),
  [578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1230),
  [580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(53),
  [582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(243),
  [584] = {.entry = {.count = 1, .reusable = true}}, SHIFT(89),
  [586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(518),
  [588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(258),
  [590] = {.entry = {.count = 1, .reusable = false}}, SHIFT(566),
  [592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(136),
  [594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(130),
  [596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(524),
  [598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(434),
  [600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(473),
  [602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(128),
  [604] = {.entry = {.count = 1, .reusable = true}}, SHIFT(482),
  [606] = {.entry = {.count = 1, .reusable = true}}, SHIFT(485),
  [608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(410),
  [610] = {.entry = {.count = 1, .reusable = false}}, SHIFT(753),
  [612] = {.entry = {.count = 1, .reusable = true}}, SHIFT(417),
  [614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(55),
  [616] = {.entry = {.count = 1, .reusable = true}}, SHIFT(621),
  [618] = {.entry = {.count = 1, .reusable = true}}, SHIFT(662),
  [620] = {.entry = {.count = 1, .reusable = true}}, SHIFT(427),
  [622] = {.entry = {.count = 1, .reusable = true}}, SHIFT(666),
  [624] = {.entry = {.count = 1, .reusable = false}}, SHIFT(399),
  [626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(435),
  [628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(29),
  [630] = {.entry = {.count = 1, .reusable = true}}, SHIFT(171),
  [632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(223),
  [634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1158),
  [636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(263),
  [638] = {.entry = {.count = 1, .reusable = false}}, SHIFT(401),
  [640] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1377),
  [642] = {.entry = {.count = 1, .reusable = false}}, SHIFT(262),
  [644] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1378),
  [646] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1281),
  [648] = {.entry = {.count = 1, .reusable = false}}, SHIFT(263),
  [650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(403),
  [652] = {.entry = {.count = 1, .reusable = true}}, SHIFT(945),
  [654] = {.entry = {.count = 1, .reusable = false}}, SHIFT(403),
  [656] = {.entry = {.count = 1, .reusable = false}}, SHIFT(549),
  [658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(623),
  [660] = {.entry = {.count = 1, .reusable = true}}, SHIFT(27),
  [662] = {.entry = {.count = 1, .reusable = true}}, SHIFT(281),
  [664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(229),
  [666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1196),
  [668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(186),
  [670] = {.entry = {.count = 1, .reusable = false}}, SHIFT(608),
  [672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1371),
  [674] = {.entry = {.count = 1, .reusable = false}}, SHIFT(176),
  [676] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1372),
  [678] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1262),
  [680] = {.entry = {.count = 1, .reusable = false}}, SHIFT(186),
  [682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(627),
  [684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1023),
  [686] = {.entry = {.count = 1, .reusable = false}}, SHIFT(627),
  [688] = {.entry = {.count = 1, .reusable = false}}, SHIFT(73),
  [690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(291),
  [692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(26),
  [694] = {.entry = {.count = 1, .reusable = true}}, SHIFT(236),
  [696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(264),
  [698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1173),
  [700] = {.entry = {.count = 1, .reusable = true}}, SHIFT(232),
  [702] = {.entry = {.count = 1, .reusable = false}}, SHIFT(142),
  [704] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1374),
  [706] = {.entry = {.count = 1, .reusable = false}}, SHIFT(234),
  [708] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1375),
  [710] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1256),
  [712] = {.entry = {.count = 1, .reusable = false}}, SHIFT(232),
  [714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(185),
  [716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(959),
  [718] = {.entry = {.count = 1, .reusable = false}}, SHIFT(185),
  [720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpreted_string_literal, 3),
  [722] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpreted_string_literal, 3),
  [724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_interpreted_string_literal, 2),
  [726] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_interpreted_string_literal, 2),
  [728] = {.entry = {.count = 1, .reusable = false}}, SHIFT(512),
  [730] = {.entry = {.count = 1, .reusable = true}}, SHIFT(282),
  [732] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_composite_literal, 1, .production_id = 2),
  [734] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_composite_literal, 1, .production_id = 2),
  [736] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 8, .production_id = 132),
  [738] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 8, .production_id = 132),
  [740] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 7, .production_id = 121),
  [742] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 7, .production_id = 121),
  [744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 2, .production_id = 11),
  [746] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 2, .production_id = 11),
  [748] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 6, .production_id = 100),
  [750] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 6, .production_id = 100),
  [752] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 5),
  [754] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 5),
  [756] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_selector_expression, 2, .production_id = 13),
  [758] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_selector_expression, 2, .production_id = 13),
  [760] = {.entry = {.count = 1, .reusable = false}}, SHIFT(531),
  [762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(272),
  [764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 45),
  [766] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 45),
  [768] = {.entry = {.count = 1, .reusable = false}}, SHIFT(297),
  [770] = {.entry = {.count = 1, .reusable = false}}, SHIFT(323),
  [772] = {.entry = {.count = 1, .reusable = true}}, SHIFT(16),
  [774] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_composite_literal, 2, .production_id = 15),
  [776] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_composite_literal, 2, .production_id = 15),
  [778] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_composite_literal, 2, .production_id = 16),
  [780] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_composite_literal, 2, .production_id = 16),
  [782] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_special_argument_list, 5),
  [784] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_special_argument_list, 5),
  [786] = {.entry = {.count = 1, .reusable = true}}, SHIFT(17),
  [788] = {.entry = {.count = 1, .reusable = false}}, SHIFT(501),
  [790] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1137),
  [792] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1197),
  [794] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1194),
  [796] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_assertion_expression, 5, .production_id = 77),
  [798] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_assertion_expression, 5, .production_id = 77),
  [800] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 5, .production_id = 76),
  [802] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 5, .production_id = 76),
  [804] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 5, .production_id = 75),
  [806] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 5, .production_id = 75),
  [808] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 4),
  [810] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 4),
  [812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_conversion_expression, 5, .dynamic_precedence = -1, .production_id = 50),
  [814] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_conversion_expression, 5, .dynamic_precedence = -1, .production_id = 50),
  [816] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_special_argument_list, 4),
  [818] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_special_argument_list, 4),
  [820] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 73),
  [822] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 73),
  [824] = {.entry = {.count = 1, .reusable = false}}, SHIFT(296),
  [826] = {.entry = {.count = 1, .reusable = false}}, SHIFT(344),
  [828] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_value, 5),
  [830] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_value, 5),
  [832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_index_expression, 4, .production_id = 52),
  [834] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_index_expression, 4, .production_id = 52),
  [836] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_expression, 4, .production_id = 51),
  [838] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_expression, 4, .production_id = 51),
  [840] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 3),
  [842] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 3),
  [844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_value, 3),
  [846] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_value, 3),
  [848] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_conversion_expression, 4, .dynamic_precedence = -1, .production_id = 50),
  [850] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_conversion_expression, 4, .dynamic_precedence = -1, .production_id = 50),
  [852] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_value, 2),
  [854] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_value, 2),
  [856] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_expression, 3),
  [858] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_expression, 3),
  [860] = {.entry = {.count = 1, .reusable = false}}, SHIFT(510),
  [862] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_directive, 3),
  [864] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_directive, 3),
  [866] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_special_argument_list, 3),
  [868] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_special_argument_list, 3),
  [870] = {.entry = {.count = 1, .reusable = false}}, SHIFT(547),
  [872] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_argument_list, 2),
  [874] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_argument_list, 2),
  [876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_selector_expression, 3, .production_id = 32),
  [878] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_selector_expression, 3, .production_id = 32),
  [880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_call_expression, 3, .production_id = 33),
  [882] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_call_expression, 3, .production_id = 33),
  [884] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_undefined, 1),
  [886] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_undefined, 1),
  [888] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_value, 4),
  [890] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_value, 4),
  [892] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, .production_id = 73),
  [894] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, .production_id = 73),
  [896] = {.entry = {.count = 1, .reusable = false}}, SHIFT(364),
  [898] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 45),
  [900] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 45),
  [902] = {.entry = {.count = 1, .reusable = false}}, SHIFT(348),
  [904] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 2, .production_id = 7),
  [906] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_function_type, 2, .production_id = 7), SHIFT(306),
  [909] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 2, .production_id = 7),
  [911] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_function_type, 2, .production_id = 7), SHIFT(1148),
  [914] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_function_type, 2, .production_id = 7), SHIFT(1152),
  [917] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_function_type, 2, .production_id = 7), SHIFT(1198),
  [920] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_function_type, 2, .production_id = 7), SHIFT(849),
  [923] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_function_type, 2, .production_id = 7), SHIFT(35),
  [926] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_function_type, 2, .production_id = 7), SHIFT(775),
  [929] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_function_type, 2, .production_id = 7), SHIFT(1370),
  [932] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_function_type, 2, .production_id = 7), SHIFT(1235),
  [935] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_where_clause_repeat1, 2), SHIFT_REPEAT(166),
  [938] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_where_clause, 4),
  [940] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_where_clause, 4),
  [942] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 4),
  [944] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 4),
  [946] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 5),
  [948] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 5),
  [950] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 3),
  [952] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 3),
  [954] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_list, 2),
  [956] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parameter_list, 2),
  [958] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 1),
  [960] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 1),
  [962] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(772),
  [965] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_type, 1, .dynamic_precedence = -1, .production_id = 1), SHIFT(1355),
  [968] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, .production_id = 116),
  [970] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, .production_id = 116),
  [972] = {.entry = {.count = 1, .reusable = false}}, SHIFT(349),
  [974] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, .production_id = 114),
  [976] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, .production_id = 114),
  [978] = {.entry = {.count = 1, .reusable = false}}, SHIFT(339),
  [980] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 8, .production_id = 130),
  [982] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 8, .production_id = 130),
  [984] = {.entry = {.count = 1, .reusable = false}}, SHIFT(340),
  [986] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 71),
  [988] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 71),
  [990] = {.entry = {.count = 1, .reusable = false}}, SHIFT(329),
  [992] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 95),
  [994] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 95),
  [996] = {.entry = {.count = 1, .reusable = false}}, SHIFT(360),
  [998] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 92),
  [1000] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 92),
  [1002] = {.entry = {.count = 1, .reusable = false}}, SHIFT(356),
  [1004] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_type, 2),
  [1006] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_type, 2),
  [1008] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_proc_group, 7, .production_id = 70),
  [1010] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_proc_group, 7, .production_id = 70),
  [1012] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, .production_id = 117),
  [1014] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, .production_id = 117),
  [1016] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_qualified_type, 3, .production_id = 30),
  [1018] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_qualified_type, 3, .production_id = 30),
  [1020] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_type, 3, .production_id = 22),
  [1022] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_type, 3, .production_id = 22),
  [1024] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_slice_type, 3, .production_id = 21),
  [1026] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_slice_type, 3, .production_id = 21),
  [1028] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 3, .dynamic_precedence = 2),
  [1030] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 3, .dynamic_precedence = 2),
  [1032] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parenthesized_type, 3),
  [1034] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_parenthesized_type, 3),
  [1036] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_proc_group, 6, .production_id = 70),
  [1038] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_proc_group, 6, .production_id = 70),
  [1040] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_source_file_repeat1, 1),
  [1042] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 1),
  [1044] = {.entry = {.count = 1, .reusable = true}}, SHIFT(378),
  [1046] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 1), SHIFT_REPEAT(378),
  [1049] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 2),
  [1051] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 2),
  [1053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreign_import, 4, .production_id = 34),
  [1055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreign_import, 4, .production_id = 34),
  [1057] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 93),
  [1059] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 93),
  [1061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__declaration, 1),
  [1063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__declaration, 1),
  [1065] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 4),
  [1067] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 4),
  [1069] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 71),
  [1071] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 71),
  [1073] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_value_list, 4),
  [1075] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_value_list, 4),
  [1077] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 94),
  [1079] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 94),
  [1081] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_value_list, 4),
  [1083] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_value_list, 4),
  [1085] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_map_type, 5, .production_id = 56),
  [1087] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_map_type, 5, .production_id = 56),
  [1089] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 6, .production_id = 96),
  [1091] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 6, .production_id = 96),
  [1093] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 9, .production_id = 136),
  [1095] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 9, .production_id = 136),
  [1097] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_foreign_block, 3, .production_id = 17),
  [1099] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_foreign_block, 3, .production_id = 17),
  [1101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 4, .dynamic_precedence = 2),
  [1103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 4, .dynamic_precedence = 2),
  [1105] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 8, .production_id = 114),
  [1107] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 8, .production_id = 114),
  [1109] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 9, .production_id = 130),
  [1111] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 9, .production_id = 130),
  [1113] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 8, .production_id = 128),
  [1115] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 8, .production_id = 128),
  [1117] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_spec, 2, .production_id = 18),
  [1119] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_spec, 2, .production_id = 18),
  [1121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_value_list, 2),
  [1123] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_value_list, 2),
  [1125] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_value_list, 2),
  [1127] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_value_list, 2),
  [1129] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, .production_id = 115),
  [1131] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, .production_id = 115),
  [1133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_dynamic_array_type, 4, .production_id = 35),
  [1135] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_dynamic_array_type, 4, .production_id = 35),
  [1137] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, .production_id = 45),
  [1139] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, .production_id = 45),
  [1141] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 8, .production_id = 116),
  [1143] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 8, .production_id = 116),
  [1145] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 8, .production_id = 129),
  [1147] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 8, .production_id = 129),
  [1149] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, .production_id = 113),
  [1151] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, .production_id = 113),
  [1153] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 8, .production_id = 131),
  [1155] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 8, .production_id = 131),
  [1157] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 5),
  [1159] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 5),
  [1161] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_value_list, 5),
  [1163] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_value_list, 5),
  [1165] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration_list, 2),
  [1167] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_field_declaration_list, 2),
  [1169] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, .production_id = 92),
  [1171] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, .production_id = 92),
  [1173] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_value_list, 5),
  [1175] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_value_list, 5),
  [1177] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block, 3),
  [1179] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block, 3),
  [1181] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, .production_id = 95),
  [1183] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, .production_id = 95),
  [1185] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 5, .production_id = 72),
  [1187] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 5, .production_id = 72),
  [1189] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 7, .production_id = 118),
  [1191] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 7, .production_id = 118),
  [1193] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_generic_type, 2, .production_id = 14),
  [1195] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_generic_type, 2, .production_id = 14),
  [1197] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_function_declaration, 8, .production_id = 73),
  [1199] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_function_declaration, 8, .production_id = 73),
  [1201] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_spec, 1, .production_id = 4),
  [1203] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_spec, 1, .production_id = 4),
  [1205] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_array_type, 4, .production_id = 36),
  [1207] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_array_type, 4, .production_id = 36),
  [1209] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_arguments, 5, .dynamic_precedence = 2),
  [1211] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_arguments, 5, .dynamic_precedence = 2),
  [1213] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_import_declaration, 2),
  [1215] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_import_declaration, 2),
  [1217] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_proc_group, 5, .production_id = 70),
  [1219] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_proc_group, 5, .production_id = 70),
  [1221] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_package_clause, 2, .production_id = 5),
  [1223] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_package_clause, 2, .production_id = 5),
  [1225] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_type, 2),
  [1227] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_type, 2),
  [1229] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_type, 2),
  [1231] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_type, 2),
  [1233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_implicit_length_array_type, 4, .production_id = 35),
  [1235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_implicit_length_array_type, 4, .production_id = 35),
  [1237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_pointer_type, 2),
  [1239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_pointer_type, 2),
  [1241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_type, 1),
  [1243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_type, 1),
  [1245] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_source_file_repeat1, 2),
  [1247] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1300),
  [1249] = {.entry = {.count = 1, .reusable = false}}, SHIFT(21),
  [1251] = {.entry = {.count = 1, .reusable = false}}, SHIFT(584),
  [1253] = {.entry = {.count = 1, .reusable = false}}, SHIFT(120),
  [1255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(121),
  [1257] = {.entry = {.count = 1, .reusable = false}}, SHIFT(506),
  [1259] = {.entry = {.count = 1, .reusable = false}}, SHIFT(23),
  [1261] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1313),
  [1263] = {.entry = {.count = 1, .reusable = false}}, SHIFT(134),
  [1265] = {.entry = {.count = 1, .reusable = true}}, SHIFT(135),
  [1267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(134),
  [1269] = {.entry = {.count = 1, .reusable = true}}, SHIFT(202),
  [1271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1300),
  [1273] = {.entry = {.count = 1, .reusable = true}}, SHIFT(46),
  [1275] = {.entry = {.count = 1, .reusable = true}}, SHIFT(43),
  [1277] = {.entry = {.count = 1, .reusable = false}}, SHIFT(138),
  [1279] = {.entry = {.count = 1, .reusable = true}}, SHIFT(155),
  [1281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(138),
  [1283] = {.entry = {.count = 1, .reusable = false}}, SHIFT(277),
  [1285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(79),
  [1287] = {.entry = {.count = 1, .reusable = false}}, SHIFT(259),
  [1289] = {.entry = {.count = 1, .reusable = false}}, SHIFT(127),
  [1291] = {.entry = {.count = 1, .reusable = false}}, SHIFT(251),
  [1293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1247),
  [1295] = {.entry = {.count = 1, .reusable = false}}, SHIFT(248),
  [1297] = {.entry = {.count = 1, .reusable = false}}, SHIFT(156),
  [1299] = {.entry = {.count = 1, .reusable = false}}, SHIFT(241),
  [1301] = {.entry = {.count = 1, .reusable = false}}, SHIFT(740),
  [1303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(74),
  [1305] = {.entry = {.count = 1, .reusable = true}}, SHIFT(144),
  [1307] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1177),
  [1309] = {.entry = {.count = 1, .reusable = false}}, SHIFT(795),
  [1311] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1303),
  [1313] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1303),
  [1315] = {.entry = {.count = 1, .reusable = false}}, SHIFT(497),
  [1317] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1040),
  [1319] = {.entry = {.count = 1, .reusable = false}}, SHIFT(10),
  [1321] = {.entry = {.count = 1, .reusable = false}}, SHIFT(193),
  [1323] = {.entry = {.count = 1, .reusable = false}}, SHIFT(808),
  [1325] = {.entry = {.count = 1, .reusable = false}}, SHIFT(52),
  [1327] = {.entry = {.count = 1, .reusable = false}}, SHIFT(758),
  [1329] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1366),
  [1331] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1195),
  [1333] = {.entry = {.count = 1, .reusable = false}}, SHIFT(500),
  [1335] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1017),
  [1337] = {.entry = {.count = 1, .reusable = false}}, SHIFT(181),
  [1339] = {.entry = {.count = 1, .reusable = true}}, SHIFT(184),
  [1341] = {.entry = {.count = 1, .reusable = false}}, SHIFT(184),
  [1343] = {.entry = {.count = 1, .reusable = true}}, SHIFT(181),
  [1345] = {.entry = {.count = 1, .reusable = true}}, SHIFT(192),
  [1347] = {.entry = {.count = 1, .reusable = false}}, SHIFT(192),
  [1349] = {.entry = {.count = 1, .reusable = true}}, SHIFT(195),
  [1351] = {.entry = {.count = 1, .reusable = true}}, SHIFT(205),
  [1353] = {.entry = {.count = 1, .reusable = true}}, SHIFT(730),
  [1355] = {.entry = {.count = 1, .reusable = false}}, SHIFT(499),
  [1357] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1028),
  [1359] = {.entry = {.count = 1, .reusable = false}}, SHIFT(502),
  [1361] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1007),
  [1363] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_list, 1),
  [1365] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_list, 1),
  [1367] = {.entry = {.count = 1, .reusable = false}}, SHIFT(194),
  [1369] = {.entry = {.count = 1, .reusable = false}}, SHIFT(70),
  [1371] = {.entry = {.count = 1, .reusable = false}}, SHIFT(280),
  [1373] = {.entry = {.count = 1, .reusable = false}}, SHIFT(133),
  [1375] = {.entry = {.count = 1, .reusable = false}}, SHIFT(158),
  [1377] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1162),
  [1379] = {.entry = {.count = 1, .reusable = false}}, SHIFT(160),
  [1381] = {.entry = {.count = 1, .reusable = false}}, SHIFT(161),
  [1383] = {.entry = {.count = 1, .reusable = false}}, SHIFT(162),
  [1385] = {.entry = {.count = 1, .reusable = false}}, SHIFT(796),
  [1387] = {.entry = {.count = 1, .reusable = true}}, SHIFT(801),
  [1389] = {.entry = {.count = 1, .reusable = true}}, SHIFT(50),
  [1391] = {.entry = {.count = 1, .reusable = true}}, SHIFT(712),
  [1393] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1379),
  [1395] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1193),
  [1397] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1010),
  [1399] = {.entry = {.count = 1, .reusable = false}}, SHIFT(999),
  [1401] = {.entry = {.count = 1, .reusable = false}}, SHIFT(766),
  [1403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(10),
  [1405] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_labeled_statement, 2, .production_id = 20),
  [1407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(744),
  [1409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(52),
  [1411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(758),
  [1413] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_labeled_statement, 2, .production_id = 20),
  [1415] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__simple_statement, 1),
  [1417] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__simple_statement, 1),
  [1419] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_literal_element, 1),
  [1421] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym__simple_statement, 1), REDUCE(sym_literal_element, 1),
  [1424] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iterator_clause, 4, .production_id = 62),
  [1426] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iterator_clause, 5, .production_id = 86),
  [1428] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1177),
  [1430] = {.entry = {.count = 1, .reusable = true}}, SHIFT(157),
  [1432] = {.entry = {.count = 1, .reusable = true}}, SHIFT(75),
  [1434] = {.entry = {.count = 1, .reusable = true}}, SHIFT(260),
  [1436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1241),
  [1438] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_block_with_directive, 2), REDUCE(sym_literal_value, 2),
  [1441] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_block_with_directive, 2), REDUCE(sym_literal_value, 2),
  [1444] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iterator_clause, 3, .production_id = 40),
  [1446] = {.entry = {.count = 1, .reusable = true}}, SHIFT(76),
  [1448] = {.entry = {.count = 1, .reusable = true}}, SHIFT(509),
  [1450] = {.entry = {.count = 1, .reusable = true}}, SHIFT(67),
  [1452] = {.entry = {.count = 1, .reusable = true}}, SHIFT(671),
  [1454] = {.entry = {.count = 1, .reusable = true}}, SHIFT(65),
  [1456] = {.entry = {.count = 1, .reusable = true}}, SHIFT(432),
  [1458] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iterator_clause, 6, .production_id = 112),
  [1460] = {.entry = {.count = 1, .reusable = true}}, SHIFT(63),
  [1462] = {.entry = {.count = 1, .reusable = true}}, SHIFT(450),
  [1464] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_function_type, 2, .production_id = 7), SHIFT(808),
  [1467] = {.entry = {.count = 1, .reusable = false}}, SHIFT(40),
  [1469] = {.entry = {.count = 1, .reusable = false}}, SHIFT(708),
  [1471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(87),
  [1473] = {.entry = {.count = 1, .reusable = false}}, SHIFT(168),
  [1475] = {.entry = {.count = 1, .reusable = true}}, SHIFT(109),
  [1477] = {.entry = {.count = 1, .reusable = true}}, SHIFT(203),
  [1479] = {.entry = {.count = 1, .reusable = false}}, SHIFT(203),
  [1481] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1149),
  [1483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(168),
  [1485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(159),
  [1487] = {.entry = {.count = 1, .reusable = false}}, SHIFT(159),
  [1489] = {.entry = {.count = 1, .reusable = true}}, SHIFT(163),
  [1491] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_literal_element, 1),
  [1493] = {.entry = {.count = 2, .reusable = false}}, REDUCE(sym_block, 2), REDUCE(sym_literal_value, 2),
  [1496] = {.entry = {.count = 1, .reusable = false}}, SHIFT(215),
  [1498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(216),
  [1500] = {.entry = {.count = 1, .reusable = false}}, SHIFT(216),
  [1502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(215),
  [1504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(217),
  [1506] = {.entry = {.count = 1, .reusable = false}}, SHIFT(217),
  [1508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(219),
  [1510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(220),
  [1512] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 6, .production_id = 99),
  [1514] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 6, .production_id = 99),
  [1516] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2),
  [1518] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 3),
  [1520] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 3),
  [1522] = {.entry = {.count = 2, .reusable = true}}, REDUCE(sym_function_type, 2, .production_id = 7), SHIFT(801),
  [1525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(743),
  [1527] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__const_expression, 1),
  [1529] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__const_expression, 1),
  [1531] = {.entry = {.count = 1, .reusable = false}}, SHIFT(182),
  [1533] = {.entry = {.count = 1, .reusable = true}}, SHIFT(182),
  [1535] = {.entry = {.count = 1, .reusable = true}}, SHIFT(164),
  [1537] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 5, .production_id = 66),
  [1539] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 5, .production_id = 66),
  [1541] = {.entry = {.count = 1, .reusable = false}}, SHIFT(172),
  [1543] = {.entry = {.count = 1, .reusable = true}}, SHIFT(172),
  [1545] = {.entry = {.count = 1, .reusable = true}}, SHIFT(275),
  [1547] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 4),
  [1549] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 4),
  [1551] = {.entry = {.count = 1, .reusable = true}}, SHIFT(290),
  [1553] = {.entry = {.count = 1, .reusable = true}}, SHIFT(655),
  [1555] = {.entry = {.count = 1, .reusable = true}}, SHIFT(174),
  [1557] = {.entry = {.count = 1, .reusable = true}}, SHIFT(415),
  [1559] = {.entry = {.count = 1, .reusable = true}}, SHIFT(242),
  [1561] = {.entry = {.count = 1, .reusable = true}}, SHIFT(554),
  [1563] = {.entry = {.count = 1, .reusable = true}}, SHIFT(745),
  [1565] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1298),
  [1567] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1259),
  [1569] = {.entry = {.count = 1, .reusable = true}}, SHIFT(139),
  [1571] = {.entry = {.count = 1, .reusable = true}}, SHIFT(475),
  [1573] = {.entry = {.count = 1, .reusable = true}}, SHIFT(97),
  [1575] = {.entry = {.count = 1, .reusable = true}}, SHIFT(523),
  [1577] = {.entry = {.count = 1, .reusable = true}}, SHIFT(293),
  [1579] = {.entry = {.count = 1, .reusable = true}}, SHIFT(663),
  [1581] = {.entry = {.count = 1, .reusable = true}}, SHIFT(175),
  [1583] = {.entry = {.count = 1, .reusable = true}}, SHIFT(408),
  [1585] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1292),
  [1587] = {.entry = {.count = 1, .reusable = true}}, SHIFT(267),
  [1589] = {.entry = {.count = 1, .reusable = true}}, SHIFT(141),
  [1591] = {.entry = {.count = 1, .reusable = true}}, SHIFT(433),
  [1593] = {.entry = {.count = 1, .reusable = true}}, SHIFT(148),
  [1595] = {.entry = {.count = 1, .reusable = true}}, SHIFT(669),
  [1597] = {.entry = {.count = 1, .reusable = true}}, SHIFT(889),
  [1599] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1280),
  [1601] = {.entry = {.count = 1, .reusable = true}}, SHIFT(508),
  [1603] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1336),
  [1605] = {.entry = {.count = 1, .reusable = true}}, SHIFT(672),
  [1607] = {.entry = {.count = 1, .reusable = true}}, SHIFT(763),
  [1609] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1264),
  [1611] = {.entry = {.count = 1, .reusable = true}}, SHIFT(430),
  [1613] = {.entry = {.count = 1, .reusable = true}}, SHIFT(909),
  [1615] = {.entry = {.count = 1, .reusable = true}}, SHIFT(101),
  [1617] = {.entry = {.count = 1, .reusable = true}}, SHIFT(257),
  [1619] = {.entry = {.count = 1, .reusable = true}}, SHIFT(211),
  [1621] = {.entry = {.count = 1, .reusable = true}}, SHIFT(552),
  [1623] = {.entry = {.count = 1, .reusable = true}}, SHIFT(240),
  [1625] = {.entry = {.count = 1, .reusable = true}}, SHIFT(233),
  [1627] = {.entry = {.count = 1, .reusable = true}}, SHIFT(228),
  [1629] = {.entry = {.count = 1, .reusable = true}}, SHIFT(452),
  [1631] = {.entry = {.count = 1, .reusable = true}}, SHIFT(238),
  [1633] = {.entry = {.count = 1, .reusable = true}}, SHIFT(198),
  [1635] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1344),
  [1637] = {.entry = {.count = 1, .reusable = true}}, SHIFT(476),
  [1639] = {.entry = {.count = 1, .reusable = true}}, SHIFT(218),
  [1641] = {.entry = {.count = 1, .reusable = true}}, SHIFT(483),
  [1643] = {.entry = {.count = 1, .reusable = true}}, SHIFT(737),
  [1645] = {.entry = {.count = 1, .reusable = true}}, SHIFT(654),
  [1647] = {.entry = {.count = 1, .reusable = true}}, SHIFT(527),
  [1649] = {.entry = {.count = 1, .reusable = true}}, SHIFT(622),
  [1651] = {.entry = {.count = 1, .reusable = true}}, SHIFT(749),
  [1653] = {.entry = {.count = 1, .reusable = true}}, SHIFT(906),
  [1655] = {.entry = {.count = 1, .reusable = true}}, SHIFT(270),
  [1657] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iterator_clause, 7, .production_id = 127),
  [1659] = {.entry = {.count = 1, .reusable = true}}, SHIFT(191),
  [1661] = {.entry = {.count = 1, .reusable = true}}, SHIFT(189),
  [1663] = {.entry = {.count = 1, .reusable = true}}, SHIFT(449),
  [1665] = {.entry = {.count = 1, .reusable = true}}, SHIFT(454),
  [1667] = {.entry = {.count = 1, .reusable = true}}, SHIFT(56),
  [1669] = {.entry = {.count = 1, .reusable = true}}, SHIFT(405),
  [1671] = {.entry = {.count = 1, .reusable = true}}, SHIFT(902),
  [1673] = {.entry = {.count = 1, .reusable = true}}, SHIFT(707),
  [1675] = {.entry = {.count = 1, .reusable = true}}, SHIFT(736),
  [1677] = {.entry = {.count = 1, .reusable = true}}, SHIFT(525),
  [1679] = {.entry = {.count = 1, .reusable = true}}, SHIFT(481),
  [1681] = {.entry = {.count = 1, .reusable = true}}, SHIFT(544),
  [1683] = {.entry = {.count = 1, .reusable = true}}, SHIFT(658),
  [1685] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_iterator_clause, 5, .production_id = 87),
  [1687] = {.entry = {.count = 1, .reusable = true}}, SHIFT(33),
  [1689] = {.entry = {.count = 1, .reusable = true}}, SHIFT(402),
  [1691] = {.entry = {.count = 1, .reusable = true}}, SHIFT(424),
  [1693] = {.entry = {.count = 1, .reusable = true}}, SHIFT(701),
  [1695] = {.entry = {.count = 1, .reusable = true}}, SHIFT(804),
  [1697] = {.entry = {.count = 1, .reusable = true}}, SHIFT(841),
  [1699] = {.entry = {.count = 1, .reusable = true}}, SHIFT(125),
  [1701] = {.entry = {.count = 1, .reusable = true}}, SHIFT(158),
  [1703] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1200),
  [1705] = {.entry = {.count = 1, .reusable = true}}, SHIFT(280),
  [1707] = {.entry = {.count = 1, .reusable = true}}, SHIFT(160),
  [1709] = {.entry = {.count = 1, .reusable = true}}, SHIFT(161),
  [1711] = {.entry = {.count = 1, .reusable = true}}, SHIFT(162),
  [1713] = {.entry = {.count = 1, .reusable = true}}, SHIFT(800),
  [1715] = {.entry = {.count = 1, .reusable = true}}, SHIFT(818),
  [1717] = {.entry = {.count = 1, .reusable = true}}, SHIFT(812),
  [1719] = {.entry = {.count = 1, .reusable = true}}, SHIFT(835),
  [1721] = {.entry = {.count = 1, .reusable = true}}, SHIFT(844),
  [1723] = {.entry = {.count = 1, .reusable = true}}, SHIFT(842),
  [1725] = {.entry = {.count = 1, .reusable = true}}, SHIFT(338),
  [1727] = {.entry = {.count = 1, .reusable = true}}, SHIFT(332),
  [1729] = {.entry = {.count = 1, .reusable = true}}, SHIFT(343),
  [1731] = {.entry = {.count = 1, .reusable = true}}, SHIFT(368),
  [1733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(832),
  [1735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(357),
  [1737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(817),
  [1739] = {.entry = {.count = 1, .reusable = true}}, SHIFT(708),
  [1741] = {.entry = {.count = 1, .reusable = true}}, SHIFT(711),
  [1743] = {.entry = {.count = 1, .reusable = true}}, SHIFT(35),
  [1745] = {.entry = {.count = 1, .reusable = true}}, SHIFT(775),
  [1747] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_const_declaration_repeat1, 2), SHIFT_REPEAT(1300),
  [1750] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_const_declaration_repeat1, 2),
  [1752] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_const_declaration_repeat1, 2),
  [1754] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_where_clause_repeat1, 2), SHIFT_REPEAT(277),
  [1757] = {.entry = {.count = 1, .reusable = true}}, SHIFT(77),
  [1759] = {.entry = {.count = 1, .reusable = false}}, SHIFT(759),
  [1761] = {.entry = {.count = 1, .reusable = true}}, SHIFT(131),
  [1763] = {.entry = {.count = 1, .reusable = true}}, SHIFT(129),
  [1765] = {.entry = {.count = 1, .reusable = true}}, SHIFT(170),
  [1767] = {.entry = {.count = 1, .reusable = true}}, SHIFT(126),
  [1769] = {.entry = {.count = 1, .reusable = true}}, SHIFT(124),
  [1771] = {.entry = {.count = 1, .reusable = true}}, SHIFT(99),
  [1773] = {.entry = {.count = 1, .reusable = true}}, SHIFT(100),
  [1775] = {.entry = {.count = 1, .reusable = false}}, SHIFT(735),
  [1777] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1331),
  [1779] = {.entry = {.count = 1, .reusable = true}}, SHIFT(776),
  [1781] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1304),
  [1783] = {.entry = {.count = 1, .reusable = false}}, SHIFT(953),
  [1785] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1357),
  [1787] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1121),
  [1789] = {.entry = {.count = 1, .reusable = true}}, SHIFT(789),
  [1791] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1144),
  [1793] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1365),
  [1795] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1350),
  [1797] = {.entry = {.count = 1, .reusable = true}}, SHIFT(781),
  [1799] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1338),
  [1801] = {.entry = {.count = 1, .reusable = true}}, SHIFT(305),
  [1803] = {.entry = {.count = 1, .reusable = true}}, SHIFT(778),
  [1805] = {.entry = {.count = 1, .reusable = true}}, SHIFT(786),
  [1807] = {.entry = {.count = 1, .reusable = true}}, SHIFT(302),
  [1809] = {.entry = {.count = 1, .reusable = true}}, SHIFT(779),
  [1811] = {.entry = {.count = 1, .reusable = true}}, SHIFT(790),
  [1813] = {.entry = {.count = 1, .reusable = true}}, SHIFT(303),
  [1815] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1026),
  [1817] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1003),
  [1819] = {.entry = {.count = 1, .reusable = false}}, SHIFT(996),
  [1821] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1005),
  [1823] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1014),
  [1825] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1001),
  [1827] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_expression_list, 1),
  [1829] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_expression_list, 1),
  [1831] = {.entry = {.count = 1, .reusable = false}}, SHIFT(107),
  [1833] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declaration, 4, .production_id = 43),
  [1835] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_declaration, 4, .production_id = 43),
  [1837] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_declaration, 4, .production_id = 48),
  [1839] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_declaration, 4, .production_id = 48),
  [1841] = {.entry = {.count = 1, .reusable = false}}, SHIFT(102),
  [1843] = {.entry = {.count = 1, .reusable = false}}, SHIFT(103),
  [1845] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__directive_identifier, 1, .production_id = 8),
  [1847] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__directive_identifier, 1, .production_id = 8),
  [1849] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_declaration, 3, .production_id = 28),
  [1851] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_declaration, 3, .production_id = 28),
  [1853] = {.entry = {.count = 1, .reusable = false}}, SHIFT(105),
  [1855] = {.entry = {.count = 1, .reusable = false}}, SHIFT(104),
  [1857] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_const_expression_list_repeat1, 2),
  [1859] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_const_expression_list_repeat1, 2),
  [1861] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_const_expression_list_repeat1, 2), SHIFT_REPEAT(107),
  [1864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_list, 2),
  [1866] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_expression_list, 2),
  [1868] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_directive, 2),
  [1870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(70),
  [1872] = {.entry = {.count = 1, .reusable = false}}, SHIFT(952),
  [1874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(952),
  [1876] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_expression_list, 2),
  [1878] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_expression_list, 2),
  [1880] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym_where_clause_repeat1, 2), SHIFT_REPEAT(194),
  [1883] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1039),
  [1885] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1232),
  [1887] = {.entry = {.count = 1, .reusable = true}}, SHIFT(989),
  [1889] = {.entry = {.count = 1, .reusable = true}}, SHIFT(687),
  [1891] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_where_clause_repeat1, 2), SHIFT_REPEAT(157),
  [1894] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 3, .production_id = 24),
  [1896] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 3, .production_id = 24),
  [1898] = {.entry = {.count = 1, .reusable = false}}, SHIFT(988),
  [1900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(976),
  [1902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(66),
  [1904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1119),
  [1906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(365),
  [1908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1037),
  [1910] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym__statement_list_repeat1, 2), SHIFT_REPEAT(15),
  [1913] = {.entry = {.count = 2, .reusable = false}}, REDUCE(aux_sym__statement_list_repeat1, 2), SHIFT_REPEAT(15),
  [1916] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym__statement_list_repeat1, 2),
  [1918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(973),
  [1920] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias, 3, .production_id = 27),
  [1922] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias, 3, .production_id = 27),
  [1924] = {.entry = {.count = 1, .reusable = false}}, SHIFT(230),
  [1926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(942),
  [1928] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_switch_statement_repeat1, 2),
  [1930] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_switch_statement_repeat1, 2), SHIFT_REPEAT(687),
  [1933] = {.entry = {.count = 1, .reusable = true}}, SHIFT(939),
  [1935] = {.entry = {.count = 1, .reusable = true}}, SHIFT(985),
  [1937] = {.entry = {.count = 1, .reusable = true}}, SHIFT(986),
  [1939] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_union_declaration, 4, .production_id = 44),
  [1941] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_union_declaration, 4, .production_id = 44),
  [1943] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_statement, 3, .production_id = 24),
  [1945] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_when_statement, 3, .production_id = 24),
  [1947] = {.entry = {.count = 1, .reusable = false}}, SHIFT(987),
  [1949] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_enum_declaration, 4, .production_id = 44),
  [1951] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_enum_declaration, 4, .production_id = 44),
  [1953] = {.entry = {.count = 1, .reusable = true}}, SHIFT(991),
  [1955] = {.entry = {.count = 1, .reusable = true}}, SHIFT(932),
  [1957] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1036),
  [1959] = {.entry = {.count = 1, .reusable = true}}, SHIFT(997),
  [1961] = {.entry = {.count = 1, .reusable = true}}, SHIFT(965),
  [1963] = {.entry = {.count = 1, .reusable = true}}, SHIFT(920),
  [1965] = {.entry = {.count = 1, .reusable = true}}, SHIFT(962),
  [1967] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1043),
  [1969] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1004),
  [1971] = {.entry = {.count = 1, .reusable = true}}, SHIFT(13),
  [1973] = {.entry = {.count = 1, .reusable = false}}, SHIFT(13),
  [1975] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement_list, 1),
  [1977] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1034),
  [1979] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 1),
  [1981] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 1),
  [1983] = {.entry = {.count = 1, .reusable = true}}, SHIFT(978),
  [1985] = {.entry = {.count = 1, .reusable = true}}, SHIFT(12),
  [1987] = {.entry = {.count = 1, .reusable = false}}, SHIFT(12),
  [1989] = {.entry = {.count = 1, .reusable = true}}, SHIFT(929),
  [1991] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 59),
  [1993] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 59),
  [1995] = {.entry = {.count = 1, .reusable = false}}, SHIFT(957),
  [1997] = {.entry = {.count = 1, .reusable = true}}, SHIFT(982),
  [1999] = {.entry = {.count = 1, .reusable = false}}, SHIFT(974),
  [2001] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 1),
  [2003] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 1),
  [2005] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_switch_statement_repeat1, 2),
  [2007] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_switch_statement_repeat1, 2), SHIFT_REPEAT(66),
  [2010] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1035),
  [2012] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_declaration_repeat1, 2, .production_id = 55), SHIFT_REPEAT(1226),
  [2015] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_parameter_declaration_repeat1, 2, .production_id = 55),
  [2017] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_declaration_repeat1, 2, .production_id = 55),
  [2019] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 6, .production_id = 66),
  [2021] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 6, .production_id = 66),
  [2023] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 5, .production_id = 60),
  [2025] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 5, .production_id = 60),
  [2027] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_when_statement, 5, .production_id = 60),
  [2029] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_when_statement, 5, .production_id = 60),
  [2031] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1050),
  [2033] = {.entry = {.count = 1, .reusable = true}}, SHIFT(847),
  [2035] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1325),
  [2037] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_with_directive, 3, .production_id = 10),
  [2039] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_with_directive, 3, .production_id = 10),
  [2041] = {.entry = {.count = 1, .reusable = true}}, SHIFT(54),
  [2043] = {.entry = {.count = 1, .reusable = true}}, SHIFT(140),
  [2045] = {.entry = {.count = 1, .reusable = true}}, SHIFT(538),
  [2047] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1226),
  [2049] = {.entry = {.count = 1, .reusable = false}}, SHIFT(726),
  [2051] = {.entry = {.count = 1, .reusable = true}}, SHIFT(122),
  [2053] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 3, .production_id = 25),
  [2055] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 3, .production_id = 25),
  [2057] = {.entry = {.count = 1, .reusable = false}}, SHIFT(724),
  [2059] = {.entry = {.count = 1, .reusable = true}}, SHIFT(117),
  [2061] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_switch_statement, 5, .production_id = 65),
  [2063] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_switch_statement, 5, .production_id = 65),
  [2065] = {.entry = {.count = 1, .reusable = false}}, SHIFT(720),
  [2067] = {.entry = {.count = 1, .reusable = true}}, SHIFT(111),
  [2069] = {.entry = {.count = 1, .reusable = true}}, SHIFT(328),
  [2071] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 5, .production_id = 42),
  [2073] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 5, .production_id = 42),
  [2075] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declaration, 5, .production_id = 68),
  [2077] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_declaration, 5, .production_id = 68),
  [2079] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declaration, 5, .production_id = 69),
  [2081] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_declaration, 5, .production_id = 69),
  [2083] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration_with_type, 5, .production_id = 74),
  [2085] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration_with_type, 5, .production_id = 74),
  [2087] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_declaration, 5, .production_id = 74),
  [2089] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_declaration, 5, .production_id = 74),
  [2091] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 5),
  [2093] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 5),
  [2095] = {.entry = {.count = 1, .reusable = false}}, SHIFT(167),
  [2097] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1025),
  [2099] = {.entry = {.count = 1, .reusable = true}}, SHIFT(815),
  [2101] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 5, .production_id = 65),
  [2103] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 5, .production_id = 65),
  [2105] = {.entry = {.count = 1, .reusable = true}}, SHIFT(805),
  [2107] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, .production_id = 78),
  [2109] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1299),
  [2111] = {.entry = {.count = 1, .reusable = false}}, SHIFT(421),
  [2113] = {.entry = {.count = 1, .reusable = true}}, SHIFT(949),
  [2115] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, .production_id = 80),
  [2117] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1306),
  [2119] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1308),
  [2121] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 3, .production_id = 54),
  [2123] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1276),
  [2125] = {.entry = {.count = 1, .reusable = false}}, SHIFT(418),
  [2127] = {.entry = {.count = 1, .reusable = false}}, SHIFT(755),
  [2129] = {.entry = {.count = 1, .reusable = true}}, SHIFT(154),
  [2131] = {.entry = {.count = 1, .reusable = true}}, SHIFT(820),
  [2133] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_simple_directive, 3, .production_id = 23),
  [2135] = {.entry = {.count = 1, .reusable = false}}, SHIFT(596),
  [2137] = {.entry = {.count = 1, .reusable = true}}, SHIFT(118),
  [2139] = {.entry = {.count = 1, .reusable = true}}, SHIFT(42),
  [2141] = {.entry = {.count = 1, .reusable = true}}, SHIFT(407),
  [2143] = {.entry = {.count = 1, .reusable = false}}, SHIFT(470),
  [2145] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1019),
  [2147] = {.entry = {.count = 1, .reusable = true}}, SHIFT(355),
  [2149] = {.entry = {.count = 1, .reusable = true}}, SHIFT(31),
  [2151] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_with_directive, 4, .production_id = 25),
  [2153] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_with_directive, 4, .production_id = 25),
  [2155] = {.entry = {.count = 1, .reusable = false}}, SHIFT(169),
  [2157] = {.entry = {.count = 1, .reusable = true}}, SHIFT(940),
  [2159] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_declaration_and_assignment, 4, .dynamic_precedence = 20, .production_id = 47),
  [2161] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_declaration_and_assignment, 4, .dynamic_precedence = 20, .production_id = 47),
  [2163] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_statement, 4, .production_id = 49),
  [2165] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_statement, 4, .production_id = 49),
  [2167] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_switch_statement, 6, .production_id = 89),
  [2169] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_switch_statement, 6, .production_id = 89),
  [2171] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 4, .production_id = 47),
  [2173] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 4, .production_id = 47),
  [2175] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 6, .production_id = 90),
  [2177] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 6, .production_id = 90),
  [2179] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_struct_declaration, 6, .production_id = 91),
  [2181] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_struct_declaration, 6, .production_id = 91),
  [2183] = {.entry = {.count = 1, .reusable = true}}, SHIFT(32),
  [2185] = {.entry = {.count = 1, .reusable = true}}, SHIFT(649),
  [2187] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_alias, 4, .production_id = 46),
  [2189] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_alias, 4, .production_id = 46),
  [2191] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_empty_statement, 1),
  [2193] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_empty_statement, 1),
  [2195] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration_with_type, 6, .production_id = 97),
  [2197] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration_with_type, 6, .production_id = 97),
  [2199] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_declaration, 6, .production_id = 97),
  [2201] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_declaration, 6, .production_id = 97),
  [2203] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_switch_statement, 6, .production_id = 98),
  [2205] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_switch_statement, 6, .production_id = 98),
  [2207] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_continue_statement, 2, .production_id = 9),
  [2209] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_continue_statement, 2, .production_id = 9),
  [2211] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_return_statement, 2),
  [2213] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_return_statement, 2),
  [2215] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 6, .production_id = 65),
  [2217] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 6, .production_id = 65),
  [2219] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 4, .production_id = 42),
  [2221] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 4, .production_id = 42),
  [2223] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_defer_statement, 2),
  [2225] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_defer_statement, 2),
  [2227] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, .production_id = 102),
  [2229] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1321),
  [2231] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1323),
  [2233] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_statement, 2, .production_id = 10),
  [2235] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_for_statement, 2, .production_id = 10),
  [2237] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_if_statement, 7, .production_id = 111),
  [2239] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_if_statement, 7, .production_id = 111),
  [2241] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_switch_statement, 7, .production_id = 89),
  [2243] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_switch_statement, 7, .production_id = 89),
  [2245] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 7, .production_id = 90),
  [2247] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 7, .production_id = 90),
  [2249] = {.entry = {.count = 1, .reusable = true}}, SHIFT(261),
  [2251] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_switch_statement, 7, .production_id = 98),
  [2253] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_switch_statement, 7, .production_id = 98),
  [2255] = {.entry = {.count = 1, .reusable = false}}, SHIFT(358),
  [2257] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_switch_statement, 7, .production_id = 119),
  [2259] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_switch_statement, 7, .production_id = 119),
  [2261] = {.entry = {.count = 1, .reusable = false}}, SHIFT(702),
  [2263] = {.entry = {.count = 1, .reusable = true}}, SHIFT(90),
  [2265] = {.entry = {.count = 1, .reusable = false}}, SHIFT(704),
  [2267] = {.entry = {.count = 1, .reusable = true}}, SHIFT(91),
  [2269] = {.entry = {.count = 1, .reusable = false}}, SHIFT(705),
  [2271] = {.entry = {.count = 1, .reusable = true}}, SHIFT(92),
  [2273] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 7, .production_id = 99),
  [2275] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 7, .production_id = 99),
  [2277] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 7, .production_id = 120),
  [2279] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 7, .production_id = 120),
  [2281] = {.entry = {.count = 1, .reusable = true}}, SHIFT(353),
  [2283] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym__statement_list_repeat1, 2),
  [2285] = {.entry = {.count = 1, .reusable = false}}, SHIFT(651),
  [2287] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement, 1),
  [2289] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym__statement, 1),
  [2291] = {.entry = {.count = 1, .reusable = true}}, SHIFT(803),
  [2293] = {.entry = {.count = 1, .reusable = false}}, SHIFT(453),
  [2295] = {.entry = {.count = 1, .reusable = true}}, SHIFT(37),
  [2297] = {.entry = {.count = 1, .reusable = true}}, SHIFT(266),
  [2299] = {.entry = {.count = 1, .reusable = true}}, SHIFT(692),
  [2301] = {.entry = {.count = 1, .reusable = true}}, SHIFT(207),
  [2303] = {.entry = {.count = 1, .reusable = true}}, SHIFT(834),
  [2305] = {.entry = {.count = 1, .reusable = false}}, SHIFT(652),
  [2307] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1013),
  [2309] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_block_with_directive, 3),
  [2311] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_block_with_directive, 3),
  [2313] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_interpreted_string_literal_repeat1, 2),
  [2315] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_interpreted_string_literal_repeat1, 2), SHIFT_REPEAT(1025),
  [2318] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_var_declaration_and_assignment, 3, .dynamic_precedence = 20, .production_id = 26),
  [2320] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_var_declaration_and_assignment, 3, .dynamic_precedence = 20, .production_id = 26),
  [2322] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_assignment_statement, 3, .production_id = 29),
  [2324] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_assignment_statement, 3, .production_id = 29),
  [2326] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_labeled_statement, 3, .production_id = 20),
  [2328] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_labeled_statement, 3, .production_id = 20),
  [2330] = {.entry = {.count = 1, .reusable = false}}, SHIFT(530),
  [2332] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1033),
  [2334] = {.entry = {.count = 1, .reusable = false}}, SHIFT(541),
  [2336] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_break_statement, 2, .production_id = 9),
  [2338] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_break_statement, 2, .production_id = 9),
  [2340] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_switch_statement, 8, .production_id = 119),
  [2342] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_switch_statement, 8, .production_id = 119),
  [2344] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_switch_statement, 8, .production_id = 120),
  [2346] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_switch_statement, 8, .production_id = 120),
  [2348] = {.entry = {.count = 1, .reusable = false}}, SHIFT(377),
  [2350] = {.entry = {.count = 1, .reusable = true}}, SHIFT(990),
  [2352] = {.entry = {.count = 1, .reusable = true}}, SHIFT(830),
  [2354] = {.entry = {.count = 1, .reusable = true}}, SHIFT(45),
  [2356] = {.entry = {.count = 1, .reusable = true}}, SHIFT(484),
  [2358] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_fallthrough_statement, 1),
  [2360] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_fallthrough_statement, 1),
  [2362] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_switch_statement, 6, .production_id = 65),
  [2364] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_type_switch_statement, 6, .production_id = 65),
  [2366] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_const_declaration, 3, .production_id = 26),
  [2368] = {.entry = {.count = 1, .reusable = false}}, REDUCE(sym_const_declaration, 3, .production_id = 26),
  [2370] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 5, .production_id = 107),
  [2372] = {.entry = {.count = 1, .reusable = true}}, SHIFT(115),
  [2374] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1312),
  [2376] = {.entry = {.count = 1, .reusable = true}}, SHIFT(716),
  [2378] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_literal_value_repeat1, 2),
  [2380] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1332),
  [2382] = {.entry = {.count = 1, .reusable = true}}, SHIFT(816),
  [2384] = {.entry = {.count = 1, .reusable = true}}, SHIFT(765),
  [2386] = {.entry = {.count = 1, .reusable = true}}, SHIFT(325),
  [2388] = {.entry = {.count = 1, .reusable = true}}, SHIFT(354),
  [2390] = {.entry = {.count = 1, .reusable = true}}, SHIFT(845),
  [2392] = {.entry = {.count = 1, .reusable = true}}, SHIFT(96),
  [2394] = {.entry = {.count = 1, .reusable = true}}, SHIFT(38),
  [2396] = {.entry = {.count = 1, .reusable = true}}, SHIFT(108),
  [2398] = {.entry = {.count = 1, .reusable = true}}, SHIFT(279),
  [2400] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_literal_value_repeat1, 2), SHIFT_REPEAT(68),
  [2403] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1234),
  [2405] = {.entry = {.count = 1, .reusable = true}}, SHIFT(849),
  [2407] = {.entry = {.count = 1, .reusable = true}}, SHIFT(57),
  [2409] = {.entry = {.count = 1, .reusable = true}}, SHIFT(98),
  [2411] = {.entry = {.count = 1, .reusable = true}}, SHIFT(696),
  [2413] = {.entry = {.count = 1, .reusable = true}}, SHIFT(856),
  [2415] = {.entry = {.count = 1, .reusable = true}}, SHIFT(146),
  [2417] = {.entry = {.count = 1, .reusable = true}}, SHIFT(71),
  [2419] = {.entry = {.count = 1, .reusable = true}}, SHIFT(725),
  [2421] = {.entry = {.count = 1, .reusable = true}}, SHIFT(697),
  [2423] = {.entry = {.count = 1, .reusable = true}}, SHIFT(48),
  [2425] = {.entry = {.count = 1, .reusable = true}}, SHIFT(852),
  [2427] = {.entry = {.count = 1, .reusable = true}}, SHIFT(64),
  [2429] = {.entry = {.count = 1, .reusable = true}}, SHIFT(715),
  [2431] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, .production_id = 55), SHIFT_REPEAT(1312),
  [2434] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, .production_id = 55),
  [2436] = {.entry = {.count = 1, .reusable = true}}, SHIFT(854),
  [2438] = {.entry = {.count = 1, .reusable = true}}, SHIFT(304),
  [2440] = {.entry = {.count = 1, .reusable = true}}, SHIFT(806),
  [2442] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2), SHIFT_REPEAT(717),
  [2445] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_type_arguments_repeat1, 2),
  [2447] = {.entry = {.count = 1, .reusable = true}}, SHIFT(88),
  [2449] = {.entry = {.count = 1, .reusable = true}}, SHIFT(456),
  [2451] = {.entry = {.count = 1, .reusable = true}}, SHIFT(330),
  [2453] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_type, 2, .production_id = 57),
  [2455] = {.entry = {.count = 1, .reusable = false}}, SHIFT(718),
  [2457] = {.entry = {.count = 1, .reusable = true}}, SHIFT(688),
  [2459] = {.entry = {.count = 1, .reusable = true}}, SHIFT(837),
  [2461] = {.entry = {.count = 1, .reusable = true}}, SHIFT(47),
  [2463] = {.entry = {.count = 1, .reusable = true}}, SHIFT(110),
  [2465] = {.entry = {.count = 1, .reusable = true}}, SHIFT(539),
  [2467] = {.entry = {.count = 1, .reusable = true}}, SHIFT(150),
  [2469] = {.entry = {.count = 1, .reusable = true}}, SHIFT(429),
  [2471] = {.entry = {.count = 1, .reusable = true}}, SHIFT(797),
  [2473] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_declaration_repeat1, 2, .production_id = 58),
  [2475] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_parameter_declaration_repeat1, 2, .production_id = 58),
  [2477] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 3, .production_id = 28),
  [2479] = {.entry = {.count = 1, .reusable = true}}, SHIFT(123),
  [2481] = {.entry = {.count = 1, .reusable = true}}, SHIFT(857),
  [2483] = {.entry = {.count = 1, .reusable = true}}, SHIFT(143),
  [2485] = {.entry = {.count = 1, .reusable = true}}, SHIFT(132),
  [2487] = {.entry = {.count = 1, .reusable = true}}, SHIFT(36),
  [2489] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2), SHIFT_REPEAT(860),
  [2492] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_list_repeat1, 2),
  [2494] = {.entry = {.count = 1, .reusable = true}}, SHIFT(690),
  [2496] = {.entry = {.count = 1, .reusable = true}}, SHIFT(693),
  [2498] = {.entry = {.count = 1, .reusable = true}}, SHIFT(319),
  [2500] = {.entry = {.count = 1, .reusable = true}}, SHIFT(152),
  [2502] = {.entry = {.count = 1, .reusable = true}}, SHIFT(673),
  [2504] = {.entry = {.count = 1, .reusable = true}}, SHIFT(59),
  [2506] = {.entry = {.count = 1, .reusable = true}}, SHIFT(855),
  [2508] = {.entry = {.count = 1, .reusable = true}}, SHIFT(780),
  [2510] = {.entry = {.count = 1, .reusable = true}}, SHIFT(72),
  [2512] = {.entry = {.count = 1, .reusable = true}}, SHIFT(49),
  [2514] = {.entry = {.count = 1, .reusable = true}}, SHIFT(321),
  [2516] = {.entry = {.count = 1, .reusable = true}}, SHIFT(813),
  [2518] = {.entry = {.count = 1, .reusable = true}}, SHIFT(802),
  [2520] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_argument_list_repeat1, 2), SHIFT_REPEAT(151),
  [2523] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 4, .production_id = 81),
  [2525] = {.entry = {.count = 1, .reusable = true}}, SHIFT(147),
  [2527] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_where_clause_repeat1, 2), SHIFT_REPEAT(275),
  [2530] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 4, .production_id = 48),
  [2532] = {.entry = {.count = 1, .reusable = true}}, SHIFT(137),
  [2534] = {.entry = {.count = 1, .reusable = true}}, SHIFT(853),
  [2536] = {.entry = {.count = 1, .reusable = true}}, SHIFT(788),
  [2538] = {.entry = {.count = 1, .reusable = true}}, SHIFT(342),
  [2540] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_parameter_declaration_repeat1, 3, .production_id = 83),
  [2542] = {.entry = {.count = 1, .reusable = false}}, REDUCE(aux_sym_parameter_declaration_repeat1, 3, .production_id = 83),
  [2544] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1295),
  [2546] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 4, .production_id = 84),
  [2548] = {.entry = {.count = 1, .reusable = true}}, SHIFT(153),
  [2550] = {.entry = {.count = 1, .reusable = true}}, SHIFT(149),
  [2552] = {.entry = {.count = 1, .reusable = true}}, SHIFT(345),
  [2554] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__foreign_lib_identifier, 1, .production_id = 3),
  [2556] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1126),
  [2558] = {.entry = {.count = 1, .reusable = false}}, SHIFT(1223),
  [2560] = {.entry = {.count = 1, .reusable = true}}, SHIFT(314),
  [2562] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 5, .production_id = 105),
  [2564] = {.entry = {.count = 1, .reusable = true}}, SHIFT(119),
  [2566] = {.entry = {.count = 1, .reusable = true}}, SHIFT(116),
  [2568] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 5, .production_id = 109),
  [2570] = {.entry = {.count = 1, .reusable = true}}, SHIFT(114),
  [2572] = {.entry = {.count = 1, .reusable = true}}, SHIFT(112),
  [2574] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 6, .production_id = 123),
  [2576] = {.entry = {.count = 1, .reusable = true}}, SHIFT(95),
  [2578] = {.entry = {.count = 1, .reusable = true}}, SHIFT(94),
  [2580] = {.entry = {.count = 1, .reusable = true}}, SHIFT(869),
  [2582] = {.entry = {.count = 1, .reusable = true}}, SHIFT(808),
  [2584] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 8, .production_id = 137),
  [2586] = {.entry = {.count = 1, .reusable = true}}, SHIFT(995),
  [2588] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1293),
  [2590] = {.entry = {.count = 1, .reusable = true}}, SHIFT(951),
  [2592] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1112),
  [2594] = {.entry = {.count = 1, .reusable = true}}, SHIFT(956),
  [2596] = {.entry = {.count = 1, .reusable = true}}, SHIFT(680),
  [2598] = {.entry = {.count = 1, .reusable = true}}, SHIFT(762),
  [2600] = {.entry = {.count = 1, .reusable = true}}, SHIFT(683),
  [2602] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1125),
  [2604] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 7, .production_id = 135),
  [2606] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 7, .production_id = 134),
  [2608] = {.entry = {.count = 1, .reusable = true}}, SHIFT(532),
  [2610] = {.entry = {.count = 1, .reusable = true}}, SHIFT(764),
  [2612] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 7, .production_id = 133),
  [2614] = {.entry = {.count = 1, .reusable = true}}, SHIFT(684),
  [2616] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_type_expression_case, 4, .production_id = 37),
  [2618] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 6, .production_id = 126),
  [2620] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 6, .production_id = 97),
  [2622] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 6, .production_id = 125),
  [2624] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1048),
  [2626] = {.entry = {.count = 1, .reusable = true}}, SHIFT(479),
  [2628] = {.entry = {.count = 1, .reusable = true}}, SHIFT(746),
  [2630] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 6, .production_id = 124),
  [2632] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1057),
  [2634] = {.entry = {.count = 1, .reusable = true}}, SHIFT(686),
  [2636] = {.entry = {.count = 1, .reusable = true}}, SHIFT(698),
  [2638] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1055),
  [2640] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1008),
  [2642] = {.entry = {.count = 1, .reusable = true}}, SHIFT(694),
  [2644] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1084),
  [2646] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1018),
  [2648] = {.entry = {.count = 1, .reusable = true}}, SHIFT(823),
  [2650] = {.entry = {.count = 1, .reusable = true}}, SHIFT(931),
  [2652] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 5, .production_id = 74),
  [2654] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 5, .production_id = 110),
  [2656] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 5, .production_id = 108),
  [2658] = {.entry = {.count = 1, .reusable = true}}, SHIFT(695),
  [2660] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 5, .production_id = 106),
  [2662] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_polymorphic_type, 4, .production_id = 104),
  [2664] = {.entry = {.count = 1, .reusable = true}}, SHIFT(11),
  [2666] = {.entry = {.count = 1, .reusable = true}}, SHIFT(25),
  [2668] = {.entry = {.count = 1, .reusable = true}}, SHIFT(943),
  [2670] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1081),
  [2672] = {.entry = {.count = 1, .reusable = false}}, SHIFT(378),
  [2674] = {.entry = {.count = 1, .reusable = true}}, SHIFT(689),
  [2676] = {.entry = {.count = 1, .reusable = true}}, SHIFT(285),
  [2678] = {.entry = {.count = 1, .reusable = true}}, SHIFT(742),
  [2680] = {.entry = {.count = 1, .reusable = true}}, SHIFT(85),
  [2682] = {.entry = {.count = 1, .reusable = true}}, SHIFT(699),
  [2684] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1111),
  [2686] = {.entry = {.count = 1, .reusable = true}}, SHIFT(941),
  [2688] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_keyed_element, 3),
  [2690] = {.entry = {.count = 1, .reusable = true}}, SHIFT(691),
  [2692] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1093),
  [2694] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_poly_parameter_declaration, 2, .production_id = 37),
  [2696] = {.entry = {.count = 1, .reusable = true}}, SHIFT(923),
  [2698] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1126),
  [2700] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_expression_case, 4, .production_id = 42),
  [2702] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 4, .production_id = 85),
  [2704] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1094),
  [2706] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1258),
  [2708] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter_declaration, 4, .production_id = 70),
  [2710] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 4, .production_id = 47),
  [2712] = {.entry = {.count = 1, .reusable = true}}, SHIFT(9),
  [2714] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1110),
  [2716] = {.entry = {.count = 1, .reusable = true}}, SHIFT(370),
  [2718] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 4, .production_id = 82),
  [2720] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_default_case, 3),
  [2722] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_argument, 2),
  [2724] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_repeat1, 2, .production_id = 53),
  [2726] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_parameter_declaration, 3, .production_id = 26),
  [2728] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_field_declaration_list_repeat1, 2), SHIFT_REPEAT(1114),
  [2731] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_poly_parameter_declaration, 3, .production_id = 28),
  [2733] = {.entry = {.count = 1, .reusable = true}}, SHIFT(413),
  [2735] = {.entry = {.count = 1, .reusable = true}}, SHIFT(728),
  [2737] = {.entry = {.count = 1, .reusable = true}}, SHIFT(79),
  [2739] = {.entry = {.count = 2, .reusable = true}}, REDUCE(aux_sym_enum_value_list_repeat1, 2), SHIFT_REPEAT(1237),
  [2742] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__statement_list, 4),
  [2744] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_variadic_parameter_declaration, 3),
  [2746] = {.entry = {.count = 1, .reusable = true}}, SHIFT(807),
  [2748] = {.entry = {.count = 1, .reusable = true}}, SHIFT(958),
  [2750] = {.entry = {.count = 1, .reusable = true}}, SHIFT(200),
  [2752] = {.entry = {.count = 1, .reusable = true}}, SHIFT(756),
  [2754] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1120),
  [2756] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1227),
  [2758] = {.entry = {.count = 1, .reusable = true}}, SHIFT(288),
  [2760] = {.entry = {.count = 1, .reusable = true}}, SHIFT(287),
  [2762] = {.entry = {.count = 1, .reusable = true}}, SHIFT(620),
  [2764] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_enum_value_list_repeat1, 2),
  [2766] = {.entry = {.count = 1, .reusable = true}}, SHIFT(420),
  [2768] = {.entry = {.count = 1, .reusable = true}}, REDUCE(aux_sym_field_declaration_list_repeat1, 2),
  [2770] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 4, .production_id = 61),
  [2772] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 4, .production_id = 63),
  [2774] = {.entry = {.count = 1, .reusable = true}}, SHIFT(924),
  [2776] = {.entry = {.count = 1, .reusable = true}}, SHIFT(425),
  [2778] = {.entry = {.count = 1, .reusable = true}}, SHIFT(546),
  [2780] = {.entry = {.count = 1, .reusable = true}}, SHIFT(887),
  [2782] = {.entry = {.count = 1, .reusable = true}}, SHIFT(265),
  [2784] = {.entry = {.count = 1, .reusable = true}}, SHIFT(898),
  [2786] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 4, .production_id = 79),
  [2788] = {.entry = {.count = 1, .reusable = true}}, SHIFT(227),
  [2790] = {.entry = {.count = 1, .reusable = true}}, SHIFT(226),
  [2792] = {.entry = {.count = 1, .reusable = true}}, SHIFT(7),
  [2794] = {.entry = {.count = 1, .reusable = true}}, SHIFT(540),
  [2796] = {.entry = {.count = 1, .reusable = true}}, SHIFT(412),
  [2798] = {.entry = {.count = 1, .reusable = true}}, SHIFT(904),
  [2800] = {.entry = {.count = 1, .reusable = true}}, SHIFT(732),
  [2802] = {.entry = {.count = 1, .reusable = true}}, SHIFT(727),
  [2804] = {.entry = {.count = 1, .reusable = true}}, SHIFT(6),
  [2806] = {.entry = {.count = 1, .reusable = true}}, SHIFT(224),
  [2808] = {.entry = {.count = 1, .reusable = true}}, SHIFT(320),
  [2810] = {.entry = {.count = 1, .reusable = true}}, SHIFT(196),
  [2812] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 3, .production_id = 38),
  [2814] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_for_clause, 5, .production_id = 88),
  [2816] = {.entry = {.count = 1, .reusable = true}}, SHIFT(145),
  [2818] = {.entry = {.count = 1, .reusable = true}}, SHIFT(237),
  [2820] = {.entry = {.count = 1, .reusable = true}}, SHIFT(930),
  [2822] = {.entry = {.count = 1, .reusable = true}}, SHIFT(208),
  [2824] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1253),
  [2826] = {.entry = {.count = 1, .reusable = true}}, SHIFT(722),
  [2828] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1164),
  [2830] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1085),
  [2832] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, .production_id = 101),
  [2834] = {.entry = {.count = 1, .reusable = true}}, SHIFT(787),
  [2836] = {.entry = {.count = 1, .reusable = true}}, SHIFT(180),
  [2838] = {.entry = {.count = 1, .reusable = true}}, SHIFT(178),
  [2840] = {.entry = {.count = 1, .reusable = true}}, SHIFT(190),
  [2842] = {.entry = {.count = 1, .reusable = true}}, SHIFT(811),
  [2844] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 5, .production_id = 103),
  [2846] = {.entry = {.count = 1, .reusable = true}}, SHIFT(747),
  [2848] = {.entry = {.count = 1, .reusable = true}}, SHIFT(748),
  [2850] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1243),
  [2852] = {.entry = {.count = 1, .reusable = true}}, SHIFT(792),
  [2854] = {.entry = {.count = 1, .reusable = true}}, SHIFT(750),
  [2856] = {.entry = {.count = 1, .reusable = true}}, SHIFT(214),
  [2858] = {.entry = {.count = 1, .reusable = true}}, SHIFT(230),
  [2860] = {.entry = {.count = 1, .reusable = true}}, SHIFT(754),
  [2862] = {.entry = {.count = 1, .reusable = true}}, SHIFT(460),
  [2864] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym_field_declaration, 6, .production_id = 122),
  [2866] = {.entry = {.count = 1, .reusable = true}},  ACCEPT_INPUT(),
  [2868] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1070),
  [2870] = {.entry = {.count = 1, .reusable = true}}, SHIFT(1165),
  [2872] = {.entry = {.count = 1, .reusable = true}}, SHIFT(706),
  [2874] = {.entry = {.count = 1, .reusable = true}}, SHIFT(700),
  [2876] = {.entry = {.count = 1, .reusable = true}}, SHIFT(661),
  [2878] = {.entry = {.count = 1, .reusable = true}}, SHIFT(843),
  [2880] = {.entry = {.count = 1, .reusable = true}}, REDUCE(sym__enum_value_identifier, 1, .production_id = 19),
  [2882] = {.entry = {.count = 1, .reusable = true}}, SHIFT(519),
  [2884] = {.entry = {.count = 1, .reusable = true}}, SHIFT(769),
  [2886] = {.entry = {.count = 1, .reusable = true}}, SHIFT(767),
  [2888] = {.entry = {.count = 1, .reusable = true}}, SHIFT(665),
  [2890] = {.entry = {.count = 1, .reusable = true}}, SHIFT(719),
  [2892] = {.entry = {.count = 1, .reusable = true}}, SHIFT(359),
  [2894] = {.entry = {.count = 1, .reusable = true}}, SHIFT(173),
  [2896] = {.entry = {.count = 1, .reusable = true}}, SHIFT(165),
  [2898] = {.entry = {.count = 1, .reusable = true}}, SHIFT(247),
  [2900] = {.entry = {.count = 1, .reusable = true}}, SHIFT(249),
  [2902] = {.entry = {.count = 1, .reusable = true}}, SHIFT(465),
  [2904] = {.entry = {.count = 1, .reusable = true}}, SHIFT(271),
  [2906] = {.entry = {.count = 1, .reusable = true}}, SHIFT(276),
  [2908] = {.entry = {.count = 1, .reusable = true}}, SHIFT(709),
  [2910] = {.entry = {.count = 1, .reusable = true}}, SHIFT(916),
  [2912] = {.entry = {.count = 1, .reusable = true}}, SHIFT(477),
  [2914] = {.entry = {.count = 1, .reusable = true}}, SHIFT(723),
  [2916] = {.entry = {.count = 1, .reusable = true}}, SHIFT(911),
  [2918] = {.entry = {.count = 1, .reusable = true}}, SHIFT(770),
  [2920] = {.entry = {.count = 1, .reusable = true}}, SHIFT(316),
  [2922] = {.entry = {.count = 1, .reusable = true}}, SHIFT(371),
  [2924] = {.entry = {.count = 1, .reusable = true}}, SHIFT(739),
  [2926] = {.entry = {.count = 1, .reusable = true}}, SHIFT(741),
  [2928] = {.entry = {.count = 1, .reusable = true}}, SHIFT(729),
  [2930] = {.entry = {.count = 1, .reusable = true}}, SHIFT(733),
  [2932] = {.entry = {.count = 1, .reusable = true}}, SHIFT(734),
  [2934] = {.entry = {.count = 1, .reusable = true}}, SHIFT(994),
  [2936] = {.entry = {.count = 1, .reusable = true}}, SHIFT(761),
  [2938] = {.entry = {.count = 1, .reusable = true}}, SHIFT(774),
  [2940] = {.entry = {.count = 1, .reusable = true}}, SHIFT(773),
  [2942] = {.entry = {.count = 1, .reusable = true}}, SHIFT(278),
  [2944] = {.entry = {.count = 1, .reusable = true}}, SHIFT(757),
  [2946] = {.entry = {.count = 1, .reusable = true}}, SHIFT(752),
  [2948] = {.entry = {.count = 1, .reusable = true}}, SHIFT(751),
  [2950] = {.entry = {.count = 1, .reusable = true}}, SHIFT(254),
  [2952] = {.entry = {.count = 1, .reusable = true}}, SHIFT(738),
  [2954] = {.entry = {.count = 1, .reusable = true}}, SHIFT(731),
  [2956] = {.entry = {.count = 1, .reusable = true}}, SHIFT(177),
  [2958] = {.entry = {.count = 1, .reusable = true}}, SHIFT(721),
  [2960] = {.entry = {.count = 1, .reusable = true}}, SHIFT(714),
  [2962] = {.entry = {.count = 1, .reusable = true}}, SHIFT(710),
};

#ifdef __cplusplus
extern "C" {
#endif
#ifdef _WIN32
#define extern __declspec(dllexport)
#endif

extern const TSLanguage *tree_sitter_odin(void) {
  static const TSLanguage language = {
    .version = LANGUAGE_VERSION,
    .symbol_count = SYMBOL_COUNT,
    .alias_count = ALIAS_COUNT,
    .token_count = TOKEN_COUNT,
    .external_token_count = EXTERNAL_TOKEN_COUNT,
    .state_count = STATE_COUNT,
    .large_state_count = LARGE_STATE_COUNT,
    .production_id_count = PRODUCTION_ID_COUNT,
    .field_count = FIELD_COUNT,
    .max_alias_sequence_length = MAX_ALIAS_SEQUENCE_LENGTH,
    .parse_table = &ts_parse_table[0][0],
    .small_parse_table = ts_small_parse_table,
    .small_parse_table_map = ts_small_parse_table_map,
    .parse_actions = ts_parse_actions,
    .symbol_names = ts_symbol_names,
    .field_names = ts_field_names,
    .field_map_slices = ts_field_map_slices,
    .field_map_entries = ts_field_map_entries,
    .symbol_metadata = ts_symbol_metadata,
    .public_symbol_map = ts_symbol_map,
    .alias_map = ts_non_terminal_alias_map,
    .alias_sequences = &ts_alias_sequences[0][0],
    .lex_modes = ts_lex_modes,
    .lex_fn = ts_lex,
    .keyword_lex_fn = ts_lex_keywords,
    .keyword_capture_token = sym_identifier,
    .primary_state_ids = ts_primary_state_ids,
  };
  return &language;
}
#ifdef __cplusplus
}
#endif
